//Build Calem.js from client
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
/**
 * This is the configuration shipped out of the box.
 */
 
function CalemConst() {}
CalemConst.NEW_AT_TOP=0;
CalemConst.NEW_AT_BOTTOM=1; 

CalemConst.DELETE_PROMPT = 1;
CalemConst.DELETE_NO_PROMPT = -1;

CalemConst.CALEM_OOB = 'CALEM_OOB';
CalemConst.CUSTOM_SYSTEM = 'CUSTOM_SYSTEM';

CalemConst.LAYOUT_VERTICAL = 'LAYOUT_VERTICAL';
CalemConst.LAYOUT_HORIZONTAL = 'LAYOUT_HORIZONTAL';

CalemConst.DbExpr_EQ='=';
CalemConst.DbExpr_NEQ='<>';
CalemConst.DbExpr_GTEQ='>=';
CalemConst.DbExpr_GT='>';
CalemConst.DbExpr_LTEQ='<=';
CalemConst.DbExpr_LT='<';
CalemConst.DbExpr_IS_NULL='IS NULL';
CalemConst.DbExpr_IS_NOT_NULL='IS NOT NULL';
CalemConst.DbExpr_LIKE='LIKE';
CalemConst.DbExpr_IN='IN';

CalemConst.MY_SEARCH= 0;
CalemConst.SHARED_SEARCH=1;

CalemConst._EMPTY = '__empty';
CalemConst._TRUE = '__true';
CalemConst._FALSE= '__false';

CalemConst._NODE_ADDED = 1;
CalemConst._NODE_REMOVED = -1;

CalemConst._TAB_SINGLE= 'SINGLE';
CalemConst._TAB_MULTI = 'MULTIPLE';

CalemConst._TAB_CUSTOMIZE ='CUSTOMIZE_TAB';

CalemConst._TABLE_CUSTOM ='zc_';
CalemConst._REC_CUSTOM_ID ='zc_id';
CalemConst._REC_ID = 'id';

CalemConst._VARCHAR = 'varchar';
CalemConst._VT_DROPDOWN_USE = 'vt_dropdown_use';

CalemConst._CACHED = 1;

CalemConst._DUMMY_FLD = '__dummy_fld__';

CalemConst.TB_CUSTOMIZE = 'CalemTbCustomize';
 
/**
 * Constructor
 */
function CalemConf() {}

/**
 * SOAP
 */
CalemConf["soap_format"] = "js";

/**
 * Invalid login or session expiration
 */
CalemConf['soap_sessionError'] = {'SF_NoActiveSession':true};

/**
 * Desktop topBar
 */  
/** Logo */
CalemConf['desktop_logo'] = {
	logoIcon: "/client/themes/calemeam.png",
	logoUrl: "http://www.calemeam.com"	
};

/** Desktop toolbar */
CalemConf["desktop_exitToolBar"]= {
	posInfo: {parentId: 'theme_headline_right'},
	extraInfo: {helpUrl: "http://www.calemeam.com/apps/wiki"},
	tbDef: {
		CalemToolBarInfo: {
			      layout: ['CalemUserFormReadMine', 'CalemLogout', 'CalemHelp'],
					list: [
					   {CalemButtonInfo: {id: 'CalemUserFormReadMine'}},
						{CalemButtonInfo: {id: 'CalemLogout'}},	
						{CalemButtonInfo: {id: 'CalemHelp'}}]
	}
  }
};

/** Module toolbar */
CalemConf["desktop_moduleToolBar"]= {
	posInfo: {parentId: 'theme_headline_mod'}
};

/** Menu list default */
CalemConf['menuListInfo']={
	menuInfo: {style: null, className: 'ActionMenu', posStyle: null, dialog: null},
	btnInfo: {shouldToggle: true, followIconStyle: DwtMenuItem.CASCADE_STYLE},
	btn: { style: (DwtLabel.IMAGE_LEFT | DwtLabel.ALIGN_LEFT),	
		    className: 'TBButton'
	     },
	menuItem: { style: DwtMenuItem.SELECT_STYLE,
					menu_className: null
	     }
}

/**
 * Desktop leftBar
 */ 
CalemConf["desktop_modView"] = {
	xOff: 0,
	yOff: 2,
	xPad: 2,
	yPad: 2,
	modViewWidth:150, modBarHeight:500, 
   minModSumHeight: 40, minModWidth: 100, redrawDelay:400, sashLimit: 3
};

CalemConf["desktop_modBarView"] = {
	buttonHeight: 26,
	minButtonCount: 1,
	iconWidth: 40,
	minIconCount: 1,
	buttonStyle: (DwtLabel.IMAGE_LEFT | DwtLabel.ALIGN_LEFT)
};
CalemConf["desktop_modBarViewMore"]={id: "txtCalemMore", icon: "CalemMoreIcon"};

/**
 * Desktop main area
 */ 
CalemConf["desktop_mainView"] = {
   showFirstMod: 1,
   prodInfoConf: {disp: 'tooltip'},
	welcomeConf: {id: 'theme_headline_center', msg: 'welcome_with_time', repeat: true, interval: 60000},
	shell: {
		className: null,
		scrollable: false
	},
	ff167801Enabled: true,
	redrawDelay:400, 
	sashLimit: 3,
	controller: 'CalemMainController',
	mainView: 'CalemFormTabView',
	displayTabs: 5,
	moreTab: {
		title: 'txtCalemMore',
		icon: 'CalemMore',
		icon: 'CalemMoreHover'
	},
	closeBtn: {
		title: 'tab_close',
		icon: 'CalemCloseTab',
		hoverIcon: 'CalemCloseTabHover'
	},
	fmBtnStyle: (DwtLabel.IMAGE_LEFT | DwtLabel.ALIGN_LEFT),
	form: {
		viewImpl: 'CalemView',
		viewMdTabImpl: {SINGLE: 'CalemViewMd', MULTIPLE: 'CalemViewMdTab'},
        viewPeerTabImpl: {SINGLE: 'CalemViewPeer', MULTIPLE: 'CalemViewPeerTab'},
		viewHolder: 'CalemViewPage',
		viewDesignImpl: 'CalemViewDesign',
		modelImpl: 'CalemDataModel',
		formModelImpl: 'CalemFormModel',
        formPeerModelImpl: 'CalemFormPeerModel'
	}
};

CalemConf['view_engine'] = {
	alternate_color: false,
	alternate_row_color: {even: '#CCFFCC', odd: '#FFFFCC'},
	
	validationDelay: 100,
	multi_line: {size: 76, lines: {varchar: 3, text: 6}},
	tabPage: {
		xMargin: {left: 1, right:  1},
		yMargin: {top:  1, bottom: 1}
	},
	grid: {
		xMargin: 2,
		yMargin: 5,
		min: {width: 100, height: 100},
		defaultRowH: 26
	},
	chart: {
		xMargin: 2,
		yMargin: 5,
		min: {width: 200, height: 200}
	},
	defaultRowHeight: 24,
	viewDiv: { widthOffset: 30, heightOffset: 0},
	viewRender: { //Default or shared renders
	   rowsNoColor: {'err': true, 'toolbar': true, '_save_search': true},
	   
		CalemToolBarInfo: 'CalemToolBarRender',
		CalemDataGridInfo: 'CalemDataGridRender',
		CalemLabelInfo: 'CalemLabelRender',
		CalemHSeparatorInfo: 'CalemHSeparatorRender',
		CalemFieldLabelInfo: 'CalemFieldLabelRender',
	   CalemFieldInfo: 'CalemFieldReadRender',
	   CalemFormErrorInfo: 'CalemFormErrorRender',
	   FieldRenders: {
	   	
	   }
	},
	viewListRender: {
		CalemViewInfo: 'CalemViewListRender',
		FieldRenders: {
	   	
	   }
	},
	viewReadRender: {
		CalemViewInfo: 'CalemViewReadRender',
		CalemFieldInfo: 'CalemFieldReadRender',
		CalemEditScheduleInfo: 'CalemReadScheduleRender',
		CalemEditScheduleTimeInfo: 'CalemReadScheduleTimeRender',
        CalemChartLineInfo: 'CalemChartLineRender',
        CalemChartPieInfo: 'CalemChartPieRender',
        CalemChartColumnInfo: 'CalemChartColumnRender',
      CalemReadFileUploadInfo: 'CalemReadFileUploadRender',
      CalemReadFileAttachmentInfo: 'CalemReadFileAttachmentRender',
		FieldRenders: {
	   	'text'  : 	'CalemReadTextRender',
	   	'boolean' : 'CalemReadBooleanRender',
	   	'join': 'CalemReadLookupRender',
	   	'default':  'CalemReadDefaultRender'
	   }
	},
	viewEditRender: { //New and edit
		CalemViewInfo: 'CalemViewEditRender',
		CalemFieldInfo: 'CalemEditRenderFacade',
		CalemEditScheduleInfo: 'CalemEditScheduleRender',
		CalemEditScheduleTimeInfo: 'CalemEditScheduleTimeRender',
		CalemEditInCheckoutToInfo: 'CalemEditInCheckoutToRender',
		CalemEditFileUploadInfo: 'CalemEditFileUploadRender',
		CalemNewFileUploadInfo: 'CalemNewFileUploadRender',
		FieldRenders: {
			//String type
			'varchar': 	'CalemEditStringRender',
			'text'  : 	'CalemEditTextRender',
			//Boolean
			'boolean':  'CalemEditBooleanRender',
			//Numerical
			'integer':	'CalemEditIntegerRender',
			'int':	'CalemEditIntegerRender',
			'double':   'CalemEditNumberRender',
			'percent':   'CalemEditPercentRender',
			//date/time
			'date':     'CalemEditDateRender',
			'time':     'CalemEditTimeRender',
			'datetime': 'CalemEditDateTimeRender',
			//currency
			'currency': 'CalemEditCurrencyRender',
			'sys_currency': 'CalemEditSysCurrencyRender',
			'currency_id': 'CalemEditCurrencyIdRender',
			//Dropdown
			'dropdown_join': 'CalemEditDropdownJoinRender',
			'join': 'CalemEditLookupRender',
			'password': 'CalemEditPasswordRender'
		}
	},
	viewRenderMdTab: {//Renders are determined by view class
	   pageAbsMargin: {x: 0, y: 1},
		tabViewMargin: {x: 0, y: 3},
		formMargin: {y: 3},
		rowMarginY: 15,
		CalemViewMd: 'CalemViewMdRender',
		CalemViewMdTab: 'CalemViewMdTabRender',
		CalemViewPageMd: 'CalemViewTabRender'
	},
    viewRenderPeerTab: {//Renders are determined by view class
	    pageAbsMargin: {x: 0, y: 1},
		tabViewMargin: {x: 0, y: 3},
		formMargin: {y: 3},
		rowMarginY: 15,
		CalemViewPeer: 'CalemViewPeerRender',
		CalemViewPeerTab: 'CalemViewMdTabRender',
		CalemViewPageMd: 'CalemViewTabPeerRender'
	},
	/**
	 * Design renders
	 */
	dev_admin_id: '1000001',
	devDesignPhase: true,
	devDesignGroup: CalemConst.CALEM_OOB,
	textLengthDesignFactor: 2,
	dndAllowedCss: 'CalemDndAllowed',
	viewDesign: {
		sashDelay: 400,
		CalemToolBarInfo: 'CalemToolBarDesignRender',
		CalemDataGridInfo: 'CalemGridDesignRenderFacade',
		CalemLabelInfo: 'CalemLabelDesignRender',
		CalemFieldLabelInfo: 'CalemFieldLabelDesignRender',
	   CalemFormErrorInfo: 'CalemFormErrorDesignRender',
	   CalemEditScheduleInfo: 'CalemTextDesignRender',
	   CalemEditScheduleTimeInfo: 'CalemTextDesignRender',
	   CalemEditInCheckoutToInfo: 'CalemTextDesignRender',
	   FieldRenders: {			
			'text'  : 	'CalemTextDesignRender',
			'default': 	'CalemFieldDesignRender'
	   },
	   //Regular renders have to use an alias to get to
	   CalemToolBarDesignInfo: 'CalemToolBarRender', //regular toolbar render
		CalemDesignLabelInfo: 'CalemLabelRender',   //regular label render
		CalemDesignSelectInfo: 'CalemDesignSaveSelectRender',
		//Search save
		CalemSearchSaveInfo: 'CalemSearchSaveDesignRender',
		//Upload stuff
		CalemReadFileUploadInfo: 'CalemFieldDesignRender',
      CalemReadFileAttachmentInfo: 'CalemFieldDesignRender',
      CalemEditFileUploadInfo: 'CalemFieldDesignRender',
		CalemNewFileUploadInfo: 'CalemFieldDesignRender'
	},
	viewRecordDesign: {
		rowsNoDnd: {'err': true, 'toolbar': true, '_save_search': true},
		leftPanelWidth: 180,
		margin: 2,
		actionMenuMarginX: 60,
		
		treeMargin: {x: 2, y: 2},
		leftPanelViewId: 'CalemViewDesignRecordPanel',
		CalemViewInfo: 'CalemViewRecordDesignRender',
		CalemRecordDesignTreeInfo: 'CalemRecordDesignTreeRender',
		seperatorBtn: {style: DwtLabel.IMAGE_LEFT | DwtLabel.ALIGN_LEFT, className: 'TBButton'},
		dropAllowed: {
			//Col can accept Lable, field
			CalemRecordDesignColRender: {
				CalemLabelDesignRender: true,
				CalemFieldLabelDesignRender: true,
				CalemFieldDesignRender: true,
				CalemTextDesignRender: true,
				CalemDesignTreeLabel: true, //Tree items
				CalemDesignTreeFieldLabel: true,
				CalemDesignTreeField: true,
				CalemDesignTreeText: true
			},
			//Row can accept new row, or row swap.
			CalemRecordDesignRowRender: {
				CalemRecordDesignRowRender: true,
				CalemDesignTreeRow: true
			},
			//Label can accept label and field
			CalemLabelDesignRender: {
				CalemLabelDesignRender: true,
				CalemFieldLabelDesignRender: true,
				CalemFieldDesignRender: true,
				CalemTextDesignRender: true,
				CalemDesignTreeLabel: true
			},
			//field label can get label, field
			CalemFieldLabelDesignRender: {
				CalemLabelDesignRender: true,
				CalemFieldLabelDesignRender: true,
				CalemFieldDesignRender: true,
				CalemTextDesignRender: true
			},
			//field can get label and field
			CalemFieldDesignRender: {
				CalemLabelDesignRender: true,
				CalemFieldLabelDesignRender: true,
				CalemFieldDesignRender: true,
				CalemTextDesignRender: true
			},
			//Text can get label and field.
			CalemTextDesignRender: {
				CalemLabelDesignRender: true,
				CalemFieldLabelDesignRender: true,
				CalemFieldDesignRender: true,
				CalemTextDesignRender: true
			},
			//Buttons
			CalemTbDesignButtonRender: {
				CalemTbDesignButtonRender: true,
				CalemTbDesignSeparatorRender: true,
				CalemDesignTreeButton: true
			},
			//Separators
			CalemTbDesignSeparatorRender: {
				CalemTbDesignButtonRender: true,
				CalemTbDesignSeparatorRender: true,
				CalemDesignTreeButton: true
			},
			//Tree
			CalemDesignTreeFormRecord: {
				CalemLabelDesignRender: true,
				CalemFieldLabelDesignRender: true,
				CalemFieldDesignRender: true,
				CalemTextDesignRender: true,
				//button
				CalemTbDesignButtonRender: true,
				//row
				CalemRecordDesignRowRender: true	
			}
		}
	},
	viewListDesign: {
		grid: {height: 100},
		rowsNoDnd: {'toolbar': true, 'grid': true},
		leftPanelWidth: 180,
		margin: 2,
		treeMargin: {x: 2, y: 2},
		seperatorBtn: {style: DwtLabel.IMAGE_LEFT | DwtLabel.ALIGN_LEFT, className: 'TBButton'},
		leftPanelViewId: 'CalemViewDesignListPanel',
		CalemListDesignTreeInfo: 'CalemListDesignTreeRender',
		CalemViewInfo: 'CalemViewListDesignRender',
		dropAllowed: {
		}
	},
	
	viewMdTabDesign: {
		startDelay: 50,
		viewImpl: 'CalemViewMd',
		CalemViewMd: 'CalemViewMdTabDesignRender',
		//Common design items
		rowsNoDnd: {},
		leftPanelWidth: 180,
		margin: 2,
		
		treeMargin: {x: 2, y: 2},
		seperatorBtn: {style: DwtLabel.IMAGE_LEFT | DwtLabel.ALIGN_LEFT, className: 'TBButton'},
		leftPanelViewId: 'CalemViewDesignMdTabPanel',
		CalemMdTabDesignTreeInfo: 'CalemMdTabDesignTreeRender',

		dropAllowed: {
			//FormMdTab can accept tab, tabCustomize and form
			CalemDesignTreeFormMdTab: {
				CalemLayoutTreeForm: true,
				CalemLayoutTreeTab: true,
				CalemLayoutTreeTabCustomize: true
			},
			//Row can accept new row, or row swap.
			CalemLayoutTreeFormMdTab: {
				CalemDesignTreeTab: true,
				CalemDesignTreeTabCustomize: true
			},
			CalemLayoutTreeTabFixed: {
				CalemLayoutTreeForm: true,
				CalemDesignTreeForm: true
			},
			//Label can accept label and field
			CalemLayoutTreeTab: {
				CalemLayoutTreeForm: true,
				CalemDesignTreeForm: true
			},
			CalemLayoutTreeForm: {
				CalemLayoutTreeForm: true
			}
		}	
	},
	
    viewPeerTabDesign: {
		startDelay: 50,
		viewImpl: 'CalemViewPeer',
		CalemViewPeer: 'CalemViewPeerTabDesignRender',
		//Common design items
		rowsNoDnd: {},
		leftPanelWidth: 180,
		margin: 2,
		
		treeMargin: {x: 2, y: 2},
		seperatorBtn: {style: DwtLabel.IMAGE_LEFT | DwtLabel.ALIGN_LEFT, className: 'TBButton'},
		leftPanelViewId: 'CalemViewDesignPeerTabPanel',
		CalemPeerTabDesignTreeInfo: 'CalemPeerTabDesignTreeRender',

		dropAllowed: {
			//FormMdTab can accept tab, tabCustomize and form
			CalemDesignTreeFormPeerTab: {
				CalemLayoutTreeForm: true,
				CalemLayoutTreeTab: true,
				CalemLayoutTreeTabCustomize: true
			},
			//Row can accept new row, or row swap.
			CalemLayoutTreeFormPeerTab: {
				CalemDesignTreeTab: true,
				CalemDesignTreeTabCustomize: true
			},
			//Only col node can take forms
			CalemLayoutTreeCol: {
				CalemLayoutTreeForm: true,
				CalemDesignTreeForm: true
			},
			CalemLayoutTreeForm: {
				CalemLayoutTreeForm: true
			}
		}	
	},

	
	//Module list design
	moduleViewListDesign: {
		rowsNoDnd: {},
		leftPanelWidth: 180,
		margin: 2,
		treeMargin: {x: 2, y: 2},
		seperatorBtn: {style: DwtLabel.IMAGE_LEFT | DwtLabel.ALIGN_LEFT, className: 'TBButton'},
		
		leftPanelViewId: 'CalemViewDesignListPanel',
		CalemListDesignTreeInfo: 'CalemModuleListDesignTreeRender',
		CalemViewInfo: 'CalemModuleViewListDesignRender',
		dropAllowed: {
			//module design root
			CalemDesignTreeModListRoot: {
				CalemLayoutTreeModule: true
			},
			//Row can accept new row, or row swap.
			CalemLayoutTreeModListRoot: {
				CalemDesignTreeModule: true
			},
			//Label can accept label and field
			CalemLayoutTreeModule: {
				CalemLayoutTreeModule: true
			}
		}
	},	
	
	//Module design
	moduleViewDesign: {
		rowsNoDnd: {},
		leftPanelWidth: 180,
		margin: 2,
		treeMargin: {x: 2, y: 2},
		seperatorBtn: {style: DwtLabel.IMAGE_LEFT | DwtLabel.ALIGN_LEFT, className: 'TBButton'},
		
		leftPanelViewId: 'CalemViewDesignListPanel',
		CalemListDesignTreeInfo: 'CalemModuleDesignTreeRender',
		CalemViewInfo: 'CalemModuleViewDesignRender',
		dropAllowed: {
			//module design root
			CalemDesignTreeFormModule: {
				CalemLayoutTreeMenuItem: true,
				CalemLayoutTreeMenuNode: true
			},
			
			CalemLayoutTreeFormDesign: {
				CalemLayoutTreeMenuItem: true,
				CalemLayoutTreeDefaultMenu: true
			},
			
			CalemLayoutTreeDefaultMenuRoot: {
				CalemLayoutTreeMenuItem: true
			},
			
			CalemLayoutTreeDefaultMenu: {
				CalemLayoutTreeMenuItem: true
			},
			
			CalemLayoutTreeLayoutRoot: {
				CalemDesignTreeMenuNode: true,
				CalemDesignTreeMenuItem: true	
			},
			
			CalemLayoutTreeMenuNode: {
				CalemLayoutTreeMenuNode: true,
				CalemLayoutTreeMenuItem: true	
			},
			
			CalemLayoutTreeMenuItem: {
				CalemLayoutTreeMenuItem: true	
			},
			
			CalemLayoutTreeLabel: {
				CalemLayoutTreeMenuItem: true	
			},
			
			CalemLayoutTreeSeparator: {
				CalemLayoutTreeMenuItem: true	
			}
		}
	},	
	
	//table design
	tableViewDesign: {
		rowsNoDnd: {},
		leftPanelWidth: 200,
		margin: 2,
		treeMargin: {x: 2, y: 2},
		seperatorBtn: {style: DwtLabel.IMAGE_LEFT | DwtLabel.ALIGN_LEFT, className: 'TBButton'},
		menuMarginX: 100,
		fieldConf: {
			varcharMaxLen: 4000, //for Oracle
			nameRegExp: '\\w+'
		},
		leftPanelViewId: 'CalemViewDesignTablePanel',
		CalemListDesignTreeInfo: 'CalemTableDesignTreeRender',
		CalemViewInfo: 'CalemTableViewDesignRender',
		dropAllowed: {
			
		}
	},	
	
	//dropdown design
	dropdownViewDesign: {
		rowsNoDnd: {},
		leftPanelWidth: 200,
		margin: 2,
		treeMargin: {x: 2, y: 2},
		seperatorBtn: {style: DwtLabel.IMAGE_LEFT | DwtLabel.ALIGN_LEFT, className: 'TBButton'},
		menuMarginX: 100,
		
		leftPanelViewId: 'CalemViewDesignDropdownPanel',
		CalemListDesignTreeInfo: 'CalemDropdownDesignTreeRender',
		CalemViewInfo: 'CalemDropdownViewDesignRender',
		dropAllowed: {
			
			CalemLayoutTreeDropdownTableCustom: {
				CalemDesignTreeField: true
			},
			
			CalemLayoutTreeDropdownCustom: {
				CalemLayoutTreeDropdownCustom: true
			}
		}
	},	
	
	//Label design
	labelDesign: {
		group: 'CUSTOM_SYSTEM',
		locale: { serverMap: {'en': {id: ''}}
		}
	},
	
	//ViewSearch
	viewSearchRender: { //General view search
		CalemMySearchSelectInfo: 'CalemMySearchSelectRender',
		CalemSharedSearchSelectInfo: 'CalemSharedSearchSelectRender',
		CalemSearchSaveInfo: 'CalemSearchSaveRender'
	},
	
	//ViewSearchSelect
	viewSearchSelectRender: {
		CalemViewInfo: 'CalemViewSearchSelectRender'
	},
	
	//ViewSearchEdit
	searchSave: {display: 30, max: 30, sQuote: '`'},
	viewSearchEditRender: {
		dropdownRows: 4,
		CalemViewInfo: 'CalemViewSearchEditRender',
		CalemFieldInfo: 'CalemSearchFieldRenderFacade',
		CalemEditScheduleInfo: 'CalemSearchScheduleRender',
		CalemEditScheduleTimeInfo: 'CalemSearchScheduleTimeRender',
		FieldRenders: {
			//String type
			'varchar': 	'CalemSearchStringRender',
			'text'  : 	'CalemSearchTextRender',
			//Boolean
			'boolean':  'CalemSearchBooleanRender',
			//Numerical
			'integer':	'CalemSearchIntegerRender',
			'int':	'CalemSearchIntegerRender',
			'double':   'CalemSearchNumberRender',
			'percent':   'CalemSearchPercentRender',
			//date/time
			'date':     'CalemSearchDateRender',
			'time':     'CalemSearchTimeRender',
			'datetime': 'CalemSearchDateTimeRender',
			//currency
			'currency': 'CalemSearchNumberRender',
			'sys_currency': 'CalemSearchNumberRender',
			'currency_id': 'CalemSearchLookupRender',
			//Dropdown
			'dropdown_join': 'CalemSearchDropdownJoinRender',
			'join': 'CalemSearchLookupRender'
		},
		FieldEditOps : {
			'varchar': [CalemConst.DbExpr_LIKE, CalemConst.DbExpr_EQ, CalemConst.DbExpr_IS_NULL, CalemConst.DbExpr_IS_NOT_NULL],
			'text' : [CalemConst.DbExpr_LIKE, CalemConst.DbExpr_IS_NULL, CalemConst.DbExpr_IS_NOT_NULL],
			'boolean': [CalemConst.DbExpr_EQ],
			'integer': [CalemConst.DbExpr_EQ, CalemConst.DbExpr_GT, CalemConst.DbExpr_GTEQ, CalemConst.DbExpr_LT, CalemConst.DbExpr_LTEQ, CalemConst.DbExpr_IS_NULL, CalemConst.DbExpr_IS_NOT_NULL],
			'double':  [CalemConst.DbExpr_EQ, CalemConst.DbExpr_GT, CalemConst.DbExpr_GTEQ, CalemConst.DbExpr_LT, CalemConst.DbExpr_LTEQ, CalemConst.DbExpr_IS_NULL, CalemConst.DbExpr_IS_NOT_NULL],
			'percent':  [CalemConst.DbExpr_EQ, CalemConst.DbExpr_GT, CalemConst.DbExpr_GTEQ, CalemConst.DbExpr_LT, CalemConst.DbExpr_LTEQ, CalemConst.DbExpr_IS_NULL, CalemConst.DbExpr_IS_NOT_NULL],
			'date': [CalemConst.DbExpr_EQ, CalemConst.DbExpr_GT, CalemConst.DbExpr_GTEQ, CalemConst.DbExpr_LT, CalemConst.DbExpr_LTEQ, CalemConst.DbExpr_IS_NULL, CalemConst.DbExpr_IS_NOT_NULL],
			'time': [CalemConst.DbExpr_EQ, CalemConst.DbExpr_GT, CalemConst.DbExpr_GTEQ, CalemConst.DbExpr_LT, CalemConst.DbExpr_LTEQ, CalemConst.DbExpr_IS_NULL, CalemConst.DbExpr_IS_NOT_NULL],
			'datetime': [CalemConst.DbExpr_EQ, CalemConst.DbExpr_GT, CalemConst.DbExpr_GTEQ, CalemConst.DbExpr_LT, CalemConst.DbExpr_LTEQ, CalemConst.DbExpr_IS_NULL, CalemConst.DbExpr_IS_NOT_NULL],
			'currency': [CalemConst.DbExpr_EQ, CalemConst.DbExpr_GT, CalemConst.DbExpr_GTEQ, CalemConst.DbExpr_LT, CalemConst.DbExpr_LTEQ, CalemConst.DbExpr_IS_NULL, CalemConst.DbExpr_IS_NOT_NULL],
			'sys_currency': [CalemConst.DbExpr_EQ, CalemConst.DbExpr_GT, CalemConst.DbExpr_GTEQ, CalemConst.DbExpr_LT, CalemConst.DbExpr_LTEQ, CalemConst.DbExpr_IS_NULL, CalemConst.DbExpr_IS_NOT_NULL],
			'currency_id': [CalemConst.DbExpr_EQ, CalemConst.DbExpr_LIKE, CalemConst.DbExpr_IS_NULL, CalemConst.DbExpr_IS_NOT_NULL],
			'dropdown_join': [CalemConst.DbExpr_IN, CalemConst.DbExpr_IS_NULL, CalemConst.DbExpr_IS_NOT_NULL],
			'join': [CalemConst.DbExpr_EQ, CalemConst.DbExpr_IS_NULL, CalemConst.DbExpr_IS_NOT_NULL],
			'schedule': [CalemConst.DbExpr_IS_NOT_NULL, CalemConst.DbExpr_EQ, CalemConst.DbExpr_IS_NULL] 
		}
	},

	//Misc
	hsepClassName: 'horizSep',
	field: {
		icon: {required: 'CalemRequired', not_required: ''},
		inputErrorIcon: DwtInputField.ERROR_ICON_LEFT
	}
};

/**
 * Reistry of meta data
 */
CalemConf['registry_manager'] = {impl:"CalemRegistry", names:['registry_module']};
//Modules
CalemConf["registry_module"]={
	   loader: 'loadModules',
	   names: ['modCalemDash', 'modCalemWo', 'modCalemSched', 'modCalemAsset', 'modCalemPm', 
	           'modCalemIn', 'modCalemReq', 'modCalemPo', 'modCalemContract', 'modCalemVendor', 'modCalemRcm',
	           'modCalemAdmin', 'modCalemProject', 'modCalemDoc', 'modCalemContact', 
	           'modCalemBudget', 'modCalemInspection','modCalemTraining'
	           ] };
      
//Db and cache definition
CalemConf['registry_db']= {
	impl: 'CalemDb'
}

CalemConf['registry_cache']= {
	impl: 'CalemCache',
	//The stale configuration could be overwritten by metadata per data item.
	processDelay: 10,           //Should start immediately.
	staleMax: 120000           //default is 2 min 
}

//Rows to fetch for presentation
CalemConf['db_query'] = {
	fetchCount: 40,
	maxFetchCount: 5000,
	db_recList_impl: 'CalemRecordListDbCache'
}

CalemConf['widget_scrollbar']= {
	scrollSliderMinHeight: 16,
	width: 16,
	browserRightMargin: 22,
	holdTime: 500,
	moveDelay: 100,
	dataScrollDelay:300
}

CalemConf['text_formatter'] = {
	time_compare_secs: false,
	date: {
		read: ['EEE, ', I18nMsg['formatDateShort']].join(''), 
		edit: I18nMsg['formatDateShort'],
		server: 'yyyy-MM-dd'
	},
	time: {
		read: I18nMsg['formatTimeShort'],
		edit: I18nMsg['formatTimeShort'],
		server: 'HH:mm:ss',
		parse: {ampm_reqd: false, pmMax: 7}
	},
	datetime: {
		read: ['EEE, ', I18nMsg['formatDateShort'], ' ', I18nMsg['formatTimeShort']].join(''),
		server: 'yyyy-MM-dd HH:mm:ss'
	},
	number: {
		local: I18nMsg['formatNumber'], 
		server: '####0.#####'
	},
	integer: {
		local: I18nMsg['formatNumberInteger'], 
		server: '####'
	},
	sys_currency: { read: '#,##0.00;(#,##0.00)',
	                edit: '#,##0.00'},
	percent: '#,##0.###%', // Allow decimal points - I18nMsg['formatNumberPercent'],
	datePrompt: '', //'({1})', //({0}, {1}) where {0} is the format expr., {1} is a sample.
	timePrompt: '' //'({1})'	
}

CalemConf['db_recordList'] = {
	useBatchLoad: false,
	batchCount: 200,
	loadDelay:  30,
	sortDelay:  10,
	sortCaseSensitive: false	
}

/**
 * List view width defaults
 */
CalemConf['view_datagrid_width'] = {
	'boolean': 80,
	'int': 100,
	'double': 100,
	'sys_currency': 100,
	'currency': 100,
	'date': 110,
	'time': 110,
	'datetime': 160,
	'text': 160,
	'varchar' : 100,
	'guid' : 100,
	'default': 100
}

/**
 * List view width defaults
 */
CalemConf['view_record_size'] = {
	edit: {
		'int': 15,
		'double': 15,
		'percent': 15,
		'sys_currency': 15,
		'currency': 15,
		'date': 10,
		'time': 11,
		'datetime': 25,
		'guid': 36,
		'default': 15
	},
	edit_varchar_display_max: {
		'password': 16,
		'varchar': -1,
		'text': -1
	},
	read: {
		'int': 15,
		'double': 15,
		'percent': 15,
		'sys_currency': 15,
		'currency': 15,
		'date': 20,
		'time': 20,
		'datetime': 40,
		'guid': 36,
		'default': 20
	}
}

/**
 * Calendar configuration
 */
CalemConf['calendar_lookup'] = {
	firstDayOfWeek: DwtCalendar.SUN,
	workingDaysArray: DwtCalendar._DEF_WORKING_DAYS,
	calSize: {x: 250, y: 170},
	calOff: {x: 0, y: 4},
	containerExtra: {x: 2, y: 2}
}

/**
 * Dialog prompt text display
 */
CalemConf['dialog_text_wrap'] = {
	len: 55,
	eol: '<br>'	
}

/**
 * Data change conf
 */
CalemConf['form_data_change'] = {
	atPos: CalemConst.NEW_AT_TOP, //0 top, 1 bottom 
	deletePrompt: CalemConst.DELETE_PROMPT
}

/**
 * System currency
 */
CalemConf['sys_currency'] = {
	id: 'USD'
}

/**
 * Some dropdown constants
 */
CalemConf['dropdowns'] = {
	admin_type: {admin_none: 'search_admin_none', admin_group: 'search_admin_group', admin_system: 'search_admin_system'}
}

/**
 * dow resource list
 */
CalemConf['edit_schedule'] = {
	'dow_short': ['dow_short_sun', 'dow_short_mon', 'dow_short_tue', 'dow_short_wed', 'dow_short_thu',
                          'dow_short_fri', 'dow_short_sat'],
	'week_no'  : ['schedule_w1', 'schedule_w2', 'schedule_w3', 'schedule_w4', 'schedule_wl'],
	'defaultSelection'  : 'months',
	'defaultReadSize': 75
}
                          
CalemConf['edit_schedule_time'] = {
	'int_field_len': 2,
	'hour_range': {min: 1, max: 24},
	'minute_range': {min: 1, max: 60},
	'defaultReadSize': 50
}
                          
/**
 * List view
 */
CalemConf['widget_listview'] = {
	ieWidthPadding: 4
}
             
CalemConf['report_window_conf'] = "width=1050,height=800,scrollbars=1,screenX=50,screenY=50,titlebar=1,menubar=1,toolbar=1,resizable=1";

/**
 * Key map
 */
CalemConf['desktop_keymap'] = {
	'c' : {cmd: 'CalemCmdCustomize', note: 'key_customize'}
};

/**
 * Auto-completion
 */
CalemConf['auto_completion']={
	maxMatch: 15,
	fetchDelay: 600
};

/**
 * Chart sources
 */
CalemConf['chart_engine'] = {
    forceload: 'forceload',
	resetDelay: 40000,
	flashVersion: '8',
	backgroundColor: '#FFFFFF',
	preloaderColor: "#999999",
	aid: 'CalemDashboard',
	tidSetting: 'settings',
	tidData: 'data',
	exportAid: 'CalemDashboardExport',
	lineChartSwf: '/server/include/charts/amline/amline/amline.swf',
   pieChartSwf: '/server/include/charts/ampie/ampie/ampie.swf',
   columnChartSwf: '/server/include/charts/amcolumn/amcolumn/amcolumn.swf'
};

/**
 * File upload
 */
CalemConf['file_upload'] ={
	inputName: 'fileupload',
	size: 50,
	uploadAid: 'CalemFileUpload',
	viewAid: 'CalemFileView',
	viewMethod: 'JavaScript:CalemFileUpload._viewFile',
	uploadEdit: 'CalemDocUploadEdit',
	uploadNew: 'CalemDocUploadNew'
};

/**
 * Asset service tracking
 */
CalemConf['asset_conf'] = {
	serviceFlds: ['status_id', 'parent_id', 'location_id', 'owner_id']
};
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * This is the currency list shipped out of the box.
 */
 
function CalemCurrency() {}

/**
 * Supported currency
 */
CalemCurrency['USD'] = {symbol:'$', thousandSep:',', decimalSep:'.', before:'$', after:''};
CalemCurrency['CAD'] = {symbol:'CAD', thousandSep:',', decimalSep:'.', before:'CAD', after:''};
CalemCurrency['MXN'] = {symbol:'MXN', thousandSep:',', decimalSep:'.', before:'MXN', after:''};/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * This is shared context storing common information
 * for dynamic classes to use.
 */
 
/**
 * Constructor
 */
function CalemDebug() {} 

CalemDebug.showBz =
function(elName) {
	if (DBG.getDebugLevel() == AjxDebug.DBG3) {
		var el=document.getElementById(elName);
		var bz=Dwt.getBounds(el);
		DBG.println(AjxDebug.DBG3, "bounds of "+elName+"={"+bz.x+", "+bz.y+", "+bz.width+", "+bz.height+"}");
	}
}

CalemDebug.getBzText =
function(bz) {
	return [' bounds: {', bz.x, ', ', bz.y, ', ', bz.width, ', ', bz.height, '}'].join('');
}

CalemDebug.initDebug =
function(location) {
	//Init not to have debugger
	DBG = new AjxDebug(AjxDebug.NONE, null, false);
	//Figure out the debug setting.
	var level, perf;
	if (location.search) {
		perf= (location.search.indexOf("perf=1")!=-1) ? true : false;
		if (location.search.indexOf("debug=")!=-1) {
			var m=location.search.match(/debug=(\d+)/);
			if (m.length) {
				var num=parseInt(m[1]);
				level=AjxDebug.DBG[num];	
			}	
		}	
	}
	if (level) DBG.setDebugLevel(level);
	if (perf) DBG.showTiming(perf);
}

/**
 * Utility functions
 */
CalemDebug.isDebug =
function() {
	return (AjxDebug.GBD[DBG.getDebugLevel()] >= 3);
}

CalemDebug.debug =
function(stmt) {
	DBG.println(AjxDebug.DBG3, stmt);
}

CalemDebug.isInfo =
function() {
	return (AjxDebug.GBD[DBG.getDebugLevel()] >= 2);
}

CalemDebug.isWarn =
function() {
	return (AjxDebug.GBD[DBG.getDebugLevel()] >= 1);
}

CalemDebug.isPerf =
function() {
	return DBG.isShowTiming();
}

CalemDebug.info =
function(stmt) {
	DBG.println(AjxDebug.DBG2, stmt);
}

CalemDebug.perf =
function(name) {
	DBG.timePt(AjxDebug.PERF, name);
}

CalemDebug.error =
function(stmt) {
	DBG.println(AjxDebug.DBG1, stmt);
}

CalemDebug.printBoundsById =
function(text, id) {
	if (!id) id=text;
	var el=document.getElementById(id);
	if (!el) { DBG.println(AjxDebug.DBG3, "Invalid element for id="+id); return;}
	CalemDebug.printBoundsByEl(text, el);
}

CalemDebug.printBoundsByEl =
function(text, el) {
	if (!el) { DBG.println(AjxDebug.DBG3, "Invalid element to get bounds"); return;}
	var bz=Dwt.getBounds(el);
	if (!bz) { DBG.println(AjxDebug.DBG3, "Element bounds not available: id="+id); return;}
	CalemDebug.printBounds(text, bz);
}

CalemDebug.printBounds =
function(text, bz) {
	DBG.println(AjxDebug.DBG3, [text, " bounds={",bz.x,', ', bz.y, ', ', bz.width,', ', bz.height,'}'].join(''));
}

CalemDebug.printObj =
function(obj, recursive) {
	if (!obj || !(obj instanceof Object) ) {
		DBG.println(AjxDebug.DBG3, "  leaf="+obj);
		return;
	}
	for (var i in obj) {
		DBG.println(AjxDebug.DBG3, i+"="+obj[i]);
		if (recursive && obj[i] instanceof Object) CalemDebug.printObj(obj[i], recursive);
	}
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Conf util.
 */
function CalemConfUtil() {
} 

CalemConfUtil.getBulkFetchSize =
function() {
	return CalemConf['db_query']['fetchCount'];
}

CalemConfUtil.get =
function(key) {
	return CalemConf[key];
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * This is service function for CalemMsg
 */
 
/**
 * Message helper function.
 */
CalemMsg.getMsg =
function(key, nocheck) {
	var rtn=CalemMsg[key];
	if (!rtn) {
		if (CalemDebug.isWarn())
			DBG.println(AjxDebug.DBG1, "Cannot find text definition for key="+key);
		return null; //return its key as value.
	}
	/** take out this function - reduce coupling.
	//Check if resource is a reference -- too bad this is cost for each msg.
	if (!nocheck && rtn.indexOf('$!')==0) {
		key=rtn.substring(2, rtn.length - 2);
		return CalemMsg.getMsg(key);
	}
	*/
	return rtn;
}

CalemMsg._addCustomMsg =
function(id, msg) {
	CalemMsg[id]=msg;
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
/**
 * String trim function
 * @see http://www.thescripts.com/forum/thread165013.html by Alex Vassiliev
 */
String.prototype.trim = 
function() {
	return this.replace(/^\s*|\s*$/g, "");
} 

/**
 * Workaround the 10/31/05 DST time issue.
 */
// By pass detailed comparison for now
AjxTimezone._compareRules = 
function(rule, std, dst, pos) {
	var equal = false;
	var d = new Date(rule.changeStd[0], rule.changeStd[1], (rule.changeStd[2] -1)).getTimezoneOffset();
	var s = new Date(rule.changeStd[0], rule.changeStd[1], (rule.changeStd[2] + 30)).getTimezoneOffset();
	if (!pos) {
		s = s * -1;
		d = d * -1;
	}
	//alert("name = " + rule.name + ' s = ' + s + " d = " + d + " std = " + std + " dst = " + dst);
	if ( (std == s) && (dst == d) ) {
		s = new Date(rule.changeD[0], rule.changeD[1], (rule.changeD[2] -30)).getTimezoneOffset();
		d = new Date(rule.changeD[0], rule.changeD[1], (rule.changeD[2] + 1)).getTimezoneOffset();
		if (!pos) {
			s = s * -1;
			d = d * -1;
		}
		//alert("name = " + rule.name + ' s = ' + s + " d = " + d + " std = " + std + " dst = " + dst);
		if ((std == s) && (dst == d))
			equal = true;
	}
	return equal;
}; 

/**
 * Date utility
 */
function CalemTextUtil() {
} 

var k=0;
CalemTextUtil.DATE_READ_FORMATTER = k++;
CalemTextUtil.DATE_EDIT_FORMATTER = k++;
CalemTextUtil.DATE_SERVER_FORMATTER = k++;

CalemTextUtil.TIME_READ_FORMATTER = k++;
CalemTextUtil.TIME_EDIT_FORMATTER = k++;
CalemTextUtil.TIME_SERVER_FORMATTER = k++;

CalemTextUtil.DATETIME_READ_FORMATTER = k++;
CalemTextUtil.DATETIME_SERVER_FORMATTER = k++;

CalemTextUtil.INTEGER_FORMATTER =k++;
CalemTextUtil.INTEGER_SERVER_FORMATTER = k++;

CalemTextUtil.NUMBER_FORMATTER = k++;
CalemTextUtil.NUMBER_SERVER_FORMATTER = k++;

CalemTextUtil.CURRENCY_READ_FORMATTER  =k++;
CalemTextUtil.CURRENCY_EDIT_FORMATTER  =k++;

CalemTextUtil.PERCENT_FORMATTER =k++;

//Time portion fill
CalemTextUtil.NULL_YEAR=1970;
CalemTextUtil.NULL_MONTH=1;
CalemTextUtil.NULL_DATE=1;
CalemTextUtil.NULL_HOURS=0;
CalemTextUtil.NULL_MINUTES=0;
CalemTextUtil.NULL_SECONDS=0;
CalemTextUtil.NULL_MS=0;

CalemTextUtil.formatters = new Array();

CalemTextUtil._init = 
function() {
	CalemTextUtil._timezone = AjxTimezone._guessMachineTimezone();
	CalemTextUtil._clientId = AjxTimezone.getClientId(CalemTextUtil._timezone);
	
	var conf=CalemConf["text_formatter"];
	var i=0;
	CalemTextUtil.formatters[i++]= new AjxDateFormat(conf.date.read);
	CalemTextUtil.formatters[i++]= new AjxDateFormat(conf.date.edit);
	CalemTextUtil.formatters[i++]= new AjxDateFormat(conf.date.server);

	CalemTextUtil.formatters[i++]= new AjxDateFormat(conf.time.read);
	CalemTextUtil.formatters[i++]= new AjxDateFormat(conf.time.edit);
	CalemTextUtil.formatters[i++]= new AjxDateFormat(conf.time.server);

	CalemTextUtil.formatters[i++]= new AjxDateFormat(conf.datetime.read);
	CalemTextUtil.formatters[i++]= new AjxDateFormat(conf.datetime.server);

	CalemTextUtil.formatters[i++]= new AjxNumberFormat(conf.integer.local);
	CalemTextUtil.formatters[i++]= new AjxNumberFormat(conf.integer.server);
	
	CalemTextUtil.formatters[i++]= new AjxNumberFormat(conf.number.local);
	CalemTextUtil.formatters[i++]= new AjxNumberFormat(conf.number.server);
	
	CalemTextUtil.formatters[i++]= new AjxNumberFormat(conf.sys_currency.read);
	CalemTextUtil.formatters[i++]= new AjxNumberFormat(conf.sys_currency.edit);
	
	CalemTextUtil.formatters[i++]= new AjxNumberFormat(conf.percent);	
}

CalemTextUtil.getTimezone = function() {return CalemTextUtil._timezone;}
CalemTextUtil.getClientId = function() {return CalemTextUtil._clientId;}
CalemTextUtil.getFormatter = function(i) {return CalemTextUtil.formatters[i];}

/** DST considered when getting offset */
CalemTextUtil.getLocalTimeOffset =
function(date) {
	return -1 * date.getTimezoneOffset();
}

CalemTextUtil.getNoDateTimeOffset =
function() {
	var rule = AjxTimezone.getRule(CalemTextUtil.getClientId());
	return rule ? -1*rule.stdOffset : 0;
}
/**
 * Persistence functions for formatting for server storage.
 */
CalemTextUtil.formatServerDate=
function(date) {
	return CalemTextUtil.getFormatter(CalemTextUtil.DATE_SERVER_FORMATTER).format(date);
}

CalemTextUtil.formatServerDateTime=
function(date) {
	return CalemTextUtil.getFormatter(CalemTextUtil.DATETIME_SERVER_FORMATTER).format(date);
}

CalemTextUtil.formatServerTime=
function(date) {
	return CalemTextUtil.getFormatter(CalemTextUtil.TIME_SERVER_FORMATTER).format(date);
}

//- Local date based on local date format
CalemTextUtil.formatLocalDateRead=
function(date) {
	return CalemTextUtil.getFormatter(CalemTextUtil.DATE_READ_FORMATTER).format(date);
}

CalemTextUtil.formatLocalDateEdit=
function(date) {
	return CalemTextUtil.getFormatter(CalemTextUtil.DATE_EDIT_FORMATTER).format(date);
}

CalemTextUtil.formatTimeEdit=
function(date) {
	return CalemTextUtil.getFormatter(CalemTextUtil.TIME_EDIT_FORMATTER).format(date);
}

//- integer
CalemTextUtil.formatServerInteger=
function(i) {
	return CalemTextUtil.getFormatter(CalemTextUtil.INTEGER_SERVER_FORMATTER).format(i);
}

CalemTextUtil.formatServerNumber=
function(n) {
	return CalemTextUtil.getFormatter(CalemTextUtil.NUMBER_SERVER_FORMATTER).format(n);
}

//Date time equality
CalemTextUtil.dateEquals =
function(dt1, dt2) {
	return (dt1.getFullYear()==dt2.getFullYear() 
	      && dt1.getMonth()==dt2.getMonth()
	      && dt1.getDate()==dt2.getDate());
}

CalemTextUtil.timeEquals =
function(dt1, dt2) {
	return (dt1.getHours()==dt2.getHours() 
	      && dt1.getMinutes()==dt2.getMinutes()
	      && (!CalemConf['text_formatter']['time_compare_secs'] || dt1.getSeconds()== dt2.getSeconds()) );
}

/**
 * Server date is of the format: yyyy-mm-dd
 */
CalemTextUtil.parseServerDate=
function(dateStr, reset) {
	if (!dateStr) return null;
	var dt = new Date();
	var yyyy = parseInt(dateStr.substr(0,4), 10);
	var MM = parseInt(dateStr.substr(5,2), 10);
	var dd = parseInt(dateStr.substr(8,2), 10);
	dt.setFullYear(yyyy);
	dt.setMonth(MM - 1);
	dt.setMonth(MM - 1); // See AjxUtil's comment so keep as is.
	dt.setDate(dd);
	if (reset) dt=CalemTextUtil.resetTime(dt);
	return dt;
}

CalemTextUtil.resetTime =
function(dt) {
	if (dt) {
		dt.setHours(CalemTextUtil.NULL_HOURS, CalemTextUtil.NULL_MINUTES, 
							CalemTextUtil.NULL_SECONDS, CalemTextUtil.NULL_MS);
	}
	return dt;
}

/**
 * Server time is of the format: hh:mm:ss
 */
CalemTextUtil.parseServerTimeGmt=
function(dateStr) {
	return CalemTextUtil._parseServerTime(dateStr, false);
}

CalemTextUtil.parseServerTimeLocal=
function(dateStr) {
	return CalemTextUtil._parseServerTime(dateStr, true);
}

CalemTextUtil._parseServerTime=
function(dateStr, toGmt) {
	if (!dateStr) return null;
	var dt = new Date();
	var hh = parseInt(dateStr.substr(0,2), 10);
	var mm = parseInt(dateStr.substr(3,2), 10);
	if (toGmt) mm -= CalemTextUtil.getNoDateTimeOffset();  
	var ss = parseInt(dateStr.substr(6,2), 10);
	dt.setHours(hh, mm, ss, 0);
	return dt;
}

/**
 * Get local time presentation out of server time
 */
CalemTextUtil._getLocalTimeFromServerTime =
function(serverTime) {
	var rtn=null;
	if (serverTime) {
		var dt=CalemTextUtil.parseServerTimeLocal(serverTime);
		rtn=CalemTextUtil.formatTimeEdit(dt);
	}
	return rtn;
}

/**
 * Server datetime is of the format: yyyy-mm-dd hh:mi:ss
 * Server time is in UTC so let's convert to local time.
 */
CalemTextUtil.PARSE_TO_LOCAL = 1;
CalemTextUtil.PARSE_TO_GMT   = 2;
CalemTextUtil.PARSE_TO_NONE  = 3;

/**
 * Check for empty hour/min/sec/ms
 */
CalemTextUtil.isTimeNull =
function(date) {
	return (date.getHours()==CalemTextUtil.NULL_HOURS && date.getMinutes()==CalemTextUtil.NULL_MINUTES
	    &&  date.getSeconds()==CalemTextUtil.NULL_SECONDS && date.getMilliseconds()==CalemTextUtil.NULL_MS);
} 

CalemTextUtil.isNullHms = 
function(hh, mm, ss) {
	return (hh==CalemTextUtil.NULL_HOURS && mm==CalemTextUtil.NULL_MINUTES && ss==CalemTextUtil.NULL_SECONDS);
}
 
CalemTextUtil.parseServerDateTimeToLocal=
function(dateStr) {
	return CalemTextUtil._parseServerDateTime(dateStr, CalemTextUtil.PARSE_TO_LOCAL);
}

CalemTextUtil.parseServerDateTimeToGmt=
function(dateStr) {
	return CalemTextUtil._parseServerDateTime(dateStr, CalemTextUtil.PARSE_TO_GMT);
}

/**
 * Parse server date time and no timezone processing.
 */
CalemTextUtil.parseServerDateTime=
function(dateStr) {
	return CalemTextUtil._parseServerDateTime(dateStr, CalemTextUtil.PARSE_TO_NONE);
}

CalemTextUtil._parseServerDateTime=
function(dateStr, to) {
	var dt= CalemTextUtil.parseServerDate(dateStr);
	//Let's figure out the DST
	var hh = parseInt(dateStr.substr(11,2), 10);
	var mm = parseInt(dateStr.substr(14,2), 10);
	var ss = parseInt(dateStr.substr(17,2), 10);
	if (!CalemTextUtil.isNullHms(hh, mm, ss)) {
		if (to!=CalemTextUtil.PARSE_TO_NONE) {
			var offset=CalemTextUtil.getLocalTimeOffset(dt);
			if (to==CalemTextUtil.PARSE_TO_LOCAL) mm += offset;
			else mm -= offset;
		} 
	}
	dt.setHours(hh, mm, ss, 0);
	return dt;
}

/**
 * Converting a GMT date to local date.
 */
CalemTextUtil.gmtDateTimeToLocal =
function(date) {
	if (!date) return null;
	var lcDate=new Date();
	lcDate.setTime(date.getTime());
	if (!CalemTextUtil.isTimeNull(date)) {
		var mm=date.getMinutes();
		mm += CalemTextUtil.getLocalTimeOffset(date);
		lcDate.setMinutes(mm);
	}
	return lcDate;
}

//Parse local string date time.
CalemTextUtil.localDateTimeToGmt =
function(date) {
	if (!date) return null;
	var gmtDate=new Date();
	gmtDate.setTime(date.getTime());
	if (!CalemTextUtil.isTimeNull(date)) {
		var mm=date.getMinutes();
		mm -= CalemTextUtil.getLocalTimeOffset(date);
		gmtDate.setMinutes(mm);
	}
	return gmtDate;
}

//Parse local time to GMT - make it consistent with CalemTextUtio._parseServerTime
CalemTextUtil.localTimeToGmt =
function(date) {
	if (!date) return null;
	var ldate=new Date();
	ldate.setTime(date.getTime());
	var mm=date.getMinutes();
	mm += CalemTextUtil.getNoDateTimeOffset();
	ldate.setMinutes(mm);
	return ldate;
}

//Get current GMT time
CalemTextUtil.getCurrentGmt =
function() {
	var dt=new Date();
	return CalemTextUtil.localDateTimeToGmt(dt);
}

/**
 * Validation function
 * @exception thrown exception if validation fails.
 */
CalemTextUtil.isDateValid =
function(dateStr, formatter) {
	//Check for null string case
	if (!dateStr) return null;
	var dt;
	try {
		dt=formatter.parse(dateStr);
		if (dt==null) throw AjxMsg.invalidDatetimeString;
		dateStr=formatter.format(dt);			
	} catch (e) {
		throw AjxMsg.invalidDatetimeString;
	}
	return dateStr;
}

/**
 * Filter validation methods
 * @return the date object if it's valid.
 */
CalemTextUtil.isLocalDateValid =
function(dateStr) {
	var fmt=CalemTextUtil.getFormatter(CalemTextUtil.DATE_EDIT_FORMATTER);
	return CalemTextUtil.isDateValid(dateStr, fmt);
}

CalemTextUtil.isLocalTimeValid =
function(timeStr) {
	var fmt=CalemTextUtil.getFormatter(CalemTextUtil.TIME_EDIT_FORMATTER);
	return CalemTextUtil.isDateValid(timeStr, fmt);
}


/**
 * Simple and quick numeric parsing utility functions for integer, number, currency and percent.
 * @todo to revisit when needs arise.
 */
CalemTextUtil._simplifyNumberString =
function(intStr, extra) {
	//Remove space and thousand separator, then replace decimal with "."
	extra= extra ? ('|'+ extra) : '';
	var re = new RegExp(['\\s|', I18nMsg.numberSeparatorGrouping, extra].join(''), 'g');
	var st=intStr.replace(re, '');
	st=st.replace(I18nMsg.numberSeparatorDecimal, '.');	
	return CalemTextUtil._parseMinusSign(st);
}

CalemTextUtil._verifyValidDigits =
function(st, split, frontExceptions, backExceptions) {
	var ar=[];
	if (split) {
		ar=st.split(split);
	} else {
		ar.push(st);
	}
	if (ar.length>2) return null;
	for (var i=0; i< ar.length; i++) {
		var a=ar[i].match(/\D/);
		if (a) {
			if ( (i==0 && frontExceptions && frontExcepion.indexOf(a) != -1)
			   ||(i==1 && backExceptions && backExceptions.indexOf(a) != -1)) continue;
			else throw AjxMsg.notANumber;
		}
	}
	return st;
}

CalemTextUtil._parseMinusSign =
function(st) {
	//Leading and trailing minus sign
	var sign=-1;
	if (st) {
		if (st.charAt(0)==I18nMsg.numberSignMinus) {
			sign=0;
			st=st.substring(1);
		} else if (st.charAt(st.length-1)==I18nMsg.numberSignMinus) {
			st=st.substring(0, st.length-1);
			sign=1;
		}		
	}
	return {sign: sign, st: st};
}

CalemTextUtil._addMinusSign =
function(sign, st) {
	if (sign>=0) {
		st=I18nMsg.numberSignMinus + st;
	} 
	return st;
}

CalemTextUtil._parseValid =
function(n, st) {
	return !isNaN(n);
}

CalemTextUtil.isIntegerValid =
function(intStr) {
	 var rtn=null;
	 if (intStr) {
	 	 var sp=CalemTextUtil._simplifyNumberString(intStr);
	 	 var sign=sp.sign;
	 	 var st=sp.st;
		 if (CalemTextUtil._verifyValidDigits(st)) {
		 	 st=CalemTextUtil._addMinusSign(sign, st);
			 var i=parseInt(st);
			 if (CalemTextUtil._parseValid(i, st)) rtn=i;
		 }
		 if (isNaN(rtn)) throw AjxMsg.notAnInteger;
	 }
	 return rtn;
}

CalemTextUtil.isNumberValid =
function(nStr) {
	 var rtn=null;
	 if (nStr) {
	 	 var sp=CalemTextUtil._simplifyNumberString(nStr);
	 	 var sign=sp.sign;
	 	 var st=sp.st;
		 if (CalemTextUtil._verifyValidDigits(st, '.')) {
		 	 st=CalemTextUtil._addMinusSign(sign, st);
			 var i=parseFloat(st);
			 if (CalemTextUtil._parseValid(i, st)) rtn=i;
		 }
		 if (isNaN(rtn)) throw AjxMsg.notANumber;
	 }
	 return rtn;
}

CalemTextUtil.isPercentValid =
function(pStr) {
	 var rtn=null;
	 if (pStr) {
	 	 //Remove percent sign at the end if applicable
	 	 if (pStr.indexOf(I18nMsg.numberSignPercent)==pStr.length -1) {
	 	 	pStr=pStr.substr(0, pStr.length-1);
	 	 }
	 	 var sp=CalemTextUtil._simplifyNumberString(pStr);
	 	 var sign=sp.sign;
	 	 var st=sp.st;
		 if (CalemTextUtil._verifyValidDigits(st, '.')) {
		 	 st=CalemTextUtil._addMinusSign(sign, st);
			 var i=parseFloat(st);
			 if (CalemTextUtil._parseValid(i, st)) rtn=i;
		 }
		 if (isNaN(rtn)) throw AjxMsg.notANumber;
		 rtn= rtn/100;
	 }
	 return rtn;
}

CalemTextUtil._encodeReCurrencySymbol =
function(s) {
	if (s.length==1 && s.match(/[$.^]/)) s="\\"+s;
	return s;
}

CalemTextUtil.isCurrencyValid =
function(cStr) {
	 var rtn=null;
	 if (cStr) {
	 	 var s=CalemTextUtil._encodeReCurrencySymbol(I18nMsg.currencySymbol);
	 	 var sp=CalemTextUtil._simplifyNumberString(cStr, s);
	 	 var sign=sp.sign;
	 	 var st=sp.st;	 
		 if (CalemTextUtil._verifyValidDigits(st, '.')) {
		 	 st=CalemTextUtil._addMinusSign(sign, st);
			 var i=parseFloat(st);
			 if (CalemTextUtil._parseValid(i, st)) rtn=i;
		 }
		 if (isNaN(rtn)) throw AjxMsg.notANumber;
	 }
	 return rtn;
}

/**
 * Wrap text
 */
CalemTextUtil.wrapText =
function(text, len, eol) {
	len = len || CalemConf['dialog_text_wrap']['len'];
	eol = eol || CalemConf['dialog_text_wrap']['eol'];
	return AjxStringUtil.wordWrap(text, len, eol);
}

//Get time parsing conf.
CalemTextUtil._TimeParse=CalemConf["text_formatter"].time.parse;

/**
 * Adding parsing functions to time data
 * 
 */
AjxFormat.Segment._parseIntOpen = function(o, f, adjust, s, index) {
	var len=s.length;
	var head = index;
	for (var i = head; i < len; i++) {
		if (!s.charAt(index++).match(/\d/)) {
			index--;
			break;
		}
	}
	var tail = index;
	if (head == tail) {
		throw new AjxFormat.ParsingException(this._parent, this, "number not present"); // I18n
	}
	var value = parseInt(s.substring(head, tail), 10);
	if (f) {
		var target = o || window;
		f.call(target, value + adjust);
	}
	return tail;
};

AjxFormat.Segment._parseLiteralOpen = function(s, index, delimiter) {
	var len=s.length;
	var head = index;
	for (var i = head; i < len; i++) {
		if (s.charAt(index++).match(delimiter)) {
			index--;
			break;
		}
	}
	
	var tail = index;
	if (head == tail) {
		throw new AjxFormat.ParsingException(this._parent, this, "literal not present"); // I18n
	}
	return tail;
};
	
//Parsing functions
AjxDateFormat.HourSegment.prototype.parse = function(date, s, index) {	
	var nindex = AjxFormat.Segment._parseIntOpen(date, date.setHours, 0, s, index);
	return nindex;
};

AjxDateFormat.MinuteSegment.prototype.parse = function(date, s, index) {
	var nindex = AjxFormat.Segment._parseIntOpen(date, date.setMinutes, 0, s, index);
	return nindex;
};

AjxDateFormat.SecondSegment.prototype.parse = function(date, s, index) {
	var nindex = AjxFormat.Segment._parseIntOpen(date, date.setSeconds, 0, s, index);
	return nindex;
};

AjxDateFormat.AmPmSegment.prototype.parse = function(date, s, index) {
	var value=null;
	try {
		var nindex=AjxFormat.Segment._parseLiteralOpen(s, index, ' ');
		value=s.substring(index, nindex);
	} catch (ex) {
		//No am/pm found.
		value=null;
		if (CalemTextUtil._TimeParse.ampm_reqd) throw ex;
	}
	var hours=date.getHours();
	if (value) {
		if (value==I18nMsg["periodPm"]) {
			if (hours < 12) date.setHours(hours+12);
		}
	} else {
		//Deciding if it's am or pm
		if (hours < CalemTextUtil._TimeParse.pmMax) date.setHours(hours+12);;
	}
	return nindex;
};

AjxDateFormat.TimezoneSegment.prototype.parse = function(date, s, index) {
	//Don't deal with it.
	return s.length();
}; 

//A correction to get proper formatting
// Protected methods

AjxNumberFormat.NumberSegment.prototype._normalize = function(s) {
	var match = s.split(/([\.Ee])/);	
	// normalize whole part
	var whole = match.shift();
	if (whole.length < this._parent._minIntDigits) {
		whole = AjxFormat._zeroPad(whole, this._parent._minIntDigits, I18nMsg.numberZero);
	}
	if (whole.length > this._parent._groupingOffset) {
		var a = [];
		
		var i = whole.length - this._parent._groupingOffset;
		while (i > 0) {
			a.unshift(whole.substr(i, this._parent._groupingOffset));
			a.unshift(I18nMsg.numberSeparatorGrouping);
			i -= this._parent._groupingOffset;
		}
		a.unshift(whole.substring(0, i + this._parent._groupingOffset));
		
		whole = a.join("");
	}
	// normalize rest
	var fract = '0';
	var expon;
	if (match.length>0) {//workaround for IE 7.0Beta that '.' or 'E/e' is not included.
		if (!match[0].match(/[\.Ee]/)) {
			fract=match[0];
		} else {
			while (match.length > 0) {
				switch (match.shift()) {
					case '.': fract = match.shift(); break;
					case 'E': case 'e': expon = match.shift(); break;
					default: // NOTE: should never get here!
				}
			}
		}
	}
	

	fract = fract.replace(/0+$/,"");
	if (fract.length < this._parent._minFracDigits) {
		fract = AjxFormat._zeroPad(fract, this._parent._minFracDigits, I18nMsg.numberZero, true);
	}
	
	var a = [ whole ];
	if (fract.length > 0) {
		var decimal = this._parent._isCurrency
		            ? I18nMsg.numberSeparatorMoneyDecimal
		            : I18nMsg.numberSeparatorDecimal;
		a.push(decimal, fract);
	}
	if (expon) {
		a.push('E', expon.replace(/^\+/,""));
	}
	
	// return normalize result
	return a.join("");
};

/**
 * IE may show null in the field
 */
CalemTextUtil.getNullReplacement =
function() {
	return '';
}

/**
 * Use special encoding to pass param to server
 */
CalemTextUtil.encodeUrlParam =
function(p) {
	var np=p.replace(/%/, '(%)');
	return AjxStringUtil.urlEncode(np);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * This is shared functions of Json persistence function.
 */
function CalemJson() {
} 

/*
 * Helper function for serialization to Json for persistence.
 */
CalemJson.arrayToJson =
function(ar) {
	var rtn='[';
	var first=true;
	for (var i in ar) {
		if (!first) rtn=[rtn, ", "].join('');
		else first=false;
		if (typeof ar[i]=='string') {
			rtn=[rtn, "'", ar[i], "'"].join('');
		} else {
			rtn=[rtn, ar[i].getJson()].join('');
		}
	}
	return [rtn, "]"].join('');
}

/**
 * Helper function for building sql
 */
CalemJson.arrayToSql =
function(ar, sep) {
	if (sep) {
		sep=[' ', sep, ' '].join('');
	} else {
		sep=", ";
	}
	var rtn='';
	var first=true;
	for (var i in ar) {
		if (!first) rtn=[rtn, sep].join('');
		else first=false;
		if (typeof(ar[i])=='string') {
			rtn=[rtn, "'", ar[i], "'"].join('');
		} else {
			rtn=[rtn, ar[i].getSql()].join('');
		}
	}
	return rtn;
}

//Deserialize
CalemJson.setJson =
function(obj) {
	if (!obj) return null;
	for (var i in obj) {
		var o = eval(['new ', i, '(0)'].join('')); //Adding 0 to make it pass in case a param is required.
		o.setJson(obj[i]);
		return o;
	}	
}

//deserialize array - thisObj must support add function.
CalemJson.setJsonByArray =
function(ar, thisObj) {
	if (!ar) return;
	for (var i=0; i< ar.length; i++) {
		var val=CalemJson.setJson(ar[i]);
		thisObj.add(val);
	}
}

//deserialize array - thisObj must support add function.
CalemJson.setJsonAsArray =
function(ar) {
	if (!ar) return null;
	var newAr=new Array();
	for (var i=0; i< ar.length; i++) {
		var val= (typeof(ar[i])=='object') ? CalemJson.setJson(ar[i]) : ar[i];
		newAr.push(val);
	}
	return newAr;
}

//Deserialize a map
CalemJson.setJsonByMap =
function(map) {
	if (!map) return;
	var rtn=new Object();
	for (var i in map) {
		var val=CalemJson.setJson(map[i]);
		rtn[i]=val;
	}
	return rtn;
}

//Serialize a map
CalemJson.mapToJson =
function(map) {
	if (!map) return;
	var rtn='{';
	var first=true;
	for (var i in map) {
		if (first) first=false;
		else {
			rtn=[rtn, ","].join('');
		}
		var val;
		if (typeof(map[i])=='object') {
			val=map[i].getJson();
		} else if (typeof(map[i])=='number' || typeof(map[i])=='boolean') {
			val=map[i];
		} else if (typeof(map[i])=='string') {
			val="'"+map[i]+"'";
		}
		rtn=[rtn, i, ": ", val].join('');
	}
	return [rtn, '}'].join('');
}

CalemJson.getValue =
function(val) {
	if (!val) return 'null';
	if (typeof(val)=='string') val=["'", val, "'"].join('');
	return val;
}	
/**
*
*  Base64 encode / decode
*  http://www.webtoolkit.info/
*
**/

var Base64 = {

    // private property
    _keyStr : "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/=",

    // public method for encoding
    encode : function (input) {
        var output = "";
        var chr1, chr2, chr3, enc1, enc2, enc3, enc4;
        var i = 0;

        input = Base64._utf8_encode(input);

        while (i < input.length) {

            chr1 = input.charCodeAt(i++);
            chr2 = input.charCodeAt(i++);
            chr3 = input.charCodeAt(i++);

            enc1 = chr1 >> 2;
            enc2 = ((chr1 & 3) << 4) | (chr2 >> 4);
            enc3 = ((chr2 & 15) << 2) | (chr3 >> 6);
            enc4 = chr3 & 63;

            if (isNaN(chr2)) {
                enc3 = enc4 = 64;
            } else if (isNaN(chr3)) {
                enc4 = 64;
            }

            output = output +
            this._keyStr.charAt(enc1) + this._keyStr.charAt(enc2) +
            this._keyStr.charAt(enc3) + this._keyStr.charAt(enc4);

        }

        return output;
    },

    // public method for decoding
    decode : function (input) {
        var output = "";
        var chr1, chr2, chr3;
        var enc1, enc2, enc3, enc4;
        var i = 0;

        input = input.replace(/[^A-Za-z0-9\+\/\=]/g, "");

        while (i < input.length) {

            enc1 = this._keyStr.indexOf(input.charAt(i++));
            enc2 = this._keyStr.indexOf(input.charAt(i++));
            enc3 = this._keyStr.indexOf(input.charAt(i++));
            enc4 = this._keyStr.indexOf(input.charAt(i++));

            chr1 = (enc1 << 2) | (enc2 >> 4);
            chr2 = ((enc2 & 15) << 4) | (enc3 >> 2);
            chr3 = ((enc3 & 3) << 6) | enc4;

            output = output + String.fromCharCode(chr1);

            if (enc3 != 64) {
                output = output + String.fromCharCode(chr2);
            }
            if (enc4 != 64) {
                output = output + String.fromCharCode(chr3);
            }

        }

        output = Base64._utf8_decode(output);

        return output;

    },

    // private method for UTF-8 encoding
    _utf8_encode : function (string) {
        string = string.replace(/\r\n/g,"\n");
        var utftext = "";

        for (var n = 0; n < string.length; n++) {

            var c = string.charCodeAt(n);

            if (c < 128) {
                utftext += String.fromCharCode(c);
            }
            else if((c > 127) && (c < 2048)) {
                utftext += String.fromCharCode((c >> 6) | 192);
                utftext += String.fromCharCode((c & 63) | 128);
            }
            else {
                utftext += String.fromCharCode((c >> 12) | 224);
                utftext += String.fromCharCode(((c >> 6) & 63) | 128);
                utftext += String.fromCharCode((c & 63) | 128);
            }

        }

        return utftext;
    },

    // private method for UTF-8 decoding
    _utf8_decode : function (utftext) {
        var string = "";
        var i = 0;
        var c = c1 = c2 = 0;

        while ( i < utftext.length ) {

            c = utftext.charCodeAt(i);

            if (c < 128) {
                string += String.fromCharCode(c);
                i++;
            }
            else if((c > 191) && (c < 224)) {
                c2 = utftext.charCodeAt(i+1);
                string += String.fromCharCode(((c & 31) << 6) | (c2 & 63));
                i += 2;
            }
            else {
                c2 = utftext.charCodeAt(i+1);
                c3 = utftext.charCodeAt(i+2);
                string += String.fromCharCode(((c & 15) << 12) | ((c2 & 63) << 6) | (c3 & 63));
                i += 3;
            }

        }

        return string;
    }

}/**
 * SWFObject v1.5: Flash Player detection and embed - http://blog.deconcept.com/swfobject/
 *
 * SWFObject is (c) 2007 Geoff Stearns and is released under the MIT License:
 * http://www.opensource.org/licenses/mit-license.php
 *
 */
if(typeof deconcept=="undefined"){var deconcept=new Object();}if(typeof deconcept.util=="undefined"){deconcept.util=new Object();}if(typeof deconcept.SWFObjectUtil=="undefined"){deconcept.SWFObjectUtil=new Object();}deconcept.SWFObject=function(_1,id,w,h,_5,c,_7,_8,_9,_a){if(!document.getElementById){return;}this.DETECT_KEY=_a?_a:"detectflash";this.skipDetect=deconcept.util.getRequestParameter(this.DETECT_KEY);this.params=new Object();this.variables=new Object();this.attributes=new Array();if(_1){this.setAttribute("swf",_1);}if(id){this.setAttribute("id",id);}if(w){this.setAttribute("width",w);}if(h){this.setAttribute("height",h);}if(_5){this.setAttribute("version",new deconcept.PlayerVersion(_5.toString().split(".")));}this.installedVer=deconcept.SWFObjectUtil.getPlayerVersion();if(!window.opera&&document.all&&this.installedVer.major>7){deconcept.SWFObject.doPrepUnload=true;}if(c){this.addParam("bgcolor",c);}var q=_7?_7:"high";this.addParam("quality",q);this.setAttribute("useExpressInstall",false);this.setAttribute("doExpressInstall",false);var _c=(_8)?_8:window.location;this.setAttribute("xiRedirectUrl",_c);this.setAttribute("redirectUrl","");if(_9){this.setAttribute("redirectUrl",_9);}};deconcept.SWFObject.prototype={useExpressInstall:function(_d){this.xiSWFPath=!_d?"expressinstall.swf":_d;this.setAttribute("useExpressInstall",true);},setAttribute:function(_e,_f){this.attributes[_e]=_f;},getAttribute:function(_10){return this.attributes[_10];},addParam:function(_11,_12){this.params[_11]=_12;},getParams:function(){return this.params;},addVariable:function(_13,_14){this.variables[_13]=_14;},getVariable:function(_15){return this.variables[_15];},getVariables:function(){return this.variables;},getVariablePairs:function(){var _16=new Array();var key;var _18=this.getVariables();for(key in _18){_16[_16.length]=key+"="+_18[key];}return _16;},getSWFHTML:function(){var _19="";if(navigator.plugins&&navigator.mimeTypes&&navigator.mimeTypes.length){if(this.getAttribute("doExpressInstall")){this.addVariable("MMplayerType","PlugIn");this.setAttribute("swf",this.xiSWFPath);}_19="<embed type=\"application/x-shockwave-flash\" src=\""+this.getAttribute("swf")+"\" width=\""+this.getAttribute("width")+"\" height=\""+this.getAttribute("height")+"\" style=\""+this.getAttribute("style")+"\"";_19+=" id=\""+this.getAttribute("id")+"\" name=\""+this.getAttribute("id")+"\" ";var _1a=this.getParams();for(var key in _1a){_19+=[key]+"=\""+_1a[key]+"\" ";}var _1c=this.getVariablePairs().join("&");if(_1c.length>0){_19+="flashvars=\""+_1c+"\"";}_19+="/>";}else{if(this.getAttribute("doExpressInstall")){this.addVariable("MMplayerType","ActiveX");this.setAttribute("swf",this.xiSWFPath);}_19="<object id=\""+this.getAttribute("id")+"\" classid=\"clsid:D27CDB6E-AE6D-11cf-96B8-444553540000\" width=\""+this.getAttribute("width")+"\" height=\""+this.getAttribute("height")+"\" style=\""+this.getAttribute("style")+"\">";_19+="<param name=\"movie\" value=\""+this.getAttribute("swf")+"\" />";var _1d=this.getParams();for(var key in _1d){_19+="<param name=\""+key+"\" value=\""+_1d[key]+"\" />";}var _1f=this.getVariablePairs().join("&");if(_1f.length>0){_19+="<param name=\"flashvars\" value=\""+_1f+"\" />";}_19+="</object>";}return _19;},write:function(_20){if(this.getAttribute("useExpressInstall")){var _21=new deconcept.PlayerVersion([6,0,65]);if(this.installedVer.versionIsValid(_21)&&!this.installedVer.versionIsValid(this.getAttribute("version"))){this.setAttribute("doExpressInstall",true);this.addVariable("MMredirectURL",escape(this.getAttribute("xiRedirectUrl")));document.title=document.title.slice(0,47)+" - Flash Player Installation";this.addVariable("MMdoctitle",document.title);}}if(this.skipDetect||this.getAttribute("doExpressInstall")||this.installedVer.versionIsValid(this.getAttribute("version"))){var n=(typeof _20=="string")?document.getElementById(_20):_20;n.innerHTML=this.getSWFHTML();if(!(navigator.plugins && navigator.mimeTypes.length)) window[this.getAttribute('id')] = document.getElementById(this.getAttribute('id'));return true;}else{if(this.getAttribute("redirectUrl")!=""){document.location.replace(this.getAttribute("redirectUrl"));}}return false;}};deconcept.SWFObjectUtil.getPlayerVersion=function(){var _23=new deconcept.PlayerVersion([0,0,0]);if(navigator.plugins&&navigator.mimeTypes.length){var x=navigator.plugins["Shockwave Flash"];if(x&&x.description){_23=new deconcept.PlayerVersion(x.description.replace(/([a-zA-Z]|\s)+/,"").replace(/(\s+r|\s+b[0-9]+)/,".").split("."));}}else{if(navigator.userAgent&&navigator.userAgent.indexOf("Windows CE")>=0){var axo=1;var _26=3;while(axo){try{_26++;axo=new ActiveXObject("ShockwaveFlash.ShockwaveFlash."+_26);_23=new deconcept.PlayerVersion([_26,0,0]);}catch(e){axo=null;}}}else{try{var axo=new ActiveXObject("ShockwaveFlash.ShockwaveFlash.7");}catch(e){try{var axo=new ActiveXObject("ShockwaveFlash.ShockwaveFlash.6");_23=new deconcept.PlayerVersion([6,0,21]);axo.AllowScriptAccess="always";}catch(e){if(_23.major==6){return _23;}}try{axo=new ActiveXObject("ShockwaveFlash.ShockwaveFlash");}catch(e){}}if(axo!=null){_23=new deconcept.PlayerVersion(axo.GetVariable("$version").split(" ")[1].split(","));}}}return _23;};deconcept.PlayerVersion=function(_29){this.major=_29[0]!=null?parseInt(_29[0]):0;this.minor=_29[1]!=null?parseInt(_29[1]):0;this.rev=_29[2]!=null?parseInt(_29[2]):0;};deconcept.PlayerVersion.prototype.versionIsValid=function(fv){if(this.major<fv.major){return false;}if(this.major>fv.major){return true;}if(this.minor<fv.minor){return false;}if(this.minor>fv.minor){return true;}if(this.rev<fv.rev){return false;}return true;};deconcept.util={getRequestParameter:function(_2b){var q=document.location.search||document.location.hash;if(_2b==null){return q;}if(q){var _2d=q.substring(1).split("&");for(var i=0;i<_2d.length;i++){if(_2d[i].substring(0,_2d[i].indexOf("="))==_2b){return _2d[i].substring((_2d[i].indexOf("=")+1));}}}return "";}};deconcept.SWFObjectUtil.cleanupSWFs=function(){var _2f=document.getElementsByTagName("OBJECT");for(var i=_2f.length-1;i>=0;i--){_2f[i].style.display="none";for(var x in _2f[i]){if(typeof _2f[i][x]=="function"){_2f[i][x]=function(){};}}}};if(deconcept.SWFObject.doPrepUnload){if(!deconcept.unloadSet){deconcept.SWFObjectUtil.prepUnload=function(){__flash_unloadHandler=function(){};__flash_savedUnloadHandler=function(){};window.attachEvent("onunload",deconcept.SWFObjectUtil.cleanupSWFs);};window.attachEvent("onbeforeunload",deconcept.SWFObjectUtil.prepUnload);deconcept.unloadSet=true;}}if(!document.getElementById&&document.all){document.getElementById=function(id){return document.all[id];};}var getQueryParamValue=deconcept.util.getRequestParameter;var FlashObject=deconcept.SWFObject;var SWFObject=deconcept.SWFObject;
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDropdownUtil
 */
function CalemDropdownUtil() {} 

/** Admin_type */
CalemDropdownUtil.isAdmin =
function(val) {
	return (CalemConf['dropdowns']['admin_type']['admin_system']==val)	;
}

CalemDropdownUtil.isAdminGroup =
function(val) {
	return (CalemConf['dropdowns']['admin_type']['admin_group']==val)	;
}

CalemDropdownUtil.isGroupCalem =
function(val) {
	return (val==CalemConst.CALEM_OOB)	;
}

CalemDropdownUtil.isGroupCustom =
function(val) {
	return (val==CalemConst.CUSTOM_SYSTEM);
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemAclInfo
 */
function CalemAclInfo(acl) {
	if (arguments.length==0) return;
	this._acl=acl;
}

CalemAclInfo.ACCESS=0;
CalemAclInfo.NO_ACCESS=1;

//Serialization
CalemAclInfo.prototype.getJson =
function() {
	return CalemJson.mapToJson(this._acl);
}

CalemAclInfo.prototype.aggregate =
function(acl) {
	for (var i in acl._acl) this._acl[i]=acl._acl[i];
}

CalemAclInfo.prototype.checkAcl =
function(i) {
	return (this._acl[i] != CalemAclInfo.NO_ACCESS);
}

/**
 * CalemCustomViewManager
 * Customized for efficiency in accessing acl and layout.
 */
function CalemCustomViewManager() {}

/**
 * Get my custom acl. 
 */
CalemCustomViewManager.prototype.getMyCustomInfo =
function(id, target) {
	var userInfo=CalemContext.getInstance().getUserInfo();
	var uid=userInfo.uid;
	var isGroup= (target && target.isGroup());
	var gid= isGroup ? target.getId() : userInfo.gid;
	if (!CalemDropdownUtil.isGroupCalem(gid) && !CalemDropdownUtil.isGroupCustom(gid)) {
		gid=CalemConst.CUSTOM_SYSTEM;
	}
	var customInfo=this._getEmptyCustomInfo();
	var foundIt = this.aggregate(id, gid, customInfo);
	if (!foundIt && CalemDropdownUtil.isGroupCustom(gid)) {
		this.aggregate(id, CalemConst.CALEM_OOB, customInfo);
	}
	return customInfo;
}

/**
 * Get parent acl for design
 */
CalemCustomViewManager.prototype.getParentCustomInfo =
function(id, target) {//This is for design case.
   var userInfo=CalemContext.getInstance().getUserInfo();
   var isGroup= (target && target.isGroup());
	var gid= isGroup ? target.getId() : userInfo.gid;
	if (!CalemDropdownUtil.isGroupCalem(gid) && !CalemDropdownUtil.isGroupCustom(gid)) {
		gid=CalemConst.CUSTOM_SYSTEM;
	} else if (CalemDropdownUtil.isGroupCustom(gid)) {
		gid=CalemConst.CALEM_OOB;
	}
	var customInfo=this._getEmptyCustomInfo();
	this.aggregate(id, gid, customInfo);
	if (CalemDropdownUtil.isGroupCustom(gid)) {
		this.aggregate(id, CalemConst.CALEM_OOB, customInfo);
	}
	return customInfo;
}

/**
 * Get all the Acls if applicable.
 */
CalemCustomViewManager.prototype.getFullCustomInfo =
function(id, target) {
	var userInfo=CalemContext.getInstance().getUserInfo();
	var isGroup= (target && target.isGroup());
	var gid= isGroup ? target.getId() : userInfo.gid;
	if (!CalemDropdownUtil.isGroupCalem(gid) && !CalemDropdownUtil.isGroupCustom(gid)) {
		gid=CalemConst.CUSTOM_SYSTEM;
	}
	var customInfo=this._getEmptyCustomInfo();
	this.aggregate(id, gid, customInfo);
	if (CalemDropdownUtil.isGroupCustom(gid)) {
		this.aggregate(id, CalemConst.CALEM_OOB, customInfo);
	}
	return customInfo;
}

/**
 * Aggregate all ACLs but only the very first layout is used as the layout.
 */
CalemCustomViewManager.prototype.aggregate =
function(id, aid, customInfo) {
	var info=this._getCustomInfoById(id, aid);
	if (info) {
		var cInfo=CalemJson.setJson(info);
		rtn=customInfo.getAcl().aggregate(cInfo.getAcl());
		if (!customInfo.getLayout() && cInfo.getLayout()) customInfo.setLayout(cInfo.getLayout());
	}
	return info;
}

/**
 * CalemCustomViewManager
 */
function CalemCustomViewManager() {}

CalemCustomViewManager.getInstance =
function() {
	if (!CalemCustomViewManager._INSTANCE) {
		CalemCustomViewManager._INSTANCE=new CalemCustomViewManager();
	}
	return CalemCustomViewManager._INSTANCE;
}

CalemCustomViewManager.prototype=new CalemCustomViewManager;
CalemCustomViewManager.prototype.constructor = CalemCustomViewManager;
 
CalemCustomViewManager.prototype.addCustomInfo =
function(customInfo, target) {
   eval("var custom="+customInfo.getJson());
	CalemViewCustomDef[customInfo.getId()+"_"+target.getId()] = custom; 
}

/**
 * Creating an empty CustomViewInfo.
 */
CalemCustomViewManager.prototype._getEmptyCustomInfo =
function(id) {
	var viewAcl=new CalemViewAclInfo(new CalemAclInfo({}), new CalemAclInfo({}));
	return new CalemViewCustomInfo(id, viewAcl, null);
}

//CustomInfo check
CalemCustomViewManager.prototype._getCustomInfoById =
function(id, oid) {
	return oid ? CalemViewCustomDef[id+"_"+oid] : null;
}
 
/**
 * CalemCustomFormManager
 */
function CalemCustomFormManager() {}

CalemCustomFormManager.getInstance =
function() {
	if (!CalemCustomFormManager._INSTANCE) {
		CalemCustomFormManager._INSTANCE=new CalemCustomFormManager();
	}
	return CalemCustomFormManager._INSTANCE;
}

CalemCustomFormManager.prototype=new CalemCustomViewManager;
CalemCustomFormManager.prototype.constructor = CalemCustomFormManager;

CalemCustomFormManager.prototype.addCustomInfo =
function(customInfo, target) {
   eval("var custom="+customInfo.getJson());
	CalemFormCustomDef[customInfo.getId()+"_"+target.getId()] = custom; 
}

/**
 * Creating an empty CustomViewInfo.
 */
CalemCustomFormManager.prototype._getEmptyCustomInfo =
function(id) {
	var formAcl=new CalemFormAclInfo(new CalemAclInfo({}), new CalemAclInfo({}));
	return new CalemFormCustomInfo(id, formAcl, null);
}

//CustomInfo check
CalemCustomFormManager.prototype._getCustomInfoById =
function(id, oid) {
	return oid ? CalemFormCustomDef[id+"_"+oid] : null;
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemCustomModManager
 * Customized for efficiency in accessing module acl and layout.
 */
function CalemCustomModManager() {}

/**
 * Get my custom acl. 
 * Needs to traverse the hierarchy to till the top.
 */
CalemCustomModManager.prototype.getMyCustomInfo =
function(id, target) {
	var userInfo=CalemContext.getInstance().getUserInfo();
	var uid=userInfo.uid;
	var isGroup= (target && target.isGroup());
	var gid= isGroup ? target.getId() : userInfo.gid;
	return this._getCustomInfo(id, gid, false, true); //The first one found, stop.
}

/**
 * Get parent acl for design
 */
CalemCustomModManager.prototype.getParentCustomInfo =
function(id, target) {//This is for design case.
   var userInfo=CalemContext.getInstance().getUserInfo();
   var isGroup= (target && target.isGroup());
	var gid= isGroup ? target.getId() : userInfo.gid;
	return this._getCustomInfo(id, gid, true, false); //skipping current one and all the way up.
}

/**
 * Get all the Acls and first layout that's valid if applicable.
 */
CalemCustomModManager.prototype.getFullCustomInfo =
function(id, target) {
	var userInfo=CalemContext.getInstance().getUserInfo();
	var isGroup= (target && target.isGroup());
	var gid= isGroup ? target.getId() : userInfo.gid;
	return this._getCustomInfo(id, gid, false, false);
}

/**
 * Assemble a view's acl based on current user, group and default system info.
 */
CalemCustomModManager.prototype._getCustomInfo =
function(id, gid, excludeMyGroup, stopWhenFound) {
	//Creating a customInfo for result.
	var customInfo=this._getEmptyCustomInfo();
	var foundIt=false;
	
	//Aggregate group
	if (!excludeMyGroup) {
		foundIt = this.aggregate(id, gid, customInfo);
		if (stopWhenFound && foundIt) return customInfo;
	}
	
	var cachedGroups=CalemContext.getInstance().getRegistry().getCache().get('acl_group');
	var parents=cachedGroups.findParents(gid);
	if (parents) {
		for (var i=0; i< parents.length; i++) {
			foundIt = this.aggregate(id, parents[i], customInfo);
			if (stopWhenFound && foundIt) return customInfo;
		}
	}
	return customInfo;
}

/**
 * Aggregate all ACLs but only the very first layout is used as the layout.
 */
CalemCustomModManager.prototype.aggregate =
function(id, aid, customInfo) {
	var info=this._getCustomInfoById(id, aid);
	if (info) {
		var cInfo=CalemJson.setJson(info);
		rtn=customInfo.getAcl().aggregate(cInfo.getAcl());
		if (!customInfo.getLayout() && cInfo.getLayout()) customInfo.setLayout(cInfo.getLayout());
	}
	return info;
}

/**
 * CalemCustomViewManager
 */
function CalemCustomViewManager() {}

CalemCustomViewManager.getInstance =
function() {
	if (!CalemCustomViewManager._INSTANCE) {
		CalemCustomViewManager._INSTANCE=new CalemCustomViewManager();
	}
	return CalemCustomViewManager._INSTANCE;
}

CalemCustomViewManager.prototype=new CalemCustomModManager;
CalemCustomViewManager.prototype.constructor = CalemCustomViewManager;
 
CalemCustomViewManager.prototype.addCustomInfo =
function(customInfo, target) {
   eval("var custom="+customInfo.getJson());
	CalemViewCustomDef[customInfo.getId()+"_"+target.getId()] = custom; 
}

/**
 * Creating an empty CustomViewInfo.
 */
CalemCustomViewManager.prototype._getEmptyCustomInfo =
function(id) {
	var viewAcl=new CalemViewAclInfo(new CalemAclInfo({}), new CalemAclInfo({}));
	return new CalemViewCustomInfo(id, viewAcl, null);
}

//CustomInfo check
CalemCustomViewManager.prototype._getCustomInfoById =
function(id, oid) {
	return oid ? CalemViewCustomDef[id+"_"+oid] : null;
}
 
/**
 * CalemCustomFormManager
 */
function CalemCustomFormManager() {}

CalemCustomFormManager.getInstance =
function() {
	if (!CalemCustomFormManager._INSTANCE) {
		CalemCustomFormManager._INSTANCE=new CalemCustomFormManager();
	}
	return CalemCustomFormManager._INSTANCE;
}

CalemCustomFormManager.prototype=new CalemCustomModManager;
CalemCustomFormManager.prototype.constructor = CalemCustomFormManager;

CalemCustomFormManager.prototype.addCustomInfo =
function(customInfo, target) {
   eval("var custom="+customInfo.getJson());
	CalemFormCustomDef[customInfo.getId()+"_"+target.getId()] = custom; 
}

/**
 * Creating an empty CustomViewInfo.
 */
CalemCustomFormManager.prototype._getEmptyCustomInfo =
function(id) {
	var formAcl=new CalemFormAclInfo(new CalemAclInfo({}), new CalemAclInfo({}));
	return new CalemFormCustomInfo(id, formAcl, null);
}

//CustomInfo check
CalemCustomFormManager.prototype._getCustomInfoById =
function(id, oid) {
	return oid ? CalemFormCustomDef[id+"_"+oid] : null;
}

/**
 * CalemCustomModuleManager
 */
function CalemCustomModuleManager() {}

CalemCustomModuleManager.getInstance =
function() {
	if (!CalemCustomModuleManager._INSTANCE) {
		CalemCustomModuleManager._INSTANCE=new CalemCustomModuleManager();
	}
	return CalemCustomModuleManager._INSTANCE;
}

CalemCustomModuleManager.prototype=new CalemCustomModManager;
CalemCustomModuleManager.prototype.constructor = CalemCustomModuleManager;

CalemCustomModuleManager.prototype.addCustomInfo =
function(customInfo, target) {
   eval("var custom="+customInfo.getJson());
	CalemModuleCustomDef[customInfo.getId()+"_"+target.getId()] = custom; 
}

/**
 * Creating an empty CustomViewInfo.
 */
CalemCustomModuleManager.prototype._getEmptyCustomInfo =
function(id) {
	var acl=new CalemAclInfo({});
	return new CalemModuleCustomInfo(id, acl, null);
}

//CustomInfo check
CalemCustomModuleManager.prototype._getCustomInfoById =
function(id, oid) {
	return oid ? CalemModuleCustomDef[id+"_"+oid] : null;
}

//Original moduleInfo
CalemCustomModuleManager.prototype.getSysModInfo =
function(id) {
	return CalemJson.setJson(CalemModuleDef[id]);
}

/**
 * CalemCustomModListManager
 */
function CalemCustomModListManager() {}

CalemCustomModListManager.getInstance =
function() {
	if (!CalemCustomModListManager._INSTANCE) {
		CalemCustomModListManager._INSTANCE=new CalemCustomModListManager();
	}
	return CalemCustomModListManager._INSTANCE;
}

CalemCustomModListManager.prototype=new CalemCustomModuleManager;
CalemCustomModListManager.prototype.constructor = CalemCustomModListManager;

CalemCustomModListManager.prototype.addCustomInfo =
function(customInfo, target) {
   eval("var custom="+customInfo.getJson());
	CalemModListCustomDef[target.getId()] = custom; 
}

/**
 * Creating an empty CustomViewInfo.
 */
CalemCustomModListManager.prototype._getEmptyCustomInfo =
function(id) {
	var acl=new CalemAclInfo({});
	return new CalemModListCustomInfo(acl, null);
}

//CustomInfo check
CalemCustomModListManager.prototype._getCustomInfoById =
function(id, oid) {
	return oid ? CalemModListCustomDef[oid] : null;
}

CalemCustomModListManager.prototype.getSysModList =
function() {
	return CalemConf['registry_module']['names'];
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * View utility
 */
function CalemViewUtil() {
} 

/**
 * Set up height for an element.
 * 0 - default
 * -2 - auto
 * -1 - 100%
 * >0 - in pixels
 */
CalemViewUtil.H_DEFAULT = 0;
CalemViewUtil.H_FULL = -1;
CalemViewUtil.H_AUTO = -2;

CalemViewUtil.getHeight =
function(sz, yOff, height) {
	var rtn;
	if (height==CalemViewUtil.H_FULL) {
		rtn = sz.y - yOff;
	} else if (height==CalemViewUtil.H_DEFAULT) {
		rtn=CalemConf['view_engine']['defaultRowHeight'];		
	} else if (height == CalemViewUtil.H_AUTO) {
		rtn=CalemViewUtil.H_AUTO;
	} else if (height > 0) {
		rtn=height;
	} 
	return rtn;
}

CalemViewUtil.setHeight =
function(el, height) {
	if (height==CalemViewUtil.H_AUTO) return;
	Dwt.setSize(el, Dwt.DEFAULT, height);	
}

CalemViewUtil.setSize =
function(ctrl, width, height) {
	if (width==CalemViewUtil.H_AUTO) width=Dwt.DEFAULT;
	if (height==CalemViewUtil.H_AUTO) heigth=Dwt.DEFAULT;
	ctrl.setSize(width, height);	
}

CalemViewUtil.getHeightAfterLayout =
function(rowEl, height) {
	if (height==CalemViewUtil.H_AUTO) {
		height=Dwt.getSize(rowEl).y;
	}
	return height;
}

CalemViewUtil.setWidth =
function(el, width) {
	Dwt.setSize(el, width, Dwt.DEFAULT);	
}


/**
 * Swapping two TD or TRs
 * Wapping at TD/TR level will keep the control to html mapping intact.
 */
CalemViewUtil.swapNodes =
function(elA, idxA, elB, idxB) {
   if (idxA > idxB) {//Swapping to have A having a smaller index.
   	var temp=elA; elA=elB; elB=temp; //Swap elA, elB
   	temp=idxA; idxA=idxB; idxB=temp; //Swap idxA, idxB
   }
	var next=elB.nextSibling; //For placing B back.
	var bParent=elB.parentNode;
	//use dom to manipulate.
	bParent.removeChild(elB);
	elA.parentNode.replaceChild(elB, elA);
	if (next) {
		bParent.insertBefore(elA, next);
	} else {
		bParent.appendChild(elA);
	}
} 

/**
 * Field label
 */
CalemViewUtil.FLD_LABEL='flb_' ;
CalemViewUtil.getFieldLabel =
function(fld) {
	return CalemViewUtil.FLD_LABEL+fld;
}

CalemViewUtil.isFieldLabel =
function(lb) {
	return lb.indexOf(CalemViewUtil.FLD_LABEL)==0;
}

CalemViewUtil.getFieldFromLabel =
function(lb) {
	return lb.substring(CalemViewUtil.FLD_LABEL.length);
}

CalemViewUtil.getItemInfo =
function(id, viewInfo, tableDd) {
	var item=viewInfo.getItem(id);
	if (!item) {
		if (tableDd.isField(id)) item=tableDd.getFieldInfo(id);
		else if (CalemViewUtil.isFieldLabel(id)) {
			item=tableDd.getFieldLabelInfo(CalemViewUtil.getFieldFromLabel(id));
		}
	}
	return item;
}

//Get a boolean map by list values
CalemViewUtil.getMapByList =
function(myLayout) {
	var map=new Object();
	if (myLayout) {
		for (var i=0; i< myLayout.length; i++) {
			map[myLayout[i]]=true;
		}
	}	
	return map;
}

CalemViewUtil.getMapByRows =
function(rows) {
	var map=new Object();
	if (rows) {
		for (var i=0; i< rows.length; i++) {
			var cols=rows[i].getCols();
			for (j=0; j< cols.length; j++) {
				map[cols[j]]=true;
			}
		}	
	}
	return map;
}

CalemViewUtil.getGridColMapByListInfo =
function(listInfo) {
	var map=new Object();
	if (listInfo && listInfo.getColList()) {
		var list=listInfo.getColList();
		for (var i=0; i< list.length; i++) {
			map[list[i].getId()]=true;
			
		}
	}
	return map;
}

CalemViewUtil.getListByMap =
function(map) {
	var list=[];
	if (map) {
		for (var i in map) {
			list.push(i);
		}
	}	
	return list;
}

/** 
 * Search utility functions
 */
CalemViewUtil.getSearchByTable =
function(table, type) {
	var userInfo=CalemContext.getInstance().getUserInfo();
	var map=new Object();
	if (type==CalemConst.MY_SEARCH) {
		CalemViewUtil.addSearchByTable(table, userInfo.uid, map);
	} else { //Shared case.
	   CalemViewUtil.addSearchByTable(table, userInfo.gid, map);
	   CalemViewUtil.addSearchByTable(table, CalemConst.CUSTOM_SYSTEM, map);
	   CalemViewUtil.addSearchByTable(table, CalemConst.CALEM_OOB, map);
	}
	return map;
}

CalemViewUtil.addSearchByTable =
function(table, id, map) {	
	CalemSearchDef.getSearchByTable(table);
	if (CalemSearchDef[table][id]) {
		for (var i in CalemSearchDef[table][id]) {	
			map[i]=CalemJson.setJson(CalemSearchDef[table][id][i]);
		}
	}
}
 
CalemViewUtil.canEditSharedSearch =
function(search) {
	var userInfo=CalemContext.getInstance().getUserInfo();
	return CalemDropdownUtil.isAdmin(userInfo.admin_type_id) ? 
				true : (CalemDropdownUtil.isAdminGroup(userInfo.admin_type_id)
	    					&& userInfo.gid==search.getAxoId());
}

/**
 * Update local search
 */
CalemViewUtil.updateLocalSearch =
function(searchInfo)  {
	var table=searchInfo.getTable();
	var axoId=searchInfo.getAxoId();
	if (!CalemSearchDef[table][axoId]) {
		CalemSearchDef[table][axoId]=new Object();
	}
	eval("var search="+searchInfo.getJson());
	CalemSearchDef[table][axoId][searchInfo.getId()]=search;
}

CalemViewUtil.deleteLocalSearch =
function(search)  {
	delete CalemSearchDef[search.getTable()][search.getAxoId()][search.getId()];
}

/**
 * Shared verifyInput for datetime field (search and normal editing)
 */
CalemViewUtil.datetimeVerifyInput =
function(dateField, timeField) {
	var valid=(dateField.isValid() && timeField.isValid());
	if (valid) { //Check field values (in case having a time portion but not date portion).
		var date=dateField.getFieldValue();
		var time=timeField.getFieldValue();
		valid = (date || (!date && !time));
	}
	if (valid) {
		dateField.clearFieldError();
		timeField.clearFieldError();
	} else {
		var msg=CalemMsg.getMsg("datetime_not_valid");
		dateField.setFieldError(msg);
		timeField.setFieldError(msg);
		throw msg;
	}
	return true;
} 

/**
 * Boolean search value list
 */
CalemViewUtil.getBooleanSearchOptions =
function() {
	if (!CalemViewUtil._BooleanSearchOptions)	{
		var obj=new Object();
		obj[CalemConst._EMPTY]=new DwtSelectOption(CalemConst._EMPTY, false, CalemMsg.getMsg('no_selection'));
		obj[CalemConst._TRUE]=new DwtSelectOption(CalemConst._TRUE, false, CalemMsg.getMsg('boolean_true'));
		obj[CalemConst._FALSE]=new DwtSelectOption(CalemConst._FALSE, false, CalemMsg.getMsg('boolean_false'));
		CalemViewUtil._BooleanSearchOptions=obj;
	}
	return CalemViewUtil._BooleanSearchOptions;
} 

/**
 * Refresh from server
 * - refresh search
 * - refresh view
 */
CalemViewUtil.getRefreshTargets =
function() {
	var userInfo=CalemContext.getInstance().getUserInfo();
	var rtn={row_0: {target: userInfo.uid, shared: 0},
			   row_1: {target: userInfo.gid, shared: 1}};
	if (!CalemDropdownUtil.isGroupCustom(userInfo.gid)) {
		rtn.row_2={target: CalemConst.CUSTOM_SYSTEM, shared: 1};
	}
	if (!CalemDropdownUtil.isGroupCalem(userInfo.gid)) {
		rtn.row_3={target: CalemConst.CALEM_OOB, shared: 1};
	}				   
	return rtn;
} 

/**
 * Check min w/h
 */
CalemViewUtil.validateGridSize =
function(width, height) {
	var conf=CalemConf['view_engine'].grid.min;
	width= (width > conf.width) ? width : conf.width;
	height= (height > conf.height) ? height : conf.height;
	return {width: width, height: height};
}

/**
 * Show status synchronously without holding up the control flow.
 */
CalemViewUtil.showStatus =
function(msg) { //default mapping.
	window.status=msg;
}

/**
 * Store info about row height for a data grid
 */
CalemViewUtil.getUorH =
function() {
	if (!CalemViewUtil._uorH) {
		return CalemConf['view_engine']['grid']['defaultRowH'];
	}
	return CalemViewUtil._uorH;	
} 

CalemViewUtil.setUorH = 
function(uorH) {
	if (CalemViewUtil._uorH) {//Use max so it's not shrinking existing rows.
		CalemViewUtil._uorH = Math.max(CalemViewUtil._uorH, uorH);
	} else {
		CalemViewUtil._uorH=uorH;
	}
}

CalemViewUtil.isCustomizeTab =
function(tabId) {
	return (tabId==CalemConst._TAB_CUSTOMIZE);
}

/** sort conf */
CalemViewUtil.sortCaseSensitive =
function() {
	return CalemConf['db_recordList']['sortCaseSensitive'];	
}

CalemViewUtil.addObject =
function(objSrc, objDest, noOverwrite) {
	if (objSrc) {
		for (var i in objSrc) {
			if (noOverwrite) {
				if (objDest[i]) continue;
			}
			objDest[i]=objSrc[i];
		}
	}
}

CalemViewUtil.addList =
function(listSrc, listDest) {
	if (listSrc) {
		var j=listDest.length;
		for (var i=0; i< listSrc.length; i++) {
			listDest[j++]=listSrc[i];
		}
	}
}

//Get vt_field_type by id
CalemViewUtil.getVtFieldTypeById =
function(id) {
	return id.substr('vt_field_'.length);
}

CalemViewUtil.getIdByVtFieldType =
function(id) {
	return ['vt_field_', id].join('');
}

CalemViewUtil.getLocaleClient =
function() {
	return CalemContext.getInstance().getUserInfo().locale;
}

CalemViewUtil.getLocaleServer =
function(locale) {
	var serverMap=CalemConf['view_engine']	['labelDesign']['locale']['serverMap'];
	locale = serverMap[locale] ? serverMap[locale].id : locale;
	return locale;
}

/**
 * Split data into base and custom
 */
CalemViewUtil.partitionData = 
function(tableDd, row) {
	var rowBase={};
	var rowCustom={};
	if (!tableDd.getCustomFields()) {
		rowBase=row;
	} else {
		for (var i in row) {
			if (tableDd.isBaseField(i)) rowBase[i]=row[i];
			else rowCustom[i]=row[i];
		}
	}
	return {base: rowBase, custom: rowCustom};
} 

CalemViewUtil.getFormControllerById =
function(fmId) {
	var fmInfo=CalemJson.setJson(CalemItemDef[fmId]);
	fmId = fmInfo.getController() || fmId;
	return fmId;
}

CalemViewUtil.getChartExportUrl =
function() {
	return [calemRequestUrl, '?aid=', CalemConf['chart_engine']['exportAid']].join('');	
}
	
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Widget utility
 */
function CalemWidgetUtil() {
} 

/**
 * Find the nearest parent that's shown in absolute position.
 */
CalemWidgetUtil.getAbsParent =
function(el) {
	var rtn=null;
	while (el.parentNode) {
		el=el.parentNode;
		if (DwtCssStyle.getProperty(el, 'position')=='absolute') {
  	 		rtn=el;
  	 		break;
  	 	}
	}
	return rtn;	
}

/**
 * Traverse the tree upward to find out if a parent node is not visible. 
 * (it's simplified...not in use).
 */
CalemWidgetUtil.getVisible =
function(el) {
	if (!CalemWidgetUtil.rootEl) {
		CalemWidgetUtil.rootEl=CalemContext.getInstance().getShell().getHtmlElement();
	}
	var rtn=CalemWidgetUtil._getVisible(el);
	while (rtn) {
		el=el.parentNode;
		if (el==CalemWidgetUtil.rootEl) break;
		rtn=CalemWidgetUtil._getVisible(el);
	}
	return rtn;	
}

CalemWidgetUtil._getVisible =
function(el) {
	return (el.style && el.style.display != Dwt.DISPLAY_NONE);
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * This is shared context storing common information
 * for dynamic classes to use.
 */
 
/**
 * Constructor
 */
function CalemContext() {} 

CalemContext.CC_KEY = '_ccKey';
CalemContext.DATA="_data";
//cookie
CalemContext.CALEM_SID="CALEM_SID";

CalemContext.ORDER_ASC = 0;
CalemContext.ORDER_DESC = 1;

/**
 * Singleton factory for CalemContext object.
 */
CalemContext.getInstance =
function() {
	CalemConf[CalemContext.CC_KEY]= CalemConf[CalemContext.CC_KEY] || new CalemContext();
	return CalemConf[CalemContext.CC_KEY];
}

/**
 * Init CalemContext
 */
CalemContext.prototype.init =
function()  {
	//Check for cookie
	var ck=AjxCookie.getCookie(document, CalemContext.CALEM_SID);
	if (ck) {
		ck=Base64.decode(ck);
		eval("this._userInfo="+ck);
	}
}

CalemContext.prototype.deleteSessionId =
function() {
	//Delete local cookie
	AjxCookie.deleteCookie(document, CalemContext.CALEM_SID);
}

/**
 * Shell
 */
CalemContext.prototype.setShell
=function(shell) {
	this._shell=shell;
}

CalemContext.prototype.getShell =
function() {
	return this._shell;
} 

/**
 * Desktop
 */
CalemContext.prototype.setDesktop
=function(desktop) {
	this._desktop=desktop;
}

CalemContext.prototype.getDesktop =
function() {
	return this._desktop;
}

/**
 * Open form action
 */
CalemContext.prototype.openForm =
function(fmId, data) {
	return this._desktop.openForm(fmId, data);
}

CalemContext.getRelativeParent =
function() {
	if (!this._relativeEl) {
		this._relativeEl=document.getElementById(CalemConf["desktop_moduleToolBar"].posInfo.parentId);
	}
	return this._relativeEl;
}

CalemContext.prototype.setRegistry =
function(reg) {
	this._reg = reg;
}

CalemContext.prototype.getRegistry =
function(reg) {
	return this._reg;
}

/**
 * SessionId
 */
CalemContext.prototype.getSessionId =
function() {
	return (this._userInfo ? this._userInfo.sid : null);
}

CalemContext.prototype.getUserInfo =
function() {
	return this._userInfo;
}

CalemContext.prototype.getUserId =
function() {
	return this._userInfo.uid;
}

CalemContext.prototype.getGroupId =
function() {
	return this._userInfo.gid;
}

CalemContext.prototype.getTeamId =
function() {
	return this._userInfo.team_id;
}

CalemContext.prototype.getUserFullName =
function() {
	return this._userInfo['full_name'];
}

/**
 * Set up workrounds
 */
CalemContext.prototype.setupWorkarounds =
function() {
	this._setupFf();
} 

CalemContext.prototype._setupFf =
function() {
	//Firefox focus lost issue.
	if (CalemConf['desktop_mainView'].ff167801Enabled && AjxEnv.isFirefox && this._shell) {
		this._fldFf167801=new DwtInputField({parent: this._shell, type: DwtInputField.STRING,
		                                     size: 20, posStyle: DwtControl.ABSOLUTE_STYLE});
		//Move it off screen.
		var el=this._fldFf167801.getHtmlElement();
		Dwt.setLocation(el, -200, -200);
	}
}

CalemContext.prototype.doFf167801 =
function() {
	if (this._fldFf167801) this._fldFf167801.focus();
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemQuestionDialog
 * This dialog will prompt a question with Yes/No answers.
 */
function CalemQuestionDialog(dummy) {
	if (arguments.length==0) return;
	var shell=CalemContext.getInstance().getShell();
	DwtDialog.call(this, shell, null, null, [DwtDialog.YES_BUTTON, DwtDialog.NO_BUTTON], DwtDialog.NO_BUTTONS, null, DwtDialog.MODAL);
	this.registerCallback(DwtDialog.YES_BUTTON, this._onYes, this);
	this.registerCallback(DwtDialog.NO_BUTTON, this._onNo, this);
} 

/**
 * Use a single instance of the dialog.
 */
CalemQuestionDialog.showIt =
function(title, prompt, callback, noWrap) {
	if (arguments.length==0) return;
	if (!this._promptDialog) {
		this._promptDialog=new CalemQuestionDialog(true);
	}
	if (!noWrap) prompt= CalemTextUtil.wrapText(prompt);
	this._promptDialog.popupPrompt(title, prompt, callback);
} 

CalemQuestionDialog.prototype = new DwtDialog;
CalemQuestionDialog.prototype.constructor = CalemQuestionDialog;

CalemQuestionDialog.prototype.toString =  function() { return "CalemQuestionDialog"; }

//Listeners
CalemQuestionDialog.prototype._onYes =
function() {
	this.popdown();
	this._callback.run(true);
}

CalemQuestionDialog.prototype._onNo =
function() {
	this.popdown();
	this._callback.run(false);
}

//Public APIs
CalemQuestionDialog.prototype.popupPrompt =
function(title, prompt, callback) {
	this.setTitle(title);
	this.setContent(prompt);
	this._callback=callback;
	this.popup();
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInfoDialog
 * This dialog will display a message with a close button.
 */
function CalemInfoDialog(dummy) {
	if (arguments.length==0) return;
	var closeButton = new DwtDialog_ButtonDescriptor(CalemInfoDialog.CLOSE_BUTTON, CalemMsg.getMsg('button_close'), DwtDialog.ALIGN_CENTER);
	var shell=CalemContext.getInstance().getShell();
	DwtDialog.call(this, shell, null, null, DwtDialog.NO_BUTTONS, [closeButton], null, DwtDialog.MODAL);
	this.registerCallback(CalemInfoDialog.CLOSE_BUTTON, this._onClose, this);
} 

CalemInfoDialog.CLOSE_BUTTON = -1;

/**
 * Use a single instance of the dialog.
 */
CalemInfoDialog.showIt =
function(title, prompt, callback, noWrap) {
	if (arguments.length==0) return;
	if (!this._promptDialog) {
		this._promptDialog=new CalemInfoDialog(true);
	}
	if (!noWrap) prompt= CalemTextUtil.wrapText(prompt);
	this._promptDialog.popupPrompt(title, prompt, callback)
} 

CalemInfoDialog.prototype = new DwtDialog;
CalemInfoDialog.prototype.constructor = CalemInfoDialog;

CalemInfoDialog.prototype.toString =  function() { return "CalemInfoDialog"; }

CalemInfoDialog.prototype._onClose =
function() {
	this.popdown();
	if (this._callback) this._callback.run();
}

//Public APIs
CalemInfoDialog.prototype.popupPrompt =
function(title, prompt, callback) {
	this.setTitle(title);
	this.setContent(prompt);
	this._callback=callback;
	this.popup();
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
/**
 * This is the response object from a soap call. The possible response objects are:
 * <ul>
 * <li> Response object with information from server
 * <li> Response object including an exception
 * </ul>
 */
 
/**
 * Constructor
 */
function CalemSoapResponse(ex, data) {
   if (ex) {
      if (AjxUtil.isInstance(ex, AjxException)) {
         this._ajxException=ex;
      } else {
         this._ajxException=new AjxException(ex);
      }
      var soapErrId=this._ajxException.code;
      if (soapErrId in CalemMsg) {
         this._errorMsg=CalemMsg[soapErrId];
      } else {
         this._errorMsg=CalemMsg.SF_Unknown;
      }
      this._errorMsgDetail=this._ajxException.dump();
   }
   this._data=data;
}

/**
 * Static factory method to create a response object. 
 */
CalemSoapResponse.createException = 
function(ex) {
   resp=new CalemSoapResponse(ex, null);
   return resp;
}

CalemSoapResponse.createResponse = 
function(data) {
   resp=new CalemSoapResponse(null, data);
   return resp;
}

/**
 * Response helper methods
 */
CalemSoapResponse.prototype.getException =
function() {
   return this._ajxException;
} 

CalemSoapResponse.prototype.getErrorMsg =
function() {
   return this._errorMsg;
}

CalemSoapResponse.prototype.getErrorMsgDetail =
function() {
   return this._errorMsgDetail;
}

CalemSoapResponse.prototype.getData =
function() {
   if (this._ajxException) return false;
   return this._data;
}

CalemSoapResponse.prototype.getSoapErrorId =
function() {
	return (this._ajxException && this._ajxException.code) ? this._ajxException.code : null;
}

/**
 * Get response portion of the body
 */
CalemSoapResponse.prototype.getResponse =
function() {
   if (this._ajxException) return false;
   return this._data.Body;
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * This class sends a soap request and parses soap result.
 */
 
/**
 * Constructor
 */
function CalemSoapClient(soapDoc, callback, showBusy) {
	if (arguments.length==0) return;
   this._soapDoc=soapDoc;
   this._callback=callback;
   this._showBusy=showBusy;
} 

/**
 * SoapClient call Id
 */
CalemSoapClient._callId=1;
 
CalemSoapClient.nextCallId =
function() {
	return 'SC'+CalemSoapClient._callId++;
}

/**
 * Constructor method for AjxSoapDoc
 */
CalemSoapClient.createSoapDoc =
function(method, namespace) {
	var ns= namespace || "urn:CalemosSoapService";
	var soapDoc= AjxSoapDoc.create(method, ns);
	return soapDoc;
} 

/**
 * Canned function to log out
 */
CalemSoapClient.logout =
function(callback) {
	//Create a soap document here
	var soapDoc=CalemSoapClient.createSoapDoc("Logout");
	soapDoc.set("sessionId", CalemContext.getInstance().getSessionId() );
   var client=new CalemSoapClient(soapDoc, callback);
   client.service();
   CalemContext.getInstance().deleteSessionId();
}

/**
 * Generic soap call interface
 */
CalemSoapClient.soapCall =
function(method, jsonObj, callback, showBusy) {
	var soapDoc=CalemSoapClient.createSoapDoc(method);
	soapDoc.set(method.toLowerCase(), jsonObj);
   var client=new CalemSoapClient(soapDoc, callback, showBusy);
   client.service();
} 

/**
 * Busy handling
 */
CalemSoapClient.prototype._setBusy =
function() {
	var shell=CalemContext.getInstance().getShell();
	if (this._showBusy && shell) {
		this._callId=CalemSoapClient.nextCallId();
		shell.setBusy(true, this._callId, true, 0, null);
   	shell.setBusyDialogText(CalemMsg.getMsg('soap_busy'));
	}
} 

CalemSoapClient.prototype._clearBusy =
function() {
	var shell=CalemContext.getInstance().getShell();
	if (this._showBusy && shell) { 
		shell.setBusy(false, this._callId);
	}
} 

/**
 * Service a soap call
 */
CalemSoapClient.prototype.service =
function() {
   //Configure header element
   var hdr = this._soapDoc.createHeaderElement();
	this._soapDoc.set("format", CalemConf.soap_format, hdr);
	//Set up sessionId if available
	var sid=CalemContext.getInstance().getSessionId();
	if (sid) {
		this._soapDoc.set(CalemContext.CALEM_SID, sid, hdr);
	}
	if (CalemDebug.isDebug()) {
		this._startTime=new Date();
		DBG.println("<font color=navy>Soap call:  "+this._soapDoc.getMethod().tagName+"</font>");
		DBG.printXML(this._soapDoc.getXml());
	}
	this._setBusy();
	if (!this._callback) {
		//Need to prse and handle exception here.
		var resp=AjxRpc.invoke(this._soapDoc.getXml(), calemSoapUrl, {"Content-Type": "application/soap+xml; charset=utf-8"});
		this._clearBusy();
		return this._handleSyncResponse(resp);
	} else {
	   var rpcCallback = new AjxCallback(this, this.handleResponse);
	   try {
	      this._rpcId = AjxRpc.invoke(this._soapDoc.getXml(), calemSoapUrl, {"Content-Type": "application/soap+xml; charset=utf-8"}, rpcCallback);  
	      this._clearBusy();
	   } catch (ex) {
	   	this._clearBusy();
	   	this._doCallback(this._getExceptionResponse(ex));
	   }
	}
} 

CalemSoapClient.prototype._doCallback =
function(res) {
	if (this._callback) this._callback.run(res);
}

/**
 * Exception handling
 */
CalemSoapClient.prototype._getExceptionResponse =
function(ex) {  
   DBG.println(AjxDebug.DBG1, "Got exception in CalemSoapClient, ex="+ex);
   res=CalemSoapResponse.createException(ex);
   DBG.dumpObj(res.getException());
   //Checking for invalid session. Logout if session is no longer valid.
   var soapErrorId=res.getSoapErrorId();
   if ( soapErrorId && CalemConf['soap_sessionError'][soapErrorId]) {
   	var logoutCallback = new AjxCallback(null, CalemSoapClient.reLogin);
   	CalemInfoDialog.showIt(CalemMsg.getMsg('error_server'), res.getErrorMsg(), logoutCallback);
   	return null;
   }
   return res;
} 
/**
 * Callback from soap client
 */
CalemSoapClient.prototype.handleResponse =
function(response) {
	var resp;
   try {
      resp=this.parseResponse(response);
   } catch (ex) {
      resp=this._getExceptionResponse(ex);
   }
   if (resp) this._doCallback(resp);
}

/**
 * Sync response handling for soap
 */
CalemSoapClient.prototype._handleSyncResponse =
function(response) {
	var resp;
   try {
      resp=this.parseResponse(response);
   } catch (ex) {
      resp=this._getExceptionResponse(ex);
   }
   return resp;
}

/**
 * Parse soap response
 */
CalemSoapClient.prototype.parseResponse =
function(response) { 
   //Parsing the response
   var respDoc=null;
   var xmlResponse=false;
   //Result is either JS or XML.
   if (response.text && typeof(response.text)=="string" && response.text.indexOf("{")==0) {
      respDoc=response.text;
   } else {
      xmlResponse=true;
      if (response.text || response.xml) {
         try {
            respDoc=(response.xml)?AjxSoapDoc.createFromDom(response.xml):AjxSoapDoc.createFromXml(response.text);
            if (!respDoc) {
               throw new AjxException("Parsed XML doc is null", 0, 'CalemSoapClient.prototype.parseResponse', '');
            }
         } catch (e) {
            DBG.println(AjxDebug.DBG1, "Error in parsing xml doc");
            throw e;
         }
      } else {//There's nothing to parse
         throw new AjxException("Response body is null", 0, 'CalemSoapClient.prototype.parseResponse', '');        
      }
   }
   //Get data to JS format
   var data;
   try {
      if (xmlResponse) {
         data = respDoc._xmlDoc.toJSObject(true,false); 
      } else {
         eval("data=" + respDoc);
      }
   } catch (ex) {
      throw new AjxException("Error in converting XML doc to JS object", 0, 'CalemSoapClient.prototype.parseResponse', '');
   }
   //Verify data validity
   if (!data) {
      throw new AjxException("Got NULL JS object from XML doc", 0, 'CalemSoapClient.prototype.parseResponse', '');
   }
   //Now check for fault
   if (data.Body.Fault) {
      //This is a SOAP fault so we need to display the error msg
      DBG.println(AjxDebug.DBG1, 'Received soap fault, Fault code='+data.Body.Fault.faultcode);
      throw new AjxException("Received Soap fault", data.Body.Fault.faultcode, 'CalemSoapClient.prototype.parseResponse', data.Body.Fault);
   } else if (!response.success) {//HTTP not 200 OK
      throw new AjxException("Error status received", 0, 'CalemSoapClient.prototype.parseResponse', "HTTP response status="+response.status);
   }
   res=CalemSoapResponse.createResponse(data);
   if (CalemDebug.isDebug()) {
   	var endTime=new Date();
   	DBG.println("<font color=navy>Soap call response:  "+this._soapDoc.getMethod().tagName+", time="+(endTime-this._startTime)+" ms </font>");
		DBG.dumpObj(res);
	}
   return res;
}

/**
 * Launch login form
 */
/**
 * logoutCallback definition.
 */
CalemSoapClient.reLogin =
function() {
	//Creating a form to fetch the logout form.
	var fmLogin = document.createElement('form');
	document.body.appendChild(fmLogin);
	fmLogin.innerHTML=""; //no info provided.
	fmLogin.action=calemRequestUrl+window.location.search;
	fmLogin.method="post";
	fmLogin.submit();
} 
 /*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemErrorInfo
 */
function CalemErrorInfo(table, errorInfo) {
	if (arguments.length==0) return;
	this._table=table;
	this._errorInfo=errorInfo;
}

CalemErrorInfo.prototype.toString = function() {return "CalemErrorInfo";}

CalemErrorInfo.prototype._getNativeError =
function(errorMsg) {
	var rtn=errorMsg;
	if (this._errorInfo && this._errorInfo.nativeError) {
		var ne=[this._errorInfo.id, ' \n ', this._errorInfo.nativeError].join('');
		var msg=AjxMessageFormat.format(CalemMsg.getMsg('error_native_label'), [ne]);
		rtn= [errorMsg, ' \n \n ', msg].join('');
	} 
	return rtn;
}

CalemErrorInfo.prototype.getMessage = 
function() {
	return this._getNativeError(CalemMsg.getMsg('error_default'));
}

/**
 * CalemDboDuplicateKeyException
 */
function CalemDboDuplicateKeyException(table, errorInfo) {
	if (arguments.length==0) return;
	CalemErrorInfo.call(this, table, errorInfo);
}

CalemDboDuplicateKeyException.prototype = new CalemErrorInfo;
CalemDboDuplicateKeyException.prototype.constructor=CalemDboDuplicateKeyException;

CalemDboDuplicateKeyException.prototype.toString = function() {return "CalemDboDuplicateKeyException";}

CalemDboDuplicateKeyException.prototype.getMessage = 
function() {
	//Let's figure out how to get the
	var tableDd=CalemContext.getInstance().getRegistry().getTableDd(this._table);
	var fields='';
	var keys; 
	var first=true;
	if (keys=tableDd.getUniqueIndexes()) {//Do unique indexes
		for (var i in keys) {
			var idx=keys[i];
			fields += "(";
			for (var j=0; j < idx.length; j++) {
				if (!first) fields += ', '; 
				else first=false;
				fields += tableDd.getFieldLabel(idx[j]);
			}
			fields += ") "
		}
	}
	var msg= AjxMessageFormat.format(CalemMsg.getMsg('error_key_duplication'), [fields])
	return this._getNativeError(msg);
}

/**
 * CalemDboDataNotFoundException
 */
function CalemDboDataNotFoundException(table, errorInfo) {
	if (arguments.length==0) return;
	CalemErrorInfo.call(this, table, errorInfo);
}

CalemDboDataNotFoundException.prototype = new CalemErrorInfo;
CalemDboDataNotFoundException.prototype.constructor=CalemDboDataNotFoundException;

CalemDboDataNotFoundException.prototype.toString = function() {return "CalemDboDataNotFoundException";}

CalemDboDataNotFoundException.prototype.getMessage = 
function() {
	var msg= CalemMsg.getMsg('error_data_not_found')
	return this._getNativeError(msg);
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemSoapUtil
 */
function CalemSoapUtil() {} 

/**
 * Soap call handler
 */
CalemSoapUtil._onSoapCall =
function(soapApi, soapObj, callback, errorCallback, extraInfo) {
	CalemSoapClient.soapCall(soapApi, soapObj, 
		new AjxCallback(null, CalemSoapUtil._onSoapCallback, {api: soapApi, callback: callback, errorCallback: errorCallback, ei: extraInfo}));
}

CalemSoapUtil._onSoapCallback =
function(param, resp) {
	//Analyze error msg.
   if (resp.getException()) {
   	if (param.errorCallback) {
   		param.errorCallback.run(resp);
   	} else { //Show error msg and stop here.
	   	var msg;
	   	if (msg=resp.getErrorMsg()) CalemInfoDialog.showIt(CalemMsg.getMsg('error_server'), msg);
   	}
   } else {//Analyze soap response.
   	eval(['var rsp=', 'resp.getResponse().', param.api, 'Response'].join(''));   	
   	param.callback.run(rsp, param.ei);     
   }
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
/**
 * CalemEvent
 */
function CalemEvent(type, detail) {
	if (arguments.length == 0) return;
	this._type=type;
	this._detail=detail;
	this._items=new AjxVector();
}

/**
 * Cache change event
 */
CalemEvent.CACHE_CHANGE = 'CACHE_CHANGE';

/**
 * Data model change event sent to controls when
 * records are deleted or inserted.
 */
CalemEvent.DATA_CHANGE = 'DATA_CHANGE';

/**
 * Data refresh event sent to controls when
 * data is refreshed from server.
 */
CalemEvent.DATA_REFRESH = 'DATA_REFRESH';

/**
 * Grid selection events - used in list form
 * Used to enable grid toolbar buttons like Open, Delete, Print, etc.
 */
CalemEvent.SELECTION='SEL';
CalemEvent.SINGLE_SELECTION='SEL_1';
CalemEvent.MULTI_SELECTION='SEL_N';
CalemEvent.DBL_CLICK_SELECTION = "SEL_DC";
CalemEvent.NO_SELECTION='SEL_0'

/**
 * New or Edit form's data validation event
 * used to enable/disable buttons like Save.
 */
CalemEvent.DATA_VALID = "DATA_VALID";
CalemEvent.DATA_INVALID = "DATA_INVALID";

/**
 * Record position event.
 * Read form for enable/disable buttons like Edit, Delete, Print, Business logic
 */
CalemEvent.RECORD_POS_FIRST 		="REC_FIRST";
CalemEvent.RECORD_POS_LAST 		="REC_LAST";
CalemEvent.RECORD_POS_MID  		="REC_MID";
CalemEvent.RECORD_POS_FIRST_LAST	="REC_FIRST_LAST";
CalemEvent.RECORD_POS_VALID  		="REC_VALID"; //All above positions.
CalemEvent.RECORD_POS_INVALID  	="REC_INVALID";

/**
 * Record move event (used primarily in MD form for master form)
 * This event cause a new query and detail form updates.
 */
CalemEvent.RECORD_MOVED = "RECORD_MOVED" ;

/**
 * Record refreshed.
 */
CalemEvent.RECORD_CHANGED = "RECORD_CHANGED" ;

/**
 * Record changed event (used primarily in MD form for master form)
 * This event is a local change event for the form.
 */
CalemEvent.EDIT_CHANGED = "EDIT_CHANGED" ;

/**
 * Added another event for no record change.
 */
CalemEvent.EDIT_NO_CHANGE = "EDIT_NO_CHANGE" ;

/**
 * Search edit events
 */
CalemEvent.SEARCH_VALID = 'SEARCH_VALID'; //search is attached.
CalemEvent.SEARCH_NOT_VALID = 'SEARCH_NOT_VALID'; 
CalemEvent.SEARCH_VALID_ALL = 'SEARCH_VALID_ALL'; //search attached with search and name.
CalemEvent.SEARCH_NAME_NOT_VALID = 'SEARCH_NAME_NOT_VALID'; 

/**
 * Search applied event
 */
CalemEvent.SEARCH_APPLIED = 'SEARCH_APPLIED' ;
CalemEvent.SEARCH_REMOVED = 'SEARCH_REMOVED';

//parent rec modified
CalemEvent.PARENT_REC_MODIFIED = 'PARENT_REC_MODIFIED';

CalemEvent.prototype.toString = 
function() {
	return "CalemEvent";
}

CalemEvent.prototype.getType =
function() {
  	return this._type;
}

CalemEvent.prototype.setType =
function(type) {
  	this._type=type;
}

CalemEvent.prototype.getDetail =
function() {
  	return this._detail;
}

CalemEvent.prototype.get =
function(i) {
	return this._items.get(i);
}

CalemEvent.prototype.getItems =
function() {
	return this._items;
}

CalemEvent.prototype.setItems =
function(items) {
	this._items=items;
}

CalemEvent.prototype.add =
function(item) {
	return this._items.add(item);
}

CalemEvent.prototype.size =
function() {
	return this._items.size();
}

/**
 * Event utility functions
 */
CalemEvent.getItem =
function(evt) {
	var evData = evt.item.getData(CalemContext.DATA);
	var item= (evData && evData.event) ? evData.event.getItems().get(0) : null; 
	return item;
}

CalemEvent.getItems =
function(evt) {
	var evData = evt.item.getData(CalemContext.DATA);
	var items= (evData && evData.event) ? evData.event.getItems() : null;
	return items; 
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
 
/**
 * CalemSelectionEvent
 */
function CalemSelectionEvent(dummy) {
	if (arguments.length == 0) return;
	CalemEvent.call(this, CalemEvent.SELECTION);
}

CalemSelectionEvent.prototype = new CalemEvent;
CalemSelectionEvent.prototype.constructor=CalemSelectionEvent;

CalemSelectionEvent.prototype.toString = 
function() {
	return "CalemSelectionEvent";
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
 
/**
 * CalemCacheChangeEvent
 * It includes three detailed events: deleted, updated and inserted.
 * 
 */
function CalemCacheChangeEvent(id) {
	if (arguments.length == 0) return;
	this._id=id;
	this._deleted=new CalemEvent(CalemEvent.CACHE_CHANGE);
	this._updated=new CalemEvent(CalemEvent.CACHE_CHANGE);
	this._inserted=new CalemEvent(CalemEvent.CACHE_CHANGE);
}

CalemCacheChangeEvent.prototype = new CalemEvent;
CalemCacheChangeEvent.prototype.constructor=CalemCacheChangeEvent;

CalemCacheChangeEvent.prototype.toString = 
function() {
	return "CalemCacheChangeEvent";
} 

CalemCacheChangeEvent.prototype.getId =
function() {
	return this._id;
}

CalemCacheChangeEvent.prototype.addDeleted =
function(id) {
	this._deleted.add(id);
}

CalemCacheChangeEvent.prototype.addUpdated =
function(rec) {
	this._updated.add(rec);
}

CalemCacheChangeEvent.prototype.addInserted =
function(rec) {
	this._inserted.add(rec);
}

CalemCacheChangeEvent.prototype.getDeleted =
function() {
	return this._deleted.getItems();
}

CalemCacheChangeEvent.prototype.getUpdated =
function() {
	return this._updated.getItems();
}

CalemCacheChangeEvent.prototype.getInserted =
function() {
	return this._inserted.getItems();
}

CalemCacheChangeEvent.prototype.size =
function() {
	return (this.getUpdated().size()+this.getDeleted().size()+this.getInserted().size());
}

CalemCacheChangeEvent.prototype.setTotal =
function(total) {
	this._total=total;
}

CalemCacheChangeEvent.prototype.getTotal =
function() {
	return this._total;
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
/**
 * CalemDataChangeEvent
 */
function CalemDataChangeEvent(total) {
	if (arguments.length == 0) return;
	CalemEvent.call(this, CalemEvent.DATA_CHANGE);
	this._total=total;
}

CalemDataChangeEvent.prototype = new CalemEvent;
CalemDataChangeEvent.prototype.constructor=CalemDataChangeEvent;

CalemDataChangeEvent.prototype.toString = function() { return "CalemDataChangeEvent"; }

CalemDataChangeEvent.prototype.getTotal =
function() {
	return this._total;
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
/**
 * CalemDataRefreshEvent
 */
function CalemDataRefreshEvent(val) {
	if (arguments.length == 0) return;
	CalemEvent.call(this, CalemEvent.DATA_REFRESH);
}

CalemDataRefreshEvent.prototype = new CalemEvent;
CalemDataRefreshEvent.prototype.constructor=CalemDataRefreshEvent;

CalemDataRefreshEvent.prototype.toString = function() { return "CalemDataRefreshEvent"; }

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
 
/**
 * CalemDataValidEvent
 */
function CalemDataValidEvent(dummy) {
	if (arguments.length == 0) return;
	CalemEvent.call(this, CalemEvent.DATA_VALID);
}

CalemDataValidEvent.prototype = new CalemEvent;
CalemDataValidEvent.prototype.constructor=CalemDataValidEvent;

CalemDataValidEvent.prototype.toString = function() { return "CalemDataValidEvent"; }

/**
 * CalemDataInvalidEvent
 */
function CalemDataInvalidEvent(dummy) {
	if (arguments.length == 0) return;
	CalemEvent.call(this, CalemEvent.DATA_INVALID);
}

CalemDataInvalidEvent.prototype = new CalemEvent;
CalemDataInvalidEvent.prototype.constructor=CalemDataInvalidEvent;

CalemDataInvalidEvent.prototype.toString = function() { return "CalemDataInvalidEvent"; }
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
 
/**
 * CalemRecordPosEvent
 */
function CalemRecordPosEvent(pos) {
	if (arguments.length == 0) return;
	CalemEvent.call(this, pos);
}

CalemRecordPosEvent.prototype = new CalemEvent;
CalemRecordPosEvent.prototype.constructor=CalemRecordPosEvent;

CalemRecordPosEvent.prototype.toString = function() {	return "CalemRecordPosEvent"; }
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
 
/**
 * CalemRecMoveEvent
 */
function CalemRecMoveEvent(fmId) {
	if (arguments.length == 0) return;
	CalemEvent.call(this, CalemEvent.RECORD_MOVED);
	this.add(fmId);
}

CalemRecMoveEvent.prototype = new CalemEvent;
CalemRecMoveEvent.prototype.constructor=CalemRecMoveEvent;

CalemRecMoveEvent.prototype.toString = function() {	return "CalemRecMoveEvent"; }
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
 
/**
 * CalemRecChangeEvent
 */
function CalemRecChangeEvent(rec) {
	if (arguments.length == 0) return;
	CalemEvent.call(this, CalemEvent.RECORD_CHANGED);
	this.add(rec);
}

CalemRecChangeEvent.prototype = new CalemEvent;
CalemRecChangeEvent.prototype.constructor=CalemRecChangeEvent;

CalemRecChangeEvent.prototype.toString = function() {	return "CalemRecChangeEvent"; }
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
 
/**
 * CalemRecEditEvent
 */
function CalemRecEditEvent(rec) {
	if (arguments.length == 0) return;
	CalemEvent.call(this, CalemEvent.EDIT_CHANGED);
	this.add(rec);
}

CalemRecEditEvent.prototype = new CalemEvent;
CalemRecEditEvent.prototype.constructor=CalemRecEditEvent;

CalemRecEditEvent.prototype.toString = function() {	return "CalemRecEditEvent"; }
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
 
/**
 * CalemSearchEditEvent
 */
function CalemSearchEditEvent(type, saveas) {
	if (arguments.length == 0) return;
	CalemEvent.call(this, type);
	this._saveAs=saveas;
}

CalemSearchEditEvent.prototype = new CalemEvent;
CalemSearchEditEvent.prototype.constructor=CalemSearchEditEvent;

CalemSearchEditEvent.prototype.toString = 
function() {
	return "CalemSearchEditEvent";
}

CalemSearchEditEvent.prototype.getSaveAs =
function() {
	return this._saveAs;
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
 
/**
 * CalemParentRecModifiedEvent
 */
function CalemParentRecModifiedEvent(fmId, rec) {
	if (arguments.length == 0) return;
	CalemEvent.call(this, CalemEvent.PARENT_REC_MODIFIED);
	this._fmId=fmId;
	this._rec=rec;
}

CalemParentRecModifiedEvent.prototype = new CalemEvent;
CalemParentRecModifiedEvent.prototype.constructor=CalemParentRecModifiedEvent;

CalemParentRecModifiedEvent.prototype.toString = function() {	return "CalemParentRecModifiedEvent"; }

CalemParentRecModifiedEvent.prototype.getFmId =
function() {
	return this._fmId;
}

CalemParentRecModifiedEvent.prototype.getRec =
function() {
	return this._rec;
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

function CalemModel(dummy) {
	if (arguments.length==0) return;
	this._eventMgr = new AjxEventMgr();
} 

CalemModel.prototype.toString = 
function() {
	return "CalemModel";
}

CalemModel.prototype.addListener = 
function(eventType, listener) {
	return this._eventMgr.addListener(eventType, listener);
}

CalemModel.prototype.removeListener = 
function(eventType, listener) {
	return this._eventMgr.removeListener(eventType, listener);    	
}

CalemModel.prototype.notifyListeners = 
function(eventType, event) {
	return this._eventMgr.notifyListeners(eventType, event);    	
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
 
/**
 * CalemDataGridInfo
 */
function CalemDataGridInfo() {
}

//Required to map to a render.
CalemDataGridInfo.prototype.getClassName = function() {return 'CalemDataGridInfo';}

CalemDataGridInfo.prototype.setJson =
function(obj) {
	this._listInfo=CalemJson.setJson(obj.listInfo);
}

CalemDataGridInfo.prototype.getJson =
function(obj) {
	return ["{CalemDataGridInfo: {listInfo: ", this._listInfo.getJson(), "}}"].join('');
}

CalemDataGridInfo.prototype.getListInfo =
function() {
	return this._listInfo;
}

/**
 * CalemListInfo
 */
function CalemListInfo(colList, noMaximize) {
	this._colList=colList;
	this._noMaximize= (typeof(noMaximize)=='undefined') ? true : noMaximize;
}

CalemListInfo.prototype.setJson =
function(obj) {
	this._noMaximize= (typeof(obj.noMaximize)=='undefined') ? true : obj.noMaximize;
	this._colList=CalemJson.setJsonAsArray(obj.colList);
} 

CalemListInfo.prototype.getJson =
function() {
	return ["{CalemListInfo: {noMaximize: ", this._noMaximize, ", colList: ", 
				CalemJson.arrayToJson(this._colList), "}}"].join('');
}

CalemListInfo.prototype.getNoMaximize =
function() {
	return this._noMaximize;
}

CalemListInfo.prototype.getColList =
function() {
	return this._colList;
}

/**
 * CalemCol
 */
function CalemCol(id, width)  {
	if (arguments.length==0) return;
	this._id=id;
	this._width=width;
}

CalemCol.prototype.setJson =
function(obj) {
	this._id=obj.id;
	this._width=obj.width;
}

CalemCol.prototype.getJson =
function() {
	return ["{CalemCol: {id: '", this._id, "', width: ", this._width, "}}"].join('');
}

CalemCol.prototype.getId =
function() {
	return this._id;
}

CalemCol.prototype.getWidth =
function() {
	return this._width;
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemModuleInfo
 */
function CalemModuleInfo() {
}

CalemModuleInfo.prototype.toString = function() {return "CalemModuleInfo";}

//Deserialize the object
CalemModuleInfo.prototype.setJson =
function(obj) {
   this._id=obj.id;
   this._icon=obj.icon;
   this._admin= obj.admin ? 1 : 0;
   this._defaultMenu=obj.defaultMenu;
   this._toolBar=CalemJson.setJson(obj.toolBar);
}

//Serialize the object
CalemModuleInfo.prototype.getJson =
function() {
	return ["{CalemModuleInfo: {id: '", this._id, "', icon: '", this._icon, "', admin: ", this._admin, ", defaultMenu: '",
	        this._defaultMenu, "', toolBar: ", (this._toolBar? this._toolBar.getJson() : ''), '}}'].join('');
}

//Public API
CalemModuleInfo.prototype.getId = function() {return this._id;}
CalemModuleInfo.prototype.getTitle=function() {return CalemMsg.getMsg(this._id);}
CalemModuleInfo.prototype.getIcon = function() {return this._icon;}
CalemModuleInfo.prototype.getAdmin = function() {return this._admin;}
CalemModuleInfo.prototype.getDefaultMenu = function() {return this._defaultMenu;}
CalemModuleInfo.prototype.getToolBar = function() {return this._toolBar;}

CalemModuleInfo.prototype.getDefaultMenuInfo = 
function() { 
	return CalemJson.setJson({CalemMenuItemInfo: {id: this._defaultMenu}}); 
};

//Place holder for now.
CalemModuleInfo.prototype.getModsum = function() {return null;}

/**
 * CalemToolBarInfo
 */
function CalemToolBarInfo() {
} 

CalemToolBarInfo.prototype.toString = function() {return "CalemToolBarInfo";}
CalemToolBarInfo.prototype.getClassName = function() {return 'CalemToolBarInfo';}

// deserialize
CalemToolBarInfo.prototype.setJson =
function(obj) {
	this._layout=obj.layout;
	this._list=CalemJson.setJsonAsArray(obj.list);
}

// deserialize
CalemToolBarInfo.prototype.getJson =
function() {
	return ["{", this.getClassName(), ": {layout: ", CalemJson.arrayToJson(this._layout), ", list: ", CalemJson.arrayToJson(this._list), '}}'].join('');
}

// Public APIs
CalemToolBarInfo.prototype.getList = function() {return this._list;}
CalemToolBarInfo.prototype.getLayout = function() {return this._layout;}


/**
 * CalemToolBarDesignInfo
 */
function CalemToolBarDesignInfo() {
} 

CalemToolBarDesignInfo.prototype = new CalemToolBarInfo();
CalemToolBarDesignInfo.prototype.constructor=CalemToolBarDesignInfo;

CalemToolBarDesignInfo.prototype.toString = function() {return "CalemToolBarDesignInfo";}
CalemToolBarDesignInfo.prototype.getClassName = function() {return 'CalemToolBarDesignInfo';}

/**
 * CalemMenuItemInfo
 * This is the generic structure used as either a button or menu item.
 */
function CalemMenuItemInfo() {}

CalemMenuItemInfo.prototype.toString = function() {return "CalemMenuItemInfo";} 

CalemMenuItemInfo.prototype.setJson =
function(obj) {
	this._id=obj.id;
	this._customInfo=CalemJson.setJson(obj.customInfo);
	this._def=CalemMenuDef[this._id]; //This is where all the info are stored.
	this._onSelect=CalemJson.setJson(this._def.onSelect);
}

CalemMenuItemInfo.prototype.getJson =
function(obj) {
	var rtn=["{", this._getClassName(), ": {id: '", this._id, "'"].join(''); 
	if (this._customInfo) {
		rtn=[rtn, ", customInfo: "+this._customInfo.getJson()].join('');	
	}
	return [rtn, "}}"].join('');
}

CalemMenuItemInfo.prototype._getClassName =
function() {
	return 'CalemMenuItemInfo';
}

CalemMenuItemInfo.prototype.getCustomInfo =
function() {
	return this._customInfo;
}

CalemMenuItemInfo.prototype.getId =
function() {
	return this._id;
}

CalemMenuItemInfo.prototype.getDef =
function() {
	return this._def;
}

CalemMenuItemInfo.prototype.getTitle =
function() {
	return CalemMsg.getMsg(this._def.title);
}

CalemMenuItemInfo.prototype.getIcon =
function() {
	return this._def.icon;
}

CalemMenuItemInfo.prototype.getBtnStyle =
function() {
	return CalemConf['menuListInfo']['btn'].style;
}

CalemMenuItemInfo.prototype.getBtnClassName =
function() {
	return CalemConf['menuListInfo']['btn'].className;
}

/**
 * Need to use getters for customization
 */
CalemMenuItemInfo.prototype.getEnabled =
function() {
	return (this._customInfo && this._customInfo.getEnabled()!=null)? this._customInfo.getEnabled() : this._def.enabled;
}

//CustomInfo
CalemMenuItemInfo.prototype.getListenerName =
function() {
	var rtn = (this._customInfo ? this._customInfo.getListenerName() : null);
	if (!rtn) {
		 rtn = this._onSelect ? this._onSelect.getListenerName() : null;
	}
 	return rtn;
}

/**
 * CalemMenuButtonInfo 
 * This is the intrim menu button it will not display if its menu tree is empty.
 */
function CalemMenuButtonInfo() {}

CalemMenuButtonInfo.prototype.toString = function() {return "CalemMenuButtonInfo";}

CalemMenuButtonInfo.prototype=new CalemMenuItemInfo;
CalemMenuButtonInfo.prototype.constructor=CalemMenuButtonInfo;

CalemMenuButtonInfo.prototype._getClassName =
function() {
	return 'CalemMenuButtonInfo';
}

/**
 * CalemButtonInfo
 * This is the button to display on a toolbar.
 */
function CalemButtonInfo() {}

CalemButtonInfo.prototype=new CalemMenuItemInfo;
CalemButtonInfo.prototype.constructor=CalemButtonInfo;

CalemButtonInfo.prototype.toString = function() {return "CalemButtonInfo";}

CalemButtonInfo.prototype._getClassName =
function() {
	return 'CalemButtonInfo';
}

/**
 * CalemMenuInfo
 * This is one menu sub tree.
 */
function CalemMenuInfo(btnInfo, menuList) {
	if (arguments.length==0) return;
	this._menuButton = btnInfo;
	this._menuList=menuList;
}

CalemMenuInfo.prototype.toString = function() {return 'CalemMenuInfo';}

CalemMenuInfo.prototype.setJson =
function(obj) {
	this._menuButton=CalemJson.setJson(obj.menuButton);
	this._menuList=CalemJson.setJsonAsArray(obj.menuList);
}

CalemMenuInfo.prototype.getJson =
function(obj) {
	var rtn=["{CalemMenuInfo: {menuButton: ", this._menuButton.getJson()].join('');
	if (this._menuList) {
		rtn=[rtn, ", menuList: ", CalemJson.arrayToJson(this._menuList)].join('');
	}
	return [rtn, "}}"].join('');
}

CalemMenuInfo.prototype.getId =
function() {
	return this._menuButton.getId();
} 


CalemMenuInfo.prototype.getMenuButton =
function() {
	return this._menuButton;
} 

CalemMenuInfo.prototype.hasMenu =
function() {
	return (this._menuList ? this._menuList.length > 0 : false);
}

CalemMenuInfo.prototype.getMenuList =
function() {
	return this._menuList;
} 

/**
 * CalemMenuCustomInfo
 */
function CalemMenuCustomInfo() {
}

CalemMenuCustomInfo.prototype.setJson =
function(obj) {
	this._onSelect=CalemJson.setJson(obj.onSelect);
	this._enabled=obj.enabled;
	this._impl=CalemJson.setJson(obj.impl);
	this._eventMap=new Object();
	this._eventList=new Array();
	CalemJson.setJsonByArray(obj.events, this);
}

CalemMenuCustomInfo.prototype.add =
function(event) {
	this._eventList.push(event);
	this._eventMap[event.getId()]=event;
}

CalemMenuCustomInfo.prototype.getJson =
function() {
	var rtn=["{CalemMenuCustomInfo: {onSelect: ", (this._onSelect ? this._onSelect.getJson(): 'null')].join('');
	if (this._enabled != null) {
		rtn=[rtn, ', enabled: ', this._enabled].join('');
	}
	if (this._impl) {
		rtn=[rtn, ', impl: ', this._impl.getJson()].join('');
	}
	if (this._eventList) {
		rtn=[rtn, ", events: ", CalemJson.arrayToJson(this._eventList)].join('');
	}
	return [rtn, "}}"].join('');
}

//Public APIs
CalemMenuCustomInfo.prototype.getEnabled =
function() {
	return this._enabled;
}
CalemMenuCustomInfo.prototype.getImpl =
function() {
	return this._impl;
}

CalemMenuCustomInfo.prototype.getListenerName =
function() {
	return (this._onSelect)? this._onSelect.getListenerName() : null;
}

CalemMenuCustomInfo.prototype.getEventList =
function() {
	return this._eventList;
}

CalemMenuCustomInfo.prototype.getEventById =
function(id) {
	return this._eventMap[id];
}

CalemMenuCustomInfo.prototype.getEventMap =
function(id) {
	return this._eventMap;
}

/**
 * CalemMenuSelect
 */
function CalemMenuSelect() {}

CalemMenuSelect.prototype.setJson =
function(obj) {
	this._listener=obj.listener;
}

CalemMenuSelect.prototype.getJson =
function() {
	return ["{CalemMenuSelect: {listener: '", this._listener, "'}}"].join('');
}

CalemMenuSelect.prototype.getListenerName =
function() {
	return this._listener;
}

/**
 * CalemEventInfo
 */
function CalemEventInfo() {}

CalemEventInfo.prototype.setJson =
function(obj) {
	this._id=obj.id;
	this._func=obj.func;
}

CalemEventInfo.prototype.getJson =
function() {
	return ["{CalemEventInfo: {id: '", this._id, "', func: '", this._func, "'}}"].join('');
}

CalemEventInfo.prototype.getId =
function() {
	return this._id;
}

CalemEventInfo.prototype.getFunction =
function() {
	return this._func;
}

/**
 * CalemSeparator
 */
function CalemSeparator() {} 

CalemSeparator.prototype.setJson =
function(obj) {
    this._id=obj.id;
	this._className=obj.className;
}

CalemSeparator.prototype.getId =
function() {
	return this._id;
}

CalemSeparator.prototype.getTitle =
function() {
	return CalemMsg.getMsg('separator');
}

CalemSeparator.prototype.getClassName =
function() {
	return this._className;
}

CalemSeparator.prototype.getJson =
function() {
	return ["{CalemSeparator: {id: '", this._id, "', className: '", this._className, "'}}"].join('');
}


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemViewInfo
 */
function CalemViewInfo() {
}

CalemViewInfo.prototype.toString = function() {return "CalemViewInfo";}
CalemViewInfo.prototype.getClassName = function() {return "CalemViewInfo";}

//Deserialize the object
CalemViewInfo.prototype.setJson =
function(obj) {
   this._id=obj.id;
   this._layout=CalemJson.setJson(obj.layout);
   this._itemMap=CalemJson.setJson(obj.itemMap);
}

//Serialization
CalemViewInfo.prototype.getJson =
function() {
	return ["{CalemViewInfo: {id: '", this._id, "', layout: ", this._layout.getJson(), 
	              ", itemMap: ", this._itemMap.getJson(), "}}"].join('');
}

CalemViewInfo.prototype.getId =
function() {
	return this._id;
}

CalemViewInfo.prototype.getLayout =
function() {
	return this._layout;
}

CalemViewInfo.prototype.getItem =
function(id) {
	return this._itemMap.get(id);
}

CalemViewInfo.prototype.getItemMap =
function() {
	return this._itemMap;
}

/**
 * CalemLayoutInfo
 */
function CalemLayoutInfo() {}

CalemLayoutInfo.prototype.toString = function() {return 'CalemLayoutInfo';}

CalemLayoutInfo.prototype.setJson =
function(obj) {
	this._tableLayout=CalemJson.setJson(obj.tableLayout);
	this._colLayout=CalemJson.setJson(obj.colLayout);
	this._rows = CalemJson.setJsonAsArray(obj.rows);
}

CalemLayoutInfo.prototype.getJson =
function() {
	return ["{CalemLayoutInfo: {tableLayout: ", this._tableLayout.getJson(), ", colLayout: ", this._colLayout.getJson(), 
	               ", rows: ", CalemJson.arrayToJson(this._rows), "}}"].join('');
}

CalemLayoutInfo.prototype.getColLayout =
function() {
	return this._colLayout;
}

CalemLayoutInfo.prototype.getTableLayout =
function() {
	return this._tableLayout;
}

CalemLayoutInfo.prototype.getRows =
function() {
	return this._rows;
}

/**
 * CalemTableLayoutInfo
 */
function CalemTableLayoutInfo() {}

CalemTableLayoutInfo.prototype.toString = function() {return 'CalemTableLayoutInfo';}

CalemTableLayoutInfo.prototype.setJson =
function(obj) {
	this._width=obj.width;
	this._height=obj.height;
}

CalemTableLayoutInfo.prototype.getJson =
function() {
	return ["{CalemTableLayoutInfo: {width: ", this._width !=null ? ["'", this._width, "'"].join('') : 'null', ", height:", 
	           this._height!=null ? this._height : 'null', "}}"].join('');
}

CalemTableLayoutInfo.prototype.getWidth =
function() {
	return this._width;
}

CalemTableLayoutInfo.prototype.getHeight =
function() {
	return this._height;
}


/**
 * CalemColLayoutInfo
 */
function CalemColLayoutInfo() {}

CalemColLayoutInfo.prototype.toString = function() {return 'CalemColLayoutInfo';}

CalemColLayoutInfo.prototype.setJson =
function(obj) {
	this._colCount=obj.colCount;
}

CalemColLayoutInfo.prototype.getJson =
function() {
	return ["{CalemColLayoutInfo: {colCount: ", this._colCount,"}}"].join('');
}

CalemColLayoutInfo.prototype.getColCount =
function() {
	return this._colCount;
}

/**
 * CalemTrInfo
 */
function CalemTrInfo(cols, height) {
	if (arguments.length==0) return;
	this._height= height || CalemViewUtil.H_AUTO;
	this._cols = cols;
}

CalemTrInfo.prototype.toString = function() {return 'CalemTrInfo';}

CalemTrInfo.prototype.setJson =
function(obj) {
	this._height=obj.height ? obj.height : CalemViewUtil.H_AUTO;
	this._cols=obj.cols;
}

CalemTrInfo.prototype.getJson =
function() {
	return ["{CalemTrInfo: {height: ", this._height,", cols: ", CalemJson.arrayToJson(this._cols), "}}"].join('');
}

CalemTrInfo.prototype.getHeight =
function() {
	return this._height;
}

CalemTrInfo.prototype.getCols =
function() {
	return this._cols;
}

/**
 * CalemItemMap
 */
function CalemItemMap() {}

CalemItemMap.prototype.toString = function() {return "CalemItemMap";}

CalemItemMap.prototype.setJson =
function(obj) {
	this._itemMap=CalemJson.setJsonByMap(obj);
}

CalemItemMap.prototype.getJson = 
function() {
	return ["{CalemItemMap: ", CalemJson.mapToJson(this._itemMap), "}"].join('');
}

CalemItemMap.prototype.get =
function(id) {
	return this._itemMap[id];
}

CalemItemMap.prototype.getMap =
function() {
	return this._itemMap;
}

/**
 * CalemLabelInfo
 */
function CalemLabelInfo() {}

CalemLabelInfo.prototype.toString = function() {return "CalemLabelInfo";}
CalemLabelInfo.prototype.getClassName = function() {return "CalemLabelInfo";}

CalemLabelInfo.prototype.setJson =
function(obj) {
	this._id=obj.id;
	this._ccsClass=obj.className;
	this._icon=obj.icon;
}

CalemLabelInfo.prototype.getJson = 
function() {
	var rtn=["{CalemLabelInfo: {id: '", this._id, "'"].join('');
	if (this._ccsClass) rtn=[rtn, ", className: '", this._ccsClass, "'"].join('');
	if (this._icon) rtn=[rtn, ", icon: '", this._icon,"'"].join('');
	return [rtn, "}}"].join('');
}

//Service APIs
CalemLabelInfo.prototype.getId =
function() {
	return this._id;
}

CalemLabelInfo.prototype.getCcsClass =
function() {
	return this._ccsClass;
}

CalemLabelInfo.prototype.getIcon =
function() {
	return this._icon;
}

CalemLabelInfo.prototype.getLabel =
function() {
	return CalemMsg.getMsg(this._id);
}

/**
 * CalemDesignLabelInfo
 */
function CalemDesignLabelInfo() {}

CalemDesignLabelInfo.prototype = new CalemLabelInfo();
CalemDesignLabelInfo.prototype.constructor=CalemDesignLabelInfo;

CalemDesignLabelInfo.prototype.toString = function() {return "CalemDesignLabelInfo";}
CalemDesignLabelInfo.prototype.getClassName = function() {return "CalemDesignLabelInfo";}

/**
 * CalemFieldLabelInfo
 */
function CalemFieldLabelInfo(fld) {
	if (arguments.length==0) return;
	this._field=fld;
}

CalemFieldLabelInfo.prototype.toString = function() {return "CalemFieldLabelInfo";}
CalemFieldLabelInfo.prototype.getClassName = function() {return "CalemFieldLabelInfo";}

CalemFieldLabelInfo.prototype.setJson =
function(obj) {
	this._field=obj.field;
}

CalemFieldLabelInfo.prototype.getJson = 
function() {
	return ["{CalemFieldLabelInfo: {field: '", this._field, "'}}"].join('');
}

//Service APIs
CalemFieldLabelInfo.prototype.getField =
function() {
	return this._field;
}

/**
 * CalemFieldInfo
 */
function CalemFieldInfo(fld) {
	if (arguments.length==0) return;
	this._field=fld;
}

CalemFieldInfo.prototype.toString = function() {return "CalemFieldInfo";}
CalemFieldInfo.prototype.getClassName = function() {return "CalemFieldInfo";}

CalemFieldInfo.prototype.setJson =
function(obj) {
	this._field=obj.field;
}

CalemFieldInfo.prototype.getJson = 
function() {
	return ["{CalemFieldInfo: {field: '", this._field, "'}}"].join('');
}

//Service APIs
CalemFieldInfo.prototype.getField =
function() {
	return this._field;
}

/**
 * CalemHSeparatorInfo
 */
function CalemHSeparatorInfo() {}

CalemHSeparatorInfo.prototype.toString = function() {return "CalemHSeparatorInfo";}
CalemHSeparatorInfo.prototype.getClassName = function() {return "CalemHSeparatorInfo";}

CalemHSeparatorInfo.prototype.setJson =
function(obj) {
	this._size=obj;
}

CalemHSeparatorInfo.prototype.getJson = 
function() {
	return ["{CalemHSeparatorInfo: ", this._size+"}"].join('');
}

//Service APIs
CalemHSeparatorInfo.prototype.getCssClassName =
function() {
	return CalemConf['view_engine']['hsepClassName'];
}

/**
 * CalemDesignSelectInfo
 */
function CalemDesignSelectInfo() {}

CalemDesignSelectInfo.prototype.toString = function() {return "CalemDesignSelectInfo";}
CalemDesignSelectInfo.prototype.getClassName = function() {return "CalemDesignSelectInfo";}

CalemDesignSelectInfo.prototype.setJson =
function(obj) {
	this._size=obj.size;
}

CalemDesignSelectInfo.prototype.getJson = 
function() {
	return ["{CalemDesignSelectInfo: {size: ", this._size+"}}"].join('');
}

//Service APIs
CalemDesignSelectInfo.prototype.getSize =
function() {
	return this._size;
}

/**
 * CalemRecordDesignTreeInfo
 */
function CalemRecordDesignTreeInfo() {}

CalemRecordDesignTreeInfo.prototype.toString = function() {return "CalemRecordDesignTreeInfo";}
CalemRecordDesignTreeInfo.prototype.getClassName = function() {return "CalemRecordDesignTreeInfo";}

CalemRecordDesignTreeInfo.prototype.setJson =
function(obj) {
}

CalemRecordDesignTreeInfo.prototype.getJson = 
function() {
	return ["{CalemDesignRecordTreeInfo: true}"].join('');
}

/**
 * CalemListDesignTreeInfo
 */
function CalemListDesignTreeInfo() {}

CalemListDesignTreeInfo.prototype.toString = function() {return "CalemListDesignTreeInfo";}
CalemListDesignTreeInfo.prototype.getClassName = function() {return "CalemListDesignTreeInfo";}

CalemListDesignTreeInfo.prototype.setJson =
function(obj) {
}

CalemListDesignTreeInfo.prototype.getJson = 
function() {
	return ["{CalemListDesignTreeInfo: true}"].join('');
}


//Edit schedule info
function CalemEditScheduleInfo(fld) {
	if (arguments.length==0) return;
	this._field=fld;
}

CalemEditScheduleInfo.prototype.toString = function() {return "CalemEditScheduleInfo";}
CalemEditScheduleInfo.prototype.getClassName = function() {return "CalemEditScheduleInfo";}

CalemEditScheduleInfo.prototype.setJson =
function(obj) {
	this._field=obj.field;
}

CalemEditScheduleInfo.prototype.getJson = 
function() {
	return ["{CalemEditScheduleInfo: {field: '", this._field, "'}}"].join('');
}

CalemEditScheduleInfo.prototype.getField =
function() {
	return this._field;
}

//Edit schedule time info
function CalemEditScheduleTimeInfo(fld) {
	if (arguments.length==0) return;
	this._field=fld;
}

CalemEditScheduleTimeInfo.prototype.toString = function() {return "CalemEditScheduleTimeInfo";}
CalemEditScheduleTimeInfo.prototype.getClassName = function() {return "CalemEditScheduleTimeInfo";}

CalemEditScheduleTimeInfo.prototype.setJson =
function(obj) {
	this._field=obj.field;
}

CalemEditScheduleTimeInfo.prototype.getJson = 
function() {
	return ["{CalemEditScheduleTimeInfo: {field: '", this._field, "'}}"].join('');
}

CalemEditScheduleTimeInfo.prototype.getField =
function() {
	return this._field;
}

/**
 * CalemChartInfo
 */
function CalemChartInfo(id) {
	if (arguments.length==0) return;
	this._id=id;
}

CalemChartInfo.prototype.toString = function() {return "CalemChartInfo";}
CalemChartInfo.prototype.getClassName = function() {return "CalemChartInfo";}

CalemChartInfo.prototype.setJson =
function(obj) {
	this._id=obj.id;
}

CalemChartInfo.prototype.getJson = 
function() {
	return ["{CalemChartInfo: {id: '", this._id, "'}}"].join('');
}

//Service APIs
CalemChartInfo.prototype.getId =
function() {
	return this._id;
}

//Line charts
function CalemChartLineInfo(id) {
	if (arguments.length==0) return;
	CalemChartInfo.call(this, id);
}

CalemChartLineInfo.prototype = new CalemChartInfo;
CalemChartLineInfo.prototype.constructor = CalemChartLineInfo

CalemChartLineInfo.prototype.toString = function() {return "CalemChartLineInfo";}
CalemChartLineInfo.prototype.getClassName = function() {return "CalemChartLineInfo";}

//Pie charts
function CalemChartPieInfo(id) {
	if (arguments.length==0) return;
	CalemChartInfo.call(this, id);
}

CalemChartPieInfo.prototype = new CalemChartInfo;
CalemChartPieInfo.prototype.constructor = CalemChartPieInfo

CalemChartPieInfo.prototype.toString = function() {return "CalemChartPieInfo";}
CalemChartPieInfo.prototype.getClassName = function() {return "CalemChartPieInfo";}

//Column charts
function CalemChartColumnInfo(id) {
	if (arguments.length==0) return;
	CalemChartInfo.call(this, id);
}

CalemChartColumnInfo.prototype = new CalemChartInfo;
CalemChartColumnInfo.prototype.constructor = CalemChartColumnInfo

CalemChartColumnInfo.prototype.toString = function() {return "CalemChartColumnInfo";}
CalemChartColumnInfo.prototype.getClassName = function() {return "CalemChartColumnInfo";}

/**
 * CalemFileUploadInfo
 */
function CalemFileUploadInfo(fld) {
	if (arguments.length==0) return;
	this._field=fld;
}

CalemFileUploadInfo.prototype.toString = function() {return "CalemFileUploadInfo";}
CalemFileUploadInfo.prototype.getClassName = function() {return "CalemFileUploadInfo";}

CalemFileUploadInfo.prototype.setJson =
function(obj) {
	this._field=obj.field;
}

CalemFileUploadInfo.prototype.getJson = 
function() {
	return ["{", this.toString(), ": {field: '", this._field, "'}}"].join('');
}

CalemFileUploadInfo.prototype.getField =
function() {
	return this._field;
}

/**
 * CalemEditFileUploadInfo
 */
function CalemEditFileUploadInfo(fld) {
	if (arguments.length==0) return;
	CalemFileUploadInfo.call(this, fld);
}


CalemEditFileUploadInfo.prototype = new CalemFileUploadInfo;
CalemEditFileUploadInfo.prototype.constructor = CalemEditFileUploadInfo;


CalemEditFileUploadInfo.prototype.toString = function() {return "CalemEditFileUploadInfo";}
CalemEditFileUploadInfo.prototype.getClassName = function() {return "CalemEditFileUploadInfo";}

/**
 * CalemNewFileUploadInfo
 */
function CalemNewFileUploadInfo(fld) {
	if (arguments.length==0) return;
	CalemFileUploadInfo.call(this, fld);
}


CalemNewFileUploadInfo.prototype = new CalemFileUploadInfo;
CalemNewFileUploadInfo.prototype.constructor = CalemNewFileUploadInfo;


CalemNewFileUploadInfo.prototype.toString = function() {return "CalemNewFileUploadInfo";}
CalemNewFileUploadInfo.prototype.getClassName = function() {return "CalemNewFileUploadInfo";}

/**
 * CalemReadFileUploadInfo
 */
function CalemReadFileUploadInfo(fld) {
	if (arguments.length==0) return;
	CalemFileUploadInfo.call(this, fld);
}


CalemReadFileUploadInfo.prototype = new CalemFileUploadInfo;
CalemReadFileUploadInfo.prototype.constructor = CalemReadFileUploadInfo;


CalemReadFileUploadInfo.prototype.toString = function() {return "CalemReadFileUploadInfo";}
CalemReadFileUploadInfo.prototype.getClassName = function() {return "CalemReadFileUploadInfo";}

/**
 * CalemReadFileAttachmentInfo
 */
function CalemReadFileAttachmentInfo(fld) {
	if (arguments.length==0) return;
	CalemFileUploadInfo.call(this, fld);
}


CalemReadFileAttachmentInfo.prototype = new CalemFileUploadInfo;
CalemReadFileAttachmentInfo.prototype.constructor = CalemReadFileAttachmentInfo;


CalemReadFileAttachmentInfo.prototype.toString = function() {return "CalemReadFileAttachmentInfo";}
CalemReadFileAttachmentInfo.prototype.getClassName = function() {return "CalemReadFileAttachmentInfo";}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemViewCustomInfo
 * This object stores the custom acl and layout for a view.
 */
function CalemViewCustomInfo(id, acl, layout) {
	if (arguments.length==0) return;
	this._id=id;
	this._acl=acl;
	this._layout=layout;
}

CalemViewCustomInfo.prototype.toString = function() {return "CalemViewCustomInfo";}
CalemViewCustomInfo.prototype.getClassName = function() {return "CalemViewCustomInfo";}

//Deserialize the object
CalemViewCustomInfo.prototype.setJson =
function(obj) {
	this._id=obj.id;
   this._acl=CalemJson.setJson(obj.acl);
   this._layout= (obj.layout ? CalemJson.setJson(obj.layout) : null);
}

//Serialization
CalemViewCustomInfo.prototype.getJson =
function() {
	return ["{CalemViewCustomInfo: {id: '", this._id, "', acl: ", this._acl.getJson(), 
					", layout: ", (this._layout ? this._layout.getJson() : 'null'),"}}"].join('');
}

CalemViewCustomInfo.prototype.getId =
function() {
	return this._id;
}

CalemViewCustomInfo.prototype.getAcl =
function() {
	return this._acl;
}

CalemViewCustomInfo.prototype.getLayout =
function() {
	return this._layout;
}

CalemViewCustomInfo.prototype.setLayout =
function(layout) {
	this._layout=layout;
}

//Acl api
CalemViewCustomInfo.prototype.checkViewAcl =
function(id) {
	return (this._acl) ? this._acl.checkViewAcl(id) : true;
}

CalemViewCustomInfo.prototype.checkTbAcl =
function(id) {
	return (this._acl) ? this._acl.checkTbAcl(id) : true;
}

/**
 * Creating a custom view layout.
 */
CalemViewCustomInfo.getFieldLabelId =
function(fld) {
	return ['flb_', fld].join('');
} 

CalemViewCustomInfo.createCustomLayout =
function(viewInfo, tableDd, fldList, excludeList) {	
	var ci=CalemCustomViewManager.getInstance()._getEmptyCustomInfo();
	var tbLayout=viewInfo.getItem('toolbar').getLayout();
	var rows=viewInfo.getLayout().getRows();
	var colCount=viewInfo.getLayout().getColLayout().getColCount();
	var i=0;
	while (i < fldList.length) {
		if (excludeList) {
			var found=false;
			for (var ei=0; ei<excludeList.length; ei++) {
				if (excludeList[ei]==fldList[i]) {
					found=true;
					break;
				}
			}
			if (found) {
				i++;
				continue;
			}
		}
		var j=0;
		var ar=[];
		while (j < colCount) { 
			ar.push(CalemViewCustomInfo.getFieldLabelId(fldList[i]));
			ar.push(fldList[i]);
			i +=1;
			j +=2;
			if (i >= fldList.length) {
				break;
			}
		}
		if (j < colCount) { //End of fldList.
			while (j++ < colCount) {
				ar.push('CalemColDesign'); //Fill it up.
			}			
		}
		
		//Creating a row.
		var tr=new CalemTrInfo(ar);
		rows.push(tr);
		if (i >= fldList.length) break;
	}
	var vl=new CalemViewLayoutInfo(tbLayout, rows);
	ci.setLayout(vl);
	return ci;
}

/**
 * CalemViewAclInfo
 */
function CalemViewAclInfo(tbAcl, viewAcl) {
	if (arguments.length==0) return;
	this._tbAcl=tbAcl;
	this._viewAcl=viewAcl;
}

CalemViewAclInfo.prototype.toString = function() {return "CalemViewAclInfo";}
CalemViewAclInfo.prototype.getClassName = function() {return "CalemViewAclInfo";}

//Deserialize the object
CalemViewAclInfo.prototype.setJson =
function(obj) {
   this._tbAcl=new CalemAclInfo(obj.tbAcl);
   this._viewAcl=new CalemAclInfo(obj.viewAcl);
}

//Serialization
CalemViewAclInfo.prototype.getJson =
function() {
	return ["{CalemViewAclInfo: {tbAcl: ", this._tbAcl.getJson(), 
					", viewAcl: ", this._viewAcl.getJson(),"}}"].join('');
}

CalemViewAclInfo.prototype.getTbAcl =
function() {
	return this._tbAcl;
}

CalemViewAclInfo.prototype.getViewAcl =
function() {
	return this._viewAcl;
}

CalemViewAclInfo.prototype.checkViewAcl =
function(id) {
	return (this._viewAcl ? this._viewAcl.checkAcl(id) : true);
}

CalemViewAclInfo.prototype.checkTbAcl =
function(id) {
	return (this._tbAcl ? this._tbAcl.checkAcl(id) : true);
}

/**
 * Support aggregation
 */
CalemViewAclInfo.prototype.aggregate =
function(viewAcl) {
	if (viewAcl._tbAcl) {
		this._tbAcl.aggregate(viewAcl._tbAcl);
	}
	if (viewAcl._viewAcl) {
		this._viewAcl.aggregate(viewAcl._viewAcl);
	}
}

/**
 * CalemViewLayoutInfo
 */
function CalemViewLayoutInfo(tbLayout, viewLayout, gridLayout) {
	if (arguments.length==0) return;
	this._tbLayout=tbLayout;
	this._viewLayout=viewLayout;
	this._gridLayout=gridLayout;
}

CalemViewLayoutInfo.prototype.toString = function() {return "CalemViewLayoutInfo";}
CalemViewLayoutInfo.prototype.getClassName = function() {return "CalemViewLayoutInfo";}

//Deserialize the object
CalemViewLayoutInfo.prototype.setJson =
function(obj) {
   this._tbLayout=obj.tbLayout;
   this._viewLayout=CalemJson.setJsonAsArray(obj.viewLayout);
   this._gridLayout=CalemJson.setJson(obj.gridLayout);
}

//Serialization
CalemViewLayoutInfo.prototype.getJson =
function() {
	return ["{CalemViewLayoutInfo: {tbLayout: ", CalemJson.arrayToJson(this._tbLayout), 
					", viewLayout: ", CalemJson.arrayToJson(this._viewLayout),
					(this._gridLayout ? [", gridLayout: ", this._gridLayout.getJson()].join('') : '')
					,"}}"].join('');
}

CalemViewLayoutInfo.prototype.getTbLayout =
function() {
	return this._tbLayout;
}

CalemViewLayoutInfo.prototype.getViewLayout =
function() {
	return this._viewLayout;
}

CalemViewLayoutInfo.prototype.getGridLayout =
function() {
	return this._gridLayout;
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemFormInfo
 */
function CalemFormInfo() {
}

CalemFormInfo.prototype.toString = function() {return "CalemFormInfo";}
CalemFormInfo.prototype.getClassName = function() {return "CalemFormInfo";}

//Deserialize the object
CalemFormInfo.prototype.setJson =
function(obj) {
   this._id=obj.id;
   this._title=obj.title;
   this._icon=obj.icon;
   this._controller=obj.controller;
   this._model=obj.model;
   this._view=CalemJson.setJson(obj.view);
   this._replaceType=obj.replaceType;
   this._searchFormId=obj.searchFormId;
}

CalemFormInfo.getFormInfo =
function(id) {
	return CalemJson.setJson(CalemItemDef[id]);
}

CalemFormInfo.getFormDesignText =
function(id) {
	var fmInfo=CalemFormInfo.getFormInfo(id);
	text=[fmInfo.getTitleMsg(), '-', id].join('');
	return text;
}

//Serialization
CalemFormInfo.prototype.getJson =
function() {
	return ["{CalemFormInfo: {id: '", this._id, "', title: '", this._title,"', icon: '", 
	              this._icon, "', controller: '", this._controller, "', model: '", this._model,
	              "', view: ", this._view.getJson(), ", replaceType: ", this._replaceType,
	              (this._searchFormId ? [", searchFormId: '", this._searchFormId, "'"].join('') : ''), "}}"].join('');
}

CalemFormInfo.prototype.getId =
function() {
	return this._id;
}

CalemFormInfo.prototype.getTitle =
function() {
	return this._title;
}

CalemFormInfo.prototype.getTitleMsg =
function() {
	return CalemMsg.getMsg(this._title);
}

CalemFormInfo.prototype.getIcon =
function(id) {
	return this._icon;
}

CalemFormInfo.prototype.getController =
function() {
	return this._controller;
}

CalemFormInfo.prototype.getModel =
function() {
	return this._model;
}

CalemFormInfo.prototype.getView =
function() {
	return this._view;
}

CalemFormInfo.prototype.getReplaceType =
function() {
	return this._replaceType;
}

CalemFormInfo.prototype.getSearchFormId =
function() {
	return this._searchFormId;
}

/**
 * CalemViewRefInfo
 */
function CalemViewRefInfo() {
}

CalemViewRefInfo.prototype.toString = function() {return "CalemViewRefInfo";}
CalemViewRefInfo.prototype.getClassName = function() {return "CalemViewRefInfo";}

//Deserialize the object
CalemViewRefInfo.prototype.setJson =
function(obj) {
   this._id=obj.id;
   this._impl=obj.impl;
}

//Serialization
CalemViewRefInfo.prototype.getJson =
function() {
	return ["{CalemViewRefInfo: {id: '", this._id, "'",
	      (this._impl ? [", impl: '", this._impl,"'"].join('') : ''), "}}"].join('');
}

// Public APIs
CalemViewRefInfo.prototype.getId =
function() {
	return this._id;
}

CalemViewRefInfo.prototype.getImpl =
function() {
	return this._impl;
}

/**
 * CalemFormErrorInfo
 */
function CalemFormErrorInfo() {
}

CalemFormErrorInfo.prototype.toString = function() {return "CalemFormErrorInfo";}
CalemFormErrorInfo.prototype.getClassName = function() {return "CalemFormErrorInfo";}

//Deserialize the object
CalemFormErrorInfo.prototype.setJson =
function(obj) {
   this._id=obj.id;
}

//Serialization
CalemFormErrorInfo.prototype.getJson =
function() {
	return ["{CalemFormErrorInfo: {id: '", this._id, "'}}"].join('');
}

// Public APIs
CalemFormErrorInfo.prototype.getId =
function() {
	return this._id;
}

/**
 * CalemFormMdTabInfo
 * Multi-tab form descriptors.
 */
function CalemFormMdTabInfo() {
}

CalemFormMdTabInfo.prototype.toString = function() {return "CalemFormMdTabInfo";}
CalemFormMdTabInfo.prototype.getClassName = function() {return "CalemFormMdTabInfo";}

//Deserialize the object
CalemFormMdTabInfo.prototype.setJson =
function(obj) {
   this._id=obj.id;
   this._title=obj.title;
   this._icon=obj.icon;
   this._replaceType=obj.replaceType;
   this._controller=obj.controller;
   //Layout, model and itemMap
   this._layout=CalemJson.setJson(obj.layout);
   this._model=CalemJson.setJson(obj.model);
   this._itemMap=CalemJson.setJson(obj.itemMap);
}

//Serialization
CalemFormMdTabInfo.prototype.getJson =
function() {
	return ["{", this.toString(),": {id: '", this._id, "', title: '", this._title,"', icon: '", 
	              this._icon, "', replaceType: ", this._replaceType,", layout: ", this._layout.getJson(), 
	              ", model: ", (this._model ? this._model.getJson() : "''"), ", itemMap: ", this._itemMap.getJson(), "}}"].join('');
}

CalemFormMdTabInfo.prototype.getId =
function() {
	return this._id;
}

CalemFormMdTabInfo.prototype.getController =
function() {
	return this._controller;
}

CalemFormMdTabInfo.prototype.getTitle =
function() {
	return this._title;
}

CalemFormMdTabInfo.prototype.getIcon =
function(id) {
	return this._icon;
}

CalemFormMdTabInfo.prototype.getReplaceType =
function() {
	return this._replaceType;
}

CalemFormMdTabInfo.prototype.getLayout =
function() {
	return this._layout;
}

CalemFormMdTabInfo.prototype.getModel =
function() {
	return this._model;
}

CalemFormMdTabInfo.prototype.getItem =
function(id) {
	return this._itemMap.get(id);
}

CalemFormMdTabInfo.prototype.getItemMap =
function(id) {
	return this._itemMap;
}


/**
 * CalemMdTabLayoutInfo
 * Layout in original and custom layout descriptors.
 */
function CalemMdTabLayoutInfo(tabList, tabMap) {
	if (arguments.length==0) return;
	this._tabList=tabList;
	this._tabMap=tabMap;
}

CalemMdTabLayoutInfo.prototype.toString = function() {return "CalemMdTabLayoutInfo";}
CalemMdTabLayoutInfo.prototype.getClassName = function() {return "CalemMdTabLayoutInfo";}

//Deserialize the object
CalemMdTabLayoutInfo.prototype.setJson =
function(obj) {
   this._tabList=CalemJson.setJsonAsArray(obj.tabList);
   this._tabMap=CalemJson.setJsonByMap(obj.tabMap);
}

//Serialization
CalemMdTabLayoutInfo.prototype.getJson =
function() {
	return ["{", this.toString(), ": {tabList: ", CalemJson.arrayToJson(this._tabList),
	               ", tabMap: ", CalemJson.mapToJson(this._tabMap), "}}"].join('');
}

CalemMdTabLayoutInfo.prototype.getTabList =
function() {
	return this._tabList;
}

CalemMdTabLayoutInfo.prototype.getTabItem =
function(id) {
	return this._tabMap[id];
}

CalemMdTabLayoutInfo.prototype.getTabMap =
function() {
	return this._tabMap;
}

/**
 * CalemTabLayoutInfo
 * Tab layout descriptors when composing forms to make new forms.
 * Provide common service like CalemTabColLayout
 */
function CalemTabLayoutInfo(layout) {
	if (arguments.length==0) return;
	this._layout=layout;
}

CalemTabLayoutInfo.prototype.toString = function() {return "CalemTabLayoutInfo";}
CalemTabLayoutInfo.prototype.getClassName = function() {return "CalemTabLayoutInfo";}

//Deserialize the object
CalemTabLayoutInfo.prototype.setJson =
function(obj) {
   this._layout=CalemJson.setJsonAsArray(obj);
}

//Serialization
CalemTabLayoutInfo.prototype.getJson =
function() {
	return ["{CalemTabLayoutInfo: ", CalemJson.arrayToJson(this._layout), "}"].join('');
}

CalemTabLayoutInfo.prototype.getLayout =
function(id) {
	return this._layout;
}

CalemTabLayoutInfo.prototype.getColCount =
function() {
	return 1;
}

CalemTabLayoutInfo.prototype.getColLayout =
function(i) {
	return this._layout;
}

/**
 * CalemFormLayoutInfo
 * Form layout descriptors when composing forms to make new forms.
 */
function CalemFormLayoutInfo() {
}

CalemFormLayoutInfo.prototype.toString = function() {return "CalemFormLayoutInfo";}
CalemFormLayoutInfo.prototype.getClassName = function() {return "CalemFormLayoutInfo";}

//Deserialize the object
CalemFormLayoutInfo.prototype.setJson =
function(obj) {
   this._id=obj.id;
   this._fixed=obj.fixed;
   this._layout=CalemJson.setJson(obj.layout);
}

//Serialization
CalemFormLayoutInfo.prototype.getJson =
function() {
	var fixed=(this._fixed ? ", fixed: 1" : '');
	return ["{CalemFormLayoutInfo: {id: '", this._id, "'", fixed, ", layout: ", this._layout.getJson(), "}}"].join('');
}

CalemFormLayoutInfo.prototype.getId =
function() {
	return this._id;
}

CalemFormLayoutInfo.prototype.getFixed =
function() {
	return this._fixed;
}

CalemFormLayoutInfo.prototype.getLayout =
function(id) {
	return this._layout;
}

/**
 * CalemTabInfo
 * This is a simple tab object info.
 */
function CalemTabInfo() {
}

CalemTabInfo.prototype.toString = function() {return "CalemTabInfo";}
CalemTabInfo.prototype.getClassName = function() {return "CalemTabInfo";}

//Deserialize the object
CalemTabInfo.prototype.setJson =
function(obj) {
   this._id=obj.id;
   this._fixed= obj.fixed;
}

//Serialization
CalemTabInfo.prototype.getJson =
function() {
	return ["{CalemTabInfo: {id: '", this._id, "'",
	         (this._fixed ? ", fixed: 1" : ''), "}}"].join('');
}

CalemTabInfo.prototype.getId =
function() {
	return this._id;
}

CalemTabInfo.prototype.getFixed =
function() {
	return this._fixed;
}

CalemTabInfo.prototype.getLabel =
function() {
	return CalemMsg.getMsg(this._id);
}

CalemTabInfo.prototype.getColCount =
function() {
	return 1;
}


/**
 * CalemBlockLayoutInfo
 * Block layout info.
 */
function CalemBlockLayoutInfo() {
}

CalemBlockLayoutInfo.prototype.toString = function() {return "CalemBlockLayoutInfo";}
CalemBlockLayoutInfo.prototype.getClassName = function() {return "CalemBlockLayoutInfo";}

//Deserialize the object
CalemBlockLayoutInfo.prototype.setJson =
function(obj) {
   this._width=obj.width;
   this._rows=obj.rows; //Number of rows in grid.
   this._height=obj.height;
   this._minRow=obj.minRow;
}

//Serialization
CalemBlockLayoutInfo.prototype.getJson =
function() {
	return ["{CalemBlockLayoutInfo: {width: ", CalemJson.getValue(this._width),", ",
				'minRow: ', (this._minRow ? this._minRow : 0), ', ',
				//Either rows or height but not both
				(this._rows ? ["rows: ", this._rows].join('') : ["height: ", this._height].join('')),
				"}}"].join('');
}

CalemBlockLayoutInfo.prototype.getWidth =
function() {
	return this._width;
}

CalemBlockLayoutInfo.prototype.getRows =
function() {
	return this._rows;
}

CalemBlockLayoutInfo.prototype.getHeight =
function() {
	return this._height;
}

/**
 * CalemFormModelInfo
 * This is used for composing forms together.
 */
function CalemFormModelInfo() {
}

CalemFormModelInfo.prototype.toString = function() {return "CalemFormModelInfo";}
CalemFormModelInfo.prototype.getClassName = function() {return "CalemFormModelInfo";}

//Deserialize the object
CalemFormModelInfo.prototype.setJson =
function(obj) {
   this._master=obj.master;
   this._items=CalemJson.setJsonAsArray(obj.items);
}

//Serialization
CalemFormModelInfo.prototype.getJson =
function() {
	return ["{CalemFormModelInfo: {master: '", this._master, "', items: ", CalemJson.arrayToJson(this._items),"}}"].join('');
}

CalemFormModelInfo.prototype.getMaster =
function() {
	return this._master;
}

CalemFormModelInfo.prototype.getItems =
function() {
	return this._items;
}

/**
 * CalemFormLinkInfo
 * Defines how a form is linked with master form.
 */
function CalemFormLinkInfo() {
}

CalemFormLinkInfo.prototype.toString = function() {return "CalemFormLinkInfo";}
CalemFormLinkInfo.prototype.getClassName = function() {return "CalemFormLinkInfo";}

//Deserialize the object
CalemFormLinkInfo.prototype.setJson =
function(obj) {
   this._id=obj.id;
   this._link=CalemJson.setJson(obj.link);
}

//Serialization
CalemFormLinkInfo.prototype.getJson =
function() {
	return ["{CalemFormLinkInfo: {id: '", this._id, "', link: ", this._link.getJson(),"}}"].join('');
}

CalemFormLinkInfo.prototype.getId =
function() {
	return this._id;
}

CalemFormLinkInfo.prototype.getLink =
function() {
	return this._link;
}

/**
 * CalemFieldMdInfo
 * Form link field master detail info.
 */
function CalemFieldMdInfo(fld, pFld) {
	if (arguments.length==0) return;
	this._fld=fld;
	this._parentFld=pFld;
}

CalemFieldMdInfo.prototype.toString = function() {return "CalemFieldMdInfo";}
CalemFieldMdInfo.prototype.getClassName = function() {return "CalemFieldMdInfo";}

//Deserialize the object
CalemFieldMdInfo.prototype.setJson =
function(obj) {
   this._fld=obj.fld;
   this._parentFld=obj.parentFld;
}

//Serialization
CalemFieldMdInfo.prototype.getJson =
function() {
	return ["{CalemFieldMdInfo: {fld: '", this._fld, "', parentFld: '", this._parentFld,"'}}"].join('');
}

CalemFieldMdInfo.prototype.getFld =
function() {
	return this._fld;
}

CalemFieldMdInfo.prototype.getParentFld =
function() {
	return this._parentFld;
}

/**
 * CalemMdTabDesignTreeInfo
 */
function CalemMdTabDesignTreeInfo() {}

CalemMdTabDesignTreeInfo.prototype.toString = function() {return "CalemMdTabDesignTreeInfo";}
CalemMdTabDesignTreeInfo.prototype.getClassName = function() {return "CalemMdTabDesignTreeInfo";}

CalemMdTabDesignTreeInfo.prototype.setJson =
function(obj) {
}

CalemMdTabDesignTreeInfo.prototype.getJson = 
function() {
	return ["{CalemMdTabDesignTreeInfo: true}"].join('');
}

/**
 * CalemPeerTabDesignTreeInfo
 */
function CalemPeerTabDesignTreeInfo() {}

CalemPeerTabDesignTreeInfo.prototype.toString = function() {return "CalemPeerTabDesignTreeInfo";}
CalemPeerTabDesignTreeInfo.prototype.getClassName = function() {return "CalemPeerTabDesignTreeInfo";}

CalemPeerTabDesignTreeInfo.prototype.setJson =
function(obj) {
}

CalemPeerTabDesignTreeInfo.prototype.getJson = 
function() {
	return ["{CalemPeerTabDesignTreeInfo: true}"].join('');
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

/**
 * CalemFormPeerTabInfo
 * Multi-tab form descriptors.
 */
function CalemFormPeerTabInfo() {
}

CalemFormPeerTabInfo.prototype=new CalemFormMdTabInfo;
CalemFormPeerTabInfo.prototype.constructor=CalemFormPeerTabInfo;

CalemFormPeerTabInfo.prototype.toString = function() {return "CalemFormPeerTabInfo";}
CalemFormPeerTabInfo.prototype.getClassName = function() {return "CalemFormPeerTabInfo";}

//get forms in this peerTab.
CalemFormPeerTabInfo.prototype.getFormItems=
function() {
	var rtn=new Array();
	var map=this._itemMap.getMap();
	for (var i in map) {
		if (map[i] instanceof CalemFormLayoutInfo) {
			rtn.push(map[i]);
		}
	}
	return rtn;
};


/**
 * CalemPeerTabLayoutInfo
 * Layout in original and custom layout descriptors.
 */
function CalemPeerTabLayoutInfo(tabList, tabMap) {
	if (arguments.length==0) return;
	this._tabList=tabList;
	this._tabMap=tabMap;
}

CalemPeerTabLayoutInfo.prototype=new CalemMdTabLayoutInfo;
CalemPeerTabLayoutInfo.prototype.constructor=CalemPeerTabLayoutInfo;

CalemPeerTabLayoutInfo.prototype.toString = function() {return "CalemPeerTabLayoutInfo";}
CalemPeerTabLayoutInfo.prototype.getClassName = function() {return "CalemPeerTabLayoutInfo";}

/**
 * CalemTabColLayoutInfo
 * Common interfaces for CalemTabLayoutInfo and CalemTabColLayoutInfo
 */
function CalemTabColLayoutInfo(layout) {
	if (arguments.length==0) return;
	this._layout=layout;
}

CalemTabColLayoutInfo.prototype.toString = function() {return "CalemTabColLayoutInfo";}
CalemTabColLayoutInfo.prototype.getClassName = function() {return "CalemTabColLayoutInfo";}

//Deserialize the object
CalemTabColLayoutInfo.prototype.setJson =
function(obj) {
   this._layout=CalemJson.setJsonAsArray(obj);
}

//Serialization
CalemTabColLayoutInfo.prototype.getJson =
function() {
	return ["{CalemTabColLayoutInfo: ", CalemJson.arrayToJson(this._layout), "}"].join('');
}

CalemTabColLayoutInfo.prototype.getLayout =
function() {
	return this._layout;
}

CalemTabColLayoutInfo.prototype.getColCount =
function() {
	return (this._layout ? this._layout.length : 0);
}

CalemTabColLayoutInfo.prototype.getColLayout =
function(i) {
	return (this._layout ? this._layout[i].getLayout() : null);
}

CalemTabColLayoutInfo.prototype.getCol =
function(i) {
	return (this._layout ? this._layout[i] : null);
}

//Peer tab info
/**
 * CalemPeerTabInfo
 * This is a simple tab object info.
 */
function CalemPeerTabInfo() {
}

CalemPeerTabInfo.prototype = new CalemTabInfo;
CalemPeerTabInfo.prototype.constructor = CalemPeerTabInfo;

CalemPeerTabInfo.prototype.toString = function() {return "CalemPeerTabInfo";}
CalemPeerTabInfo.prototype.getClassName = function() {return "CalemPeerTabInfo";}

//Deserialize the object
CalemPeerTabInfo.prototype.setJson =
function(obj) {
   CalemTabInfo.prototype.setJson.call(this, obj);
   this._colCount= obj.colCount;
   this._colWidth=CalemJson.setJsonAsArray(obj.colWidth);
}

//Serialization
CalemPeerTabInfo.prototype.getJson =
function() {
	return ["{CalemPeerTabInfo: {id: '", this._id, "', colCount:", this._colCount, ", fixed: ", (this._fixed ? 1 : 0), 
	  ", colWidth:", (this._colWidth ? CalemJson.arrayToJson(this._colWidth) : ''),  "}}"].join('');
}

CalemPeerTabInfo.prototype.getColCount =
function() {
	return this._colCount;
}

CalemPeerTabInfo.prototype.getColWidth =
function() {
	return this._colWidth;
}

CalemPeerTabInfo.prototype.getWidthByCol =
function(i) {
	return this._colWidth[i];
}

CalemPeerTabInfo.prototype.getLabel =
function() {
	return CalemMsg.getMsg(this._id);
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 


/**
 * CalemFormCustomInfo
 * This object stores the custom acl and layout for a form.
 */
function CalemFormCustomInfo(id, acl, layout) {
	if (arguments.length==0) return;
	this._id=id;
	this._acl=acl;
	this._layout=layout;
}

CalemFormCustomInfo.prototype.toString = function() {return "CalemFormCustomInfo";}
CalemFormCustomInfo.prototype.getClassName = function() {return "CalemFormCustomInfo";}

//Deserialize the object
CalemFormCustomInfo.prototype.setJson =
function(obj) {
	this._id=obj.id;
   this._acl=CalemJson.setJson(obj.acl);
   this._layout= (obj.layout ? CalemJson.setJson(obj.layout) : null);
}

//Serialization
CalemFormCustomInfo.prototype.getJson =
function() {
	return ["{CalemFormCustomInfo: {id: '", this._id, "', acl: ", this._acl.getJson(), 
					", layout: ", (this._layout ? this._layout.getJson() : 'null'),"}}"].join('');
}

CalemFormCustomInfo.prototype.getId =
function() {
	return this._id;
}

CalemFormCustomInfo.prototype.getAcl =
function() {
	return this._acl;
}

CalemFormCustomInfo.prototype.getLayout =
function() {
	return this._layout;
}

CalemFormCustomInfo.prototype.setLayout =
function(layout) {
	this._layout=layout;
}

//Acl api
CalemFormCustomInfo.prototype.checkTabAcl =
function(id) {
	return (this._acl) ? this._acl.checkTabAcl(id) : true;
}

CalemFormCustomInfo.prototype.checkFormAcl =
function(id) {
	return (this._acl) ? this._acl.checkFormAcl(id) : true;
}

/**
 * CalemFormAclInfo
 */
function CalemFormAclInfo(tabAcl, formAcl) {
	if (arguments.length==0) return;
	this._tabAcl=tabAcl;
	this._formAcl=formAcl;
}

CalemFormAclInfo.prototype.toString = function() {return "CalemFormAclInfo";}
CalemFormAclInfo.prototype.getClassName = function() {return "CalemFormAclInfo";}

//Deserialize the object
CalemFormAclInfo.prototype.setJson =
function(obj) {
   this._tabAcl=new CalemAclInfo(obj.tabAcl);
   this._formAcl=new CalemAclInfo(obj.formAcl);
}

//Serialization
CalemFormAclInfo.prototype.getJson =
function() {
	return ["{CalemFormAclInfo: {tabAcl: ", this._tabAcl.getJson(), 
					", formAcl: ", this._formAcl.getJson(),"}}"].join('');
}

CalemFormAclInfo.prototype.getTabAcl =
function() {
	return this._tabAcl;
}

CalemFormAclInfo.prototype.getFormAcl =
function() {
	return this._formAcl;
}

CalemFormAclInfo.prototype.checkFormAcl =
function(id) {
	return (this._formAcl ? this._formAcl.checkAcl(id) : true);
}

CalemFormAclInfo.prototype.checkTabAcl =
function(id) {
	return (this._tabAcl ? this._tabAcl.checkAcl(id) : true);
}

/**
 * Support aggregation
 */
CalemFormAclInfo.prototype.aggregate =
function(formAcl) {
	if (formAcl._tabAcl) {
		this._tabAcl.aggregate(formAcl._tabAcl);
	}
	if (formAcl._formAcl) {
		this._formAcl.aggregate(formAcl._formAcl);
	}
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemEmbedInfo
 */
function CalemEmbedInfo(parent, id, data) {
	if (arguments.length==0) return;
	this._parent=parent;
	this._id=id;
	this._data=data;
}

CalemEmbedInfo.prototype.toString = function() {return "CalemEmbedInfo";}

CalemEmbedInfo.prototype.getId =
function() {
	return this._id;
}

/**
 * Creating the form.
 */
CalemEmbedInfo.prototype.create = 
function() {
	return eval(['new ', this._id, "(this._parent, this._id, this._data)"].join(''));
}

//Refill data for reuse.
CalemEmbedInfo.prototype.instantiate = 
function(fm) {
	fm._instantiate(this._data);
}

/**
 * Design target info
 * @param: target is an object with property and value.
 */
function CalemDesignTargetInfo(type, id, value) {
	if (arguments.length==0) return;
	this._type=type;
	this._id=id;
	this._value=value;
} 

CalemDesignTargetInfo.USER='user';
CalemDesignTargetInfo.GROUP='group';

CalemDesignTargetInfo.setSystemDesignTarget =
function(designTarget) {
	CalemDesignTargetInfo._systemDesignTarget=designTarget;
}

CalemDesignTargetInfo.getModuleDesignTarget =
function() {
	var userInfo=CalemContext.getInstance().getUserInfo();
	var targetInfo;
	if (CalemDesignTargetInfo._systemDesignTarget) {
		targetInfo=CalemDesignTargetInfo._systemDesignTarget;
	} else if (userInfo.uid==CalemConf['view_engine']['dev_admin_id'] && CalemConf['view_engine'].devDesignPhase 
        && userInfo.gid==CalemConst.CUSTOM_SYSTEM) {
		var grp=CalemConf['view_engine'].devDesignGroup;
		targetInfo=new CalemDesignTargetInfo(CalemDesignTargetInfo.GROUP, grp, CalemMsg.getMsg(grp));		
	} else {
		targetInfo=new CalemDesignTargetInfo(CalemDesignTargetInfo.GROUP, CalemConst.CUSTOM_SYSTEM, CalemMsg.getMsg(CalemConst.CUSTOM_SYSTEM));
	}
	return targetInfo;
}

CalemDesignTargetInfo.getFormDesignTarget =
function() {
	var userInfo=CalemContext.getInstance().getUserInfo();
	var targetInfo;
	if (userInfo.uid==CalemConf['view_engine']['dev_admin_id'] && CalemConf['view_engine'].devDesignPhase 
        && userInfo.gid==CalemConst.CUSTOM_SYSTEM) {
		var grp=CalemConf['view_engine'].devDesignGroup;
		targetInfo=new CalemDesignTargetInfo(CalemDesignTargetInfo.GROUP, grp, CalemMsg.getMsg(grp));		
	} else {
		targetInfo=new CalemDesignTargetInfo(CalemDesignTargetInfo.GROUP, CalemConst.CUSTOM_SYSTEM, CalemMsg.getMsg(CalemConst.CUSTOM_SYSTEM));
	}
	return targetInfo;
}

CalemDesignTargetInfo.prototype.getType = function() {return this._type;}
CalemDesignTargetInfo.prototype.getId = function() {return this._id;}
CalemDesignTargetInfo.prototype.getValue = function() {return this._value;}
CalemDesignTargetInfo.prototype.isGroup = function() {return this._type==CalemDesignTargetInfo.GROUP;}

CalemDesignTargetInfo.getLabelDesignPermit =
function() {
	//Creating a menu for text edit if privilege is good.
	var labelGid=CalemConf['view_engine']['labelDesign']['group'];
	var userInfo=CalemContext.getInstance().getUserInfo();
	var gid=userInfo.gid;
	var grpCache=CalemContext.getInstance().getRegistry().getCache().get('acl_group');
	return grpCache.inGroupPath(labelGid, gid, true);	
}

/**
 * CalemEmbedDesignInfo
 * @param fmId is the form to be designed.
 */
function CalemEmbedDesignInfo(parent, id, fmId, data, dataModel) {
	if (arguments.length==0) return;
	CalemEmbedInfo.call(this, parent, id);
	this._fmId=fmId;
	this._designId=[id, '_', fmId].join('');
	this._dataModel=dataModel;
	this._data=data;
}

CalemEmbedDesignInfo.prototype = new CalemEmbedInfo;
CalemEmbedDesignInfo.prototype.constructor = CalemEmbedDesignInfo;

CalemEmbedDesignInfo.prototype.toString = function() {return "CalemEmbedDesignInfo";}

CalemEmbedDesignInfo.prototype.getId =
function() {
	return this._designId;
}

/**
 * Creating the design
 */
CalemEmbedDesignInfo.prototype.create = 
function() {	
	var fm= eval(['new ', this._id, "(this._parent, this._fmId, this._data, this._designId, this._dataModel)"].join(''));
	return fm;
}

/**
 * CalemEmbedNewDetInfo
 */
function CalemEmbedNewDetInfo(parent, id, parentRec, fmLink) {
	if (arguments.length==0) return;
	CalemEmbedInfo.call(this, parent, id);
	this._parentRec=parentRec;
	this._fmLink=fmLink;	
}

CalemEmbedNewDetInfo.prototype = new CalemEmbedInfo;
CalemEmbedNewDetInfo.prototype.constructor = CalemEmbedNewDetInfo;

CalemEmbedNewDetInfo.prototype.toString = function() {return "CalemEmbedNewDetInfo";}


CalemEmbedNewDetInfo.prototype.create = 
function() {
	var fm= CalemEmbedInfo.prototype.create.call(this);
	this._instantiate(fm);
	return fm;
}

/**
 * Refabricate a form with new data
 */
CalemEmbedNewDetInfo.prototype.instantiate = 
function(fm) {
	//check parent rec change here.
	var rec=fm.getParentRec();
	this._instantiate(fm);
	if (this._parentRec.id != rec.id) {//Force the form to repaint.
		fm.onRecChanged();
	}
}

CalemEmbedNewDetInfo.prototype._instantiate = 
function(fm) {
	fm.setParentRec(this._parentRec);
	fm.setFormLink(this._fmLink);
}

/**
 * CalemEmbedReadInfo
 */
function CalemEmbedReadInfo(parent, id, data) {
	if (arguments.length==0) return;
	CalemEmbedInfo.call(this, parent, id, data);
}

CalemEmbedReadInfo.prototype = new CalemEmbedInfo;
CalemEmbedReadInfo.prototype.constructor = CalemEmbedReadInfo;

CalemEmbedReadInfo.prototype.toString = function() {return "CalemEmbedReadInfo";}

/**
 * Refabricate a form with new data
 */
CalemEmbedReadInfo.prototype.instantiate = 
function(fm) {
	//Assume same data model.
	fm.setCurrentRecord(this._data.item);
}

/**
 * CalemEmbedReadDetInfo
 */
function CalemEmbedReadDetInfo(parent, id, data, parentRec, fmLink) {
	if (arguments.length==0) return;
	CalemEmbedReadInfo.call(this, parent, id, data);
	this._parentRec=parentRec;
	this._fmLink=fmLink;	
}

CalemEmbedReadDetInfo.prototype = new CalemEmbedReadInfo;
CalemEmbedReadDetInfo.prototype.constructor = CalemEmbedReadDetInfo;

CalemEmbedReadDetInfo.prototype.toString = function() {return "CalemEmbedReadDetInfo";}

CalemEmbedReadDetInfo.prototype.create = 
function() {
	var fm= CalemEmbedReadInfo.prototype.create.call(this);
	this._instantiate(fm);
	return fm;
}

/**
 * Refabricate a form with new data
 */
CalemEmbedReadDetInfo.prototype.instantiate = 
function(fm) {
	CalemEmbedReadInfo.prototype.instantiate.call(this, fm);
	this._instantiate(fm);
}

CalemEmbedReadDetInfo.prototype._instantiate = 
function(fm) {
	fm.setParentRec(this._parentRec);
	fm.setFormLink(this._fmLink);
}

/**
 * CalemEmbedEditInfo
 */
function CalemEmbedEditInfo(parent, id, data) {
	if (arguments.length==0) return;
	CalemEmbedInfo.call(this, parent, id, data);
}

CalemEmbedEditInfo.prototype = new CalemEmbedInfo;
CalemEmbedEditInfo.prototype.constructor = CalemEmbedEditInfo;

CalemEmbedEditInfo.prototype.toString = function() {return "CalemEmbedEditInfo";}

/**
 * Refabricate a form with new data
 */
CalemEmbedEditInfo.prototype.instantiate = 
function(fm) {
	var rec=fm.getCurrentRecord();
	//Force a change (since record could have been updated by cache).
	fm.setCurrentRecord(this._data.item);
	//Force the form to repaint.
	fm.onRecChanged();
}

/**
 * CalemEmbedEditDetInfo
 */
function CalemEmbedEditDetInfo(parent, id, data, parentRec, fmLink) {
	if (arguments.length==0) return;
	CalemEmbedEditInfo.call(this, parent, id, data);
	this._parentRec=parentRec;
	this._fmLink=fmLink;
}

CalemEmbedEditDetInfo.prototype = new CalemEmbedEditInfo;
CalemEmbedEditDetInfo.prototype.constructor = CalemEmbedEditDetInfo;

CalemEmbedEditDetInfo.prototype.toString = function() {return "CalemEmbedEditDetInfo";}

CalemEmbedEditDetInfo.prototype.create = 
function() {
	var fm= CalemEmbedEditInfo.prototype.create.call(this);
	this._instantiate(fm);
	return fm;
}

/**
 * Refabricate a form with new data
 */ 
CalemEmbedEditDetInfo.prototype.instantiate = 
function(fm) {
	CalemEmbedEditInfo.prototype.instantiate.call(this, fm);
	this._instantiate(fm);
}
 
CalemEmbedEditDetInfo.prototype._instantiate = 
function(fm) {
	fm.setParentRec(this._parentRec);
	fm.setFormLink(this._fmLink);
}

/**
 * CalemEmbedLookupInfo
 */
function CalemEmbedLookupInfo(parent, id, lkupCallback, recId, data) {
	if (arguments.length==0) return;
	CalemEmbedInfo.call(this, parent, id, data);
	this._lkupCallback = lkupCallback;
	this._recId = recId;
	this._data=data;
}

CalemEmbedLookupInfo.prototype = new CalemEmbedInfo;
CalemEmbedLookupInfo.prototype.constructor = CalemEmbedLookupInfo;

CalemEmbedLookupInfo.prototype.toString = function() {return "CalemEmbedLookupInfo";}

/**
 * Creating the form.
 */
CalemEmbedLookupInfo.prototype.create = 
function() {
	var fm= CalemEmbedInfo.prototype.create.call(this);
	this._instantiate(fm);
	return fm;
}

/**
 * Refabricate a form with new data
 */
CalemEmbedLookupInfo.prototype.instantiate = 
function(fm) {
	this._instantiate(fm);
}

CalemEmbedLookupInfo.prototype._instantiate = 
function(fm) {
	fm.setLkupCallback(this._lkupCallback);
	fm.setCurrentRecId(this._recid);
}

/**
 * CalemEmbedSearchSelectInfo
 */
function CalemEmbedSearchSelectInfo(parent, searchEditFormId, dataModel) {
	if (arguments.length==0) return;
	this._searchEditFormId=searchEditFormId;
	this._dataModel=dataModel;
	//Use a composite id so this select form will not be confused with another one.
	this._searchSelectFormId='CalemFormSearchSelect';
	var id=[this._searchSelectFormId, '_', searchEditFormId].join('');
	CalemEmbedInfo.call(this, parent, id);
}

CalemEmbedSearchSelectInfo.prototype = new CalemEmbedInfo;
CalemEmbedSearchSelectInfo.prototype.constructor = CalemEmbedSearchSelectInfo;

CalemEmbedSearchSelectInfo.prototype.toString = function() {return "CalemEmbedSearchSelectInfo";}

/**
 * Creating the Select form
 */
CalemEmbedSearchSelectInfo.prototype.create = 
function() {
	var fm= eval(['new ', this._searchSelectFormId, 
					  "(this._parent, this._searchSelectFormId, this._id, this._searchEditFormId, this._dataModel)"].join(''));
	return fm;
}

/**
 * CalemEmbedSearchEditInfo
 */
function CalemEmbedSearchEditInfo(parent, id, dataModel, search) {
	if (arguments.length==0) return;
	CalemEmbedInfo.call(this, parent, id);
	this._dataModel=dataModel;
	this._search = search;
}

CalemEmbedSearchEditInfo.prototype = new CalemEmbedInfo;
CalemEmbedSearchEditInfo.prototype.constructor = CalemEmbedSearchEditInfo;

CalemEmbedSearchEditInfo.prototype.toString = function() {return "CalemEmbedSearchEditInfo";}

/**
 * Creating the Select form
 */
CalemEmbedSearchEditInfo.prototype.create = 
function() {
	var fmInfo=CalemJson.setJson(CalemItemDef[this._id]);
	var fm= eval(['new ', fmInfo.getController(), 
					  "(this._parent, this._id, this._dataModel, this._search)"].join(''));
	return fm;
}

CalemEmbedSearchEditInfo.prototype.instantiate = 
function(fm) {
	fm.setSearch(this._search);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * A few info classes for search
 * <ul>
 * <li> CalemMySearchSelectInfo - the control for selecting my search
 * <li> CalemSharedSearchSelectInfo - the control for selecting shared search
 * <li> CalemSearchInfo - This is the info that stores a search (query) and other stuff
 * </ul>
 */
 
/**
 * CalemMySearchSelectInfo
 */
function CalemMySearchSelectInfo() {
}

CalemMySearchSelectInfo.prototype.toString = function() {return "CalemMySearchSelectInfo";}
CalemMySearchSelectInfo.prototype.getClassName = function() {return "CalemMySearchSelectInfo";}

//Deserialize the object
CalemMySearchSelectInfo.prototype.setJson =
function(obj) {
   this._size=obj.size;
}

//Serialization
CalemMySearchSelectInfo.prototype.getJson =
function() {
	return ["{CalemMySearchSelectInfo: {size: ", this._size, "}}"].join('');
}

CalemMySearchSelectInfo.prototype.getSize =
function() {
	return this._size;
}

/**
 * CalemSharedSearchSelectInfo
 */
function CalemSharedSearchSelectInfo() {
}

CalemSharedSearchSelectInfo.prototype.toString = function() {return "CalemSharedSearchSelectInfo";}
CalemSharedSearchSelectInfo.prototype.getClassName = function() {return "CalemSharedSearchSelectInfo";}

//Deserialize the object
CalemSharedSearchSelectInfo.prototype.setJson =
function(obj) {
   this._size=obj.size;
}

//Serialization
CalemSharedSearchSelectInfo.prototype.getJson =
function() {
	return ["{CalemSharedSearchSelectInfo: {size: ", this._size, "}}"].join('');
}

CalemSharedSearchSelectInfo.prototype.getSize =
function() {
	return this._size;
}

/**
 * CalemSearchInfo
 * {id: searchId (auto-gen), name: 'user_typed', table: 'my_table', shared: 0, group: groupId, user: userId,
 *  search: {
 * 	table_id: {CalemTableSearch: {
 * 					 table: 'table',
 *                 search: {
 * 							fld: {CalemDbExpr: {...}}
 * 						... 
 * 			}
 * }
 */
function CalemSearchInfo(id, name, table, shared, axoId, search) {
	if (arguments.length==0) return;
	this._id=id;
	this._name=name;
	this._table=table;
	this._shared= (shared ? 1 : 0);
	this._axoId=axoId;
	this._search=search;
}

CalemSearchInfo.prototype.toString = function() {return "CalemSearchInfo";}
CalemSearchInfo.prototype.getClassName = function() {return "CalemSearchInfo";}

//Deserialize the object
CalemSearchInfo.prototype.setJson =
function(obj) {
   this._id=obj.id; //auto-gen id.
   this._name=obj.name;
   this._table=obj.table;
   this._shared=obj.shared ? 1 : 0;
   this._axoId=obj.axoId; //user/group id.
   this._search=CalemJson.setJsonByMap(obj.search);
}

//Serialization
CalemSearchInfo.prototype.getJson =
function() {
	return ["{CalemSearchInfo: {id: '", this._id, "', name: '", this._name, "', table: '",
	         this._table, "', shared: ", this._shared, ", axoId: '", this._axoId, "', search: ", 
	         CalemJson.mapToJson(this._search), "}}"].join('');
}

CalemSearchInfo.prototype.getId =
function() {
	return this._id;
}

CalemSearchInfo.prototype.getName =
function() {
	return this._name;
}

CalemSearchInfo.prototype.getTable =
function() {
	return this._table;
}

CalemSearchInfo.prototype.getShared =
function() {
	return this._shared;
}

CalemSearchInfo.prototype.getAxoId =
function() {
	return this._axoId;
}

CalemSearchInfo.prototype.getSearch =
function() {
	return this._search;
}

CalemSearchInfo.prototype.getTableSearch =
function(table) {
	table = table || this._table; //by default it's the master table.
	return (this._search ? this._search[table] : null);
}

CalemSearchInfo.prototype.getTableQuery =
function(tbl) {
	var rtn=this.getTableSearch(tbl);
	return rtn ? rtn.getTableQuery() : null;
}

//Do master table for now (multi-table query to come later)
CalemSearchInfo.prototype.getSql =
function() {
	return this._search[this._table].getSql();
}

/**
 * CalemTableSearchInfo
 */
function CalemTableSearchInfo(table, search) {
	if (arguments.length==0) return;
	this._table=table;
	this._search=search;
}

CalemTableSearchInfo.prototype.toString = function() {return "CalemTableSearchInfo";}
CalemTableSearchInfo.prototype.getClassName = function() {return "CalemTableSearchInfo";}

//Deserialize the object
CalemTableSearchInfo.prototype.setJson =
function(obj) {
   this._table=obj.table;
   this._search=CalemJson.setJsonByMap(obj.search);
}

//Serialization
CalemTableSearchInfo.prototype.getJson =
function() {
	return ["{CalemTableSearchInfo: {table: '", this._table, "', search: ", CalemJson.mapToJson(this._search), "}}"].join('');
}

CalemTableSearchInfo.prototype.getTable =
function() {
	return this._table;
}

CalemTableSearchInfo.prototype.getField =
function(fld) {
	return this._search ? this._search[fld] : null;
}

CalemTableSearchInfo.prototype.getTableQuery =
function() {
	//It's an AND here
	var andExpr=new CalemExprAnd();
	var tableDd=CalemContext.getInstance().getRegistry().getTableDd(this._table);
	var tableQuery=tableDd.buildGetAllQuery();
	for (var i in this._search) {
		//Checking for field lookup type.
		var expr=this._search[i];
		var lkupDd=tableDd.getLookupTableDd(i);
		if (lkupDd && !lkupDd.isCached() && lkupDd.getTableName() != this._table) {
			andExpr.add(expr);
		} else {
			andExpr.add(expr);
		}
	}
	//Adding where here.
	tableQuery.setWhere(this._table, andExpr);
	return tableQuery;
}

CalemTableSearchInfo.prototype.getSql =
function() {
	return this.getTableQuery().getSql();
}

/**
 * CalemSearchSaveInfo
 */
function CalemSearchSaveInfo() {
}

CalemSearchSaveInfo.prototype.toString = function() {return "CalemSearchSaveInfo";}
CalemSearchSaveInfo.prototype.getClassName = function() {return "CalemSearchSaveInfo";}

//Deserialize the object
CalemSearchSaveInfo.prototype.setJson =
function(obj) {
   this._size=obj.size;
}

//Serialization
CalemSearchSaveInfo.prototype.getJson =
function() {
	return ["{CalemSearchSaveInfo: {size: ", this._size, "}}"].join('');
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemModuleCustomInfo
 * This object stores the custom acl and layout for a form.
 */
function CalemModuleCustomInfo(id, acl, layout) {
	if (arguments.length==0) return;
	this._id=id;
	this._acl=acl;
	this._layout=layout;
}

CalemModuleCustomInfo.prototype.toString = function() {return "CalemModuleCustomInfo";}
CalemModuleCustomInfo.prototype.getClassName = function() {return "CalemModuleCustomInfo";}

//Deserialize the object
CalemModuleCustomInfo.prototype.setJson =
function(obj) {
	this._id=obj.id;
   this._acl=new CalemAclInfo(obj.acl);
   this._layout= (obj.layout ? CalemJson.setJson(obj.layout) : null);
}

//Serialization
CalemModuleCustomInfo.prototype.getJson =
function() {
	return ["{CalemModuleCustomInfo: {id: '", this._id, "', acl: ", this._acl.getJson(), 
					", layout: ", (this._layout ? this._layout.getJson() : 'null'),"}}"].join('');
}

CalemModuleCustomInfo.prototype.getId =
function() {
	return this._id;
}

CalemModuleCustomInfo.prototype.getAcl =
function() {
	return this._acl;
}

CalemModuleCustomInfo.prototype.getLayout =
function() {
	return this._layout;
}

CalemModuleCustomInfo.prototype.setLayout =
function(layout) {
	this._layout=layout;
}

//Acl api
CalemModuleCustomInfo.prototype.checkAcl =
function(id) {
	return (this._acl) ? this._acl.checkAcl(id) : true;
}

// custom layout including default.
function CalemModuleLayoutInfo(defaultMenu, menuList) {
	if (arguments.length==0) return;
	this._defaultMenu=defaultMenu;
	this._menuList=menuList;
}

CalemModuleLayoutInfo.prototype.toString = function() {return "CalemModuleLayoutInfo";}

//Deserialize the object
CalemModuleLayoutInfo.prototype.setJson =
function(obj) {
	this._defaultMenu=obj.defaultMenu;
	this._menuList=CalemJson.setJsonAsArray(obj.menuList);
}

//Serialization
CalemModuleLayoutInfo.prototype.getJson =
function() {
	return ["{CalemModuleLayoutInfo: {defaultMenu: ", 
	            (this._defaultMenu ? ["'", this._defaultMenu, "'"].join('') : 'null'),
	            ", menuList: ", CalemJson.arrayToJson(this._menuList), "}}"].join('');
}

CalemModuleLayoutInfo.prototype.getDefaultMenu =
function() {
	return this._defaultMenu;
}

CalemModuleLayoutInfo.prototype.getDefaultMenuInfo = 
function() { 
	return !this._defaultMenu ? null : CalemJson.setJson({CalemMenuItemInfo: {id: this._defaultMenu}}); 
}

CalemModuleLayoutInfo.prototype.getMenuList =
function() {
	return this._menuList;
}

/**
 * CalemModListCustomInfo
 */
function CalemModListCustomInfo(acl, layout) {
	if (arguments.length==0) return;
	CalemModuleCustomInfo.call(this, this.toString(), acl, layout);
}

CalemModListCustomInfo.prototype = new CalemModuleCustomInfo;
CalemModListCustomInfo.prototype.constructor = CalemModListCustomInfo;

CalemModListCustomInfo.prototype.toString = function() {return "CalemModListCustomInfo";}

//Deserialize the object
CalemModListCustomInfo.prototype.setJson =
function(obj) {
   this._acl=new CalemAclInfo(obj.acl);
   this._layout= obj.layout; //This is module id list.
}

//Serialization
CalemModListCustomInfo.prototype.getJson =
function() {
	return ["{CalemModListCustomInfo: {acl: ", this._acl.getJson(), 
					", layout: ", (this._layout ? CalemJson.arrayToJson(this._layout) : 'null'),"}}"].join('');
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
/**
 * CalemScheduleInfo
 */
function CalemScheduleInfo(selection, weekly, weeks, months, dates, days) {
	if (arguments.length==0) return;
	this._selection=selection;
	this._weekly=weekly;
	this._weeks=weeks;
	this._months=months;
	this._days=days;
	this._dates=dates;
}

CalemScheduleInfo._decode =
function(val) {
	var rtn;
	var info = val ? Base64.decode(val) : null;
	if (info) {
		eval("var obj="+info);
		rtn=CalemJson.setJson(obj);
	} else {
		rtn=new CalemScheduleInfo();
	}
	return rtn;	
}

CalemScheduleInfo.prototype.toString = function() {return "CalemScheduleInfo";}
CalemScheduleInfo.prototype.getClassName = function() {return "CalemScheduleInfo";}

//Deserialize the object
CalemScheduleInfo.prototype.setJson =
function(obj) {
	this._selection=obj.selection;
	this._weekly=CalemJson.setJson(obj.weekly);
	this._weeks=CalemJson.setJson(obj.weeks);
	this._months=CalemJson.setJson(obj.months);
	this._days=CalemJson.setJson(obj.days);
	this._dates=CalemJson.setJson(obj.dates);
}

//Serialization - for PHP use as well.
CalemScheduleInfo.prototype.getJsonPhp =
function() {
	return ["{\"CalemScheduleInfo\": {\"selection\": '", this.getSelection(), "'",
	        (this._weekly ? [", \"weekly\": ", this._weekly.getJsonPhp()].join('') : ''), 
	        (this._weeks  ?  [", \"weeks\": ", this._weeks.getJsonPhp()].join('') : ''),
	        (this._months ?  [", \"months\": ", this._months.getJsonPhp()].join('') : ''),
	        (this._days ?  [", \"days\": ", this._days.getJsonPhp()].join('') : ''),
	        (this._dates  ?   [", \"dates\": ", this._dates.getJsonPhp()].join('') : ''), "}}"].join('');
}

CalemScheduleInfo.prototype.getSelection =
function() {
	return this._selection ? this._selection : CalemConf['edit_schedule']['defaultSelection'];
}

CalemScheduleInfo.prototype.getWeekly =
function() {
	return this._weekly;
}

CalemScheduleInfo.prototype.getWeeks =
function() {
	return this._weeks;
}

CalemScheduleInfo.prototype.getMonths =
function() {
	return this._months;
}

CalemScheduleInfo.prototype.getDays =
function() {
	return this._days;
}

CalemScheduleInfo.prototype.getDates =
function() {
	return this._dates;
}

CalemScheduleInfo.prototype.inWeekly =
function(dow) {
	return this._weekly ? this._weekly.inDow(dow) : false;
}

CalemScheduleInfo.prototype.getText =
function() {
	var text='';
	var obj=null;
	if (this._selection=='weekly') {
		obj=this._weekly;
	} else if (this._selection=='weeks') {
		obj=this._weeks;
	} else if (this._selection=='months'){
		obj=this._months;
	} else if (this._selection=='days'){
		obj=this._days;
	}
	if (obj) {
		text=obj.getText();
		var dtText= this._dates ? this._dates.getText() : null;
		if (dtText) text=[text, ' ', dtText].join('');
	}
	return text;
}

/**
 * Weekly
 */
function CalemScheduleWeekly(arDow) {
	if (arguments.length==0) return;
	if (arDow && arDow instanceof Array) {
		this._dow=arDow;
	} else {
		this._dow=new Array();
	}
}

CalemScheduleWeekly.prototype.toString = function() {return "CalemScheduleWeekly";}
CalemScheduleWeekly.prototype.getClassName = function() {return "CalemScheduleWeekly";}

//Deserialize the object
CalemScheduleWeekly.prototype.setJson =
function(obj) {
	this._dow=CalemJson.setJsonAsArray(obj);
}

//Serialization - for PHP use as well.
CalemScheduleWeekly.prototype.getJsonPhp =
function() {
	return ["{\"CalemScheduleWeekly\": ", CalemJson.arrayToJson(this._dow), "}"].join('');
}

CalemScheduleWeekly.prototype.getDow =
function() {
	return this._dow;
}

CalemScheduleWeekly.prototype.inDow =
function(dow) {
	var rtn=false;
	if (this._dow) {
		for (var i=0; i< this._dow.length; i++) {
			if (this._dow[i]==dow) {
				rtn=true;
				break;
			}
		}
	}
	return rtn;
}

CalemScheduleWeekly.prototype.getText =
function() {
	var text=null;
	if (this._dow) {
		var ar=[];
		for (var i=0; i< this._dow.length; i++) ar.push(CalemMsg.getMsg(this._dow[i]));
		if (ar.length > 0) {
			text=AjxMessageFormat.format(CalemMsg.getMsg('schedule_weekly_text'), [ar.join(', ')]);
		}
	}
	return text;
}

/**
 * CalemScheduleWeeks
 */
function CalemScheduleWeeks(freq, dow) {
	if (arguments.length==0) return;
	this._freq=freq;
	this._dow=dow;
}

CalemScheduleWeeks.prototype.toString = function() {return "CalemScheduleWeeks";}
CalemScheduleWeeks.prototype.getClassName = function() {return "CalemScheduleWeeks";}

//Deserialize the object
CalemScheduleWeeks.prototype.setJson =
function(obj) {
	this._freq=obj.freq;
	this._dow=obj.dow;
}

//Serialization - for PHP use as well.
CalemScheduleWeeks.prototype.getJsonPhp =
function() {
	return ["{\"CalemScheduleWeeks\": {\"freq\": ", (this._freq ? this._freq : 0), 
	        ", \"dow\": '", this._dow,"'}}"].join('');
}

CalemScheduleWeeks.prototype.getFreq =
function() {
	return this._freq;
}

CalemScheduleWeeks.prototype.getDow =
function() {
	return this._dow;
}

CalemScheduleWeeks.prototype.getText =
function() {
	var text=null;
	if (this._freq) {
		text=AjxMessageFormat.format(CalemMsg.getMsg('schedule_weeks_text'), 
		      [this._freq, CalemMsg.getMsg(this._dow)]);
	}
	return text;
}

/**
 * CalemScheduleMonths
 */
function CalemScheduleMonths(freq, weekNo, dow) {
	if (arguments.length==0) return;
	this._freq=freq;
	this._weekNo=weekNo;
	this._dow = dow;
}

CalemScheduleMonths.prototype.toString = function() {return "CalemScheduleMonths";}
CalemScheduleMonths.prototype.getClassName = function() {return "CalemScheduleMonths";}

//Deserialize the object
CalemScheduleMonths.prototype.setJson =
function(obj) {
	this._freq=obj.freq;
	this._weekNo=obj.weekNo;
	this._dow=obj.dow;
}

//Serialization - for PHP use as well.
CalemScheduleMonths.prototype.getJsonPhp =
function() {
	return ["{\"CalemScheduleMonths\": {\"freq\": ", (this._freq ? this._freq : 0), 
	        ", \"weekNo\": '", this._weekNo, 
	        "', \"dow\": '", this._dow, "'}}"].join('');
}

CalemScheduleMonths.prototype.getFreq =
function() {
	return this._freq;
}

CalemScheduleMonths.prototype.getWeekNo =
function() {
	return this._weekNo;
}

CalemScheduleMonths.prototype.getDow =
function() {
	return this._dow;
}

CalemScheduleMonths.prototype.getText =
function() {
	var text=null;
	if (this._freq) {
		text=AjxMessageFormat.format(CalemMsg.getMsg('schedule_months_text'), 
		      [this._freq, CalemMsg.getMsg(this._weekNo), CalemMsg.getMsg(this._dow)]);
	}
	return text;
}

/**
 * CalemScheduleDays
 */
function CalemScheduleDays(freq) {
	if (arguments.length==0) return;
	this._freq=freq;
}

CalemScheduleDays.prototype.toString = function() {return "CalemScheduleDays";}
CalemScheduleDays.prototype.getClassName = function() {return "CalemScheduleDays";}

//Deserialize the object
CalemScheduleDays.prototype.setJson =
function(obj) {
	this._freq=obj.freq;
}

//Serialization - for PHP use as well.
CalemScheduleDays.prototype.getJsonPhp =
function() {
	return ["{\"CalemScheduleDays\": {\"freq\": ", (this._freq ? this._freq : 0), "}}"].join('');
}

CalemScheduleDays.prototype.getFreq =
function() {
	return this._freq;
}

CalemScheduleDays.prototype.getText =
function() {
	var text=null;
	if (this._freq) {
		text=AjxMessageFormat.format(CalemMsg.getMsg('schedule_days_text'), [this._freq]);
	}
	return text;
}

/**
 * CalemScheduleDates
 */
function CalemScheduleDates(start, end) {
	if (arguments.length==0) return;
	this._start=start;
	this._end=end;
}

CalemScheduleDates.prototype.toString = function() {return "CalemScheduleDates";}
CalemScheduleDates.prototype.getClassName = function() {return "CalemScheduleDates";}

//Deserialize the object
CalemScheduleDates.prototype.setJson =
function(obj) {
	this._start=obj.start;
	this._end=obj.end;
}

//Serialization - for PHP use as well.
CalemScheduleDates.prototype.getJsonPhp =
function() {
	return ["{\"CalemScheduleDates\": {\"start\": '", this._start, 
	        "', \"end\": '", this._end, "'}}"].join('');
}

CalemScheduleDates.prototype.getStartLocal =
function() {
	return this._getDateLocal(this._start);
}

CalemScheduleDates.prototype.getEndLocal =
function() {
	return this._getDateLocal(this._end);
}

CalemScheduleDates.prototype._getDateLocal =
function(dateStr) {
	var rtn=null;
	if (dateStr) {
		rtn=CalemTextUtil.parseServerDate(dateStr);
	}
	return rtn;
}

CalemScheduleDates.prototype.getText =
function() {
	var start = this.getStartLocal();
	if (start) start=CalemTextUtil.formatLocalDateRead(start);
	var end = this.getEndLocal();
	if (end) end=CalemTextUtil.formatLocalDateRead(end);

	var text=null;
	if (start && end) {
		text=AjxMessageFormat.format(CalemMsg.getMsg('schedule_dates_from_till'), [start, end]);
	} else if (start) {
		text=AjxMessageFormat.format(CalemMsg.getMsg('schedule_dates_from'), [start]);
	} else if (end) {
		text=AjxMessageFormat.format(CalemMsg.getMsg('schedule_dates_till'), [end]);
	}
	return text;
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

/**
 * CalemScheduleTimeInfo
 * @param
 * startTime and endTime are server time format.
 * repeat: 0/1 (1 is repeat)
 * selection: m/h (minutes or hour)
 * minutes (1 to 60) and hours (1 to 24) are integers
 */
function CalemScheduleTimeInfo(startTime, repeat, endTime, selection, minutes, hours) {
	if (arguments.length==0) return;
	this._startTime=startTime;
	this._repeat=repeat;
	this._endTime=endTime;
	this._selection=selection
	this._minutes=minutes;
	this._hours=hours;
}

CalemScheduleTimeInfo._MINUTES = 'm';
CalemScheduleTimeInfo._HOURS = 'h';

CalemScheduleTimeInfo._decode =
function(val) {
	var rtn;
	var info = val ? Base64.decode(val) : null;
	if (info) {
		eval("var obj="+info);
		rtn=CalemJson.setJson(obj);
	} else {
		rtn=new CalemScheduleTimeInfo();
	}
	return rtn;	
}

CalemScheduleTimeInfo.prototype.toString = function() {return "CalemScheduleTimeInfo";}
CalemScheduleTimeInfo.prototype.getClassName = function() {return "CalemScheduleTimeInfo";}

//Deserialize the object
CalemScheduleTimeInfo.prototype.setJson =
function(obj) {
	this._startTime=obj.startTime;
	this._repeat=obj.repeat;
	this._endTime=obj.endTime;
	this._selection=obj.selection;
	this._minutes=obj.minutes;
	this._hours=obj.hours;
}

//Serialization - for PHP use as well.
CalemScheduleTimeInfo.prototype.getJsonPhp =
function() {
	return ["{\"CalemScheduleTimeInfo\": {\"startTime\": '", this.getStartTime(), "'",
			  ", \"repeat\": ", this.getRepeat(),
			  ", \"endTime\": '", this.getEndTime(), "'",
			  ", \"selection\": '", this.getSelection(), "'",
			  ", \"minutes\": ", this.getMinutes(), 
			  ", \"hours\": ", this.getHours(),"}}"].join('');
}

CalemScheduleTimeInfo.prototype.getStartTime =
function() {
	return this._startTime;
}

CalemScheduleTimeInfo.prototype.getRepeat =
function() {
	return this._repeat;
}

CalemScheduleTimeInfo.prototype.getEndTime =
function() {
	return this._endTime;
}

CalemScheduleTimeInfo.prototype.getSelection =
function() {
	return this._selection ? this._selection : CalemScheduleTimeInfo._MINUTES;
}



CalemScheduleTimeInfo.prototype.getMinutes =
function() {
	return this._minutes ? this._minutes : 0;
}

CalemScheduleTimeInfo.prototype.getHours =
function() {
	return this._hours ? this._hours : 0;
}

CalemScheduleTimeInfo.prototype.isRepeatValid =
function() {
	return (this._repeat && (this.isMinValid() || this.isHourValid()));
}

CalemScheduleTimeInfo.prototype.isMinValid =
function() {
	return (this._selection==CalemScheduleTimeInfo._MINUTES && this._minutes > 0 && this._minutes <=60);
}

CalemScheduleTimeInfo.prototype.isHourValid =
function() {
	return (this._selection==CalemScheduleTimeInfo._HOURS && this._hours > 0 && this._hours <=24);
}

CalemScheduleTimeInfo.prototype.getText =
function() {
	var text='';
	if (!this._startTime) {
		return text;
	}
	var start=CalemTextUtil._getLocalTimeFromServerTime(this._startTime);
	var tm=AjxMessageFormat.format(CalemMsg.getMsg('schedule_time_start'), [start]);
	if (!this.isRepeatValid()) {
		return tm;
	}
	//We've got valid repeat
	if (this._endTime) {
		var end=CalemTextUtil._getLocalTimeFromServerTime(this._endTime);
		tm=AjxMessageFormat.format(CalemMsg.getMsg('schedule_time_start_end'), [start, end]);
	} 
	//construct mins/hours
	var iv;
	if (this.isMinValid()) {
		iv=AjxMessageFormat.format(CalemMsg.getMsg('schedule_time_minutes'), [this._minutes]);
	} else {
		iv=AjxMessageFormat.format(CalemMsg.getMsg('schedule_time_hours'), [this._hours]);
	}
	//Now combine the text together
	text=AjxMessageFormat.format(CalemMsg.getMsg('schedule_time_full'), [tm, iv]);
	return text;
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */


/**
 * CalemExprComposition
 * Expression composition
 */
function CalemExprComposite(type) {
	if (arguments.length==0) return;
	this._type=type;
	this._exprs=new Array();
}

CalemExprComposite.prototype.toString =
function() {
	return 'CalemExprComposite';
}

CalemExprComposite.prototype.add = 
function(expr) {
	this._exprs.push(expr);
}

//Serialization to string first.
CalemExprComposite.prototype.getJson =
function() {
	return rtn=["{", this.toString(), ": ", CalemJson.arrayToJson(this._exprs), "}"].join('');
}

//Serialization to string first.
CalemExprComposite.prototype.setJson =
function(ar) {
	this._exprs=new Array(); //Creating the array first.
	CalemJson.setJsonByArray(ar, this);
}

CalemExprComposite.prototype.isExprOnTable =
function(table) {
	var rtn=true;
	for (var i=0; i< this._exprs.length; i++) {
		if (!this._exprs[i].isExprOnTable(table)) {
			rtn=false;
			break;
		}
	}
	return rtn;
}

//SQL
CalemExprComposite.prototype.getSql =
function() {
	return ['(', CalemJson.arrayToSql(this._exprs, this._type), ")"].join('');
}

CalemExprComposite.AND='AND';
CalemExprComposite.OR='OR';

/**
 * CalemExprComposition
 * Expression composition
 */
function CalemExprAnd() {
   CalemExprComposite.call(this, CalemExprComposite.AND);
}

CalemExprAnd.prototype=new CalemExprComposite;
CalemExprAnd.prototype.constructor=CalemExprAnd;

CalemExprAnd.prototype.toString =
function() {
	return 'CalemExprAnd';
}

CalemExprAnd.prototype.query =
function(rec) {
	var rtn=true;
	for (var i=0; i< this._exprs.length; i++) {
		if (!this._exprs[i].query(rec)) {
			rtn=false;
			break;
		}
	}
	return rtn;
}

function CalemExprOr() {
   CalemExprComposite.call(this, CalemExprComposite.OR);
}

CalemExprOr.prototype=new CalemExprComposite;
CalemExprOr.prototype.constructor=CalemExprOr;

CalemExprOr.prototype.toString =
function() {
	return 'CalemExprOr';
}

CalemExprOr.prototype.query =
function(rec) {
	var rtn=false;
	for (var i=0; i< this._exprs.length; i++) {
		if (this._exprs[i].query(rec)) {
			rtn=true;
			break;
		}
	}
	return rtn;
}

/**
 * These expr classes are ported from server's CalemDboFilterExpr.
 * Supported exprs: ==, !=, >=, >, <=, <, isNull, isNotNull, like, in, and, or
 * 
 */
function CalemDbExpr(fld, op, value) {
	if (arguments.length==0) return;
	this._field=fld;
	this._op=op;
	this._value=value;
}

CalemDbExpr.EQ=CalemConst.DbExpr_EQ;
CalemDbExpr.NEQ=CalemConst.DbExpr_NEQ;
CalemDbExpr.GTEQ=CalemConst.DbExpr_GTEQ;
CalemDbExpr.GT=CalemConst.DbExpr_GT;
CalemDbExpr.LTEQ=CalemConst.DbExpr_LTEQ;
CalemDbExpr.LT=CalemConst.DbExpr_LT;
CalemDbExpr.IS_NULL=CalemConst.DbExpr_IS_NULL;
CalemDbExpr.IS_NOT_NULL=CalemConst.DbExpr_IS_NOT_NULL;
CalemDbExpr.LIKE=CalemConst.DbExpr_LIKE;
CalemDbExpr.IN=CalemConst.DbExpr_IN;

//serialize
CalemDbExpr.prototype.getJson =
function() {
	return ["{CalemDbExpr: {field: ", this._field.getJson(), ", op: '", this._op, "'",
	         (this._value ? [", value: ", this._value.getJson()].join('') : ''), "}}"].join('');	
}

//deserialize
CalemDbExpr.prototype.setJson =
function(obj) {
	this._values=new Array(); //Creating the values.
	this._field=CalemJson.setJson(obj.field);
	this._op=obj.op;
	this._value=obj.value? CalemJson.setJson(obj.value) : null;
}

CalemDbExpr.prototype.getSql =
function() {
	var rtn=[this._field.getSql(), ' ', this._op].join('');
	if (this._op != CalemDbExpr.IS_NULL && this._op!=CalemDbExpr.IS_NOT_NULL) {
		rtn=[rtn, " ", this._value.getSql(this._op)].join('');
	}
	return rtn;
}

/**
 * accessors for conveniece.
 */
CalemDbExpr.prototype.getFieldRawValue =
function(rec) {
	return rec.getField(this._field.getField()).getRawValue();
} 

CalemDbExpr.prototype.getValue =
function() {
	return this._value;
}

CalemDbExpr.prototype.getOp =
function() {
	return this._op;
}

/**
 * This is the ultimate evaluation of the query expressions.
 */
CalemDbExpr.prototype.query =
function(rec) {
	var raw=this.getFieldRawValue(rec);
	switch (this._op) { 
		case CalemDbExpr.IS_NULL :  return (typeof(raw)=='undefined' || raw==null);
		case CalemDbExpr.IS_NOT_NULL : return (raw != null);
	}
	//Otherwise process based on param values.
	if (typeof(raw)=='undefined' || raw ==null) return false;
	return this._value.query(rec, raw, this);
}

//Check expr on table
CalemDbExpr.prototype.isExprOnTable =
function(table) {
	return (this._field.getTable()==table);
}

/**
 * CalemField
 */
function CalemDbField(table, field) {
	if (arguments.length==0) return;
	this._table=table;
	this._field=field;
}

CalemDbField.prototype.getJson =
function() {
	return ["{CalemDbField: {table: '", this._table, "', field: '", this._field, "'}}"].join('');
}

CalemDbField.prototype.setJson =
function(obj) {
	this._table=obj.table;
	this._field=obj.field;
}

CalemDbField.prototype.getSql =
function() {
	return [this._table, ".", this._field].join('');
}

CalemDbField.prototype.getField =
function() {
	return this._field;
}

CalemDbField.prototype.getTable =
function() {
	return this._table;
}

/**
 * CalemDbValue 
 * Derived classes:
 * <ul>
 * <li>CalemDbString - normal string
 * <li>CalemDbLookup - id and string
 * <li>CalemDbNumber
 * <li>CaldmDbUser
 * <li>CalemDbDate
 * <li>CalemDbTime
 * <li>CalemDbDateTime
 * <li>CalemDbHolder
 * </ul>
 */
function CalemDbValue(val) {
	if (arguments.length==0) return;
	this._value=val;
}

CalemDbValue.prototype.getValue =
function() {
	return this._value;
}

CalemDbValue.prototype.getRawValue =
function() {
	return this._value;
}

CalemDbValue.prototype.getSql =
function() {
	return this._value;
}

/**
 * Query operations - the ultimate evaluation of the query expressions.
 */
CalemDbValue.prototype.query =
function(rec, fldRaw, dbExpr) {
	var rtn=false;
	switch (dbExpr.getOp()) {
		case CalemDbExpr.EQ :   rtn=(fldRaw == this.getRawValue()); break;
		case CalemDbExpr.NEQ :  rtn=(fldRaw != this.getRawValue()); break;
		case CalemDbExpr.GTEQ : rtn= (fldRaw >= this.getRawValue()); break;
		case CalemDbExpr.GT:    rtn= (fldRaw > this.getRawValue()); break;
		case CalemDbExpr.LTEQ : rtn= (fldRaw <= this.getRawValue()); break;
		case CalemDbExpr.LT :   rtn= (fldRaw < this.getRawValue()); break;
		case CalemDbExpr.LIKE : 
		   var val=this.getLikeValue(); //LIKE uses value which could be case insensitive
		   val=val.replace(/%/g, '');
		   if (!CalemViewUtil.sortCaseSensitive()) fldRaw=fldRaw.toLowerCase();
			rtn= (fldRaw.indexOf(val)!=-1); 
			break;
		case CalemDbExpr.IN : 
		   var rtn=false;
		   for (var i=0; i< this._value.length; i++) {
		   	if (fldRaw==this._value[i]) {
		   		rtn=true;
		   		break;
		   	}
		   }
		   break;
	}
	return rtn;
} 


/**
 * CalemDbString
 * 
 */
function CalemDbString(val) {
	if (arguments.length==0) return;
	CalemDbValue.call(this, val);
}

CalemDbString.prototype=new CalemDbValue;
CalemDbString.prototype.constructor = CalemDbString;

CalemDbString.SQUOTE="'";
CalemDbString.SQUOTE_ES="%27";
CalemDbString.DQUOTE="\"";
CalemDbString.DQUOTE_ES="%22";


/**
 * JS escape so don't need to worry about special chars in persistence.
 */
CalemDbString.prototype.getJson =
function() {
	return ["{CalemDbString: '", escape(this._value), "'}"].join('');
}

//deserialize
CalemDbString.prototype.setJson =
function(val) {
	this._value=unescape(val);
}

/**
 * Escape " and ' so JS handling is ok.
 */
CalemDbString.prototype.getSql =
function(op) {
	return this._getSql(op, this._value);
}

CalemDbString.prototype._getSql =
function(op, val) {
	if (val.indexOf(CalemDbString.SQUOTE)!=-1) {
		val=val.replace(/'/g, CalemDbString.SQUOTE_ES)
	}
	if (val.indexOf(CalemDbString.DQUOTE)!=-1){
		val=val.replace(/"/g, CalemDbString.DQUOTE_ES)
	}
	if (op && op==CalemDbExpr.LIKE) {
		val=['%', val, '%'].join('');
	}
	return ["'", val, "'"].join('');
}

//String value to do case insensitivity check.
CalemDbString.prototype.getLikeValue =
function() {
	var rtn=this._value;
	if (this._value && !CalemViewUtil.sortCaseSensitive()) {
		rtn=this._value.toLowerCase();
	}
	return rtn;
}

/**
 * CalemDbLookup 
 */
function CalemDbLookup(id, val) {
	if (arguments.length==0) return;
	this._id=id;
	CalemDbString.call(this, val);
}

CalemDbLookup.prototype=new CalemDbString;
CalemDbLookup.prototype.constructor = CalemDbLookup;

/**
 * JS escape so don't need to worry about special chars in persistence.
 */
CalemDbLookup.prototype.getJson =
function() {
	return ["{CalemDbLookup: {", 
	       (this._id ? ["id: '", this._id, "', "].join('') : ''),
	       "value: '", escape(this._value), "'}}"].join('');
}

//deserialize
CalemDbLookup.prototype.setJson =
function(obj) {
	this._id=obj.id;
	this._value=unescape(obj.value);
}

//Getters
CalemDbLookup.prototype.getId = function() {return this._id;}
CalemDbLookup.prototype.getValue=function() {return this._value;}
CalemDbLookup.prototype.getRawValue=function() {return this._id;}

CalemDbLookup.prototype.getSql =
function(op) {
	var val= (op==CalemDbExpr.LIKE) ? this._value : (this._id ? this._id : this._value);
	return CalemDbString.prototype._getSql(op, val);
}

/**
 * CalemDbNumber
 * 
 */
function CalemDbNumber(val) {
	if (arguments.length==0) return;
	CalemDbValue.call(this, val);
}

CalemDbNumber.prototype=new CalemDbValue;
CalemDbNumber.prototype.constructor = CalemDbNumber;

CalemDbNumber.prototype.getJson =
function() {
	return ["{CalemDbNumber: ", this._value, "}"].join('');
}

CalemDbNumber.prototype.setJson =
function(val) {
	this._value=val;
}

/**
 * CalemDbUser
 * 
 */
function CalemDbUser(dummy) {
	if (arguments.length==0) return;
	CalemDbValue.call(this);
}

CalemDbUser.prototype=new CalemDbValue;
CalemDbUser.prototype.constructor = CalemDbUser;

CalemDbUser.prototype.getJson =
function() {
	return ["{CalemDbUser:}"].join('');
}

CalemDbUser.prototype.setJson =
function() {
}

//@todo - to set this up from login.
CalemDbUser.prototype.getSql =
function() {
	return "'CalemDbUser'";
}

/**
 * CalemDbDate
 * Internal format is GMT date.
 */
function CalemDbDate(val) {
	if (arguments.length==0) return;
	CalemDbValue.call(this, val);
}

CalemDbDate.prototype=new CalemDbValue;
CalemDbDate.prototype.constructor = CalemDbDate;

CalemDbDate.prototype.getJson =
function() {
	return ["{CalemDbDate: '", 
				CalemTextUtil.formatServerDate(this._value)
				, "'}"].join('');
}

CalemDbDate.prototype.setJson =
function(val) {
	this._value=CalemTextUtil.parseServerDate(val);
}

CalemDbDate.prototype.getSql =
function() {
	return ["'", CalemTextUtil.formatServerDate(this._value), "'"].join('');
}

/**
 * CalemDbDateTime
 * Internal format is GMT.
 * @val - is datetime object format.
 */
function CalemDbDateTime(val) {
	if (arguments.length==0) return;
	CalemDbValue.call(this, val);
}

CalemDbDateTime.prototype=new CalemDbValue;
CalemDbDateTime.prototype.constructor = CalemDbDateTime;

CalemDbDateTime.prototype.getJson =
function() {
	return ["{CalemDbDateTime: '", CalemTextUtil.formatServerDateTime(this._value), "'}"].join('');
}

CalemDbDateTime.prototype.setJson =
function(val) {
	this._value=CalemTextUtil.parseServerDateTime(val);
}

CalemDbDateTime.prototype.getSql =
function() {
	return ["'", CalemTextUtil.formatServerDateTime(this._value), "'"].join('');
}

/**
 * CalemDbTime
 * Internal format is date
 */
function CalemDbTime(val) {
	if (arguments.length==0) return;
	CalemDbValue.call(this, val);
}

CalemDbTime.prototype=new CalemDbValue;
CalemDbTime.prototype.constructor = CalemDbTime;

CalemDbTime.prototype.getJson =
function() {
	return ["{CalemDbTime: '", CalemTextUtil.formatServerTime(this._value), "'}"].join('');
}

CalemDbTime.prototype.setJson =
function(val) {
	this._value=CalemTextUtil.parseServerTimeGmt(val);
}

CalemDbTime.prototype.getSql =
function() {
	return ["'", CalemTextUtil.formatServerTime(this._value), "'"].join('');
}

/**
 * CalemDbParamHolder
 * 
 */
function CalemDbParamHolder(dummy) {
	if (arguments.length==0) return;
	CalemDbValue.call(this);
}

CalemDbParamHolder.prototype=new CalemDbValue;
CalemDbParamHolder.prototype.constructor = CalemDbParamHolder;

CalemDbParamHolder.prototype.getJson =
function() {
	return ["{CalemDbParamHolder:}"].join('');
}

CalemDbParamHolder.prototype.setJson =
function() {
}

CalemDbParamHolder.prototype.getSql =
function() {
	return "?";
}

/**
 * CalemDbDropdown
 * @value is an array of values.
 */
function CalemDbDropdown(value) {
	if (arguments.length==0) return;
	CalemDbValue.call(this, value);
} 

CalemDbDropdown.prototype=new CalemDbValue;
CalemDbDropdown.prototype.constructor = CalemDbDropdown;

CalemDbDropdown.prototype.getJson =
function() {
	return ["{CalemDbDropdown: ", CalemJson.arrayToJson(this._value), "}"].join('');
}

CalemDbDropdown.prototype.setJson =
function(obj) {
	this._value=CalemJson.setJsonAsArray(obj);
}

CalemDbDropdown.prototype.getSql =
function() {
	return ["(", CalemJson.arrayToSql(this._value),")"].join('');
}

/**
 * CalemDbBoolean
 */
function CalemDbBoolean(value) {
	if (arguments.length==0) return;
	CalemDbValue.call(this, value);
} 

CalemDbBoolean.prototype=new CalemDbValue;
CalemDbBoolean.prototype.constructor = CalemDbBoolean;

CalemDbBoolean.prototype.getJson =
function() {
	return ["{CalemDbBoolean: ", this._value, "}"].join('');
}

CalemDbBoolean.prototype.setJson =
function(obj) {
	this._value=obj? 1 : 0;
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

/**
 * CalemTableQuery includes the where, orderBy and range to use 
 * when fetching data from a table. CalemTableQuery is mainly used
 * to fetch data for presentation.
 */
function CalemTableQuery(id, table, type) {
	if (arguments.length == 0) return;
	this._id=id;	
	this._table=table;
	this._fullId=(id==table) ? table : [id,'_',table].join('');
	this._type=type || CalemTableQuery.GET;
	this._select=new CalemQuerySelect();
	this._where=new CalemQueryWhere();	
	this._aliasKey=1;
}

CalemTableQuery.GET='GET';
CalemTableQuery.GET_COUNT='GET_COUNT';
CalemTableQuery.UPDATED='UPDATED';
CalemTableQuery.DELETED='DELETED';

CalemTableQuery.prototype.toString =
function() {
	return 'CalemTableQuery';
}

CalemTableQuery.prototype.nextAliasKey =
function() {
	return this._aliasKey++;
}

CalemTableQuery.prototype.getType =
function() {
	return this._type;
}

CalemTableQuery.prototype.addSelect =
function(fld) {
	this._select.add(fld);
}

CalemTableQuery.prototype.removeSelect =
function(fld) {
	this._select.remove(fld);
}

CalemTableQuery.prototype.getSelect =
function() {
	return this._select;
}

CalemTableQuery.prototype.setWhere =
function(table, expr, tblJoin) {
	this._where.set(table, expr, tblJoin);
}

CalemTableQuery.prototype.addWhere =
function(table, leftField, expr, tableDd) {
	this._where.addWhereExpr(table, leftField, expr, tableDd);
}

CalemTableQuery.prototype.getWhere =
function(table, leftFld) {
	return this._where.get(table, leftFld);
}

CalemTableQuery.prototype.getWhereAll =
function() {
	return this._where;
}

CalemTableQuery.prototype.hasWhereExpr =
function() {
	return this._where.hasWhereExpr();
}

CalemTableQuery.prototype.query =
function(rec) {
	return this._where.query(rec);
}

CalemTableQuery.prototype.setOrderBy =
function(orderBy) {
	this._orderBy=orderBy;
	/** this is not necessary since it's already handled by the system */
	/*
	if (orderBy.getAlias()) { //Then this is a join field, so let's add to select list
		this.addSelect(orderBy.getSelectField());
	}
	*/
}

CalemTableQuery.prototype.getOrderBy =
function() {
	return this._orderBy;
}

CalemTableQuery.prototype.setRange =
function(range) {
	this._range=range;
}

CalemTableQuery.prototype.getRange =
function() {
	return this._range;
}

//Add update time expr.
CalemTableQuery.prototype.addStaleTime =
function(updateTime) {
	var fn='modified_time';
	var fld=new CalemDbField(this._table, fn);
	var val=new CalemDbString(updateTime);
	var exprTime=new CalemDbExpr(fld, CalemDbExpr.GTEQ, val);
	//add to query
	this.setWhere(this._table, exprTime);
}

//Serialization for persistence.
CalemTableQuery.prototype.getJson =
function() {
	var srcTable= this._srcTable ? [", srcTable: '", this._srcTable, "'"].join('') : '';
	var rtn=["{", this.toString(), ": {type: '", this._type, "'", srcTable, ", table: '", this._table, "', select: ", this._select.getJson(),
	         ", where: ", this._where.getJson()].join('');
	if (this._orderBy) rtn=[rtn, ", orderBy: ", this._orderBy.getJson()].join('');
	if (this._range) rtn=[rtn, ", range: ", this._range.getJson()].join('');
	return (rtn + "}}");
}

CalemTableQuery.prototype.setJson =
function(obj) {
	this._type=obj.type;
	this._srcTable=obj.srcTable;
	this._table=obj.table;
	this._select=CalemJson.setJson(obj.select);
	this._where=CalemJson.setJson(obj.where);
	this._orderBy=CalemJson.setJson(obj.orderBy);
	this._range=CalemJson.setJson(obj.range);	
}

//sql building
CalemTableQuery.prototype.getSql =
function() {
	//Using SQL join to build select and from
	var rtn=[this._select.getSql(), " FROM ", this._table].join('');
	if (this._where) rtn=[rtn, ' ', this._where.getSql()].join('');
	if (this._orderBy) rtn=[rtn, ' ', this._orderBy.getSql()].join('');
	if (this._range) rtn=[rtn, ' ', this._range.getSql()].join('');
	return rtn;
}

CalemTableQuery.prototype.getCountSql =
function() {
	var rtn=["SELECT count(*) FROM ", this._table].join('');
	if (this._where) rtn=[rtn, ' ', this._where.getCountSql()].join('');
	return rtn;
}

//soap structure
CalemTableQuery.prototype.getSoap =
function() {
	return {table: this._table, type: this._type, sql: this.getSql(), countSql: this.getCountSql()};
}

//Count soap only
CalemTableQuery.prototype.getSoapCount =
function() {
	return {table: this._table, type: CalemTableQuery.GET_COUNT, countSql: this.getCountSql()};
}

CalemTableQuery.prototype.getFullTableId =
function() {
	return this._fullId;
}

CalemTableQuery.prototype.setFullTableId =
function(fid) {
	this._fullId=fid;
}

CalemTableQuery.prototype.getTableId =
function() {
	return this._table;
}

CalemTableQuery.prototype.getId =
function() {
	return this._id;
}

/**
 * CalemQueryUpdated
 * this query finds out records updated from the database.
 * @param table - table to query updated values
 * @param time - data changed after the time to be fetched
 * @param fld - field to apply the time
 * 
 * @deprecated to reuse table query (for including custom fields and other exprs)
 */
function CalemQueryUpdated(id, table, time, fld) {
	if (arguments.length==0) return;
	CalemTableQuery.call(this, id, table, CalemTableQuery.UPDATED);
	//Add selection
	var sel=new CalemSelectField(this._table);
	this.addSelect(sel);
	//Set time
	this.setTimeValue(time, fld);
}

CalemQueryUpdated.prototype=new CalemTableQuery;
CalemQueryUpdated.prototype.constructor=CalemQueryUpdated;

CalemQueryUpdated.prototype.toString=
function() {
	return 'CalemQueryUpdated';
}

CalemQueryUpdated.prototype.setTimeValue =
function(val, fld) {
	fld= fld || 'modified_time';
	fld=new CalemDbField(this._table, fld);
	val=new CalemDbString(val);
	var exprTime=new CalemDbExpr(fld, CalemDbExpr.GTEQ, val);
	//add to query
	this.setWhere(this._table, exprTime);
}

CalemQueryUpdated.prototype.getCountSql =
function() {
	return ["SELECT count(*) FROM ", this._table].join('');
}

/**
 * CalemQueryDeleted
 * this query finds out records deleted from the database.
 * @param table - table to query deleted values
 * @param time - time after which deletion is made.
 * 
 */
function CalemQueryDeleted(id, table, time) {
	if (arguments.length==0) return;
	CalemTableQuery.call(this, id, CalemQueryDeleted.TABLE, CalemTableQuery.DELETED);
	this._srcTable=table;
	this._fullId=[this._table, '_', this._srcTable].join('');
	//Add selection
	var sel=new CalemSelectField(this._table, 'rec_id');
	this.addSelect(sel);
	//Set time value
	this.setTimeValue(time);
}

CalemQueryDeleted.TABLE='recycle_bin';

CalemQueryDeleted.prototype=new CalemTableQuery;
CalemQueryDeleted.prototype.constructor=CalemQueryDeleted;

CalemQueryDeleted.prototype.toString=
function() {
	return 'CalemQueryDeleted';
}

CalemQueryDeleted.prototype.setTimeValue =
function(value) {
	var andExpr=new CalemExprAnd();
	//-created_time
	var fld=new CalemDbField(this._table, 'created_time');
	var val=new CalemDbString(value);
	var exprTime=new CalemDbExpr(fld, CalemDbExpr.GTEQ, val);
	//-table name
	fld=new CalemDbField(CalemQueryDeleted.TABLE, 'table_name');
	val=new CalemDbString(this._srcTable);
	var exprTable=new CalemDbExpr(fld, CalemDbExpr.EQ, val);
	//-adding exprs together.
	andExpr.add(exprTime);
	andExpr.add(exprTable);
	//add to query
	this.setWhere(this._table, andExpr);
}

//soap structure
CalemQueryDeleted.prototype.getSoap =
function() {
	return {table: this._srcTable, type: this._type, sql: this.getSql()};
}

CalemQueryDeleted.prototype.getTableId =
function() {
	return this._srcTable;
}

/**
 * CalemQuerySelect
 * Each select field is of the format: 
 * {id: project_no, alias: project_id__project_no}
 * or just: 
 * {id: modified_time} 
 */
function CalemQuerySelect() {
	this._select=new Array();
}

CalemQuerySelect.prototype.add =
function(fld) {
	this._replace(fld);
}

CalemQuerySelect.prototype._replace =
function(fld) {
	var replaced=false;
	for (var i=0; i< this._select.length; i++) {
		if (this._select[i].equals(fld)) {
			delete this._select[i];
			this._select[i]=fld;
			replaced=true;
			break;
		}
	}
	if (!replaced) this._select.push(fld);
}

CalemQuerySelect.prototype.remove =
function(fld) {
	for (var i=0; i< this._select.length; i++) {
		if (this._select[i].equals(fld)) {
			var del=this._select.splice(i, 1);
			delete del[0];
			break;
		}
	}
}

//serialization
CalemQuerySelect.prototype.getJson =
function() {
	return ["{CalemQuerySelect: ", CalemJson.arrayToJson(this._select), "}"].join('');
}

CalemQuerySelect.prototype.setJson =
function(ar) {
	CalemJson.setJsonByArray(ar, this);
}

CalemQuerySelect.prototype.getSql =
function() {
	return 'SELECT ' + CalemJson.arrayToSql(this._select, ',');
}

/**
 * CalemTableField object
 */
function CalemSelectField(table, field, alias) {
	if (arguments.length == 0) return;
	this._table=table;
	this._field=field;
	this._alias=alias;
}

CalemSelectField.prototype.getOrderByField =
function() {
	var rtn= this._alias ? this._alias : this._field;
	return rtn;
}

CalemSelectField.prototype.getJson =
function() {
	var rtn=["{CalemSelectField: {table: '", this._table,"'"].join('');
	if (this._field) {
		rtn=[rtn, ", field: '", this._field, "'"].join('');
		if (this._alias) {
			rtn=[rtn, ", alias: '", this._alias, "'"].join('');
		}
	}
	return (rtn +"}}");
}

CalemSelectField.prototype.setJson =
function(obj) {
	this._table=obj.table;
	this._field=obj.field;
	this._alias=obj.alias;
}

CalemSelectField.prototype.getSql =
function() {
	var rtn;
	if (!this._field) {
		rtn=[this._table, ".*"].join('');
	} else if (!this._alias) {
		rtn=[this._table, ".", this._field].join('');
	} else {
		rtn=[this._table, ".", this._field, " AS ", this._alias].join('');
	}
	return rtn;
}

CalemSelectField.prototype.equals =
function(fld) {
	return (fld instanceof CalemSelectField
	        && fld._table===this._table
	        && fld._field===this._field
	        && fld._alias===this._alias); 	
}

/**
 * CalemQueryWhere 
 */
function CalemQueryWhere() {
	this._where=new Object();
}

CalemQueryWhere.prototype.set =
function(table, expr, tblJoin) {
	//use table join for the where key if applicable
	var key= (tblJoin) ? table+"__"+tblJoin.getLeftField() : table;
	this._where[key]=new CalemWhereItem(table, expr, tblJoin);
}

CalemQueryWhere.prototype.get =
function(table, leftField) {
	var key= leftField ? table+"__"+leftField : table;
	return this._where[key];
}

CalemQueryWhere.prototype.hasWhereExpr =
function() {
	var hasExpr=false;
	for (var i in this._where) {
		var item=this._where[i];
		if (item.getExpr()) {
			hasExpr=true;
			break;
		}
	}
	return hasExpr;
}

/**
 * For now we're supporting only one table query only.
 * Table join is not considered at this time.
 */
CalemQueryWhere.prototype.getCoreExpr =
function() {
	var rtn=null;
	for (var i in this._where) {
		rtn=this._where[i].getExpr();
		break;
	}
	return rtn;
}

CalemQueryWhere.prototype.query =
function(rec) {
	var match=true;
	for (var i in this._where) {
		var item=this._where[i];
		if (!item.query(rec)) {
			match=false;
			break;
		}
	}
	return match;
}

CalemQueryWhere.prototype.getJson =
function() {
	return ["{CalemQueryWhere: ", CalemJson.arrayToJson(this._where), "}"].join('');
}

CalemQueryWhere.prototype.setJson =
function(obj) {
	for (var i=0; i< obj.length; i++) {
		var o=CalemJson.setJson(obj[i]);
		this._where[o._table]=o;
	}
}

//Need to build out the join info first - followed by where conditions.
CalemQueryWhere.prototype.getSql =
function(noLeftJoin) {
	var joins=[];
	var where=[];
	for (var i in this._where) {
		if (noLeftJoin) {
			var whereItem=this._where[i];
			if (whereItem.getJoin() && whereItem.getJoin().isLeftJoin() && !whereItem.getExpr()) continue;
		}
		var jn=this._where[i].getJoinSql();
		if (jn) joins.push(jn);
		var ex=this._where[i].getExprSql();
		if (ex) where.push(ex);
	}
	var rtn='';
	var stw='';
	if (joins.length > 0)rtn=joins.join(' ');
	if (where.length==1) {
		stw=["WHERE ", where].join('');
	} else if (where.length > 1) {
		stw=["WHERE ", where.join(' AND ')].join('');
	}
	return (rtn + stw);
}

//To skip left join for count calculation when possible
CalemQueryWhere.prototype.getCountSql =
function() {
	//Figure out if left-join is needed.
	var noLeftJoin=true;
	for (var i in this._where) {
		var whereItem=this._where[i];
		if (whereItem.getJoin()) continue;
		//This is one that does not have a join so it's where conditions
		var expr=whereItem.getExpr();
		noLeftJoin=expr.isExprOnTable(i);
		break;		
	}
	return this.getSql(noLeftJoin);
}

CalemQueryWhere.prototype.addWhereExpr =
function(table, leftField, expr, tableDd) {
	var where=this.get(table, leftField);
	var whereExpr= where ? where.getExpr() : null;
	if (whereExpr) {
		if (whereExpr instanceof CalemExprAnd) {
			whereExpr.add(expr);
		} else {
			var ne=new CalemExprAnd();
			ne.add(whereExpr);
			ne.add(expr);
			whereExpr=ne;
		}
	} else {
		whereExpr=expr;
	}
	if (where) {
		where.setExpr(whereExpr);
	} else if (!leftField) {
		this.set(table, whereExpr);
	} else { //Must create a join here.
		join=tableDd.getJoin(leftField);
		tableJoin=new CalemTableJoin(CalemTableJoin.LEFT, this._table, leftField, join.table, join.field);
		this.set(table, whereExpr, tableJoin);
	}
}

/**
 * Each where item
 */
function CalemWhereItem(table, expr, join) {
	if (arguments.length==0) return;
	this._table=table;
	this._expr=expr;
	this._join=join;
}

CalemWhereItem.prototype.getJoin =
function() {
	return this._join;
}

CalemWhereItem.prototype.getExpr =
function() {
	return this._expr;
}

CalemWhereItem.prototype.setExpr =
function(expr) {
	this._expr=expr;
}

CalemWhereItem.prototype.query =
function(rec) {
	return (this._expr ? this._expr.query(rec) : true);
}

CalemWhereItem.prototype.getJson =
function() {
	var expr=this._expr ? ([", expr:", this._expr.getJson()].join('')) : '';
	if (this._join) {
			rtn=["{CalemWhereItem: {table: '", this._table, "'", expr, ", tblJoin: ", this._join.getJson(), "}}"].join('');
		} else {
			rtn=["{CalemWhereItem: {table: '", this._table, "'", expr, "}}"].join('');
		}
	return rtn;
}

CalemWhereItem.prototype.setJson =
function(obj) {
	this._table=obj.table;
	this._expr=CalemJson.setJson(obj.expr);
	this._join=CalemJson.setJson(obj.tblJoin);
}

CalemWhereItem.prototype.getJoinSql =
function() {
	var rtn=null;
	if (this._join) rtn=this._join.getSql();
	return rtn;
}

CalemWhereItem.prototype.getExprSql =
function() {
	var rtn=null;
	if (this._expr) rtn=this._expr.getSql();
	return rtn;
}

/**
 * Table join class.
 */
function CalemTableJoin(type, leftTbl, leftFld, rightTbl, rightFld, aliasKey) {
	if (arguments.length == 0) return;	
	this._type=type;
	this._leftTbl=leftTbl;
	this._leftFld=leftFld;
	this._rightTbl=rightTbl;
	this._rightFld=rightFld;
	this._aliasKey=aliasKey
}

CalemTableJoin.LEFT='LEFT';
CalemTableJoin.INNTER='INNER';

CalemTableJoin.prototype.getJson =
function() {
	return ["{CalemTableJoin: {type: '", this._type, "', leftTbl: '", this._leftTbl, "', leftFld: '",
	        this._leftFld, "', rightTbl: '", this._rightTbl, "', rightFld: '", this._rightFld, "'",
	        (this._aliasKey ? [", aliasKey: '", this._aliasKey, "'"].join('') : ''), "}}"].join('');
}

CalemTableJoin.prototype.setJson =
function(obj) {
	this._type=obj.type;
	this._leftTbl=obj.leftTbl;
	this._leftFld=obj.leftFld;
	this._rightTbl=obj.rightTbl;
	this._rightFld=obj.rightFld;
	this._aliasKey=obj.aliasKey;
}

CalemTableJoin.prototype.getLeftField =
function() {
	return this._leftFld;
}

CalemTableJoin.prototype.getSql =
function() {
	return [' ', this._type, ' JOIN ', this._rightTbl, 
	        " as ",this.getAlias(), 
	        ' ON ', this._leftTbl, '.',
	        this._leftFld, '=', this.getAlias(),
	        '.', this._rightFld, ' '].join('');
}

CalemTableJoin.prototype.getAlias =
function() {
	return [this._rightTbl, '_', this._leftFld].join('');
}

CalemTableJoin.prototype.isLeftJoin =
function() {
	return this._type==CalemTableJoin.LEFT;
}

/**
 * Table orderBy class
 */
function CalemQueryOrderBy(fld, order) {
	if (arguments.length == 0) return;
	this._field=fld;
	this._order= order || CalemQueryOrderBy.ASC;	
} 

//Let's create order by as well as a select field if any.
CalemQueryOrderBy.createOrderBy =
function(tableDd, fldName, order) {
	var lkupDd, isJoin;
	if (lkupDd=tableDd.getLookupTableDd(fldName)) {
		isJoin=(!lkupDd.isCached()); 
	}
	var sel;
	if (isJoin) {
		var alias=tableDd.getJoinFieldName(fldName);
		sel=new CalemSelectField(tableDd.getTableName(), fldName, alias);
	} else {
		sel=new CalemSelectField(tableDd.getTableName(), fldName);
	}
	return new CalemQueryOrderBy(sel, order);
}

CalemQueryOrderBy.ASC='ASC';
CalemQueryOrderBy.DESC='DESC';

CalemQueryOrderBy.prototype.getJson =
function() {
	return ["{CalemQueryOrderBy: {field: ", this._field.getJson(), ", order: '", this._order, "'}}"].join('');
}

CalemQueryOrderBy.prototype.setJson =
function(obj) {
	this._field=CalemJson.setJson(obj.field);
	this._order=obj.order;
}

CalemQueryOrderBy.prototype.getSql =
function() {
	return [' ORDER BY ', this._field.getOrderByField(), ' ', this._order].join('');
}

CalemQueryOrderBy.prototype.isAscending =
function() {
	return this._order==CalemQueryOrderBy.ASC;
}

CalemQueryOrderBy.prototype.getField =
function() {
	return this._field._field;
}

CalemQueryOrderBy.prototype.getAlias =
function() {
	return this._field._alias;
}

CalemQueryOrderBy.prototype.getSelectField = 
function() {
	return this._field;
}

CalemQueryOrderBy.prototype.equals =
function(ob) {
	return (ob!=null && ob instanceof CalemQueryOrderBy && this._field.equals(ob._field) && this._order==ob._order);
}

/**
 * Table range to fetch
 */
function CalemQueryRange(start, size) {
	if (arguments.length==0) return;
	this._start=start || 0;
	this._size=size || CalemConf['db_query']['fetchCount'];	
}

CalemQueryRange.ALL=CalemConf['db_query']['maxFetchCount'];

CalemQueryRange.prototype.getJson =
function() {
	return ['{CalemQueryRange: {start: ', this._start, ', size: ', this._size,'}}'].join('');
}

CalemQueryRange.prototype.setJson =
function(obj) {
	this._start=obj.start;
	this._size=obj.size;
}

//MySql only at this time.
CalemQueryRange.prototype.getSql =
function() {
	return [' LIMIT ', this._start, ", ", this._size].join('');
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */


/**
 * CalemDbQuery - bulk query list to send to server.
 */
function CalemDbQuery() {
	this._map=new Object();
}

CalemDbQuery.prototype.toString =
function() {
	return 'CalemDbQuery';
}

CalemDbQuery.prototype.add =
function(tblQuery) {
	this._map[tblQuery.getFullTableId()]	=tblQuery;
}

CalemDbQuery.prototype.remove =
function(table) {
	delete this._map[table];
}

CalemDbQuery.prototype.getQuery =
function(id) {
	return this._map[id];
}

CalemDbQuery.prototype.size =
function() {
	var count=0;
	for (var i in this._map) {
		count++;
	}
	return count;
}

CalemDbQuery.prototype.getQueryMap =
function() {
	return this._map;
}

/**
 * This function construct sql for use with the soap API.
 * {CalemDbQuery: [
 * 	{CalemTableQuery: {table: 'table', type: 'type', sql: 'sql'}}
 *    ....
 * ]}
 * 
 */
CalemDbQuery.prototype.getSoap =
function() {
	//Prepare local timestamp for cache stale calculation.
	var formatter=CalemTextUtil.getFormatter(CalemTextUtil.DATETIME_SERVER_FORMATTER);
	var localTime=formatter.format(new Date());
	var obj=new Object();
	for (var i in this._map) {
		var qry=this._map[i];
		var soap=qry.getSoap(); 
		soap.localTime=localTime; //Add localTime.
		obj[qry.getFullTableId()]=soap;
	}
	return obj;
}

/**
 * Get count only so it's simplified not include times.
 */
CalemDbQuery.prototype.getSoapCount =
function() {
	var obj=new Object();
	for (var i in this._map) {
		var qry=this._map[i];
		var soap=qry.getSoapCount(); 
		obj[qry.getFullTableId()]=soap;
	}
	return obj;
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
 
/**
 * CalemRecord Holds a data record. It's used for many purposes
 * <ul>
 * <li>Data storage
 * <li>Data presentation
 * <li>Data editing
 * </ul>
 */
function CalemRecord(recList, fldMap, recValue) {
	if (arguments.length==0) return;
	CalemModel.call(this, true);
	this._recList=recList;
	this._fldMap=fldMap;
	this._recValue=recValue;
	this._tableDd=recList.getTableDd();
	if (recValue) this.id=recValue[fldMap[this._tableDd.getIdFieldName()]];
}

CalemRecord.toNumeric=
function(val) {
	return (val==null) ? null : Number(val);
}

CalemRecord.prototype = new CalemModel;
CalemRecord.prototype.constructor = CalemRecord;

CalemRecord.prototype.toString = 
function() {
	return "CalemRecord";
}

/** 
 * factory method to create a field 
 * Note: all fields returned from MySql are strings so let's convert for numeric fields here.
 */ 
CalemRecord.prototype.createField =
function(fn, value, tableDd) {
	var fld, joinValue, df;
	//Handle table-dependent fields first.
	if (tableDd.isDropdownField(fn)) {
		fld=new CalemDropdownField(this, fn, value)
	} else if (tableDd.isMemoryCachedField(fn)) {
		fld=new CalemCachedJoinField(this, fn, value)
	} else if (tableDd.isJoinField(fn)) {		
		//The real value is brought in so let's get it.
		joinValue=this._recValue[this._fldMap[tableDd.getJoinFieldName(fn)]];
		fld=new CalemJoinField(this, fn, value, joinValue);
	} 
	//Date, Time and DateTime fields
	else if (tableDd.isDateField(fn) ) {
		fld=new CalemDateField(this, fn);
		fld.setServerDateString(value);
	} else if (tableDd.isTimeField(fn) ) {
		fld=new CalemTimeField(this, fn);
		fld.setServerTimeString(value);
	} else if (tableDd.isDateTimeField(fn) ) {
		fld=new CalemDateTimeField(this, fn);
		fld.setServerDateTimeString(value);
	} 
	//Boolean
	else if (tableDd.isBooleanField(fn) ) {
		fld=new CalemBooleanField(this, fn, CalemRecord.toNumeric(value));
	} 
	//Integer and number fields
	else if (tableDd.isIntegerField(fn)) {
		fld=new CalemIntegerField(this, fn, CalemRecord.toNumeric(value));
	} else if (tableDd.isNumberField(fn)) {
		fld=new CalemNumberField(this, fn, CalemRecord.toNumeric(value));
	} else if (tableDd.isPercentField(fn)) {
		fld=new CalemPercentField(this, fn, CalemRecord.toNumeric(value));
	}
	//Currency and currencyId fields
	else if (tableDd.isCurrencyField(fn)) {
		fld=new CalemCurrencyField(this, fn, CalemRecord.toNumeric(value));
	} else if (tableDd.isSysCurrencyField(fn)) {
		fld=new CalemSysCurrencyField(this, fn, CalemRecord.toNumeric(value));
	} else if (tableDd.isCurrencyIdField(fn)) {
		fld=new CalemCurrencyIdField(this, fn, value);
	} 
	//text fields
	else if (tableDd.isStringField(fn)) {
		fld=new CalemStringField(this, fn, value);
	}
	//Otherwise it's the system field
	else if (fn==tableDd.getIdFieldName()) { //Create Id field
		fld=new CalemStringField(this, fn, value);
	}
	return fld;
}

/**
 * Get record as json object
 * Only fields in the object are returned.
 */
CalemRecord.prototype.getJsonObject =
function() {
	var obj=new Object();
	var fields = this._tableDd.getFields();
	for (var i in fields) {
		obj[i]=this.getServerValue(i);
	}
	return obj;
} 

CalemRecord.prototype.getTableDd = function() {return this._tableDd;}

CalemRecord.prototype.getField =
function(fld) {
	if (!this._created) {
		this._created=new Object();
		this._fields=new Object();
	}
	if (!this._created[fld]) {
		this._fields[fld]=this.createField(fld, this._getRawValue(fld), this._tableDd);
		this._created[fld]=true;
	}
	return this._fields[fld];
}

CalemRecord.prototype.getCache =
function() {
	if (!this._cache) this._cache=this._recList.getCache();
	return this._cache;
}

CalemRecord.prototype._getRawValue =
function(fld) {
	return this._recValue[this._fldMap[fld]];
}

CalemRecord.prototype.getValue =
function(fld) {
	return this.getField(fld).getValue();
}

CalemRecord.prototype.getServerValue =
function(fld) {
	return this.getField(fld).getServerValue();
}

CalemRecord.prototype.getJoinValue =
function(fldId, valId) {
	var join=this._tableDd.getJoin(fldId);
	return this.getCache().findValueById(join, valId);
}

CalemRecord.prototype.getIdByJoinValue =
function(fld, value) {
	var join=this._tableDd.getJoin(fld);
	return this.getCache().findIdByJoinValue(join, value);
}

CalemRecord.prototype.getIdByJoinValueNoCache =
function(fld, value) {
	var join=this._tableDd.getJoin(fld);
	return this.getCache().findIdByJoinValueNoCache(join, value);
}

CalemRecord.prototype.getRecList =
function() {
	return this._recList;
}

//Sort
CalemRecord.setOrderBy =
function(orderBy) {
	CalemRecord.orderBy=orderBy;
}
CalemRecord.getOrderByField=
function() {
	return CalemRecord.orderBy.getField();
}

CalemRecord.sortCompare =
function(a, b) {
	var fld=CalemRecord.getOrderByField();
	var fa=a.getField(fld);
	var fb=b.getField(fld);	
	//Field objects are always created.
	return fa.compare(fb);
}

/**
 * Currency handling by record
 * <ul>
 * <li>currencyId value
 * <li>currencyId read formatter
 * <li>currencyId edit formatter
 * </ul>
 */


/**
 * Wrapper around field values
 * <ul>
 * <li>CalemDropdownField
 * <li>CalemCachedJoinField
 * <li>CalemJoinField
 * <li>CalemDateField
 * <li>CalemTimeField
 * <li>CalemDateTimeField
 * <li>CalemBooleanField
 * <li>CalemIntegerField
 * <li>CalemNumberField
 * <li>CalemCurrencyField
 * <li>CalemSysCurrencyField
 * <li>CalemCurrencyIdField
 * <li>CalemPercentField
 * <li>CalemStringField
 * </ul>
 * Interfaces supported:
 * <ul>
 * <li>compare - for sort
 * <li>getValue - for presentation 
 * <li>getEditValue - for editting
 * <li>isValid - for validity check
 * <li>setRawValue - for modification
 * <li>equality - compare for changes
 * <li>clone - copy for changes
 * </ul>
 */

/**
 * CalemField
 */
function CalemField(rec, name, value) {
	if (arguments.length==0) return;
	this._rec=rec;
	this._name=name;
	this._value=value;
}

CalemField.prototype.getValue =
function() {
	if (this._value==null) return null;
	return this._getValue();
}

CalemField.prototype.getServerValue =
function() {
	if (this._value==null) return null;
	return this._getServerValue();
}

CalemField.prototype._getServerValue =
function() {
	return this._value;
}

CalemField.prototype._getValue =
function() {
	return this._value;
}

CalemField.prototype.getQueryValue =
function() {
	return this._value;
}

CalemField.prototype.getEditValue =
function() {
	if (this._value==null) return null;
	return this._getEditValue();
}

CalemField.prototype._getEditValue =
function() {
	return this._getValue();
}

//_value is the raw value.
CalemField.prototype.getRawValue =
function() {
	return this._value;
}

CalemField.prototype.setRawValue =
function(value) {
	this._value=value;
}

//Default is always true.
CalemField.prototype.isValid = 
function(value) {
	if (value==null) return !this._isRequired();
	return this._isValid(value);
}

CalemField.prototype._isValid =
function(value) {
	return true;
}

CalemField.prototype._isRequired =
function() {
	return false;
}

/**
 * Numeric (date, time, numeric)
 */

//Compare
CalemField.prototype.compare =
function(fld) {
	var raw= fld.getRawValue();
	var myRaw=this.getRawValue();
	if (raw==myRaw) return 0; //shortcut.
	if (myRaw==null && raw==null) return 0;
	else if (myRaw==null && raw!=null) return -1;
	else if (myRaw!=null && raw==null) return 1;
	else return this._compareSafe(fld); //Each field must implement a way to compare.
}

CalemField.prototype.equals =
function(fld) {
	var raw= fld ? fld.getRawValue() : null;
	if (raw==null && this.getRawValue()==null) return rtn=0;
	else return (fld!=null && this._sameType(fld) && raw==this.getRawValue());
}

//Compare
CalemField.prototype._compareSafe =
function(fld) {
	return CalemField.compare(this.getRawValue(), fld.getRawValue());
} 

/**
 * Compare a value against a field.
 */
CalemField.prototype.valueEquals =
function(raw) {
	if (raw==null || this.getRawValue()==null) return (raw==this.getRawValue());	
	else return this._valueEqualSafe(raw);
}

CalemField.prototype._valueEqualSafe =
function(raw) {
	return raw==this.getRawValue();
}

//General comparison functions
CalemField.compareString =
function(s1, s2) {
	if (CalemConf['db_recordList']['sortCaseSensitive']) {
		return (s1==s2) ? 0 : (s1 < s2) ? -1 : 1;
	} else {
		var s1L = s1 ? s1.toLowerCase() : '';
		var s2L = s2 ? s2.toLowerCase() : '';
		return (s1L==s2L) ? 0 : (s1L < s2L) ? -1 : 1;
	}
}

CalemField.compare =
function(v1, v2) {
	return (v1-v2);
}

/**
 * CalemDropdownField
 */
function CalemDropdownField(rec, name, value) {
	if (arguments.length==0) return;
	CalemField.call(this, rec, name, value);
}

CalemDropdownField.prototype=new CalemField;
CalemDropdownField.prototype.constructor=CalemDropdownField;
CalemDropdownField.prototype.toString = function() {return 'CalemDropdownField';}

//Getters
CalemDropdownField.prototype._getValue = 
function() {
	return CalemMsg.getMsg(this._value);
}

CalemDropdownField.prototype._getEditValue = 
function() {
	return this._getValue();
}

//Compare - to compare about priority (P1, P2, etc.)
CalemDropdownField.prototype._compareSafe =
function(fld) {
	return CalemField.compareString(this.getValue(), fld.getValue());
}

//Type comparison
CalemDropdownField.prototype._sameType =
function(fld) {
	return (fld instanceof CalemDropdownField);
}

//Trim string value to compare.
CalemDropdownField.prototype.valueEquals =
function(raw) {
	raw = raw ? raw.trim() : '';
	var myRaw= this._value ? this._value.trim() : '';
	return (raw==myRaw);
}

/**
 * CalemCachedJoinField
 */
function CalemCachedJoinField(rec, name, value) {
	if (arguments.length==0) return;
	CalemField.call(this, rec, name, value);
}

CalemCachedJoinField.prototype=new CalemField;
CalemCachedJoinField.prototype.constructor=CalemCachedJoinField;
CalemCachedJoinField.prototype.toString = function() {return 'CalemCachedJoinField';}

//Getters
CalemCachedJoinField.prototype._getValue = 
function() {
	return this._rec.getJoinValue(this._name, this._value);
}

CalemCachedJoinField.prototype._isValid =
function(value) {
	return this._rec.getIdByJoinValue(this._name, value);
}

CalemCachedJoinField.prototype._getEditValue = 
function() {
	return this._getValue();
}

//Compare
CalemCachedJoinField.prototype._compareSafe =
function(fld) {
	return CalemField.compareString(this.getValue(), fld.getValue());
}

//Type comparison
CalemCachedJoinField.prototype._sameType =
function(fld) {
	return (fld instanceof CalemCachedJoinField);
}

//Consider case sensitivity
CalemCachedJoinField.prototype.getQueryValue =
function() {
	var rtn=this._getValue();
	if (rtn && !CalemConf['db_recordList']['sortCaseSensitive']) {
		rtn=rtn.toLowerCase();
	}
	return rtn;
}

/**
 * CalemJoinField
 */
function CalemJoinField(rec, name, value, joinValue) {
	if (arguments.length==0) return;
	CalemField.call(this, rec, name, value);
	this._joinValue=joinValue;
}

CalemJoinField.prototype=new CalemField;
CalemJoinField.prototype.constructor=CalemJoinField;
CalemJoinField.prototype.toString = function() {return 'CalemJoinField';}

//Getters
CalemJoinField.prototype._getValue = 
function() {
	return this._joinValue;
}

CalemJoinField.prototype._isValid =
function(value) {
	if (value==this._joinValue) return this.getRawValue();
	return this._rec.getIdByJoinValueNoCache(this._name, value);
}

CalemJoinField.prototype._getEditValue = 
function() {
	return this._getValue();
}

//Compare
CalemJoinField.prototype._compareSafe =
function(fld) {
	return CalemField.compareString(this.getValue(), fld.getValue());
}

//Type comparison
CalemJoinField.prototype._sameType =
function(fld) {
	return (fld instanceof CalemJoinField);
}

//String value to do case insensitivity check.
CalemJoinField.prototype.getQueryValue =
function() {
	var rtn=this._joinValue;
	if (rtn && !CalemConf['db_recordList']['sortCaseSensitive']) {
		rtn=rtn.toLowerCase();
	}
	return rtn;
}

/**
 * CalemDateField
 * Internal format is Date.
 */
function CalemDateField(rec, name, value) {
	if (arguments.length==0) return;
	CalemField.call(this, rec, name, value);
	this._readFormatter=CalemTextUtil.getFormatter(CalemTextUtil.DATE_READ_FORMATTER);
	this._editFormatter=CalemTextUtil.getFormatter(CalemTextUtil.DATE_EDIT_FORMATTER);
}

CalemDateField.prototype=new CalemField;
CalemDateField.prototype.constructor=CalemDateField;

CalemDateField.prototype.toString = function() {return 'CalemDateField';}

/**
 * Server date is of the format: yyyy-mm-dd
 * Internal format is GMT
 */
CalemDateField.prototype.setServerDateString =
function(dateStr) {
	if (dateStr) {
		this._value=CalemTextUtil.parseServerDate(dateStr);
	}
}

CalemDateField.prototype.setRawValue =
function(date) {
	this._value=date;
}

CalemDateField.prototype._getValue =
function() {
	return this._readFormatter.format(this._value);
}

CalemDateField.prototype._getEditValue =
function() {
	return this._editFormatter.format(this._value);
}

CalemDateField.prototype._getServerValue =
function() {
	return CalemTextUtil.formatServerDate(this._value);
}

//General public function
CalemDateField.prototype._isValid = 
function(dateStr) {
	return CalemTextUtil.isDateValid(dateStr, this._editFormatter);
}

//Type comparison
CalemDateField.prototype._sameType =
function(fld) {
	return (fld instanceof CalemDateField);
}

CalemDateField.prototype._valueEqualSafe =
function(raw) {
	return CalemTextUtil.dateEquals(raw, this._value);
}

/**
 * CalemTimeField
 * Internal format is Date GMT.
 */
function CalemTimeField(rec, name, value) {
	if (arguments.length==0) return;
	CalemField.call(this, rec, name, value);
	this._readFormatter=CalemTextUtil.getFormatter(CalemTextUtil.TIME_READ_FORMATTER);
	this._editFormatter=CalemTextUtil.getFormatter(CalemTextUtil.TIME_EDIT_FORMATTER);
	
}

CalemTimeField.prototype=new CalemField;
CalemTimeField.prototype.constructor=CalemTimeField;

CalemTimeField.prototype.toString = function() {return 'CalemTimeField';}

/**
 * Server date is of the format: yyyy-mm-dd
 */
CalemTimeField.prototype.setServerTimeString =
function(timeStr) {
	if (timeStr) {
		this._value=CalemTextUtil.parseServerTimeGmt(timeStr);
	}
}

CalemTimeField.prototype._getValue =
function() {
	return this._readFormatter.format(this._value);
}

CalemTimeField.prototype._getEditValue =
function() {
	return this._editFormatter.format(this._value);
}

CalemTimeField.prototype._getServerValue =
function() {
	return CalemTextUtil.formatServerTime(this._value);
}

//General public function
CalemTimeField.prototype._isValid = 
function(timeStr) {
	return CalemTextUtil.isDateValid(timeStr, this._editFormatter); //Same parsing mechanism.
}

//Type comparison
CalemTimeField.prototype._sameType =
function(fld) {
	return (fld instanceof CalemTimeField);
}

CalemTimeField.prototype._valueEqualSafe =
function(raw) {
	return CalemTextUtil.timeEquals(raw, this._value);
}

/**
 * CalemDateTimeField
 * Local date time is the value - internally it's storing the local date value.
 */
function CalemDateTimeField(rec, name) {
	if (arguments.length==0) return;
	CalemField.call(this, rec, name);
	this._readFormatter=CalemTextUtil.getFormatter(CalemTextUtil.DATETIME_READ_FORMATTER);
	this._serverFormatter=CalemTextUtil.getFormatter(CalemTextUtil.DATETIME_SERVER_FORMATTER);
}

CalemDateTimeField.prototype=new CalemField;
CalemDateTimeField.prototype.constructor=CalemDateTimeField;

CalemDateTimeField.prototype.toString = function() {return 'CalemDateTimeField';}

/**
 * Server date is of the format: yyyy-mm-dd hh:mi:ss
 */
CalemDateTimeField.prototype.setServerDateTimeString =
function(dateStr) {
	if (dateStr) {
		this._value=CalemTextUtil.parseServerDateTime(dateStr);
	}
}

CalemDateTimeField.prototype._getLocalRawValue =
function() {
	if (!this._localRaw) this._localRaw=CalemTextUtil.gmtDateTimeToLocal(this._value);
	return this._localRaw;
}

CalemDateTimeField.prototype._getValue =
function() {
	return this._readFormatter.format(this._getLocalRawValue());
}

CalemDateTimeField.prototype._getServerValue =
function() {
	return CalemTextUtil.formatServerDateTime(this._value);
}

//Type comparison
CalemDateTimeField.prototype._sameType =
function(fld) {
	return (fld instanceof CalemDateTimeField);
}

CalemDateTimeField.prototype._valueEqualSafe =
function(raw) {
	return (CalemTextUtil.dateEquals(raw, this._value) && CalemTextUtil.timeEquals(raw, this._value));
} 

/**
 * CalemBooleanField
 * Boolean field is stored as small integer with values of 0 and 1
 */
function CalemBooleanField(rec, name, value) {
	if (arguments.length==0) return;
	CalemField.call(this, rec, name, value);
	this.setRawValue(value);
}

CalemBooleanField.prototype=new CalemField;
CalemBooleanField.prototype.constructor=CalemBooleanField;

CalemBooleanField.prototype.toString = function() {return 'CalemBooleanField';}

CalemBooleanField.prototype._getEditValue =
function() {
	return this.getRawValue();
}

//Type comparison
CalemBooleanField.prototype._sameType =
function(fld) {
	return (fld instanceof CalemBooleanField);
}

//Normalize value
CalemBooleanField.prototype.setRawValue =
function(rVal) {
	this._value= rVal ? 1 : 0;
}

//Treat null properly.
CalemBooleanField.prototype.valueEquals =
function(raw) {
	raw = raw ? raw : 0;
	var myRaw= this._value ? this._value : 0;
	return (raw==myRaw);
}

/**
 * CalemNumberField
 * Number value field
 */
function CalemNumberField(rec, name, value) {
	if (arguments.length==0) return;
	CalemField.call(this, rec, name, value);
	this._formatter=CalemTextUtil.getFormatter(CalemTextUtil.NUMBER_FORMATTER);
}

CalemNumberField.prototype=new CalemField;
CalemNumberField.prototype.constructor=CalemNumberField;

CalemNumberField.prototype.toString = function() {return 'CalemNumberField';}

CalemNumberField.prototype._getValue =
function() {
	return this._formatter.format(this._value);
}

CalemNumberField.prototype._getEditValue =
function() {
	return this._getValue();
}

//General public function
CalemNumberField.prototype._isValid = 
function(nStr) {
	return CalemTextUtil.isNumberValid(nStr);
}

//Type comparison
CalemNumberField.prototype._sameType =
function(fld) {
	return (fld instanceof CalemNumberField);
}

/**
 * CalemIntegerField
 * Integer value field
 */
function CalemIntegerField(rec, name, value) {
	if (arguments.length==0) return;
	CalemNumberField.call(this, rec, name, value);
	this._formatter=CalemTextUtil.getFormatter(CalemTextUtil.INTEGER_FORMATTER);
}

CalemIntegerField.prototype=new CalemNumberField;
CalemIntegerField.prototype.constructor=CalemIntegerField;

CalemIntegerField.prototype.toString = function() {return 'CalemIntegerField';}

//General public function
CalemIntegerField.prototype._isValid = 
function(intStr) {
	return CalemTextUtil.isIntegerValid(intStr);
}

//Type comparison
CalemIntegerField.prototype._sameType =
function(fld) {
	return (fld instanceof CalemIntegerField);
}

/**
 * Percent field
 */
function CalemPercentField(rec, name, value) {
	if (arguments.length==0) return;
	CalemNumberField.call(this, rec, name, value);
	this._formatter=CalemTextUtil.getFormatter(CalemTextUtil.PERCENT_FORMATTER);
}

CalemPercentField.prototype=new CalemNumberField;
CalemPercentField.prototype.constructor=CalemPercentField;

CalemPercentField.prototype.toString = function() {return 'CalemPercentField';}

//Type comparison
CalemPercentField.prototype._sameType =
function(fld) {
	return (fld instanceof CalemPercentField);
}

/**
 * CalemSysCurrencyField
 * 
 */
function CalemSysCurrencyField(rec, name, value) {
	if (arguments.length==0) return;
	CalemField.call(this, rec, name, value);
	this._readFormatter=CalemTextUtil.getFormatter(CalemTextUtil.CURRENCY_READ_FORMATTER);
	this._editFormatter=CalemTextUtil.getFormatter(CalemTextUtil.CURRENCY_EDIT_FORMATTER);
}

CalemSysCurrencyField.prototype=new CalemField;
CalemSysCurrencyField.prototype.constructor=CalemSysCurrencyField;

CalemSysCurrencyField.prototype.toString = function() {return 'CalemSysCurrencyField';}

//General public function
CalemSysCurrencyField.prototype._isValid = 
function(nStr) {
	return CalemTextUtil.isCurrencyValid(nStr);
}

CalemSysCurrencyField.prototype._getValue =
function() {
	return this._readFormatter.format(this._value);
}

CalemSysCurrencyField.prototype._getEditValue =
function() {
	return this._editFormatter.format(this._value);
}

//Type comparison
CalemSysCurrencyField.prototype._sameType =
function(fld) {
	return (fld instanceof CalemSysCurrencyField);
}

/**
 * CalemCurrencyField
 * 
 */
function CalemCurrencyField(rec, name, value) {
	if (arguments.length==0) return;
	CalemField.call(this, rec, name, value);
}

CalemCurrencyField.prototype=new CalemField;
CalemCurrencyField.prototype.constructor=CalemCurrencyField;

CalemCurrencyField.prototype.toString = function() {return 'CalemCurrencyField';}

//General public function
CalemCurrencyField.prototype._isValid = 
function(nStr) {
	return CalemTextUtil.isCurrencyValid(nStr);
}

CalemCurrencyField.prototype._getValue =
function() {
	//@todo - to figure out currency format from currencyId
	return this._readFormatter.format(this._value);
}

CalemCurrencyField.prototype._getEditValue =
function() {
	//@todo - to figure out.
	return this._editFormatter.format(this._value);
}

CalemCurrencyField.prototype.getFieldLabel =
function() {
	//@todo - to derive from currencyId
}

//Type comparison
CalemCurrencyField.prototype._sameType =
function(fld) {
	return (fld instanceof CalemCurrencyField);
}

/**
 * CalemPercentField
 * 
 */
function CalemPercentField(rec, name, value) {
	if (arguments.length==0) return;
	CalemNumberField.call(this, rec, name, value);
	this._formatter=CalemTextUtil.getFormatter(CalemTextUtil.PERCENT_FORMATTER);
}

CalemPercentField.prototype=new CalemNumberField;
CalemPercentField.prototype.constructor=CalemPercentField;

CalemPercentField.prototype.toString = function() {return 'CalemPercentField';}

//General public function
CalemPercentField.prototype._isValid = 
function(nStr) {
	return CalemTextUtil.isPercentValid(nStr);
}

//Type comparison
CalemPercentField.prototype._sameType =
function(fld) {
	return (fld instanceof CalemPercentField);
}

/**
 * CalemStringField
 */
function CalemStringField(rec, name, value) {
	if (arguments.length==0) return;
	CalemField.call(this, rec, name, value);
}

CalemStringField.prototype=new CalemField;
CalemStringField.prototype.constructor=CalemStringField;

CalemStringField.prototype.toString = function() {return 'CalemStringField';}

//Compare
CalemStringField.prototype._compareSafe =
function(fld) {
	return CalemField.compareString(this.getRawValue(), fld.getRawValue());
}

//Type comparison
CalemStringField.prototype._sameType =
function(fld) {
	return (fld instanceof CalemStringField);
}

//String value to do case insensitivity check.
CalemStringField.prototype.getQueryValue =
function() {
	var rtn=this._value;
	if (this._value && !CalemConf['db_recordList']['sortCaseSensitive']) {
		rtn=this._value.toLowerCase();
	}
	return rtn;
}

//Trim string value to compare.
CalemStringField.prototype._valueEqualSafe =
function(raw) {
	raw = raw ? raw.trim() : '';
	var myRaw= this._value ? this._value.trim() : '';
	return (raw==myRaw);
}


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
 
/**
 * CalemRecordList is the base record list class.
 * The two immdiate subclasses are CalemDbRecordList which is backed by database
 * and CalemCacheRecordList which is backed by the local cache.
 * 
 */
function CalemRecordList(id) {
	if (arguments.length==0) return;
	this._id=id;
	this._recList=new Array();
	this._recMap=new Object();
	//Prepare some info here.
	this._reg=CalemContext.getInstance().getRegistry();
	this._tableDd=this._reg.getTableDd(this._id);
	this._cache=this._reg.getCache();
	this._recConf=CalemConf['db_recordList'];	
} 

CalemRecordList.prototype.toString = 
function() {
	return "CalemRecordList";
}

/** API function */
CalemRecordList.prototype.getId =
function() {
	return this._id;
}

CalemRecordList.prototype.getTableDd =
function() {
	return this._tableDd;
}

CalemRecordList.prototype.getCache =
function() {
	return this._cache;
}

CalemRecordList.prototype.getRecord =
function(no) {
	if (no > this._recList.length) return null;
	else return this._recList[no];
}

CalemRecordList.prototype.findRecordById =
function(valId) {
	return this._recMap[valId];
}

//A potential concurrency issue if we allow timed update of records.
CalemRecordList.prototype.findRecordByValue =
function(fld, value) {
	//This is a linear scan
	var rtn=null;
	for (var i=0; i< this._recList.length; i++) {
		var rec=this._recList[i];
		if (rec.getField(fld).getValue()==value) {
			rtn=rec;
			break;
		}
	}
	return rtn;
}

CalemRecordList.prototype._setQuery =
function(tblQuery) {
	this._tblQuery=tblQuery;
	this._orderBy= (this._tblQuery ? this._tblQuery.getOrderBy() : null);
}

CalemRecordList.prototype.getQuery =
function() {
	return this._tblQuery;
}

/**
 * Service functions
 */
CalemRecordList.prototype.populateList =
function(tblQuery, fields, rawList) {
	this._setQuery(tblQuery);
	if (!fields) fields=this._tableDd.getFieldListForQuery();
	this._fldMap=new CalemFieldMap(fields);
	//Load the data synchronously.
	if (rawList) {
		if (CalemDebug.isPerf()) CalemDebug.perf("populating "+this._id+", size="+ rawList.length);
		for (var i=0; i< rawList.length; i++) {
			var rec=new CalemRecord(this, this._fldMap, rawList[i]);
			this._recList[i]=rec;
			this._recMap[rec.id]=rec;
		}
		if (CalemDebug.isPerf()) CalemDebug.perf("DONE populating "+this._id+", size="+ rawList.length);
	}
}

CalemRecordList.prototype.getTotal =
function() {
	return this._recList.length;
}

CalemRecordList.prototype.getSize =
function() {
	return this._recList.length;
}

CalemRecordList.prototype.getOrderByField =
function() {
	var rtn= this._orderBy ? this._orderBy.getField() : null;
	return rtn;
}

CalemRecordList.prototype.getOrderBy =
function() {
	return this._orderBy;
}

CalemRecordList.prototype.sort =
function(ob, callback, start) {
	//Optimize out if the same sort is applied - be careful about newly added records.
	if (!ob || (this._orderBy && this._orderBy.equals(ob)) ) { 
		if (callback) callback.run();
		return;
	}
	this._orderBy=ob;
	this._sort(callback, start);
}

CalemRecordList.prototype._sort =
function(callback, start) {
	if (callback) {
		var sortAction = new AjxTimedAction(this, this._sortRecordList, callback);
		AjxTimedAction.scheduleAction(sortAction, this._recConf['sortDelay']);
	} else {
		this._sortRecordList();
	}
}

CalemRecordList.prototype._sortRecordList =
function(callback) {
	//Show busy while sort is in progress.	
	var shell=CalemContext.getInstance().getShell();
	if (!this._noBusy && shell) {
		shell.setBusy(true, this._id, false, 0, null);
	}
	if (CalemDebug.isPerf()) CalemDebug.perf('sort - '+this._id);
	CalemRecord.setOrderBy(this._orderBy); //Use static field to store orderBy info.
	this._recList.sort(CalemRecord.sortCompare);
	if (!this._orderBy.isAscending()) this._recList.reverse();
	if (CalemDebug.isPerf()) CalemDebug.perf('sort - '+this._id+", completed, size="+this._recList.length);
	//callback check
	if (!this._noBusy && shell) {
		shell.setBusy(false, this._id);
	}
	if (callback) callback.run();
}

/**
 * Slice 
 */
CalemRecordList.prototype._sliceByVector =
function(start, count) {
	var ar=this.slice(start, count);
	return AjxVector.fromArray(ar);
} 

CalemRecordList.prototype.slice =
function(start, count) {
	var end = (start+count > this.getTotal()) ? this.getTotal() : (start+count);
	return this._recList.slice(start, end);
}

/**
 * Brutal force search for now.
 */
CalemRecordList.inList = function(id, ar) {
	var j=null;
	for (var i=0; i< ar.length; i++) {
		if (ar[i]==id) {
			j=i;
			break;
		}
	}
	if (j) ar.splice(j, 1); //Remove an entry to reduce query size.
	return (j!=null);
}

/**
 * Deletion - could use binary search if idList is large.
 */
CalemRecordList.prototype.deleteRecords =
function(idList, event) {
	var n=0;
	var indexes=new Array();
	var len=this._recList.length-1;
	if (CalemDebug.isPerf()) CalemDebug.perf("CalemRecordList delete: "+this._id+", count="+idList.length);
	for (var i=len; i>=0; i--) {
		var rec=this._recList[i];
		if (CalemRecordList.inList(rec.id, idList)) { //Now delete a record
			n++;
			this._recList.splice(i, 1); 
			delete this._recMap[rec.id];
			if (event) event.addDeleted(rec.id);
		}
	}
	if (CalemDebug.isPerf()) CalemDebug.perf("CalemRecordList delete: "+this._id+", count="+idList.length);
	return n;
}

CalemRecordList.prototype.getRecordMap =
function() {
	return this._recMap;
}

CalemRecordList.prototype.getList =
function() {
	return this._recList;
}

/**
 * Update by record list
 * @param updatedRecList - updates including modified and new records
 * @param event - event records what records are updated, what are inserted.
 */
CalemRecordList.prototype.updateByRecList =
function(updatedRecList, event) {
	var recMap=updatedRecList.getRecordMap();
	for (var i in recMap) {
		this.update(recMap[i], event);
	}
}

CalemRecordList.prototype.update =
function(rec, event) {
	if (this._recMap[rec.id]) { //Updated
		this._replace(rec);
		if (event) event.addUpdated(rec);
	} else { //New records
		this.add(rec);
		if (event) event.addInserted(rec);
	}
}

//@todo - add index for fast update.
CalemRecordList.prototype._replace =
function(rec) {
	this._recMap[rec.id]=rec;
	for (var i=0; i< this._recList.length; i++) {
		if (this._recList[i].id==rec.id) {
			this._recList[i]=rec;
			break;
		}
	}
}

CalemRecordList.prototype.updateOnly =
function(rec) {
	var rtn=false;
	if (this._recMap[rec.id]) { //Updated
		this._replace(rec);
		rtn=true;
	} 
	return rtn;
}

CalemRecordList.prototype.add =
function(rec) {
	//Check for duplication
	if (this._recMap[rec.id]) {
		this._recMap[rec.id]=rec;
	} else {
	   this._recList.push(rec);
		this._recMap[rec.id]=rec;	
	}
}

/**
 * add record in JSON object format (field: value)
 */
CalemRecordList.prototype.addRaw =
function(recRaw, atPos) {
	//creating the record
	var rec=this._getRecByRaw(recRaw);
	this.add(rec);
	return rec;
}

/**
 * Update record in JSON object format (field: value)
 */
CalemRecordList.prototype.updateRaw =
function(recRaw, event) {
	//creating the record
	var rec=this._getRecByRaw(recRaw);
	this.update(rec, event);
	return rec;
}

CalemRecordList.prototype._getRecByRaw =
function(recRaw) {
	var recVal=[];
	for (var i in this._fldMap) {
		recVal.push(recRaw[i]);
	}
	var rec=new CalemRecord(this, this._fldMap, recVal);
	return rec;
}
 
/**
 * CalemCacheRecordList.
 * The record list is backed by local cache. 
 */
/**
 * Constructor
 */
function CalemCacheRecordList(id) {
	if (arguments.length==0) return;
	CalemRecordList.call(this, id);
} 

CalemCacheRecordList.prototype = new CalemRecordList;
CalemCacheRecordList.prototype.constructor = CalemCacheRecordList;

CalemCacheRecordList.prototype.toString = function() {return 'CalemCacheRecordList';}

//Factory method
CalemCacheRecordList.createByRawResult =
function(tblQuery, rawResult) {
	var recList=new CalemCacheRecordList(rawResult.table);
	recList.populateList(tblQuery, rawResult.fields, rawResult.data);
	return recList;
}

/**
 * Force a sort after db updates
 */
CalemCacheRecordList.prototype.forceSort =
function(callback) {
	this._sort(callback);
}

CalemCacheRecordList.prototype.setQuery =
function(tblQuery) {
	this._setQuery(tblQuery);
}

/**
 * Query the record list
 * Using default sort so do not sort here.
 */
CalemCacheRecordList.prototype.query =
function(tblQuery) {
	var result=new CalemCacheRecordList(this._id);
	result.setQuery(tblQuery);
	for (var i=0; i< this._recList.length; i++) {
		if (tblQuery.query(this._recList[i])) {
			result.add(this._recList[i]);
		}
	}
	return result;
}

/**
 * Clone the list
 */
CalemCacheRecordList.prototype.clone =
function(tblQuery) {
	var result=new CalemCacheRecordList(this._id);
	result.setQuery(tblQuery);
	result._recList=this.slice(0, this.getTotal());
	for (var i=0; i< this._recList.length; i++) {
		var rec=this._recList[i];
		result._recMap[rec.id]=rec;
	}
	return result;
}

CalemCacheRecordList.prototype.atLast =
function(recNo) {
	return (recNo == this.getTotal() -1);
}

CalemCacheRecordList.prototype.sliceByVector =
function(start, count, callback) {
	callback.run(this._sliceByVector(start, count));
} 

/**
 * CalemResultRecordList
 * This is the recordList for a query result.
 */
function CalemResultRecordList(id) {
	if (arguments.length==0) return;
	CalemRecordList.call(this, id);
}

CalemResultRecordList.prototype = new CalemRecordList;
CalemResultRecordList.prototype.constructor = CalemResultRecordList;

CalemResultRecordList.prototype.toString = function() {return 'CalemResultRecordList';}

//Factory method
CalemResultRecordList.createByRawResult =
function(tblQuery, rawResult) {
	var recList=new CalemResultRecordList(rawResult.table);
	recList.populateList(tblQuery, rawResult.fields, rawResult.data);
	recList.setTotal(rawResult.count);
	return recList;
} 

CalemResultRecordList.prototype.setTotal =
function(total) {
	if (total && typeof total == 'string') total=Number(total);
	this._total=total;
}

CalemResultRecordList.prototype.getTotal =
function() {
	return this._total;
} 

/**
 * Field list info
 */
function CalemFieldMap(fields) {
	if (arguments.length==0 || !fields) return null;
	for (var i=0; i< fields.length; i++) {
		this[fields[i]]=i;
	}
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
/**
 * CalemRecordListDbCache
 * The cached DB list impl.
 */
function CalemRecordListDbCache(recList) {
	if (arguments.length==0) return;
	CalemRecordList.call(this, recList.getId());
	this._clearCache();
	this.aggregate(recList);
}

CalemRecordListDbCache.prototype = new CalemRecordList;
CalemRecordListDbCache.prototype.constructor = CalemRecordListDbCache;

CalemRecordListDbCache.prototype.aggregate =
function(recList) {
	//Refresh basic info about the current state.
	this._setQuery(recList.getQuery());
	this._total=recList._total ? recList._total : 0;
	if (!this._fldMap) this._fldMap=recList._fldMap;	
	//copy the recList to cached items.
	if (recList.getSize() > 0) {
		var start=this._tblQuery.getRange()._start;
		for (var i=0; i< recList.getSize(); i++) {
			this._cached[start]=CalemConst._CACHED;
			var rec=recList.getRecord(i);
			this._recList[start]=rec;
			this._recMap[rec.id]=rec;
			start++;
		}
	}
}

CalemRecordListDbCache.prototype._clearCache =
function() {
	this._cached=new Array();
	this._recList=new Array();
	this._recMap=new Object();
}

CalemRecordListDbCache.prototype.sort =
function(ob, callback, start) {
	if (this.getTotal() < CalemConfUtil.getBulkFetchSize()) { //So all the data is fetched.
		CalemRecordList.prototype.sort.call(this, ob, callback, start);
	} else {//perform sort at DB and redo the layout.
		this._clearCache();
		var range=new CalemQueryRange(start);
		this._tblQuery.setOrderBy(ob);
		var fetchCallback=new AjxCallback(this, this.onBulkFetchCallback, {callback: callback, count: 1, start: start});
		this._executeBulkFetch(range, fetchCallback);
	}
}

CalemRecordListDbCache.prototype.atLast =
function(recNo) {
	return (recNo == this._total -1);
}

/** 
 * Data changes
 */
CalemRecordListDbCache.prototype.add =
function(rec) {
	if (this._recMap[rec.id]) {
		this._replace(rec);
	} else {
		this._cached[this._recList.length]=CalemConst._CACHED; //Record it.
	   this._recList.push(rec);
		this._recMap[rec.id]=rec;	
		this._total++;	
	}
}

//Must go through the whole list (m-31)
CalemRecordListDbCache.prototype._replace =
function(rec) {
	this._recMap[rec.id]=rec;
	for (var i=0; i< this._recList.length; i++) {
		if (this._recList[i].id==rec.id) {
			this._recList[i]=rec;
			break;
		}
	}
}

CalemRecordListDbCache.prototype.getTotal =
function(rec) {
	return this._total;
}

//In case deletion drops the record level to a point a fetch is necessary.
CalemRecordListDbCache.prototype.deleteRecord =
function(id) {
	for (var i=0; i< this._recList.length; i++) {
		//Sparsed array case
		if (!this._recList[i]) continue;
		if (this._recList[i].id==id) {
			this._recList.splice(i, 1);
			delete this._recMap[id];
			this._cached.splice(i, 1);
			this._total--;
			break;
		}
	}
}

//Dynamic scrolling is enabled here.
CalemRecordListDbCache.prototype.sliceByVector =
function(start, count, callback) {
	var fetch=false;
	for (var i=start; i< (start+count); i++) {
		if (!this._cached[i]==CalemConst._CACHED) {
			fetch=true;
			break;
		}
	}
	if (!fetch) {//stuff are in the cache.
		callback.run(this._sliceByVector(start, count));
	} else {//Let's prepare a query and get started.
		var range=new CalemQueryRange(start);
		var fetchCallback=new AjxCallback(this, this.onBulkFetchCallback, {callback: callback, count: count, start: start});
		this._executeBulkFetch(range, fetchCallback);
	}
} 

//query database
CalemRecordListDbCache.prototype._executeBulkFetch =
function(range, callback) {
	var dbQuery=new CalemDbQuery();
	this._tblQuery.setRange(range);
	dbQuery.add(this._tblQuery);
	this._cache.bulkLoad(dbQuery, callback);
}

CalemRecordListDbCache.prototype.onBulkFetchCallback =
function(param, resultList) {
	this.aggregate(resultList[this._id]); //Adding data to cache.
	param.callback.run(this._sliceByVector(param.start, param.count));
}

//Data move operation
CalemRecordListDbCache.prototype.moveNext =
function(recPos, callback) {
	var pos=Math.min(recPos+1, this._total);
	if (!this._cached[pos] && this._total>0) {
		var range=new CalemQueryRange(pos);
		var fetchCallback=new AjxCallback(this, this.onBulkFetchCallback, {callback: callback, count: 1, start: pos});
		this._executeBulkFetch(range, fetchCallback);
	} else {
		callback.run();
	}
}

//Data move operation
CalemRecordListDbCache.prototype.movePrev =
function(recPos, callback) {
	var pos=Math.max(recPos-1, 0);
	if (!this._cached[pos] && this._total>0) {
		pos=Math.max(0, pos-CalemConfUtil.getBulkFetchSize()); //Minimize fetch count.
		var range=new CalemQueryRange(pos);
		var fetchCallback=new AjxCallback(this, this.onBulkFetchCallback, {callback: callback, count: 1, start: pos});
		this._executeBulkFetch(range, fetchCallback);
	} else {
		callback.run();
	}
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
/**
 * CalemModelItem is the data model for a form.
 * It listens for events from UI and cache store.
 */
function CalemDataModelItem(id, model) {
	if (arguments.length==0) return;
	CalemModel.call(this, true);
	
	this._id=id;
	this._model=model;
	//Get a reference to tableDd.
	this._tableDd=model.getRegistry().getTableDd(id);
	//Listeners from UI controls
	this._uiBrokerListener = new AjxListener(this, this.onUiEvent);
	
	//reference count - model item can be shared by multiple controllers.
	this._refCount=1;
} 

CalemDataModelItem.prototype = new CalemModel;
CalemDataModelItem.prototype.constructor = CalemDataModelItem;



CalemDataModelItem.prototype.toString = 
function() {
	return "CalemModelItem";
}

//Public APIs
CalemDataModelItem.prototype.addRefCount=
function() {
	this._refCount++;
}

CalemDataModelItem.prototype.decRefCount=
function() {
	this._refCount--;
}

CalemDataModelItem.prototype.getTableDd =
function() {
	return this._tableDd;
}

CalemDataModelItem.prototype.getId =
function() {
	return this._id;
}

CalemDataModelItem.prototype.getTableName =
function() {
	return this._tableDd.getTableName();
}

CalemDataModelItem.prototype.getTableQuery =
function() {
	if (!this._tableQuery) this.setTableQuery();
	return this._tableQuery;
}

CalemDataModelItem.prototype.setTableQuery =
function(tblQuery) {
	if (!tblQuery) {
		tblQuery=this._getDefaultQuery(); 
	}
	//Initialize query at two levels (form and item)
	tblQuery = this._initQueryByModelItem(tblQuery);
	this._tableQuery = this._model.getController().initQueryByForm(tblQuery);
}

CalemDataModelItem.prototype._getDefaultQuery =
function(tblQuery) {
	return this._tableDd.buildGetAllQuery();
}

CalemDataModelItem.prototype._initQueryByModelItem =
function(tblQuery) {
	return tblQuery;
}

CalemDataModelItem.prototype.getRecordList =
function() {
	return this._recList;
}

/**
 * Events handling
 */
CalemDataModelItem.prototype.onUiEvent =
function(ev) {
	this.notifyListeners(ev.getType(), ev);
} 

/**
 * Publish events
 */
CalemDataModelItem.prototype.publishEvents =
function(eventList, obj) {
	for (var i=0; i< eventList.length; i++) {
		obj.addListener(eventList[i], this._uiBrokerListener);
	}
} 

/**
 * unpublish events - give model a change to remove events registered.
 */
CalemDataModelItem.prototype.unpublishEvents =
function(eventList, obj) {
	for (var i=0; i< eventList.length; i++) {
		obj.removeListener(eventList[i], this._uiBrokerListener);
	}
} 

/**
 * Add listener
 */
CalemDataModelItem.prototype.addDataChangeListener =
function(listener) {
	this.addListener(CalemEvent.DATA_CHANGE, listener);
} 

CalemDataModelItem.prototype.removeDataChangeListener =
function(listener) {
	this.removeListener(CalemEvent.DATA_CHANGE, listener);
} 

CalemDataModelItem.prototype.addDataRefreshListener =
function(listener) {
	this.addListener(CalemEvent.DATA_REFRESH, listener);
} 

CalemDataModelItem.prototype.removeDataRefreshListener =
function(listener) {
	this.removeListener(CalemEvent.DATA_REFRESH, listener);
} 


/**
 * Current record moved or changed
 */
CalemDataModelItem.prototype.addRecMoveListener =
function(listener) {
	this.addListener(CalemEvent.RECORD_MOVED, listener);
} 

CalemDataModelItem.prototype.removeRecMoveListener =
function(listener) {
	this.removeListener(CalemEvent.RECORD_MOVED, listener);
} 

CalemDataModelItem.prototype.addRecChangeListener =
function(listener) {
	this.addListener(CalemEvent.RECORD_CHANGED, listener);
} 

CalemDataModelItem.prototype.removeRecChangeListener =
function(listener) {
	this.removeListener(CalemEvent.RECORD_CHANGED, listener);
} 

/**
 * It's already handled by sub-classes.
 */
CalemDataModelItem.prototype.onLoadResult =
function(recList) {
	if (!recList) {//Empty result.
		recList=this._createEmptyRecList();
	}
	this._recList=this._createRecList(recList); 
	if (recList.getTotal() > 0) {
		this._currentRec = recList.getRecord(0);
		this._recPos=0;
	} else {
		this._setCurrentRecNull();
	}	
	
	if (CalemDebug.isDebug()) CalemDebug.debug("modelItem got onLoadResult: id="+this.getId()+", size="+this._recList.getTotal());
	//Notify data change event - in the case of refresh or detail grid, the size is not synced.
	var evt=new CalemDataChangeEvent(this._recList.getTotal());
	this.notifyListeners(CalemEvent.DATA_CHANGE, evt);
}

//Sort handling.
CalemDataModelItem.prototype.sortList =
function(ob, callback, start) {
	this._recList.sort(ob, callback, start);
} 

//Record change
CalemDataModelItem.prototype._reportRecChanged =
function(rec) {
	var ev=new CalemRecChangeEvent(rec);
	this.notifyListeners(ev.getType(), ev);
}

//Current rec deleted
CalemDataModelItem.prototype._reportRecMoved =
function() {
	var ev= new CalemRecMoveEvent(this._id);
	this.notifyListeners(ev.getType(), ev);
}

//This is a transition from no records to new records.
CalemDataModelItem.prototype._onRecAvailable =
function() {
	this._recPos=0;
	this._currentRec=this._recList.getRecord(0);
	this._reportRecMoved();
}

CalemDataModelItem.prototype._setCurrentRecNull =
function() {
	this._currentRec=null;
	this._recPos=null;	
}

CalemDataModelItem.prototype.isSameOrderBy =
function(ob) {
	if (!this._recList) return true; //Do not order
	if (!this._recList.getOrderBy()) return false; //No order by do let's do it.
	return ob.equals(this._recList.getOrderBy());
}

/**
 * Inserting a new empty record
 */
CalemDataModelItem.prototype.createNewRecord =
function() {
	this._recList=this._createEmptyRecList();
	var recDefault=this._tableDd.getDefaultRecord();
	var fldMap=new CalemFieldMap(recDefault.fldList);
	this._currentRec=new CalemRecord(this._recList, fldMap, recDefault.recDefault);
}

CalemDataModelItem.prototype.getCurrentRecord =
function() {
	return this._currentRec;
}

CalemDataModelItem.prototype.setCurrentRecord =
function(rec) {
	this._currentRec = rec;
	this._updatePosition();
	this._reportPosition();
}

CalemDataModelItem.prototype._updatePosition =
function() {
	var pos=-1;
	for (var i=0; i< this._recList.getSize(); i++) {
		if (this._currentRec==this._recList.getRecord(i)) {
			pos=i;
			break;
		}
	}
	if (pos >= 0) {
		this._recPos=pos;
	}
}

CalemDataModelItem.prototype.getRecPos =
function() {
	return this._recPos;
}

/**
 * Create an empty record list if there's no one yet.
 * Note: init as a none-cache recList assuming ordering is not performed here (in read view).
 */
CalemDataModelItem.prototype.initCurrentRecord =
function(rec) {
	if (!this._recList) {
		this._recList=this._createEmptyRecList();
		this._recList.add(rec);
	} 
	//Set current record
	this.setCurrentRecord(rec);
}

/**
 * Record position event
 */
CalemDataModelItem.prototype._reportPosition =
function() {
	if (this._recList.getTotal()==0) {
		var ev=new CalemRecordPosEvent(CalemEvent.RECORD_POS_INVALID);
		this.notifyListeners(CalemEvent.RECORD_POS_INVALID, ev);
	} else {
		//Record is valid.
		var ev=new CalemRecordPosEvent(CalemEvent.RECORD_POS_VALID);
		ev.add(this._currentRec);
		this.notifyListeners(CalemEvent.RECORD_POS_VALID, ev);
		//Creating a new event
		ev=new CalemRecordPosEvent(CalemEvent.RECORD_POS_FIRST_LAST);
		ev.add(this._currentRec);	
		if (this._recList.getTotal()==1) { //First and last are the same
			//First and last are the same.
			this.notifyListeners(CalemEvent.RECORD_POS_FIRST_LAST, ev);	
		} else if (this._recPos==0){ //first
	   	ev.setType(CalemEvent.RECORD_POS_FIRST);
			this.notifyListeners(CalemEvent.RECORD_POS_FIRST, ev);
		} else if (this._recList.atLast(this._recPos)) {//last
			ev.setType(CalemEvent.RECORD_POS_LAST);
			this.notifyListeners(CalemEvent.RECORD_POS_LAST, ev);
		} else {//mid
			ev.setType(CalemEvent.RECORD_POS_MID);
			this.notifyListeners(CalemEvent.RECORD_POS_MID, ev);
		}
	}
} 

/**
 * Data refresh handling
 */
CalemDataModelItem.prototype.onDataRefresh =
function() {
	this._onDataRefresh(); //specific functions.
	var evt=new CalemDataRefreshEvent(true);
	this.notifyListeners(CalemEvent.DATA_REFRESH, evt);
} 

CalemDataModelItem.prototype._onDataRefresh =
function() {
}

/**
 * Remove all listeners.
 */
CalemDataModelItem.prototype._shutdown =
function() {
	this.decRefCount();
	if (this._refCount>0) return false;
	if (CalemDebug.isDebug()) CalemDebug.debug("Shutting down modelItem: "+this._id);
	return true;
} 

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
 
/**
 * CalemDataModelItemCached is the data model that holds cached data.
 */
function CalemDataModelItemCached(id, model) {
	if (arguments.length==0) return;
	CalemDataModelItem.call(this, id, model);
	this._cacheListener=new AjxListener(this, this._onCacheChanged);
} 

CalemDataModelItemCached.prototype = new CalemDataModelItem;
CalemDataModelItemCached.prototype.constructor = CalemDataModelItemCached;



CalemDataModelItemCached.prototype.toString = 
function() {
	return "CalemDataModelItemCached";
}

//Public APIs

/**
 * Cache change listener
 */
CalemDataModelItemCached.prototype.addCacheListener =
function() {
	if (CalemDebug.isDebug()) CalemDebug.debug("Add cache listener for "+this._id+", refCount="+this._refCount+", query="+this._recList.getQuery());
	//Register for cache change event.
	//If query is null, indicating invalid recordset so let's not register for changes.
	if (this._refCount > 1 || !this._recList.getQuery()) return; //Already added.
	this._model.getCache().addChangeListener(this._id, this._cacheListener);
} 

//Adjust recPos
CalemDataModelItemCached.prototype._setRecPos =
function() {
	if (this._recList.getTotal()==0) {
		this._setCurrentRecNull();
	} else {
		if (!this._recPos) {
			this._recPos=0;
		} else if (this._recPos >= this._recList.getTotal()) {
			this._recPos= this._recList.getTotal() -1;
		}
		this._currentRec= this._recList.getRecord(this._recPos);
	}
}

//Current rec deleted
CalemDataModelItemCached.prototype._onCurrentRecDeleted =
function() {
	this._setRecPos();
	this._reportRecMoved();
}

/**
 * To generate current record change event if any.
 */
CalemDataModelItemCached.prototype._onDataChanged =
function() {
	this._setRecPos();
	this._reportPosition();
}
 
/**
 * Data change events
 */
CalemDataModelItemCached.prototype._onCacheChanged =
function(ev) {
	//Have to check against query first.
	if (!this._recList.getQuery()) return; //Not valid at this time.
	var sz=this._recList.getTotal();
	//Apply change changes locally.
	var n1=this._onCacheInserted(ev.getInserted());
	var n2=this._onCacheUpdated(ev.getUpdated());
	var n3=this._onCacheDeleted(ev.getDeleted());
	if (CalemDebug.isDebug()) CalemDebug.debug("<b>cacheChange applied: "+(n1+n2+n3)+"</b>, recList size="+this._recList.getTotal());
	if (n1+n2+n3 ==0) return; //Change not applicable.
	//If current recList is empty, new records arrived, must generate recMove event
	if (sz==0 && this._recList.getTotal()>0) {
		this._onRecAvailable();
	}
	//Notify UI controls
	var evt=new CalemDataChangeEvent(this._recList.getTotal());
	this.notifyListeners(CalemEvent.DATA_CHANGE, evt);
	//Update current position
	this._onDataChanged();
} 

/**
 * Cache data change handling
 */
CalemDataModelItemCached.prototype._onCacheInserted =
function(items) {
	var n=0;
	var qry=this._recList.getQuery();
	for (var i=0; i< items.size(); i++) {
		var rec=items.get(i);
		if (!qry.query(rec)) continue;
		this._recList.add(rec);
		n++;
	}
	return n;
}  

CalemDataModelItemCached.prototype._onCacheUpdated =
function(items) {
	if (CalemDebug.isDebug()) CalemDebug.debug("got cache updated : id="+this.getId()+", size="+items.size());
	var n=0;
	for (var i=0; i< items.size(); i++) {
		var rec=items.get(i);
		this._recList.update(rec);
		n++;
		//Report rec update event
		if (this._currentRec && this._currentRec.id == rec.id) {
			this._currentRec=rec; //Overwrite rec first.
            if (CalemDebug.isDebug()) CalemDebug.debug("Current record is changed, to report, id="+this.getId());
            this._reportRecChanged(rec);
		}
	}
	return n;
}  

CalemDataModelItemCached.prototype._onCacheDeleted =
function(items) {
	var recDel=false;
	var n=0;
	if (items.size() > 0 ) {
		var ids=items.getArray();
		if (this._currentRec) {
			for (var i=0; i< ids.length; i++) {
				if (this._currentRec.id == ids[i]) {
					recDel=true;
					break;
				}
			}
		}
		n=this._recList.deleteRecords(ids);
	}
	//To handle current rec deleted
	if (recDel) this._onCurrentRecDeleted();
	return n;
}

/**
 * shutdown 
 * Remove the cache listener.
 */
CalemDataModelItemCached.prototype._shutdown =
function() {
	//Inherit the cleanup above.
	if (!CalemDataModelItem.prototype._shutdown.call(this)) return false;
	//Remove cache listener
	this._model.getCache().removeChangeListener(this._id, this._cacheListener);
} 

/**
 * Cached record navigation
 */
CalemDataModelItemCached.prototype.moveNext =
function() {
	if (this._recPos+1 < this._recList.getTotal()) {
		this._recPos++;
		this._currentRec=this._recList.getRecord(this._recPos);	
		this._reportRecMoved();
	}
	this._reportPosition();
} 

CalemDataModelItemCached.prototype.movePrev =
function() {
	if (this._recPos - 1 >= 0) {
		this._recPos--;
		this._currentRec=this._recList.getRecord(this._recPos);
		this._reportRecMoved();	
	}
	this._reportPosition();
} 

CalemDataModelItemCached.prototype._createEmptyRecList =
function() {
	return new CalemCacheRecordList(this._id);	
}

CalemDataModelItemCached.prototype._createRecList =
function(recList) {
	return recList;
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
/**
 * CalemDataModelItemDb 
 * Plays the role of local data cache.
 */
function CalemDataModelItemDb(id, model) {
	if (arguments.length==0) return;
	CalemDataModelItem.call(this, id, model);
	this._moveNextCallback=new AjxCallback(this, this.onMoveNextCallback);
	this._movePrevCallback=new AjxCallback(this, this.onMovePrevCallback);
	this._deleteMoveNextCallback=new AjxCallback(this, this.onDeleteMoveNextCallback)
} 

CalemDataModelItemDb.prototype = new CalemDataModelItem;
CalemDataModelItemDb.prototype.constructor = CalemDataModelItemDb;

CalemDataModelItemDb.prototype.toString = 
function() {
	return "CalemDataModelItemDb";
}

//Public APIs

//Always have a range for the query to be ready.
CalemDataModelItemDb.prototype._initQueryByModelItem =
function(tblQuery) {
	var range=tblQuery.getRange();
	if (range==null) {
		var range=new CalemQueryRange(0);
		tblQuery.setRange(range);
	}
	return tblQuery;
}

CalemDataModelItemDb.prototype.addCacheListener =
function() {//not applicable
} 

//Adjust recPos
CalemDataModelItemDb.prototype._setRecPos =
function() {
	if (this._recList.getTotal()==0) {
		this._setCurrentRecNull();
	} else {
		if (!this._recPos) {
			this._recPos=0;
		} else if (this._recPos >= this._recList.getTotal()) {
			this._recPos= this._recList.getTotal() -1;
		}
		this._currentRec= this._recList.getRecord(this._recPos);
	}
}
/**
 * Data events handling
 */
CalemDataModelItemDb.prototype._onDataChanged =
function() {
	this._setRecPos();
	//Notify UI controls
	var evt=new CalemDataChangeEvent(this._recList.getTotal());
	this.notifyListeners(CalemEvent.DATA_CHANGE, evt);
	
	this._reportPosition();
}

//Current rec deleted
CalemDataModelItemDb.prototype._onCurrentRecMoved =
function() {
	this._setRecPos();
	this._reportRecMoved();
}

/**
 * Three data events: insert, delete, update
 */
CalemDataModelItemDb.prototype.onDataInserted =
function(recRaw) {
	var recAvailable=(this._recList.getTotal()==0);
	this._recList.addRaw(recRaw);
	if (recAvailable) {
		this._onRecAvailable();
	}
	//Update current position
	this._onDataChanged();
} 

//Deletion could cause a move operation.
CalemDataModelItemDb.prototype.onDataDeleted =
function(id) {
	this._recList.deleteRecord(id);
	//to handle current rec deleted.
	if (this._currentRec && this._currentRec.id==id) {
		var pos=Math.max(this._recPos-1, 0);
		this._recList.moveNext(pos, this._deleteMoveNextCallback);
	} else {
		this._onDataChanged();
	}
}  

CalemDataModelItemDb.prototype.onDeleteMoveNextCallback =
function() {
	this._onCurrentRecMoved();
	this._onDataChanged();
} 

CalemDataModelItemDb.prototype.onDataUpdated =
function(rec) {
	this._recList.update(rec);
	if (this._currentRec && this._currentRec.id == rec.id) {
		this._currentRec=rec; //Overwrite rec first.
      if (CalemDebug.isDebug()) CalemDebug.debug("Current record is changed, to report, id="+this.getId());
      this._reportRecChanged(rec);
	}
	this._onDataChanged();
}

/**
 * DB record navigation
 */
CalemDataModelItemDb.prototype.moveNext =
function() {
	this._recList.moveNext(this._recPos, this._moveNextCallback);
} 

CalemDataModelItemDb.prototype.onMoveNextCallback =
function() {
	if (this._recPos+1 < this._recList.getTotal()) {
		this._recPos++;
		this._currentRec=this._recList.getRecord(this._recPos);	
		this._reportRecMoved();
	}
	this._reportPosition();
} 

CalemDataModelItemDb.prototype.movePrev =
function() {
	this._recList.movePrev(this._recPos, this._movePrevCallback);
} 


CalemDataModelItemDb.prototype.onMovePrevCallback =
function() {
	if (this._recPos - 1 >= 0) {
		this._recPos--;
		this._currentRec=this._recList.getRecord(this._recPos);
		this._reportRecMoved();	
	}
	this._reportPosition();
}   

/**
 * Data refresh handling
 */   
CalemDataModelItemDb.prototype._onDataRefresh =
function() {
	//force to start from 0.
	if (this._tableQuery) {
		var range=new CalemQueryRange(0);
		this._tableQuery.setRange(range);
	}
	//Force a cache reset
	if (this._recList) this._recList._clearCache();
} 

/**
 * shutdown 
 * Remove the cache listener.
 */
CalemDataModelItemDb.prototype._shutdown =
function() {
	//Inherit the cleanup above.
	if (!CalemDataModelItem.prototype._shutdown.call(this)) return false;
	//Remove cache listener
	this._model.getCache().removeChangeListener(this._id, this._cacheListener);
} 

CalemDataModelItemDb.prototype._createEmptyRecList =
function() {
	var recList=new CalemResultRecordList(this._id);
	return this._createRecList(recList);	
}

CalemDataModelItemDb.prototype._createRecList =
function(recList) {
	return eval(['new ', CalemConf['db_query']['db_recList_impl'], '(recList)'].join(''));	
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
/**
 * Constructor
 */
function CalemDataModel(id, controller, data) {
	if (arguments.length==0) return;
	//Prepare cache and registry
	this._reg=CalemContext.getInstance().getRegistry();
	this._cache=this._reg.getCache();
	//Initialize
	this._id=id;
	this._controller=controller;
	this._init(data);
}

CalemDataModel.prototype.toString = 
function() {
	return "CalemDataModel";
}

/**
 * Each model is represented by one model item.
 */
CalemDataModel.prototype._init =
function(data) {
	if (data) {
		if (data.modelItem) { //To share data model
			this._modelItem=data.modelItem;
			this._modelItem.addRefCount(); //add a ref count.
		} else {//Should fake a model item.
			this._modelItem=this._createModelItem(this._id);
		}
		this._modelItem.initCurrentRecord(data.item);
		//This is the case that data has been loaded
		this._controller.setDataLoaded(true);
	} else {
		this._modelItem=this._createModelItem(this._id);
	}
}

//Return cache reference
CalemDataModel.prototype.getCache =
function() {
	return this._cache;
}

CalemDataModel.prototype.getId =
function() {
	return this._id;
}

CalemDataModel.prototype.getController =
function() {
	return this._controller;
}

/**
 * Creating a model item based on cache policy
 */
CalemDataModel.prototype._createModelItem =
function(id) {
	var mi;
	if (this._reg.getTableDd(id).isCached()) {
		mi=new CalemDataModelItemCached(id, this);
	} else {
		mi=new CalemDataModelItemDb(id, this);
	}
	return mi;
}

//public APIs
CalemDataModel.prototype.getRegistry =
function() {
	return this._reg;
}

/**
 * Initial data loading
 */
CalemDataModel.prototype.load =
function(callback, forceReload) {
	//Check for forceReload
	if (forceReload) {
		this._modelItem.onDataRefresh();
	}
	var dbQuery=new CalemDbQuery();
	dbQuery.add(this._modelItem.getTableQuery());
	//Define a callback
	var loadCallback=new AjxCallback(this, this.onDataLoadResponse, {callback: callback});
	this._cache.bulkLoad(dbQuery, loadCallback, forceReload);
}

/**
 * Data loading response. 
 */
CalemDataModel.prototype.onDataLoadResponse =
function(param, resultList) {
	this._modelItem.onLoadResult(resultList[this._modelItem.getTableName()]);
	if (param.callback) param.callback.run();
	//add cache change listener
	this._modelItem.addCacheListener();
} 

/**
 * Loading by a layer above
 */
CalemDataModel.prototype.onLoadResult =
function(result) {
	this._modelItem.onLoadResult(result);
} 

CalemDataModel.prototype.getModelItem =
function() {
	return this._modelItem;
}

/**
 * Creating empty records
 */
CalemDataModel.prototype.createNewRecord =
function() {
	this._modelItem.createNewRecord();
} 

/**
 * Form level handling
 */
CalemDataModel.prototype.setFormLink =
function(link) {
	this._formLink = link;
}

CalemDataModel.prototype.getFormLink =
function(link) {
	return this._formLink;
}

/**
 * Parent rec handling
 */
CalemDataModel.prototype.setParentRec =
function(rec) {
	this._parentRec=rec;
} 

CalemDataModel.prototype.getParentRec =
function() {
	return this._parentRec;
} 

CalemDataModel.prototype.addParentRecId =
function(row) {
	if (this._formLink && this._parentRec) {
		row[this._formLink.getFld()]=this._parentRec.id;
	}
}
/**
 * Creating quer based on master rec
 */
CalemDataModel.prototype.getTableQueryByParentRec =
function() {
	var tq=this._modelItem.getTableQuery();
	//Add where clause for primary key.
	if (this._parentRec && this._formLink) {
		//Support link that's not id.
		var id=this._parentRec.getField(this._formLink.getParentFld()).getRawValue();
		var val=new CalemDbLookup(id);
		var fld=new CalemDbField(this._id, this._formLink.getFld())	;
		var dbExpr=new CalemDbExpr(fld, CalemDbExpr.EQ, val);
		tq.setWhere(this._id, dbExpr);
	}
	if (CalemDebug.isDebug()) CalemDebug.debug("table query for "+this._id+"="+tq.getSql());
	return tq;
}

/**
 * getCurrentRecord
 */
CalemDataModel.prototype.getCurrentRecord =
function() {
	return this._modelItem.getCurrentRecord();
} 

CalemDataModel.prototype.setCurrentRecord =
function(rec) {
	return this._modelItem.setCurrentRecord(rec);
} 

/**
 * shutdown the model item.
 */
CalemDataModel.prototype._shutdown =
function() {
	this._modelItem._shutdown();
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
 
/**
 * CalemFormModel
 * @data includes a record, and optionally a model.
 */
function CalemFormModel(parent, model, controller, data) {
	if (arguments.length==0) return;
	this._parent=parent;
	this._modelInfo=model;
	this._controller=controller;
	//Prepare cache and registry
	this._reg=CalemContext.getInstance().getRegistry();
	this._cache=this._reg.getCache();
	//Model internal data
	this._forms=new Object();
	this._formsByModel=new Object(); //For propagating query results.
	//Current record change listener for managing master detail navigation
	this._recMoveListener = new AjxListener(this, this.onRecMove);
	//Master rec change listener
	this._recModifiedListener = new AjxListener(this, this.onRecModified);
	//Internal init
	this._init(data);
}

CalemFormModel.prototype.toString = function() { return "CalemFormModel"; }

//Build up the form model first.
CalemFormModel.prototype._init =
function(data) {
	this._masterItem=this._modelInfo.getMaster();
	this._addFormItem(this._masterItem, data);
	var items=this._modelInfo.getItems();
   if (items) {
   	for (var i=0; i< items.length; i++) {
		   var modelItem=items[i];
   		this._addFormItem(modelItem.getId(), null, modelItem.getLink());
   	}
   } 
   //Listens to current record change event of the master record for now.
   //For now register a data change listener anyway
	this._forms[this._masterItem].addRecMoveListener(this._recMoveListener);
	this._forms[this._masterItem].addRecModifiedListener(this._recModifiedListener);
	//Setup formId
	this._forms[this._masterItem].setMdTabId(this._controller.getId());
}

//Return cache reference
CalemFormModel.prototype.getCache =
function() {
	return this._cache;
}

//Add a model item
CalemFormModel.prototype._addFormItem =
function(fmId, data, link) {
	var controllerId=CalemViewUtil.getFormControllerById(fmId);
	this._forms[fmId]= eval(['new ', controllerId, '(this._parent, fmId, data)'].join(''));
	if (link) {//Build up link relationship between forms.
		this._forms[fmId].setFormLink(link);
	}
	var model=this._forms[fmId].getDataModel();
	this._formsByModel[model.getId()]=this._forms[fmId];
}

//public APIs
CalemFormModel.prototype.getRegistry =
function() {
	return this._reg;
}

/**
 * Initial data loading
 */
CalemFormModel.prototype.load =
function(callback) {   
	var dbQuery=new CalemDbQuery();
	var rec=this._forms[this._masterItem].getCurrentRecord();
	if (rec) { //Current rec is valid.
		for (var i in this._forms) {
			if (i==this._masterItem) continue; //Master is populated already.
			var form=this._forms[i];
			form.setParentRec(rec);
			dbQuery.add(form.getFormQueryByParentRec());
		}
		//Define a callback
		var loadCallback=new AjxCallback(this, this.onDataLoadResponse, {callback: callback});
		this._cache.bulkLoad(dbQuery, loadCallback);
	} else { //Otherwise the parent rec is null so let's make sure all detailed records are cleared.
		//Empty out each record list 
		for (var i in this._forms) {
			if (i==this._masterItem) continue; //Don't mess with the query of the primary recordset.
			this._forms[i].setParentRec(null);
			this._forms[i].onLoadResult(null);
		}
		if (callback) callback.run(); //Continue with callback.
	}
}

/**
 * Data loading response. 
 */
CalemFormModel.prototype.onDataLoadResponse =
function(param, resultList) {
	this._forms[this._masterItem].setDataLoaded(true);
	for (var i in resultList) {
		this._formsByModel[i].onLoadResult(resultList[i]);
	}
	if (param.callback) param.callback.run();
} 

CalemFormModel.prototype.getForm =
function(id) {
	return this._forms[id];
}

CalemFormModel.prototype.getFormByModel =
function(modelId) {
	return this._formsByModel[modelId];
}

/**
 * Shutdown all forms of the MD form.
 */
CalemFormModel.prototype._shutdown =
function(id) {
	this._forms[this._masterItem].removeRecMoveListener(this._recMoveListener);
	this._forms[this._masterItem].removeRecModifiedListener(this._recModifiedListener);
	for (var i in this._forms) {
		this._forms[i]._shutdown();
	}
}

/**
 * resync data based on list selection
 */
CalemFormModel.prototype.isDataModelChanged =
function(data) {
	return  (data.modelItem != this._forms[this._masterItem]._modelItem);
} 
CalemFormModel.prototype.openAt =
function(data, callback) {
	if (data.item && this._forms[this._masterItem].getCurrentRecord().id == data.item.id) {
		callback.run(); //Assume no change.
	} else {
		this._forms[this._masterItem].setCurrentRecord(data.item);
		this.load(callback);
	}
}

/**
 * Prepare for cache listener setup.
 */
CalemFormModel.prototype.onInitDataLoaded =
function() {
	for (var i in this._forms) {
		this._forms[i].addCacheListener();
	}
}

/**
 * Current Record change listener
 * @param ev - the model id is included in the event.
 */
CalemFormModel.prototype.onRecMove =
function(ev) {
	var mdId=ev.getItems().get(0);
	if (mdId) {
		if (mdId==this._forms[this._masterItem].getDataModel().getId()) {//Reload dependent data.
			this.load(new AjxCallback(this, this._onRecMoveCallback, {mdId: mdId, ev: ev}));
		}
	}
}

//Use this event to reset parent rec to propagate the change
CalemFormModel.prototype.onRecModified =
function(ev) {
	var fmId=ev.getFmId();
	var rec=ev.getRec();
	if (fmId != this._masterItem) return;

	for (var i in this._forms) {
		if (i==this._masterItem) continue; //Don't mess with the query of the primary recordset.
		this._forms[i].setParentRec(rec);
	}
}

CalemFormModel.prototype._onRecMoveCallback =
function(params) {
	for (var i in this._forms) {
		this._forms[i]._onDataChanged(params.ev);
	}
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
/**
 * CalemFormPeerModel
 * It implements the same interface as CalemFormModel.
 */
function CalemFormPeerModel(parent, model, controller, data) {
	if (arguments.length==0) return;
	this._controller=controller;
	//Prepare cache and registry
	this._reg=CalemContext.getInstance().getRegistry();
	this._cache=this._reg.getCache();
	//Model internal data
	this._forms=new Object();
	this._formsByModel=new Object(); //For propagating query results.
	//Internal init
	this._init(data);
}

CalemFormPeerModel.prototype.toString = function() { return "CalemFormPeerModel"; }

//Build up the form model first.
CalemFormPeerModel.prototype._init =
function(data) {
	var items=this._controller.getFormInfo().getFormItems();
   if (items) {
   	for (var i=0; i< items.length; i++) {
   		if (i==0) this._firstFmId=items[i].getId();
   		this._addFormItem(items[i].getId(), data);
   	}
   } 
}

//Return cache reference
CalemFormPeerModel.prototype.getCache =
function() {
	return this._cache;
}

CalemFormPeerModel.prototype.getFirstFormId = 
function() {
	return this._firstFmId;
}

//Add a model item
CalemFormPeerModel.prototype._addFormItem =
function(fmId, data) {
	var controllerId=CalemViewUtil.getFormControllerById(fmId);
	this._forms[fmId]= eval(['new ', controllerId, '(this._parent, fmId, data)'].join(''));
	var model=this._forms[fmId].getDataModel();
	//In case model is not initialized.
	if (model) this._formsByModel[model.getId()]=this._forms[fmId];
	//Set up parent form Id
	this._forms[fmId].setMdTabId(this._controller.getId());
}

//public APIs
CalemFormPeerModel.prototype.getRegistry =
function() {
	return this._reg;
}

//each form is responsible for its own loading.
CalemFormPeerModel.prototype.load =
function(callback) {   
	if (callback) callback.run(); //Continue with callback.
}

CalemFormPeerModel.prototype.getForm =
function(id) {
	return this._forms[id];
}

CalemFormPeerModel.prototype.getFormByModel =
function(modelId) {
	return this._formsByModel[modelId];
}

/**
 * Shutdown all forms of the MD form.
 */
CalemFormPeerModel.prototype._shutdown =
function(id) {
	for (var i in this._forms) {
		this._forms[i]._shutdown();
	}
}


//no action
CalemFormPeerModel.prototype.onInitDataLoaded =
function() {
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
 
/**
 * Database backend interfaces.
 */
function CalemDb() {
}

CalemDb.prototype.toString = 
function() {
	return "CalemDb";
}

/**
 * Load count of the included tables
 * @CalemDbQuery - the list of queries to send to server.
 */
CalemDb.prototype.getCountBulk =
function(dbQuery, callback) {
	var soapDoc=CalemSoapClient.createSoapDoc("BulkFetch");
	soapDoc.set("bulkfetch", dbQuery.getSoapCount());
    var client=new CalemSoapClient(soapDoc, callback);
    return client.service(); 
}

/**
 * Load data for a data model
 * @CalemDbQuery - the list of queries to send to server.
 */
CalemDb.prototype.getDataBulk =
function(dbQuery, callback) {
	var soapDoc=CalemSoapClient.createSoapDoc("BulkFetch");
	soapDoc.set("bulkfetch", dbQuery.getSoap());
    var client=new CalemSoapClient(soapDoc, callback);
    return client.service(); 
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
/**
 * This is the class that provides all the meta data info about a table.
 */
 
/**
 * Constructor
 */
function CalemTableDd(tableDef) {
	if (arguments.length==0) return;
	this._baseTableDef=tableDef;
	this._reloadDd();
	this._gridWidth=CalemConf['view_datagrid_width'];
	this._fldEditSize=CalemConf['view_record_size']['edit'];
	this._fldReadSize=CalemConf['view_record_size']['read'];
	this._multiLineSize=CalemConf['view_engine']['multi_line'].size;
	this._multiLines=CalemConf['view_engine']['multi_line'].lines;
}

CalemTableDd.DROPDOWN='dropdown';
CalemTableDd.MEMORY='memory';
CalemTableDd.DATABASE='database';
CalemTableDd.GETALL= -1;

CalemTableDd.LEN_TEXT_INPUT=65536;
CalemTableDd.GUID_LENGTH = 36;

//Field types
CalemTableDd.TYPE_TEXT = 'text';
CalemTableDd.TYPE_JOIN = 'join';
CalemTableDd.TYPE_DROPDOWN_JOIN='dropdown_join';

CalemTableDd.TYPE_CURRENCY = 'currency';
CalemTableDd.TYPE_SYS_CURRENCY ='sys_currency';
CalemTableDd.TYPE_CURRENCY_ID ='currency_id';

CalemTableDd.TYPE_PASSWORD = 'password';


CalemTableDd.prototype.toString = 
function() {
	return "CalemTableDd";
}


//Add custom info
CalemTableDd.prototype._addCustomField=
function(id, field) {
	if (!CalemMetadataCustom[this.getCustomTableName()]) {
		CalemMetadataCustom[this.getCustomTableName()] = {fields: {}};
	}
	var fields = CalemMetadataCustom[this.getCustomTableName()].fields;
	fields[id] = field;
	this._reloadDd();
}

//Add custom info
CalemTableDd.prototype._deleteCustomField=
function(id) {
	var fields = CalemMetadataCustom[this.getCustomTableName()].fields;
	delete fields[id];
	this._reloadDd();
}

//Rename custom field
CalemTableDd.prototype._replaceCustomField=
function(oldId, id, field) {
	var fields = CalemMetadataCustom[this.getCustomTableName()].fields;
	var newFields={};
	for (var i in fields) {
		if (i==oldId) {
			newFields[id]=field;
		} else {
			newFields[i]=fields[i];
		}
	}
	CalemMetadataCustom[this.getCustomTableName()].fields=newFields;
	this._reloadDd();
}

//ReloadDD
CalemTableDd.prototype._reloadDd =
function() {
	//reload this table.
	this._baseTableDef = CalemMetadata[this.getTableName()]; //Source field changed.
	
	this._allTableDef=new Object();
	CalemViewUtil.addObject(this._baseTableDef, this._allTableDef);
	this._customTableDef=CalemMetadataCustom[this.getCustomTableName()];
	if (this._customTableDef) { //Generate a merged fields.
		var fields=this._allTableDef.fields;
		var allFields=new Object();
		CalemViewUtil.addObject(fields, allFields);
		var cFields=this._customTableDef.fields;
		CalemViewUtil.addObject(cFields, allFields);
		this._allTableDef.fields=allFields;
		this._customFieldList=CalemViewUtil.getListByMap(cFields);
	}
	//Constructing field list
	this._allFieldList=CalemViewUtil.getListByMap(this._allTableDef.fields);
	this._baseFieldList=CalemViewUtil.getListByMap(this._baseTableDef.fields);
}

/**
 * Dropdown as object format.
 */
CalemTableDd.prototype.getDropdownMap =
function() {
	if (!this._dropdownMap) {
		this._reloadDropdown();
	}
	return this._dropdownMap;
}

CalemTableDd.prototype._reloadDropdown =
function() {
	CalemTableDd.getRegistry().getCache()._loadDropdown(this.getTableName(), true);
	this._dropdownMap = this._createDropdownMap(CalemDropdown.get(this.getTableName()));
}

/**
 * Oob dropdown is stored as object format.
 */
CalemTableDd.prototype.getOobDropdownMap =
function() {
	if (!this._oobDropdownMap) {
		this._oobDropdownMap= this._createDropdownMap(CalemDropdown.getNoCustom(this.getTableName()));
	}
	return this._oobDropdownMap;
}

CalemTableDd.prototype._createDropdownMap =
function(dataList) {
	map={};
	var fldList=this.getFieldList();
	for (var i=0; i< dataList.length; i++) {
		var recList=dataList[i];
		var recMap={};
		for (var j=1; j< fldList.length; j++) {
			recMap[fldList[j]]=recList[j];
		}
		map[recList[0]]=recMap;
	}
	return map;
}

//Dropdown manipulation and refreshing.
CalemTableDd.prototype.createVtDropdownDd =
function(targetId) {
	var targetDd=CalemTableDd.getRegistry().getTableDd(targetId);
	var newDef=targetDd._baseTableDef;
	//Get base fields.
	var vtDd=CalemTableDd.getRegistry().getTableDd('vt_dropdown');	
	//rebuild fields for target.
	var fields=vtDd._baseTableDef.fields;
	var newFields={};	
	CalemViewUtil.addObject(vtDd._baseTableDef.fields, newFields);
	CalemViewUtil.addObject(this._baseTableDef.fields, newFields, true);
	
	newDef.fields=newFields;
	CalemMetadata[targetId]=newDef;
	targetDd._reloadDd();
}

CalemTableDd.prototype.addDropdown =
function(row) {
	var fields=this.getFields();
	var list=[];
	for (var i in fields) {
		list.push(row[i]);
	}
	CalemDropdown.addEntry(list, this.getTableName());
	this._reloadDropdown();	
}

CalemTableDd.prototype.deleteDropdown =
function(id) {
	CalemDropdown.deleteEntry(id, this.getTableName());
	this._reloadDropdown();	
}

CalemTableDd.prototype.modifyDropdown =
function(row) {
	var fields=this.getFields();
	var list=[];
	for (var i in fields) {
		list.push(row[i]);
	}
	CalemDropdown.modifyEntry(list, this.getTableName());
	this._reloadDropdown();	
}

CalemTableDd.prototype.swapDropdown =
function(srcId, dstId, tableId) {
	CalemDropdown.swapEntry(srcId, dstId, tableId);
	this._reloadDropdown();	
}

CalemTableDd.getRegistry =
function() {
	if (!CalemTableDd._reg) {
		CalemTableDd._reg=CalemContext.getInstance().getRegistry();
	}
	return CalemTableDd._reg;
}

/**
 * Row count to fetch
 */
CalemTableDd.prototype.getFetchCount =
function() {
	return (this.isCached()? CalemTableDd.GETALL : CalemConf['db_fetchCount']);
} 

/**
 * Basic services
 */
CalemTableDd.prototype.getTableName =
function() {
	return this._baseTableDef['table_name'];
}

CalemTableDd.prototype.getViewName =
function() {
	return this.getTableName();
}

CalemTableDd.prototype.getTableNameForDesign =
function() {
	return [CalemMsg.getMsg(this.getTableName()), ' (', this.getTableName(), ')'].join('');
}

CalemTableDd.prototype.getCustomTableName =
function() {
	return [CalemConst._TABLE_CUSTOM, this._baseTableDef['table_name']].join('');
}

CalemTableDd.prototype.getModule =
function() {
	return this._baseTableDef['module'];
}

//Order by 
CalemTableDd.prototype.getOrderBy =
function() {
	return this._baseTableDef['order_by'];
}
 
CalemTableDd.prototype.isDropdown =
function() {
	return this._baseTableDef.cache_type == CalemTableDd.DROPDOWN;
}

CalemTableDd.prototype.isMemoryCached =
function() {
	return (this._baseTableDef.cache_type == CalemTableDd.MEMORY);
}

/**
 * Query cache type of the table
 */
CalemTableDd.prototype.isCached =
function() {
	return (this.isDropdown() || this.isMemoryCached());
}

/**
 * Fields consist of core fields and custom fields.
 * getFields, getFieldList: core + custom
 * getCoreFields: core
 * getCustomFields: custom
 */
CalemTableDd.prototype.getFields =
function() {
	return this._allTableDef.fields;
}

CalemTableDd.prototype.getFieldList =
function() {
	return this._allFieldList;
}

CalemTableDd.prototype.getBaseFields =
function() {
	return this._baseTableDef.fields;
}

CalemTableDd.prototype.getCustomFields =
function() {
	return (this._customTableDef ? this._customTableDef.fields : null);
}

CalemTableDd.prototype.isField =
function(fld) {
	return this._allTableDef.fields[fld];
}

CalemTableDd.prototype.isBaseField =
function(fld) {
	return this._baseTableDef.fields[fld];
}

CalemTableDd.prototype.getLookupTableDd =
function(fld) {
	var dd=null;
	var rtn=this._allTableDef.fields[fld];
	if  (rtn) {
		rtn=rtn['lookup'];
		if (rtn) dd=CalemTableDd.getRegistry().getTableDd(rtn);
	}
	return dd;	
}

CalemTableDd.prototype.isJoinField =
function(fld) {
	var result=false;
	var rtn=this.getLookupTableDd(fld);
	if (rtn) {
		result=!rtn.isDropdown();
	}
	return result;		
}
	
CalemTableDd.prototype.isDropdownField =
function(fld) {
	var result=false;
	var rtn=this.getLookupTableDd(fld);
	if (rtn) {
		result=rtn.isDropdown();
	}
	return result;	
}
	
CalemTableDd.prototype.isMemoryCachedField =
function(fld) {
	var result=false;
	rtn=this.getLookupTableDd(fld);
	if (rtn) {
		result=rtn.isMemoryCached();
	}
	return result;	
}
	
CalemTableDd.prototype.getJoin =
function(fld) {
	var rtn=null;
	var lkupDd=this.getLookupTableDd(fld);
	if (lkupDd && !lkupDd.isDropdown()) { //it's a join field.
	   var map=lkupDd.getLookupMapping();
		rtn={table: lkupDd.getTableName(), field: map['field'], lkupField: map['primary']};
	}
	return rtn;
}

CalemTableDd.prototype.getLookupMapping =
function() {
	return this._allTableDef['lookup_mapping'];	
}

/**
 * The field is 'fieldName_lookupFieldName' if the field is to be brought over.
 */
CalemTableDd.prototype.getJoinFieldName=
function(fld) {
	var name=fld;
	var dd=this.getLookupTableDd(fld);
	if (dd && !dd.isDropdown()) {
		name=[fld, '__', dd.getShortName(dd.getPrimaryLookup())].join('');	
	}
	return name;	
}

//Get primary lookup field
CalemTableDd.prototype.getPrimaryLookup =
function() {
	return this._allTableDef['lookup_mapping'] ? this._allTableDef['lookup_mapping']['primary'] : null;	
}

//Short name support
CalemTableDd.prototype.getShortName=
function(fld) {
	return (this._allTableDef.fields[fld] && this._allTableDef.fields[fld]['sn']) ? this._allTableDef.fields[fld]['sn'] : fld;
}

/**
 * Presentation functions
 */

/**
 * Handles a few cases:
 * currency: print label as "labor cost (CAD):"
 * sys_currency: print lable as "labor cost (USD):"
 * lookup: to print as lookup table's name
 */
//External interface
CalemTableDd.prototype.getFieldLabel =
function(fld) {
	var msg=this._getFieldLabel(fld);
	if (msg) {
		if (this.isSysCurrencyField(fld)) {
			msg=[msg, " (", CalemConf['sys_currency'].id, ")"].join('');
		}
		return msg;
	}
	//Otherwise, let's look at the link only once.
	var lkupDd=this.getLookupTableDd(fld);
	if (lkupDd) {
		if (lkupDd.isDropdown()) {
			msg= CalemMsg.getMsg(lkupDd.getTableName(), true);
			if (msg) return msg;
			fld= lkupDd.getTableName();
		} else {
			var map=lkupDd.getLookupMapping();
			msg= lkupDd._getFieldLabel(map['primary']);
			if (msg) return msg;
			fld=map['primary'];
		}	
	}	
	//Msg not defined_ use field id.
	return '_'+fld;
}

CalemTableDd.prototype._getFieldLabel =
function(fld) {
	var msg;
	var msgId=this.getLabelId(fld);
	return CalemMsg.getMsg(msgId, true);
	}

CalemTableDd.prototype.getLabelId =
function(fld) {
	var id=this._allTableDef.fields[fld]['label'];
	return (id ? id : fld);
}

//System fields are internal fields that should not be displayed.
CalemTableDd.prototype.isSysField =
function(fld) {
	return (fld==CalemConst._REC_ID || this._allTableDef.fields[fld]['isSys']);
}

CalemTableDd.prototype.getIdFieldName =
function() {
	return CalemConst._REC_ID;
}

CalemTableDd.prototype.isRequired =
function(fld) {
	return (this._allTableDef.fields[fld]['required']==true);
}

CalemTableDd.prototype.isDateField=
function(fld) {	
	return (this._allTableDef.fields[fld]['type']=='date');
}

CalemTableDd.prototype.isTimeField=
function(fld) {
	return (this._allTableDef.fields[fld]['type']=='time');
}

CalemTableDd.prototype.isDateTimeField=
function(fld) {
	return (this._allTableDef.fields[fld]['type']=='datetime');
}

CalemTableDd.prototype.isBooleanField=
function(fld) {
	return (this._allTableDef.fields[fld]['type']=='boolean');
}

CalemTableDd.prototype.isNumericField=
function(fld) {
	var type=this._allTableDef.fields[fld]['type'];
	return (type=='int'||type=='double'||type=='currency'||type=='sys_currency'||type=='percent');
}

CalemTableDd.prototype.isIntegerField=
function(fld) {
	return (this._allTableDef.fields[fld]['type']=='int');
}

CalemTableDd.prototype.isNumberField=
function(fld) {
	var type=this._allTableDef.fields[fld]['type'];
	return (type=='double');
}

CalemTableDd.prototype.isPercentField=
function(fld) {
	var type=this._allTableDef.fields[fld]['type'];
	return (type=='percent');
}

CalemTableDd.prototype.isCurrencyField=
function(fld) {
	var type=this._allTableDef.fields[fld]['type'];
	return (type=='currency');
}

CalemTableDd.prototype.isSysCurrencyField=
function(fld) {
	var type=this._allTableDef.fields[fld]['type'];
	return (type=='sys_currency');
}

CalemTableDd.prototype.isCurrencyIdField=
function(fld) {
	var rtn= (this._allTableDef['currency_mapping']) ? (this._allTableDef['currency_mapping']['field'] == fld) : false;
	return rtn;
}

CalemTableDd.prototype.isStringField =
function(fld) {
	var type=this._allTableDef.fields[fld]['type'];
	return (type=='varchar'||type=='text'||type=='guid');
}

CalemTableDd.prototype.isTextField =
function(fld) {
	var type=this._allTableDef.fields[fld]['type'];
	return (type=='text' || (type=='varchar' && this._allTableDef.fields[fld]['length'] > this._multiLineSize));
}

CalemTableDd.prototype.isPasswordField =
function(fld) {
	return (this._allTableDef.fields[fld]['is_password']);
}

/**
 * Normalized field type
 */
CalemTableDd.prototype.getNormalizedType =
function(fld) {
	var type;
	var rtn=this.getLookupTableDd(fld);
	if (rtn) {
		if (rtn.isDropdown()) {
			type=CalemTableDd.TYPE_DROPDOWN_JOIN;
		} else if (this.isCurrencyIdField(fld)) {
			type=CalemTableDd.TYPE_CURRENCY_ID;
		} else {
			type=CalemTableDd.TYPE_JOIN;
		}
	} else if (this.isTextField(fld)) {
		type=CalemTableDd.TYPE_TEXT;
	} else if (this.isPasswordField(fld)) {
		type=CalemTableDd.TYPE_PASSWORD;
	} else {
		type=this._allTableDef.fields[fld]['type'];
		type= (type=='guid') ? 'varchar' : type;
	}
	return type;
}

/**
 * Get a list of tables that are cached (dropdown or memory cached)
 */
CalemTableDd.prototype.getCachedParentTableDds =
function() {
	var lkup;
	var tableDd;
	var rtn=[];
	for (var i in this._allTableDef['fields']) {
		if (lkup=this._allTableDef['fields'][i]['lookup']) {
			lkupDd=CalemTableDd.getRegistry().getTableDd(lkup);
			if (lkupDd.isCached()) {
				rtn.push(lkupDd);
			}
		}
	}
	return rtn;
}

/**
 * This is the query field list
 */
CalemTableDd.prototype.getFieldListForQuery =
function() {
	//Build the query first, then collect fields from query's select
	var tblQuery=this._buildGetAllQueryNoOrderBy();
	var select=tblQuery.getSelect()._select;
	var flds=[];
	CalemViewUtil.addList(this.getFieldList(), flds);
	for (var i=0; i< select.length; i++) {
		var sel=select[i];
		if (sel._table==this.getTableName() || sel._table==this.getCustomTableName()) continue;
		//Otherwise, assume a field object only
		if (sel._alias!=null) {
			CalemViewUtil.addList([sel._alias], flds);
		}
	}
	return flds;
}

/**
 * Creating a default record filling in all the default values
 * @return {fldList: arrayOfFields, recDefault: arrayOfDefaults}
 */
CalemTableDd.prototype.getDefaultRecord =
function() {
	var ar=this.getFieldListForQuery();
	var arDefaults=[];
	for (var i in ar) {
		arDefaults.push(null);
	}
	return {fldList: ar, recDefault: arDefaults};		
}  

/**
 * This is the get all query.
 */
CalemTableDd.prototype._buildGetAllQueryNoOrderBy =
function(includeMd) {
	var tableName=this.getTableName();
	var tableQuery=new CalemTableQuery(this.getViewName(), tableName); //So this is a GET query.
	var sf=new CalemSelectField(tableName); //This is select all from this table.
	tableQuery.addSelect(sf);
	//Build base table query.
	this._buildQueryJoins(this.getBaseFields(), tableName, tableQuery, includeMd);
	//Check custom table - custom fields don't support join fields.
	if (this.getCustomFields()) {//a) add a join; b) add select fields
		sf=new CalemSelectField(this.getCustomTableAlias());
		tableQuery.addSelect(sf);
		var join= new CalemTableJoin(CalemTableJoin.LEFT, tableName, 'id', 
								this.getCustomTableName(), CalemConst._REC_CUSTOM_ID);
		tableQuery.setWhere(this.getCustomTableName(), null, join);									
	}	
	return tableQuery;
}

/**
 * Custom table must use an alias that's used in join with the id field.
 */
CalemTableDd.prototype.getCustomTableAlias =
function() {
	return this.getCustomTableName()+ "_id";
}

CalemTableDd.prototype.isLookupMd =
function(fld) {
	var rtn=this._allTableDef['fields'][fld];
	return (rtn['lookup'] && rtn['md']);
}

/**
 * Construct query for base or custom tables
 */
CalemTableDd.prototype._buildQueryJoins =
function(flds, tableName, tableQuery, includeMd)  {
	//Now let's figure out which additional joins are necessary
	var lkupDd, join, tableJoin;
	for (var i in flds) {
		if (lkupDd=this.getLookupTableDd(i)) {
			if (lkupDd.isCached() || (!includeMd && this.isLookupMd(i))) continue;
			//a) Add a join for where and b) a field in select list.
			join=this.getJoin(i);
			var alias= tableQuery.nextAliasKey();
			tableJoin=new CalemTableJoin(CalemTableJoin.LEFT, tableName, i, join.table, join.field, alias);
			tableQuery.setWhere(tableJoin.getAlias(), null, tableJoin);
			//Add selection field.
			tableQuery.addSelect(new CalemSelectField(tableJoin.getAlias(), join.lkupField, 
			                         this.getJoinFieldName(i)) );
		}
	} 
}

/**
 * Utility function to build a select all query for a given table.
 * Also check for database dependent fields to add to join/select/order by.
 * 
 */
CalemTableDd.prototype.buildGetAllQuery =
function(includeMd) {
	var tableQuery=this._buildGetAllQueryNoOrderBy(includeMd);
	//Let's figure out order by if any.
	var orderBy=this.getOrderBy();
	if (orderBy) {
		var ob=CalemQueryOrderBy.createOrderBy(this, orderBy.field, orderBy.order);
		tableQuery.setOrderBy(ob);
	}
	return tableQuery;
}

/**
 * Utility function to build a select query to fetch data inserted
 * or updated.
 */
CalemTableDd.prototype.buildGetOneQuery =
function() {
	var tableQuery=this._buildGetAllQueryNoOrderBy();
	//Now add query by the id.
	var fld =new CalemDbField(this.getTableName(), this.getIdFieldName());
	var val =new CalemDbParamHolder(true);
	var expr=new CalemDbExpr(fld, CalemDbExpr.EQ, val)
	tableQuery.setWhere(this.getTableName(), expr);
	return tableQuery;
}

/**
 * Utility function to build a count query for a given id.
 */
CalemTableDd.prototype.buildGetAllQueryByLookup =
function(fld, lkupValue) {
	var tableQuery=this._buildGetAllQueryNoOrderBy();
	//Now add query by the fld.
	var fld =new CalemDbField(this.getTableName(), fld);
	var val =new CalemDbString(lkupValue);
	var expr=new CalemDbExpr(fld, CalemDbExpr.EQ, val)
	tableQuery.setWhere(this.getTableName(), expr);
	return tableQuery;
}

CalemTableDd.prototype.buildGetAllQueryByExpr =
function(expr) {
	var tableQuery=this._buildGetAllQueryNoOrderBy();
	tableQuery.setWhere(this.getTableName(), expr);
	return tableQuery;
}

//Get configuration by field type.
CalemTableDd.prototype._getConfByType =
function(type, conf) {
	var wd=conf[type];
	if (wd==null) {
		CalemDebug.info(this.getTableName()+", type="+type+", conf not defined!");
		wd=conf['default'];
	}
	return wd;
}

/**
 * Width are in pixels for grid display.
 */
CalemTableDd.prototype.getWidth =
function(fld) {
	return this._getGridWidthByType(this._allTableDef.fields[fld]['type']);
}

CalemTableDd.prototype._getGridWidthByType =
function(type) {
	return this._getConfByType(type, this._gridWidth);
}

CalemTableDd.prototype.getTextInputLengthByType =
function(type, fld) {
   var rtn=null;
	if (type=='varchar') {
		rtn=this._allTableDef.fields[fld]['length'];
	} else if (type=='guid') {
		rtn=CalemTableDd.GUID_LENGTH;
	} else if (type=='text') {
		rtn = CalemTableDd.LEN_TEXT_INPUT;
	} else {
		rtn = this._getConfByType(type, this._fldEditSize);
	}
	return rtn;
}
	
/**
 * Input length is in chars and are for record display.
 * @todo consider lookup - may need more accurate length here.
 */
CalemTableDd.prototype.getTextInputLength =
function(fld) {
	return this.getTextInputLengthByType(this._allTableDef.fields[fld]['type'], fld);
}

/**
 * Some special control about text display.
 */
CalemTableDd.prototype.getTextEditDisplayLength =
function(fld) {
	var rtn=this._allTableDef.fields[fld]['length'];
	var conf=CalemConf['view_record_size']['edit_varchar_display_max'];
	if (this.isTextField(fld) && conf['text']>0) {
		rtn=conf['text'];
	} else if (this.isPasswordField(fld) && conf['password']>0) {
		rtn=conf['password'];
	} else if (conf['varchar']>0) {
		rtn=conf['varchar'];
	}
	return rtn;
}

CalemTableDd.prototype.getDateInputLength =
function() {
	return this.getTextInputLengthByType('date');
}

CalemTableDd.prototype.getTimeInputLength =
function() {
	return this.getTextInputLengthByType('time');
}

/**
 * Read length
 */
CalemTableDd.prototype.getTextReadLength =
function(fld) {
	return this.getTextReadLengthByType(this._allTableDef.fields[fld]['type'], fld);
} 

CalemTableDd.prototype.getTextReadLengthByType =
function(type, fld) {
   var rtn=null;
	if (type=='varchar') {
		rtn=this._allTableDef.fields[fld]['length'];
	} else if (type=='guid') {
		rtn=CalemTableDd.GUID_LENGTH;
	} else if (type=='text') {
		rtn = CalemTableDd.LEN_TEXT_INPUT;
	} else {
		rtn = this._getConfByType(type, this._fldReadSize);
	}
	return rtn;
}

/**
 * This is for text field only.
 */
CalemTableDd.prototype.getTextDisplayLength =
function(fld) {
	return this._multiLineSize;
}

CalemTableDd.prototype.getTextDisplayRows =
function(fld) {
	var type=this._allTableDef.fields[fld]['type']; //Rows depending on type (varchar or text)
	return this._multiLines[type];
}

/**
 * Get default value
 */
CalemTableDd.prototype.getDefaultValue =
function(fld) {
	var fldDef=this._allTableDef.fields[fld];
	return fldDef['default'] ? fldDef['default'] : null;	
} 

CalemTableDd.prototype.getUniqueIndexes =
function() {
	return this._allTableDef['unique_indexes'];
}

CalemTableDd.prototype.getPrivate =
function(fld) {
	return this._allTableDef.fields[fld]['private'];
}
/**
 * creating item info on the fly
 */
CalemTableDd.prototype.getFieldInfo =
function(fld) {
	return new CalemFieldInfo(fld);
} 

CalemTableDd.prototype.getFieldLabelInfo =
function(fld) {
	return new CalemFieldLabelInfo(fld);
} 

CalemTableDd.prototype.getDesignLabel =
function(fld) {
	return [this.getFieldLabel(fld),
				' (', fld, ')'].join('');
}

/**
 * Min/Max value support
 */
CalemTableDd.prototype.getMinValue =
function(fld) {
	return this._allTableDef.fields[fld]['minVal'];
}

CalemTableDd.prototype.getMaxValue =
function(fld) {
	return this._allTableDef.fields[fld]['maxVal'];
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

function CalemTableDdView(tableDef) {
	if (arguments.length==0) return;
	this._viewDef=tableDef;
	var refDef=CalemMetadata[tableDef.table_ref];
	CalemTableDd.call(this, refDef);
}

CalemTableDdView.prototype = new CalemTableDd;
CalemTableDdView.prototype.constructor = CalemTableDdView;

CalemTableDdView.prototype.toString = function() {return 'CalemTableDdView';}

CalemTableDdView.prototype.isMemoryCached =
function() {
	return (this._viewDef.cache_type == CalemTableDd.MEMORY);
}

CalemTableDdView.prototype.getViewName =
function() {
	return this._viewDef.table_name;
}

/** 
 * Table DD factory method.
 */
function CalemTableDdFactory() {
}

//Factory method
CalemTableDdFactory.create =
function(id) {
	var dd=null;
	var tableDef=CalemMetadata[id];
	if (tableDef) {
		var impl= tableDef.impl ? tableDef.impl : 'CalemTableDd';
		dd=eval(['new ', impl, '(tableDef)'].join(''));
	}
	return dd;
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
/**
 * CalemCachedItem wraps a CalemRecordList and provide services and access control over the data
 * cached for a table. For instance the sort order cannot be altered for this cached table.
 * 
 * Time management: localDeleted and updated time are used for stale management; server deleted and updated 
 * time are used for query management. 
 * 
 * @param tblQuery - the query that fetches the data.
 * @param result - the raw result list
 * @param cache - the cache object.
 * 
 */
function CalemCachedItem(tblQuery, rawResult, cache) {
	if (arguments.length==0) return;
	CalemModel.call(this, true);
	this._id=rawResult.table;
	this._recList=CalemCacheRecordList.createByRawResult(tblQuery, rawResult);
	this._setUpdatedTime(rawResult.localTime, rawResult.serverTime);
	this._setDeletedTime(rawResult.localTime, rawResult.serverTime);
	this._cache=cache;
	//Add item to cache.
	cache.put(this);
} 

CalemCachedItem.prototype = new CalemModel;
CalemCachedItem.prototype.constructor=CalemCachedItem;

CalemCachedItem.prototype.toString = function() {return 'CalemCachedItem';}

CalemCachedItem.prototype.getId =
function() {
	return this._id;
}

//Time management
CalemCachedItem.prototype._setUpdatedTime =
function(localTime, serverTime) {
	this._lastLocalUpdatedTime = CalemTextUtil.parseServerDateTime(localTime);
	this._lastServerUpdatedTime = serverTime;
}

CalemCachedItem.prototype._setDeletedTime =
function(localTime, serverTime) {
	this._lastLocalDeletedTime = CalemTextUtil.parseServerDateTime(localTime);
	this._lastServerDeletedTime = serverTime;
}

/**
 * Management APIs
 */
CalemCachedItem.prototype.addStaledQueries =
function(dbQuery, forceReload) {
	if (!forceReload && !this.isStaled()) return;
	//Add both deleted and updated queries
	var deletedQuery=new CalemQueryDeleted(this._id, this._id, this._lastServerDeletedTime);
	dbQuery.add(deletedQuery);
	//Updated query
	var updatedQuery=this._recList.getTableDd().buildGetAllQuery();
	updatedQuery.addStaleTime(this._lastServerUpdatedTime);
	dbQuery.add(updatedQuery);
}

CalemCachedItem.prototype.isStaled =
function() {
	var dt=new Date();
	return (dt - this._lastLocalDeletedTime >= this._cache.getStaleMax() || dt - this._lastLocalUpdatedTime >= this._cache.getStaleMax());
}

/**
 * Incremental updates - the updates include both deleted and updated.
 * @param rawResults is an array of deleted/updated/inserted from database.
 * @events - events are fired after updates.
 */
CalemCachedItem.prototype.onServerUpdates =
function(rawResults) {
	//Think about providing ids changed, deleted and added?
	var event=new CalemCacheChangeEvent(this._id);
	for (var i=0; i< rawResults.length; i++) {
		var rawResult=rawResults[i];
		if (rawResult.type==CalemTableQuery.DELETED) { //Handle deleted. 
	      this._setDeletedTime(rawResult.localTime, rawResult.serverTime);
			if (rawResult.data) this._recList.deleteRecords(rawResult.data, event);
		} else { //Handle updated
		   this._setUpdatedTime(rawResult.localTime, rawResult.serverTime);
			if (rawResult.data) this._updateByRawResult(rawResult, event);
		}
	}
	//To send out change events.
	if (event.size() > 0) { //do we need sort first?
		var action=new AjxTimedAction(this, this._notifyChangeEvent, event);
		AjxTimedAction.scheduleAction(action, this._cache.getProcessDelay());
	}
} 

/**
 * Update recordList based on rawResult
 */
CalemCachedItem.prototype._updateByRawResult =
function(rawResult, event) {
	var updatedRecList=CalemCacheRecordList.createByRawResult(null, rawResult);
	this._recList.updateByRecList(updatedRecList, event);
}

/**
 * Local query on the cached record list
 */
CalemCachedItem.prototype.bulkFetchByQuery =
function(tblQuery) {
	var result;
	if (tblQuery.hasWhereExpr()) { //To perform query for each record.
		result=this._recList.query(tblQuery);
	} else { //Let's clone it.
		result=this._recList.clone(tblQuery);
	}
	//Do not handle sort in this case.
	return result;
}

/**
 * Cache item query
 */
CalemCachedItem.prototype.findRecordById=
function(valId) {
	return this._recList.findRecordById(valId);
} 

CalemCachedItem.prototype.findRecordByValue=
function(field, value) {
	return this._recList.findRecordByValue(field, value);
} 

/**
 * Events for other parties.
 */
CalemCachedItem.prototype.addChangeListener = 
function(listener) {
	this.addListener(CalemEvent.CACHE_CHANGE, listener);
}

CalemCachedItem.prototype.removeChangeListener = 
function(listener) {
	this.removeListener(CalemEvent.CACHE_CHANGE, listener);    	
} 

/**
 * Notify change event
 */
CalemCachedItem.prototype._notifyChangeEvent =
function(event) {
	this.notifyListeners(CalemEvent.CACHE_CHANGE, event);
}

/**
 * A record is inserted.
 */
CalemCachedItem.prototype.onDataInserted =
function(recRaw) {
	var rec=this._recList.addRaw(recRaw);
	var evt=new CalemCacheChangeEvent(this._id);
	evt.addInserted(rec);
	this._notifyChangeEvent(evt);
}

/**
 * A record is deleted.
 */
CalemCachedItem.prototype.onDataDeleted =
function(recId) {
	var rec=this._recList.deleteRecords([recId]);
	var evt=new CalemCacheChangeEvent(this._id);
	evt.addDeleted(recId);
	this._notifyChangeEvent(evt);
}

/**
 * A record is updated.
 */
CalemCachedItem.prototype.onDataUpdated =
function(recRaw) {
	var evt=new CalemCacheChangeEvent(this._id);
	var rec=this._recList.updateRaw(recRaw, evt);
	this._notifyChangeEvent(evt);
	return rec;
}

/**
 * For dropdown use
 */
CalemCachedItem.prototype.getRecordList =
function() {
	return this._recList;
} 

/**
 * Items preloaded to front end.
 */
function CalemLocalCachedItem(cache, id, data, fields) {
	if (arguments.length==0) return;
	var reg=CalemContext.getInstance().getRegistry();
	var tableDd=reg.getTableDd(id);
	if (!fields) {
		fields=tableDd.getFieldListForQuery();
	}
	var date = new Date();
	var serverDate=CalemTextUtil.localDateTimeToGmt(date);
	var rawResult={table: id, fields: fields,	data: data,
	               localTime: CalemTextUtil.formatServerDateTime(date),
	               serverTime: CalemTextUtil.formatServerDateTime(serverDate)};
	CalemCachedItem.call(this, tableDd.buildGetAllQuery(), rawResult, cache);	               
} 

CalemLocalCachedItem.prototype = new CalemCachedItem;
CalemLocalCachedItem.prototype.constructor = CalemLocalCachedItem;

CalemLocalCachedItem.prototype.isStaled = function() { return false; }

/**
 * Dropdown cached item.
 */
function CalemCachedDropdown(id, cache) {
	if (arguments.length==0) return;
	CalemLocalCachedItem.call(this, cache, id, CalemDropdown.get(id));	               
} 

CalemCachedDropdown.prototype = new CalemLocalCachedItem;
CalemCachedDropdown.prototype.constructor = CalemCachedDropdown;

/**
 * Cached table list factory.
 */
function CalemCachedTableListFactory() {               
} 

CalemCachedTableListFactory.create =
function(id) {
	var reg=CalemContext.getInstance().getRegistry();
	var tbList=reg.getCache().get(id);
	if (!tbList) {
		var dataList=new Array();
		var tableList=CalemData[id];
		for (var i=0; i< tableList.length; i++) {
			var tableDd=reg.getTableDd(tableList[i]);
			var tbName=CalemMsg.getMsg(tableList[i]);
			var modName=CalemMsg.getMsg(tableDd.getModule());
			dataList.push([tableList[i], tbName, modName]);
		}
		//Creating the cache item
		var ci=new CalemLocalCachedItem(reg.getCache(), id, dataList);
	}
}
	
/**
 * Cached Groups.
 */
function CalemCachedGroups(cache) {
	if (arguments.length==0) return;
	var id='acl_group';
	var aclGroup=CalemData[id]; //Cached data.
	CalemLocalCachedItem.call(this, cache, id, aclGroup.data);
	this._parentMap=aclGroup.parentMap;
	this._initLoaded();               
} 

CalemCachedGroups.prototype = new CalemLocalCachedItem;
CalemCachedGroups.prototype.constructor = CalemCachedGroups;

/**
 * Init custom info loaded for groups known at this time.
 */
CalemCachedGroups.prototype._initLoaded =
function() {
	this._customLoaded=new Object();
	var userInfo=CalemContext.getInstance().getUserInfo();
	this.setCustomLoaded([userInfo.gid], true);
}

CalemCachedGroups.prototype.setCustomLoaded =
function(gids, setParent) {
	for (var j=0; j < gids.length; j++) {
		gid=gids[j];
		this._customLoaded[gid]=1;
		if (setParent) {
			var parents=this._parentMap[gid];
			if (parents) {
				for (var i=0; i< parents.length; i++) this._customLoaded[parents[i]]=1;
			}
		}
	}
}

//Get list of groups to load custom info as required by gid.
CalemCachedGroups.prototype.getGroupsToLoad =
function(gid) {
	var ar=[gid];
	var parents=this._parentMap[gid];
	if (parents) {
		for (var i=0; i< parents.length; i++) {
			ar.push(parents[i]);
		}
	}
	var arLoad=[];
	for (var i=0; i< ar.length; i++) {
		if (!this._customLoaded[ar[i]]) arLoad.push(ar[i]);
	}
	return arLoad;
}

CalemCachedGroups.prototype.getParentMap =
function() {
	return this._parentMap;
}

CalemCachedGroups.prototype.findParents =
function(gid) {
	return this._parentMap[gid];
}

CalemCachedGroups.prototype.inGroupPath =
function(gid, testGid, inclusive) {
	if (inclusive && gid==testGid) return true;
	var list=this._parentMap[gid];
	for (var i=0; i< list.length; i++) {
		if (list[i]==testGid) return true;
	}
	return false;
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
/**
 * Constructor
 */
function CalemCache() {
	this._staleMax=CalemConf['registry_cache']['staleMax'];
	this._processDelay=CalemConf['registry_cache']['processDelay'];
	this._cache=new Object(); //This is the global cache.
} 

CalemCache.prototype.toString = 
function() {
	return "CalemCache";
}

CalemCache.prototype.getStaleMax =
function() {
	return this._staleMax;
}

CalemCache.prototype.getProcessDelay =
function() {
	return this._processDelay;
}

/**
 * Force fetching tables in the list.
 */
CalemCache.prototype.forceUpdate =
function(tables) {
	
}

/**
 * Bulk load counts bypass cached items
 */
CalemCache.prototype.bulkLoadCountBypassCache =
function(dbQuery, callback) {
	this._db.getCountBulk(dbQuery, new AjxCallback(this, this.onBulkLoadCountResponse, callback));
} 

CalemCache.prototype.onBulkLoadCountResponse =
function(callback, resp) {
	var resultList=resp.getResponse().BulkFetchResponse;
	callback.run(resultList);
}

/**
 * Bulk data load.
 * @param dbQuery - list of queries to load data
 * @callback callback to report when data is ready
 * Each type of table is handled differently: 
 * <ul>
 * <li>DB based table will be a pass-through query plus dependent cached tables
 * <li>Cached tables will use on-demand update based on cache stale times
 * <li>For cached data query will be performed locally
 * <li>Results are packaged and sent back
 * </ul>  
 */
CalemCache.prototype.bulkLoad =
function(dbQuery, callback, forceReload, resultCallback) {
	if (!resultCallback) resultCallback=new AjxCallback(this, this._sendBulkLoadResults);
	var action=new AjxTimedAction(this, this._processBulkLoad, {dbQuery: dbQuery, resultCallback: resultCallback, callback: callback, forceReload: forceReload})
	AjxTimedAction.scheduleAction(action, this._processDelay); //This should be a very short delay to make it async.
}

/**
 * Just load cache
 */
CalemCache.prototype.bulkLoadCache =
function(dbQuery, callback, forceReload) {
	this.bulkLoad(dbQuery, callback, forceReload, callback);
}

/**
 * Populating cache for a table based on dependency.
 */
CalemCache.prototype.bulkLoadCacheForTable =
function(table, callback, forceReload, includeTable) {
	var tableDd=this._registry.getTableDd(table);
	var dbQuery=new CalemDbQuery(); //This is the query list to send across the soap wire.
	this._prepareSoapForTable(tableDd.buildGetAllQuery(), dbQuery, forceReload);
	if (!includeTable) dbQuery.remove(table); //Remove this table.	
	this.bulkLoadCache(dbQuery, callback, forceReload);	
}

/**
 * Let's figure out if we need make a soap call first.
 */
CalemCache.prototype._processBulkLoad =
function(params) {
	//Build query result based on table cache types
	var dbQuery=params.dbQuery;
	var soapQuery=new CalemDbQuery(); //This is the query list to send across the soap wire.
	var map=dbQuery.getQueryMap();
	for (var i in map) {
		var tblQuery=map[i];
		this._prepareSoapForTable(tblQuery, soapQuery, params.forceReload);		
	}
	params.soapQuery=soapQuery;
	if (soapQuery.size() > 0) { //Let's do a soap call with a call back defined.
		var soapCallback=new AjxCallback(this, this.onSoapResponse, params);
		this._db.getDataBulk(soapQuery, soapCallback);
	} else {
		params.resultCallback.run(params);
	}	
}

/**
 * Let's update local cache based on soap results if any.
 * Memory cached data will be updated and events sent off.
 * Database cached data will be passed back directly without storing in cache.
 * The bulk query sets is of the format: 
 * [{table: table, type: type, serverTime: serverTime, localTime: localTime, 
 *   count: count, fields: fields, data: data}]
 */
CalemCache.prototype.onSoapResponse = 
function(params, resp) {
	var result;
	var cached;
	var resultList=resp.getResponse().BulkFetchResponse;
	var rawSet=new Object();
	var cachedUpdates=new Object();
	var soapQuery=params.soapQuery;
	for (var i=0; i< resultList.length; i++) {
		var result=resultList[i];
		var tblQuery=soapQuery.getQuery(result.ftId); //Use full table Id to get back the result.
		var tableDd=this._registry.getTableDd(tblQuery.getId()); //support view
		if (!tableDd.isCached()) {
			rawSet[result.table]=result;
		} else if (cached=this.get(result.table)) {
			if (!cachedUpdates[result.table]) {
				cachedUpdates[result.table]=new Array();
			}
			cachedUpdates[result.table].push(result);
		} else {//Creating a cached item.
			cached=new CalemCachedItem(tblQuery, result, this);
		}
	}
	//Cache updates
	for (var i in cachedUpdates) {
		this.get(i).onServerUpdates(cachedUpdates[i]);
	}
	//Cached is updated so let's calculate results for repsonding back to callback
	params.resultCallback.run(params, rawSet);
}

/**
 * Make a callback to the caller with bulkLoad results
 * @params - includes original queries and callback
 * @resp - includes non-cached data fetched from database
 * 
 */
CalemCache.prototype._sendBulkLoadResults =
function(params, rawSet) {
	//Now let's prepare results based on original query list
	var dbQuery=params.dbQuery;
	var map=dbQuery.getQueryMap();
	var results={};
	for (var i in map) {
		var tblQuery=map[i];
		var tableName=tblQuery.getTableId();
		var tableDd=this._registry.getTableDd(tblQuery.getId());
		if (tableDd.isCached()) {
			var cached= this.get(tableName);
			results[tblQuery.getTableId()]=cached.bulkFetchByQuery(tblQuery);
		} else {
			results[tableName]=CalemResultRecordList.createByRawResult(tblQuery, rawSet[tableName]);
		} 	
	}
	//Now let's do a callback here.
	params.callback.run(results);	
}

/**
 * Find out Soap calls needed for a table.
 * <ul>
 * <li>Fetch query for the table
 * <li>Stale check
 * <li>Dependent tables stale check
 * </ul>
 * 
 */
CalemCache.prototype._prepareSoapForTable =
function(tblQuery, soapQuery, forceReload) {	
	var tableDd=this._registry.getTableDd(tblQuery.getId()); //To support view here.
	//For non-cached data let's go to DB without any work locally.
	var cached;
	if (tableDd.isDropdown()) { //Dropdown is preloaded already.		
		this._loadDropdown(tableDd.getTableName());
	} else if (tableDd.isMemoryCached()) {
		if (cached=this.get(tableDd.getTableName())) {
			cached.addStaledQueries(soapQuery, forceReload);
		} else { //Firsttime getting data for this table
			soapQuery.add(tableDd.buildGetAllQuery());
		}
	} else {
		soapQuery.add(tblQuery); //This is a pass-through query
	}
	//Dependency stale check
	var parents=tableDd.getCachedParentTableDds();
	for (var i=0; i< parents.length; i++) {
		var lkupDd=parents[i];
		if (cached=this.get(lkupDd.getTableName())) {
			cached.addStaledQueries(soapQuery);
		} else {			
			//Check for dropdowns
			if (lkupDd.isDropdown()) {//Check dropdown loading.
				this._loadDropdown(lkupDd.getTableName());
			} else {
				soapQuery.add(lkupDd.buildGetAllQuery());
			}
		}
	}	
} 

/**
 * Loading dropdown to cache
 */
CalemCache.prototype._loadDropdown =
function(id, forceLoad) {
	var dropdown=this.get(id);
	if (!dropdown || forceLoad) {
		dropdown=new CalemCachedDropdown(id, this);
	}
} 

CalemCache.prototype.getDropdown =
function(id) {
	this._loadDropdown(id);
	return this.get(id);
} 

CalemCache.prototype.setDb =
function(db) {
	this._db=db;
}

CalemCache.prototype.setRegistry =
function(reg) {
	this._registry=reg;
}

CalemCache.prototype.put =
function(cached) {
	this._cache[cached.getId()]=cached;
}

CalemCache.prototype.get =
function(id) {
	return this._cache[id];
}

CalemCache.prototype.findRecordById=
function(id, recId) {
	var rtn=null;
	var cached;
	if (cached=this.get(id)) {
		rtn=cached.findRecordById(recId);
	}
	return rtn;
}

CalemCache.prototype.findValueById=
function(join, recId) {
	var rtn=null;
	var cached;
	if (cached=this.get(join.table)) {
		var rec=cached.findRecordById(recId);
		if (rec) rtn=rec.getField(join.lkupField).getValue();
	}
	return rtn;
}

CalemCache.prototype.findIdByJoinValue=
function(join, value) {
	var rtn=null;
	var cached;
	if (cached=this.get(join.table)) {
		var rec=cached.findRecordByValue(join.lkupField, value);
		if (rec) rtn=rec.id;
	}
	return rtn;
}

CalemCache.prototype.findIdByJoinValueNoCache=
function(join, value) {
	//To construct a query based on join info and send it to server.
	return null;
}

//Events
CalemCache.prototype.addChangeListener =
function(id, listener) {
	if (this.get(id)) this.get(id).addChangeListener(listener);
}

CalemCache.prototype.removeChangeListener =
function(id, listener) {
	if (this.get(id)) this.get(id).removeChangeListener(listener);
}

//Data events
CalemCache.prototype.onDataInserted =
function(id, rec) {
	this.get(id).onDataInserted(rec);
}

//Data events
CalemCache.prototype.onDataDeleted =
function(id, recId) {
	this.get(id).onDataDeleted(recId);
}

//Data events
CalemCache.prototype.onDataUpdated =
function(id, recId) {
	return this.get(id).onDataUpdated(recId);
}

/**
 * Lookup validation function
 * - single value validation
 * - multi-value validation
 */
CalemCache.prototype.validateLookupSingle =
function(tbId, fld, value, callback) {
	var cached=this.get(tbId);
	if (cached) {//This is cached item.
	   var id=null;
	   var valid=false;
		var rec=cached.findRecordByValue(fld, value);
		if (rec) {
			id=rec.id;
			valid=true;
		}
		callback.run(id, value, valid);
	} else {//This is to validate by a soap call to database.
		this.validateLookupMultiple(tbId, [{fld: fld, value: value}], value, callback);
	}
} 

CalemCache.prototype.validateLookupMultiple =
function(tbId, fldAr, value, callback) {
	//Build a query first.
	var lkupDd=this._registry.getTableDd(tbId);
	var tblQuery=lkupDd.buildGetAllQuery();
	var andExpr = new CalemExprAnd();
	for (var i=0; i< fldAr.length; i++) {
		var val=new CalemDbString(fldAr[i].value);
		var dbFld= new CalemDbField(tbId, fldAr[i].fld);
		var expr=new CalemDbExpr(dbFld, CalemDbExpr.EQ, val);
		andExpr.add(expr);
	}
	tblQuery.setWhere(tbId, andExpr);
	//Creating a db query
	this._validateLookupByDb(tbId, tblQuery, callback, value);
} 

CalemCache.prototype._validateLookupByDb =
function(tbId, tblQuery, callback, value) {
	var dbQry=new CalemDbQuery();
	dbQry.add(tblQuery);
	var lkupCallback=new AjxCallback(this, this.onBulkFetchLookupResponse, {callback: callback, value: value, table: tbId});
	this.bulkLoad(dbQry, lkupCallback);
}

//analyze result
CalemCache.prototype.onBulkFetchLookupResponse =
function(param, resultList) {
	var recList=resultList[param.table];
	if (recList.getTotal()>0) {//found it
		param.callback.run(recList.getRecord(0).id, param.value, true);
	} else {
		param.callback.run(null, param.value, false);
	}
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * This is the object registry.
 */
 
/**
 * Constructor
 */
function CalemRegistry() {
   this._registry=new Object();
   this._tableDd = new Object();
   this._internalInit();
   //Link up to context
   CalemContext.getInstance().setRegistry(this);
} 

/**
 * Identity method
 */
CalemRegistry.prototype.toString =
function() {
	return 'CalemRegistry';
} 

//Internal init
CalemRegistry.prototype._internalInit =
function() {
	var conf=CalemConf['registry_db'];
	this._db = eval(['new ', conf.impl, '()'].join(''));
	conf=CalemConf['registry_cache'];
	this._cache = eval(['new ', conf.impl, '()'].join(''));
	//Link db to cache
	this._cache.setDb(this._db);
	this._cache.setRegistry(this);
	//Init formatters
	CalemTextUtil._init();
}

/**
 * Init method
 *  - another alternative is to use lazy init if performance turn out to be a problem.
 */
CalemRegistry.prototype.init =
function(regNames) {
   for (var i=0; i< regNames.length; i++) {
      var regName=regNames[i];
      //Each reg name has a list of items.
      var regObj=CalemConf[regName];
      //Call its loader function
      eval(['this.', regObj.loader, "(regName, regObj)"].join(''));      
   }
}

/**
 * Init for unit tests - a hack for now.
 */ 
CalemRegistry.prototype.initForTest =
function(regNames) {
	var str="{sid: '11233', uid: 'calem', 'gid': 'admin_on_install'}";
   AjxCookie.setCookie(document, 'CALEM_SID', Base64.encode(str));
   CalemContext.getInstance().init(); //Initialize context.
			   
	var acl_groups={data: [['CALEM_SYSTEM', 'My system', '', 'test it', '', '','','']], parentMap: {CALEM_SYSTEM: ['CALEM_OOB'],
        	            admin_on_install: ['CALEM_SYSTEM', 'CALEM_OOB']}};
   CalemData['acl_group']=acl_groups;
   var cachedGroups=new CalemCachedGroups(this._cache);
   this.init(regNames);
} 

//Module loader
CalemRegistry.prototype.loadModules =
function(regName, regObj) {
   //Take into consideration of customization
   var modListMgr=CalemCustomModListManager.getInstance();
   var cInfo=modListMgr.getFullCustomInfo(null, null);
   var modList= (cInfo && cInfo.getLayout()) ? cInfo.getLayout() : modListMgr.getSysModList();
   
   //Creating a cache for each registry name.
   this._registry[regName]=new Object(); 
   this._registry[regName]._objList=new Array();
   for (var j=0; j < modList.length; j++) {
      var itemName=modList[j];
      if (!cInfo.checkAcl(itemName)) continue; //Checking parent acl for permission.
      
      obj=CalemJson.setJson(CalemModuleDef[itemName]); //This is deserialize interface for all widgetInfo supporting customization.
      this._registry[regName][obj.getId()]=obj;
      this._registry[regName]._objList.push(obj);
   }
}

/**
 * Get module list
 */
CalemRegistry.prototype.getModuleList =
function () {
   return this._registry.registry_module._objList;
} 

/**
 * Get module object
 */
CalemRegistry.prototype.getModule =
function (id)  {
   return this._registry.registry_module[id];
}

CalemRegistry.prototype.getCache =
function() {
	return this._cache;
}

CalemRegistry.prototype.getDb =
function() {
	return this._db;
}

//Lazy init of tableDd
CalemRegistry.prototype.getTableDd =
function(id) {
	if (!this._tableDd[id]) {
		this._tableDd[id] = CalemTableDdFactory.create(id);
	}
	if (!this._tableDd[id]) {
		CalemDebug.error("No definition found for table: "+id);
		throw new AjxException(id, id, null, 'Table not found'); 
	}
	return this._tableDd[id];
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
/**
 * Common UI class definition.
 */
function CalemMenuDef() {}

function CalemViewDef() {}
function CalemViewCustomDef() {}

function CalemItemDef() {}
CalemItemDef.REPLACE_BY_ID=0;
CalemItemDef.REPLACE_BY_ID_DATA=1;

function CalemModuleDef() {}
function CalemModuleCustomDef() {}
function CalemModListCustomDef() {}

function CalemFormDef() {}
function CalemFormCustomDef() {}

/**
 * Provides lookup based on field/controller
 */
CalemFormDef._getLookupForm =
function(tbl, fld, controller) {
	var rtn=controller.getLookupFormByFld(tbl, fld);
	if (!rtn) {
		rtn=CalemFormDef[tbl].lookup;
	}
	return rtn;
}

/**
 * Common menu definition.
 */
CalemMenuDef.FORM_LISTENER='OpenForm';
CalemMenuDef.PROC_LISTENER='OpenProc';
CalemMenuDef.RPT_LISTENER='OpenReport';

/**
 * Common module menu
 * - New
 * - Form
 * - Procedure
 * - Report
 * - Conf
 * A typical menu's attributes:
 
 CalemMenuDef['CalemNew'] = {
   id: 'CalemNew',
	title: 'menu_new',
	icon: 'CalemNew',
	disIcon: null,
	enabled: true,
	tooltip: null, 
	style: DwtMenuItem.RADIO_STYLE,				   
	radioGroupId: null,
	idx: null,
	className: null,
	posStyle: null,
	onSelect: null
}; 
 */
//Modules New
CalemMenuDef['CalemModNew'] = {
	id: 'CalemModNew',
	title: 'menu_new',
	icon: 'CalemNew',
	disIcon: null,
	enabled: true,
	tooltip: null,
	style: (DwtLabel.IMAGE_LEFT | DwtLabel.ALIGN_LEFT), 				   
	radioGroupId: null,
	idx: null,
	className: 'TBButton',
	posStyle: null,
	onSelect: null	
};

//Modules Form
CalemMenuDef['CalemModForm'] = {
	id: 'CalemModForm',
	title: 'menu_form',
	icon: 'CalemForm',
	disIcon: null,
	tooltip: null,
	enabled: true,
	style: (DwtLabel.IMAGE_LEFT | DwtLabel.ALIGN_LEFT),				   
	radioGroupId: null,
	idx: null,
	className: 'TBButton',
	posStyle: null,
	onSelect: null	
};  

//Modules Procedure
CalemMenuDef['CalemModProcedure'] = {
	id: 'CalemModProcedure',
	title: 'menu_procedure',
	icon: 'CalemProcedure',
	disIcon: null,
	tooltip: null,
	enabled: true,
	style: (DwtLabel.IMAGE_LEFT | DwtLabel.ALIGN_LEFT), 				   
	radioGroupId: null,
	idx: null,
	className: 'TBButton',
	posStyle: null,
	onSelect: null	
}; 

//Modules Report
CalemMenuDef['CalemModReport'] = {
	id: 'CalemModReport',
	title: 'menu_report',
	icon: 'CalemReport',
	disIcon: null,
	tooltip: null,
	enabled: true,
	style: (DwtLabel.IMAGE_LEFT | DwtLabel.ALIGN_LEFT), 				   
	radioGroupId: null,
	idx: null,
	className: 'TBButton',
	posStyle: null,
	onSelect: null	
};  

//Modules Configuration
CalemMenuDef['CalemModConfiguration'] = {
	id: 'CalemModConfiguration',
	title: 'menu_configuration',
	icon: 'CalemConfiguration',
	disIcon: null,
	tooltip: null,
	enabled: true,
	style: (DwtLabel.IMAGE_LEFT | DwtLabel.ALIGN_LEFT), 				   
	radioGroupId: null,
	idx: null,
	className: 'TBButton',
	posStyle: null,
	onSelect: null	
};  

/**
 * View's toolbar buttons
 */
// New
CalemMenuDef['CalemTbNew'] = {
	id: 'CalemTbNew',
	title: 'menu_new',
	icon: 'CalemNew',
	disIcon: null,
	enabled: true,
	tooltip: null, 
	style: (DwtLabel.IMAGE_LEFT | DwtLabel.ALIGN_LEFT), 				   
	radioGroupId: null,
	idx: null,
	className: 'TBButton',
	posStyle: null,
	onSelect: {CalemMenuSelect: {listener: 'NewListener'}}	
};

// Open
CalemMenuDef['CalemTbOpen'] = {
	id: 'CalemTbOpen',
	title: 'menu_open',
	icon: 'CalemOpen',
	disIcon: null,
	enabled: false,
	tooltip: null, 
	style: (DwtLabel.IMAGE_LEFT | DwtLabel.ALIGN_LEFT), 				   
	radioGroupId: null,
	idx: null,
	className: 'TBButton',
	posStyle: null,
	onSelect: {CalemMenuSelect: {listener: 'OpenListener'}}	
};

// Edit
CalemMenuDef['CalemTbEdit'] = {
	id: 'CalemTbEdit',
	title: 'menu_edit',
	icon: 'CalemEdit',
	disIcon: null,
	enabled: true,
	tooltip: null, 
	style: (DwtLabel.IMAGE_LEFT | DwtLabel.ALIGN_LEFT),				   
	radioGroupId: null,
	idx: null,
	className: 'TBButton',
	posStyle: null,
	onSelect: {CalemMenuSelect: {listener: 'EditListener'}}	
};

// Save
CalemMenuDef['CalemTbSave'] = {
	id: 'CalemTbSave',
	title: 'menu_save',
	icon: 'CalemSave',
	disIcon: 'CalemSaveDisabled',
	enabled: false,
	tooltip: null, 
	style: (DwtLabel.IMAGE_LEFT | DwtLabel.ALIGN_LEFT), 				   
	radioGroupId: null,
	idx: null,
	className: 'TBButton',
	posStyle: null,
	onSelect: {CalemMenuSelect: {listener: 'SaveListener'}}
};

// Cancel
CalemMenuDef['CalemTbCancel'] = {
	id: 'CalemTbCancel',
	title: 'menu_cancel',
	icon: 'CalemCancel',
	disIcon: 'CalemCancelDisabled',
	enabled: true,
	tooltip: null, 
	style: (DwtLabel.IMAGE_LEFT | DwtLabel.ALIGN_LEFT), 				   
	radioGroupId: null,
	idx: null,
	className: 'TBButton',
	posStyle: null,
	onSelect: {CalemMenuSelect: {listener: 'CancelListener'}}
};

// Delete
CalemMenuDef['CalemTbDelete'] = {
	id: 'CalemTbDelete',
	title: 'menu_delete',
	icon: 'CalemDelete',
	disIcon: null,
	enabled: false,
	tooltip: null, 
	style: (DwtLabel.IMAGE_LEFT | DwtLabel.ALIGN_LEFT), 				   
	radioGroupId: null,
	idx: null,
	className: 'TBButton',
	posStyle: null,
	onSelect: {CalemMenuSelect: {listener: 'DeleteListener'}}	
};

// Print
CalemMenuDef['CalemTbPrint'] = {
	id: 'CalemTbPrint',
	title: 'menu_print',
	icon: 'CalemPrint',
	disIcon: null,
	enabled: false,
	tooltip: null, 
	style: (DwtLabel.IMAGE_LEFT | DwtLabel.ALIGN_LEFT), 				   
	radioGroupId: null,
	idx: null,
	className: 'TBButton',
	posStyle: null,
	onSelect: {CalemMenuSelect: {listener: 'PrintListener'}}
};

CalemMenuDef['CalemTbPrintCustomize'] = {
	id: 'CalemTbPrint',
	title: 'menu_print_customize',
	icon: 'CalemPrint',
	disIcon: null,
	enabled: false,
	tooltip: null, 
	style: (DwtLabel.IMAGE_LEFT | DwtLabel.ALIGN_LEFT), 				   
	radioGroupId: null,
	idx: null,
	className: 'TBButton',
	posStyle: null,
	onSelect: {CalemMenuSelect: {listener: 'PrintCustomizeListener'}}
};

// Prev
CalemMenuDef['CalemTbPrev'] = {
	id: 'CalemTbPrev',
	title: 'menu_prev',
	icon: 'CalemPrev',
	disIcon: null,
	enabled: false,
	tooltip: null, 
	style: (DwtLabel.IMAGE_LEFT | DwtLabel.ALIGN_LEFT), 				   
	radioGroupId: null,
	idx: null,
	className: 'TBButton',
	posStyle: null,
	onSelect: {CalemMenuSelect: {listener: 'PrevListener'}}	
};

// Next
CalemMenuDef['CalemTbNext'] = {
	id: 'CalemTbNext',
	title: 'menu_next',
	icon: 'CalemNext',
	disIcon: null,
	enabled: false,
	tooltip: null, 
	style: (DwtLabel.IMAGE_LEFT | DwtLabel.ALIGN_LEFT), 				   
	radioGroupId: null,
	idx: null,
	className: 'TBButton',
	posStyle: null,
	onSelect: {CalemMenuSelect: {listener: 'NextListener'}}
};

// Select
CalemMenuDef['CalemTbSelect'] = {
	id: 'CalemTbSelect',
	title: 'menu_select',
	icon: 'CalemSelect',
	disIcon: null,
	enabled: false,
	tooltip: null, 
	style: (DwtLabel.IMAGE_LEFT | DwtLabel.ALIGN_LEFT), 				   
	radioGroupId: null,
	idx: null,
	className: 'TBButton',
	posStyle: null,
	onSelect: {CalemMenuSelect: {listener: 'SelectListener'}}	
};

// Customize
CalemMenuDef['CalemTbCustomize'] = {
	id: 'CalemTbCustomize',
	title: 'menu_customize',
	icon: 'CalemCustomize',
	disIcon: null,
	enabled: true,
	tooltip: null, 
	style: (DwtLabel.IMAGE_LEFT | DwtLabel.ALIGN_LEFT), 				   
	radioGroupId: null,
	idx: null,
	className: 'TBButton',
	posStyle: null,
	onSelect: {CalemMenuSelect: {listener: 'CustomizeListener'}}	
};

// Customize
CalemMenuDef['CalemTbDataRefresh'] = {
	id: 'CalemTbDataRefresh',
	title: 'data_refresh',
	icon: 'CalemDataRefresh',
	disIcon: null,
	enabled: true,
	tooltip: null, 
	style: (DwtLabel.IMAGE_LEFT | DwtLabel.ALIGN_LEFT), 				   
	radioGroupId: null,
	idx: null,
	className: 'TBButton',
	posStyle: null,
	onSelect: {CalemMenuSelect: {listener: 'DataRefreshListener'}}	
};

// Reset
CalemMenuDef['CalemTbCustomizeReset'] = {
	id: 'CalemTbCustomizeReset',
	title: 'menu_customize_reset',
	icon: 'CalemCustomizeReset',
	disIcon: null,
	enabled: true,
	tooltip: null, 
	style: (DwtLabel.IMAGE_LEFT | DwtLabel.ALIGN_LEFT), 				   
	radioGroupId: null,
	idx: null,
	className: 'TBButton',
	posStyle: null,
	onSelect: {CalemMenuSelect: {listener: 'CustomizeResetListener'}}	
};


// Search
CalemMenuDef['CalemTbSearch'] = {
	id: 'CalemTbSearch',
	title: 'menu_search',
	icon: 'CalemSearch',
	disIcon: null,
	enabled: true,
	tooltip: null, 
	style: (DwtLabel.IMAGE_LEFT | DwtLabel.ALIGN_LEFT), 				   
	radioGroupId: null,
	idx: null,
	className: 'TBButton',
	posStyle: null,
	onSelect: {CalemMenuSelect: {listener: 'SearchListener'}}	
};


// Clear search
CalemMenuDef['CalemTbSearchClear'] = {
	id: 'CalemTbSearchClear',
	title: 'menu_search_clear',
	icon: 'CalemSearchClear',
	disIcon: null,
	enabled: false,
	tooltip: null, 
	style: (DwtLabel.IMAGE_LEFT | DwtLabel.ALIGN_LEFT), 				   
	radioGroupId: null,
	idx: null,
	className: 'TBButton',
	posStyle: null,
	onSelect: {CalemMenuSelect: {listener: 'SearchClearListener'}}	
};

// Refresh
CalemMenuDef['CalemTbRefresh'] = {
	id: 'CalemTbRefresh',
	title: 'menu_refresh',
	icon: 'CalemRefresh',
	disIcon: null,
	enabled: true,
	tooltip: null, 
	style: (DwtLabel.IMAGE_LEFT | DwtLabel.ALIGN_LEFT), 				   
	radioGroupId: null,
	idx: null,
	className: 'TBButton',
	posStyle: null,
	onSelect: {CalemMenuSelect: {listener: 'RefreshListener'}}	
};

// Apply
CalemMenuDef['CalemTbApply'] = {
	id: 'CalemTbApply',
	title: 'menu_apply',
	icon: 'CalemSelect',
	disIcon: null,
	enabled: true,
	tooltip: null, 
	style: (DwtLabel.IMAGE_LEFT | DwtLabel.ALIGN_LEFT), 				   
	radioGroupId: null,
	idx: null,
	className: 'TBButton',
	posStyle: null,
	onSelect: {CalemMenuSelect: {listener: 'ApplyListener'}}
};

// Apply
CalemMenuDef['CalemTbApplySave'] = {
	id: 'CalemTbApplySave',
	title: 'menu_apply_save',
	icon: 'CalemApplySave',
	disIcon: null,
	enabled: false,
	tooltip: null, 
	style: (DwtLabel.IMAGE_LEFT | DwtLabel.ALIGN_LEFT), 				   
	radioGroupId: null,
	idx: null,
	className: 'TBButton',
	posStyle: null,
	onSelect: {CalemMenuSelect: {listener: 'ApplySaveListener'}}
};

//Export to excel
CalemMenuDef['CalemTbExportExcel'] = {
	id: 'CalemTbExportExcel',
	title: 'menu_export_excel',
	icon: 'CalemExportExcel',
	disIcon: null,
	enabled: false,
	tooltip: null, 
	style: (DwtLabel.IMAGE_LEFT | DwtLabel.ALIGN_LEFT), 				   
	radioGroupId: null,
	idx: null,
	className: 'TBButton',
	posStyle: null,
	onSelect: {CalemMenuSelect: {listener: 'ExportExcelListener'}}
};


//Desktop toolbar menu
CalemMenuDef['CalemLogout'] = {
	id: 'CalemLogout',
	title: 'menu_logout',
	icon: 'CalemLogout',
	disIcon: null,
	enabled: true,
	tooltip: null, 
	style: (DwtLabel.IMAGE_LEFT | DwtLabel.ALIGN_LEFT),			   
	radioGroupId: null,
	idx: null,
	className: 'TBButton',
	posStyle: null,
	onSelect: {CalemMenuSelect: {listener: 'LogoutListener'}}
};

//Desktop toolbar menu
CalemMenuDef['CalemHelp'] = {
	id: 'CalemHelp',
	title: 'menu_help',
	icon: 'CalemHelp',
	disIcon: null,
	enabled: true,
	tooltip: null, 
	style: (DwtLabel.IMAGE_LEFT | DwtLabel.ALIGN_LEFT),			   
	radioGroupId: null,
	idx: null,
	className: 'TBButton',
	posStyle: null,
	onSelect: {CalemMenuSelect: {listener: 'HelpListener'}}
};

/**
 * Lookup form definition
 */
//Admin
CalemFormDef['acl_group'] = {
	lookup: 'CalemAclGroupFormLookup'
}

CalemFormDef['users'] = {
	lookup: 'CalemUserFormLookup'	
} 

CalemFormDef['scheduler_task'] = {
	lookup: 'CalemSchedulerTaskFormLookup'	
}

CalemFormDef['team'] = {
	lookup: 'CalemTeamFormLookup'	
} 

CalemFormDef['dept'] = {
	lookup: 'CalemDeptFormLookup'	
} 

CalemFormDef['craft'] = {
	lookup: 'CalemCraftFormLookup'	
} 

//Asset
CalemFormDef['asset'] = {
	lookup: 'CalemAssetFormLookup'	
} 

CalemFormDef['asset_meter'] = {
	lookup: 'CalemAssetMeterFormLookup'
}

CalemFormDef['asset_type'] = {
	lookup: 'CalemAssetTypeFormLookup'
}

CalemFormDef['meter_type'] = {
	lookup: 'CalemMeterTypeFormLookup'
}

CalemFormDef['manufacturer'] = {
	lookup: 'CalemManufacturerFormLookup'
}

//Budget
CalemFormDef['budget_title'] = {
	lookup: 'CalemBudgetTitleFormLookup'	
}

CalemFormDef['costcode'] = {
	lookup: 'CalemCostcodeFormLookup'	
} 

//Contact
CalemFormDef['contact'] = {
	lookup: 'CalemContactFormLookup'	
} 

//Failure
CalemFormDef['rcm_failure'] = {
	lookup: 'CalemRcmFailureFormLookup'
}

CalemFormDef['rcm_action'] = {
	lookup: 'CalemRcmActionFormLookup'
}

CalemFormDef['rcm_template'] = {
	lookup: 'CalemRcmTemplateFormLookup'
}

CalemFormDef['rcm_function'] = {
	lookup: 'CalemRcmFunctionFormLookup'
}

//inspection - no need at this time.

//Material
CalemFormDef['inventory'] = {
	lookup: 'CalemInFormLookup'
}

CalemFormDef['uom'] = {
	lookup: 'CalemUomFormLookup'
}

CalemFormDef['in_type']= {
	lookup: 'CalemInTypeFormLookup'
}

CalemFormDef['in_location']= {
	lookup: 'CalemInLocationFormLookup'
}

//pm
CalemFormDef['pm'] = {
	lookup: 'CalemPmFormLookup'	
}

//po
CalemFormDef['po'] = {
	lookup: 'CalemPoFormLookup'	
}

CalemFormDef['tax_code'] = {
	lookup: 'CalemTaxCodeFormLookup'	
}

CalemFormDef['po_address'] = {
	lookup: 'CalemPoAddressFormLookup'	
}

//Project
CalemFormDef['project'] = {
	lookup: 'CalemProjectFormLookup'	
}

CalemFormDef['project_type'] = {
	lookup: 'CalemProjectTypeFormLookup'	
}

//requisition
CalemFormDef['requisition'] = {
	lookup: 'CalemReqFormLookup'	
}

//Schedule
CalemFormDef['shift'] = {
	lookup: 'CalemShiftFormLookup'
}

//Training
CalemFormDef['training_course_type'] = {
	lookup: 'CalemTrainingCourseTypeFormLookup'
}

CalemFormDef['training_course'] = {
	lookup: 'CalemTrainingCourseFormLookup'
}

CalemFormDef['training_certificate'] = {
	lookup: 'CalemTrainingCertificateFormLookup'
}

CalemFormDef['training'] = {
	lookup: 'CalemTrainingFormLookup'
}

//Vendor
CalemFormDef['vendor'] = {
	lookup: 'CalemVendorFormLookup'	
}

CalemFormDef['contract'] = {
	lookup: 'CalemContractFormLookup'	
}

//Workorder
CalemFormDef['workorder'] = {
	lookup: 'CalemWoFormLookup'	
}

//document
CalemFormDef['document'] = {
	lookup: 'CalemDocFormLookup'
}

//upload
CalemFormDef['doc_upload'] = {
	lookup: 'CalemDocUploadFormLookup'
}

//document
CalemFormDef['doc_type'] = {
	lookup: 'CalemDocTypeFormLookup'
}


/**
 * Shared search select form
 */
CalemItemDef['CalemFormSearchSelect']={
	CalemFormInfo: {
		id: 'CalemFormSearchSelect',
		title: 'menu_search', //not used
		icon: 'CalemSearch', //not used
		controller: 'CalemFormSearchSelect',
		model: '',  //not used
		view: {CalemViewRefInfo: {id: 'CalemViewSearchSelect'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Basic CalemWidget Info
 */
function CalemWidget() {}

//Constants definition
CalemWidget.FULL_SIZE = 'FULL_SIZE';
CalemWidget.CUSTOM_SIZE = 'CUSTOM_SIZE';
CalemWidget.DATA = 'CALEM_DATA';/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * This is the base CalemListView widget. 
 * Input: column list, colums to display, dataset and its controller
 * Events: see DwtListView
 */
function CalemListView(parent, className, posStyle, tableDd, customInfo, controller, noMaximize) {
	this._tableDd=tableDd;
	this._controller = controller;
	this._setupByCustomInfo(customInfo);
	this._colActionListener = new AjxListener(this, this.colActionEvent);
	posStyle = posStyle || DwtControl.ABSOLUTE_STYLE;
	DwtListView.call(this, parent, className, posStyle, this._headerList, noMaximize);
	//Setting up action menu
	this._setupActionMenu();
	//Now make room for Scrollbar.
	this._createListView();
	//padding for ie
	this._ieWidthPadding=CalemConf['widget_listview']['ieWidthPadding'];
	//Set up wheel listener
	this.setHandler(DwtEvent.ONMOUSEWHEEL, CalemListView._mouseWheelHdlr);
}

CalemListView.prototype = new DwtListView;
CalemListView.prototype.constructor = CalemListView;

CalemListView.prototype.toString = 
function() {
	return "CalemListView";
}

/**
 * Set up by customInfo:
 * - Header list
 * - Action menu
 * @param customInfo includes acl and customInfo.
 */
CalemListView.prototype._setupByCustomInfo =
function(customInfo) {
	//Prepare customInfo
	var acl=customInfo.acl;
	var listInfo=customInfo.listInfo.getColList();
	//build a map of currentView first.
	this._headerListMap =new Object();
	this._customColMap=new Object();
	this._headerList = new Array();
	for (var i=0; i< listInfo.length; i++) {
		var col=listInfo[i];
		if (acl[col.getId()]) continue; //skip fields that in the acl.
		this._customColMap[col.getId()]=col;
		this._addColumn(col.getId(), this._headerList, true);
	}
	//Now figure out which field to add to the available column list
	var fieldList=this._tableDd.getFields();
	for (var i in fieldList) { //Each field is an object.
		if (acl[i] || this._customColMap[i]) continue; //check Acl, exclude visible fields.
		this._addColumn(i, this._headerList, false);
	}
}

	
CalemListView.prototype._addColumn =
function(fld, headerList, visible) {
	//All fields are resizable/sortable
	var lb=this._tableDd.getFieldLabel(fld);
	var width= this._customColMap[fld] ? this._customColMap[fld].getWidth() : null;
	this._headerListMap[fld]= new CalemListHeaderItem(fld, lb, null, width, true, true, visible, null);
	headerList[headerList.length]=this._headerListMap[fld];
}

CalemListView.prototype._setupActionMenu =
function() {
	//setup menu stuff
	if (this._actionMenu) {//release it.
		this._actionMenu.dispose(); //so this is reentrable.		
	}
	//Now creating menu based on headerList
	this._actionMenu = new CalemListViewActionMenu(this);
	for (var i=0; i< this._headerList.length; i++) {
		this._addMenuItem(this._headerList[i]);
	}
}

CalemListView.prototype._addMenuItem =
function(col) {
	var mi = this._actionMenu.createMenuItem(col._field, null, col._label, null, true, DwtMenuItem.CHECK_STYLE);
	mi.setData(CalemWidget.DATA, col._field);
	this._actionMenu.addSelectionListener(col._field, this._colActionListener);
	mi.setChecked(col._visible, true); //To skip notify.
}

/**
 * Fields for listView changed
 * @param - field added or removed.
 * Actions:
 * a) Added: add field to the list;
 * b) Removed: remove field from list; if field is displayed repaint the grid.
 * 
 */
CalemListView.prototype.__onFieldChange =
function(nodeChange) {
	if (nodeChange.op == CalemConst._NODE_ADDED) {
		this._addColumn(nodeChange.id, this._headerList, false);
		this._addMenuItem(this._headerListMap[nodeChange.id]);
	} else {//to decide if repaint is necessary.
		var repaint=this._headerListMap[nodeChange.id]._visible;
		//Remove from headerListMap, headerList and actionMenu
		this._actionMenu.removeMe(nodeChange.id, this._colActinLstener);
		delete this._headerListMap[nodeChange.id];
		for (var i=0; i< this._headerList.length; i++) {
			if (this._headerList[i]._field==nodeChange.id) {
				this._headerList.splice(i, 1);
				break;
			}
		}
		//Repaint if necessary
		if (repaint) {
			this._relayout();
		}
	}
}

CalemListView.prototype._relayout =
function() {
	if (this._getVisibleFieldCount()==0 && this._headerList.length > 0) {
		this._headerList[0]._visible=true;
		this._actionMenu.setChecked(this._headerList[0]._field, true);
	}
	DwtListView.prototype._relayout.call(this);
}

CalemListView.prototype.__canRemoveField =
function() {
	return (this._headerList.length > 1);
}

CalemListView.prototype._getVisibleFieldCount =
function(fld) {
	var count=0;
	for (var i in this._headerListMap) {
		count = (this._headerListMap[i]._visible) ? count+1 : count;
	}
	return count;
}

/**
 * Recreate list view to make room for scrollbar
 */
CalemListView.prototype._createListView =
function() {
	//Use a table for the data view layout.
	var el = this.getHtmlElement(); //This element's html element
	el.removeChild(this._listDiv);
	//Replace the listview area with a table
	this._listViewId=Dwt.getNextId();
	this._scrollBarId=Dwt.getNextId();
	var div=document.createElement('div');
	div.innerHTML=
	    ["<table border=0 cellspacing=0 cellpadding=0 class=CalemListViewTable>",
		 "<tr class=CalemListViewTableTr><td class=CalemListViewTableDataTd id=", this._listViewId, "></td>",
		     "<td class=CalemListViewTableScrollBarTd id=", this._scrollBarId, "></td></tr>","</table>"].join('');
	el.appendChild(div);
	//Relink listDiv
	this._listViewEl=document.getElementById(this._listViewId);
	this._listViewEl.appendChild(this._listDiv);
	this._scrollBarEl=document.getElementById(this._scrollBarId);
}
	
// Public functions

/**
 * Functions for ScrollBar to figure out its position
 */
CalemListView.prototype.getListWidth =
function() {
	var bz=Dwt.getSize(this._listDiv);
	return bz.x;
}

CalemListView.prototype.getHeaderHeight =
function() {
	var bz=Dwt.getSize(this._listColDiv);
	return bz.y;
}
 
/**
 * Provide the element for linking in scrollbar
 */
CalemListView.prototype.getScrollBarEl =
function() {
	return this._scrollBarEl;
}

/**
 * Get header list
 */
CalemListView.prototype.getHeaderList =
function() {
	return this._headerList;
} 

/**
 * Navigation functions for list view scrolling.
 */
/**
 * A hack to get the row height to determine how many rows to display
 * in the list view.
 */
CalemListView.prototype.__getHeightByData =
function(pageData) {
	this.set(pageData);
	//the height of the data presented here.
   return this._getBoundsByItem(pageData.get(0));
} 

CalemListView.prototype._getBoundsByItem =
function(item) {
	var el=this._getElFromItem(item);
	return Dwt.getBounds(el);
}

/**
 * Is the last frame of data is in the listView?
 */
CalemListView.prototype.isPageDisplayed =
function(pageData) {
	var rtn=(this._list && pageData.size()==this._list.size());
	if (rtn) {
		for (var i=0; i< pageData.size(); i++) {
			if (pageData.get(i).id != this._list.get(i).id) {
				rtn=false;
				break;
			}
		}
	}
	return rtn;
} 

/**
 * provide view bounds for size estimation.
 */
CalemListView.prototype.__getViewBounds =
function() {
	return Dwt.getBounds(this._listDiv);
}

/**
* Fills the list view with the gien data.
*
* @param list		a DvItemList or a AjxVector of items
*/
CalemListView.prototype.set =
function(list, sort) {
	DwtListView.prototype.set.call(this, list, sort);
}

// Private functions

// Called by DwtListView to draw a row representing a single item.
CalemListView.prototype._createItemHtml =
function(item) {

	var	div = document.createElement("div");
	var base = "Row";
	div._styleClass = base;
	div._selectedStyleClass = [base, DwtCssStyle.SELECTED].join("-");	// Row-selected

	this.associateItemWithElement(item, div, DwtListView.TYPE_LIST_ITEM);
	div.className = div._styleClass;

	var htmlArr = new Array();
	var idx = 0;
	
	// Table
	htmlArr[idx++] = "<table cellpadding=0 cellspacing=0 border=0";
	htmlArr[idx++] = this._noMaximize ? ">" : " width=100%>";
	
	// Row
	htmlArr[idx++] = "<tr id='" + item.id + "'>";
	//Get tableDd
	var tableDd=item.getTableDd();
	
	// Data
	for (var j = 0; j < this._headerList.length; j++) {
		var col = this._headerList[j];
		if (!col._visible)
			continue;
		
		htmlArr[idx++] = "<td";
		// IE misbehaves w/ the box model so we correct ourselves
		var width = AjxEnv.isIE ? (col._width + this._ieWidthPadding) : col._width;
		htmlArr[idx++] = width ? (" width=" + width + ">") : ">";
		// add a div to force clipping (TD's dont obey it)
		htmlArr[idx++] = "<div";
		//A few layout improvement: a) checkbox for boolean; b) numerical right alignment
		htmlArr[idx++] = [" class=CalemListViewCol_", tableDd.getNormalizedType(col._field)].join('');
		htmlArr[idx++] = width ? " style='width: " + width + "'>" : ">";
		//A few layout improvement: a) checkbox for boolean; b) numerical right alignment
		if (tableDd.isBooleanField(col._field)) {
			if (item.getValue(col._field)) {
				htmlArr[idx++]="<input type='checkbox' onclick='this.checked=true' checked>";   
			} else {
				htmlArr[idx++]="<input type='checkbox' onclick='this.checked=false'>";
			}
			htmlArr[idx++] = "</div></td>";
		} else {
			var value = item.getValue(col._field);
			htmlArr[idx++] = value ? value + "</div></td>" : "</div></td>";
		}
	}

	htmlArr[idx++] = "</tr></table>";
	
	div.innerHTML = htmlArr.join("");
	return div;
}

CalemListView.prototype.resetHeight = 
function(newHeight) {
	this.setSize(Dwt.DEFAULT, newHeight);
	Dwt.setSize(this._parentEl, Dwt.DEFAULT, newHeight);
	this._resetColWidth();
}

CalemListView.prototype.setParentTabView = 
function(tabView) {
	this._parentTabView = tabView;
}

/*
CalemListView.prototype._getParentForColResize = 
function() {
	return this._parentTabView;
}
* */

CalemListView.prototype._sortColumn = 
function(columnItem, ascending) {
	this._controller.sortList(columnItem._field, ascending);
}

CalemListView.prototype._getActionMenuForColHeader = 
function() {
	return this._actionMenu;
}

CalemListView.prototype.colActionEvent = 
function(ev) {
	var menuItemId = ev.item.getData(CalemWidget.DATA);
	this._headerListMap[menuItemId]._visible= !this._headerListMap[menuItemId]._visible;
	//Make sure we have a default length if it's just set to visible.
	if (this._headerListMap[menuItemId]._visible) this._setColWidth(menuItemId);
	this._relayout();
}

CalemListView.prototype._setColWidth = 
function(colId) {
	if (this._headerListMap[colId]._width==null) {//Let's get a default width.
		this._headerListMap[colId]._width=this._tableDd.getWidth(colId);
	}
}

/**
 * Mouse wheel handler
 */
CalemListView._mouseWheelHdlr =
function(ev) {
    //To handle various browsers.
	ev=DwtUiEvent.getEvent(ev);
	var listView=DwtUiEvent.getDwtObjFromEvent(ev);
	if (listView && listView instanceof CalemListView) {
		listView.onWheelEvent(ev);
	}
}

CalemListView.prototype.onWheelEvent =
function(event) {
	if (this._controller && this._controller.onWheelEvent) {
		if (event.wheelDelta) { // IE/Opera.
      	delta = event.wheelDelta/120;
         // In Opera 9, delta differs in sign as compared to IE.
         if (window.opera) delta = -delta;
     	} else if (event.detail) { /** Mozilla case. */
         //In Mozilla, sign of delta is different than in IE.
         //Also, delta is multiple of 3.
         delta = -event.detail/3;
     	}
		this._controller.onWheelEvent(delta);
	}
}
 

/**
 CalemListHeaderItem
 */
function CalemListHeaderItem(id, label, iconInfo, width, sortable, resizeable, visible, name) {
	DwtListHeaderItem.call(this, id, label, iconInfo, width, sortable, resizeable, visible, name);
	this._field=id;
}

CalemListHeaderItem.prototype = new DwtListHeaderItem;
CalemListHeaderItem.prototype.constructor = CalemListHeaderItem;

CalemListHeaderItem.prototype.toString = 
function() {
	return "CalemListHeaderItem";
}


/**
 * CalemListViewActionMenu
 */
function CalemListViewActionMenu(parent, className, dialog) {
	if (arguments.length == 0) return;
	className = className || "CalemListViewActionMenu";
	DwtMenu.call(this, parent, DwtMenu.POPUP_STYLE, className, null, dialog);
	this._menuItems = new Object();
}

CalemListViewActionMenu.prototype = new DwtMenu;
CalemListViewActionMenu.prototype.constructor = CalemListViewActionMenu;

CalemListViewActionMenu.prototype.toString = 
function() {
	return "CalemListViewActionMenu";
}

CalemListViewActionMenu.prototype.addSelectionListener =
function(menuItemId, listener) {
	this._menuItems[menuItemId].addSelectionListener(listener);
}

CalemListViewActionMenu.prototype.removeSelectionListener =
function(menuItemId, listener) {
	this._menuItems[menuItemId].removeSelectionListener(listener);
}

CalemListViewActionMenu.prototype.createMenuItem =
function(menuItemId, imageInfo, text, disImageInfo, enabled, style, radioGroupId) {
	var mi = this._menuItems[menuItemId] = new DwtMenuItem(this, style, radioGroupId);
	if (imageInfo)
		mi.setImage(imageInfo);
	if (text)
		mi.setText(text);
	if (disImageInfo)
		mi.setDisabledImage(disImageInfo);
	mi.setEnabled(enabled !== false);
	return mi;
}

CalemListViewActionMenu.prototype.createSeparator =
function() {
	new DwtMenuItem(this, DwtMenuItem.SEPARATOR_STYLE);
}

CalemListViewActionMenu.prototype.removeMe =
function(menuItemId, listener) {
	this.removeSelectionListener(menuItemId, listener);
	this._menuItems[menuItemId].dispose();
	delete this._menuItems[menuItemId];
}

CalemListViewActionMenu.prototype.setChecked =
function(menuItemId, checked) {
	this._menuItems[menuItemId].setChecked(checked, true);
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemFormTabView manages all the forms opened.
 * It's built out of the DwtTabView so CalemFormTabBar can be used instead of DwtTabBar.
 */
function CalemFormTabView(parent, className, positionStyle) {

	if (arguments.length == 0) return;
	var clsName = className || "DwtTabView";
	
	var posStyle = DwtControl.ABSOLUTE_STYLE;
	if ((positionStyle !== void 0) && (positionStyle !== null)){
	    posStyle = positionStyle;
	}
	DwtComposite.call(this, parent, clsName, posStyle);
	this._stateChangeEv = new DwtEvent(true);
	this._tabs = new Array(); 
	this._tabIx = 1;
	this._pageDiv = document.createElement("div");
	this._pageDiv.className = clsName;
	this._pageDiv.style.position = DwtControl.STATIC_STYLE;
	this._tabBar = new CalemFormTabBar(this); //hack to use CalemFormTabBar
	this._createHTML();
	//Use a single listener
	this._tabSelectListener = new AjxListener(this, this._tabButtonListener);
	//form close listener
	this._tabCloseListener = new AjxListener(this, this.onFormClose);
	//moreButton handlers
	this._moreCallback=new AjxCallback(this, this.onMoreButtonClick);
	this._showFormListener=new AjxListener(this, this.onShowForm);
	//Data model
	this._formList=new Array();
	//configuration
	this._conf=CalemConf['desktop_mainView'];
	this._btnStyle=this._conf["fmBtnStyle"];
}

CalemFormTabView.prototype = new DwtTabView;
CalemFormTabView.prototype.constructor = CalemFormTabView;

CalemFormTabView.prototype.toString = 
function() {
	return "CalemFormTabView";
}

/**
 * Main form area change
 */
CalemFormTabView.prototype.onLayoutChange =
function(param) {
	DwtTabView.prototype.setBounds.call(this, param.x, param.y, param.width, param.height);
} 

/**
 * Figure out the offset between pageDiv and the formTabView so
 * the next control can be positioned absolutely.
 */
CalemFormTabView.prototype.getPageAbsOffset = 
function() {
	var loc=this.getLocation();
	var locPage=Dwt.getLocation(this._pageDiv);
	return {x: locPage.x - loc.x, y: locPage.y - loc.y};
}

/**
 * More button handler
 */
CalemFormTabView.prototype.onMoreButtonClick =
function() {
	var menu=new DwtMenu(this._moreBtn);
	for (var i=this._conf.displayTabs; i< this._formList.length; i++) {
		var formItem=this._formList[i];
		var menuItem=DwtMenuItem.create(menu, formItem.getIcon(), formItem.getTitle(),null, true);
		menuItem.setData("formIdx", i);
		menuItem.addSelectionListener(this._showFormListener);
	}
	return menu;
} 

//Whenever more items change this menu should be reset.
CalemFormTabView.prototype._resetMoreMenu =
function() {
	this._moreBtn.setMenu(this._moreCallback);
}

/**
 * This is the work to switch the form
 */
CalemFormTabView.prototype.onShowForm =
function(ev) {
	var idx= (ev && ev.item)? ev.item.getData('formIdx') : null;
	if (!idx) return;
	//Now bring this form to focus
	this._bringFormToFocus(idx);
} 

/**
 * Bring form at idx to focus.
 */
CalemFormTabView.prototype._bringFormToFocus =
function(idx) {
	//Is the current form on focus (so nothing needs to be done).
	if (idx < this._conf.displayTabs) { //So this form is displayable.
		if (idx!=this._currentTabKey) this.switchToTab(idx);
		return;
	}
	var formItem= this._formList[idx];
	this._formList.splice(idx, 1);
	//Make room for the hidden formItem
	this._rightShiftForm(this._conf.displayTabs-1);
	this._replaceFormAt(this._conf.displayTabs-1, formItem);
   //Reset menu list
   this._resetMoreMenu();
   //Switch to active tab
	this.switchToTab(this._conf.displayTabs-1);
}

/**
 * Provide view page state management so it knows when to refresh the screen.
 */
CalemFormTabView.prototype.switchToTab =
function(tabKey) {
	//Do a workaround at this step 
	CalemContext.getInstance().doFf167801();
	for (var i=0; i< this._tabs.length; i++) {
		if (i==tabKey) continue;
		this._formList[i].getViewHolder().setHideState();
	}
	DwtTabView.prototype.switchToTab.call(this, tabKey);
} 

/**
 * Get current form
 */
CalemFormTabView.prototype.getCurrentForm =
function() {
	return this._formList.length > 0 ? this._formList[this.getCurrentTab()] : null;
} 

/**
 * Close currently active form tab async to avoid script not responding error.
 */
CalemFormTabView.prototype.closeCurrentForm =
function(formAction) {
	//Close it async
	var at=new AjxTimedAction(this, this._closeCurrentForm, {tabKey: this.getCurrentTab(), action: formAction});
	AjxTimedAction.scheduleAction(at, 100); //Do it right now.
}

CalemFormTabView.prototype._closeCurrentForm =
function(param) {
	this._onFormClose(param, true);
}

/**
 * When a form is closed
 */
CalemFormTabView.prototype.onFormClose =
function(ev) {
	//Give the form a chance to close before losing data.
	var tabKey=ev.item.getData("tabKey");
	var callback=new AjxCallback(this, this._onFormClose, {tabKey: tabKey});
   this._formList[tabKey].canClose(callback);
}

CalemFormTabView.prototype._onFormClose =
function(param, canClose) {		
	if (!canClose) return; //Form requests not to close.
	tabKey=param.tabKey;
	//Let's check for were we're with the tabs
	//a) moreButton not displayed - simple; b) moreButton displayed and can be removed; c) moreButton continue to display.
	if (this._formList.length <= this._conf.displayTabs) {//Just remove the entry we're fine.
		this._removeForm(tabKey);
		if (tabKey >= this._tabs.length) tabKey--; //Only when it's the last one.
	} 
	//More button is displayed.
	else {
		var removeMoreBtn= (this._formList.length == this._conf.displayTabs + 1);
		this._leftShiftDeleteForm(tabKey);
		if (removeMoreBtn) {//let's remove more button.
			this._removeMoreButton();
		} else {
			this._resetMoreMenu();
		}
	} 
	if (this._tabs.length>0) {
		this.switchToTab(tabKey);
	}
	//Check for form action
	this._onFormAction(param.action);
}

CalemFormTabView.prototype._onFormAction =
function(fmAction) {
	if (fmAction) {
		fmAction.onAction();
	}
}

CalemFormTabView.prototype._removeTab =
function(tabKey) {
	//Delete from tabs
	var obj=this._tabs[tabKey];
	this._tabs.splice(tabKey, 1);
	delete obj;
}

/**
 * Open form function
 */
CalemFormTabView.prototype.openForm = 
function(fmId, data) {
	var rtn=false;
	var idx=this._getReplacementByData(fmId, data);
	if (typeof(idx)!= 'undefined') {
		//Move form to the data spot.
		if (data) { //Wait for data to be ready.
			this._formList[idx].openAt(data, new AjxCallback(this, this._onOpenAt, {idx: idx}));
		} else {
			this._bringFormToFocus(idx);
		}
		return this._formList[idx];
	}
	var controllerId=CalemViewUtil.getFormControllerById(fmId);
	var form=eval(['new ', controllerId, '(this, fmId, data)'].join(''));
	//Create a view holder for the controller.
	var viewHolder=this._createViewHolder();
	viewHolder.addController(form);
	this._addForm(form);
	return form;
}

//Move to callback.
CalemFormTabView.prototype._onOpenAt =
function(param) {
	this._bringFormToFocus(param.idx);
}

CalemFormTabView.prototype._createViewHolder =
function(controller) {
	var impl= CalemConf['desktop_mainView']['form']['viewHolder'];
	return eval(['new ', impl, '(this)'].join(''));
}

/**
* Adding a new form to the tab view.
* @param itemDef - item definition
* @param data - data for the item
**/
CalemFormTabView.prototype._addForm =
function (formItem) {
	//A few items to consider here: a) can just display the form; b) has to replace and add more; c) just replace.
	if (this._tabs.length < this._conf.displayTabs) {//We can just add it and display.
	   var idx=this._tabs.length;
	   this._formList[idx]=formItem;
		this._addFormToTab(idx, true);
	} else {//Shift tabs upward and make room for the new form.
		this._rightShiftForm(this._conf.displayTabs-1);
		this._replaceFormAt(this._conf.displayTabs-1, formItem);
		//Add more button.
		if (this._tabs.length == this._conf.displayTabs) {
	   	this._addMoreButton();
	   }
	   //Reset menu list
	   this._resetMoreMenu();
	   //Switch to active tab
		this.switchToTab(this._conf.displayTabs-1);
	} 
}

//Move all the items up a slot
CalemFormTabView.prototype._rightShiftForm =
function(idx) {
	for (var i=this._formList.length; i > idx; i--) {
		this._formList[i]=this._formList[i-1];
	}
}

CalemFormTabView.prototype._leftShiftDeleteForm =
function(tabKey) {
	//Remove the view first.
	this._removeTabPage(tabKey);
	var oldFormItem=this._formList[tabKey];
	for (var i=tabKey+1; i< this._formList.length; i++) {
		var formItem=this._formList[i];
		this._formList[i-1]=formItem;
		if (i <= this._conf.displayTabs) {
			var tabView= formItem.getTabPageView();
			//Adding new view to the tabView
			if (i==this._conf.displayTabs) {
				var el=tabView.getHtmlElement()? tabView.getHtmlElement() : tabView._removedEl;
				this._pageDiv.appendChild(el);
			}
			this._tabs[i-1]['view']=tabView;
			this._tabs[i-1]['title']=formItem.getTitle();
			this._tabBar.replaceTabBtn(i-1, formItem.getIcon(), formItem.getTitle());
		}
	}
	this._formList.splice(this._formList.length-1, 1); //Remove the last item
	this._removeFormItemData(oldFormItem);
}

CalemFormTabView.prototype._replaceFormAt =
function(idx, formItem) {
	//Data exchange
	var oldFormItem=this._formList[idx];
	var oldView=oldFormItem.getTabPageView();
	var newView=formItem.getTabPageView();
	this._formList[idx]=formItem;
	this._tabs[idx]['view']=newView;
	this._tabs[idx]["title"] = formItem.getTitle();
	//replace the tab pages
	this._replaceTabPage(newView, oldView);
	//Need to replace the tabBar
	this._tabBar.replaceTabBtn(idx, formItem.getIcon(), formItem.getTitle());
}

/**
 * Tabpage removal and swap.
 */
CalemFormTabView.prototype._removeTabPage =
function(idx) {
	var el= this._tabs[idx]['view'].getHtmlElement();
	el.parentNode.removeChild(el);
}

CalemFormTabView.prototype._replaceTabPage =
function(newView, oldView) {
	var oldEl= oldView.getHtmlElement() || oldView._removedEl;
	var newEl= newView.getHtmlElement() || newView._removedEl;
	oldEl.parentNode.replaceChild(newEl, oldEl);
	//Preserve the el here.
	oldView._removedEl = oldEl;
}

/**
 * Upon form close
 */
CalemFormTabView.prototype._removeForm =
function(tabKey) {
	//Remove tabs
	this._removeTab(tabKey);
	//remove formItem
	this._removeFormItem(tabKey);
	//Remove from tabBar
	this._tabBar.removeButton(tabKey);
}

CalemFormTabView.prototype._removeFormItem =
function(tabKey) {
	//Delete form data 
	var formItem=this._formList[tabKey];
	this._formList.splice(tabKey, 1);
	this._removeFormItemData(formItem);
}

CalemFormTabView.prototype._removeFormItemData =
function(formItem) {
	//clean up the form item including remove all listeners to external components
	formItem.shutdown();
	//delete the control.
	var view=formItem.getTabPageView();
	//Release the view which will be removed from parent div by <code>dispose</code>.
	view.dispose();
	//Delete formItem object
	delete formItem;
}

/**
 * Adding a form to the tab.
 */
CalemFormTabView.prototype._addFormToTab =
function(tabKey, activate) {
	var formItem=this._formList[tabKey];
	//Configure the data to be displayed at the spot.
	var title=formItem.getTitle();
	if (!this._tabs[tabKey]) this._tabs[tabKey] = new Object(); //May reuse the object
	this._tabs[tabKey]["title"] = title;
	this._tabs[tabKey]["button"]= this._tabBar.addFormButton(tabKey, formItem.getIcon(), title, this._btnStyle, 
		CalemMsg.getMsg(this._conf["closeBtn"]["title"]), this._conf['closeBtn']['icon'], 
		this._conf['closeBtn']['hoverIcon'], this._tabSelectListener, this._tabCloseListener);
	//add the page 
	var tabView= formItem.getTabPageView();
	this._tabs[tabKey]["view"] = tabView;
	this._pageDiv.appendChild(tabView.getHtmlElement());
	tabView._tabKey = tabKey;	
	if (activate) this.switchToTab(tabKey);			
	return tabKey;
}

/**
 * Adding a more button.
 */
CalemFormTabView.prototype._addMoreButton =
function() {
	var tabKey=this._conf.displayTabs;
	var title=CalemMsg.getMsg(this._conf["moreTab"]['title']);
	this._tabs[tabKey]=new Object();
	this._tabs[tabKey]["title"] = title;
	this._moreBtn=this._tabs[tabKey]["button"]= this._tabBar.addMoreButton(tabKey, this._conf['moreTab']['icon'], 
			this._conf['moreTab']['hoverIcon'], title, this._btnStyle, this._moreCallback);
	//add the page 
	this._tabs[tabKey]["view"] = null;	
}

CalemFormTabView.prototype._removeMoreButton =
function() {
	var tabKey=this._conf.displayTabs;
	this._removeTab(tabKey);
	this._tabBar.removeMoreButton(tabKey);
}

/**
 * Is this form with the same data on display already?
 */
CalemFormTabView.prototype._getReplacementByData =
function(id, data) {
	var repIdx;
	var idx;
	for (var i=0; i< this._formList.length; i++) {
		if (this._formList[i].getId() == id) {
			idx=i;
			break;
		}
	}
	if (typeof(idx) == 'undefined') return repIdx; //
	var currFormItem=this._formList[idx];
	//Do we need to replace?
	if (currFormItem.isReplaceById()) {
		repIdx=idx;
	} else if (currFormItem.isReplaceByIdData()) {
		var id= data ? data.getId() : null;
		var id2=currFormItem.getData() ? currFormItem.getData().getId() : null;
		if (id && id2 && id==id2) {
			repIdx=idx;
		}
	}
	return repIdx;
}

/**
 * CalemFormTabViewPage
 * This is the entry view for every form item.
 */
function CalemFormTabViewPage(parent) {
	if (arguments.length==0) return;
   DwtTabViewPage.call(this, parent);
}

CalemFormTabViewPage.prototype = new DwtTabViewPage;
CalemFormTabViewPage.prototype.constructor = CalemFormTabViewPage;

CalemFormTabViewPage.prototype.toString =  function() { return "CalemFormTabViewPage"; }

CalemFormTabViewPage.prototype.showMe =
function() {
	this.setZIndex(DwtTabView.Z_ACTIVE_TAB);
	this._resetSizeWithMargin();
}

CalemFormTabViewPage.prototype.resetSize = 
function(newWidth, newHeight) {
	this.setSize(newWidth, newHeight);
	this._resetSizeWithMargin();
}

/**
 * Modified not to rely on 80 as a fixed margin. Added a function to figure this out from
 * the layout.
 */
CalemFormTabViewPage.prototype._resetSizeWithMargin = 
function() {
	/*
	if (CalemDebug.isDebug()) {
		var bz=Dwt.getBounds(this.getHtmlElement());
		CalemDebug.printBounds('CalemFormTabViewPage resetSize bz', bz);
	}
	*/
	var mConf=CalemConf['view_engine']['tabPage'];
	var yTop=mConf['yMargin']['top'];
	var yBottom=mConf['yMargin']['bottom'];
	var xLeft=mConf['xMargin']['left'];
	var xRight=mConf['xMargin']['right'];
	var margin=this.parent.getPageAbsOffset();
	var hMargin=margin.y+yTop+yBottom;
	var xMargin=xLeft+xRight;
	//Use utility to do so
	var sz=Dwt.getSize(this.parent.getHtmlElement());
	var width = (sz.x > xMargin) ? sz.x - xMargin: sz.x;
	var height= (sz.y > hMargin) ? sz.y - hMargin : sz.y;
	this.setSize(width, height);
	//Let's also configure the location of the page
	this.setLocation(xLeft, yTop+margin.y);
	/*
	if (CalemDebug.isDebug()) {
		var bz=Dwt.getBounds(this.getHtmlElement());
		CalemDebug.printBounds('CalemFormTabViewPage resetSize done bz', bz);
	}
	*/
}


/**
 * CalemFormTabBar
 * This is the tab bar for all forms opened. The last element is a "more" button.
 */
function CalemFormTabBar(parent, tabCssClass, btnCssClass) {
	DwtTabBar.call(this, parent, tabCssClass, btnCssClass);
	this._rButtons = new Array();
	this._activeTabListener = new AjxListener(this, DwtTabBar._setActiveTab); //This should be DwtTabBar.prototype....
} 

CalemFormTabBar.prototype = new DwtTabBar;
CalemFormTabBar.prototype.constructor = CalemFormTabBar;

CalemFormTabBar.prototype.toString = 
function() {
	return "CalemFormTabBar";
}

/**
 * Replace a button with name and icon
 */
CalemFormTabBar.prototype.replaceTabBtn =
function(tabKey, icon, title) {
	this._buttons[tabKey].setImage(icon);
	this._buttons[tabKey].setText(title);
} 

/**
 * Button and right close button
 */
CalemFormTabBar.prototype.addFormButton =
function(tabKey, icon, title, style, rbTitle, rbImage, rbHoverImage, listener, rbListener) {
	style=style || (DwtLabel.IMAGE_LEFT | DwtLabel.ALIGN_LEFT);
	//Count how many items to display in the tab button.
	count= (icon||title) ? 1 : 0;
	count=rbTitle? (count+1) : count;
	//Create the container button
	var tb = this._tbuttons[tabKey] = new CalemFormTabButton(this, count);
	tb.setTabKey(tabKey);
	//Hack to get rid of the single pixel offset
	this._removePadding(tb);
	//
	var b = this._buttons[tabKey] = new DwtButton(tb, style, this._btnStyle, DwtControl.RELATIVE_STYLE);
	var rb;
	if (rbTitle) {
		rb= this._rButtons[tabKey]= new DwtButton(tb, style, this._btnStyle, DwtControl.RELATIVE_STYLE);
		rb.setToolTipContent(rbTitle);
		rb.setImage(rbImage);
		rb.setHoverImage(rbHoverImage);
		rb.setEnabledImage(rbImage); //for mouse out again.
		rb.setData('tabKey', tabKey);
		this._workaround(rb);
		this._rButtons[tabKey].addSelectionListener(rbListener);
	}
	
	// HACK: This is to get around resetting of button className during hover.
	this._workaround(b);
	//Set up listener.
	this._addSelectionListener(tabKey, listener);
	//Provide image and text.
	if (icon) {
		b.setImage(icon);
	} else if (this._btnImage != null) {
		b.setImage(this._btnImage);
	}
	if (title) b.setText(title);
	b.setEnabled(true);
	b.setData("tabKey", tabKey);

	/** this is not performed.
	if(parseInt(tabKey) == 1)
		tb.setOpen();
	**/
	return b;
}

CalemFormTabBar.prototype.addMoreButton =
function(tabKey, icon, hoverIcon, title, style, callback) {
	style=style || (DwtLabel.IMAGE_LEFT | DwtLabel.ALIGN_LEFT);
	//Create the container button
	var tb = this._tbuttons[tabKey] = new CalemFormTabButton(this, 1);
	var b = this._buttons[tabKey] = new DwtButton(tb, style, this._btnStyle, DwtControl.RELATIVE_STYLE);
	//Hack to get rid of the single pixel offset
	this._removePadding(tb);
	// HACK: This is to get around resetting of button className during hover.
	this._workaround(b);
	//Provide list of forms opened.
	b.setMenu(callback); //This is a drop down menu.
	//Provide image and text.
	if (icon) {
		b.setImage(icon);
	} 
	if (hoverIcon) {
		b.setHoverImage(hoverIcon);
	}
	if (title) {
		b.setText(title);
	}
	b.setEnabled(true);
	return b;
}

// Workaround to get rid of the padding

CalemFormTabBar.prototype._removePadding =
function(tb) {
	var tbEl=tb.getHtmlElement();
	if (tbEl.parentNode && tbEl.parentNode.style) {
		tbEl.parentNode.style.width="0px";
	}
}

// HACK: This is to get around resetting of button className during hover.
CalemFormTabBar.prototype._workaround =
function(b) {
	var be = b.getHtmlElement();
	be.style.position = "relative";
	be.style.top = "-3px";
}	

/**
 * remove button
 */
CalemFormTabBar.prototype.removeButton =
function(tabKey) {
	this._removeButton(tabKey);
	for (var i=tabKey; i< this._tbuttons.length; i++) {
		btn=this._tbuttons[i];
		btn.setTabKey(i);
		if (this._buttons[i])  this._buttons[i].setData("tabKey", i);
		if (this._rButtons[i]) this._rButtons[i].setData('tabKey', i);
	}
} 

CalemFormTabBar.prototype.removeMoreButton =
function(tabKey) {
	this._removeButton(tabKey);
} 

CalemFormTabBar.prototype._removeButton =
function(tabKey) {
	var btn=this._tbuttons[tabKey];
	this._tbuttons.splice(tabKey, 1);
	if (this._buttons[tabKey]) {
		this._buttons.splice(tabKey, 1);
	}
	if (this._rButtons[tabKey]) {
		this._rButtons[tabKey].setToolTipContent(null);
		this._rButtons.splice(tabKey, 1);
	}
	//Now remove the button from the toolbar
	btn.dispose();
}

/**
* @param tabId - the id used to create tab button in @link DwtTabBar.addButton method
* @param listener - AjxListener
**/
CalemFormTabBar.prototype._addSelectionListener =
function(tabKey, listener) {
	this._buttons[tabKey].addSelectionListener(listener);	
	this._tbuttons[tabKey].addListener(DwtEvent.ONMOUSEUP, listener);
	//Also add active tab listener
	this._buttons[tabKey].addSelectionListener(this._activeTabListener);
	this._tbuttons[tabKey].addListener(DwtEvent.ONMOUSEUP, this._activeTabListener);
}

/**
 * CalemFormTabButton - support both the tab button and right button.
 * 
 * @see DwtTabButton
 */
function CalemFormTabButton(parent, cellCount) {
	this._cellCount=cellCount;
	this._topCell=new Array();
	this._middleCell=new Array();
	this._bottomCell=new Array();
	this._topDiv=new Array();
	this._bottomDiv=new Array();
	this._cellIndex=0;
	DwtTabButton.call(this, parent);
}

CalemFormTabButton.prototype = new DwtTabButton;
CalemFormTabButton.prototype.constructor = CalemFormTabButton;

CalemFormTabButton.prototype.toString = 
function() {
	return "CalemFormTabButton";
}

/**
 * Overwrite _createHtml to add a right button.
 */
CalemFormTabButton.prototype._createHtml = 
function() {
	this.table = document.createElement("table");
	this.table.border = this.table.cellPadding = this.table.cellSpacing = 0;
	this.table.align = "center";
	this.table.width = "100%";

	this._topRow = this.table.insertRow(-1);
	this._middleRow = this.table.insertRow(-1);
	this._bottomRow = this.table.insertRow(-1);	

	this._leftTopCell = this._topRow.insertCell(-1);
	this._createCells(this._topCell, this._topRow);
	this._rightTopCell = this._topRow.insertCell(-1);

	this._leftMiddleCell = this._middleRow.insertCell(-1);
	this._createCells(this._middleCell, this._middleRow);
	this._rightMiddleCell = this._middleRow.insertCell(-1);

	this._leftBottomCell = this._bottomRow.insertCell(-1);
	this._createCells(this._bottomCell, this._bottomRow);
	this._rightBottomCell = this._bottomRow.insertCell(-1);

	this._leftTopCell.className = "DwtTabButtonTL";
	this._setCells(this._topCell, "className", "DwtTabButtonTM");
	this._rightTopCell.className = "DwtTabButtonTR";

	this._leftBottomCell.className = "DwtTabButtonBL";
	this._setCells(this._bottomCell, "className", "DwtTabButtonTM");
	this._rightBottomCell.className = "DwtTabButtonBR";
	//Top
	this.leftTopImg = document.createElement("div");
	this._createDivs(this._topDiv);
	this.rightTopImg = document.createElement("div");
	AjxImg.setImage(this.leftTopImg, "Tab_TL", null, true);
	this._setImages(this._topDiv, "Tab_T__H", AjxImg.HORIZ_BORDER, true); 
	AjxImg.setImage(this.rightTopImg, "Tab_TR", null, true);
	this._leftTopCell.appendChild(this.leftTopImg);
	this._appendDivs(this._topCell, this._topDiv);
	this._rightTopCell.appendChild(this.rightTopImg);
   //Middle row is a direct set.
	AjxImg.setImage(this._leftMiddleCell, "Tab_L__V", AjxImg.VERT_BORDER, true);
	this._setImages(this._middleCell, "Tab__BG", AjxImg.BACKGROUND, true);
	AjxImg.setImage(this._rightMiddleCell, "Tab_R__V", AjxImg.VERT_BORDER, true);
	//Bottom
	this.leftBottomImg = document.createElement("div");
	this._createDivs(this._bottomDiv);
	this.rightBottomImg = document.createElement("div");
	AjxImg.setImage(this.leftBottomImg, "Tab_BL", null, true);
	this._setImages(this._bottomDiv, "Tab_B__H", AjxImg.HORIZ_BORDER, true);
	AjxImg.setImage(this.rightBottomImg, "Tab_BR", null, true);
	this._leftBottomCell.appendChild(this.leftBottomImg);
	this._appendDivs(this._bottomCell, this._bottomDiv);
	this._rightBottomCell.appendChild(this.rightBottomImg);

	this.getHtmlElement().appendChild(this.table);
	this.table.className = this._inactiveClassName;
};

CalemFormTabButton.prototype.setTabKey =
function(tabKey) {
	//Make sure we set the tabKey if needed.
	this.table.setAttribute("tabKey", tabKey);
	this._leftMiddleCell.setAttribute("tabKey", tabKey);
	this._rightMiddleCell.setAttribute("tabKey", tabKey);
	this.leftTopImg.setAttribute("tabKey", tabKey);
	this.rightTopImg.setAttribute("tabKey", tabKey);		
	this._bottomRow.setAttribute("tabKey", tabKey);
}

/**
 * Helper functions for the center cells
 */
CalemFormTabButton.prototype._createCells =
function(cells, row) {
	for (var i=0; i< this._cellCount; i++) {
		cells.push(row.insertCell(-1));
	}
}

CalemFormTabButton.prototype._setCells =
function(cells, prop, value) {
	for (var i=0; i< this._cellCount; i++) {
		cells[i][prop]=value;
	}
}

CalemFormTabButton.prototype._createDivs =
function(divs) {
	for (var i=0; i< this._cellCount; i++) {
		divs.push(document.createElement("div"));
	}
}

CalemFormTabButton.prototype._setImages = 
function(divs, imageName, style, useParentEl) {
	for (var i=0; i< this._cellCount; i++) {
		AjxImg.setImage(divs[i], imageName, style, useParentEl);
	}
} 

CalemFormTabButton.prototype._appendDivs =
function(cells, divs) {
	for (var i=0; i< this._cellCount; i++) {
		cells[i].appendChild(divs[i]);
	}
}


/**
* @param child
* DwtComposite.addChild method is overriden to to create tab switch graphics
**/
CalemFormTabButton.prototype.addChild = 
function(child) {
	// This is a hack to support two butons- the buttons must be added in the order of button and right button. 
	this._middleCell[this._cellIndex].appendChild(child.getHtmlElement());
	this._cellIndex++;
	child.addListener(DwtEvent.ONMOUSEOVER, this._mouseOverListener);
	child.addListener(DwtEvent.ONMOUSEOUT, this._mouseOutListener);
};

CalemFormTabButton.prototype.setTabImageState = 
function(imagePrefix) {
	//Top row
	AjxImg.setImage(this.leftTopImg, imagePrefix + "_TL", null, true);
	this._setImages(this._topDiv, imagePrefix + "_T__H", AjxImg.HORIZ_BORDER, true);
	AjxImg.setImage(this.rightTopImg, imagePrefix + "_TR", null, true);
	//Middle row
	AjxImg.setImage(this._leftMiddleCell, imagePrefix + "_L__V", AjxImg.VERT_BORDER, true);
	this._setImages(this._middleCell, imagePrefix + "__BG", AjxImg.BACKGROUND, true);
	AjxImg.setImage(this._rightMiddleCell, imagePrefix + "_R__V", AjxImg.VERT_BORDER, true);
	//Bottom row
	AjxImg.setImage(this.leftBottomImg, imagePrefix + "_BL", null, true);
	this._setImages(this._bottomDiv, imagePrefix + "_B__H", AjxImg.HORIZ_BORDER, true);
	AjxImg.setImage(this.rightBottomImg, imagePrefix + "_BR", null, true);
};
 
	
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
/**
 * CalemScrollBar
 * The scroll bar includes up and down buttons, scroll slider and 
 * the scroll background.
 * 
 */
function CalemScrollBar(parent, className, posStyle) {
	if (arguments.length == 0) return;
	className = className || "CalemScrollBar";
	posStyle = posStyle || DwtControl.ABSOLUTE_STYLE;
	DwtComposite.call(this, parent, className, posStyle);
	//Data bound action
	this._onDataScrollAction = new AjxTimedAction(this, this.onDataScroll);
	//Slider
	this._scrollSlider=new CalemScrollSlider(parent); //do not use 'this' since div is to be reset.
	this._scrollSlider.registerCallback(this.onSliderMoveEvent, this);
	//Up button
	this._onUpButtonListener = new AjxListener(this, this.onUpButtonScrollEvent);
	this._upBtn=new CalemScrollButton(parent, 'CalemScrollButtonUp');
	this._upBtn.init(this._onUpButtonListener);
	//Down button
	this._onDownButtonListener = new AjxListener(this, this.onDownButtonScrollEvent);
	this._downBtn=new CalemScrollButton(parent, 'CalemScrollButtonDown');
	this._downBtn.init(this._onDownButtonListener);
	//Event listener for down click.
	this._setEventHdlrs([DwtEvent.ONMOUSEDOWN]);
	this._onMouseDownListener = new AjxListener(this, this.onMouseDownEvent);
	this.addListener(DwtEvent.ONMOUSEDOWN, this._onMouseDownListener);
	//Now creating the scroll bar
	this._createScrollBar();	
	//Get the conf
	this._conf=CalemConf['widget_scrollbar'];
}

CalemScrollBar.prototype = new DwtComposite;
CalemScrollBar.prototype.constructor = CalemScrollBar;

CalemScrollBar.prototype.toString = 
function() {
	return "CalemScrollBar";
}

CalemScrollBar.prototype._createScrollBar =
function() {
	//Allocating Ids
   this._upBtnId=Dwt.getNextId();
   this._downBtnId=Dwt.getNextId();
   this._trackId=Dwt.getNextId();
   //Set up html element
   var htmlElement = this.getHtmlElement();
   htmlElement.innerHTML = 
   	["<table border=0 cellspacing=0 cellpadding=0 class=CalemScrollBarTable>",
		 "<tr><td><div id=", this._upBtnId, "></div></td></tr>",
		 "<tr style='height:100%'><td id=", this._trackId, "></td></tr>",
		 "<tr><td><div id=", this._downBtnId, "></div></td></tr>",
		 "</table>"].join('');	
	//Getting html elements
	this._upBtnEl=document.getElementById(this._upBtnId);
	this._upBtnEl.appendChild(this._upBtn.getHtmlElement());
	this._downBtnEl=document.getElementById(this._downBtnId);
	this._downBtnEl.appendChild(this._downBtn.getHtmlElement());
	this._trackEl=document.getElementById(this._trackId);	
	this._trackEl.appendChild(this._scrollSlider.getHtmlElement()); //This is to prevent zooming to change position.
}

/**
 * External events to trigger UI changes
 * @param start - current record position
 * @param dataSize - total data rows
 * @param viewSize - data rows to show in list view
 * 
 */
 
/** Init the scrollbar */ 
CalemScrollBar.prototype.init =
function(start, dataSize, viewSize, controller) {
	this._start=start;
	this._dataSize=dataSize;
	this._viewSize=viewSize;
	this._controller=controller;
	this.__onLayoutChange(); //Set layout once.
	this._initUom();
}

/**
 * view size change
 */
CalemScrollBar.prototype.onViewSizeChange =
function(viewSize) {
	this._viewSize=viewSize;
} 

/**
 * External events to trigger UI changes
 */
CalemScrollBar.prototype.onDataChange =
function(dataSize) {
	this._dataSize=dataSize;
}

/**
 * External events to trigger UI changes
 */
CalemScrollBar.prototype.onDataRefresh =
function() {
	this._start=0;
}

/**
 * This is to resume grid after coming out of a hosted state.
 */
CalemScrollBar.prototype.resumeView =
function() {
	//check for start over data size issue.
	if (this._viewSize>=this._dataSize) {
		this._start=0;
	} else if (this._start >=this._dataSize) {
		this._start=this._dataSize-this._viewSize; //reset to start from last one.
	}
	this._initUom();
	this.onDataScroll();
}

/*
 * This can be determined dynamically but for now let's assume simple
 * cases for listView use only.
 */
CalemScrollBar.prototype.setParentEl =
function(el, grid) {
	//use container el to figure out the offset.
	this._pEl=el;
	el.appendChild(this.getHtmlElement());
	this._grid=grid;
}

/**
 * Provide current state of the scrollBar
 */
CalemScrollBar.prototype.getState =
function() {
	return {start: this._start, viewSize: this._viewSize, dataSize: this._dataSize};
}

CalemScrollBar.prototype.resetState =
function(state) {
	this._start=state.start;
	this._dataSize=state.dataSize;
	this._viewSize=state.viewSize;
	this._initUom();
}

CalemScrollBar.prototype.__onLayoutChange =
function() {
	//figure out how to position the scrollbar.
	var bz=Dwt.getBounds(this._pEl);
    if (CalemDebug.isDebug()) CalemDebug.printBounds('scrollBar parentEl', bz);
	var x=this._grid.getListWidth();
	var y=this._grid.getHeaderHeight();
	var offset=0;
	var width=bz.width;
	if (bz.width<=0) { //Workaround for Firfox. Fixed layout is not fixing it in FF.
		offset=CalemConf["widget_scrollbar"]['width'];
		width=offset; 
	}
	if (CalemDebug.isDebug()) CalemDebug.debug("scrollBar's offset="+offset+", width="+width);
	this._bz={x:x-offset, y: y, width: width, height: bz.height};
	this.setBounds(this._bz.x, this._bz.y, this._bz.width, this._bz.height);
	if (CalemDebug.isDebug()) CalemDebug.printBounds("scrollBar's bounds", this._bz);
	this._disableIt();
}

CalemScrollBar.prototype._disableIt =
function() {
	var rtn=false;
	if (!this._dataSize || this._dataSize==0 || this._dataSize <= this._viewSize) {
		this._scrollSlider.setVisible(false);
		this._upBtn.setEnabled(false);
		this._downBtn.setEnabled(false);
		rtn=true;
	}
	return rtn;
}

/**
 * Conversion calculation
 */
CalemScrollBar.prototype._initUom =
function() {
	if (this._disableIt()) return;
	else {
		this._upBtn.setEnabled(true);
		this._downBtn.setEnabled(true);
		this._scrollSlider.setVisible(true); //Enable scroll slider so we can get its bounds.
	}
	this._bzTrack=Dwt.getBounds(this._trackEl);
	var h= Math.floor(this._viewSize * this._bzTrack.height / this._dataSize);	
	this._scrollSlider.adjustSize(this._bzTrack.width, h);		
	var bz=Dwt.getBounds(this._scrollSlider.getHtmlElement());	
	this._sliderH = bz.height; //In case minimum height is not realized.
	//Now calculate rop (data row over pixel measure) and por (pixel over data row)
	var range = (this._bzTrack.height - this._sliderH);
	if (range<0) {
		this._scrollSlider.setVisible(false);
	} else {
		this._scrollSlider.setVisible(true);
		range= range>0 ? range : 0;
		this._rop =  range<=0 ? 0 : (this._dataSize/range);
		this._por =  range  / this._dataSize;
		var bzUpBtn=this._upBtn.getBounds();
		this._yOffset=bzUpBtn.height;
		this._redrawSlider();
	}
}	

/**
 * UI layout
 */
CalemScrollBar.prototype._redrawSlider =
function() {
	if (!this._scrollSlider.getVisible()) return;
	var y= Math.floor((this._start) * this._por);
	this._sliderY=y;
	this._scrollSlider.setLocation(0, this._yOffset+y);
}

/**
 * Listeners
 */
CalemScrollBar.prototype.onSliderMoveEvent =
function(delta) {
	//Boundary conditions to stop the movement.
	var y= this._sliderY + delta;
	if (delta > 0) {
		if (this._sliderY + this._sliderH >= this._bzTrack.height) return 0;
		if (y + this._sliderH > this._bzTrack.height) {
			y=this._bzTrack.height - this._sliderH;
		   delta= y - this._sliderY;
		}
	} else if (delta < 0) {
		if (this._sliderY <= 0) return 0;
		if (y < 0) {
			y=0; 
			delta= -this._sliderY;
		}
	}
	this._sliderY =y;
	this._start=Math.floor(this._rop * y);
	//Boundary check.
	if (this._start < 1) {
		this._start=0;
	} else if (this._start > this._dataSize) {
		this._start=this._dataSize -1;
	}
	AjxTimedAction.scheduleAction(this._onDataScrollAction, this._conf['dataScrollDelay']);
	return delta;
} 

CalemScrollBar.prototype.onUpButtonScrollEvent =
function() {
	if (this._start==0) return; //No action
	this._start--;
	this._redrawSlider();
	AjxTimedAction.scheduleAction(this._onDataScrollAction, this._conf['dataScrollDelay']);
}	
	
CalemScrollBar.prototype.onDownButtonScrollEvent =
function() {
	if (this._start==this._dataSize-1) return; //No action
	this._start++;
	this._redrawSlider();
	AjxTimedAction.scheduleAction(this._onDataScrollAction, this._conf['dataScrollDelay']);
}	

/**
 * Wheel scroll event
 */
CalemScrollBar.prototype.scrollByWheel =
function(delta) {
	if (!this._scrollSlider.getVisible()) return; //No scrollSlider.
	//Cannot scroll anymore.
	if ( (this._start==0 && delta > 0) || (this._start==(this._dataSize-1) && delta < 0) ) return;
	if (delta > 0) {
   	this._start -= delta;
   	if (this._start<1) this._start=0;
   } else {
   	this._start -= delta;
   	if (this._start>this._dataSize-1) this._start=this._dataSize-1;
   }   
   this._redrawSlider(); //change UI properly.
   AjxTimedAction.scheduleAction(this._onDataScrollAction, this._conf['dataScrollDelay']);
}

CalemScrollBar.prototype.onMouseDownEvent =
function(ev) {
	if (!this._scrollSlider.getVisible()) return; //No scrollSlider.
	if ( (!ev.elementY)
       || (this._start==0 && ev.elementY <= this._sliderY)
       || (this._start==(this._dataSize-1) && ev.elementY>=this._sliderY) ) return;
   if (ev.elementY < this._sliderY) {
   	this._start -= this._viewSize;
   	if (this._start<1) this._start=0;
   } else {
   	this._start += this._viewSize;
   	if (this._start>this._dataSize-1) this._start=this._dataSize-1;
   }   
   this._redrawSlider(); //change UI properly.
   AjxTimedAction.scheduleAction(this._onDataScrollAction, this._conf['dataScrollDelay']);
}	

CalemScrollBar.prototype.onDataScroll =
function() {
	if (CalemDebug.isDebug()) CalemDebug.debug("on data scroll: _start="+this._start+", view="+this._viewSize+", dataSize="+this._dataSize);
	this._controller.scrollTo(this._start, this._viewSize, this._dataSize);
}	 

/**
 * CalemScrollSlider
 * The slider can be dragged up and down like a sash.
 * 
 */ 
function CalemScrollSlider(parent, style, className, threshold, posStyle) {
	if (arguments.length == 0) return;
	//Bypass sash constructor
	this._className = className ? className : "CalemScrollSlider";
	posStyle = posStyle ? posStyle : DwtControl.ABSOLUTE_STYLE; //Must be absolute for movement control.
	//Bypass DwtSash's constructor
	DwtControl.call(this, parent, this._className, posStyle);
	//Threshold
	this._threshold = (threshold > 0) ? threshold : 1;
	//Creating the scrollbar
	this._createScrollSlider();
	//Capture dragging
	this._captureObj = new DwtMouseEventCapture(this, "CalemScrollSlider", 
	      CalemScrollSlider._mouseOverHdlr,
			CalemScrollSlider._mouseDownHdlr, CalemScrollSlider._mouseMoveHdlr, 
			CalemScrollSlider._mouseUpHdlr, CalemScrollSlider._mouseOutHdlr);
	this.setHandler(DwtEvent.ONMOUSEDOWN, CalemScrollSlider._mouseDownHdlr);
	this.setHandler(DwtEvent.ONMOUSEOVER, CalemScrollSlider._mouseOverHdlr);
	this.setHandler(DwtEvent.ONMOUSEOUT, CalemScrollSlider._mouseOutHdlr);

	this.setZIndex(Dwt.Z_VIEW);
	//Set state to initial
	this._state=CalemScrollSlider.OUT;
	this._moveState=CalemScrollSlider.OVER;
	//Workaround for firefox
	this._minHeight=CalemConf['widget_scrollbar']['scrollSliderMinHeight'];
}

CalemScrollSlider.prototype = new DwtSash;
CalemScrollSlider.prototype.constructor = CalemScrollSlider;

CalemScrollSlider.prototype.toString = 
function() {
	return "CalemScrollSlider";
}

CalemScrollSlider.OUT='';
CalemScrollSlider.DOWN='_Over';
CalemScrollSlider.MOVE='_Move';
CalemScrollSlider.OVER='_Over';
CalemScrollSlider.UP='_Over';
	
//Creating scrollbar html elements
CalemScrollSlider.prototype._createScrollSlider =
function() {
	//Allocating Ids
   this._topId=Dwt.getNextId();
   this._fillUpId=Dwt.getNextId();
   this._gripId=Dwt.getNextId();
   this._fillDownId=Dwt.getNextId();
   this._bottomId=Dwt.getNextId();
   //Set up html element
   var htmlElement = this.getHtmlElement();
   htmlElement.innerHTML = 
   	["<table height=100% border=0 cellspacing=0 cellpadding=0 class=CalemScrollSliderTable>",
		 "<tr><td><div id=", this._topId, "></div></td></tr>",
		 "<tr style='height:50%'><td id=", this._fillUpId, "></td></tr>",
		 "<tr><td><div id=", this._gripId, "></div></td></tr>",
		 "<tr style='height:50%'><td id=", this._fillDownId, "></td></tr>",
		 "<tr><td><div id=", this._bottomId, "></div></td></tr>",
		 "</table>"].join('');	
	//Getting html elements
	this._topEl=document.getElementById(this._topId);
	this._fillUpEl=document.getElementById(this._fillUpId);
	this._gripEl=document.getElementById(this._gripId);
	this._fillDownEl=document.getElementById(this._fillDownId);
	this._bottomEl=document.getElementById(this._bottomId);
	this._setClassName(CalemScrollSlider.OUT);
}

/** 
 * Workaround for firefox to make sure the size don't go too low.
 */
CalemScrollSlider.prototype.adjustSize =
function(w, h) {
	if (h < this._minHeight) {
		h=this._minHeight;
	}
	this.setSize(w,h);
}

CalemScrollSlider.prototype._setClassName =
function(suffix) {
	this._topEl.className=[this._className, '_Top',suffix].join('');
	this._fillUpEl.className=[this._className, '_Fill', suffix].join('');
	this._gripEl.className=[this._className, '_Grip', suffix].join('');
	this._fillDownEl.className=[this._className, '_Fill', suffix].join('');
	this._bottomEl.className=[this._className, '_Bottom', suffix].join('');
}

/**
 * Mouse handlers
 */
CalemScrollSlider.prototype.onMouseOver =
function(ev) {
	if (this._state==CalemScrollSlider.MOVE) {
		this._moveState=CalemScrollSlider.OVER;
		return;
	}
	this._setClassName(CalemScrollSlider.OVER);
} 

CalemScrollSlider.prototype.onMouseDown =
function(ev) {
	this._state=CalemScrollSlider.DOWN;
	this._setClassName(CalemScrollSlider.DOWN);
} 

CalemScrollSlider.prototype.onMouseMove =
function(ev) {
	this._state=CalemScrollSlider.MOVE;
	this._setClassName(CalemScrollSlider.MOVE);
} 

CalemScrollSlider.prototype.onMouseUp =
function(ev) {
	this._state=CalemScrollSlider.UP;
	if (this._moveState==CalemScrollSlider.OVER) {
		this.onMouseOver(ev);
	} else if (this._moveState==CalemScrollSlider.OUT) {
		this.onMouseOut(ev);
	} else {
		this._setClassName(CalemScrollSlider.UP);
	}
	this._moveState=CalemScrollSlider.OVER;
} 

CalemScrollSlider.prototype.onMouseOut =
function(ev) {
	if (this._state==CalemScrollSlider.MOVE) {
		this._moveState=CalemScrollSlider.OUT;
		return;
	}
	this._state=CalemScrollSlider.OUT;
	this._setClassName(CalemScrollSlider.OUT);
} 

//Get the slider object to handle the event.
CalemScrollSlider.getEventDwtObject =
function(ev) {
	var slider=DwtUiEvent.getDwtObjFromEvent(ev);
	if (slider && slider instanceof CalemScrollSlider) {
		return slider;
	} else {
		return null;
	}
}
/**
 * Mouse handlers
 */
CalemScrollSlider._mouseOverHdlr =
function(ev) {
	var slider=CalemScrollSlider.getEventDwtObject(ev);
	if (slider) slider.onMouseOver(ev);
	return DwtSash._mouseOverHdlr(ev);	
}

CalemScrollSlider._mouseDownHdlr =
function(ev) {
	var slider=CalemScrollSlider.getEventDwtObject(ev);
	if (slider) slider.onMouseDown(ev);
	return DwtSash._mouseDownHdlr(ev);
}

CalemScrollSlider._mouseMoveHdlr =
function(ev) {
	var slider=CalemScrollSlider.getEventDwtObject(ev);
	if (slider) slider.onMouseMove(ev);
	return DwtSash._mouseMoveHdlr(ev);
}

CalemScrollSlider._mouseUpHdlr =
function(ev) {
	var slider=CalemScrollSlider.getEventDwtObject(ev);
	if (slider) slider.onMouseUp(ev);
	else {
		slider=DwtMouseEventCapture.getTargetObj();
		if (slider && slider instanceof CalemScrollSlider) {
			slider.onMouseUp(ev);
		}
	}
	return DwtSash._mouseUpHdlr(ev);
}

CalemScrollSlider._mouseOutHdlr =
function(ev) {
	var slider=CalemScrollSlider.getEventDwtObject(ev);
	if (slider) slider.onMouseOut(ev);
	return DwtSash._mouseOutHdlr(ev);	
} 

/**
 * Scroll buttons (Up and down) on the scroll bar
 * 
 */
function CalemScrollButton(parent, className, posStyle) {
	if (arguments.length == 0) return;
	this._className= className;
	DwtControl.call(this, parent, this._className, posStyle);
	//Listening to mouse up, down, out events for mouse held down.
	// add custom mouse handlers to standard ones
	var mouseEvents = [DwtEvent.ONMOUSEDOWN,DwtEvent.ONMOUSEUP];
	if (AjxEnv.isIE)
		mouseEvents.push(DwtEvent.ONMOUSEENTER, DwtEvent.ONMOUSELEAVE);
	else
		mouseEvents.push(DwtEvent.ONMOUSEOVER, DwtEvent.ONMOUSEOUT);
	this._setEventHdlrs(mouseEvents);
	//Add listeners	
	this.addListener(DwtEvent.ONMOUSEDOWN, new AjxListener(this, this.onMouseDown));
	this.addListener(DwtEvent.ONMOUSEUP,   new AjxListener(this, this.onMouseUp));
	this.addListener(DwtEvent.ONMOUSEOUT,  new AjxListener(this, this.onMouseOut));
	this.addListener(DwtEvent.ONMOUSEOVER,  new AjxListener(this, this.onMouseOver));
	//Timed action to monitor the mouse being down.
	this._onFirstMouseDown=new AjxTimedAction(this, this._monitorFirstMouseDown);
	this._onOtherMouseDown=new AjxTimedAction(this, this._monitorOtherMouseDown);
	//Create the button
	this._createScrollButton();
	//state
	this.setEnabled(true);
}

CalemScrollButton.prototype = new DwtControl;
CalemScrollButton.prototype.constructor = CalemScrollButton;

CalemScrollButton.prototype.toString = 
function() {
	return "CalemScrollButton";
} 

CalemScrollButton.prototype.setEnabled =
function(enabled) {
	if (this._enabled==enabled) return; //Nothing to do.
	this._enabled=enabled;
	if (enabled) {
		this._state=CalemScrollButton.STATE_NONE;
		this._setClassName(CalemScrollButton.OUT);
	} else {
		this._setClassName(CalemScrollButton.DISABLE);
	}
}

//Creating scroll button html element
CalemScrollButton.prototype._createScrollButton =
function() {
	//Allocating Ids
   this._elId=Dwt.getNextId();
   //Set up html element
   var htmlElement = this.getHtmlElement();
   htmlElement.innerHTML = ["<div id=", this._elId,"></div>"].join('');	
	//Getting html elements
	this._el=document.getElementById(this._elId);
}

CalemScrollButton.prototype._setClassName =
function(suffix) {
	this._el.className=[this._className, suffix].join('');
}

CalemScrollButton.OUT='';
CalemScrollButton.DOWN='_Down';
CalemScrollButton.PRESSED='_Down';
CalemScrollButton.OVER='_Over';
CalemScrollButton.UP='_Over';
CalemScrollButton.DISABLE='_Disable';

CalemScrollButton.STATE_NONE=0;
CalemScrollButton.STATE_DOWN=1;
CalemScrollButton.STATE_PRESSED=2;

CalemScrollButton.prototype.init =
function(scrollListener, holdTime, moveDelay) {
	this._scrollListener = scrollListener;
	this._holdTime=  holdTime || CalemConf['widget_scrollbar']['holdTime'];
	this._moveDelay= moveDelay || CalemConf['widget_scrollbar']['moveDelay'];
}

/**
 * Mouse down handlers
 */
CalemScrollButton.prototype.onMouseDown =
function(ev) {
	if (!this._enabled || ev.button != DwtMouseEvent.LEFT) return;
	this._setClassName(CalemScrollButton.DOWN);
	this._scrollListener.handleEvent(ev);
	//Let's monitor for holding down here.
	this._state=CalemScrollButton.STATE_DOWN;
	this._actionId=AjxTimedAction.scheduleAction(this._onFirstMouseDown, this._holdTime);
}

CalemScrollButton.prototype._monitorFirstMouseDown =
function() {
	if (this._state==CalemScrollButton.STATE_DOWN) {
		this._setClassName(CalemScrollButton.PRESSED);
		this._state=CalemScrollButton.STATE_PRESSED;
		this._scrollListener.handleEvent();
		this._actionId=AjxTimedAction.scheduleAction(this._onOtherMouseDown, this._moveDelay);
	}
}

CalemScrollButton.prototype._monitorOtherMouseDown =
function() {
	if (this._state==CalemScrollButton.STATE_PRESSED) {
      this._scrollListener.handleEvent();
		this._actionId=AjxTimedAction.scheduleAction(this._onOtherMouseDown, this._moveDelay);
	}
}

/**
 * Mouse up handlers
 */
CalemScrollButton.prototype.onMouseUp =
function(ev) {
	if (!this._enabled) return;
	this._setClassName(CalemScrollButton.UP);
	this._clearMouseDown();
} 

/**
 * Mouse out handlers
 */
CalemScrollButton.prototype.onMouseOut =
function(ev) {
	if (!this._enabled) return;
	this._setClassName(CalemScrollButton.OUT);
	this._clearMouseDown();
} 

/**
 * Mouse over
 */
CalemScrollButton.prototype.onMouseOver =
function(ev) {
	if (!this._enabled) return;
	this._setClassName(CalemScrollButton.OVER);
}  

CalemScrollButton.prototype._clearMouseDown =
function() {
	if (this._state==CalemScrollButton.STATE_NONE) return; //cleared already.
	this._state=CalemScrollButton.STATE_NONE;
	if (this._actionId) {
		AjxTimedAction.cancelAction(this._actionId);
		this._actionId=null;
	}
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemFieldLabel
 * This is the field label widget.
 */
function CalemFieldLabel(parent, style, className, posStyle) {
	if (arguments.length==0) return;
	style= style || (DwtLabel.IMAGE_RIGHT | DwtLabel.ALIGN_LEFT);
	DwtLabel.call(this, parent, style, className, posStyle);
} 

CalemFieldLabel.prototype = new DwtLabel;
CalemFieldLabel.prototype.constructor = CalemFieldLabel;

CalemFieldLabel.prototype.toString = 
function() {
	return "CalemFieldLabel";
}

//Set required label
CalemFieldLabel.prototype.setRequired =
function(bl) {
	var conf=CalemConf['view_engine']['field']['icon'];
	if (bl) this.setImage(conf['required']);
	else this.setImage(conf['not_required']);
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemButton - it's a DwtButton with some default settings.
 */
function CalemButton(parent, style, className) {
	if (arguments.length==0) return;
	style=style || (DwtLabel.IMAGE_LEFT | DwtLabel.ALIGN_LEFT);
	className=className || 'TBButton';
	DwtButton.call(this, parent, style, className);
} 

CalemButton.prototype = new DwtButton;
CalemButton.prototype.constructor = CalemButton;

CalemButton.prototype.toString = function() { return "CalemButton";}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

function CalemTabView(parent, className, positionStyle) {
	//By-pass DwtTabView to replace DwtTabBar with CalemTabBar.
	if (arguments.length == 0) return;
	var clsName = className || "DwtTabView";
	
	var posStyle = DwtControl.ABSOLUTE_STYLE;
	if ((positionStyle !== void 0) && (positionStyle !== null)){
	    posStyle = positionStyle;
	}
	DwtComposite.call(this, parent, clsName, posStyle);
	this._stateChangeEv = new DwtEvent(true);
	this._tabs = new Array(); 
	this._tabIx = 1;
	this._pageDiv = document.createElement("div");
	this._pageDiv.className = clsName;
	this._pageDiv.style.position = DwtControl.STATIC_STYLE;
	this._tabBar = new DwtTabBar(this);
	this._createHTML();
}

CalemTabView.prototype = new DwtTabView;
CalemTabView.prototype.constructor = CalemTabView;

CalemTabView.prototype.toString = 
function() {
	return "CalemTabView";
}

/**
 * Provide view page state management so it knows when to refresh the screen.
 */
CalemTabView.prototype.switchToTab =
function(tabKey) {
	//Check for customize tab
	if (this._tabs[tabKey]['view'].isCustomTab()) {
		//do not switch tab.
		this.switchToTab(this.getCurrentTab());
		this._tabs[tabKey]['view'].handleCustomize();
		return;
	}
	//Do a workaround at this step 
	CalemContext.getInstance().doFf167801();
	for (var i=0; i< this._tabs.length; i++) {
		if (i==tabKey) continue;
		this._tabs[tabKey]["view"].setHideState();
	}
	DwtTabView.prototype.switchToTab.call(this, tabKey);
}  

//Use tab button to get it.
CalemTabView.prototype.getPageAbsOffset = 
function() {
	var margin=CalemConf['view_engine']['viewRenderMdTab']['pageAbsMargin'];
	var h=this.getTabButton(1).parent.getSize().y;
	return {x: margin.x, y: h+margin.y};
}

/**
 * Interfaces as a view
 */
CalemTabView.prototype.getElVisible =
function() {
	return this.parent.getElVisible();
}

/**
 * Embed controller
 */
CalemTabView.prototype.embedController =
function(controller) {
	this.parent.embedController(controller);
}  

CalemTabView.prototype.closeAndResumeParentController =
function(action) {
	this.parent.closeAndResumeParentController(action);
} 

 
/**
 * CalemTabBar
 */
function CalemTabBar(parent, tabCssClass, btnCssClass) { 
	if (arguments.length==0) return;
	DwtTabBar.call(this, parent, tabCssClass, btnCssClass);
}

CalemTabBar.prototype=new DwtTabBar;
CalemTabBar.prototype.constructor = CalemTabBar;

CalemTabBar.prototype.toString = function() { return 'CalemTabBar'; }

/**
* @param tabId - the id used to create tab button in @link DwtTabBar.addButton method
* @param listener - AjxListener
**/
CalemTabBar.prototype.addSelectionListener =
function(tabKey, listener) {
	this._buttons[tabKey].addSelectionListener(listener);
}

/**
* @param tabKey
* @param tabTitle
**/
CalemTabBar.prototype.addButton =
function(tabKey, tabTitle) {
	var tb = this._tbuttons[tabKey] = new CalemTabButton(this);
	var b = this._buttons[tabKey] = new DwtButton(tb, null, this._btnStyle, DwtControl.RELATIVE_STYLE);	
	
	// HACK: This is to get around resetting of button className during hover.
	var be = b.getHtmlElement();
	be.style.position = "relative";
	be.style.top = "-3px";
	
	this._buttons[tabKey].addSelectionListener(new AjxListener(this, DwtTabBar._setActiveTab));
	this._tbuttons[tabKey].addListener(DwtEvent.ONMOUSEUP, (new AjxListener(this,DwtTabBar._setActiveTab)));
	
	if (this._btnImage != null)
		b.setImage(this._btnImage);

	if (tabTitle != null)
		b.setText(tabTitle);

	b.setEnabled(true);
	b.setData("tabKey", tabKey);

	if(parseInt(tabKey) == 1)
		tb.setOpen();

	return b;
}

/**
 * CalemTabButton
 * To make it different from the formTabButton
 */
function CalemTabButton(parent) {
	if (arguments.length == 0) return;
	DwtTabButton.call(this, parent);
}

CalemTabButton.prototype = new DwtTabButton;
CalemTabButton.prototype.constructor = CalemTabButton;

CalemTabButton.prototype.toString = 
function() {
	return "CalemTabButton";
}

CalemTabButton.prototype._createHtml = 
function() {
	this.table = document.createElement("table");
	this.table.border = this.table.cellPadding = this.table.cellSpacing = 0;
	this.table.align = "center";
	this.table.width = "100%";

	this._middleRow = this.table.insertRow(-1);	
	this._centerMiddleCell = this._middleRow.insertCell(-1);
	this.centerImg = this._centerMiddleCell;
	AjxImg.setImage(this.centerImg, "Tab__BG", AjxImg.BACKGROUND, true);

	this.getHtmlElement().appendChild(this.table);
	this.table.className = this._inactiveClassName;
};

CalemTabButton.prototype.setTabImageState = 
function(imagePrefix) {
	AjxImg.setImage(this._centerMiddleCell, imagePrefix + "__BG", AjxImg.BACKGROUND, true);
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * These are data model bound buttons.
 */
function CalemTbButton(parent, style, className) {
	if (arguments.length==0) return;
	DwtButton.call(this, parent, style, className);
	//Use one event handler.
	this._selectionListener=new AjxListener(this, this.onSelection);
} 

CalemTbButton.prototype = new DwtButton;
CalemTbButton.prototype.constructor = CalemTbButton;

CalemTbButton.prototype.toString = function() { return "CalemTbButton";}

/**
 * Events setup
 */
CalemTbButton.prototype.setupEvents =
function(btnInfo, controller) {
	this._btnInfo=btnInfo;
	this._controller=controller;
	var eventMap;
	if (!btnInfo.getCustomInfo() || !(eventMap=btnInfo.getCustomInfo().getEventMap())) return;
	var modelItem=controller.getDataModel().getModelItem();
	this._table=modelItem.getTableDd().getTableName();
	for (var i in eventMap) {
		var event= eventMap[i];
		modelItem.addListener(event.getId(), this._selectionListener);
	}
}

/**
 * Event handler
 */
CalemTbButton.prototype.onSelection =
function(evt) {
	this.setData(CalemContext.DATA, {event: evt, table: this._table});
	var eventMap=this._btnInfo.getCustomInfo().getEventMap();
	var func=eventMap[evt.getType()].getFunction();
	eval(['this.', func, '();'].join(''));
}

/**
 * Stock functions for enable/disable button
 */
CalemTbButton.prototype._enableIt=
function() {
	this.setEnabled(true);
}

CalemTbButton.prototype._disableIt=
function() {
	this.setEnabled(false);
}

//Notify listener - mimic a click selection.
CalemTbButton.prototype._clickIt=
function() {
	var selEv = DwtShell.selectionEvent;
   selEv.item = this;
   selEv.detail = 0;
   this.notifyListeners(DwtEvent.SELECTION, selEv);
}

/**
 * shutdown - to remove all the listeners
 */
CalemTbButton.prototype._shutdown =
function() {
	//Remove listeners registered in other components
	this._removeEventListeners();
	//Remove selection listeners
	this.removeSelectionListeners();
}  

/**
 * Events setup
 */
CalemTbButton.prototype._removeEventListeners =
function() {
	var eventMap;
	if (!this._btnInfo.getCustomInfo() || !(eventMap=this._btnInfo.getCustomInfo().getEventMap())) return;
	var modelItem=this._controller.getDataModel().getModelItem();
	for (var i in eventMap) {
		var event= eventMap[i];
		modelItem.removeListener(event.getId(), this._selectionListener);
	}
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * This is the base toolbar class.
 */
 
/**
 * Constructor
 */
function CalemToolBar(parent, posInfo, tbInfo, className, posStyle, cellSpacing, cellPadding, style) {
	if (arguments.length==0) return;
	if (tbInfo) {
		className= tbInfo.className ? tbInfo.className : className;
		posStyle=tbInfo.posStyle ? tbInfo.posStyle : posStyle;
		cellSpacing=tbInfo.cellSpacing? tbInfo.cellSpacing : cellSpacing;
		cellPadding=tbInfo.cellPadding? tbInfo.cellPadding : cellPadding;
		style=tbInfo.style? tbInfo.style : style;
	}
	DwtToolBar.call(this, parent, className, posStyle, cellSpacing, cellPadding, style);
	//Adjust its position here.
	if (posInfo) {
		if (posInfo.parentId) {//associate it with parent element.
			var htmlEl=document.getElementById(posInfo.parentId);
			Dwt.removeChildren(htmlEl);
			this.reparentHtmlElement(htmlEl);
		} else if (posInfo.parentEl) {
			this.reparentHtmlElement(posInfo.parentEl);
		} else if (posInfo.bzEl) {
			var htmlEl = document.getElementById(posInfo.bzEl);
			var bz=Dwt.getBounds(htmlEl);
			this.setBounds(bz.x, bz.y, bz.width, bz.height);
		}
	}
	//Set up the collection here.
	this._buttons=new Object();
	this._conf=CalemConf['menuListInfo'];
} 

CalemToolBar.prototype = new DwtToolBar;
CalemToolBar.prototype.constructor = CalemToolBar;

CalemToolBar.prototype.toString = 
function() {
	return "CalemToolBar";
}

/**
 * Check acl
 */
CalemToolBar.prototype._checkAcl =
function(id) {
	return (this._customInfo) ? this._customInfo.checkTbAcl(id) : true;
} 

/**
 * Create the toolbar.
 * @param toolbarInfo - toolbar info
 * @param listenerFactory - use this factory method to get listener.
 */
CalemToolBar.prototype.createToolBar =
function(tbInfo, listenerFactory, controller, customInfo) {
	this._listenerFactory=listenerFactory;
	this._controller= controller;
	this._customInfo=customInfo;
	
	this._setupTbMapAndLayout(tbInfo, customInfo);
	
	for (var i=0; i< this._layout.length; i++) {
		var itemInfo=this._map[this._layout[i]];
		
		//m06 - customize for admin
		if (this._layout[i]==CalemConst.TB_CUSTOMIZE && !CalemBoUtil.isUserInAdminGroup()) continue;
		
		//Check acl here
		if (!this._checkAcl(this._layout[i])) continue; //Acled out.
		
		//Now creating toolbar
		if (itemInfo instanceof CalemSeparator) {
			this.addSeparator(itemInfo.getClassName(), null, itemInfo);
		} else if (itemInfo instanceof CalemLabelInfo) {
			this.addLabel(itemInfo);
		} else if (itemInfo instanceof CalemMenuInfo) {
			this.addMenu(itemInfo);
		} else if (itemInfo instanceof CalemButtonInfo) {
			this.addButton(itemInfo);
		} else if (itemInfo instanceof CalemMenuItemInfo) {
			this.addButton(itemInfo);
		} else {
			CalemDebug.error("unknown menuInfo: "+itemInfo);
		}
	}
	/**
	 * This is to prevent Admin from locking out from customization  
	 * a) Current user is in CUSTOM_SYSTEM group
	 * b) Customize button is not in the layout but in acl
	 * c) The controller is customizable (i.e., not a design form)
	 */	 
	 if (this._controller && this._controller.allowCustomize && this._controller.allowCustomize()
	   && CalemBoUtil.isUserInAdminGroup()
	   && this._map[CalemConst.TB_CUSTOMIZE] //It's in the list
	   && !this._checkAcl(CalemConst.TB_CUSTOMIZE) ) {
	 	this.addButton(this._map[CalemConst.TB_CUSTOMIZE]);
	 }
}

/**
 * Setup toolbar
 * - layout is a list of ids
 * - map is the item maps
 */
CalemToolBar.prototype._setupTbMapAndLayout =
function(tbInfo, customInfo) {
	this._map=new Object();
	var list=tbInfo.getList();
	for (var i=0; i< list.length; i++) this._map[list[i].getId()]=list[i];
	this._layout=tbInfo.getLayout();
	//Use custom info for the list.
	if (customInfo && customInfo.getLayout()) {
		this._layout=customInfo.getLayout().getTbLayout();
	}
}

/**
 * Adding a button to the toolbar
 */
CalemToolBar.prototype.addButton =
function(btnInfo) {
	var def=btnInfo.getDef();
	var btn=new CalemTbButton(this, btnInfo.getBtnStyle(), btnInfo.getBtnClassName());
	btn.setImage(btnInfo.getIcon());
	btn.setText(btnInfo.getTitle());
	btn.setToolTipContent(def.tooltip);
	btn.setData(CalemContext.DATA, btnInfo.getId());
	btn.setEnabled(btnInfo.getEnabled());
	this._buttons[btnInfo.getId()]=btn;
	//Linking to data model
	var listener=this._getListener(btnInfo)
	if (listener) {
		this.addListener(btnInfo.getId(), listener);
	}
	btn.setupEvents(btnInfo, this._controller);
	return btn;
}

/**
 * Adding a menuItem
 */
CalemToolBar.prototype.addMenu =
function(menuInfo) {
	if (!menuInfo.hasMenu()) return; //No menu in this one.
	//Creating a button first
	var btn=this.addButton(menuInfo.getMenuButton());
	var mi=this._conf.menuInfo;
	var menu=new DwtMenu(btn, mi.style, mi.className, mi.posStyle, mi.dialog);
	var bi=this._conf.btnInfo;
	btn.setMenu(menu, bi.shouldToggle, bi.followIconStyle);
	//Creating menuItem in the menu list
	var list=menuInfo.getMenuList();
	for (var i=0; i< list.length; i++) {
		//Check acl here
		if (!this._checkAcl(list[i].getId())) continue; //Acled out.
		
		this._createMenuItem(menu, list[i]);
	}
}

/**
 * Create a menuItem
 */
CalemToolBar.prototype._createMenuItem =
function(menu, btnInfo) {
	var def=btnInfo.getDef();
	var conf=this._conf.menuItem;
	var mi=DwtMenuItem.create(menu, def.icon, btnInfo.getTitle(), def.disIcon, 
						btnInfo.getEnabled(), conf.style, null,  //Radio groupId
						null, //radio idx
						conf.className, conf.posStyle);
	mi.setData(CalemContext.DATA, btnInfo.getId());
	var listener = this._getListener(btnInfo);
	if (listener) {
		mi.addSelectionListener(listener);
	}
}

/**
 * Add a caption to the menu bar
 */
CalemToolBar.prototype.addLabel =
function(lbInfo) {
	var lb=new DwtLabel(this);
	lb.setImage(lbInfo.getIcon());
	lb.setText(lbInfo.getLabel());
	if (lbInfo.getCcsClass()) lb.setClassName(lbInfo.getCcsClass());
}

CalemToolBar.prototype._getListener =
function(btnInfo) {
	var listener=null;
	var ln=btnInfo.getListenerName();
	if (this._listenerFactory && ln) {
		listener=this._listenerFactory.run(ln);
	}
	return listener;
}

/**
 * Common functions
 */
CalemToolBar.prototype.addListener =
function(id, listener) {
	this._buttons[id].addSelectionListener(listener);
} 

CalemToolBar.prototype.setEnabled =
function(id, enabled) {
	this._buttons[id].setEnabled(enabled);
}

/**
 * shutdown - to remove all the listeners
 */
CalemToolBar.prototype._shutdown =
function() {
	for (var i in this._buttons) {
		this._buttons[i]._shutdown();
	}
}  

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * This is the base toolbar class.
 */
 
/**
 * Constructor
 */
function CalemToolBarModule(parent, posInfo, tbInfo, className, posStyle, cellSpacing, cellPadding, style) {
	if (arguments.length==0) return;
	CalemToolBar.call(this, parent, posInfo, tbInfo, className, posStyle, cellSpacing, cellPadding, style);
} 

CalemToolBarModule.prototype = new CalemToolBar;
CalemToolBarModule.prototype.constructor = CalemToolBarModule;

CalemToolBarModule.prototype.toString = function() { return "CalemToolBarModule";}

CalemToolBarModule.prototype.createToolBar =
function(modInfo, listenerFactory, controller, customInfo) {
	this._defaultMenuInfo=modInfo.getDefaultMenuInfo();
	CalemToolBar.prototype.createToolBar.call(this, modInfo.getToolBar(), 
	               listenerFactory, controller, customInfo);
}

CalemToolBarModule.prototype.getDefaultMenu =
function() {
	return this._defaultMenuInfo ? this._defaultMenuInfo.getId() : null;
}

/**
 * Setup toolbar for module
 * - layout is a list of ids
 * - map is the item maps
 */
CalemToolBarModule.prototype._setupTbMapAndLayout =
function(tbInfo, customInfo) {
	var rtn=CalemToolBarModule._getMapAndLayout(tbInfo, customInfo, this._defaultMenuInfo);
	this._layout=rtn.layout;
	this._map=rtn.map;
	this._defaultMenuInfo = rtn.defaultMenu;		
}

/**
 * Check acl
 */
CalemToolBarModule.prototype._checkAcl =
function(id) {
	return (this._customInfo) ? this._customInfo.checkAcl(id) : true;
} 

/**
 * Utility function
 * @param tbInfo - toolbar info
 * @param customInfo - custom info
 * @return {map: map, layout: layout, defaultMenu: defaultMenu}
 */
CalemToolBarModule._getMapAndLayout =
function(tbInfo, customInfo, defaultMenu) {
	var map=new Object();
	var layout=[];
	//Use custom info for map and list.
	if (customInfo && customInfo.getLayout()) {
		defaultMenu=customInfo.getLayout().getDefaultMenuInfo();
		var list=customInfo.getLayout().getMenuList();
		for (var i=0; i< list.length; i++) {
			var id=list[i].getId();
			layout.push(id);
			CalemToolBarModule._addToMap(list[i], map);
		}
	} else {//No custom info
		layout=tbInfo.getLayout();
		var list=tbInfo.getList();
		for (var i=0; i< list.length; i++) {
			CalemToolBarModule._addToMap(list[i], map);
		}
	}
	return {layout: layout, map: map, defaultMenu: defaultMenu};
}

CalemToolBarModule._addToMap =
function(item, map) {
	map[item.getId()]=item;
	if (item instanceof CalemMenuInfo) {
		var list=item.getMenuList();
		if (list) {
			for (var i=0; i< list.length; i++) {
				map[list[i].getId()]=list[i];
			}
		}
	}
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInputField
 * Fix the DwtInputField not checking for required first.
 */
function CalemInputField(param) {
	if (arguments.length==0) return;
	DwtInputField.call(this, param);
}

CalemInputField.prototype = new DwtInputField;
CalemInputField.prototype.constructor = CalemInputField;

CalemInputField.prototype.toString = function() {return "CalemInputField";}

/**
 * Overwrite this function not to throw exception.
 */
CalemInputField.prototype._validateInput =
function(value) {
	var rtn;
	try {
		rtn=DwtInputField.prototype._validateInput.call(this, value);
	} catch (ex) {
		if (CalemDebug.isInfo()) CalemDebug.info("Caught exception in CalemInputField _validateInput="+ex+", fld="+this._fieldInfo.fld);
	}
	return rtn;
} 

//Rewrite to be exception based.
CalemInputField.prototype.isValid =
function() {
	if ( this._required && !this._inputField.value) throw AjxMsg.valueIsRequired;
	try {
		if (typeof this._validator == "function") {
			var rtn= this._validatorObj
				? this._validator.call(this._validatorObj, this._inputField.value)
				: this._validator(this._inputField.value);
		} else {
			if (!this._validator.test(this._inputField.value)) {
				throw CalemMsg.getMsg('field_invalid');
			}
		}
	} catch(ex) {
		throw ex;
	}
	this._clearFieldError();
	return true;
}

CalemInputField.prototype.setFieldInfo =
function(info) {
	this._fieldInfo=info;
}

CalemInputField.prototype.getFieldInfo =
function() {
	return this._fieldInfo;
}

//Only string type
CalemInputField.prototype.getFieldValue =
function() {
	return this.getValue(); //This is only for string type.
} 

//Only string type
CalemInputField.prototype.getEditFieldServerValue =
function() {
	return this.getValue(); //This is only for string type.
} 


CalemInputField.prototype.setFieldError =
function(errMsg) {
	this.getHtmlElement().className = this._errorClassName;
	if (this._errorIconTd)
		this._errorIconTd.innerHTML = DwtInputField._ERROR_ICON_HTML;
	this.setToolTipContent(errMsg);
} 

CalemInputField.prototype._clearFieldError =
function() {
  if (this.getHtmlElement().className == this._errorClassName) {
  	 	this.getHtmlElement().className = this._origClassName;
		if (this._errorIconTd)
			this._errorIconTd.innerHTML = DwtInputField._NOERROR_ICON_HTML;
		this.setToolTipContent(null);
  }
}

CalemInputField.prototype._hasFieldError =
function() {
	return (this.getHtmlElement().className == this._errorClassName);
}

//IE readonly workaround
CalemInputField.prototype._setReadOnly =
function(bl) {
	DwtInputField.prototype.setReadOnly.call(this, bl);
  	this._inputField.setAttribute("disabled", bl); //set disabled for it to flip back and forth.
}

CalemInputField.prototype.setReadOnly =
function(bl) {
	this._setReadOnly(true);
}

//IE readonly workaround
CalemInputField.prototype.disable =
function() {
	this._inputField.disabled=true;
}

CalemInputField.prototype.enable =
function() {
	this._inputField.disabled=false;
}

//Clear error when needed
CalemInputField.prototype.setValue =
function(value, noValidate) {
	DwtInputField.prototype.setValue.call(this, value, noValidate);
	if (noValidate) {
		this._clearFieldError();
	}
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemEditText
 * This is the edit text adapted from DwtInput's text area implementation so the cols can be set and alignment with other
 * input fields are kept.
 */
function CalemEditText(params) {
	if (arguments.length==0) return;
	this._origClassName = params.className ? params.className : "DwtInputField";
	this._errorClassName = this._origClassName + "-Error";
	DwtControl.call(this, params.parent, params.className, params.posStyle);

	this._type = params.type ? params.type : DwtInputField.STRING;
	this._errorIconStyle = params.errorIconStyle ? params.errorIconStyle :
							params.validator ? DwtInputField.ERROR_ICON_RIGHT : DwtInputField.ERROR_ICON_NONE;
	this._validationStyle = params.validationStyle ? params.validationStyle : DwtInputField.ONEXIT_VALIDATION;

	var inputFieldId = Dwt.getNextId();
	var errorIconId = Dwt.getNextId();
	var htmlEl = this.getHtmlElement();
	htmlEl.innerHTML=["<table cellspacing='0' cellpadding='0'><tr>", 
	           "<td style='padding-right:2px;'id='", errorIconId, "'></td>",
	           "<td><textarea id='", inputFieldId, "' rows=", params.rows, " cols=", params.size, "></textarea></td>",
	           "</tr></table>"].join('');
	if (this._errorIconStyle != DwtInputField.ERROR_ICON_NONE) {
		this._errorIconTd = document.getElementById(errorIconId);
		this._errorIconTd.vAlign = "middle";
		this._errorIconTd.innerHTML = DwtInputField._NOERROR_ICON_HTML;
	}


	this._inputField = document.getElementById(inputFieldId);
	Dwt.associateElementWithObject(this._inputField, this);

	this._inputField.onkeyup = DwtInputField._keyUpHdlr;
	this._inputField.onblur = DwtInputField._blurHdlr;
	//Handle text field length using keypress
	this._inputField.onkeypress = CalemEditText._keyPressHdlr;

	if (params.maxLen)
		this._inputField.maxLength = this._maxLen = params.maxLen;

	this.setCursor("default");

	this._inputField.value = params.initialValue || "";

	this.setValidatorFunction(params.validatorCtxtObj, params.validator);
	this._setMouseEventHdlrs(false);
	this._setKeyPressEventHdlr(false);
} 

CalemEditText.prototype = new CalemInputField;
CalemEditText.prototype.constructor = CalemEditText;

CalemEditText.prototype.toString = function() { return "CalemEditText"; }

CalemEditText.prototype.setReadOnly = 
function() { 
	this._inputField.disable();
}

/**
 * Use key up handler to decide if a key can be handled
 */
CalemEditText._keyPressHdlr =
function(ev) { 
   var keyEv = DwtShell.keyEvent;
	keyEv.setFromDhtmlEvent(ev);

	var obj = keyEv.dwtObj;
	if (obj && !obj._maxLen) return true;
	var charCode = keyEv.charCode;

	if (((charCode == 0x0D) || (charCode >=0x20 && charCode <= 0x7E))
	            && keyEv.target.value.length >= obj._maxLen) return false;
	return true;
}

	 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDateLookup
 */
function CalemDateLookup(parent) {
	if (arguments.length==0) return;
	//Use a custom text button to overcome IE's button issue.
	var selectButton = new DwtDialog_ButtonDescriptor(CalemDateLookup.SELECT_BUTTON, CalemMsg.getMsg('button_select'), DwtDialog.ALIGN_RIGHT);
	var dismissButton = new DwtDialog_ButtonDescriptor(DwtDialog.DISMISS_BUTTON, AjxMsg[DwtDialog.MSG_KEY[DwtDialog.DISMISS_BUTTON]], DwtDialog.ALIGN_RIGHT);
	DwtDialog.call(this, parent, null, null, DwtDialog.NO_BUTTONS, [selectButton, dismissButton], null, DwtDialog.MODAL, null);
	//Register callbacks for the buttons
	this.registerCallback(CalemDateLookup.SELECT_BUTTON, this._onSelect, this);
	this.registerCallback(DwtDialog.DISMISS_BUTTON, this._onDismiss, this);
	this._initControl();
}

CalemDateLookup.SELECTION = 'CALEM_DATE_SELECT';
CalemDateLookup.SELECT_BUTTON = -1;

CalemDateLookup.prototype=new DwtDialog;
CalemDateLookup.prototype.constructor=CalemDateLookup;

CalemDateLookup.prototype.toString= function() {return 'CalemDateLookup'}

//Set size, calendar and listeners
CalemDateLookup.prototype._initControl =
function() {
	this._conf=CalemConf['calendar_lookup'];
	//size adjustment.
	this._cal=new CalemCalendar(this.parent);
	var calSz=this._cal.getSize();
	var sz=this.getSize();
	var x=calSz.x+sz.x+this._conf['containerExtra']['x'];
	var y=calSz.y+sz.y+this._conf['containerExtra']['y'];
	this._size={x: x, y: y};
	this.setSize(x, y);
	//Attach calendar view
	this.setView(this._cal);
	//Listeners
	this._cal.addSelectionListener(new AjxListener(this, this._onDateSelection));
}

/**
 * Listeners
 */
CalemDateLookup.prototype._onSelect =
function() {
	this._notifyDateSelection();
}

CalemDateLookup.prototype._onDismiss =
function() {
	//Remove listener
	this.removeAllListeners(CalemDateLookup.SELECTION);
	this.popdown();
}

CalemDateLookup.prototype._onDateSelection =
function(ev) {
	if (ev.type == DwtCalendar.DATE_DBL_CLICKED) {
		this._notifyDateSelection();	
	}
}

CalemDateLookup.prototype._notifyDateSelection =
function(ev) {
	if (this.isListenerRegistered(CalemDateLookup.SELECTION)) {
		this.notifyListeners(CalemDateLookup.SELECTION, ev);
		this._onDismiss(); //Close down the lookup.
	}
}

/**
 * Public APIs
 */
CalemDateLookup.prototype.getDate =
function() {
	return this._cal.getDate();
}
 
CalemDateLookup.prototype._addSelectionListener =
function(listener) {
	this.addListener(CalemDateLookup.SELECTION, listener);
}

CalemDateLookup.prototype.popupCalendar =
function(bz, date, listener) {
	date = date || new Date();
	this._cal.setDate(date);
	var lc=this._setupLoc(bz);
	this.popup(lc);
	this.setLocation(lc.x, lc.y);
	this._addSelectionListener(listener);
} 
 
CalemDateLookup.prototype._setupLoc =
function(bz) {
	//Do a quick boundary check here.
	var x= bz.x - this._conf['calOff']['x'];
	if (x > this._size.x) {
		x -= this._size.x;
	}
	var y= bz.y - this._conf['calOff']['y'];
	if (y > this._size.y) {
		y -= this._size.y;
	} else {
		y = bz.y + bz.height+ this._conf['calOff']['y'];
	}
	return {x: x, y: y};
}

/**
 * CalemCalendar
 */
function CalemCalendar(parent, className, posStyle, firstDayOfWeek, forceRollOver, workingDaysArray, hidePrevNextMo, readOnly) {
	if (arguments.length==0) return;
	this._conf=CalemConf['calendar_lookup'];
	firstDayOfWeek = firstDayOfWeek || this._conf['firstDayOfWeek'];
	workingDaysArray= workingDaysArray || this._conf['workingDaysArray'];
	DwtCalendar.call(this, parent, className, posStyle, firstDayOfWeek, forceRollOver, workingDaysArray, hidePrevNextMo, readOnly);
	//Handlers to close the lookup.
	this._initLookup();
} 

CalemCalendar.prototype = new DwtCalendar;
CalemCalendar.prototype.constructor = CalemCalendar;

CalemCalendar.prototype.toString = function() { return "CalemCalendar"; }

/**
 * Close control
 */ 
CalemCalendar.prototype._initLookup =
function() {
	//Set size
	this._size={x: this._conf['calSize']['x'], y: this._conf['calSize']['y']};
	this.setSize(this._size.x, this._size.y);
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemEditDate
 * This is the date edit lookup supporting date lookup.
 */
function CalemEditDate(param) {
	if (arguments.length==0) return;
	DwtComposite.call(this, param.parent, param.className, param.posStyle);
	this._editFormatter=CalemTextUtil.getFormatter(CalemTextUtil.DATE_EDIT_FORMATTER);
	this._createControl(param);
} 

CalemEditDate.prototype = new DwtComposite;
CalemEditDate.prototype.constructor = CalemEditDate;

CalemEditDate.prototype.toString = function() { return "CalemEditDate"; }

CalemEditDate.prototype._createControl  =
function(param) {
	var el=this.getHtmlElement();
	var dateFieldId = Dwt.getNextId();
	var dateLookupId = Dwt.getNextId();
	var prompt=CalemEditDate.getDatePrompt(this._editFormatter);
	el.innerHTML=["<table cellspacing='0' cellpadding='0'><tr>",
	              "<td id=", dateFieldId, "></td>",
	              "<td id=", dateLookupId, " class=CalemDateLookupTd> </td>",
	              "<td class=CalemDatePrompt>", prompt, "</td>",
	              "</tr></table>"].join('');
	//Get the elements
	this._dateFieldEl=document.getElementById(dateFieldId);
	this._dateLookupEl=document.getElementById(dateLookupId);	              
	//Two components for 	              
	this._dateField=new CalemInputField(param);
	this._dateField.setValidatorFunction(this, this.onValidator);
	//Lookup
	this._dateLookup=new CalemDateLookupButton(param.parent);
	//Link fields to the control
	this._dateFieldEl.appendChild(this._dateField.getHtmlElement());
	this._dateLookupEl.appendChild(this._dateLookup.getHtmlElement());
	//Set up event listeners
	this._dateLookup.setDateField(this);		
}

//Get date prompt
CalemEditDate.getDatePrompt = 
function(format) {
	if (!CalemEditDate._date_prompt) {
		var prompt=CalemConf["text_formatter"]['datePrompt'];
		var ar=[CalemConf["text_formatter"].date.edit, format.format(new Date())];
		CalemEditDate._date_prompt=AjxMessageFormat.format(prompt, ar);
	}
	return CalemEditDate._date_prompt;
}

//Some initialization
CalemEditDate.prototype.setValidStringLengths =
function(min, max) {
	this._dateField.setValidStringLengths(min, max);
}

CalemEditDate.prototype.setValue =
function(val, noValidate) {
	this._dateField.setValue(val, noValidate);
}

CalemEditDate.prototype.getDate =
function() {
	return this.getFieldValue();
}

CalemEditDate.prototype.setDate =
function(date, noValidation) {
	this.setValue(this._editFormatter.format(date), noValidation);
}

CalemEditDate.prototype.setRequired =
function(date) {
	this._dateField.setRequired(true);
}

CalemEditDate.prototype.focus =
function() {
	this._dateField.focus();
}

CalemEditDate.prototype.disable =
function() {
	this._dateField.disable();
	this._dateLookup.setEnabled(false);
}

CalemEditDate.prototype.enable =
function() {
	this._dateField.enable();
	this._dateLookup.setEnabled(true);
}

/**
 * Validation
 */
CalemEditDate.prototype.setValidationCallback =
function(callback) {
	this._dateField.setValidationCallback(callback);
} 

CalemEditDate.prototype.setFieldInfo =
function(info) {
	this._dateField.setFieldInfo(info);
} 

CalemEditDate.prototype.isValid =
function() {
	return this._dateField.isValid();
}

//Validation function
CalemEditDate.prototype.onValidator = 
function(value) {
	if (this._dateField._required && !value) throw AjxMsg.valueIsRequired;
	return CalemTextUtil.isLocalDateValid(value);
}

//This is native type
CalemEditDate.prototype.getFieldValue =
function() {
	var date;
	var val=this._dateField.getValue();
	if (val)
		date = this._editFormatter.parse(val);
	return date;
} 

//This is server type.
CalemEditDate.prototype.getEditFieldServerValue =
function() {
	var rtn;
	var date=this.getFieldValue();
	if (date) { //Format it for server use
		rtn=CalemTextUtil.formatServerDate(date);
	}
	return rtn;
} 

CalemEditDate.prototype.setFieldError =
function(errMsg) {
	this._dateField.setFieldError(errMsg);
} 

CalemEditDate.prototype.clearFieldError =
function() {
	this._dateField._clearFieldError();
} 

/**
 * CalemDateLookupButton
 * This is the lookup button that controls the datelookup
 */
function CalemDateLookupButton(parent, style, className, posStyle) {
	if (arguments.length==0) return; 
	className= className || 'TBButton';
	DwtButton.call(this, parent, style, className, posStyle);
	//init the control
	this._initControl();
} 

CalemDateLookupButton.prototype = new DwtButton;
CalemDateLookupButton.prototype.constructor = CalemDateLookupButton;

CalemDateLookupButton.prototype.toString = function() { return "CalemDateLookupButton"; }

CalemDateLookupButton.prototype._initControl  =
function(param) {
	//Creating a singleton calendar lookup instance
	if (!CalemDateLookupButton._dateLookupInstance)	{
		var shell=CalemContext.getInstance().getShell();
		//So the calendar control is safe and will not be disposed.
		CalemDateLookupButton._dateLookupInstance=new CalemDateLookup(shell);
		CalemDateLookupButton._dateLookupInstance.popdown();
	}
	//Creating a listener
	this._dateListener=new AjxListener(this, this.onDateSelection);
	this._selectListener=new AjxListener(this, this.onButtonClick);
	this.addSelectionListener(this._selectListener);
	//Set up the text here.
	this.setImage('CalemDateLookup');
} 

CalemDateLookupButton.prototype.setDateField =
function(dateField) {
	this._dateField=dateField;
}

//Pop up calendar
CalemDateLookupButton.prototype.onButtonClick =
function(ev) {
	CalemDateLookupButton._dateLookupInstance.popupCalendar(this.getBounds(), this._dateField.getDate(), this._dateListener);
}

//Popdown calendar
CalemDateLookupButton.prototype.onDateSelection =
function(ev) {
	var dt=CalemDateLookupButton._dateLookupInstance.getDate();
	this._dateField.setDate(dt);	
}
	 
/*
WICK: Web Input Completion Kit
http://wick.sourceforge.net/
Copyright (c) 2004, Christopher T. Holland
All rights reserved.

Redistribution and use in source and binary forms, with or without modification, are permitted provided that the following conditions are met:

Redistributions of source code must retain the above copyright notice, this list of conditions and the following disclaimer.
Redistributions in binary form must reproduce the above copyright notice, this list of conditions and the following disclaimer in the documentation and/or other materials provided with the distribution.
Neither the name of the Christopher T. Holland, nor the names of its contributors may be used to endorse or promote products derived from this software without specific prior written permission.
THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

* 
* Portions created by CalemEAM Inc. are Copyright (c) CalemEAM Inc.
* 
*/

/**
 * CalemInputAc
 * Auto-completion
 */
function CalemInputAc(fld, lkupFld, lkupDd, controller, lkupEditFld) {
	if (arguments.length==0) return;
	this._fld=fld;
	this._lkupFld=lkupFld;
	this._lkupDd=lkupDd;
	this._controller=controller;
	this._lkupEditFld=lkupEditFld;
	this._inputEl=lkupEditFld.getEditField()._inputField;
	this._inputEl._iac=this;
	this._initAc();
}

CalemInputAc.prototype.toString = function() {return "CalemInputAc";}

//Init the field for Auto-completion.
CalemInputAc.prototype._initAc =
function() {
	this._inputEl.setAttribute("autocomplete","OFF");
	this._inputEl.onfocus = CalemInputAc.handleFocus;
	this._inputEl.onblur = CalemInputAc.handleBlur;
	this._inputEl.onkeydown = CalemInputAc.handleKeyDown;
	this._inputEl.onkeyup = CalemInputAc.handleKeyPress;
	
	if (!CalemInputAc._acFloater) {
		CalemInputAc._acFloater = document.createElement("table");
		CalemContext.getInstance().getShell().getHtmlElement().appendChild(CalemInputAc._acFloater);
		CalemInputAc._acFloater.cellPadding=0;
		CalemInputAc._acFloater.cellSpacing=0;
		CalemInputAc._acFloater.className='acFloater';
		var row1=CalemInputAc._acFloater.insertRow(-1);
		CalemInputAc._acFloaterContent=row1.insertCell(-1);
		CalemInputAc._acFloaterContent.noWrap=true;
													  
		//Setup mouse event listener
		if (document.addEventListener) {
			document.addEventListener("mouseup", CalemInputAc.handleClick, false);
			document.addEventListener("mouseover", CalemInputAc.handleMouseOver, false);
		} else {
			document.onmouseup = CalemInputAc.handleClick;
			document.onmouseover = CalemInputAc.handleMouseOver;
		}													  
	}
}

/**
 * Event handlers for Auto-completion
 */
CalemInputAc.handleFocus = function(event) {
	var e = CalemInputAc.getEvent(event);
	var eL = CalemInputAc.getEventElement(e);
	if (eL._iac) {
		eL._iac.onAcFocus();
	}
}//handleFocus()

CalemInputAc.prototype.onAcFocus =
function() {
	if (!this._siw) { //Init the siw here.
		this._siw = new smartInputWindow(this._inputEl);
	}
}

//Key press - may initialize and load data here. 
CalemInputAc.handleKeyPress = function(event) {
	var e = CalemInputAc.getEvent(event);
	var eL = CalemInputAc.getEventElement(e);
	if (eL._iac) {
		eL._iac.onKeyPress(e);
	}
}

CalemInputAc.prototype.onKeyPress =
function(e) {	
	var kc = e["keyCode"];
	//Now loading data if not loaded before
	this.loadDataOnDemand(kc); //This is delayed data loading for DB or instantly for cached.
}

CalemInputAc.prototype.onKeyPressAfterDataLoaded =
function(kc) {
	if (this._siw && ((kc == 13) || (kc == 9))) {
		this._siw.selectingSomething = true;
		if (this._siw.isSafari) this._siw.inputBox.blur();   //hack to "wake up" safari
		this._siw.inputBox.focus();
		this._siw.inputBox.value = this._siw.inputBox.value.replace(/[ \r\n\t\f\s]+$/gi,''); //No space here.
		this.hideSmartInputFloater();
	} else if ((kc != 38) && (kc != 40) && (kc != 37) && (kc != 39) && (kc != 13) && (kc != 27)) {
		if (!this._siw || (this._siw && !this._siw.selectingSomething)) {
			this.processSmartInput(this._inputEl);
		}
	} else if (this._siw && this._siw.inputBox) {
		this._siw.inputBox.focus(); //kinda part of the hack.
	}
}//handleKeyPress()

// keydown - will cause initialization here.
CalemInputAc.handleKeyDown = function(event) {
	var e = CalemInputAc.getEvent(event);
	var eL = CalemInputAc.getEventElement(e);
	if (eL._iac) {
		eL._iac.onKeyDown(e);
	}
}

CalemInputAc.prototype.onKeyDown =
function(e) {
	var kc;
	if (this._siw && (kc = e["keyCode"])) {
		if (kc == 40) {
			this._siw.selectingSomething = true;
			CalemInputAc.freezeEvent(e);
			 //FF workaround 
			 //if (this._siw.isGecko) this._siw.inputBox.blur(); /* Gecko hack */
			this.selectNextSmartInputMatchItem();
		} else if (kc == 38) {
			this._siw.selectingSomething = true;
			CalemInputAc.freezeEvent(e);
			//FF workaround
			//if (this._siw.isGecko) this._siw.inputBox.blur();
			this.selectPreviousSmartInputMatchItem();
		} else if ((kc == 13) || (kc == 9)) {
			this._siw.selectingSomething = true;
			this.activateCurrentSmartInputMatch();
			CalemInputAc.freezeEvent(e);
		} else if (kc == 27)  {
			this.hideSmartInputFloater();
			CalemInputAc.freezeEvent(e);
		} else {
			this._siw.selectingSomething = false;
		}
	}
}//handleKeyDown()

CalemInputAc.handleBlur = function(event) {
	var e = CalemInputAc.getEvent(event);
	var eL = CalemInputAc.getEventElement(e);
	if (eL._iac) {
		eL._iac.onBlur(e);
	}
}//handleBlur()

//This is to act as the blur handler in DwtInputField
CalemInputAc.prototype.onBlurInputField =
function(e) {
	var calemInputField=this._lkupEditFld.getEditField();
	if (calemInputField && calemInputField._validationStyle == DwtInputField.ONEXIT_VALIDATION) {
		calemInputField._validateInput(this._inputEl.value);
	}
}

CalemInputAc.prototype.onBlur =
function(e) {
	//Handle validation here whenever a blur event is fired
	this.onBlurInputField(e);
	//Hide floating stuff
	if (this._siw && !this._siw.selectingSomething) {
		this.hideSmartInputFloater();
		CalemInputAc._acFloater._inputEl=null; //no current field associated with it for now.
	}
}

CalemInputAc.handleClick = function(event) {
	if (CalemInputAc._acFloater._inputEl && CalemInputAc._acFloater._inputEl._iac) {
		CalemInputAc._acFloater._inputEl._iac.onMouseClick();	
	}
}//handleClick()

CalemInputAc.prototype.onMouseClick =
function(e) {
	if (this._siw && this._siw.selectingSomething) {
		this.selectFromMouseClick();
	}
}

CalemInputAc.handleMouseOver = function(event) {
	var e = CalemInputAc.getEvent(event);
	var eL = CalemInputAc.getEventElement(e);
	if (CalemInputAc._acFloater._inputEl && CalemInputAc._acFloater._inputEl._iac) {
		CalemInputAc._acFloater._inputEl._iac.onMouseOver(eL);	
	}
}//handleMouseOver

CalemInputAc.prototype.onMouseOver =
function(eL) {
	if (this._siw && (mEl = CalemInputAc.isWithinNode(eL,null,"acMatchedSmartInputItem",null,null))) {
		this._siw.selectingSomething = true;
		this.selectFromMouseOver(mEl);
	} else if (CalemInputAc.isWithinNode(eL,null,"siwCredit",null,null)) {
		this._siw.selectingSomething = true;
	}else if (this._siw) {
		this._siw.selectingSomething = false;
	}
}
  

/* start dhtml building blocks */
CalemInputAc.freezeEvent = function(e) {
	if (e.preventDefault) e.preventDefault();
	e.returnValue = false;
	e.cancelBubble = true;
	if (e.stopPropagation) e.stopPropagation();
	return false;
}//freezeEvent

CalemInputAc.isWithinNode = function(e,i,c,t,obj) {
	var answer = false;
	var te = e;
	while(te && !answer) {
		if	((te.id && (te.id == i)) || (te.className && (te.className == i+"Class"))
				|| (!t && c && te.className && (te.className == c))
				|| (!t && c && te.className && (te.className.indexOf(c) != -1))
				|| (t && te.tagName && (te.tagName.toLowerCase() == t))
				|| (obj && (te == obj))
			) {
			answer = te;
		} else {
			te = te.parentNode;
		}
	}
	return te;
}//isWithinNode

/**
 * Utility functions
 */
CalemInputAc.getEvent = function(event) {
	return (event ? event : window.event);
}//getEvent()

CalemInputAc.getEventElement = function(e) {
	return (e.srcElement ? e.srcElement: (e.target ? e.target : e.currentTarget));
}//getEventElement()

CalemInputAc.findElementPosX = function(obj) {
	var curleft = 0;
	if (obj.offsetParent) {
		while (obj.offsetParent) {
			curleft += obj.offsetLeft;
			obj = obj.offsetParent;
		}
	}//if offsetParent exists
	else if (obj.x)
		curleft += obj.x
	return curleft;
}//findElementPosX

CalemInputAc.findElementPosY = function(obj) {
	var curtop = 0;
	if (obj.offsetParent) {
		while (obj.offsetParent) {
			curtop += obj.offsetTop;
			obj = obj.offsetParent;
		}
	}//if offsetParent exists
	else if (obj.y)
		curtop += obj.y
	return curtop;
}//findElementPosY
/* end dhtml building blocks */


CalemInputAc.prototype.showSmartInputFloater =
function() {
	if (!this._siw.floater.style.display || (this._siw.floater.style.display=="none")) {
		if (!this._siw.customFloater) {
			var x = CalemInputAc.findElementPosX(this._siw.inputBox);
			var y = CalemInputAc.findElementPosY(this._siw.inputBox) + this._siw.inputBox.offsetHeight;
			//hack: browser-specific adjustments.
			if (!this._siw.isGecko && !this._siw.isWinIE) x += 8;
			if (!this._siw.isGecko && !this._siw.isWinIE) y += 10;
			this._siw.floater.style.left = x+"px"; //FF workaround.
			this._siw.floater.style.top = y+"px";
		} else {
			//you may
			//do additional things for your custom floater
			//beyond setting display and visibility
		}
		this._siw.floater.style.display="block";
		this._siw.floater.style.visibility="visible";
	}
}//showSmartInputFloater()

CalemInputAc.prototype.hideSmartInputFloater =
function() {
	if (this._siw) {
		this._siw.floater.style.display="none";
		this._siw.floater.style.visibility="hidden";
		this._siw = null;
	}//siw exists
}//hideSmartInputFloater

/**
 * Auto-completion core function
 */
CalemInputAc.prototype.processSmartInput =
function(inputBox) {
	if (!this._siw) this._siw = new smartInputWindow(this._inputEl);	
	this.setSmartInputData();
	this.processMatchResults();
}//processSmartInput()

CalemInputAc.prototype.processMatchResults =
function() {
	if (this._siw.matchCollection && (this._siw.matchCollection.length > 0)) this.selectSmartInputMatchItem(0);
	var content = this.getSmartInputBoxContent();
	if (content) {
		this.modifySmartInputBoxContent(content);
		this.showSmartInputFloater();
	} else {
		this.hideSmartInputFloater();
	}
}


CalemInputAc.prototype.simplify =
function(s) {
	return s.toLowerCase().replace(/^[ \s\f\t\n\r]+/,'').replace(/[ \s\f\t\n\r]+$/,'');
}//simplify

/** No use for this function
CalemInputAc.prototype.getUserInputToMatch =
function(s) {
	var a = s;
	fields = s.split(",");
	if (fields.length > 0) a = fields[fields.length - 1];
	return a;
}//getUserInputToMatch
*/

/** No need for this function
CalemInputAc.prototype.getUserInputBase =
function() {
	var s = this._siw.inputBox.value;
	var a = s;
	if ((lastComma = s.lastIndexOf(",")) != -1) {
		a = a.replace(/^(.*\,[ \r\n\t\f\s]*).*$/i,'$1');
	}
	else
		a = "";
	return a;
}//getUserInputBase()
*/

CalemInputAc.prototype.setSmartInputData =
function() {
	if (this._siw) {
		var orgUserInput = this._siw.inputBox.value;
		// orgUserInput = this.getUserInputToMatch(orgUserInput);
		var userInput = orgUserInput.toLowerCase().replace(/[\r\n\t\f\s]+/gi,' ').replace(/^ +/gi,'').replace(/ +$/gi,'').replace(/ +/gi,' ').replace(/\\/gi,'').replace(/\[/gi,'').replace(/\(/gi,'').replace(/\./gi,'\.').replace(/\?/gi,'');
		if (userInput && (userInput != "") && (userInput != '"')) {
			this.runMatchingLogic(userInput);
		}//if userinput not blank and is meaningful
		else {
			this._siw.matchCollection = null;
		}
	}//siw exists ... uhmkaaayyyyy
}//setSmartInputData

CalemInputAc.prototype.getSmartInputBoxContent =
function() {
	var a = null;
	if (this._siw && this._siw.matchCollection && (this._siw.matchCollection.length > 0)) {
		a = '';
		for (var i = 0;i < this._siw.matchCollection.length; i++) {
			selectedString = this._siw.matchCollection[i].isSelected ? ' acSelectedSmartInputItem' : '';
			a += '<p class="acMatchedSmartInputItem' + selectedString + '">' + this._siw.matchCollection[i].value.replace(/\{ */gi,"&lt;").replace(/\} */gi,"&gt;") + '</p>';
		}//
	}//siw exists
	return a;
}//getSmartInputBoxContent

CalemInputAc.prototype.modifySmartInputBoxContent =
function(content) {
	//todo: remove credits 'cuz no one gives a shit ;] - done
	this._siw.floaterContent.innerHTML = '<div id="acSmartInputResults">' + content + (this._siw.showCredit ? ('<p class="siwCredit">Powered By: <a target="PhrawgBlog" href="http://chrisholland.blogspot.com/?from=smartinput&ref='+escape(location.href)+'">Chris Holland</a></p>') : '') +'</div>';
	this._siw.matchListDisplay = document.getElementById("acSmartInputResults");
}//modifySmartInputBoxContent()

CalemInputAc.prototype.selectFromMouseOver =
function(o) {
	var currentIndex = this.getCurrentlySelectedSmartInputItem();
	if (currentIndex != null) this.deSelectSmartInputMatchItem(currentIndex);
	var newIndex = this.getIndexFromElement(o);
	this.selectSmartInputMatchItem(newIndex);
	this.modifySmartInputBoxContent(this.getSmartInputBoxContent());
}//selectFromMouseOver

CalemInputAc.prototype.selectFromMouseClick =
function() {
	this.activateCurrentSmartInputMatch();
	this._siw.inputBox.focus();
	this.hideSmartInputFloater();
}//selectFromMouseClick

CalemInputAc.prototype.getIndexFromElement =
function(o) {
	var index = 0;
	while(o = o.previousSibling) {
		index++;
	}//
	return index;
}//getIndexFromElement

CalemInputAc.prototype.getCurrentlySelectedSmartInputItem =
function() {
	var answer = null;
	for (var i = 0; ((i < this._siw.matchCollection.length) && !answer) ; i++) {
		if (this._siw.matchCollection[i].isSelected)
			answer = i;
	}//
	return answer;
}//getCurrentlySelectedSmartInputItem

CalemInputAc.prototype.selectSmartInputMatchItem =
function(index) {
	this._siw.matchCollection[index].isSelected = true;
}//selectSmartInputMatchItem()

CalemInputAc.prototype.deSelectSmartInputMatchItem =
function(index) {
	this._siw.matchCollection[index].isSelected = false;
}//deSelectSmartInputMatchItem()

CalemInputAc.prototype.selectNextSmartInputMatchItem =
function() {
	var currentIndex = this.getCurrentlySelectedSmartInputItem();
	if (currentIndex != null) {
		this.deSelectSmartInputMatchItem(currentIndex);
		if ((currentIndex + 1) < this._siw.matchCollection.length)
	 		this.selectSmartInputMatchItem(currentIndex + 1);
		else
			this.selectSmartInputMatchItem(0);
	} else {
		this.selectSmartInputMatchItem(0);
	}
	this.modifySmartInputBoxContent(this.getSmartInputBoxContent());
}//selectNextSmartInputMatchItem

CalemInputAc.prototype.selectPreviousSmartInputMatchItem =
function() {
	var currentIndex = this.getCurrentlySelectedSmartInputItem();
	if (currentIndex != null) {
		this.deSelectSmartInputMatchItem(currentIndex);
		if ((currentIndex - 1) >= 0)
	 		this.selectSmartInputMatchItem(currentIndex - 1);
		else
			this.selectSmartInputMatchItem(this._siw.matchCollection.length - 1);
	} else {
		this.selectSmartInputMatchItem(this._siw.matchCollection.length - 1);
	}
	this.modifySmartInputBoxContent(this.getSmartInputBoxContent());
}//selectPreviousSmartInputMatchItem

CalemInputAc.prototype.activateCurrentSmartInputMatch =
function() {
	// var baseValue = this.getUserInputBase();
	var selIndex;
	if ((selIndex = this.getCurrentlySelectedSmartInputItem()) != null) {
		// var addedValue = this._siw.matchCollection[selIndex].cleanValue;
		// var theString = (baseValue ? baseValue : "") + addedValue; //No additive here: + ", ";
		// this._siw.inputBox.value = addedValue; // theString;
		// this.runMatchingLogic(addedValue, true);
		var match=this._siw.matchCollection[selIndex];
		this._lkupEditFld.setValueByLkup(match.id, match.cleanValue);
	}
}//activateCurrentSmartInputMatch

/**
 * Smart input window
 */
function smartInputWindow(inputEl) {
	this.customFloater = false;
	this.inputBox = inputEl;
	this.floater = CalemInputAc._acFloater;
	this.floater._inputEl=inputEl;
	this.floaterContent = CalemInputAc._acFloaterContent;
	this.selectedSmartInputItem = null;
	this.MAX_MATCHES = CalemConf['auto_completion']['maxMatch'];
	//Use AjxEnv
	this.isGecko = AjxEnv.isGeckoBased; //(navigator.userAgent.indexOf("Gecko/200") != -1);
	this.isSafari = AjxEnv.isSafari; //(navigator.userAgent.indexOf("Safari") != -1);
	this.isWinIE = (AjxEnv.isWindows && AjxEnv.isIE); // ((navigator.userAgent.indexOf("Win") != -1 ) && (navigator.userAgent.indexOf("MSIE") != -1 ));
	this.showCredit = false;
}//smartInputWindow Object

//Match entry
function smartInputMatch(cleanValue, value, id) {
	this.cleanValue = cleanValue;
	this.value = value;
	this.isSelected = false;
	this.id=id;
}//smartInputMatch

//Data collection
function CalemAcCollection(recList) {
	this._recList=recList;
	this._cached=new Object();
}//CalemAcCollection

CalemAcCollection.prototype.getCachedList =
function(userInput, fullMatch) {
	if (fullMatch) {//Only interested in a full match.
		return {clist: this._cached[userInput], fullMatch: this._cached[userInput]};
	}
	
	var cl=null;
	var idx=userInput;
	while (true) {//Go by input and all the substrings
		if (this._cached[idx]) {
			cl=this._cached[idx];
			break;
		} else {
			if (idx.length > 1) {
				idx=idx.substr(0, idx.length -1);
			} else {
				break;
			}
		}
	}
	if (cl) {
		return {clist: cl, fullMatch: (idx==userInput)};
	} else {
		return {clist: this._recList, fullMatch: false};
	}
}

CalemAcCollection.prototype.addCached =
function(key, list) {
	this._cached[key]=list;
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemAcCached
 * Auto-completion
 */
function CalemAcCached(fld, lkupFld, lkupDd, controller, lkupEditFld) {
	if (arguments.length==0) return;
	CalemInputAc.call(this, fld, lkupFld, lkupDd, controller, lkupEditFld);
}

CalemAcCached.prototype = new CalemInputAc;
CalemAcCached.prototype.constructor = CalemAcCached;

CalemAcCached.prototype.toString = function() {return "CalemAcCached";}

//Loading data
CalemAcCached.prototype.loadDataOnDemand =
function(kc) {
	if (!this._collection) {//Data not loaded here yet.
		var recList=this._controller.loadCachedRecList(this._lkupDd.getTableName());
		this._collection=new CalemAcCollection(recList);
	}
	this.onKeyPressAfterDataLoaded(kc);
}

CalemAcCached.prototype.runMatchingLogic =
function(userInput, standalone) {
	var userInput = this.simplify(userInput);
	/** used a new matching algorithm for cached list
	var uifc = userInput.charAt(0).toLowerCase();
	if (uifc == '"') uifc = (n = userInput.charAt(1)) ? n.toLowerCase() : "z";
	if (standalone) userInput = uifc;
	*/
	if (this._siw) this._siw.matchCollection = new Array();
	var cached = this._collection.getCachedList(userInput);
	/** Moved to collection
	if (this._siw && this._siw.revisedCollection && (this._siw.revisedCollection.length > 0) && this._siw.lastUserInput && (userInput.indexOf(this._siw.lastUserInput) == 0)) {
		pointerToCollectionToUse = this._siw.revisedCollection;
	} else if (this.collectionIndex[userInput] && (this.collectionIndex[userInput].length > 0)) {
		pointerToCollectionToUse = this.collectionIndex[userInput];
	} else if (this.collectionIndex[uifc] && (this.collectionIndex[uifc].length > 0)) {
		pointerToCollectionToUse = this.collectionIndex[uifc];
	} else if (this._siw && (userInput.length == 1) && (!this.collectionIndex[uifc])) {
		this._siw.buildIndex = true;
	} else if (siw) {
		this._siw.buildIndex = false;
	}
	**/
	var cList=cached.clist;
	var re = new RegExp("(" + userInput + ")","i");
	if (cached.fullMatch) { //So we're done, let's get info for display.
		if (cList) {
			for (var i=0; (i< cList.length && i < this._siw.MAX_MATCHES); i++) {
				var rec=cList[i];			
				var entry=rec.getField(this._lkupFld).getRawValue();
				this._siw.matchCollection[i] = new smartInputMatch(entry, entry.replace(re,"<b>$1</b>"), rec.id); //mEntry.replace(/\>/gi,'}').replace(/\< ?/gi,'{').replace(re,"<b>$1</b>"), rec.id);
			}
		}
	} else if (cList) { //Doing a match here
		var tempList = new Array();
		
		for (i=0,j=0;(i<cList.length);i++) {
			var rec=cList[i];
			var entry=rec.getField(this._lkupFld).getRawValue();
			if (entry.toLowerCase().indexOf(userInput)==0) {
				if (j< this._siw.MAX_MATCHES) {
					this._siw.matchCollection[j] = new smartInputMatch(entry, entry.replace(re,"<b>$1</b>"), rec.id); //mEntry.replace(/\>/gi,'}').replace(/\< ?/gi,'{').replace(re,"<b>$1</b>"), rec.id);
				}
				tempList[j] = rec;
				j++
			}
		}//loop thru collection
		//Add cached list if any
		if (tempList.length > 0) {
			this._collection.addCached(userInput, tempList);
		}
	}
	
	/*
	var tempCollection = new Array();

	var re1m = new RegExp("^([ \"\>\<\-]*)("+userInput+")","i");
	var re2m = new RegExp("([ \"\>\<\-]+)("+userInput+")","i");
	var re1 = new RegExp("^([ \"\}\{\-]*)("+userInput+")","gi");
	var re2 = new RegExp("([ \"\}\{\-]+)("+userInput+")","gi");
	
	for (i=0,j=0;(i<pointerToCollectionToUse.length);i++) {
		displayMatches = ((!standalone) && (j < siw.MAX_MATCHES));
		entry = pointerToCollectionToUse[i];
		mEntry = simplify(entry);
		if (!standalone && (mEntry.indexOf(userInput) == 0)) {
			userInput = userInput.replace(/\>/gi,'\\}').replace(/\< ?/gi,'\\{');
			re = new RegExp("(" + userInput + ")","i");
			if (displayMatches) {
				siw.matchCollection[j] = new smartInputMatch(entry, mEntry.replace(/\>/gi,'}').replace(/\< ?/gi,'{').replace(re,"<b>$1</b>"));
			}
			tempCollection[j] = entry;
			j++;		
		} else if (mEntry.match(re1m) || mEntry.match(re2m)) {
			if (!standalone && displayMatches) {
				siw.matchCollection[j] = new smartInputMatch(entry, mEntry.replace(/\>/gi,'}').replace(/\</gi,'{').replace(re1,"$1<b>$2</b>").replace(re2,"$1<b>$2</b>"));
			}
			tempCollection[j] = entry;
			j++;
		}
	}//loop thru collection
	if (this._siw) {
		this._siw.lastUserInput = userInput;
		this._siw.revisedCollection = tempCollection.join(",").split(",");
		this.collectionIndex[userInput] = tempCollection.join(",").split(",");
	}
	if (standalone || this._siw.buildIndex) {
		this.collectionIndex[uifc] = tempCollection.join(",").split(",");
		if (this._siw) this._siw.buildIndex = false;
	}
	*/
}//runMatchingLogic
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
  

/**
 * CalemAcDb
 * Auto-completion for data that's not cached on the client.
 */
function CalemAcDb(fld, lkupFld, lkupDd, controller, lkupEditFld) {
	if (arguments.length==0) return;
	CalemInputAc.call(this, fld, lkupFld, lkupDd, controller, lkupEditFld);
}

CalemAcDb.prototype = new CalemInputAc;
CalemAcDb.prototype.constructor = CalemAcDb;

CalemAcDb.prototype.toString = function() {return "CalemAcDb";}

//Loading data
CalemAcDb.prototype.loadDataOnDemand =
function(kc) { //Data loading is delayed at matching time.
	this.onKeyPressAfterDataLoaded(kc);
}

CalemAcDb.prototype.runMatchingLogic =
function(userInput, standalone) {
	var userInput = this.simplify(userInput);
	/** used a new matching algorithm for cached list
	var uifc = userInput.charAt(0).toLowerCase();
	if (uifc == '"') uifc = (n = userInput.charAt(1)) ? n.toLowerCase() : "z";
	if (standalone) userInput = uifc;
	*/
	if (!this._collection) this._collection=new CalemAcCollection(null);
	var cached = this._collection.getCachedList(userInput, true);
	if (cached.fullMatch) {
		this.buildResults(userInput, cached.clist);
	} else { //Doing a remote call
		var ta=new AjxTimedAction(this, this._onAcFetch, {userInput: userInput, inputEl: this._inputEl});
		AjxTimedAction.scheduleAction(ta, CalemConf['auto_completion']['fetchDelay']);
	}
}//runMatchingLogic

CalemAcDb.prototype.buildResults =
function(userInput, clist) {
	if (!this._siw) this._siw = new smartInputWindow(this._inputEl);
	if (this._siw) this._siw.matchCollection = new Array();
	if (clist) {
		var re = new RegExp("(" + userInput + ")","i");
		for (var i=0; (i< clist.length && i < this._siw.MAX_MATCHES); i++) {
			var rec=clist[i];			
			var entry=rec.getField(this._lkupFld).getRawValue();
			this._siw.matchCollection[i] = new smartInputMatch(entry, entry.replace(re,"<b>$1</b>"), rec.id); //mEntry.replace(/\>/gi,'}').replace(/\< ?/gi,'{').replace(re,"<b>$1</b>"), rec.id);
		}
	}
}

/**
 * Soap call and wake up the Floater
 */
CalemAcDb.prototype.isAcValid =
function(param) {
	var v=this.simplify(param.inputEl.value);
	return (v==param.userInput && CalemInputAc._acFloater._inputEl==param.inputEl);
} 
CalemAcDb.prototype._onAcFetch =
function(param) {
	//Check for validity before call is made.
	if (this.isAcValid(param)) {
		var cb=new AjxCallback(this, this._onAcFetchCb, param);
		this._controller.fetchAcList(param.userInput, this._lkupFld, this._lkupDd, cb);	
	}
} 

CalemAcDb.prototype._onAcFetchCb =
function(param, resultList) {
	var recList=resultList[this._lkupDd.getTableName()];
	var clist= (recList ? recList.getList() : null);
	this._collection.addCached(param.userInput, clist);
	if (this.isAcValid(param)) {
		this.buildResults(param.userInput, recList.getList());
		this.processMatchResults(); //continue on displaying the results.
	}
} 


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
/**
 * CalemEditLookup
 * This is the general edit lookup field.
 * Use <id, value, valid> tuple to keep track of validity so that 
 * a real validation is performed only when the value is changed.
 */
function CalemEditLookup(param) {
	if (arguments.length==0) return;
	DwtComposite.call(this, param.parent, param.className, param.posStyle);
	this._createControl(param);
	//callback from validation
	this._validatorCallback = new AjxCallback(this, this.onValidatorCallback);
	this._validity=new CalemValueValidity(null, null, true);
	this._errorMsg=CalemMsg.getMsg("lookup_invalid");
} 

CalemEditLookup.prototype = new DwtComposite;
CalemEditLookup.prototype.constructor = CalemEditLookup;

CalemEditLookup.prototype.toString = function() { return "CalemEditLookup"; }

CalemEditLookup.prototype._createControl  =
function(param) {
	var el=this.getHtmlElement();
	var editFieldId = Dwt.getNextId();
	var editLookupId = Dwt.getNextId();
	el.innerHTML=["<table cellspacing='0' cellpadding='0'><tr>",
	              "<td id=", editFieldId, "></td>",
	              "<td id=", editLookupId, " class=CalemEditLookupTd> </td>",
	              "</tr></table>"].join('');
	//Get the elements
	this._editFieldEl=document.getElementById(editFieldId);
	this._editLookupEl=document.getElementById(editLookupId);	              
	//Two components for 	              
	this._editField=this._createInputField(param);
	this._editField.setValidatorFunction(this, this.onValidator);
	//Lookup
	this._editLookup=new CalemEditLookupButton(param.parent);
	this._editLookup.setEditControl(this);
	//Link fields to the control
	this._editField.reparentHtmlElement(this._editFieldEl);
	this._editLookup.reparentHtmlElement(this._editLookupEl);	
}

CalemEditLookup.prototype._createInputField =
function(param) {
	return new CalemInputField(param);
}

CalemEditLookup.prototype.getEditField =
function() {
	return this._editField;
}

//Some initialization
CalemEditLookup.prototype.setValidStringLengths =
function(min, max) {
	this._editField.setValidStringLengths(min, max);
}

CalemEditLookup.prototype.setValue =
function(id, val, noValidate) {
	this._editField.setValue(val, noValidate);
	if (noValidate) {//guard against required.
		if (!id && this._editField._required) {
			this._validity.set(id, val,false);
		} else {
			this._validity.set(id, val,true);
		}
	}
}

CalemEditLookup.prototype.setValueByLkup =
function(id, val) {
	this._validity.set(id, val, true);
	this._editField.setValue(val, true);
	//Also notify controller
	if (this._vcCallback) this._vcCallback.run(this._editField, true, val);
	//clear errors if any.
	this._editField._clearFieldError();
}

/**
 * Required must be set prior to editing.
 */
CalemEditLookup.prototype.setRequired =
function() {
	this._editField.setRequired(true);
	this._validity.set(null, null, false);
}

CalemEditLookup.prototype.setLookupForm =
function(fmId) {
	this._editLookup.setLookupForm(fmId);
}

CalemEditLookup.prototype.setController =
function(controller) {
	this._controller=controller;
	this._editLookup.setController(controller);
}

//Setup AC
CalemEditLookup.prototype.setupAc =
function(fld, lkupFld, lkupDd) {
	if (this._controller.getInputAcEnabled(fld)) {
		if (lkupDd.isMemoryCached()) {
			this._ac=new CalemAcCached(fld, lkupFld, lkupDd, this._controller, this);
		} else {
			this._ac=new CalemAcDb(fld, lkupFld, lkupDd, this._controller, this);
		}
	}
}

CalemEditLookup.prototype.focus =
function() {
	this._editField.focus();
}

CalemEditLookup.prototype.clearErrorFlag =
function() {
	if (this._editField._hasFieldError()) {
		this.setValue(null, '', true);
		this._editField._clearFieldError();
	}
}

/**
 * Intercept validator call to optimize validation since lookup validation could be 
 * a soap call to be backend. 
 */
//For simplicity, it's required that both obj and func be valid. 
CalemEditLookup.prototype.setValidator =
function(obj, func) {
	this._validator = {obj: obj, func: func};
	this._editField.setValidatorFunction(this, this.onValidator);
} 

//Validator call
CalemEditLookup.prototype.onValidator =
function(value) {
	//Check for null case.
	if (!value) {
		if (this._editField._required) {
			this._validity.set(null, null, false);
			throw AjxMsg.valueIsRequired;
		} else {
			this._validity.set(null, null, true);
			//return null to parent control to clear error if any.
			return null;
			/** seems for null value exception is not necessary
			this._editField._clearFieldError();
			throw new Object(); //for DwtInputField not to change validity.
			*/
		}
	}
	//Check for changes
	if (value!=this._validity._value) {
		//Otherwise might be an expensive call - need to bring back the id value.
		this._validator.func.call(this._validator.obj, value, this._validatorCallback);
	}
	//Throw an exception to break DwtInput's loop to avoid race condition.
	throw new Object();
}

CalemEditLookup.prototype.getValidatorCallback =
function() {
	return this._validatorCallback;
}

//Validator callback
CalemEditLookup.prototype.onValidatorCallback =
function(id, value, valid) {
	var origValid=this._validity._valid;
	this._validity.set(id, value, valid); //Cache the result here.
	if (CalemDebug.isDebug()) CalemDebug.debug("after onValidator call, validity="+this._validity);
	//Now let's set error indicators properly based on the new value.
	if (valid) {
		this._editField._clearFieldError();
	} else {
		this._editField.setFieldError(this._errorMsg);
	}
	//Invoking validation callback
	this._vcCallback.run(this._editField, valid, value);
}

/**
 * ValidationCall back is also intercepted for optimization.
 */
CalemEditLookup.prototype.setValidationCallback =
function(callback) {
	this._vcCallback=callback;
} 

CalemEditLookup.prototype.setFieldInfo =
function(info) {
	this._editField.setFieldInfo(info);
	this._editLookup.setFieldInfo(info);
} 

/**
 * Overwrite isValid to use only cached result.
 */
CalemEditLookup.prototype.isValid =
function() {
	if (!this._validity._valid) throw (this._errorMsg+", id="+this._validity._id+", value="+this._validity._value);
	return true;
}

//This is native type
CalemEditLookup.prototype.getFieldValue =
function() {
	return this._validity._id;
} 

//This is server type.
CalemEditLookup.prototype.getEditFieldServerValue =
function() {
	return this.getFieldValue();
} 

CalemEditLookup.prototype.setFieldError =
function(errMsg) {
	this._editField.setFieldError(errMsg);
} 

CalemEditLookup.prototype.getValidity =
function() {
	return this._validity;
}

/**
 * Enable/disable
 */
CalemEditLookup.prototype.enable =
function() {
	this._editField.enable();
	this._editLookup.setEnabled(true);
}

CalemEditLookup.prototype.disable =
function() {
	this._editField.disable();
	this._editLookup.setEnabled(false);
}

CalemEditLookup.prototype.setReadOnly =
function() {
	this.disable();
}

/**
 * Validity object storing id, value and valid.
 */
function CalemValueValidity(id, value, valid) {
	if (arguments.length==0) return;
	this.set(id, value, valid);
} 

CalemValueValidity.prototype.set = 
function(id, value, valid) {
	this._id=id;
	this._value=value;
	this._valid=valid;
}

CalemValueValidity.prototype.sameValue = 
function(value, isValid) {
	return (this._value==value && this._valid==isValid);
}

CalemValueValidity.prototype.toString =
function() {
	return ["{id=", this._id, ", value=", this._value, ", valid="+this._valid, "}"].join('');
}

/**
 * Edit lookup text
 */
function CalemEditTextLookup(param) {
	if (arguments.length==0) return;
	CalemEditLookup.call(this, param);
} 

CalemEditTextLookup.prototype = new CalemEditLookup;
CalemEditTextLookup.prototype.constructor = CalemEditTextLookup;
 
CalemEditTextLookup.prototype._createInputField =
function(param) {
	return new CalemEditText(param);
} 

/**
 * CalemEditLookupButton
 * This is the lookup button for edit field.
 */
function CalemEditLookupButton(parent, style, className, posStyle) {
	if (arguments.length==0) return; 
	className= className || 'TBButton';
	DwtButton.call(this, parent, style, className, posStyle);
	//init the control
	this._initControl();
} 

CalemEditLookupButton.prototype = new DwtButton;
CalemEditLookupButton.prototype.constructor = CalemEditLookupButton;

CalemEditLookupButton.prototype.toString = function() { return "CalemEditLookupButton"; }

CalemEditLookupButton.prototype._initControl  =
function(param) {
	//Creating a callback for lookup form to set up value.
	this._lkupCallback = new AjxCallback(this, this._onLkupCallback);
	//Creating a listener for the button
	this._clickListener = new AjxListener(this, this.onButtonClick);
	this.addSelectionListener(this._clickListener);
	//Set up the text here.
	this.setImage('CalemLookup');
} 

CalemEditLookupButton.prototype.setLookupForm =
function(fmId) {
	this._fmId=fmId;
}

CalemEditLookupButton.prototype.setController =
function(controller) {
	this._controller=controller;
}

CalemEditLookupButton.prototype.setEditControl =
function(editCtrl) {
	this._editCtrl = editCtrl;
}

CalemEditLookupButton.prototype.setFieldInfo =
function(fldInfo) {
	this._fldInfo = fldInfo;
}

//Pop up
CalemEditLookupButton.prototype.onButtonClick =
function(ev) {
	//To embed form
	var id=this._editCtrl.getFieldValue();
   this._controller.onLookup(this._fmId, this._lkupCallback, id, this._fldInfo.fld);
}

//Lookup callback
CalemEditLookupButton.prototype._onLkupCallback =
function(rec) {
	this._editCtrl.setValueByLkup(rec.id, rec.getField(this._fldInfo.lkupFld).getRawValue());
	this._controller.onLookupSelect(this._fldInfo.fld, rec);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemEditDropdown
 * This is the dropdown control.
 */
function CalemEditDropdown(parent, valueList) {
	if (arguments.length==0) return;
	DwtComposite.call(this, parent);
	//Prepare the values from the value
	this._valueList=valueList;
	this._initControl();
}

CalemEditDropdown.prototype = new DwtComposite;
CalemEditDropdown.prototype.constructor = CalemEditDropdown;

CalemEditDropdown.prototype.toString = function() {return "CalemEditDropdown";}

//Relayout so it's aligned and error flag.
CalemEditDropdown.prototype._initControl =
function() {
	var selectId = Dwt.getNextId();
	var errorIconId = Dwt.getNextId();
	var el = this.getHtmlElement();
	el.innerHTML=["<table cellspacing='0' cellpadding='0'><tr>", 
	           "<td style='padding-right:2px;'id='", errorIconId, "'></td>",
	           "<td id=", selectId, "></td>",
	           "</tr></table>"].join('');

	this._selectEl=document.getElementById(selectId);
	//Init error icon to none.
	this._errorIconTd = document.getElementById(errorIconId);
	this._errorIconTd.vAlign = "middle";
	this._errorIconTd.innerHTML = DwtInputField._NOERROR_ICON_HTML;
	//Init values for DwtSelect
	var values=[];
	for (var i=0; i< this._valueList.length; i++) {
		values.push(this._valueList[i].msg);
	}
	this._control=new DwtSelect(this.parent, values);
	this._control.reparentHtmlElement(this._selectEl);
	//Init a change listener
	this._control.addChangeListener(new AjxListener(this, this.onFieldChange));
}
/**
 * Control interfaces with render.
 */
CalemEditDropdown.prototype.setFieldInfo =
function(info) {
	this._fieldInfo=info;
}

CalemEditDropdown.prototype.getFieldInfo =
function() {
	return this._fieldInfo;
}

//Validation callback
CalemEditDropdown.prototype.setValidationCallback =
function(vcCallback) {
	this._vcCallback=vcCallback;
}

//Only string type
CalemEditDropdown.prototype.getFieldValue =
function() {
	return this._value; //This is only for string type.
} 

//Only string type
CalemEditDropdown.prototype.getEditFieldServerValue =
function() {
	return this.getFieldValue(); //This is only for string type.
} 


CalemEditDropdown.prototype.setFieldError =
function(errMsg) {
	//No errors for this field
} 

CalemEditDropdown.prototype._clearFieldError =
function() {
  //no action.
}

CalemEditDropdown.prototype.setValue =
function(value, noValidation) {
  this._value=value;
  if (noValidation) {
  	  var backup=this._vcCallback;
  	  this._vcCallback=null;
  	  this._setSelectedByValue();
  	  this._vcCallback=backup;
  } else {
  	  this._setSelectedByValue();
  }
}

CalemEditDropdown.prototype._setSelectedByValue =
function() {
  var idx;
  var found=false;
  for (var i=0; i< this._valueList.length; i++) {
  		if (this._value==this._valueList[i].id) {
  			idx=i;
  			found=true;
  			break;
  		}
  }
  if (found) {
  	 this._control.setSelectedValue(this._valueList[idx].msg);
  } else {
  	 this._control.setSelected(0);
  	 this._value=null;
  }
}

// field change event
CalemEditDropdown.prototype.onFieldChange =
function(ev) {
	var idx=this._control.getSelectedIndex();
	this._value=this._valueList[idx].id;
	//Notify controller
	if (this._vcCallback) this._vcCallback.run(this, true, this.getFieldValue());
}

CalemEditDropdown.prototype.focus =
function() {
	//
}

CalemEditDropdown.prototype.setReadOnly =
function() {
	this._control.disable();
}

//Always valid.
CalemEditDropdown.prototype.isValid =
function() {
	return true;
}

CalemEditDropdown.prototype.enable =
function() {
	this._control.enable();
} 

CalemEditDropdown.prototype.disable =
function() {
	this._control.disable();
}



/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemEditTime
 * This is the time edit control
 */
function CalemEditTime(param) {
	if (arguments.length==0) return;
	DwtControl.call(this, param.parent);
	this._editFormatter=CalemTextUtil.getFormatter(CalemTextUtil.TIME_EDIT_FORMATTER);
	this._createControl(param);
} 

CalemEditTime.prototype = new DwtControl;
CalemEditTime.prototype.constructor = CalemEditTime;

CalemEditTime.prototype.toString = function() { return "CalemEditTime"; }

//create control
CalemEditTime.prototype._createControl  =
function(param) {	
	var el=this.getHtmlElement();
	var timeFieldId = Dwt.getNextId();
	var promId = Dwt.getNextId();
	var prompt=CalemEditTime.getTimePrompt(this._editFormatter);
	el.innerHTML=["<table cellspacing='0' cellpadding='0'><tr>",
	              "<td id=", timeFieldId, "></td>",
	              "<td><div class=CalemTimePrompt>", prompt, "</div></td>",
	              "</tr></table>"].join('');
	//Get the elements
	this._timeFieldEl=document.getElementById(timeFieldId);	              
	//Two components for 	              
	this._timeField=new CalemInputField(param);
	//set validator
	this._timeField.setValidatorFunction(this, this.onValidator);
	//Reparent the control
	this._timeField.reparentHtmlElement(this._timeFieldEl);
}

//Get date prompt
CalemEditTime.getTimePrompt = 
function(format) {
	if (!CalemEditTime._time_prompt) {
		var prompt=CalemConf["text_formatter"]['timePrompt'];
		var ar=[CalemConf["text_formatter"].time.edit, format.format(new Date())];
		CalemEditTime._time_prompt=AjxMessageFormat.format(prompt, ar);
	}
	return CalemEditTime._time_prompt;
}

//Some initialization
CalemEditTime.prototype.setValidStringLengths =
function(min, max) {
	this._timeField.setValidStringLengths(min, max);
}

CalemEditTime.prototype.setValue =
function(val, noValidate) {
	this._timeField.setValue(val, noValidate);
}

CalemEditTime.prototype.setTime =
function(date, noValidation) {
	this.setValue(this._editFormatter.format(date), noValidation);
}

CalemEditTime.prototype.setRequired =
function() {
	this._timeField.setRequired(true);
}

CalemEditTime.prototype.focus =
function() {
	this._timeField.focus();
}

//Validation function
CalemEditTime.prototype.onValidator = 
function(value) {
	if ( this._timeField._required && !value) throw AjxMsg.valueIsRequired;
	return CalemTextUtil.isLocalTimeValid(value);
}

/**
 * Validation
 */
CalemEditTime.prototype.setValidationCallback =
function(callback) {
	this._timeField.setValidationCallback(callback);
} 

CalemEditTime.prototype.setFieldInfo =
function(info) {
	this._timeField.setFieldInfo(info);
} 

CalemEditTime.prototype.isValid =
function() {
	this._timeField.isValid();
	return true;
}

CalemEditTime.prototype.getFieldLocalValue =
function() {
	var date;
	var val=this._timeField.getValue();
	if (val) {
		date = this._editFormatter.parse(val);
	}
	return date;
}

//This is native type
CalemEditTime.prototype.getFieldValue =
function() {
	var date=this.getFieldLocalValue();
	//m-38 convert to GMT
	if (date) date=CalemTextUtil.localTimeToGmt(date);
	return date;
} 

//This is server type.
CalemEditTime.prototype.getEditFieldServerValue =
function() {
	var rtn;
	var date=this.getFieldValue();
	if (date) { //Format it for server use
		rtn=CalemTextUtil.formatServerTime(date);
	}
	return rtn;
} 

CalemEditTime.prototype.setFieldError =
function(errMsg) {
	this._timeField.setFieldError(errMsg);
} 

CalemEditTime.prototype.clearFieldError =
function() {
	this._timeField._clearFieldError();
} 

CalemEditTime.prototype.enable =
function() {
	this._timeField.enable();
} 

CalemEditTime.prototype.disable =
function() {
	this._timeField.disable();
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemEditBoolean
 * This is the Boolean control.
 */
function CalemEditBoolean(parent) {
	if (arguments.length==0) return;
	DwtControl.call(this, parent);
	//Prepare the values from the value
	this._initControl();
}

CalemEditBoolean.prototype = new DwtControl;
CalemEditBoolean.prototype.constructor = CalemEditBoolean;

CalemEditBoolean.prototype.toString = function() {return "CalemEditBoolean";}

//Relayout so it's aligned and error flag.
CalemEditBoolean.prototype._initControl =
function() {
	var inputId = Dwt.getNextId();
	var errorIconId = Dwt.getNextId();
	var el = this.getHtmlElement();
	el.innerHTML=["<table cellspacing='0' cellpadding='0'><tr>", 
	           "<td style='padding-right:2px;'id='", errorIconId, "'></td>",
	           "<td><input type='checkbox' id=", inputId, " class=CalemEditCheckbox></td>",
	           "</tr></table>"].join('');

	this._inputField=document.getElementById(inputId);
	this._inputField.onclick = CalemEditBoolean._onClick;
	//Init error icon to none.
	this._errorIconTd = document.getElementById(errorIconId);
	this._errorIconTd.vAlign = "middle";
	this._errorIconTd.innerHTML = DwtInputField._NOERROR_ICON_HTML;
	this._readonly=false;
}
/**
 * Control interfaces with render.
 */
CalemEditBoolean.prototype.setFieldInfo =
function(info) {
	this._fieldInfo=info;
}

CalemEditBoolean.prototype.getFieldInfo =
function() {
	return this._fieldInfo;
}

CalemEditBoolean.prototype.setReadOnly =
function() {
	this._readonly=true;
}

//Validation callback
CalemEditBoolean.prototype.setValidationCallback =
function(vcCallback) {
	this._vcCallback=vcCallback; //Need this so we can report a change.
}

//Only string type
CalemEditBoolean.prototype.getFieldValue =
function() {
	return (this._inputField.checked ? 1 : 0);
} 

//Only string type
CalemEditBoolean.prototype.getEditFieldServerValue =
function() {
	return this.getFieldValue(); //This is only for string type.
} 


CalemEditBoolean.prototype.setFieldError =
function(errMsg) {
	//No errors for this field
} 

CalemEditBoolean.prototype._clearFieldError =
function() {
  //no action.
}

CalemEditBoolean.prototype.setValue =
function(value, noValidation) {
	if (noValidation) {//do not fire event.
		var backup=this._vcCallback;
		this._vcCallback=null;
		this._inputField.checked= value ? true : false;
		this._vcCallback=backup;
	} else {
		this._inputField.checked= value ? true : false;
	}
	this._value=this._inputField.checked;
}

CalemEditBoolean.prototype.setController =
function(controller) {
	this._controller=controller;
}

//Focus method
CalemEditBoolean.prototype.focus =
function() {
	this._inputField.focus();
}

CalemEditBoolean.prototype.onFieldChanged =
function() {
	if (this._readonly) {
		this._inputField.checked=this._value;
		return;
	}
	if (this._vcCallback) this._vcCallback.run(this, true, this.getFieldValue());
}

CalemEditBoolean.prototype.isValid =
function() {
	return true;
}

//Detecting change.
CalemEditBoolean._onClick =
function(ev) {
	var keyEv = DwtShell.keyEvent;
	keyEv.setFromDhtmlEvent(ev);

	var obj = keyEv.dwtObj;
	var keyCode = keyEv.keyCode;
	if (obj.onFieldChanged) {
		obj.onFieldChanged();	
	}
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemEditMultiSelect
 * Multi-selection object.
 */
function CalemEditMultiSelect(param) {
	if (arguments.length==0) return;
	DwtControl.call(this, param.parent, param.className, param.posStyle);
	this._createControl(param);
} 

CalemEditMultiSelect.prototype = new DwtControl;
CalemEditMultiSelect.prototype.constructor = CalemEditMultiSelect;

CalemEditMultiSelect.prototype.toString = function() { return "CalemEditMultiSelect"; }

CalemEditMultiSelect.prototype._createControl  =
function(param) {
	this._items=param.items;
	//Creating the control now.
	var selectId = Dwt.getNextId();
	var errorIconId = Dwt.getNextId();
	var el = this.getHtmlElement();
	var html=[];
	var i=0;
	html[i++]=["<table cellspacing='0' cellpadding='0'><tr>", 
	           "<td style='padding-right:2px;'id='", errorIconId, "'></td>",
	           "<td><select id=", selectId, " class=CalemEditMultiSelectTd multiple=true size=", param.size, ">"].join('');           
	//Build the select
	var k=0;
	this._indexMap=new Object();
	for (var j in this._items) {
		html[i++]=["<option value='", j, "'>", this._items[j], "</option>"].join(''); //No use of label/value to work with FF.
		this._indexMap[j]=k++;
	}	           
	html[i++]="</select></td></tr></table>";
	el.innerHTML=html.join('');
	this._selectEl=document.getElementById(selectId);
	//Init error icon to none.
	this._errorIconTd = document.getElementById(errorIconId);
	this._errorIconTd.vAlign = "middle";
	this._errorIconTd.innerHTML = DwtInputField._NOERROR_ICON_HTML;
	//Get callback 
	this._selectEl.onchange=CalemEditMultiSelect._onChange;  
	//Set callback to render
	if (param.callback) {
		this._onChangeCallback=param.callback;
	}
}

CalemEditMultiSelect.prototype.setChangeCallback =
function(callback) {
	this._onChangeCallback=callback;
}

CalemEditMultiSelect._onChange =
function(ev) {
	var obj = DwtUiEvent.getDwtObjFromEvent(ev);
	if (obj && obj._onSelectChange) {
		obj._onSelectChange();
	}
}

CalemEditMultiSelect.prototype._onSelectChange =
function() {
	if (this._onChangeCallback) {
		this._onChangeCallback.run(this._getSelected());
	}
}

CalemEditMultiSelect.prototype._getSelected =
function() {
	var selected=[];
	var options=this._selectEl.options;
	for (var i=0; i< options.length; i++) {
		if (options[i].selected) selected.push(options[i].value);
	}
	return selected;
}

CalemEditMultiSelect.prototype.setSelected =
function(selected) {
	var options=this._selectEl.options;
	for (var i=0; i< options.length; i++) {
		options[i].selected=false;
	}
	for (var i=0; i< selected.length; i++) {
		options[this._indexMap[selected[i]]].selected=true;
	}
}

CalemEditMultiSelect.prototype.setValidationCallback =
function(vcCallback) {
	this._vcCallback = vcCallback;
}

CalemEditMultiSelect.prototype.setFieldInfo =
function(fldInfo) {
	this._fieldInfo=fldInfo;	
}

CalemEditMultiSelect.prototype.getFieldInfo =
function(fldInfo) {
	return this._fieldInfo;	
}

CalemEditMultiSelect.prototype.isValid =
function() {
	return true;
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemEditPassword
 * This is the password editor.
 */
function CalemEditPassword(param) {
	if (arguments.length==0) return;
	DwtComposite.call(this, param.parent, param.className, param.posStyle);
	this._createControl(param);
} 

CalemEditPassword.prototype = new DwtComposite;
CalemEditPassword.prototype.constructor = CalemEditPassword;

CalemEditPassword.prototype.toString = function() { return "CalemEditPassword"; }

CalemEditPassword.prototype._createControl  =
function(param) {
	var el=this.getHtmlElement();
	var fieldId = Dwt.getNextId();
	var retypeId = Dwt.getNextId();
	var style=param.style || CalemConst.LAYOUT_HORIZONTAL;
	if (style==CalemConst.LAYOUT_HORIZONTAL) {
		el.innerHTML=["<table cellspacing='0' cellpadding='0'><tr>",
	              "<td id=", fieldId, "></td>",
	              "<td class=CalemRetypePrompt>", CalemMsg.getMsg('retype'), ":", "</td>",
	              "<td id=", retypeId, "> </td>",
	              "</tr></table>"].join('');
	} else {
		el.innerHTML=["<table cellspacing='0' cellpadding='0'>",
	              "<tr> <td id=", fieldId, "></td> </tr>",
	              "<tr> <td class=CalemRetypePromptBack>", CalemMsg.getMsg('retype'),"</td>",
	              "<td id=", retypeId, "> </td>",
	              "</tr></table>"].join('');
	}
	//Get the elements
	this._fieldEl=document.getElementById(fieldId);
	this._retypeEl=document.getElementById(retypeId);	              
	//Two components for 	              
	this._field=new CalemInputField(param);
	this._retypeField=new CalemInputField(param);
	//Link these fields to els
	this._field.reparentHtmlElement(this._fieldEl);
	this._retypeField.reparentHtmlElement(this._retypeEl);
	//validator
	this._field.setValidatorFunction(this, this.onFieldValidator);		
	this._retypeField.setValidatorFunction(this, this.onRetypeValidator);
}

//Some initialization
CalemEditPassword.prototype.setValidStringLengths =
function(min, max) {
	this._field.setValidStringLengths(min, max);
	this._retypeField.setValidStringLengths(min, max);
}

CalemEditPassword.prototype.setValue =
function(val, noValidate) {
	this._field.setValue(val, noValidate);
	this._retypeField.setValue(val, noValidate);
}

CalemEditPassword.prototype.setRequired =
function() {
	this._field.setRequired(true);
	this._retypeField.setRequired(true);
}

CalemEditPassword.prototype.focus =
function() {
	this._field.focus();
}

/**
 * Validation
 */
CalemEditPassword.prototype.setValidationCallback =
function(callback) {
	this._field.setValidationCallback(callback);
	this._retypeField.setValidationCallback(callback);
} 

CalemEditPassword.prototype.setFieldInfo =
function(info) {
	this._field.setFieldInfo(info);
	this._retypeField.setFieldInfo(info);
} 

CalemEditPassword.prototype.onFieldValidator =
function(value) {
	this._onValidator(value);
}

CalemEditPassword.prototype.onRetypeValidator =
function(value) {
	this._onValidator(value);
}

CalemEditPassword.prototype._onValidator =
function(value) {
	if ( this._field._required && (!this._field.getValue() || !this._retypeField.getValue)) throw AjxMsg.valueIsRequired;
	var valid= (this._field.getValue()==this._retypeField.getValue());
	if (valid) {
		this._field._clearFieldError();
		this._retypeField._clearFieldError();
	} else {
		var msg=CalemMsg.getMsg('retype_error');
		this._field.setFieldError(msg);
		this._retypeField.setFieldError(msg);
		throw msg;
	}
	return value;
}

CalemEditPassword.prototype.isValid =
function() {
	this._onValidator();
	return true;
}

//This is native type
CalemEditPassword.prototype.getFieldValue =
function() {
	return this._field.getValue();
} 

//This is server type.
CalemEditPassword.prototype.getEditFieldServerValue =
function() {
	return this._field.getValue();
} 

CalemEditPassword.prototype.setFieldError =
function(errMsg) {
	this._field.setFieldError(errMsg);
	this._retypeField.setFieldError(errMsg);
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
/**
 * CalemEditSchedule
 * This is the time edit control
 */
function CalemEditSchedule(param) {
	if (arguments.length==0) return;
	DwtComposite.call(this, param.parent);
	this._param=param;
	this._createControl();
	//Validation callback
	this._vdCallbackProxy = new AjxCallback(this, this.onVdCallbackProxy);
} 

CalemEditSchedule.prototype = new DwtComposite;
CalemEditSchedule.prototype.constructor = CalemEditSchedule;

CalemEditSchedule.prototype.toString = function() { return "CalemEditSchedule"; }

//create control
CalemEditSchedule.prototype._createControl  =
function() {	
	//internal data mappings
	this._radioGroups=new Object();
	this._createCommon();
	this._createWeeklyData();
	this._createWeeksData();
	this._createMonthsData();
	this._createDaysData();
	this._createDatesData();
	
	var html=new Array();
	var i=0;
	html[i++]="<table class=CalemEditScheduleTable><tr>";
	html[i++]=["<td><input type='radio' class=CalemEditScheduleRadio name='schedule', id=", this._radioGroups['weekly']._id,
	            ">", CalemMsg.getMsg("schedule_weekly"), "</td>"].join('');
	html[i++]="<td><table class=CalemScheduleWeeklyTable><tr>";
	for (var j=0; j< 7; j++) {
		html[i++]=["<td><input class=CalemEditScheduleCheckBox type='checkbox' id=", this._dow[j]._id, 
		           ">", this._weekDays[j].msg, "</td>"].join('');
	};
	html[i++]="</tr></table></td></tr>";
	//weeks
	html[i++]=["<tr><td><input type='radio' class=CalemEditScheduleRadio name='schedule', id=", this._radioGroups['weeks']._id,
			     ">", CalemMsg.getMsg("schedule_weeks"), "</td>"].join('');
	html[i++]="<td><table class=CalemEditScheduleWeeksTable><tr>";
	html[i++]=["<td class=CalemEditScheduleWeeksTd id=", this._weeks._id, "></td>"].join('');
	html[i++]=["<td class=CalemEditScheduleWeeksOnTextTd>", CalemMsg.getMsg("schedule_on"), "</td>"].join('');
	html[i++]=["<td class=CalemEditScheduleWeeksOnTd id=", this._weeksOn._id, "></td>"].join('');
	html[i++]="</tr></table></td></tr>"
	//months
	html[i++]=["<tr><td><input type='radio' class=CalemEditScheduleRadio name='schedule', id=", this._radioGroups['months']._id,
			     ">", CalemMsg.getMsg("schedule_months"), "</td>"].join('');
	html[i++]="<td><table class=CalemEditScheduleMonthsTable><tr>";
	html[i++]=["<td class=CalemEditScheduleMonthsTd id=", this._months._id, "></td>"].join('');
	html[i++]=["<td class=CalemEditScheduleMonthsOnTextTd>", CalemMsg.getMsg("schedule_on"), "</td>"].join('');
	html[i++]=["<td class=CalemEditScheduleMonthsOnTd id=", this._monthsOn._id, "></td>"].join('');
	html[i++]=["<td class=CalemEditScheduleMonthsOnDowTd id=", this._monthsOnDow._id, "></td>"].join('');
	html[i++]="</tr></table></td></tr>"
	//days
	html[i++]=["<tr><td><input type='radio' class=CalemEditScheduleRadio name='schedule', id=", this._radioGroups['days']._id,
			     ">", CalemMsg.getMsg("schedule_days"), "</td>"].join('');
	html[i++]="<td><table class=CalemEditScheduleDaysTable><tr>";
	html[i++]=["<td class=CalemEditScheduleDaysTd id=", this._days._id, "></td>"].join('');
	html[i++]="</tr></table></td></tr>"
	//dates
	html[i++]="<tr><td colSpan=2><table class=CalemEditScheduleDatesTable><tr>";
	html[i++]=["<td class=CalemEditScheduleLabelText>", CalemMsg.getMsg("schedule_start"), ":", "</td>"].join('');
	html[i++]=["<td class=CalemEditScheduleDateTd id=", this._startDate._id, "></td>"].join('');
	html[i++]=["<td class=CalemEditScheduleLabelText>", CalemMsg.getMsg("schedule_until"), ":", "</td>"].join('');
	html[i++]=["<td class=CalemEditScheduleDateTd id=", this._endDate._id, "></td>"].join('');
	//done
	html[i++]="</tr></table></td></tr></table>";
	//Set html layout.
	var el=this.getHtmlElement();
	el.innerHTML=html.join('');
	//Now continue layout and binding
	for (var i in this._radioGroups) {
		this._radioGroups[i]._el=document.getElementById(this._radioGroups[i]._id);
		this._radioGroups[i]._el.onclick = CalemEditSchedule._onRadioClick;
	}
	this._bindWeekly();
	this._bindWeeks();
	this._bindMonths();
	this._bindDays();
	this._bindDates();
}

CalemEditSchedule.prototype._createCommon =
function() {
	this._weekDays=[];
	var conf=CalemConf['edit_schedule']['dow_short'];
	for (var i=0; i< conf.length; i++) {
		this._weekDays.push({id: conf[i], msg: CalemMsg.getMsg(conf[i])});
	}
	
	//Creating select for month
	this._weekNos=[];
	conf=CalemConf['edit_schedule']['week_no'];
	for (var i=0; i< conf.length; i++) {
		this._weekNos.push({id: conf[i], msg: CalemMsg.getMsg(conf[i])});
	}
}

/**
 * Weekly data
 */
CalemEditSchedule.prototype._createWeeklyData =
function() {
	this._radioGroups['weekly']=new Object();
	this._radioGroups['weekly']._id=Dwt.getNextId();
	this._dow=new Array();
	for (var i=0; i< 7; i++) {
		var o=new Object();
		o._id=Dwt.getNextId();
		this._dow.push(o);
	}
}
 
CalemEditSchedule.prototype._bindWeekly =
function() {
	for (var i=0; i< 7; i++) {
		this._dow[i]._el=document.getElementById(this._dow[i]._id);
		this._dow[i]._el.onclick = CalemEditSchedule._onWeekdayClick;
	}
	this._radioGroups['weekly']._enableCallback=new AjxCallback(this, this._enableWeekly);
	this._radioGroups['weekly']._disableCallback=new AjxCallback(this, this._disableWeekly);
	this._radioGroups['weekly']._setterCallback=new AjxCallback(this, this._setWeekly);
	this._radioGroups['weekly']._getterCallback=new AjxCallback(this, this._getWeekly);
}

/**
 * Weeks
 */
CalemEditSchedule.prototype._createWeeksData =
function() {
	this._radioGroups['weeks']=new Object();
	this._radioGroups['weeks']._id=Dwt.getNextId();
	this._weeks=new Object();
	this._weeks._id=Dwt.getNextId();
	this._weeksOn=new Object();
	this._weeksOn._id=Dwt.getNextId();
}

CalemEditSchedule.prototype._bindWeeks =
function() {
	this._weeks._el = document.getElementById(this._weeks._id);
	this._weeksOn._el = document.getElementById(this._weeksOn._id);
	//Render integer field.
	this._weeks._fld = new CalemInputField({parent: this, type: DwtInputField.INTEGER, 
	              size: 2, errorIconStyle: CalemConf['view_engine']['field']['inputErrorIcon']});
	this._weeks._fld.reparentHtmlElement(this._weeks._el);
	//Render onSelect
	this._weeksOn._fld = new CalemEditDropdown(this, this._weekDays);
	this._weeksOn._fld.reparentHtmlElement(this._weeksOn._el);
	
	this._radioGroups['weeks']._enableCallback=new AjxCallback(this, this._enableWeeks);
	this._radioGroups['weeks']._disableCallback=new AjxCallback(this, this._disableWeeks);
	this._radioGroups['weeks']._setterCallback=new AjxCallback(this, this._setWeeks);
	this._radioGroups['weeks']._getterCallback=new AjxCallback(this, this._getWeeks);
}

/**
 * Months
 */
CalemEditSchedule.prototype._createMonthsData =
function() {
	this._radioGroups['months']=new Object();
	this._radioGroups['months']._id=Dwt.getNextId();
	
	this._months=new Object();
	this._months._id=Dwt.getNextId();
	this._monthsOn=new Object();
	this._monthsOn._id=Dwt.getNextId();
	this._monthsOnDow=new Object();
	this._monthsOnDow._id=Dwt.getNextId();
}
 
CalemEditSchedule.prototype._bindMonths =
function() {
	this._months._el= document.getElementById(this._months._id);
	this._monthsOn._el = document.getElementById(this._monthsOn._id);
	this._monthsOnDow._el = document.getElementById(this._monthsOnDow._id);
	//Render integer field.
	this._months._fld = new CalemInputField({parent: this, type: DwtInputField.INTEGER, 
	              size: 2, errorIconStyle: CalemConf['view_engine']['field']['inputErrorIcon']});
	this._months._fld.reparentHtmlElement(this._months._el);
	//Render week no.
	this._monthsOn._fld = new CalemEditDropdown(this, this._weekNos);
	this._monthsOn._fld.reparentHtmlElement(this._monthsOn._el);
	//Render dow
	this._monthsOnDow._fld = new CalemEditDropdown(this, this._weekDays);
	this._monthsOnDow._fld.reparentHtmlElement(this._monthsOnDow._el);
	
	this._radioGroups['months']._enableCallback=new AjxCallback(this, this._enableMonths);
	this._radioGroups['months']._disableCallback=new AjxCallback(this, this._disableMonths);
	this._radioGroups['months']._setterCallback=new AjxCallback(this, this._setMonths);
	this._radioGroups['months']._getterCallback=new AjxCallback(this, this._getMonths);
}

/**
 * Days
 */
CalemEditSchedule.prototype._createDaysData =
function() {
	this._radioGroups['days']=new Object();
	this._radioGroups['days']._id=Dwt.getNextId();
	
	this._days=new Object();
	this._days._id=Dwt.getNextId();
}
 
CalemEditSchedule.prototype._bindDays =
function() {
	this._days._el= document.getElementById(this._days._id);
	//Render integer field.
	this._days._fld = new CalemInputField({parent: this, type: DwtInputField.INTEGER, 
	              size: 4, errorIconStyle: CalemConf['view_engine']['field']['inputErrorIcon']});
	this._days._fld.reparentHtmlElement(this._days._el);
	
	this._radioGroups['days']._enableCallback=new AjxCallback(this, this._enableDays);
	this._radioGroups['days']._disableCallback=new AjxCallback(this, this._disableDays);
	this._radioGroups['days']._setterCallback=new AjxCallback(this, this._setDays);
	this._radioGroups['days']._getterCallback=new AjxCallback(this, this._getDays);
}

/**
 * Dates
 */
CalemEditSchedule.prototype._createDatesData =
function() {
	this._startDate=new Object();
	this._startDate._id=Dwt.getNextId();
	this._endDate=new Object();
	this._endDate._id=Dwt.getNextId();
}

CalemEditSchedule.prototype._bindDates =
function() {
	this._startDate._el= document.getElementById(this._startDate._id);
	this._endDate._el= document.getElementById(this._endDate._id);
	//Render dates
	var len= CalemConf['view_record_size']['edit']['date'];
	//Start date
	this._startDate._fld = new CalemEditDate({parent: this, type: DwtInputField.DATE, 
	              size: len, errorIconStyle: CalemConf['view_engine']['field']['inputErrorIcon']});
	this._startDate._fld.reparentHtmlElement(this._startDate._el);	
	//End date
	this._endDate._fld = new CalemEditDate({parent: this, type: DwtInputField.DATE, 
	              size: len, errorIconStyle: CalemConf['view_engine']['field']['inputErrorIcon']});
	this._endDate._fld.reparentHtmlElement(this._endDate._el);              
}

/**
 * To display.
 */
CalemEditSchedule.prototype.setValue =
function(val, noValidate) {
	var schedInfo=CalemScheduleInfo._decode(val);
	this._radioGroups[schedInfo.getSelection()]._setterCallback.run(schedInfo);
	this._setDates(schedInfo);
}

CalemEditSchedule.prototype.setRequired =
function() {
	//Do not support for now.
}

CalemEditSchedule.prototype.focus =
function() {
	this._radioGroups['weekly']._el.focus();
}

/**
 * Validation
 */
CalemEditSchedule.prototype.setValidationCallback =
function(callback) {
	this._vdCallback=callback;
	//Now set up callback in all fields.
	this._weeks._fld.setValidationCallback(this._vdCallbackProxy);
	this._months._fld.setValidationCallback(this._vdCallbackProxy);
	this._days._fld.setValidationCallback(this._vdCallbackProxy);
	this._startDate._fld.setValidationCallback(this._vdCallbackProxy);
	this._endDate._fld.setValidationCallback(this._vdCallbackProxy);
} 

CalemEditSchedule.prototype.onVdCallbackProxy =
function(fld, isValid, value) {
	if (isValid) {
		try {
			this.isValid();
		} catch (ex) {
			if (CalemDebug.isDebug()) CalemDebug.debug("CalemEditSchedule, got exception in vdCallbackProxy: "+ex);
			isValid=false;
		}
	}
	this._vdCallback.run(this, isValid, value)
}

CalemEditSchedule.prototype.setFieldInfo =
function(info) {
	this._fieldInfo=info;
} 

CalemEditSchedule.prototype.getFieldInfo =
function(info) {
	return this._fieldInfo;
}

CalemEditSchedule.prototype.isValid =
function() {
	this._startDate._fld.isValid();
	this._endDate._fld.isValid();
	this._weeks._fld.isValid();
	this._months._fld.isValid();
	this._days._fld.isValid();
	return true;
}

//This is native type
CalemEditSchedule.prototype.getFieldValue =
function() {
	var schedInfo=new CalemScheduleInfo();
	for (var i in this._radioGroups) {
		if (this._radioGroups[i]._el.checked) {
			this._radioGroups[i]._getterCallback.run(schedInfo);
			break;
		}
	}
	//add dates
	this._getDates(schedInfo);
	if (CalemDebug.isDebug()) CalemDebug.debug("EditSchedule info="+schedInfo.getJsonPhp());
	return Base64.encode(schedInfo.getJsonPhp());
} 

//This is server type.
CalemEditSchedule.prototype.getEditFieldServerValue =
function() {
	return this.getFieldValue();
} 

CalemEditSchedule.prototype.setFieldError =
function(errMsg) {
	//
} 

CalemEditSchedule.prototype.clearFieldError =
function() {
	//
} 

//Handle radio button clicked.
CalemEditSchedule.prototype.onRadioClicked =
function(noReport) {
	for (var i in this._radioGroups) {
		if (this._radioGroups[i]._el.checked) {
			this._radioGroups[i]._enableCallback.run();
		} else {
			this._radioGroups[i]._disableCallback.run();
		}		
	}
	if (!noReport) {
		this.onVdCallbackProxy(this, true, null);
	}
} 

//Handle checkbox clicked.
CalemEditSchedule.prototype.onWeekdayClick =
function() {
	this.onVdCallbackProxy(this, true, null);
} 

CalemEditSchedule.prototype._setWeeklyDisabled =
function(bl) {
	for (var i in this._dow) {
		this._dow[i]._el.disabled=bl;
	}
}

CalemEditSchedule.prototype._enableWeekly =
function() {
	this._setWeeklyDisabled(false);
}

CalemEditSchedule.prototype._disableWeekly =
function() {
	this._setWeeklyDisabled(true);
}

CalemEditSchedule.prototype._enableWeeks =
function() {
	this._weeks._fld.enable();
	this._weeksOn._fld.enable();
}

CalemEditSchedule.prototype._disableWeeks =
function() {
	this._weeks._fld.disable();
	this._weeksOn._fld.disable();
}

CalemEditSchedule.prototype._enableMonths =
function() {
	this._months._fld.enable();
	this._monthsOn._fld.enable();
	this._monthsOnDow._fld.enable();
}

CalemEditSchedule.prototype._disableMonths =
function() {
	this._months._fld.disable();
	this._monthsOn._fld.disable();
	this._monthsOnDow._fld.disable();
}

CalemEditSchedule.prototype._enableDays =
function() {
	this._days._fld.enable();
}

CalemEditSchedule.prototype._disableDays =
function() {
	this._days._fld.disable();
}

/**
 * Setters
 */
CalemEditSchedule.prototype._setWeekly =
function(schedInfo) {
	this._radioGroups['weekly']._el.checked=true;
	this.onRadioClicked(true);
	//Cleanup first
	for (var i=0; i< this._weekDays.length; i++) {
		if (schedInfo.inWeekly(this._weekDays[i].id)) {
			this._dow[i]._el.checked=true;
		} else {
			this._dow[i]._el.checked=false;
		}
	}
} 

CalemEditSchedule.prototype._setWeeks =
function(schedInfo) {
	this._radioGroups['weeks']._el.checked=true;
	this.onRadioClicked(true);
	var weeks=schedInfo.getWeeks();
	if (weeks) {//Continue setting.
		this._weeks._fld.setValue(weeks.getFreq(), true);
		this._weeksOn._fld.setValue(weeks.getDow(), true);
	}	
} 

CalemEditSchedule.prototype._setMonths =
function(schedInfo) {
	this._radioGroups['months']._el.checked=true;
	this.onRadioClicked(true);
	var months=schedInfo.getMonths();
	if (months) {//Continue setting.
		this._months._fld.setValue(months.getFreq(), true);
		this._monthsOn._fld.setValue(months.getWeekNo(), true);
		this._monthsOnDow._fld.setValue(months.getDow(), true);
	}	
} 

CalemEditSchedule.prototype._setDays =
function(schedInfo) {
	this._radioGroups['days']._el.checked=true;
	this.onRadioClicked(true);
	var days=schedInfo.getDays();
	if (days) {//Continue setting.
		this._days._fld.setValue(days.getFreq(), true);
	}	
} 

/**
 * Getters
 */
CalemEditSchedule.prototype._getWeekly =
function(schedInfo) {
	schedInfo._selection='weekly';
	var ar=[];
	for (var i=0; i< this._dow.length; i++) {
		if (this._dow[i]._el.checked) {
			ar.push(this._weekDays[i].id);
		}
	}
	var wkly=new CalemScheduleWeekly(ar);
	schedInfo._weekly=wkly;
} 

CalemEditSchedule.prototype._getWeeks =
function(schedInfo) {
	schedInfo._selection='weeks';
	var freq=this._weeks._fld.getFieldValue();
	var dow=this._weeksOn._fld.getFieldValue();
	if (!dow) dow=this._weekDays[0].id;
	var wks=new CalemScheduleWeeks(freq, dow);
	schedInfo._weeks=wks;
} 

CalemEditSchedule.prototype._getMonths =
function(schedInfo) {
	schedInfo._selection='months';
	var freq=this._months._fld.getFieldValue();
	var weekNo=this._monthsOn._fld.getFieldValue();
	if (!weekNo) weekNo=this._weekNos[0].id;
	var dow=this._monthsOnDow._fld.getFieldValue();
	if (!dow) dow=this._weekDays[0].id;
	var mths=new CalemScheduleMonths(freq, weekNo, dow);
	schedInfo._months=mths;	
} 

CalemEditSchedule.prototype._getDays =
function(schedInfo) {
	schedInfo._selection='days';
	var freq=this._days._fld.getFieldValue();
	var ds=new CalemScheduleDays(freq);
	schedInfo._days=ds;	
} 

CalemEditSchedule.prototype._getDates =
function(schedInfo) {
	var dates=new CalemScheduleDates(this._startDate._fld.getEditFieldServerValue(), this._endDate._fld.getEditFieldServerValue());
	schedInfo._dates=dates;
}

CalemEditSchedule.prototype._setDates =
function(schedInfo) {
	var dates=schedInfo.getDates();
	if (!dates) return;
	
	var val=dates.getStartLocal();
	val=(val) ? CalemTextUtil.formatLocalDateEdit(val) : CalemTextUtil.getNullReplacement();
	this._startDate._fld.setValue(val, true);
	val=dates.getEndLocal();
	val=(val) ? CalemTextUtil.formatLocalDateEdit(val) : CalemTextUtil.getNullReplacement();
	this._endDate._fld.setValue(val, true);
}

/**
 * radio click function
 */
CalemEditSchedule._onRadioClick =
function(ev) {
	var obj = DwtUiEvent.getDwtObjFromEvent(ev);
	if (obj) obj.onRadioClicked();
} 

CalemEditSchedule._onWeekdayClick =
function(ev) {
	var obj = DwtUiEvent.getDwtObjFromEvent(ev);
	if (obj) obj.onWeekdayClick();
}

 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

/**
 * CalemEditScheduleTime
 * This is the time edit control
 */
function CalemEditScheduleTime(param) {
	if (arguments.length==0) return;
	DwtComposite.call(this, param.parent);
	this._param=param;
	this._createControl();
	this._formatter=CalemTextUtil.getFormatter(CalemTextUtil.INTEGER_FORMATTER);
	//Validation callback
	this._vdCallbackProxy = new AjxCallback(this, this.onVdCallbackProxy);
} 

CalemEditScheduleTime.START_TIME=0;
CalemEditScheduleTime.REPEAT=1;
CalemEditScheduleTime.END_TIME=2;
CalemEditScheduleTime.MINUTES=3;
CalemEditScheduleTime.HOURS=4;
CalemEditScheduleTime.RM=5;
CalemEditScheduleTime.RH=6;
CalemEditScheduleTime.OBJ_COUNT=7;

CalemEditScheduleTime.TIME_FLDS=[CalemEditScheduleTime.START_TIME, CalemEditScheduleTime.END_TIME];
CalemEditScheduleTime.R_FLDS=[CalemEditScheduleTime.RM, CalemEditScheduleTime.RH];
CalemEditScheduleTime.E_FLDS=[CalemEditScheduleTime.START_TIME, CalemEditScheduleTime.END_TIME,
										CalemEditScheduleTime.MINUTES, CalemEditScheduleTime.HOURS];

CalemEditScheduleTime.prototype = new DwtComposite;
CalemEditScheduleTime.prototype.constructor = CalemEditScheduleTime;

CalemEditScheduleTime.prototype.toString = function() { return "CalemEditScheduleTime"; }

//create control
CalemEditScheduleTime.prototype._createControl  =
function() {	
	//internal data mappings
	this._map=new Array();
	for (var i=0; i< CalemEditScheduleTime.OBJ_COUNT; i++) {
		var obj=new Object();
		obj._id=Dwt.getNextId();
		this._map.push(obj);
	}
	
	var html=new Array();
	var i=0;
	html[i++]="<table class=CalemScheduleTimeTable>";
	//Start time
	html[i++]=["<tr><td class=CalemScheduleTimeLabel>", CalemMsg.getMsg("schedule_start_time"), ":", "</td>"].join('');
	html[i++]=["<td class=CalemScheduleTimeTd id=", this._map[CalemEditScheduleTime.START_TIME]._id, "></td>"].join('');
	//Repeat check box
	html[i++]=["<td><input class=CalemScheduleTimeCheckBox type='checkbox' id=", this._map[CalemEditScheduleTime.REPEAT]._id, 
		           ">", CalemMsg.getMsg("schedule_repeat"), "</td></tr>"].join('');
	//Till time
	html[i++]=["<tr><td></td><td></td><td><table class=CalemScheduleUntilTable><tr><td class=CalemScheduleTimeLabel>", CalemMsg.getMsg("schedule_until"), ":", "</td>"].join('');
	html[i++]=["<td class=CalemScheduleTimeTd id=", this._map[CalemEditScheduleTime.END_TIME]._id, "></td></tr></table></td><tr>"].join('');
	//Radio group for minutes		           
	html[i++]="<tr><td></td><td></td><td><table class=CalemScheduleTimeMHTable>";
	html[i++]=["<tr><td><input type='radio' class=CalemEditScheduleTimeRadio name='schedule_time', id=", this._map[CalemEditScheduleTime.RM]._id,
			     ">", CalemMsg.getMsg("schedule_every"), "</td>"].join('');
	html[i++]=["<td class=CalemScheduleTimeTd id=", this._map[CalemEditScheduleTime.MINUTES]._id, "></td>"].join('');
	html[i++]=["<td class=CalemScheduleTimeLabel>", CalemMsg.getMsg("schedule_minutes"), "</td></tr>"].join('');
	//Radio group for hours
	html[i++]=["<tr><td><input type='radio' class=CalemEditScheduleTimeRadio name='schedule_time', id=", this._map[CalemEditScheduleTime.RH]._id,
			     ">", CalemMsg.getMsg("schedule_every"), "</td>"].join('');
	html[i++]=["<td class=CalemScheduleTimeTd id=", this._map[CalemEditScheduleTime.HOURS]._id, "></td>"].join('');
	html[i++]=["<td class=CalemScheduleTimeLabel>", CalemMsg.getMsg("schedule_hours"), "</td></tr>"].join('');
	//End table doms
	html[i++]="</table></td></tr></table>";
	
	//Set html layout.
	var el=this.getHtmlElement();
	el.innerHTML=html.join('');
	//Now continue layout and binding
	for (var i=0; i< this._map.length; i++) {
		this._map[i]._el=document.getElementById(this._map[i]._id);
	}
	//startTime and endTime fields
	this._bindTimeFields(CalemEditScheduleTime.TIME_FLDS);
	//Min and hour fields
	this._bindIntField(CalemEditScheduleTime.MINUTES, CalemConf['edit_schedule_time']['int_field_len'], this.minuteValidator);
	this._bindIntField(CalemEditScheduleTime.HOURS, CalemConf['edit_schedule_time']['int_field_len'], this.hourValidator);
	//Handle click events on repeat check box and radio buttons
	this._map[CalemEditScheduleTime.REPEAT]._el.onclick = CalemEditScheduleTime._onRepeatClick;
	this._map[CalemEditScheduleTime.RM]._el.onclick = CalemEditScheduleTime._onRadioClick;
	this._map[CalemEditScheduleTime.RM]._eFld = this._map[CalemEditScheduleTime.MINUTES]._fld;
	this._map[CalemEditScheduleTime.RH]._el.onclick = CalemEditScheduleTime._onRadioClick;
	this._map[CalemEditScheduleTime.RH]._eFld = this._map[CalemEditScheduleTime.HOURS]._fld;
	
}

CalemEditScheduleTime.prototype._bindTimeFields =
function(arFlds) {
	var timeLen=CalemConf['view_record_size']['edit']['time'];
	for (var i=0; i< arFlds.length; i++) {
		var idx=arFlds[i];
		this._map[idx]._fld=new CalemEditTime({parent: this.parent, type: DwtInputField.STRING, 
	              size: timeLen,
	              errorIconStyle: CalemConf['view_engine']['field']['inputErrorIcon']});
		this._map[idx]._fld.setValidStringLengths(null, timeLen);
		this._map[idx]._fld.reparentHtmlElement(this._map[idx]._el);	
	}
}

CalemEditScheduleTime.prototype._bindIntField =
function(idx, fldLen, validator) {
	this._map[idx]._fld=new CalemInputField({parent: this.parent, type: DwtInputField.STRING, 
	              size: fldLen,
	              errorIconStyle: CalemConf['view_engine']['field']['inputErrorIcon']});              
	this._map[idx]._fld.setValidatorFunction(this, validator);
	this._map[idx]._fld.reparentHtmlElement(this._map[idx]._el);  
}

/**
 * minute and hour validator
 */
CalemEditScheduleTime.prototype.minuteValidator = 
function(value) {	
	return this.intValidator(value, CalemConf['edit_schedule_time']['minute_range']);
} 

CalemEditScheduleTime.prototype.hourValidator = 
function(value) {
	return this.intValidator(value, CalemConf['edit_schedule_time']['hour_range']);
} 

CalemEditScheduleTime.prototype.intValidator = 
function(value, range) {
	var val=CalemTextUtil.isIntegerValid(value);
	if (val==null || val=='') return;
	if (range.min && value < range.min)
		throw AjxMessageFormat.format(AjxMsg.numberLessThanMin, range.min);
	if (range.max && value > range.max)
		throw AjxMessageFormat.format(AjxMsg.numberMoreThanMax, range.max);
	return val ? this._formatter.format(val) : val;
}

/**
 * To display.
 */
CalemEditScheduleTime.prototype.setValue =
function(val, noValidate) {
	var sti=CalemScheduleTimeInfo._decode(val);
	//start/end time
	this._setLocalTime(CalemEditScheduleTime.START_TIME, sti.getStartTime());
	this._setLocalTime(CalemEditScheduleTime.END_TIME, sti.getEndTime());
	//mins/hours
	this._map[CalemEditScheduleTime.MINUTES]._fld.setValue(sti.getMinutes(), true);
	this._map[CalemEditScheduleTime.HOURS]._fld.setValue(sti.getHours(), true);
	//radio buttons
	if (sti.getSelection() == CalemScheduleTimeInfo._MINUTES) {
		this._map[CalemEditScheduleTime.RM]._el.checked=true;
	} else {
		this._map[CalemEditScheduleTime.RH]._el.checked=true;
	}
	//check box
	this._map[CalemEditScheduleTime.REPEAT]._el.checked=sti.getRepeat();
	this.onRepeatClick(true);
}

CalemEditScheduleTime.prototype._setLocalTime =
function(idx, val) {	
	val=(val) ? CalemTextUtil._getLocalTimeFromServerTime(val) : CalemTextUtil.getNullReplacement();
	this._map[idx]._fld.setValue(val, true);
}

CalemEditScheduleTime.prototype.setRequired =
function() {
	//Do not support for now.
}

CalemEditScheduleTime.prototype.focus =
function() {
	this._map[CalemEditScheduleTime.START_TIME]._el.focus();
}

/**
 * Validation
 */
CalemEditScheduleTime.prototype.setValidationCallback =
function(callback) {
	this._vdCallback=callback;
	//Now set up callback in all fields.
	for (var i=0; i< CalemEditScheduleTime.E_FLDS.length; i++) {
		var idx=CalemEditScheduleTime.E_FLDS[i];
		this._map[idx]._fld.setValidationCallback(this._vdCallbackProxy);
	}	
} 

CalemEditScheduleTime.prototype.onVdCallbackProxy =
function(fld, isValid, value) {
	if (isValid) {
		try {
			this.isValid();
		} catch (ex) {
			if (CalemDebug.isDebug()) CalemDebug.debug("CalemEditScheduleTime, got exception in vdCallbackProxy: "+ex);
			isValid=false;
		}
	}
	this._vdCallback.run(this, isValid, value)
}

CalemEditScheduleTime.prototype.setFieldInfo =
function(info) {
	this._fieldInfo=info;
} 

CalemEditScheduleTime.prototype.getFieldInfo =
function(info) {
	return this._fieldInfo;
}

CalemEditScheduleTime.prototype.isValid =
function() {
	for (var i=0; i< CalemEditScheduleTime.E_FLDS.length; i++) {
		var idx=CalemEditScheduleTime.E_FLDS[i];
		this._map[idx]._fld.isValid();
	}
	return true;
}

//This is native type
CalemEditScheduleTime.prototype.getFieldValue =
function() {
	var startTime=this._map[CalemEditScheduleTime.START_TIME]._fld.getEditFieldServerValue();
	var repeat=this._map[CalemEditScheduleTime.REPEAT]._el.checked;
	var selection=CalemScheduleTimeInfo._MINUTES;
	var endTime=null;
	var mins=0;
	var hours=0;
	if (repeat) {
		endTime=this._map[CalemEditScheduleTime.END_TIME]._fld.getEditFieldServerValue();
		if (this._map[CalemEditScheduleTime.RM]._el.checked) {
			mins=this._map[CalemEditScheduleTime.MINUTES]._fld.getEditFieldServerValue();
		} else {
			hours=this._map[CalemEditScheduleTime.HOURS]._fld.getEditFieldServerValue();
			selection=CalemScheduleTimeInfo._HOURS;
		}
	}
	var sti=new CalemScheduleTimeInfo(startTime, repeat, endTime, selection, mins, hours);
	if (CalemDebug.isDebug()) CalemDebug.debug("EditScheduleTime info="+sti.getJsonPhp());
	return Base64.encode(sti.getJsonPhp());
} 

//This is server type.
CalemEditScheduleTime.prototype.getEditFieldServerValue =
function() {
	return this.getFieldValue();
} 

CalemEditScheduleTime.prototype.setFieldError =
function(errMsg) {
	//
} 

CalemEditScheduleTime.prototype.clearFieldError =
function() {
	//
} 

//Handle radio button clicked.
CalemEditScheduleTime.prototype.onRadioClicked =
function(enabled, noReport) {
	for (var i=0; i< CalemEditScheduleTime.R_FLDS.length; i++) {
		var idx=CalemEditScheduleTime.R_FLDS[i];
		this._map[idx]._el.disabled=!enabled; //radio button enablement.
		if (this._map[idx]._el.disabled || !this._map[idx]._el.checked) {
			this._map[idx]._eFld.disable();
		} else {
			this._map[idx]._eFld.enable();
		}
	}
	if (!noReport) {
		this.onVdCallbackProxy(this, true, null);
	}
} 

CalemEditScheduleTime.prototype.onRepeatClick =
function(noReport) {
	var enabled=this._map[CalemEditScheduleTime.REPEAT]._el.checked;
	//Util field enablement
	if (enabled) this._map[CalemEditScheduleTime.END_TIME]._fld.enable();
	else this._map[CalemEditScheduleTime.END_TIME]._fld.disable();
	this.onRadioClicked(enabled, true);
	if (!noReport) {
		this.onVdCallbackProxy(this, true, null);
	}
}

/**
 * radio click function
 */
CalemEditScheduleTime._onRadioClick =
function(ev) {
	var obj = DwtUiEvent.getDwtObjFromEvent(ev);
	if (obj) obj.onRadioClicked(true);
} 

CalemEditScheduleTime._onRepeatClick =
function(ev) {
	var obj = DwtUiEvent.getDwtObjFromEvent(ev);
	if (obj) obj.onRepeatClick();
}

 /*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemEditFileUpload
 * This is the edit text adapted from DwtInput's text area implementation so the cols can be set and alignment with other
 * input fields are kept.
 */
function CalemEditFileUpload(params) {
	if (arguments.length==0) return;
	this._origClassName = params.className ? params.className : "DwtInputField";
	this._errorClassName = this._origClassName + "-Error";
	DwtControl.call(this, params.parent, params.className, params.posStyle);

	this._type = params.type ? params.type : DwtInputField.STRING;
	this._errorIconStyle = params.errorIconStyle ? params.errorIconStyle :
							params.validator ? DwtInputField.ERROR_ICON_RIGHT : DwtInputField.ERROR_ICON_NONE;
	this._validationStyle = params.validationStyle ? params.validationStyle : DwtInputField.ONEXIT_VALIDATION;

	var errorIconId = Dwt.getNextId();
	//For upload use
	var iFrameId=Dwt.getNextId();
	var fmId=Dwt.getNextId();
	var fileId=Dwt.getNextId();
	var cmdId=Dwt.getNextId();
	var paramId=Dwt.getNextId();
	var htmlEl = this.getHtmlElement();
	
	//iframe
	var ifDiv = document.createElement('DIV');
	ifDiv.innerHTML = '<iframe style="display:none" src="about:blank" id="'+iFrameId+'" name="'+iFrameId+'" onload="CalemFileUpload.onFrameLoaded(\''+iFrameId+'\')"></iframe>';
	htmlEl.appendChild(ifDiv);
	var iFrame=document.getElementById(iFrameId);
	//form
	var fmDiv = document.createElement('DIV');
	fmDiv.innerHTML = ['<form id="', fmId, '" enctype="multipart/form-data" ',
						' target="', iFrameId, '" action="', calemRequestUrl, '" method="POST"> ',
						'<input type="hidden" name="aid" value="', CalemConf['file_upload']['uploadAid'], '" /> ',
						'<input type="hidden" name="cmd" id="', cmdId, '" /> ',
						'<input type="hidden" name="param" id="', paramId, '" /> ',
						"<table cellspacing='0' cellpadding='0'><tr>", 
	           		"<td style='padding-right:2px;'id='", errorIconId, "'></td>",
	           		'<td><input type="file" name="file_upload" id="', fileId, '" size=', CalemConf['file_upload']['size'], '/></td>',
	           		'</tr></table></form>'].join('');						
	htmlEl.appendChild(fmDiv);
	fmEl=document.getElementById(fmId);
	this._inputField=document.getElementById(fileId);
	cmdEl=document.getElementById(cmdId);
	paramEl=document.getElementById(paramId);
	//Provide all the info to the controller
	params.controller.setFileUploadEls({'iFrame': iFrame, 'form': fmEl, cmd: cmdEl, param: paramEl});
	
	if (this._errorIconStyle != DwtInputField.ERROR_ICON_NONE) {
		this._errorIconTd = document.getElementById(errorIconId);
		this._errorIconTd.vAlign = "middle";
		this._errorIconTd.innerHTML = DwtInputField._NOERROR_ICON_HTML;
	}

	Dwt.associateElementWithObject(this._inputField, this);

	this._inputField.onkeyup = CalemEditFileUpload._keyUpHdlr;
	this._inputField.onblur = CalemEditFileUpload._blurHdlr;

	if (params.maxLen)
		this._inputField.maxLength = this._maxLen = params.maxLen;

	this.setCursor("default");

	this.setValidatorFunction(params.validatorCtxtObj, params.validator);
	this._setMouseEventHdlrs(false);
	this._setKeyPressEventHdlr(false);
} 

CalemEditFileUpload.prototype = new CalemInputField;
CalemEditFileUpload.prototype.constructor = CalemEditFileUpload;

CalemEditFileUpload.prototype.toString = function() { return "CalemEditFileUpload"; }

CalemEditFileUpload.prototype.validate =
function() {
	return true;
};

CalemEditFileUpload._blurHdlr =
function(ev) {
	var obj = DwtUiEvent.getDwtObjFromEvent(ev);
	if (obj && obj._validationStyle == DwtInputField.ONEXIT_VALIDATION) {
		obj._validateInput(obj._inputField.value);
	}
};

CalemEditFileUpload._keyUpHdlr =
function(ev) {
	var keyEv = DwtShell.keyEvent;
	keyEv.setFromDhtmlEvent(ev);

	var obj = keyEv.dwtObj;
	var keyCode = keyEv.keyCode;

	// Force input handling since FF does not handle mouse properly.
	if (AjxEnv.isFirefox) {
		obj._validateInput(keyEv.target.value);
	}

	return true;
};/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemReadText
 * This is the edit text adapted from DwtInput's text area implementation so the cols can be set and alignment with other
 * input fields are kept.
 */
function CalemReadText(params) {
	if (arguments.length==0) return;
	var clsName = params.className ? params.className : "CalemReadText";
	DwtControl.call(this, params.parent, clsName, params.posStyle);
	var fldId = Dwt.getNextId();
	var htmlEl = this.getHtmlElement();
	htmlEl.innerHTML=["<textarea id='", fldId, "' rows=", params.rows, " cols=", params.size, " readonly=true></textarea>"].join('');
   this._readField = document.getElementById(fldId);
	Dwt.associateElementWithObject(this._readField, this);	           
	
} 

CalemReadText.prototype = new DwtControl;
CalemReadText.prototype.constructor = CalemReadText;

CalemReadText.prototype.toString = function() { return "CalemReadText"; }

CalemReadText.prototype.setValue =
function(value) {
	this._readField.value = value;
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemReadDefault
 * This is the default object to hold a field value.
 */
function CalemReadDefault(params) {
	if (arguments.length==0) return;
	var clsName = params.className ? params.className : "CalemReadDefault";
	DwtControl.call(this, params.parent, clsName, params.posStyle);
	var fldId = Dwt.getNextId();
	var htmlEl = this.getHtmlElement();
	htmlEl.innerHTML=["<input id='", fldId, "' size=", params.size, " readonly=true></input>"].join('');
   this._readField = document.getElementById(fldId);
	Dwt.associateElementWithObject(this._readField, this);	           
	
} 

CalemReadDefault.prototype = new DwtControl;
CalemReadDefault.prototype.constructor = CalemReadDefault;

CalemReadDefault.prototype.toString = function() { return "CalemReadDefault"; }

CalemReadDefault.prototype.setValue =
function(value) {
	this._readField.value = value;
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemReadBoolean
 * This is the Boolean control.
 */
function CalemReadBoolean(parent) {
	if (arguments.length==0) return;
	DwtControl.call(this, parent);
	//Prepare the values from the value
	this._initControl();
}

CalemReadBoolean.prototype = new DwtControl;
CalemReadBoolean.prototype.constructor = CalemReadBoolean;

CalemReadBoolean.prototype.toString = function() {return "CalemReadBoolean";}

//Relayout so it's aligned and error flag.
CalemReadBoolean.prototype._initControl =
function() {
	var el=this.getHtmlElement();
	var trueId=Dwt.getNextId();
	var falseId=Dwt.getNextId();
	el.innerHTML=['<div id=', trueId,"><input type='checkbox' onclick='this.checked=true' checked>",'</div>',
	              '<div id=', falseId,"><input type='checkbox' onclick='this.checked=false'></div>"].join('');
	this._trueField=document.getElementById(trueId);
	this._falseField=document.getElementById(falseId);
}

CalemReadBoolean.prototype.setValue =
function(value) {
	if (value) {
		Dwt.setDisplay(this._trueField, Dwt.DISPLAY_BLOCK);		              ;
		Dwt.setDisplay(this._falseField, Dwt.DISPLAY_NONE);
	} else {
		Dwt.setDisplay(this._falseField, Dwt.DISPLAY_BLOCK);		              ;
		Dwt.setDisplay(this._trueField, Dwt.DISPLAY_NONE);
	}
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemReadFileUpload
 * This is the default object to hold a field value.
 */
function CalemReadFileUpload(params) {
	if (arguments.length==0) return;
	var clsName = params.className ? params.className : "CalemReadFileUpload";
	DwtControl.call(this, params.parent, clsName, params.posStyle);	
} 

CalemReadFileUpload.prototype = new DwtControl;
CalemReadFileUpload.prototype.constructor = CalemReadFileUpload;

CalemReadFileUpload.prototype.toString = function() { return "CalemReadFileUpload"; }

CalemReadFileUpload.prototype.setFileUpload =
function(rawValue, value) {
	if (rawValue) {
		var htmlEl = this.getHtmlElement();
		htmlEl.innerHTML=['<a href="', CalemConf['file_upload']['viewMethod'], "('", rawValue, "')", '">', value, "</a>"].join('');
	}
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 
 
/**
 * CalemReadFileUploadEdit
 * This is the default object to hold a field value.
 */
function CalemReadFileUploadEdit(params) {
	if (arguments.length==0) return;
	CalemReadFileUpload.call(this, params);	
} 

CalemReadFileUploadEdit.prototype = new CalemReadFileUpload;
CalemReadFileUploadEdit.prototype.constructor = CalemReadFileUploadEdit;

CalemReadFileUploadEdit.prototype.toString = function() { return "CalemReadFileUploadEdit"; }

CalemReadFileUploadEdit.prototype.setFileUpload =
function(rawValue, value) {
	if (rawValue) {
		var htmlEl = this.getHtmlElement();
		var errorIconId = Dwt.getNextId();
		htmlEl.innerHTML=["<table cellspacing='0' cellpadding='0'><tr><td style='padding-right:2px' id='", errorIconId, "'></td><td>", 
		      '<a href="', CalemConf['file_upload']['viewMethod'], "('", rawValue, "')", '">', value, "</a></td></tr></table>"].join("");
		this._errorIconTd = document.getElementById(errorIconId);
		this._errorIconTd.vAlign = "middle";
		this._errorIconTd.innerHTML = DwtInputField._NOERROR_ICON_HTML;		      
	}
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemLabelDesign
 * This is the label design widget.
 */
function CalemLabelDesign(parent, style, className, posStyle) {
	if (arguments.length==0) return;
	style= style || (DwtLabel.IMAGE_RIGHT | DwtLabel.ALIGN_LEFT);
	className = className || 'CalemLabelDesign';
	DwtLabel.call(this, parent, style, className, posStyle);
	//Capture mouse events for drag and drop
	this._setMouseEventHdlrs(false);
} 

CalemLabelDesign.prototype = new DwtLabel;
CalemLabelDesign.prototype.constructor = CalemLabelDesign;

CalemLabelDesign.prototype.toString = 
function() {
	return "CalemLabelDesign";
}

//Set required label
CalemLabelDesign.prototype.setRequired =
function(bl) {
	var conf=CalemConf['view_engine']['field']['icon'];
	if (bl) this.setImage(conf['required']);
	else this.setImage(conf['not_required']);
}

//Drag and drop support.constructor
CalemLabelDesign.prototype._getDnDIcon =
function() {
	var icon = document.createElement("div");
	icon.className=this._className;
	Dwt.setPosition(icon, Dwt.ABSOLUTE_STYLE); 
	var table = document.createElement("table");
	icon.appendChild(table);
	table.cellSpacing = table.cellPadding = 0;
		
	var row = table.insertRow(0);
	var i = 0;
	//Add text.
	var c = row.insertCell(i++);
	c.noWrap = true;
	c.innerHTML=this.getText();
	//Add required image
	c = row.insertCell(i);
   c.noWrap = true;
	AjxImg.setImage(c, this.getImage());
	
	this.shell.getHtmlElement().appendChild(icon);
	Dwt.setZIndex(icon, Dwt.Z_DND);
	return icon;
}

//Label design
CalemLabelDesign.prototype.doLabelEdit = 
function() {
	return false;
}

CalemLabelDesign.prototype.getLabelId =
function() {
	return this._parentRender.getLabelId();
}

CalemLabelDesign.prototype.onLabelChanged =
function() {
	this.setText(this._parentRender.getLabel());
}


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemFieldDesign
 * This is the field design widget.
 */
function CalemFieldDesign(parent, style, className, posStyle) {
	if (arguments.length==0) return;
	className = className || 'CalemFieldDesign';
	style= style || (DwtLabel.IMAGE_RIGHT | DwtLabel.ALIGN_LEFT);
	CalemLabelDesign.call(this, parent, style, className, posStyle);
} 

CalemFieldDesign.prototype = new CalemLabelDesign;
CalemFieldDesign.prototype.constructor = CalemFieldDesign;

CalemFieldDesign.prototype.toString = 
function() {
	return "CalemFieldDesign";
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTextDesign
 * This is the text design widget.
 */
function CalemTextDesign(param) {
	if (arguments.length==0) return;
	CalemFieldDesign.call(this, param.parent);
	this._param=param;
} 

CalemTextDesign.prototype = new CalemFieldDesign;
CalemTextDesign.prototype.constructor = CalemTextDesign;

CalemTextDesign.prototype.toString = 
function() {
	return "CalemTextDesign";
}

CalemTextDesign.prototype.setText =
function(text) {
	CalemFieldDesign.prototype.setText.call(this, text);
	this._setTextLayout(this._param);
}

CalemTextDesign.prototype._setTextLayout =
function(param) {
	var factor=CalemConf['view_engine'].textLengthDesignFactor;
	var size = Math.floor(param.size/(factor!=0 ? factor : 2));
	Dwt.setSize(this._textCell, size+"em", param.rows+"em");
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemFieldLabelDesign
 * This is the field label widget.
 */
function CalemFieldLabelDesign(parent, style, className, posStyle) {
	if (arguments.length==0) return;
	style= style || (DwtLabel.IMAGE_RIGHT | DwtLabel.ALIGN_LEFT);
	className = className || 'CalemFieldLabelDesign';
	CalemLabelDesign.call(this, parent, style, className, posStyle);
} 

CalemFieldLabelDesign.prototype = new CalemLabelDesign;
CalemFieldLabelDesign.prototype.constructor = CalemFieldLabelDesign;

CalemFieldLabelDesign.prototype.toString = 
function() {
	return "CalemFieldLabelDesign";
}

CalemFieldLabelDesign.prototype.onLabelChanged =
function() {
	this._parentRender.onLabelChanged();
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemRowDesign
 * This is the row indicator.
 */
function CalemRowDesign(parent, style, className, posStyle) {
	if (arguments.length==0) return;
	style= style || (DwtLabel.IMAGE_LEFT | DwtLabel.ALIGN_LEFT);
	className = className || 'CalemRowDesign';
	CalemLabelDesign.call(this, parent, style, className, posStyle);
} 

CalemRowDesign.prototype = new CalemLabelDesign;
CalemRowDesign.prototype.constructor = CalemRowDesign;

CalemRowDesign.prototype.toString = 
function() {
	return "CalemRowDesign";
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemColDesign
 * This is the Col indicator.
 */
function CalemColDesign(parent, style, className, posStyle) {
	if (arguments.length==0) return;
	style= style || (DwtLabel.IMAGE_RIGHT | DwtLabel.ALIGN_LEFT);
	className = className || 'CalemColDesign';
	CalemLabelDesign.call(this, parent, style, className, posStyle);
} 

CalemColDesign.prototype = new CalemLabelDesign;
CalemColDesign.prototype.constructor = CalemColDesign;

CalemColDesign.prototype.toString = 
function() {
	return "CalemColDesign";
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTbButtonDesign
 * Toolbar Button supporting dnd design.
 */
function CalemTbButtonDesign(parent, style, className) {
	if (arguments.length==0) return;
	CalemTbButton.call(this, parent, style, className);
	//Capture mouse events for drag and drop
	this._setMouseEventHdlrs(false);
} 

CalemTbButtonDesign.prototype = new CalemTbButton;
CalemTbButtonDesign.prototype.constructor = CalemTbButtonDesign;

CalemTbButtonDesign.prototype.toString = function() { return "CalemTbButtonDesign";}

/**
 * Events setup
 */
CalemTbButtonDesign.prototype.setupEvents =
function(btnInfo, controller) {
}

/**
 * Event handler
 */
CalemTbButtonDesign.prototype.onSelection =
function(evt) {
}

//Notify listener - mimic a click selection.
CalemTbButtonDesign.prototype._clickIt=
function() {
}

//Drag and drop support.constructor
CalemTbButtonDesign.prototype._getDnDIcon =
function() {
	var icon = document.createElement("div");
	icon.className=this._className;
	Dwt.setPosition(icon, Dwt.ABSOLUTE_STYLE); 
	var table = document.createElement("table");
	icon.appendChild(table);
	table.cellSpacing = table.cellPadding = 0;
		
	var row = table.insertRow(0);
	var i = 0;
	//Add text.
	var c = row.insertCell(i++);
   c.noWrap = true;
	AjxImg.setImage(c, this.getImage());
	//Add text.
	c = row.insertCell(i++);
	c.noWrap = true;
	c.innerHTML=this.getText();
	//Add required image
	
	
	this.shell.getHtmlElement().appendChild(icon);
	Dwt.setZIndex(icon, Dwt.Z_DND);
	return icon;
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * This is the base toolbar design class.
 * It implements a render's interface to handle buttons DnD.
 */
 
/**
 * Constructor
 */
function CalemToolBarDesign(parent, posInfo, tbInfo, className, posStyle, cellSpacing, cellPadding, style) {
	if (arguments.length==0) return;
	CalemToolBar.call(this, parent, posInfo, tbInfo, className, posStyle, cellSpacing, cellPadding, style);
	this._renders=new Object();
} 

CalemToolBarDesign.prototype = new CalemToolBar;
CalemToolBarDesign.prototype.constructor = CalemToolBarDesign;

CalemToolBarDesign.prototype.toString = 
function() {
	return "CalemToolBarDesign";
}

/**
 * Creating toolbar
 */
CalemToolBarDesign.prototype.createToolBar =
function(tbInfo, listenerFactory, controller, dragSrc, dropTarget, customInfo) {
	this._dragSrc=dragSrc;
	this._dropTarget=dropTarget;
	CalemToolBar.prototype.createToolBar.call(this, tbInfo, listenerFactory, controller, customInfo);
} 

/**
 * Adding a button to the toolbar
 */
CalemToolBarDesign.prototype.addButton =
function(btnInfo) {
	var render=new CalemTbDesignButtonRender(this, btnInfo.getId(), btnInfo);
	var btn=render.initDnd(this._dragSrc, this._dropTarget);
	render.render();
	return btn;
}

/**
 * Adding a separator and support DnD.
 */
CalemToolBarDesign.prototype.addSeparator =
function(clsName, idx, itemInfo) {
	var render=new CalemTbDesignSeparatorRender(this, itemInfo.getId(), itemInfo);
	render.initDnd(this._dragSrc, this._dropTarget);
	render.render();	
}

/**
 * Get layout info into an array.
 */
CalemToolBarDesign.prototype.getTbLayout =
function() {
	var rtn=[];
	//Traverse the dom tree to figure out the control order.
	var item=this.getItem(0);
	var el=item.getHtmlElement();
	var td=el.parentNode;
	var tr=td.parentNode;
	var tds=tr.childNodes;
	for (var i=0; i< tds.length; i++) {//skip row cell.
		var td=tds[i];
		var obj=Dwt.getObjectFromElement(td.firstChild);
		rtn.push(obj._parentRender.getId());
	}
	return rtn;
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDesignTreeItem
 * This is the design tree item
 */
function CalemDesignTreeItem(parent, index, text, imageInfo, id, info, dragable, dropable) {
	if (arguments.length==0) return;
	DwtTreeItem.call(this, parent, index, text, imageInfo);
	this._id=id;
	this._info=info;
	if (dragable) this.setDragSource(this._tree._dragSrc);
	if (dropable) this.setDropTarget(this._tree._dropTarget);
} 

CalemDesignTreeItem.prototype = new DwtTreeItem;
CalemDesignTreeItem.prototype.constructor = CalemDesignTreeItem;

CalemDesignTreeItem.prototype.toString = 
function() {
	return "CalemDesignTreeItem";
}

/**
 * Common functions.
 */
CalemDesignTreeItem.prototype.getId =
function() {
	return this._id;
} 
 
CalemDesignTreeItem.prototype.getInfo =
function() {
	return this._info;
} 

CalemDesignTreeItem.prototype.render =
function(parentEl) {
	//Overwrite.
}

/**
 * Dnd interfaces
 */
CalemDesignTreeItem.prototype._onDragEnter =
function(srcControl, targetControl) {
	var rtn=false;
	var allowed=this._calemDropAllowed[this.toString()]; //Use toString to get the class name.
	//It's either render or DwtTreeItem.
	var dropId= srcControl._parentRender ? srcControl._parentRender.toString() : srcControl.toString();
	rtn = (allowed && allowed[dropId]);
	return rtn;
}

/**
 * Find the index to place a text
 */
CalemDesignTreeItem.prototype._getIndex =
function(text) {
	var items=this.getItems();
	var index=items.length;
	for (var i=0; i< items.length; i++) {
		var t1=items[i].getText(); // || items[i]._textParam; //In case node is not initialized. @todo - to evaluate performance and finalize later.
		if (text <= t1) {
			index=i;
			break;
		}
	}
	return index;
}

/**
 * Remove the tree item
 */
CalemDesignTreeItem.prototype.removeMe =
function() {
	var id=this._id;
	this.dispose();
	this._tree.onNodeRemoved(id);
} 
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDesignTreeRow
 * This is the design tree row item.
 */
function CalemDesignTreeRow(parent) {
	if (arguments.length==0) return;
	var text=CalemMsg.getMsg('blank_row');
	CalemDesignTreeItem.call(this, parent, null, text, 'CalemRow', null, null, true);
} 

CalemDesignTreeRow.prototype = new CalemDesignTreeItem;
CalemDesignTreeRow.prototype.constructor = CalemDesignTreeRow;

CalemDesignTreeRow.prototype.toString = 
function() {
	return "CalemDesignTreeRow";
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDesignTreeLabel
 * This is the label item.
 */
function CalemDesignTreeLabel(parent, index, text, id, info) {
	if (arguments.length==0) return;
	CalemDesignTreeItem.call(this, parent, index, text, 'CalemTreeLabel', id, info, true);
} 

CalemDesignTreeLabel.prototype = new CalemDesignTreeItem;
CalemDesignTreeLabel.prototype.constructor = CalemDesignTreeLabel;

CalemDesignTreeLabel.prototype.toString = 
function() {
	return "CalemDesignTreeLabel";
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDesignTreeFieldLabel
 * This is the label item.
 */
function CalemDesignTreeFieldLabel(parent, index, text, id, info, required) {
	if (arguments.length==0) return;
	var img = required ? 'CalemRequired' : 'CalemTreeLabel';
	CalemDesignTreeItem.call(this, parent, index, text, img, id, info, true);
} 

CalemDesignTreeFieldLabel.prototype = new CalemDesignTreeItem;
CalemDesignTreeFieldLabel.prototype.constructor = CalemDesignTreeFieldLabel;

CalemDesignTreeFieldLabel.prototype.toString = 
function() {
	return "CalemDesignTreeFieldLabel";
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDesignTreeField
 * This is the field item.
 */
function CalemDesignTreeField(parent, index, text, id, info) {
	if (arguments.length==0) return;
	CalemDesignTreeItem.call(this, parent, index, text, 'CalemTreeField', id, info, true);
} 

CalemDesignTreeField.prototype = new CalemDesignTreeItem;
CalemDesignTreeField.prototype.constructor = CalemDesignTreeField;

CalemDesignTreeField.prototype.toString = 
function() {
	return "CalemDesignTreeField";
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDesignTreeButton
 * This is the button field.
 */
function CalemDesignTreeButton(parent, index, text, image, id, info) {
	if (arguments.length==0) return;
	CalemDesignTreeItem.call(this, parent, index, text, image, id, info, true);
} 

CalemDesignTreeButton.prototype = new CalemDesignTreeItem;
CalemDesignTreeButton.prototype.constructor = CalemDesignTreeButton;

CalemDesignTreeButton.prototype.toString = 
function() {
	return "CalemDesignTreeButton";
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemLayoutTreeGridField
 * This is the field item.
 */
function CalemLayoutTreeGridField(parent, index, text, id, info) {
	if (arguments.length==0) return;
	CalemDesignTreeItem.call(this, parent, index, text, 'CalemTreeField', id, info, true);
} 

CalemLayoutTreeGridField.prototype = new CalemDesignTreeItem;
CalemLayoutTreeGridField.prototype.constructor = CalemLayoutTreeGridField;

CalemLayoutTreeGridField.prototype.toString = 
function() {
	return "CalemLayoutTreeGridField";
}

CalemLayoutTreeGridField.prototype._onDragStart = 
function() {
	return this._tree.canDragStart(this._id);
}

//Label design
CalemLayoutTreeGridField.prototype.doLabelEdit = 
function() {
	return false;
}

CalemLayoutTreeGridField.prototype.getLabelId =
function() {
    var dd=this._tree._controller.getModelItem().getTableDd();
	return dd.getLabelId(this._id);
}

CalemLayoutTreeGridField.prototype.onLabelChanged =
function() {
	var dd=this._tree._controller.getModelItem().getTableDd();
	this.setText(dd.getDesignLabel(this._id));
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDesignTreeGridTable
 * This is the table node.
 */
function CalemDesignTreeGridTable(parent, index, text, imageInfo) {
	if (arguments.length==0) return;
	CalemDesignTreeItem.call(this, parent, index, text, imageInfo);
} 

CalemDesignTreeGridTable.prototype = new CalemDesignTreeItem;
CalemDesignTreeGridTable.prototype.constructor = CalemDesignTreeGridTable;

CalemDesignTreeGridTable.prototype.toString = 
function() {
	return "CalemDesignTreeGridTable";
}

/**
 * Add field
 */
CalemDesignTreeGridTable.prototype.addFieldInfo = 
function(id, info, text) {
	var idx=this._getIndex(text);
	var item=new CalemLayoutTreeGridField(this, idx, text, id, info);
} 

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDesignTreeToolBar
 * This is the toolbar node.
 */
function CalemDesignTreeToolBar(parent, index, text, imageInfo) {
	if (arguments.length==0) return;
	var text=CalemMsg.getMsg('toolbar');
	CalemDesignTreeItem.call(this, parent, null, text, 'CalemToolbar', false);
} 

CalemDesignTreeToolBar.prototype = new CalemDesignTreeItem;
CalemDesignTreeToolBar.prototype.constructor = CalemDesignTreeToolBar;

CalemDesignTreeToolBar.prototype.toString = 
function() {
	return "CalemDesignTreeToolBar";
}

/**
 * Add field
 */
CalemDesignTreeToolBar.prototype.addButton = 
function(id, info, text, image) {
	var idx=this._getIndex(text);
	var item=new CalemDesignTreeButton(this, idx, text, image, id, info);
} 

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDesignTreeTable
 * This is the table node.
 */
function CalemDesignTreeTable(parent, index, text, imageInfo) {
	if (arguments.length==0) return;
	CalemDesignTreeItem.call(this, parent, index, text, imageInfo);
} 

CalemDesignTreeTable.prototype = new CalemDesignTreeItem;
CalemDesignTreeTable.prototype.constructor = CalemDesignTreeTable;

CalemDesignTreeTable.prototype.toString = 
function() {
	return "CalemDesignTreeTable";
}

/**
 * Add field label
 */
CalemDesignTreeTable.prototype.addFieldLabelInfo = 
function(id, info, text, required) {
	var idx=this._getIndex(text);
	var item=new CalemDesignTreeFieldLabel(this, idx, text, id, info, required);
} 

/**
 * Add field
 */
CalemDesignTreeTable.prototype.addFieldInfo = 
function(id, info, text) {
	var idx=this._getIndex(text);
	var item=new CalemDesignTreeField(this, idx, text, id, info);
} 

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDesignTreeLabelRoot
 * This is the design tree row item.
 */
function CalemDesignTreeLabelRoot(parent) {
	if (arguments.length==0) return;
	var text=CalemMsg.getMsg('caption');
	CalemDesignTreeItem.call(this, parent, null, text, 'CalemCaption'); //No defer.
} 

CalemDesignTreeLabelRoot.prototype = new CalemDesignTreeItem;
CalemDesignTreeLabelRoot.prototype.constructor = CalemDesignTreeLabelRoot;

CalemDesignTreeLabelRoot.prototype.toString = 
function() {
	return "CalemDesignTreeLabelRoot";
}

CalemDesignTreeLabelRoot.prototype.addLabelInfo =
function(id, info, text) {
	var idx=this._getIndex(text);
	var item=new CalemDesignTreeLabel(this, idx, text, id, info);	
}



/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDesignTreeFormRecord
 * This is the root node.
 */
function CalemDesignTreeFormRecord(parent, text, icon) {
	if (arguments.length==0) return;
	text= text ? text : CalemMsg.getMsg('form_design');
	icon = icon || 'CalemCustomize'; 
	CalemDesignTreeItem.call(this, parent, null, text, icon);
	this.setDropTarget(this._tree._dropTarget);
	this._calemDropAllowed=CalemConf['view_engine']['viewRecordDesign'].dropAllowed;
} 

CalemDesignTreeFormRecord.prototype = new CalemDesignTreeItem;
CalemDesignTreeFormRecord.prototype.constructor = CalemDesignTreeFormRecord;

CalemDesignTreeFormRecord.prototype.toString = 
function() {
	return "CalemDesignTreeFormRecord";
}

/**
 * Handling drop from view layout to the tree.
 */
CalemDesignTreeFormRecord.prototype._onDrop =
function(srcControl, targetControl) {
	var srcRender=srcControl._parentRender;
	if (srcRender instanceof CalemRecordDesignRowRender) {
		this._onRowDrop(srcControl);
	} else {
		this._onObjectDrop(srcControl);
	}
    return true;
}

/**
 * Handle an object drop.
 * Add the object to tree, then remove the object.
 */
CalemDesignTreeFormRecord.prototype._onObjectDrop =
function(srcControl) {
	this._tree._addObject(srcControl);
	srcControl._parentRender.replaceWithDesignCol(srcControl);
} 

/**
 * Move the tems from the row to the tree and then drop the blank row.
 */
CalemDesignTreeFormRecord.prototype._onRowDrop =
function(srcControl) {
	//Collect all the items from row, insert them properly, then, remove the row.
	var td=srcControl.getHtmlElement().parentNode;
	var row=td.parentNode;
	var cells=row.cells;
	var controls=[srcControl];
	for (var i=1; i< cells.length; i++) {
		var el=cells[i]; //td
		var objEl=el.firstChild;
		var obj=Dwt.getObjectFromElement(objEl);
		controls.push(obj);
		this._tree._addObject(obj); //Adding object to tree if applicable.
	}
	//Dispose control and its render
	for (var i=0; i< controls.length; i++) {
		controls[i]._parentRender.remove(controls[i]);
	}
	controls.splice(0, controls.length); //Release the array.
	//Remove the row from parent.
	row.parentNode.removeChild(row);
}



/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemLayoutTreeGridRoot
 * This is the root node.
 */
function CalemLayoutTreeGridRoot(parent) {
	if (arguments.length==0) return;
	var text=CalemMsg.getMsg('grid_design');
	CalemDesignTreeItem.call(this, parent, null, text, 'CalemCustomize');
	this.setDropTarget(this._tree._dropTarget);
} 

CalemLayoutTreeGridRoot.prototype = new CalemDesignTreeItem;
CalemLayoutTreeGridRoot.prototype.constructor = CalemLayoutTreeGridRoot;

CalemLayoutTreeGridRoot.prototype.toString = 
function() {
	return "CalemLayoutTreeGridRoot";
}

/**
 * Dnd interfaces
 */
CalemLayoutTreeGridRoot.prototype._onDragEnter =
function(srcControl, targetControl) {
	return (srcControl instanceof CalemDesignTreeField);
}


/**
 * Handling drop from view layout to the tree.
 */
CalemLayoutTreeGridRoot.prototype._onDrop =
function(srcControl, targetControl) {
	this._tree._addObject(srcControl);
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDesignTreeFormRecord
 * This is the root node.
 */
function CalemDesignTreeFormList(parent) {
	if (arguments.length==0) return;
	CalemDesignTreeFormRecord.call(this, parent);
	this._calemDropAllowed=CalemConf['view_engine']['viewListDesign'].dropAllowed;
} 

CalemDesignTreeFormList.prototype = new CalemDesignTreeFormRecord;
CalemDesignTreeFormList.prototype.constructor = CalemDesignTreeFormList;

CalemDesignTreeFormList.prototype.toString = 
function() {
	return "CalemDesignTreeFormList";
}

/**
 * Dnd interfaces
 */
CalemDesignTreeFormList.prototype._onDragEnter =
function(srcControl, targetControl) {
	return (srcControl instanceof CalemLayoutTreeGridField
	      || srcControl instanceof CalemTbButtonDesign);
}

/**
 * Handling drop from view layout to the tree.
 */
CalemDesignTreeFormList.prototype._onDrop =
function(srcControl, targetControl) {
	this._tree._addObject(srcControl);
   return true;
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDesignTreeForm
 * This is the form item.
 */
function CalemDesignTreeForm(parent, index, text, id, info) {
	if (arguments.length==0) return;
	CalemDesignTreeItem.call(this, parent, index, text, 'CalemForm', id, info, true);
} 

CalemDesignTreeForm.prototype = new CalemDesignTreeItem;
CalemDesignTreeForm.prototype.constructor = CalemDesignTreeForm;

CalemDesignTreeForm.prototype.toString = 
function() {
	return "CalemDesignTreeForm";
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDesignTreeTab
 * This is the tab item.
 */
function CalemDesignTreeTab(parent, index, text, id, info) {
	if (arguments.length==0) return;
	CalemDesignTreeItem.call(this, parent, index, text, 'CalemFormTab', id, info, true);
} 

CalemDesignTreeTab.prototype = new CalemDesignTreeItem;
CalemDesignTreeTab.prototype.constructor = CalemDesignTreeTab;

CalemDesignTreeTab.prototype.toString = 
function() {
	return "CalemDesignTreeTab";
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDesignTreeTabCustomize
 * This is the tab item.
 */
function CalemDesignTreeTabCustomize(parent, index, text, id, info) {
	if (arguments.length==0) return;
	CalemDesignTreeItem.call(this, parent, index, text, 'CalemFormTabCustomize', id, info, true);
} 

CalemDesignTreeTabCustomize.prototype = new CalemDesignTreeItem;
CalemDesignTreeTabCustomize.prototype.constructor = CalemDesignTreeTabCustomize;

CalemDesignTreeTabCustomize.prototype.toString = 
function() {
	return "CalemDesignTreeTabCustomize";
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDesignTreeFormMdTab
 * This is the root node.
 */
function CalemDesignTreeFormMdTab(parent) {
	if (arguments.length==0) return;
	CalemDesignTreeFormRecord.call(this, parent);
	this._calemDropAllowed=CalemConf['view_engine']['viewMdTabDesign'].dropAllowed;
} 

CalemDesignTreeFormMdTab.prototype = new CalemDesignTreeFormRecord;
CalemDesignTreeFormMdTab.prototype.constructor = CalemDesignTreeFormMdTab;

CalemDesignTreeFormMdTab.prototype.toString = 
function() {
	return "CalemDesignTreeFormMdTab";
}

/**
 * Handling drop from view layout to the tree.
 */
CalemDesignTreeFormMdTab.prototype._onDrop =
function(srcControl, targetControl) {
	this._tree._addObject(srcControl);
	srcControl.removeMe();
   return true;
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDesignTreeFormRoot
 * This is the design tree form item.
 */
function CalemDesignTreeFormRoot(parent) {
	if (arguments.length==0) return;
	var text=CalemMsg.getMsg('form');
	CalemDesignTreeItem.call(this, parent, null, text, 'CalemForm'); //No defer.
} 

CalemDesignTreeFormRoot.prototype = new CalemDesignTreeItem;
CalemDesignTreeFormRoot.prototype.constructor = CalemDesignTreeFormRoot;

CalemDesignTreeFormRoot.prototype.toString = 
function() {
	return "CalemDesignTreeFormRoot";
}

CalemDesignTreeFormRoot.prototype.addFormInfo =
function(id, text, info) {
	var idx=this._getIndex(text);
	var item=new CalemDesignTreeForm(this, idx, text, id, info);	
}



/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDesignTreeTabRoot
 * This is the design tree row item.
 */
function CalemDesignTreeTabRoot(parent) {
	if (arguments.length==0) return;
	var text=CalemMsg.getMsg('form_tab');
	CalemDesignTreeItem.call(this, parent, null, text, 'CalemFormTab'); //No defer.
} 

CalemDesignTreeTabRoot.prototype = new CalemDesignTreeItem;
CalemDesignTreeTabRoot.prototype.constructor = CalemDesignTreeTabRoot;

CalemDesignTreeTabRoot.prototype.toString = 
function() {
	return "CalemDesignTreeTabRoot";
}

CalemDesignTreeTabRoot.prototype.addTabInfo =
function(id, info, text) {
	var idx=this._getIndex(text);
	var item=new CalemDesignTreeTab(this, idx, text, id, info);	
}

CalemDesignTreeTabRoot.prototype.addCustomizeTabInfo =
function(id, info, text) {
	var idx=this._getIndex(text);
	var item=new CalemDesignTreeTabCustomize(this, idx, text, id, info);	
}



/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemLayoutTreeForm
 * This is the form item.
 */
function CalemLayoutTreeForm(parent, index, text, id, info) {
	if (arguments.length==0) return;
	CalemDesignTreeItem.call(this, parent, index, text, 'CalemForm', id, info, true, true);
	this._calemDropAllowed=CalemConf['view_engine']['viewMdTabDesign'].dropAllowed;
} 

CalemLayoutTreeForm.prototype = new CalemDesignTreeItem;
CalemLayoutTreeForm.prototype.constructor = CalemLayoutTreeForm;

CalemLayoutTreeForm.prototype.toString = 
function() {
	return "CalemLayoutTreeForm";
}

CalemLayoutTreeForm.prototype._onDrop =
function(srcControl, targetControl) {
	var idx=this.parent._children.indexOf(targetControl);
	new CalemLayoutTreeForm(this.parent, idx, srcControl.getText(), srcControl.getId(), srcControl.getInfo());
	srcControl.removeMe();
}

//Label design
CalemLayoutTreeForm.prototype.doLabelEdit = 
function() {
	return false;
}

CalemLayoutTreeForm.prototype.getLabelId =
function() {
	return CalemFormInfo.getFormInfo(this._id).getTitle();
}

CalemLayoutTreeForm.prototype.onLabelChanged =
function() {
	this.setText(CalemFormInfo.getFormDesignText(this._id));
}


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemLayoutTreeFormFixed
 * This is the form item.
 */
function CalemLayoutTreeFormFixed(parent, index, text, id, info) {
	if (arguments.length==0) return;
	text=this._getFixedText(text);
	CalemDesignTreeItem.call(this, parent, index, text, 'CalemForm', id, info, false);
} 

CalemLayoutTreeFormFixed.prototype = new CalemDesignTreeItem;
CalemLayoutTreeFormFixed.prototype.constructor = CalemLayoutTreeFormFixed;

CalemLayoutTreeFormFixed.prototype.toString = 
function() {
	return "CalemLayoutTreeFormFixed";
}

//Label design
CalemLayoutTreeFormFixed.prototype.doLabelEdit = 
function() {
	return false;
}

CalemLayoutTreeFormFixed.prototype.getLabelId =
function() {
	return CalemFormInfo.getFormInfo(this._id).getTitle();
}

CalemLayoutTreeFormFixed.prototype.onLabelChanged =
function() {
	var text=this._getFixedText(CalemFormInfo.getFormDesignText(this._id)); 
	this.setText(text);
}

CalemLayoutTreeFormFixed.prototype._getFixedText =
function(text) {
	return [text, ' ', CalemMsg.getMsg('fixed')].join('');
}


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemLayoutTreeFormMdTab
 * This is the root node.
 */
function CalemLayoutTreeFormMdTab(parent) {
	if (arguments.length==0) return;
	CalemDesignTreeFormRecord.call(this, parent);
	this._calemDropAllowed=CalemConf['view_engine']['viewMdTabDesign'].dropAllowed;
} 

CalemLayoutTreeFormMdTab.prototype = new CalemDesignTreeFormRecord;
CalemLayoutTreeFormMdTab.prototype.constructor = CalemLayoutTreeFormMdTab;

CalemLayoutTreeFormMdTab.prototype.toString = 
function() {
	return "CalemLayoutTreeFormMdTab";
}

/**
 * Handling drop from view layout to the tree.
 */
CalemLayoutTreeFormMdTab.prototype._onDrop =
function(srcControl, targetControl) {
	if (srcControl instanceof CalemDesignTreeTab) {
		this.addTab(srcControl.getId(), srcControl.getInfo(), srcControl.getText());
		srcControl.removeMe();
	} else if (srcControl instanceof CalemDesignTreeTabCustomize) {
		this.addTabCustomize(srcControl.getId(), srcControl.getInfo(), srcControl.getText());
		srcControl.removeMe();
	}
   return true;
}

/**
 * Tab adding functions
 */
CalemLayoutTreeFormMdTab.prototype.addTabCustomize =
function(id, info, text) {
	var item=new CalemLayoutTreeTabCustomize(this, null, text, id, info);
	return item;
} 


CalemLayoutTreeFormMdTab.prototype.addTabFixed =
function(id, info, text) {
	var item=new CalemLayoutTreeTabFixed(this, null, text, id, info);
	return item;
} 

CalemLayoutTreeFormMdTab.prototype.addTab =
function(id, info, text) {
	var item=new CalemLayoutTreeTab(this, null, text, id, info);
	return item;
} /*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemLayoutTreeTab
 * This is the tab item.
 */
function CalemLayoutTreeTab(parent, index, text, id, info) {
	if (arguments.length==0) return;
	CalemDesignTreeItem.call(this, parent, index, text, 'CalemFormTab', id, info, true, true);
	this._calemDropAllowed=CalemConf['view_engine']['viewMdTabDesign'].dropAllowed;
} 

CalemLayoutTreeTab.prototype = new CalemDesignTreeItem;
CalemLayoutTreeTab.prototype.constructor = CalemLayoutTreeTab;

CalemLayoutTreeTab.prototype.toString = 
function() {
	return "CalemLayoutTreeTab";
}

CalemLayoutTreeTab.prototype._onDrop =
function(srcControl, targetControl) {
	return this._tree._addObject(this, srcControl);
}

//Label design
CalemLayoutTreeTab.prototype.doLabelEdit = 
function() {
	return false;
}

CalemLayoutTreeTab.prototype.getLabelId =
function() {
	return this._info.getId();
}

CalemLayoutTreeTab.prototype.onLabelChanged =
function() {
	this.setText(this._info.getLabel());
}


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemLayoutTreeTabFixed
 * This is the tab item.
 */
function CalemLayoutTreeTabFixed(parent, index, text, id, info) {
	if (arguments.length==0) return;
	text=[text, ' ', CalemMsg.getMsg('fixed')].join('');
	CalemDesignTreeItem.call(this, parent, index, text, 'CalemFormTab', id, info, false, true);
	this._calemDropAllowed=CalemConf['view_engine']['viewMdTabDesign'].dropAllowed;
} 

CalemLayoutTreeTabFixed.prototype = new CalemDesignTreeItem;
CalemLayoutTreeTabFixed.prototype.constructor = CalemLayoutTreeTabFixed;

CalemLayoutTreeTabFixed.prototype.toString = 
function() {
	return "CalemLayoutTreeTabFixed";
}

CalemLayoutTreeTabFixed.prototype._onDrop =
function(srcControl, targetControl) {
	return this._tree._addObject(this, srcControl);
}

//Label design
CalemLayoutTreeTabFixed.prototype.doLabelEdit = 
function() {
	return false;
}

CalemLayoutTreeTabFixed.prototype.getLabelId =
function() {
	return this._info.getId();
}

CalemLayoutTreeTabFixed.prototype.onLabelChanged =
function() {
	var text=[this._info.getLabel(), ' ', CalemMsg.getMsg('fixed')].join('');
	this.setText(text);
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemLayoutTreeTabCustomize
 * This is the tab item.
 */
function CalemLayoutTreeTabCustomize(parent, index, text, id, info) {
	if (arguments.length==0) return;
	CalemDesignTreeItem.call(this, parent, index, text, 'CalemFormTabCustomize', id, info, true);
} 

CalemLayoutTreeTabCustomize.prototype = new CalemDesignTreeItem;
CalemLayoutTreeTabCustomize.prototype.constructor = CalemLayoutTreeTabCustomize;

CalemLayoutTreeTabCustomize.prototype.toString = 
function() {
	return "CalemLayoutTreeTabCustomize";
}

CalemLayoutTreeTabCustomize.prototype._onDrop =
function(srcControl, targetControl) {
	return this._tree.addObject(this, srcControl);
}

 

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemLayoutTreeCol
 * This is the tab item.
 */
function CalemLayoutTreeCol(parent, index, text, id, info, idx) {
	if (arguments.length==0) return;
	text=[CalemMsg.getMsg('peer_tab_col'), ' ', idx].join('');
	CalemDesignTreeItem.call(this, parent, index, text, 'CalemFormCol', id, info, false, true);
	this._calemDropAllowed=CalemConf['view_engine']['viewPeerTabDesign'].dropAllowed;
} 

CalemLayoutTreeCol.prototype = new CalemDesignTreeItem;
CalemLayoutTreeCol.prototype.constructor = CalemLayoutTreeCol;

CalemLayoutTreeCol.prototype.toString = 
function() {
	return "CalemLayoutTreeCol";
}

CalemLayoutTreeCol.prototype._onDrop =
function(srcControl, targetControl) { //Must handle it here.
	if (srcControl instanceof CalemLayoutTreeForm || srcControl instanceof CalemDesignTreeForm ) {
		new CalemLayoutTreeForm(this, null, srcControl.getText(), srcControl.getId(), srcControl.getInfo());
		srcControl.removeMe();
	}
	return true;
}

//Label design
CalemLayoutTreeCol.prototype.doLabelEdit = 
function() {
	return false;
}

CalemLayoutTreeCol.prototype.getLabelId =
function() {
	return this._info.getId();
}

CalemLayoutTreeCol.prototype.onLabelChanged =
function() {
	this.setText(this._info.getLabel());
}


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemLayoutTreePeerTab
 * This is the tab item.
 */
function CalemLayoutTreePeerTab(parent, index, text, id, info) {
	if (arguments.length==0) return;
	CalemDesignTreeItem.call(this, parent, index, text, 'CalemFormTab', id, info, true, false);
	this._calemDropAllowed=CalemConf['view_engine']['viewPeerTabDesign'].dropAllowed;
	this._createCols();
} 

CalemLayoutTreePeerTab.prototype = new CalemDesignTreeItem;
CalemLayoutTreePeerTab.prototype.constructor = CalemLayoutTreePeerTab;

CalemLayoutTreePeerTab.prototype.toString = 
function() {
	return "CalemLayoutTreePeerTab";
}

CalemLayoutTreePeerTab.prototype._onDrop =
function(srcControl, targetControl) {
	return this._tree._addObject(this, srcControl);
}

//Label design
CalemLayoutTreePeerTab.prototype.doLabelEdit = 
function() {
	return false;
}

CalemLayoutTreePeerTab.prototype.getLabelId =
function() {
	return this._info.getId();
}

CalemLayoutTreePeerTab.prototype.onLabelChanged =
function() {
	this.setText(this._info.getLabel());
}

CalemLayoutTreePeerTab.prototype._createCols =
function() {
	this._cols=new Array();
	var cnt=this._info.getColCount();
	for (var i=0; i< cnt; i++) {
		var col=new CalemLayoutTreeCol(this, null, null, [this._id, '_', i].join(''), null, i);
		this._cols.push(col);
	}
} 

CalemLayoutTreePeerTab.prototype.getCol =
function(i) {	
	return this._cols[i];
} 

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemLayoutTreePeerTabFixed
 * This is the tab item.
 */
function CalemLayoutTreePeerTabFixed(parent, index, text, id, info) {
	if (arguments.length==0) return;
	text=[text, ' ', CalemMsg.getMsg('fixed')].join('');
	CalemDesignTreeItem.call(this, parent, index, text, 'CalemFormTab', id, info, false, false);
	this._calemDropAllowed=CalemConf['view_engine']['viewPeerTabDesign'].dropAllowed;
	this._createCols();
} 

CalemLayoutTreePeerTabFixed.prototype = new CalemDesignTreeItem;
CalemLayoutTreePeerTabFixed.prototype.constructor = CalemLayoutTreePeerTabFixed;

CalemLayoutTreePeerTabFixed.prototype.toString = 
function() {
	return "CalemLayoutTreePeerTabFixed";
}

CalemLayoutTreePeerTabFixed.prototype._onDrop =
function(srcControl, targetControl) {
	return this._tree._addObject(this, srcControl);
}

//Label design
CalemLayoutTreePeerTabFixed.prototype.doLabelEdit = 
function() {
	return false;
}

CalemLayoutTreePeerTabFixed.prototype.getLabelId =
function() {
	return this._info.getId();
}

CalemLayoutTreePeerTabFixed.prototype.onLabelChanged =
function() {
	var text=[this._info.getLabel(), ' ', CalemMsg.getMsg('fixed')].join('');
	this.setText(text);
}

CalemLayoutTreePeerTabFixed.prototype._createCols =
function() {
	this._cols=new Array();
	var cnt=this._info.getColCount();
	for (var i=0; i< cnt; i++) {
		var col=new CalemLayoutTreeCol(this, null, null, [this._id, '_', i].join(''), null, i);
		this._cols.push(col);
	}
} 

CalemLayoutTreePeerTabFixed.prototype.getCol =
function(i) {	
	return this._cols[i];
} 

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemDesignTreeFormPeerTab
 * This is the root node.
 */
function CalemDesignTreeFormPeerTab(parent) {
	if (arguments.length==0) return;
	CalemDesignTreeFormMdTab.call(this, parent);
	this._calemDropAllowed=CalemConf['view_engine']['viewPeerTabDesign'].dropAllowed;
} 

CalemDesignTreeFormPeerTab.prototype = new CalemDesignTreeFormMdTab;
CalemDesignTreeFormPeerTab.prototype.constructor = CalemDesignTreeFormPeerTab;

CalemDesignTreeFormPeerTab.prototype.toString = 
function() {
	return "CalemDesignTreeFormPeerTab";
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemLayoutTreeFormPeerTab
 * This is the root node.
 */
function CalemLayoutTreeFormPeerTab(parent) {
	if (arguments.length==0) return;
	CalemLayoutTreeFormMdTab.call(this, parent);
	this._calemDropAllowed=CalemConf['view_engine']['viewPeerTabDesign'].dropAllowed;
} 

CalemLayoutTreeFormPeerTab.prototype = new CalemLayoutTreeFormMdTab;
CalemLayoutTreeFormPeerTab.prototype.constructor = CalemLayoutTreeFormPeerTab;

CalemLayoutTreeFormPeerTab.prototype.toString = 
function() {
	return "CalemLayoutTreeFormPeerTab";
}

CalemLayoutTreeFormPeerTab.prototype.addTabFixed =
function(id, info, text) {
	info=this.parent.getFormInfo().getItem(id);
	var item=new CalemLayoutTreePeerTabFixed(this, null, text, id, info);
	return item;
} 

CalemLayoutTreeFormPeerTab.prototype.addTab =
function(id, info, text) {
	info=this.parent.getFormInfo().getItem(id);
	var item=new CalemLayoutTreePeerTab(this, null, text, id, info);
	return item;
} 


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemViewDesignTree
 * This is the tree for view design
 * <ul>
 * <li> Record view 
 * <li> List view
 * <li> Md tab view
 * </ul>
 * Note: MdView does not need a designer.
 *       Record and List View can share most of the info.
 * 		MdTabView needs a separate structure and code base for design.
 */
function CalemViewDesignTree(parent, style, className, posStyle) {
	if (arguments.length==0) return;
	style= style || DwtTree.SINGLE_STYLE;
	className = className || 'CalemViewDesignTree';
	posStyle= posStyle || DwtControl.ABSOLUTE_STYLE;
	DwtTree.call(this, parent, style, className, posStyle);
	//Capture mouse events for drag and drop
	this._setMouseEventHdlrs(false);
} 

CalemViewDesignTree.prototype = new DwtTree;
CalemViewDesignTree.prototype.constructor = CalemViewDesignTree;

CalemViewDesignTree.prototype.toString = 
function() {
	return "CalemViewDesignTree";
}

CalemViewDesignTree.prototype.initTree =
function(info, controller, dragSrc, dropTarget) {
	this._info=info;
	this._controller=controller;
	this._dragSrc=dragSrc;
	this._dropTarget=dropTarget;
	this._initTree();
}

/**
 * Tree node change
 */
CalemViewDesignTree.prototype.onNodeRemoved =
function(id) {
	//overwrite.
} 

/**
 * Collect nodes under one root node.
 */
CalemViewDesignTree.prototype._addAcl =
function(node, acl) {
	var items=node.getItems();
	for (var i=0; i< items.length; i++) {
		acl[items[i].getId()]=CalemAclInfo.NO_ACCESS;
	}
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemLabelLayoutTree
 * This is the base layout tree.
 */
function CalemLabelLayoutTree(parent, style, className, posStyle) {
	if (arguments.length==0) return;
	CalemViewDesignTree.call(this, parent, style, className, posStyle);
	this._xMargin=CalemConf['view_engine']['dropdownViewDesign'].menuMarginX;
} 

CalemLabelLayoutTree.prototype = new CalemViewDesignTree;
CalemLabelLayoutTree.prototype.constructor = CalemLabelLayoutTree;

CalemLabelLayoutTree.prototype.toString = 
function() {
	return "CalemLabelLayoutTree";
}

//Add menu function here.
CalemLabelLayoutTree.prototype._initTree =
function() {
	if (!CalemDesignTargetInfo.getLabelDesignPermit()) return;
	//So this user can design labels.
	this._fldMenu=new DwtMenu(this.parent); //let's not mess with the tree items.
	this._addMenuItem('label_edit', 'CalemLabelEdit', this._controller.getLabelEditListener());	
	//Add a selection listener
	this.addSelectionListener(new AjxListener(this, this.onTreeSelection));
}

CalemLabelLayoutTree.prototype._addMenuItem =
function(labelId, img, listener) {
	var mi=new DwtMenuItem(this._fldMenu);
	mi.setImage(img);
	mi.setText(CalemMsg.getMsg(labelId));	
	mi.addSelectionListener(listener);
}

CalemLabelLayoutTree.prototype.onTreeSelection =
function(evt) {
	if (evt.detail != DwtTree.ITEM_ACTIONED) return;
	var item=evt.items[0];
	if (!item.doLabelEdit) return;
	//Set up menu data
	var items=this._fldMenu.getItems();
   for (var i=0; i< items.length; i++) {
   	items[i].setData(CalemContext.DATA, item);
   } 
   //Show menu and process it.
	if (item.doLabelEdit()) return; //Item customized showing menu.
	//Otherwise show label here.
	var loc=item.getLocation();
	this._fldMenu.popup(0, loc.x+this._xMargin, loc.y);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemRecordDesignTree
 * This is the tree component for record design.
 */
function CalemRecordDesignTree(parent, style, className, posStyle) {
	if (arguments.length==0) return;
	CalemViewDesignTree.call(this, parent, style, className, posStyle);
} 

CalemRecordDesignTree.prototype = new CalemViewDesignTree;
CalemRecordDesignTree.prototype.constructor = CalemRecordDesignTree;

CalemRecordDesignTree.prototype.toString = 
function() {
	return "CalemRecordDesignTree";
}

CalemRecordDesignTree.prototype._initTree =
function() {
	this._modelItem=this._controller.getModelItem();
	this._tableDd=this._modelItem.getTableDd();
	//Creating five category nodes.
	this._root=this._createRoot();
	//Empty row node
	this._blankRow=new CalemDesignTreeRow(this._root);
	//Toolbar node
	this._toolbar=new CalemDesignTreeToolBar(this._root);
	//Table node
	var text=this._tableDd.getTableName();
	this._table=new CalemDesignTreeTable(this._root, null, text, 'CalemTable');
	//Table extended
	text=CalemMsg.getMsg('table_extension');
	this._tableExt=new CalemDesignTreeTable(this._root, null, text, 'CalemTableExtesion');
	//Labels
	this._labelRoot=new CalemDesignTreeLabelRoot(this._root);
	//Expand tree after adding nodes
	this._root.setExpanded(true);
	//Now adding stuff to different spots of the tree.
	var parentCustomInfo=this._controller.getParentCustomInfo(); //Get parent's customInfo
	var myCustomInfo=this._controller.getMyCustomInfo();
	this._viewInfo=this._controller.getViewInfo();
	
	this._initTbAcl(parentCustomInfo, myCustomInfo);
	this._initViewAcl(parentCustomInfo, myCustomInfo);
}

CalemRecordDesignTree.prototype._createRoot =
function() {
	return new CalemDesignTreeFormRecord(this);
}

/**
 * Add ACL info to tree
 * a) the item is in parent acl, do not add it. 
 * b) the item is in my layout, do not add it.
 * c) the item is not in the original layout, do not add it.
 * d) add item to the tree.
 */
CalemRecordDesignTree.prototype._initTbAcl =
function(parentCustomInfo, myCustomInfo) {
	//Get parent acl
	var parentAcl=parentCustomInfo.getAcl().getTbAcl()._acl;
	var myAcl=myCustomInfo.getAcl().getTbAcl()._acl;
	
	var myLayout=myCustomInfo.getLayout() ? myCustomInfo.getLayout().getTbLayout() : null;
	var myLayoutMap=CalemViewUtil.getMapByList(myLayout);
	
	var origLayout=this._viewInfo.getItem('toolbar').getLayout();
	var origLayoutMap=CalemViewUtil.getMapByList(origLayout);
	
	//Now go through the original list
	var tb=this._viewInfo.getItem('toolbar');
	var list=tb.getList();
	for (var i=0; i < list.length; i++) {
		var item=list[i];
		var id=item.getId();
		if (parentAcl[id]) continue; //Hidden by parent groups
		if ((myLayout!=null && myLayoutMap[id]) || (myLayout==null && origLayoutMap[id]) ) continue; //It's in my layout.
		
		//Only button type
		if (item instanceof CalemButtonInfo) {
			this._toolbar.addButton(item.getId(), item, item.getTitle(), item.getIcon());
		}
	}	
} 

CalemRecordDesignTree.prototype._initViewAcl =
function(parentCustomInfo, myCustomInfo) {
	var parentAcl=parentCustomInfo.getAcl().getViewAcl()._acl;
	var myAcl=myCustomInfo.getAcl().getViewAcl()._acl;
	
	var myRows=myCustomInfo.getLayout() ? myCustomInfo.getLayout().getViewLayout() : null;
	var myRowMap=CalemViewUtil.getMapByRows(myRows);
	
	var origRows=this._viewInfo.getLayout().getRows();
	var origRowMap=CalemViewUtil.getMapByRows(origRows);
	
	//Going through the original stuff
	for (var i in origRowMap) {
		if (parentAcl[i]) continue; //parent groups hide it.
		if ((myRows!=null && myRowMap[i]) || myRows==null) continue;
	
		//Otherwise add to tree.
		var item=CalemViewUtil.getItemInfo(i, this._viewInfo, this._tableDd);
		if (item instanceof CalemLabelInfo) {
			this._labelRoot.addLabelInfo(i, item, item.getLabel());
		} else if (item instanceof CalemFieldLabelInfo) {
			if (this._tableDd.isField(item.getField())) {//Check for field existence
				this._addFieldLabelInfo(i, item, this._tableDd.getDesignLabel(item.getField()), item.getField());
			}
		} else if (item instanceof CalemFieldInfo) {
			if (this._tableDd.isField(item.getField())) {//Check for field existence
				this._addFieldInfo(i, item, this._tableDd.getDesignLabel(i));
			}
		}
	}
	this._initDataItems(parentAcl, myAcl, myRowMap, myCustomInfo);
} 

/**
 * Figure out how to place fields/field labels.
 */
CalemRecordDesignTree.prototype._initDataItems =
function(parentAcl, myAcl, myRowMap, myCustomInfo) {
	//Going through data items
	var fields=this._tableDd.getFields();
	for (var i in fields) {
		var lb=CalemViewUtil.getFieldLabel(i);
		if (!parentAcl[lb] && !myRowMap[lb]) { //Add label
			var item=this._tableDd.getFieldLabelInfo(i);
			this._addFieldLabelInfo(lb, item, this._tableDd.getDesignLabel(i), i);
		}
		if (!parentAcl[i] && !myRowMap[i]) { //Add field.
			var item=this._tableDd.getFieldInfo(i);
			this._addFieldInfo(i, item, this._tableDd.getDesignLabel(i));
		}
	}
}

CalemRecordDesignTree.prototype._addFieldInfo =
function(id, itemInfo, lb) {
	var tb= this._tableDd.isBaseField(id) ? this._table : this._tableExt;
	tb.addFieldInfo(id, itemInfo, lb);
}

CalemRecordDesignTree.prototype._addFieldLabelInfo =
function(id, itemInfo, lb, fld) {
	var tb= this._tableDd.isBaseField(fld) ? this._table : this._tableExt;
	var required=this._tableDd.isRequired(fld);
	tb.addFieldLabelInfo(id, itemInfo, lb, required);
}

/**
* Adding a control dropped on to the tree
 */
CalemRecordDesignTree.prototype._addObject =
function(obj) {
	var render=obj._parentRender;
	var item;
	var text;
	if (render instanceof CalemLabelDesignRender) {
		text=obj.getText();
		this._labelRoot.addLabelInfo(render.getId(), render.getInfo(), obj.getText());
	} else if (render instanceof CalemFieldLabelDesignRender) {
		this._addFieldLabelInfo(render.getId(), render.getInfo(), obj.getText(), render._field);
	} else if (render instanceof CalemFieldDesignRender || render instanceof CalemTextDesignRender) {
		this._addFieldInfo(render.getId(), render.getInfo(), obj.getText());
	} else if (render instanceof CalemTbDesignButtonRender) {
		this._toolbar.addButton(render.getId(), render.getInfo(), obj.getText(), obj.getImage());
	}
	//These types are not added to tree: CalemRecordDesignColRender/CalemRecordDesignRowRender
} 

/**
 * Collect Acl info here.
 * For record:
 * - toolbar acl
 * - base field/field label
 * - extended field/field label
 * - label acl
 * The last three types are lumped into one.
 */
CalemRecordDesignTree.prototype.getAclInfo =
function() {
	var tbAcl=new Object();
	var viewAcl=new Object();
	this._addAcl(this._toolbar, tbAcl);
	this._addAcl(this._table, viewAcl);
	this._addAcl(this._tableExt, viewAcl);
	this._addAcl(this._labelRoot, viewAcl);
	//Set up acl
	var acl=new CalemViewAclInfo(new CalemAclInfo(tbAcl), new CalemAclInfo(viewAcl));
	return acl;
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemGridLayoutTree
 * This is the tree component for Grid design.
 */
function CalemGridLayoutTree(parent, style, className, posStyle) {
	if (arguments.length==0) return;
	CalemLabelLayoutTree.call(this, parent, style, className, posStyle);
} 

CalemGridLayoutTree.prototype = new CalemLabelLayoutTree;
CalemGridLayoutTree.prototype.constructor = CalemGridLayoutTree;

CalemGridLayoutTree.prototype.toString = 
function() {
	return "CalemGridLayoutTree";
}

CalemGridLayoutTree.prototype._initTree =
function() {
	CalemLabelLayoutTree.prototype._initTree.call(this);
	
	this._modelItem=this._controller.getModelItem();
	this._tableDd=this._modelItem.getTableDd();
	//Creating five category nodes.
	this._root=new CalemLayoutTreeGridRoot(this);
	//Table node
	var text=this._tableDd.getTableName();
	this._table=new CalemDesignTreeGridTable(this._root, null, text, 'CalemTable');
	//Table extended
	text=CalemMsg.getMsg('table_extension');
	this._tableExt=new CalemDesignTreeGridTable(this._root, null, text, 'CalemTableExtesion');
	//Expand tree after adding nodes
	this._root.setExpanded(true);
	//Now adding stuff to different spots of the tree.
	var customInfo=this._controller.getCustomInfo();
	this._viewInfo=this._controller.getViewInfo();
	
	this._initGridAcl(customInfo);
}

CalemGridLayoutTree.prototype._initGridAcl =
function(customInfo) {
	var acl=customInfo.getAcl().getViewAcl()._acl;
	var fields=this._tableDd.getFields();
	for (var i in fields) {
		if (!acl[i]) { //Add label
			var item=this._tableDd.getFieldInfo(i);
			this._addFieldInfo(i, item, this._tableDd.getDesignLabel(i));
		}
	}
}

CalemGridLayoutTree.prototype._addFieldInfo =
function(id, itemInfo, lb) {
	var tb= this._tableDd.isBaseField(id) ? this._table : this._tableExt;
	tb.addFieldInfo(id, itemInfo, lb);
}

/**
* Adding a control dropped on to the tree
 */
CalemGridLayoutTree.prototype._addObject =
function(obj) {
	if (obj instanceof CalemDesignTreeField) {
		this._addFieldInfo(obj.getId(), obj.getInfo(), obj.getText());
		obj.removeMe(); //Remove it from the source tree.
	}
	this.onNodeAdded(obj.getId());
	//These types are not added to tree: CalemGridDesignColRender/CalemGridDesignRowRender
} 

/**
 * Set change callback
 */
CalemGridLayoutTree.prototype.setTreeChangeCallback =
function(callback) {
	this._changeCallback=callback;
}

CalemGridLayoutTree.prototype.setCanDragCallback =
function(callback) {
	this._canDragCallback=callback;
}  

CalemGridLayoutTree.prototype.canDragStart =
function() {
	return this._canDragCallback.run();
}

CalemGridLayoutTree.prototype._onChange =
function(nodeChange) {
	this._changeCallback.run(nodeChange);
} 

/**
 * Tree node change
 */
CalemGridLayoutTree.prototype.onNodeRemoved =
function(id) {
	this._onChange({id: id, op: CalemConst._NODE_REMOVED});
} 

CalemGridLayoutTree.prototype.onNodeAdded =
function(id) {
	this._onChange({id: id, op: CalemConst._NODE_ADDED});
}
	
 /*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemListDesignTree
 * This is the tree component for List design.
 */
function CalemListDesignTree(parent, style, className, posStyle) {
	if (arguments.length==0) return;
	CalemRecordDesignTree.call(this, parent, style, className, posStyle);
} 

CalemListDesignTree.prototype = new CalemRecordDesignTree;
CalemListDesignTree.prototype.constructor = CalemListDesignTree;

CalemListDesignTree.prototype.toString = 
function() {
	return "CalemListDesignTree";
}

//Use a special root node.
CalemListDesignTree.prototype._createRoot =
function() {
	return new CalemDesignTreeFormList(this);
}

/**
 * Figure out how to place fields/field labels.
 * Only fields in myAcl should be added to the tree.
 */
CalemListDesignTree.prototype._initDataItems =
function(parentAcl, myAcl, myRowMap, myCustomInfo) {	
	//Going through data items
	var fields=this._tableDd.getFields();
	for (var i in fields) {
		if (!parentAcl[i] && myAcl[i]) { //Add field.
			var item=this._tableDd.getFieldInfo(i);
			this._addFieldInfo(i, item, this._tableDd.getDesignLabel(i));
		}
	}
}

/**
* Handle field dropped from grid tree only.
 */
CalemListDesignTree.prototype._addObject =
function(obj) {
	if (obj instanceof CalemLayoutTreeGridField) {
		this._addFieldInfo(obj.getId(), obj.getInfo(), obj.getText());
		obj.removeMe();
	} else {
		CalemRecordDesignTree.prototype._addObject.call(this, obj);
		obj._parentRender.replaceWithDesignCol(obj);
	}
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemMdTabDesignTree
 * This is the tree component for mdtab design.
 */
function CalemMdTabDesignTree(parent, style, className, posStyle) {
	if (arguments.length==0) return;
	CalemViewDesignTree.call(this, parent, style, className, posStyle);
} 

CalemMdTabDesignTree.prototype = new CalemViewDesignTree;
CalemMdTabDesignTree.prototype.constructor = CalemMdTabDesignTree;

CalemMdTabDesignTree.prototype.toString = 
function() {
	return "CalemMdTabDesignTree";
}

CalemMdTabDesignTree.prototype._initTree =
function() {
	//Creating two category nodes.
	this._root=this._createRoot();
	//TabRoot node
	this._tabRoot=new CalemDesignTreeTabRoot(this._root);
	//FormRoot node
	this._formRoot=new CalemDesignTreeFormRoot(this._root);
	//Expand tree after adding nodes
	this._root.setExpanded(true);
	//Now adding stuff to different spots of the tree.
	var parentCustomInfo=this._controller.getParentCustomInfo(); //Get parent's customInfo
	var myCustomInfo=this._controller.getMyCustomInfo();
	this._formInfo=this._controller.getFormInfo();
	this._initAcl(parentCustomInfo, myCustomInfo);
}

CalemMdTabDesignTree.prototype._createRoot =
function() {
	return new CalemDesignTreeFormMdTab(this);
}

/**
 * Add ACL info to tree
 * a) the item is in parent acl, do not add it. 
 * b) the item is in the layout, do not add it.
 */
CalemMdTabDesignTree.prototype._initAcl =
function(parentCustomInfo, myCustomInfo) {
	//Figuring out who is in the layout.
	var layout= (myCustomInfo && myCustomInfo.getLayout()) ? myCustomInfo.getLayout() : this._formInfo.getLayout();
	var tabMap=new Object();
	var formMap=new Object();
	var tabList=layout.getTabList();
	for (var i=0; i< tabList.length; i++) {
		tabMap[tabList[i]]=true;
		//consider special tab.
		if (CalemViewUtil.isCustomizeTab(tabList[i])) continue;
		//Add forms to the map.
		var fmList=layout.getTabItem(tabList[i]).getLayout();
		for (var j=0; j< fmList.length; j++) {
			var fmId=fmList[j];
			formMap[fmId]=this._formInfo.getItem(fmId);
		}
	}
	//Now going through the original item list.
	var map=this._formInfo.getItemMap().getMap();
	for (var i in map) {
		var item=map[i];
		if (item instanceof CalemTabInfo) {//it's tab
			if (tabMap[i] || !parentCustomInfo.checkTabAcl(i)) continue;
			this._addTab(i, item);
		} else if (item instanceof CalemFormLayoutInfo) {
			if (formMap[i] || !parentCustomInfo.checkFormAcl(i)) continue;
			this._addForm(i, item)
		} else {
			//unknown item
			if (CalemDebug.isInfo()) {
				CalemDebug.info("CalemMdTabDesignTree: unknown item: "+i+", type="+item);
			}	
		}
	}
} 

CalemMdTabDesignTree.prototype._addTab =
function(id, itemInfo) {
	if (CalemViewUtil.isCustomizeTab(id)) {
		this._tabRoot.addCustomizeTabInfo(id, itemInfo, itemInfo.getLabel());
	} else {
		this._tabRoot.addTabInfo(id, itemInfo, itemInfo.getLabel());
	}
}

CalemMdTabDesignTree.prototype._addForm =
function(id, itemInfo, text) {
    text = text || CalemFormInfo.getFormDesignText(id);
	this._formRoot.addFormInfo(id, text, itemInfo);
}

/**
* Adding a control dropped on to the tree
 */
CalemMdTabDesignTree.prototype._addObject =
function(obj) {
	if (obj instanceof CalemLayoutTreeForm) {
		this._addForm(obj.getId(), obj.getInfo(), obj.getText());
	} else if (obj instanceof CalemLayoutTreeTab) {
		this._addTab(obj.getId(), obj.getInfo());
		this._addItems(obj);
	} else if (obj instanceof CalemLayoutTreeTabCustomize ) {
		this._addTab(obj.getId(), obj.getInfo());
	} 
} 

CalemMdTabDesignTree.prototype._addItems =
function(root) {
	var items=root.getItems();
	for (var i=0; i< items.length; i++) {
		this._addObject(items[i]);
	}
}

/**
 * Collect Acl info here.
 */
CalemMdTabDesignTree.prototype.getAclInfo =
function() {
	var tabAcl=new Object();
	var formAcl=new Object();
	this._addAcl(this._tabRoot, tabAcl);
	this._addAcl(this._formRoot, formAcl);
	//Set up acl
	var acl=new CalemFormAclInfo(new CalemAclInfo(tabAcl), new CalemAclInfo(formAcl));
	return acl;
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemMdTabLayoutTree
 * This is the tree component for mdtab design.
 */
function CalemMdTabLayoutTree(parent, style, className, posStyle) {
	if (arguments.length==0) return;
	CalemLabelLayoutTree.call(this, parent, style, className, posStyle);
} 

CalemMdTabLayoutTree.prototype = new CalemLabelLayoutTree;
CalemMdTabLayoutTree.prototype.constructor = CalemMdTabLayoutTree;

CalemMdTabLayoutTree.prototype.toString = 
function() {
	return "CalemMdTabLayoutTree";
}

CalemMdTabLayoutTree.prototype._initTree =
function() {
	CalemLabelLayoutTree.prototype._initTree.call(this);
	
	//Creating two category nodes.
	this._root=this._createRoot();
	//Now adding stuff to different spots of the tree.
	var customInfo=this._controller.getCustomInfo();
	this._formInfo=this._controller.getFormInfo();
	this._setupTree(customInfo);
	//Expand tree after adding nodes
	this._root.setExpanded(true);
}

CalemMdTabLayoutTree.prototype.getFormInfo =
function() {
	return this._formInfo;
}

CalemMdTabLayoutTree.prototype._createRoot =
function() {
	return new CalemLayoutTreeFormMdTab(this);
}

/**
 * Adding layout to the tree.
 */
CalemMdTabLayoutTree.prototype._setupTree =
function(customInfo) {
	//Figuring out who is in the layout.
	var layout= (customInfo && customInfo.getLayout()) ? customInfo.getLayout() : this._formInfo.getLayout();
	var tabList=layout.getTabList();
	for (var i=0; i< tabList.length; i++) {
		if (!customInfo.checkTabAcl(tabList[i])) continue;
		var tab=this._addTab(tabList[i]);
		//consider special ab.
		if (CalemViewUtil.isCustomizeTab(tabList[i])) continue;
		//Add forms to the map.
		var fmList=layout.getTabItem(tabList[i]).getLayout();		
		for (var j=0; j< fmList.length; j++) {
			var fmInfo=this._formInfo.getItem(fmList[j]);
			if (!customInfo.checkFormAcl([fmInfo])) continue;
			this._addForm(tab, fmInfo.getId(), fmInfo);
		}
	}
} 

CalemMdTabLayoutTree.prototype._addTab =
function(id) {
	var itemInfo=this._formInfo.getItem(id);
	if (CalemViewUtil.isCustomizeTab(id)) {
		return this._root.addTabCustomize(id, itemInfo, itemInfo.getLabel());
	} else if (itemInfo.getFixed()){ //Fixed tab
		return this._root.addTabFixed(id, itemInfo, itemInfo.getLabel());
	} else {
		return this._root.addTab(id, itemInfo, itemInfo.getLabel());
	}
}

CalemMdTabLayoutTree.prototype._addForm =
function(tab, id, item, text) {
	text = text || CalemFormInfo.getFormDesignText(id);
	if (item.getFixed()) {
		new CalemLayoutTreeFormFixed(tab, null, text, id, item);
	} else {
		new CalemLayoutTreeForm(tab, null, text, id, item);
	}
}

/**
* Adding a control dropped on to the tree
 */
CalemMdTabLayoutTree.prototype._addObject =
function(root, obj) {
	if (obj instanceof CalemLayoutTreeForm || obj instanceof CalemDesignTreeForm ) {
		this._addForm(root, obj.getId(), obj.getInfo(), obj.getText());
		obj.removeMe();
	}
	return true;
} 

/**
 * Collecting form layout info
 */
CalemMdTabLayoutTree.prototype.getFormLayoutInfo =
function() {
	var tabList=new Array();
	var tabMap=new Object();
	var items=this._root.getItems();
	for (var i=0; i< items.length; i++) {
		var tab=items[i];
		tabList.push(tab.getId());
		if (CalemViewUtil.isCustomizeTab(tab.getId())) continue;
		var fms=tab.getItems();
		var layout=new Array();
		for (j=0; j< fms.length; j++) {
			layout.push(fms[j].getInfo().getId());
		}
		//Now construct one item
		var item=new CalemTabLayoutInfo(layout);
		tabMap[tab.getId()]=item;
	}
	var fmInfo=new CalemMdTabLayoutInfo(tabList, tabMap);
	return fmInfo;
} 

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemPeerTabDesignTree
 * This is the leftpanel tree
 */
function CalemPeerTabDesignTree(parent, style, className, posStyle) {
	if (arguments.length==0) return;
	CalemMdTabDesignTree.call(this, parent, style, className, posStyle);
} 

CalemPeerTabDesignTree.prototype = new CalemMdTabDesignTree;
CalemPeerTabDesignTree.prototype.constructor = CalemPeerTabDesignTree;

CalemPeerTabDesignTree.prototype.toString = 
function() {
	return "CalemPeerTabDesignTree";
}

/**
 * Add ACL info to tree
 * a) the item is in parent acl, do not add it. 
 * b) the item is in the layout, do not add it.
 */
CalemPeerTabDesignTree.prototype._initAcl =
function(parentCustomInfo, myCustomInfo) {
	//Figuring out who is in the layout.
	var layout= (myCustomInfo && myCustomInfo.getLayout()) ? myCustomInfo.getLayout() : this._formInfo.getLayout();
	var tabMap=new Object();
	var formMap=new Object();
	var tabList=layout.getTabList();
	for (var i=0; i< tabList.length; i++) {
		tabMap[tabList[i]]=true;
		//consider special tab.
		if (CalemViewUtil.isCustomizeTab(tabList[i])) continue;
		//Add forms to the map.
		var fmLayout=layout.getTabItem(tabList[i]);
		var colCount= (fmLayout ? fmLayout.getColCount() : 0);
		for (var ci=0; ci < colCount; ci++) {
			var fmList=fmLayout.getColLayout(ci);
			for (var j=0; j< fmList.length; j++) {
				var fmId=fmList[j];
				formMap[fmId]=this._formInfo.getItem(fmId);
			}
		}
	}
	//Now going through the original item list.
	var map=this._formInfo.getItemMap().getMap();
	for (var i in map) {
		var item=map[i];
		if (item instanceof CalemTabInfo) {//it's tab
			if (tabMap[i] || !parentCustomInfo.checkTabAcl(i)) continue;
			this._addTab(i, item);
		} else if (item instanceof CalemFormLayoutInfo) {
			if (formMap[i] || !parentCustomInfo.checkFormAcl(i)) continue;
			this._addForm(i, item)
		} else {
			//unknown item
			if (CalemDebug.isInfo()) {
				CalemDebug.info("CalemPeerTabDesignTree: unknown item: "+i+", type="+item);
			}	
		}
	}
} 


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

/**
 * CalemPeerTabLayoutTree
 * This is the right hand tree for design use.
 */
function CalemPeerTabLayoutTree(parent, style, className, posStyle) {
	if (arguments.length==0) return;
	CalemMdTabLayoutTree.call(this, parent, style, className, posStyle);
} 

CalemPeerTabLayoutTree.prototype = new CalemMdTabLayoutTree;
CalemPeerTabLayoutTree.prototype.constructor = CalemPeerTabLayoutTree;

CalemPeerTabLayoutTree.prototype.toString = 
function() {
	return "CalemPeerTabLayoutTree";
}

CalemPeerTabLayoutTree.prototype._createRoot =
function() {
	return new CalemLayoutTreeFormPeerTab(this);
}

/**
 * Adding layout to the tree.
 */
CalemPeerTabLayoutTree.prototype._setupTree =
function(customInfo) {
	//Figuring out who is in the layout.
	var layout= (customInfo && customInfo.getLayout()) ? customInfo.getLayout() : this._formInfo.getLayout();
	var tabList=layout.getTabList();
	for (var i=0; i< tabList.length; i++) {
		if (!customInfo.checkTabAcl(tabList[i])) continue;
		var tab=this._addTab(tabList[i]);
		//consider special ab.
		if (CalemViewUtil.isCustomizeTab(tabList[i])) continue;
		//Add forms to the map.
		var fmLayout=layout.getTabItem(tabList[i]);	
		var colCount=fmLayout.getColCount();
		for (var ci=0; ci < colCount; ci++)	 {
			var fmList=fmLayout.getColLayout(ci);
			for (var j=0; j< fmList.length; j++) {
				var fmInfo=this._formInfo.getItem(fmList[j]);
				if (!customInfo.checkFormAcl([fmInfo])) continue;
				this._addForm(tab, fmInfo.getId(), fmInfo, null,ci);
			}
		}
	}
}

CalemPeerTabLayoutTree.prototype._addForm =
function(tab, id, item, text, ci) {
	text = text || CalemFormInfo.getFormDesignText(id);
	var col=tab.getCol(ci);
	if (item.getFixed()) {
		new CalemLayoutTreeFormFixed(col, null, text, id, item);
	} else {
		new CalemLayoutTreeForm(col, null, text, id, item);
	}
}

/**
 * Collecting form layout info
 */
CalemPeerTabLayoutTree.prototype.getFormLayoutInfo =
function() {
	var tabList=new Array();
	var tabMap=new Object();
	var items=this._root.getItems();
	for (var i=0; i< items.length; i++) {
		var tab=items[i];
		tabList.push(tab.getId());
		if (CalemViewUtil.isCustomizeTab(tab.getId())) continue;
		var cols=tab.getItems();
		var colLayout=new Array();
		for (var ci=0; ci< cols.length; ci++) {
			var fms=cols[ci].getItems();
			var layout=new Array();
			for (j=0; j< fms.length; j++) {
				layout.push(fms[j].getInfo().getId());
			}
			//Now construct one item
			var item=new CalemTabLayoutInfo(layout);
			colLayout.push(item);
		}
		tabMap[tab.getId()]=new CalemTabColLayoutInfo(colLayout);
	}
	var fmInfo=new CalemPeerTabLayoutInfo(tabList, tabMap);
	return fmInfo;
} 

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemSearchSelect
 * This is search select control.
 */
function CalemSearchSelect(parent, tableId, type, controller) {
	if (arguments.length==0) return;
	DwtComposite.call(this, parent, 'CalemSearchSelect');
	this._tableId=tableId;
	this._type=type;
	this._controller = controller;
	this._selectListener=new AjxListener(this, this.onSelect);
	this._createControl();
} 

CalemSearchSelect.prototype = new DwtComposite;
CalemSearchSelect.prototype.constructor = CalemSearchSelect;

CalemSearchSelect.prototype.toString = function() { return "CalemSearchSelect"; }

CalemSearchSelect.prototype._createControl  =
function(param) {
	var el=this.getHtmlElement();
	var selectId=Dwt.getNextId();
	var applyId=Dwt.getNextId();
	var editId=Dwt.getNextId();
	var deleteId=Dwt.getNextId();
	el.innerHTML=["<table class=CalemSearchSelectTable><tr>",
	              "<td id=", selectId, " class=CalemSearchSelectTd></td>",
	              "<td id=", applyId, " class=CalemSearchApplyTd> </td>",
	              "<td id=", editId, " class=CalemSearchEditTd> </td>",
	              "<td id=", deleteId, " class=CalemSearchDeleteTd> </td>",
	              "</tr></table>"].join('');
	//Getting the elements
	var selectEl=document.getElementById(selectId);
	var applyEl=document.getElementById(applyId);
	var editEl=document.getElementById(editId);
	var deleteEl=document.getElementById(deleteId);	                            
	//Creating the elements
	this._select=new DwtSelect(this.parent);
	this._select.addChangeListener(this._selectListener);
	this._select.reparentHtmlElement(selectEl);
	
	this._apply=this._createButton('menu_apply', 'CalemApply', this._controller.getApplyListener(), applyEl);
	this._edit=this._createButton('menu_edit', 'CalemEdit', this._controller.getEditListener(), editEl);
	this._delete=this._createButton('menu_delete', 'CalemDelete', this._controller.getDeleteListener(), deleteEl);
	//Data initialization
	this._setupOptions();
}

//create a button
CalemSearchSelect.prototype._createButton = 
function(menuId, image, listener, parentEl) {
	var btn=new CalemButton(this.parent);
	btn.setText(CalemMsg.getMsg(menuId));
	btn.setImage(image);
	btn.addSelectionListener(listener);
	btn.reparentHtmlElement(parentEl);
	return btn;
}

//Some initialization
CalemSearchSelect.prototype._setupOptions =
function() {
	this._disable(true);
	
	this._select.clearOptions();
	this._valueMap=CalemViewUtil.getSearchByTable(this._tableId, this._type);
	var bSelected=true;
	for (var i in this._valueMap) {
		var opt=new DwtSelectOption(i, bSelected, this._valueMap[i].getName());
		this._select.addOption(opt);
		if (bSelected) {
			bSelected=false;
			this._onSelect(i);
		}
	}
	//If empty display an empty string
	if (bSelected) {
		var opt=new DwtSelectOption('no_saved_search', true, CalemMsg.getMsg('no_saved_search'));
		this._select.addOption(opt);
	}
}

CalemSearchSelect.prototype.onSelect =
function(ev) {
	if (this._valueMap[ev._args.newValue]) {//This will recognize the null value added.
		this._onSelect(ev._args.newValue);
	}
}

CalemSearchSelect.prototype._onSelect =
function(id) {
	if (this._type==CalemConst.MY_SEARCH) {
		this._enable(id, true);
	} else {
		if (CalemViewUtil.canEditSharedSearch(this._valueMap[id])) {
			this._enable(id, true);
		} else {
			this._enable(id, false);
		}
	}
}

CalemSearchSelect.prototype._enable =
function(id, all) {
	this._apply.setData(CalemContext.DATA, this._valueMap[id]);
	this._apply.setEnabled(true);
	if (all) {
		this._edit.setData(CalemContext.DATA, this._valueMap[id]);
		this._edit.setEnabled(true);
		this._delete.setData(CalemContext.DATA, this._valueMap[id]);
		this._delete.setEnabled(true);
	}
}

CalemSearchSelect.prototype._disable =
function(all) {
	this._edit.setEnabled(false);
	this._delete.setEnabled(false);
	if (all)	this._apply.setEnabled(false);
}

CalemSearchSelect.prototype.setFocus =
function() {
	//Not supported.
}

/**
 * Resume view to reload search.
 */
CalemSearchSelect.prototype.resumeView =
function() {
	this._setupOptions();
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemSearchSave
 * This is search save control.
 */
function CalemSearchSave(parent, search) {
	if (arguments.length==0) return;
	DwtComposite.call(this, parent, 'CalemSearchSave');
	this._selectListener=new AjxListener(this, this.onSelect);
	this._vdCallback=new AjxCallback(this, this.onVdCallback);
	this._createControl(parent);
	this.setupSearch(search);
	this._sQuoteReg=new RegExp("'", 'g');
	this._sQuoteRep=CalemConf['view_engine']['searchSave']['sQuote'];
} 

CalemSearchSave.prototype = new DwtComposite;
CalemSearchSave.prototype.constructor = CalemSearchSave;

CalemSearchSave.prototype.toString = function() { return "CalemSearchSave"; }

CalemSearchSave.prototype._createControl  =
function(parent) {
	var el=this.getHtmlElement();
	var editId=Dwt.getNextId();
	var selectId=Dwt.getNextId();
	el.innerHTML=["<table class=CalemSearchSaveTable><tr>",
	              "<td id=", editId, " class=CalemSearchSaveEditTd></td>",
	              "<td class=CalemSearchSaveAsTd>", CalemMsg.getMsg("search_as"), "</td>",
	              "<td id=", selectId, " class=CalemSearchSaveSelectTd> </td>",
	              "</tr></table>"].join('');
	//Getting the elements
	var editEl=document.getElementById(editId);
	var selectEl=document.getElementById(selectId);	                            
	//Creating the elements
	this._edit = new CalemInputField({parent: parent, type: DwtInputField.STRING, 
	              	size: CalemConf['view_engine']['searchSave']['display'],
	              	errorIconStyle: CalemConf['view_engine']['field']['inputErrorIcon']});
	this._edit.setValidStringLengths(null, CalemConf['view_engine']['searchSave']['max']);
	this._edit.setValidationCallback(this._vdCallback);
	this._edit.reparentHtmlElement(editEl);
	//Deciding the value to display on select
	this._select=new DwtSelect(this.parent);
	this._select.addChangeListener(this._selectListener);
	this._select.reparentHtmlElement(selectEl);
	//Data initialization
	this._initControl();
}

//Some initialization
CalemSearchSave.prototype._initControl =
function() {
	//Set up options to save.
	var userInfo=CalemContext.getInstance().getUserInfo();
	this._searchOptions=new Object();
	this._searchOptions[userInfo.uid]={shared: false, value: CalemMsg.getMsg('search_mine')};
	if (CalemDropdownUtil.isAdmin(userInfo.admin_type_id)) {
		this._searchOptions[userInfo.gid]={shared: true, value: CalemMsg.getMsg('search_group')};
		this._searchOptions[CalemConst.CUSTOM_SYSTEM]={shared: true, value: CalemMsg.getMsg('search_system')};
	} else if (CalemDropdownUtil.isAdminGroup(userInfo.gid)) {
		this._searchOptions[userInfo.gid]={shared: true, value: CalemMsg.getMsg('search_group')};
	}
	//Init selection
	//Add stuff to the select dropdown.
	for (var i in this._searchOptions) {
		var option=new DwtSelectOption(i, this._searchOptions[i].selected, this._searchOptions[i].value);
		this._select.addOption(option);
	}
	//Init edit result
	this._saveValue=new Object();
}

//setup search
CalemSearchSave.prototype.setupSearch =
function(search) {
	this._search=search;
	//Set edit to the existing name of the search.
	var val=this._search ? this._search.getName() : '';
	this._saveValue._name=val;
	this._edit.setValue(val, true);
	//Init selection
	var opVal;
	if (this._search) {
		opVal=this._search.getAxoId();
		this._saveValue._shared=this._searchOptions[this._search.getAxoId()].shared;
		this._saveValue._axoId=this._search.getAxoId();
	} else { //Default to personal if there're no search at all.
		var userInfo=CalemContext.getInstance().getUserInfo();
	   opVal=userInfo.uid;
		this._saveValue._shared=false;
		this._saveValue._axoId=userInfo.uid;
	}
	//Option
	this._select.setSelectedValue(opVal);
}

CalemSearchSave.prototype.onSelect =
function(ev) {
	this._saveValue._axoId=ev._args.newValue;
	this._saveValue._shared=this._searchOptions[this._saveValue._axoId].shared;
}

CalemSearchSave.prototype.setFocus =
function() {
	//Not supported.
}

CalemSearchSave.prototype.getSaveValue =
function() {
	return this._saveValue;
}

//Validation callback here
CalemSearchSave.prototype.setValidationCallback =
function(vcCallback) {
	this._parentVdCallback=vcCallback;
}

CalemSearchSave.prototype.onVdCallback =
function(field, isValid, value) {
	if (isValid) this._saveValue._name= value ? value.replace(this._sQuoteReg, this._sQuoteRep) : value;
	this._parentVdCallback.run(field, isValid, value);
}

//Set field info
CalemSearchSave.prototype.setFieldInfo =
function(field) {
	this._edit.setFieldInfo(field);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemUiRender
 *  
 */
function CalemUiRender(parent, id, info, controller) {
	if (arguments.length==0) return;
	this._parent=parent;
	this._id=id;
	this._info=info;
	this._controller=controller;
	CalemModel.call(this, true); //So to have an event handling functions.
}

CalemUiRender.prototype=new CalemModel;
CalemUiRender.prototype.constructor=CalemUiRender;

/**
 * Drag and drop
 */
CalemUiRender.prototype.initDnd =
function(ds, dt) {
	this._dragSrc=ds;
	this._dropTarget=dt;
}

CalemUiRender.prototype.toString = function() { return "CalemUiRender"; }

CalemUiRender.prototype.render =
function(parentEl, yOff, clsName) {
	//Overwrite 	  
}

CalemUiRender.prototype._showData =
function() {
	//Overwrite
}

CalemUiRender.prototype.onLayoutChange =
function() {
	//Overwrite
}

CalemUiRender.prototype.resumeView =
function() {
	//Overwrite
}

CalemUiRender.prototype.reRenderView =
function() {
	//Overwrite
}

CalemUiRender.prototype.setFieldReadOnly =
function(id) {
	//overwrite.
}

CalemUiRender.prototype.getNullReplacement =
function() {
	return '';
}

CalemUiRender.prototype.setFocus =
function() {
	//Overwrite.
}

/**
 * shutdown
 */
CalemUiRender.prototype._shutdown =
function() {
	//Overwrite.	
} 

//Life cycle mgmt
CalemUiRender.prototype.getId = 
function() { 
	return this._id; 
}

CalemUiRender.prototype.getInfo = 
function() { 
	return this._info; 
}

//replace control with a design cell
CalemUiRender.prototype.replaceWithDesignCol =
function(ctrl) {
    var parentEl=ctrl.getHtmlElement().parentNode;
	 this.remove(ctrl);
	 if (this._parentRender) {
		this._parentRender._renderColDesign(parentEl); //Button/separator don't have parentRender...
	 }
}
//Remove control and its render.
CalemUiRender.prototype.remove =
function(ctrl) {
	ctrl.dispose();
	this.removeRender();
}

CalemUiRender.prototype.removeRender =
function() {
	this._parentRender._removeRender(this._id);
}

CalemUiRender.prototype._renderColDesign =
function(parentEl) {
	if (this._parentRender) this._parentRender._renderColDesign(parentEl);
}

/**
 * default field search is null
 */
CalemUiRender.prototype.getFieldSearch =
function() {
	return null;
}  /*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemViewPage
 * This is the page that host a view page.
 */
function CalemViewPage(parent, className, positionStyle) {
	if (arguments.length==0) return;
	
	className = className || "CalemViewPage";
	positionStyle = positionStyle || DwtControl.ABSOLUTE_STYLE;
	CalemFormTabViewPage.call(this, parent, className, positionStyle);
	//Controller list for embedding.
	this._controllers=[];
	//Visibility state
	this._state=CalemViewPage.STATE_NEW;
}

CalemViewPage.STATE_NEW = 0;
CalemViewPage.STATE_HIDE = 1;
CalemViewPage.STATE_SHOW = 2;

CalemViewPage.prototype = new CalemFormTabViewPage;
CalemViewPage.prototype.constructor = CalemViewPage;

CalemViewPage.prototype.toString = function() { return "CalemViewPage"; }

//Public APIs

// TabViewPage inherited methods
CalemViewPage.prototype.showMe =
function() {
	CalemFormTabViewPage.prototype.showMe.call(this);
	//Display form.
	if (this._state==CalemViewPage.STATE_HIDE) { //repaint.
		this.resumeHost();
	} else {
		this.showForm();
	} 
	this._state=CalemViewPage.STATE_SHOW;
}

//So the tab is hidden now.
CalemViewPage.prototype.setHideState =
function() {
	this._state=CalemViewPage.STATE_HIDE;
}

// TabViewPage inherited methods
CalemViewPage.prototype.resetSize = 
function(newWidth, newHeight)  {
	CalemFormTabViewPage.prototype.resetSize.call(this, newWidth, newHeight);
	//Is this tab visible? If yes, let's propagate the size change.
	if (this.getVisible()) {
		this.onLayoutChange();
	}
}

/**
 * Interfaces for subclass to overwrite.
 */
CalemViewPage.prototype.resumeHost =
function(action) {
	this._controller.resumeHostForm(action);
}

CalemViewPage.prototype.showForm =
function() {
	this._controller.showForm();
}

CalemViewPage.prototype.onLayoutChange =
function() {
	this._controller.onLayoutChange();
}

/**
 * This is from a) FormTabView or the desktop or for an embedded controller.
 */
CalemViewPage.prototype.addController =
function(controller) {
	if (this._controllers.length==0) {//This is the root controller
		this._rootController=controller;
	}
	this._controllers.splice(0, 0, controller);
	this._controller=controller;
	this._controller.setViewHolder(this); //Link it both ways.
} 

/**
 * Embed a controller
 */
CalemViewPage.prototype.embedController =
function(ebInfo) {
	this._controller.setViewVisible(false); //Hide current view.
	//setup the controller here.
	this._setupController(ebInfo);
}

/**
 * Set up a controller by either locating one or creating a new one.
 */
CalemViewPage.prototype._setupController =
function(ebInfo)  {
	var found=false;
	//Skip the current controller.
	for (var i=1; i< this._controllers.length; i++) {
		if (this._controllers[i].getId() == ebInfo.getId()) {//Found it.
			found=true;
			//Set the controller to be  the current one.
			this._controller=this._controllers[i];
			this._controllers.splice(i, 1); //Delete the controller from the array first.
			this._controllers.splice(0, 0, this._controller); //Move it to the first.
			break;
		}
	}
	if (CalemDebug.isDebug()) CalemDebug.debug("Embed controller found: "+found+", id="+ebInfo.getId());
	//Prepare the controller for use.
	if (found) { //Reinstantiate it for current situation.
		this._controller.setViewVisible(true); //Make view visible first.
		ebInfo.instantiate(this._controller);
		this.resumeHost(); //2nd time.
	} else {//Creating one for use.
		var cl=ebInfo.create();
		this.addController(cl);
		this.showMe(); //First time.
	}
 }

/**
 * Resume host controller
 */
CalemViewPage.prototype.closeAndResumeParentController =
function(action) {	
	//If we're closing the root controller, than let's close the form.
	if (this._rootController==this._controllers[0]) {
		//There's no embed form...so let the formTabView handle it.
		this.parent.closeCurrentForm();
	} else {//restore host controller.
		//Each controller can decide if it needs to be cached (such as lookup for db and cached data).
		if (this._controller.getCacheEmbedOnClose()) {//Keep it in cache
			this._controller.setViewVisible(false);
			this._controllers.splice(0, 1); //Remove current controller from the head;
			this._controllers.push(this._controller); //Move it to the end of the queue.							
		} else { //Shutdown the embed controller.
			this._controllers.splice(0, 1); //Remove current controller;
			var embedController=this._controller;
			embedController._shutdown(); //disconnect all the external links.
			embedController._removeView();
		}
		//Restore the host controller
		this._controller=this._controllers[0];
		this._controller.setViewVisible(true);
		this.resumeHost(action);
	}
} 

/**
 * Force current form to close.
 */
CalemViewPage.prototype.closeForm =
function(action) {	
	this.parent.closeCurrentForm(action);
}

/**
 * Close and shutdown handling
 */
CalemViewPage.prototype.canClose =
function(callback) { //Forward to the top controller to make a decision.
	this._controller._canClose(callback);
}

CalemViewPage.prototype.shutdown =
function() {//each form must shutdown itself.
	for (var i=0; i< this._controllers.length; i++) {
		this._controllers[i]._shutdown();
	}
	//Remove all the controllers for GC
	this._controllers.splice(0, this._controllers.length);
}

/**
 * The buck stops here.
 */
CalemViewPage.prototype.getElVisible =
function() {
	return this.getVisible();
}

/**
 * Get the host controller
 */
CalemViewPage.prototype.getHostForm =
function(idx) {
	idx = idx ? idx : 1;
	return this._controllers[idx];
} 

CalemViewPage.prototype.getActiveController =
function() {
	return this._controller;
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemViewPanel
 * A view panel hosts a CalemView.
 */
function CalemViewPanel(parent, className, positionStyle) {
	if (arguments.length==0) return;
	className = className || "CalemViewHolder";
	DwtComposite.call(this, parent, className, positionStyle);
}

CalemViewPanel.prototype = new DwtComposite;
CalemViewPanel.prototype.constructor = CalemViewPanel;

CalemViewPanel.prototype.toString = function() { return "CalemViewPanel"; }

//Public APIs

// TabViewPage inherited methods
CalemViewPanel.prototype.showMe =
function() {
	this._controller.showForm();
}

// Resume view
CalemViewPanel.prototype.resumeHost =
function() {
	this._controller.resumeHostForm();
}

// TabViewPage inherited methods
CalemViewPanel.prototype.resetSize = 
function(newWidth, newHeight)  {
	this.setSize(newWidth, newHeight); //finish the change.
	//Is this tab visible? If yes, let's propagate the size change.
	if (this.getVisible()) {
		this._controller.onLayoutChange();
	}
}

/**
 * Visibility
 */
CalemViewPanel.prototype.getElVisible =
function() {
	if (!this.getVisible()) return false;
	else return this.parent.getElVisible();
}

/**
 * Embed controller
 */
CalemViewPanel.prototype.embedController =
function(controller) {
	this.parent.embedController(controller);
} 

//For ViewMdTab use.
CalemViewPanel.prototype.closeAndResumeParentController =
function(action) {
	this.parent.closeAndResumeParentController(action);
} /*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemViewPageMd
 * This is the page that host a view page.
 */
function CalemViewPageMd(parent, className, positionStyle, controller, fmInfo, customInfo, tabId) {
	if (arguments.length==0) return;
	
	className = className || "CalemViewPageMd";
	positionStyle = positionStyle || DwtControl.ABSOLUTE_STYLE;
	CalemViewPage.call(this, parent, className, positionStyle);
	this.setScrollStyle(Dwt.SCROLL); //Allow scroll here.
	//keep track of customInfo
	this._controller=controller;
	this._fmInfo=fmInfo;
	this._customInfo=customInfo;
	this._tabId=tabId;
	this._createRender();
}

CalemViewPageMd.prototype = new CalemViewPage;
CalemViewPageMd.prototype.constructor = CalemViewPageMd;

CalemViewPageMd.prototype.toString = function() { return "CalemViewPageMd"; }


CalemViewPageMd.prototype._createRender =
function() {
	var impl= this._controller.getRender(this);
	var id=this._controller.getId();
	this._render=eval(['new ', impl, '(this, id, this._fmInfo, this._controller, this._customInfo, this._tabId)'].join(''));	
}

CalemViewPageMd.prototype.isCustomTab =
function() {
	return false;
}

/**
 * Interfaces for subclass to overwrite.
 */
CalemViewPageMd.prototype.resumeHost =
function(action) { //action should be handled up above at embedding level.
	if (!this._displayed) {
		this._renderPageMd();
	} else {
		this._render.resumeView();
	}
}

//resumeView
CalemViewPageMd.prototype.resumeView =
function() {
	if (!this.getVisible()) return;
	this._render.resumeView();
}

CalemViewPageMd.prototype._renderPageMd =
function() {
	this._render.render();
	this._displayed=true;
	this._sz=this.getSize();
}

CalemViewPageMd.prototype.showForm =
function() {
	if (!this._displayed) {
		this._renderPageMd();
	} else {//Check for layout change.
		this._checkSizeChange();
	}
}

CalemViewPageMd.prototype._checkSizeChange =
function() {
	if (!this._sz) return; //Not rendered yet.
	var sz=this.getSize();
	if (sz.x != this._sz.x || sz.y != this._sz.y) {
		this._render.onLayoutChange();
	}
}
CalemViewPageMd.prototype.onLayoutChange =
function() {
	this._checkSizeChange();
} 

//Do not imbed at this level.
CalemViewPageMd.prototype.embedController =
function(ebInfo) {
	this.parent.embedController(ebInfo);
}

CalemViewPageMd.prototype.closeAndResumeParentController =
function(action) {
	this.parent.closeAndResumeParentController(action);
}  

/**
 * Close and shutdown handling
 */
CalemViewPageMd.prototype.canClose =
function(callback) { //Forward to the top controller to make a decision.
	this._render._canClose(callback);
}

CalemViewPageMd.prototype.shutdown =
function() {//each form must shutdown itself.
	this._render.shutdown();
}

/**
 * The buck stops here.
 */
CalemViewPageMd.prototype.getElVisible =
function() {
	if (!this.getVisible()) return false;
	else return this.parent.getElVisible();
}



/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemViewPageMdCustomize
 * This is the page that host a view page.
 */
function CalemViewPageMdCustomize(parent, className, positionStyle, controller, fmInfo, customInfo, tabId) {
	if (arguments.length==0) return;
	CalemViewPageMd.call(this, parent, className, positionStyle, controller, fmInfo, customInfo, tabId);
	this._startDelay=CalemConf['view_engine']['viewMdTabDesign'].startDelay;
	this._customizeAction=new AjxTimedAction(this, this.onCustomize);
}

CalemViewPageMdCustomize.prototype = new CalemViewPageMd;
CalemViewPageMdCustomize.prototype.constructor = CalemViewPageMdCustomize;

CalemViewPageMdCustomize.prototype.toString = function() { return "CalemViewPageMdCustomize"; }


CalemViewPageMdCustomize.prototype._createRender =
function() {
	//No need for a render here.
}

CalemViewPageMdCustomize.prototype.isCustomTab =
function() {
	return true;
}

CalemViewPageMdCustomize.prototype.handleCustomize =
function() {
	AjxTimedAction.scheduleAction(this._customizeAction, this._startDelay);
}

CalemViewPageMdCustomize.prototype.onCustomize =
function() {
	this._controller.onCustomize();
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
/**
 * CalemView
 * This is the base view for use to render a form.
 */
function CalemView(parent, controller, className, posStyle) {
	if (arguments.length==0) return;
	className = className || "CalemView";
	DwtComposite.call(this, parent, className, posStyle);
	this._parent=parent;
	this._controller=controller;
}

CalemView.prototype = new DwtComposite;
CalemView.prototype.constructor = CalemView;

CalemView.prototype.toString = function() { return "CalemView"; }

CalemView.prototype._initViewInfo =
function() {
	this._id=this._controller.getViewId();
	this._viewInfo=CalemJson.setJson(CalemViewDef[this._id]);
}

CalemView.prototype.getViewInfo =
function() {
	return this._viewInfo;
}

//Public APIs
CalemView.prototype.render =
function() {
	this._initViewInfo();
	this._renderView();
}

CalemView.prototype.onLayoutChange =
function() {
	this._render.onLayoutChange();
}

CalemView.prototype.resumeView =
function() {
	this._render.resumeView();
}

CalemView.prototype.reRenderView =
function() {
	this._render.reRenderView();
}

CalemView.prototype.setFieldReadOnly =
function(id) {
	this._render.setFieldReadOnly(id);
}

CalemView.prototype.setFocus =
function(id) {
	this._render.setFocus(id);
}

/**
 * Rendering the view.
 */
CalemView.prototype._renderView =
function() {
	var impl= this._controller.getRender(this._viewInfo);
	this._render=eval(['new ', impl, '(this, this._id, this._viewInfo, this._controller)'].join(''));
	this._height=this._render.render(this.getHtmlElement(), this._viewInfo.getLayout());
	//Set focus after rendering
	this._render.setFocus();
	//adjust size if necessary.
	this._adjustHeightByRender();
	return this._height;
} 

/**
 * Adjust height
 */
CalemView.prototype._adjustHeightByRender =
function() {
	var sz=this.getSize();
	if (sz.y ==0 ) {
		this.setSize(Dwt.DEFAULT, this._height);
		//Adjust view holder's size as well - view's size has been fit to the holder before rendering.
		this._parent.setSize(Dwt.DEFAULT, this._height);
	}
	if (CalemDebug.isDebug()) CalemDebug.debug("CalemView's height before="+sz.y+", after="+this.getSize().y);
} 

/**
 * Validation methods
 */
CalemView.prototype.verifyViewInput =
function(fld, isValid) {
	return this._render.verifyViewInput(fld, isValid);
}  

/**
 * Field value in native type (such as date)
 */
CalemView.prototype.getFieldValue =
function(id) {
	return this._render.getFieldValue(id);
} 

/**
 * Field value for use in server
 * (most values are the same as <code>getFieldValue</code> excepting date/time/datetime
 * 
 */
CalemView.prototype.getEditFieldServerValue =
function(id) {
	return this._render.getEditFieldServerValue(id);
} 

/**
 * Collect field value at insertion.
 */
CalemView.prototype.getInsertFieldServerValue =
function(id) {
	return this._render.getInsertFieldServerValue(id);
} 

CalemView.prototype.setFieldError =
function(id, errMsg) {
	this._render.setFieldError(id, errMsg);
} 

/**
 * shutdown
 */
CalemView.prototype._shutdown =
function() {
	this._render._shutdown();
	//Dispose the view now.
	if (CalemDebug.isInfo()) CalemDebug.info("<font style='color:purple'>Shutting down view for controller: "+this._controller.getId()+"</font>");
	this.dispose();
} 

/**
 * Visibility
 */
CalemView.prototype.getElVisible =
function() {
	if (!this.getVisible()) return false;
	else return this._parent.getElVisible();
}

/**
 * check for record change
 */
CalemView.prototype.getFieldChanged =
function(fld) {
	return this._render.getFieldChanged(fld);
} 

//Valid range
CalemView.prototype.setValidRange =
function(fld, min, max) {
	if (!this._render) return;
	this._render.setValidRange(fld, min, max);	
}

//Valid range
CalemView.prototype.setFieldValue =
function(fld, fv) {
	this._render.setFieldValue(fld, fv);	
}

CalemView.prototype.hasRender =
function(fld) {
	return this._render.hasRender(fld);	
}

/**
 * getFieldSearch
 */
CalemView.prototype.getFieldSearch =
function(fld) {
	return this._render.getFieldSearch(fld);
} 

/**
 * Get customized view from design
 */
CalemView.prototype.getCustomizedView =
function() {
	return this._render.getCustomizedView();
} 

/**
 * Embed controller
 */
CalemView.prototype.embedController =
function(controller) {
	this.parent.embedController(controller);
} 


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemViewRender
 *  
 * This is the view render.
 */
function CalemViewRender(parent, id, viewInfo, controller) {
	if (arguments.length==0) return;
	CalemUiRender.call(this, parent, id, viewInfo, controller);
	this._renders=new Object();
	this._noColorRows=CalemConf['view_engine']['viewRender']['rowsNoColor'];
}

CalemViewRender.prototype=new CalemUiRender;
CalemViewRender.prototype.constructor=CalemViewRender;

CalemViewRender.prototype.toString = function() { return "CalemViewRender"; }
CalemViewRender.prototype.getClassName = function() { return "CalemViewRender"; }

/**
 * Use custom rows if any
 */
CalemViewRender.prototype._getLayoutRows =
function() {
	return (this._customInfo && this._customInfo.getLayout()) ? 
				this._customInfo.getLayout().getViewLayout() : this._layout.getRows();
}

/**
 * Check acl for a given id
 * Assume access by default.
 */
CalemViewRender.prototype._checkViewAcl =
function(id) {
	return (this._customInfo) ? this._customInfo.checkViewAcl(id) : true;
}

//Get custom info by toolbar render.
CalemViewRender.prototype.getCustomInfo =
function(id) {
	return this._customInfo;
}

CalemViewRender.prototype.render =
function(parentEl, layout) {
	if (CalemDebug.isInfo()) CalemDebug.info("<font style='color:red;'>CalemViewRender.prototype.render is deprecated</font>");
}

CalemViewRender.prototype.rowAllowColor =
function(cols) {
	for (var i=0; i< cols.length; i++) {
		if (this._noColorRows[cols[i]]) return false;
	}
	return true;
}

/**
 * Couple things: a) debug mode; b) set by parameter; c) set by configuration.
 */
CalemViewRender.prototype._useAlternateColor =
function(cols) {
	if (!this.rowAllowColor(cols)) return false;
	if (typeof(calemUseAlternateColor)!='undefined') return calemUseAlternateColor;
	else return (CalemDebug.isDebug() ||CalemConf['view_engine']['useAlternateColor']);
}

CalemViewRender.prototype._renderView =
function(parentEl, layout, customInfo) {
	this._layout=layout;
	this._customInfo=customInfo; //This is the customInfo.
	this._tableDd=this._controller.getModelItem().getTableDd();
	
	if (CalemDebug.isDebug()) {
		var dtStart=new Date();
	}
	//Creating the table for doing the layout.
	var tableInfo=layout.getTableLayout();
	var table = document.createElement("table");
	parentEl.appendChild(table);
	if (tableInfo.getWidth()) {
		table.width  = tableInfo.getWidth();
	}
	if (tableInfo.getHeight()) {
		table.height  = tableInfo.getHeight();
	}
	table.border = table.cellPadding = table.cellSpacing = 0;
	table.backgroundColor = DwtCssStyle.getProperty(parentEl, "background-color");
	table.className=this.getClassName();
	this._colCount=layout.getColLayout().getColCount();
	//var rows=layout.getRows();
	//Consider customization
	var rows=this._getLayoutRows();
	var yOff=0;
	//Layout each row.
	var sz=Dwt.getSize(parentEl);
	var canMove;
	for (var i=0; i< rows.length; i++) {
		var row= rows[i];
		var rowEl=table.insertRow(-1);
		var height=CalemViewUtil.getHeight(sz, yOff, row.getHeight());
		CalemViewUtil.setHeight(rowEl, height);
		
		var cols = row.getCols();
		canMove=this._onRowCreated(rowEl, cols);
		
		//alternate coloring
		if (i>0 && this._useAlternateColor(cols)) {
			rowEl.style.background= (i%2==0) ? CalemConf['view_engine']['alternate_row_color']['even'] : CalemConf['view_engine']['alternate_row_color']['odd'];
		}
		
		//Render every col, giving design a chance to render it differently.
		for (var j=0; j<this._colCount; j++) {
			var colId=cols[j];
			//ColDesign special handling
			if (colId == 'CalemColDesign') {
				this._renderForCalemColDesign(rowEl);
				continue;
			}
			if (j >= cols.length) {
				this._renderCol(rowEl);
				continue; //We're over the available cols.
			}
			var colEl = rowEl.insertCell(-1);
			CalemViewUtil.setHeight(colEl, height);
			//ColSpan processing.
			var colSpan=null;			
			if (cols.length < this._colCount && j==cols.length-1) { //Apply remaining to this col. - maybe configurable by col.
				colSpan= this._getColSpan(this._colCount - j, canMove); //colspan must include self.
			}
			if (colSpan!=null) {
				colEl.colSpan=colSpan;
			} 
			//Classify normal col-css
			if (cols.length==this._colCount) {
				if (j % 2==0) colEl.className='COLUMN-EVEN';
				else colEl.className='COLUMN-ODD';
			}
			this._renderOneItem(colEl, yOff, colId, true);
			//Check for colspan and exit if it's filled.
			if (colSpan && (colSpan+j)==this._colCount) break;
		}
		var newH=CalemViewUtil.getHeightAfterLayout(rowEl, height);
		yOff += newH; //IE 7 does not obey the height set so must use the height to do layout.
	}
	//Check for blank rows to add at the end
	var blankRows=this._getBlankRows();
	for (var i=0; i< blankRows; i++) {
		var rowEl=table.insertRow(-1);
		var colEl=rowEl.insertCell(-1);
		colEl.innerHTML='&nbsp;'; //blank text to force the row to render.
		colEl.colSpan=this._colCount;
		var newH=CalemViewUtil.getHeightAfterLayout(rowEl, CalemViewUtil.H_AUTO);
		yOff += newH; //IE 7 does not obey the height set so must use the height to do layout.
	}
	this._height=yOff;
	if (CalemDebug.isDebug()) {
		var dtFinish=new Date();
		CalemDebug.debug("<font style='color:purple;'>ViewRender completed: "+this._id+", height="+this._height+", rendering time="+(dtFinish-dtStart)+"</font>");
	}
	return this._height;
}

CalemViewRender.prototype._renderOneItem =
function(colEl, yOff, id, checkAcl) {
	if (checkAcl && !this._checkViewAcl(id)) return;
	
	var itemInfo=CalemViewUtil.getItemInfo(id, this._info, this._tableDd);	
	var impl=this._controller.getRender(itemInfo);
	if (!impl) {
		CalemDebug.error("Error in locating render for: "+itemInfo.getJson());
	}
	var render=eval(['new ', impl, '(this._parent, id, itemInfo, this._controller)'].join(''));
	render.initDnd(this._dragSrc, this._dropTarget); //Drag drop
	var cls= (itemInfo.getCcsClass) ? itemInfo.getCcsClass() : null;
	render._parentRender=this;
	render.render(colEl, yOff, cls);
	this._add(id, render);
}

/**
 * Blank rows at the end
 */
CalemViewRender.prototype._getBlankRows =
function() {
	return 0;
} 

/**
 * Give sub class a chance to add stuff to it.
 */
CalemViewRender.prototype._onRowCreated =
function(rowEl, cols) {
	//Overwrite.
	return true;
}

CalemViewRender.prototype._getColSpan =
function(colSpan, canMove) {
	return colSpan;
}

CalemViewRender.prototype._renderCol =
function(rowEl, canMove) {
}

CalemViewRender.prototype._renderForCalemColDesign =
function(rowEl) {
	rowEl.insertCell(-1); //To preserve layout in runtime mode.
}

CalemViewRender.prototype._add =
function(id, render) {
	this._renders[id]=render;
}

CalemViewRender.prototype.onLayoutChange =
function() {
	for (var i in this._renders) {
		this._renders[i].onLayoutChange();
	}
}

CalemViewRender.prototype.resumeView =
function() {
	for (var i in this._renders) {
		this._renders[i].resumeView();
	}
}

CalemViewRender.prototype.setFieldReadOnly =
function(id) {
	if (this._renders[id]) {
		this._renders[id].setFieldReadOnly();
	}
}

//Valid range
CalemViewRender.prototype.setValidRange =
function(fld, min, max) {
	if (this._renders[fld]) {
		this._renders[fld].setValidRange(min, max);
	}	
}

//field value
CalemViewRender.prototype.setFieldValue =
function(fld, fv) {
	if (this._renders[fld]) {
		this._renders[fld].setFieldValue(fv);
	}	
}

CalemViewRender.prototype.hasRender =
function(fld) {
	return this._renders[fld];
}

CalemViewRender.prototype._shutdown =
function() {
	for (var i in this._renders) {
		this._renders[i]._shutdown();
	}
}

CalemViewRender.prototype.setFocus =
function() {
	//Overwrite
}
CalemViewRender.prototype.verifyViewInput =
function(fld, isValid) {
	//Overwrite
	return true;
}

/**
 * Default impl is good enough
 */
//FieldValue
CalemViewRender.prototype.getFieldValue =
function(id) {
	return (this._renders[id]) ? this._renders[id].getFieldValue() : null;
} 

CalemViewRender.prototype.getEditFieldServerValue =
function(id) {
	return (this._renders[id]) ? this._renders[id].getEditFieldServerValue() : null;
} 

CalemViewRender.prototype.getInsertFieldServerValue =
function(id) {
	return (this._renders[id]) ? this._renders[id].getInsertFieldServerValue() : null;
}

CalemViewRender.prototype.setFieldError =
function(id, errMsg) {
	if (this._renders[id]) this._renders[id].setFieldError(errMsg);
} 

/**
 * getFieldChanged
 */
CalemViewRender.prototype.getFieldChanged =
function(id) {
	return (this._renders[id]) ? this._renders[id].getFieldChanged() : false;
}

/**
 * getFieldSearch
 */
CalemViewRender.prototype.getFieldSearch =
function(id) {
	return this._renders[id] ? this._renders[id].getFieldSearch() : null;
} 


//Drag/drop support
CalemViewRender.prototype.setDragSource =
function(dragSrc) {
	this._dragSrc=dragSrc;
}

CalemViewRender.prototype.setDropTarget =
function(dropTarget) {
	this._dropTarget=dropTarget;
}
	
//Need to create an icon that can handle drag/drop.
CalemViewRender.prototype._renderRowDesign =
function(cellEl, canMove) {
	var render = new CalemRecordDesignRowRender(this._parent, null, null, this._controller, this._dragSrc, this._dropTarget);
	render.initDnd(this._dragSrc, this._dropTarget);
	render.render(cellEl, null, null, canMove);
	render._parentRender=this;
	return true;
}

CalemViewRender.prototype._renderColDesign =
function(cellEl) {
	var render = new CalemRecordDesignColRender(this._parent, null, null, this._controller, this._dragSrc, this._dropTarget);
	render.initDnd(this._dragSrc, this._dropTarget);
	render.render(cellEl);
	render._parentRender=this;
}

/**
 * Adding a new design row with design cells.
 */
CalemViewRender.prototype._renderDesignRow =
function(parentEl, idx) {
	var rowEl=parentEl.insertRow(idx);
	var cellEl=rowEl.insertCell(-1);
	this._renderRowDesign(cellEl, true);
	for (var i=0; i< this._colCount; i++) {
		cellEl=rowEl.insertCell(-1);
		this._renderColDesign(cellEl);
	}
}

//Remove a given render
CalemViewRender.prototype._removeRender =
function(id) {
	//render removal
	CalemDebug.info("Remove render, id="+id+", render="+this._renders[id]);
	delete this._renders[id];
}

/**
 * Collect items hidden from the tree
 */ 
CalemViewRender.prototype.getAclInfo =
function() {
	for (var i in this._renders) {
		if (this._renders[i].getAclInfo) { //Check interface for routing the call.
			return this._renders[i].getAclInfo();
		}
	}
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemViewRuntimeRender
 *  
 * This is the runtime render root class.
 */
function CalemViewRuntimeRender(parent, id, viewInfo, controller) {
	if (arguments.length==0) return;
	CalemViewRender.call(this, parent, id, viewInfo, controller);
}

CalemViewRuntimeRender.prototype=new CalemViewRender;
CalemViewRuntimeRender.prototype.constructor=CalemViewRuntimeRender;

CalemViewRuntimeRender.prototype.toString = function() { return "CalemViewRuntimeRender"; }
CalemViewRuntimeRender.prototype.getClassName = function() { return "CalemViewRuntimeRender"; }

/**
 * Configure access for runtime.
 */
CalemViewRuntimeRender.prototype.render =
function(parentEl, layout) {
	return CalemViewRender.prototype._renderView.call(this, parentEl, layout, this._controller.getCustomInfo());
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemToolBarRender
 *  
 */
function CalemToolBarRender(parent, id, tbInfo, controller) {
	if (arguments.length==0) return;
	CalemUiRender.call(this, parent, id, tbInfo, controller);
}

CalemToolBarRender.prototype=new CalemUiRender;
CalemToolBarRender.prototype.constructor=CalemToolBarRender;

CalemToolBarRender.prototype.toString = function() { return "CalemToolBarRender"; }

CalemToolBarRender.prototype.render =
function(parentEl, yOff) {
	this._tb=new CalemToolBar(this._parent, {parentEl: parentEl});
	this._customInfo=this._parentRender.getCustomInfo();
	this._tb.createToolBar(this._info, this._controller.getListenerFactory(), this._controller, this._customInfo);
	this._tb.zShow(true);
}

/**
 * shutdown - to remove all the listeners
 */
CalemToolBarRender.prototype._shutdown =
function() {
	//remove listener for events.
	this._tb._shutdown();
}  
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
/**
 * CalemDataGridRender
 *  
 */
function CalemDataGridRender(parent, id, gridInfo, controller) {
	if (arguments.length==0) return;
	CalemUiRender.call(this, parent, id, gridInfo, controller);
	this._modelItem=controller.getDataModel().getModelItem();
	this._renders=new Object();
}

CalemDataGridRender.prototype=new CalemUiRender;
CalemDataGridRender.prototype.constructor=CalemDataGridRender;

CalemDataGridRender.prototype.toString = function() { return "CalemDataGridRender"; }

CalemDataGridRender.prototype.render =
function(parentEl, yOff) {
	this._yOff=yOff;
	this._grid =new CalemDataGrid(this._parent, this._id, this._modelItem.getTableDd(), 
																		this._controller.getGridCustomInfo(), this._controller);
	parentEl.appendChild(this._grid.getHtmlElement());
	this._fitBounds(yOff);
	this._showData();
	//Register for events.
	this._modelItem.addDataChangeListener(this._grid.getDataChangeListener());
    this._modelItem.addDataRefreshListener(this._grid.getDataRefreshListener());
}

CalemDataGridRender.prototype._fitBounds =
function(yOff, resize) {
	//Use a workaround to account for borders, etc.
	var vConf=CalemConf['view_engine']['grid'];
	//Let's figure out the real bounds for the grid now.
	var pBz=this._parent.getBounds(); //Use pBz so we can also do resizing.
   var sbWidth=CalemConf["widget_scrollbar"]['browserRightMargin'];
	var width= pBz.width - sbWidth - vConf['xMargin'];
	var height=pBz.height - yOff - vConf['yMargin'];
	var sz=CalemViewUtil.validateGridSize(width, height);
	//Use parent's width to get around the inconsistency of FF and IE.
	//Also leave room for scroll bar of browser.
	var gbz={x: 0, y: yOff, width: sz.width, height: sz.height};
	this._grid.onLayoutChange(gbz);
	if (CalemDebug.isDebug()) {
		CalemDebug.debug("CalemDataGridRender - parentEl " + CalemDebug.getBzText(pBz)+", new grid "+CalemDebug.getBzText(gbz));
	}
}

CalemDataGridRender.prototype._showData =
function() {
	this._grid.showData();
}

CalemDataGridRender.prototype.onLayoutChange =
function() {
	this._fitBounds(this._yOff, true);
}

CalemDataGridRender.prototype.resumeView =
function() {
	this._grid.resumeView();
}

/**
 * Shutdown
 * remove grid data change listener.
 */
CalemDataGridRender.prototype._shutdown =
function() {
	//remove listener for events.
	this._modelItem.removeDataChangeListener(this._grid.getDataChangeListener());
    this._modelItem.removeDataRefreshListener(this._grid.getDataRefreshListener());
	//Tell grid to shutdown as well
	this._grid._shutdown();
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemLabelRender
 *  
 */
function CalemLabelRender(parent, id, lbInfo, controller) {
	if (arguments.length==0) return;
	CalemUiRender.call(this, parent, id, lbInfo, controller);
}

CalemLabelRender.prototype=new CalemUiRender;
CalemLabelRender.prototype.constructor=CalemLabelRender;

CalemLabelRender.prototype.toString = function() { return "CalemLabelRender"; }

CalemLabelRender.prototype.render =
function(parentEl, yOff, clsName) {
	var style=(DwtLabel.IMAGE_RIGHT | DwtLabel.ALIGN_LEFT);
	this._label=new DwtLabel(this._parent, style, clsName);
	this._label.setText(this._info.getLabel());
	this._label.reparentHtmlElement(parentEl);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemHSeparatorRender
 *  
 */
function CalemHSeparatorRender(parent, id, sepInfo, controller) {
	if (arguments.length==0) return;
	CalemUiRender.call(this, parent, id, sepInfo, controller);
}

CalemHSeparatorRender.prototype=new CalemUiRender;
CalemHSeparatorRender.prototype.constructor=CalemHSeparatorRender;

CalemHSeparatorRender.prototype.toString = function() { return "CalemHSeparatorRender"; }

CalemHSeparatorRender.prototype.render =
function(parentEl, yOff) {
	parentEl.innerHTML=["<div class='", this._info.getCssClassName(), "'</div>"].join(''); 
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemFieldRender
 *  
 */
function CalemFieldRender(parent, id, lbInfo, controller) {
	if (arguments.length==0) return;
	CalemUiRender.call(this, parent, id, lbInfo, controller);
   this._modelItem=this._controller.getDataModel().getModelItem();
   this._field=this._info.getField();
   this._tableDd=this._modelItem.getTableDd();
}

CalemFieldRender.prototype=new CalemUiRender;
CalemFieldRender.prototype.constructor=CalemFieldRender;

CalemFieldRender.prototype.toString = function() { return "CalemFieldRender"; }

CalemFieldRender.prototype.render =
function(parentEl, yOff, clsName) {
	//Overwrite
}

CalemFieldRender.prototype.setFocus =
function() {
	//Overwrite
}

/**
 * Get info about the field
 */
CalemFieldRender.prototype.getFieldInfo =
function() {
	return {fld: this._field};
} 

/**
 * Identify field render
 */
CalemFieldRender.prototype._renderField =
function(parentEl, yOff) {
	//Find the real render to do the job.
	var impl=this._controller.getFieldRender(this._tableDd.getNormalizedType(this._field));
	this._render=eval(['new ', impl, '(this._parent, this._id, this._info, this._controller)'].join(''));
	this._render.render(parentEl, yOff);
} 

/**
 * Read view handling.
 */
CalemFieldRender.prototype._getFieldRawValue =
function() {
	var rec=this._modelItem.getCurrentRecord();
	var val= rec ? rec.getField(this._field).getRawValue() : null;
   return val;
}

/**
 * Read view handling.
 */
CalemFieldRender.prototype._getFieldValueByRec =
function() {
	var rec=this._modelItem.getCurrentRecord();
	var val= rec ? rec.getField(this._field).getValue() : null;
	val = val ? val : this._getDefaultValue(rec);
   val = val ? val :  this.getNullReplacement();
   return val;
}

/**
 * Editing handling.
 */
CalemFieldRender.prototype._getFieldEditValueByRec =
function() {
	var rec=this._modelItem.getCurrentRecord();
	var val= rec ? rec.getField(this._field).getEditValue() : null;
	val = val ? val : this._getDefaultValue(rec);
   val = val ? val :  this.getNullReplacement();
   return val;
}

/**
 * Editing handling.
 */
CalemFieldRender.prototype._getFieldRawValueByRec =
function() {
	var rec=this._modelItem.getCurrentRecord();
	var val= rec ? rec.getField(this._field).getRawValue() : null;
	val = val ? val : this._getDefaultValue(rec);
   return val;
}

CalemFieldRender.prototype._getDefaultValue =
function(rec) {
	return null;
}

CalemFieldRender.prototype._getRecId =
function() {
	var rec=this._modelItem.getCurrentRecord();
	return rec.id;
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemFieldLabelRender
 *  
 */
function CalemFieldLabelRender(parent, id, lbInfo, controller) {
	if (arguments.length==0) return;
	CalemFieldRender.call(this, parent, id, lbInfo, controller);
}

CalemFieldLabelRender.prototype=new CalemFieldRender;
CalemFieldLabelRender.prototype.constructor=CalemFieldLabelRender;

CalemFieldLabelRender.prototype.toString = function() { return "CalemFieldLabelRender"; }

CalemFieldLabelRender.prototype.render =
function(parentEl, yOff, clsName) {
	this._label=new CalemFieldLabel(this._parent, null, clsName);
	//Get field label based on data model.
	var text=this._modelItem.getTableDd().getFieldLabel(this._field);
	this._label.setText(text+":");
	if (this._modelItem.getTableDd().isRequired(this._field)) {
		this._label.setRequired(true);
	}
	this._label.reparentHtmlElement(parentEl);
	//Adding mouse down listener.
	if (this._controller.getMouseDownListener) {
		this._label.addListener(DwtEvent.ONMOUSEDOWN, this._controller.getMouseDownListener());
	}
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemFormErrorRender
 *  
 */
function CalemFormErrorRender(parent, id, lbInfo, controller) {
	if (arguments.length==0) return;
	CalemUiRender.call(this, parent, id, lbInfo, controller);
}

CalemFormErrorRender.prototype=new CalemUiRender;
CalemFormErrorRender.prototype.constructor=CalemFormErrorRender;

CalemFormErrorRender.prototype.toString = function() { return "CalemFormErrorRender"; }

CalemFormErrorRender.prototype.render =
function(parentEl, yOff, clsName) {
	var errorId=Dwt.getNextId();
	var errorTextId=Dwt.getNextId();
	//By default - it's hidden
	parentEl.innerHTML = ["<div id=", errorId, " style='display:none'><table class=FormErrorTable><tr><td><div class=FormEditError></td>",
	           "<td id=", errorTextId, " class=FormErrorText></td></tr></table></div>"].join('');
	this._errorEl=document.getElementById(errorId);
	this._errorTextEl=document.getElementById(errorTextId);
	this.setText(CalemMsg.getMsg(this._info.getId()));
	//Register with controller.
	this._controller.setFormErrorRender(this);
}

//APIs
CalemFormErrorRender.prototype.setText =
function(text) {
	this._errorTextEl.innerHTML=text;
}

CalemFormErrorRender.prototype._setVisible =
function(bl) {
	this._errorEl.style.display = bl ? Dwt.DISPLAY_BLOCK : Dwt.DISPLAY_NONE;
}

CalemFormErrorRender.prototype.show =
function() {
	this._setVisible(true);
}

CalemFormErrorRender.prototype.hide =
function() {
	this._setVisible(false);
}

CalemFormErrorRender.prototype.setErrorMsg =
function(errMsg) {
	this.setText(errMsg);
	this._setVisible(true);
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

/**
 * CalemChartRender
 *  
 */
function CalemChartRender(parent, id, cInfo, controller) {
	if (arguments.length==0) return;
	CalemUiRender.call(this, parent, id, cInfo, controller);
	this._chartId=[this._info.getId(), '_', this._controller.getId(), '_', this._controller.getMdTabId()].join('');
	this._conf=CalemConf['chart_engine'];
}

CalemChartRender.prototype=new CalemUiRender;
CalemChartRender.prototype.constructor=CalemChartRender;

CalemChartRender.prototype.toString = function() { return "CalemChartRender"; }

CalemChartRender.prototype.render =
function(parentEl, yOff) {
	this._yOff=yOff;
	this._chartBz=this._getChartBounds(yOff);
	this._chartDiv = document.createElement("div");
	this._chartDiv.className = 'CalemChartDiv';
	this._chartDiv.id = Dwt.getNextId();
	parentEl.appendChild(this._chartDiv);
	this._showChart();
}

CalemChartRender.prototype._showChart =
function() {
	this._so = new SWFObject(this.getSwfUrl(), this._chartId, this._chartBz.width, 
	                  this._chartBz.height, this._conf['flashVersion'], this._conf['backgroundColor']);
	this._so.addVariable("settings_file", escape(this.getSettingUrl()));
	this._so.addVariable("data_file", escape(this.getDataUrl()));
	this._so.addVariable("preloader_color", this._conf['preloaderColor']);
	this._so.write(this._chartDiv.id);
	//Set up the chart on form
	if (this._controller.setChartObj) {
		this._controller.setChartObj(document.getElementById(this._chartId));
		this._controller.setDataParam(this.getDataUrl());
	}
}

CalemChartRender.prototype.getSwfUrl =
function() {
	return calemRootUrl + this.getChartSwf();
}

CalemChartRender.prototype.getSettingUrl =
function() {
	return [calemRequestUrl, '?aid=', this._conf['aid'], '&did=', this._info.getId(), '&tid=', this._conf['tidSetting']].join('');
}
CalemChartRender.prototype.getDataUrl =
function() {
	return [calemRequestUrl, '?aid=', this._conf['aid'], '&did=', this._info.getId(), '&tid=', this._conf['tidData']].join('');
}


CalemChartRender.prototype._getChartBounds =
function(yOff) {
	//Use a workaround to account for borders, etc.
	var vConf=CalemConf['view_engine']['chart'];
	//Let's figure out the real bounds for the grid now.
	var pBz=this._parent.getBounds(); //Use pBz so we can also do resizing.
   var sbWidth=CalemConf["widget_scrollbar"]['browserRightMargin'];
	var width= pBz.width - sbWidth - vConf['xMargin'];
	var height=pBz.height - yOff - vConf['yMargin'];
	var sz=CalemViewUtil.validateGridSize(width, height);
	//Use parent's width to get around the inconsistency of FF and IE.
	//Also leave room for scroll bar of browser.
	var gbz={x: 0, y: yOff, width: sz.width, height: sz.height};
	if (CalemDebug.isDebug()) {
		CalemDebug.debug("CalemChartRender - parentEl " + CalemDebug.getBzText(pBz)+", new chart "+CalemDebug.getBzText(gbz));
	}
	return gbz;
}

CalemChartRender.prototype.onLayoutChange =
function() {
}

CalemChartRender.prototype.resumeView =
function() {
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

/**
 * CalemChartLineRender
 */
function CalemChartLineRender(parent, id, cInfo, controller) {
	if (arguments.length==0) return;
	CalemChartRender.call(this, parent, id, cInfo, controller);
}

CalemChartLineRender.prototype=new CalemChartRender;
CalemChartLineRender.prototype.constructor=CalemChartLineRender;

CalemChartLineRender.prototype.toString = function() { return "CalemChartLineRender"; }

CalemChartLineRender.prototype.getChartSwf =
function() {
	return this._conf['lineChartSwf'];
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemChartPieRender
 */
function CalemChartPieRender(parent, id, cInfo, controller) {
	if (arguments.length==0) return;
	CalemChartRender.call(this, parent, id, cInfo, controller);
}

CalemChartPieRender.prototype=new CalemChartRender;
CalemChartPieRender.prototype.constructor=CalemChartPieRender;

CalemChartPieRender.prototype.toString = function() { return "CalemChartPieRender"; }

CalemChartPieRender.prototype.getChartSwf =
function() {
	return this._conf['pieChartSwf'];
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

/**
 * CalemChartColumnRender
 */
function CalemChartColumnRender(parent, id, cInfo, controller) {
	if (arguments.length==0) return;
	CalemChartRender.call(this, parent, id, cInfo, controller);
}

CalemChartColumnRender.prototype=new CalemChartRender;
CalemChartColumnRender.prototype.constructor=CalemChartColumnRender;

CalemChartColumnRender.prototype.toString = function() { return "CalemChartColumnRender"; }

CalemChartColumnRender.prototype.getChartSwf =
function() {
	return this._conf['columnChartSwf'];
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemViewEditRender
 *  
 * This is the edit view render.
 */
function CalemViewEditRender(parent, id, viewInfo, controller) {
	if (arguments.length==0) return;
	CalemViewRuntimeRender.call(this, parent, id, viewInfo, controller);
}

CalemViewEditRender.prototype=new CalemViewRuntimeRender;
CalemViewEditRender.prototype.constructor=CalemViewEditRender;

CalemViewEditRender.prototype.toString = function() { return "CalemViewEditRender"; }
CalemViewEditRender.prototype.getClassName = function() { return "CalemViewEditRender"; }

CalemViewEditRender.prototype.setFocus =
function(id) {
	if (id) {
		this._renders[id].setFocus();
		return;
	}
	//Otherwise blindly find the first one.
	for (var i in this._renders) {
		//Set focus on the first edit render.
		if (this._renders[i] instanceof CalemEditRenderFacade) {
			this._renders[i].setFocus(); //Set focus to the first control.
			break;
		}
	}
}

/**
 * Validation functions
 */
CalemViewEditRender.prototype.verifyViewInput =
function(fld, isValid) {
	for (var i in this._renders) {
		if (this._renders[i] instanceof CalemEditRenderFacade) {
			this._renders[i].verifyInput(fld, isValid);
		}
	}
	return true;
} 

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemEditRenderFacade
 * This facade plays the role of a factory at creation and facade after 
 * a specific render is created. 
 *  
 */
function CalemEditRenderFacade(parent, id, fldInfo, controller) {
	if (arguments.length==0) return;
	CalemFieldRender.call(this, parent, id, fldInfo, controller);
}

CalemEditRenderFacade.prototype=new CalemFieldRender;
CalemEditRenderFacade.prototype.constructor=CalemEditRenderFacade;

CalemEditRenderFacade.prototype.toString = function() { return "CalemEditRenderFacade"; }

/**
 * CalemEditRenderFacade interfaces
 */
CalemEditRenderFacade.prototype.render =
function(parentEl, yOff) {
	this._renderField(parentEl, yOff);
	this._render.setupValidation();
}

//Focus
CalemEditRenderFacade.prototype.setFocus =
function() {
	this._render.setFocus();
}

//VerifyInput
CalemEditRenderFacade.prototype.verifyInput =
function(fld, isValid) {
   if (this._field==fld) return isValid;
	this._render.verifyInput(fld);
	return true; //No exception so it's good.
} 

//fieldValue - rawValue
CalemEditRenderFacade.prototype.getFieldValue =
function() {
	return this._render.getFieldValue();
} 

//Server value such as date in string format.
CalemEditRenderFacade.prototype.getEditFieldServerValue =
function() {
	return this._render.getEditFieldServerValue();
} 

//Server value such as date in string format.
CalemEditRenderFacade.prototype.getInsertFieldServerValue =
function() {
	return this._render.getInsertFieldServerValue();
}

//set field error
CalemEditRenderFacade.prototype.setFieldError =
function(errMsg) {
	this._render.setFieldError(errMsg);
} 

//Shutdown
CalemEditRenderFacade.prototype._shutdown =
function() {
	this._render._shutdown();
} 

CalemEditRenderFacade.prototype.getFieldChanged =
function() {
	return this._render.getFieldChanged();
} 

//Resume view assuming a change is made.
CalemEditRenderFacade.prototype.resumeView = 
function() {
	this._render.resumeView();
}

CalemEditRenderFacade.prototype.setFieldReadOnly =
function() {
	this._render.setFieldReadOnly();
}

//Set valid range
CalemEditRenderFacade.prototype.setValidRange =
function(min, max) {
	this._render.setValidRange(min, max);
} 

//field value
CalemEditRenderFacade.prototype.setFieldValue =
function(fv) {
	this._render.setFieldValue(fv);
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
/**
 * CalemEditRender
 * This is the real render class for each control.
 *  
 */
function CalemEditRender(parent, id, fldInfo, controller) {
	if (arguments.length==0) return;
	CalemFieldRender.call(this, parent, id, fldInfo, controller);
}

CalemEditRender.prototype=new CalemFieldRender;
CalemEditRender.prototype.constructor=CalemEditRender;

CalemEditRender.prototype.toString = function() { return "CalemEditRender"; }

/**
 * CalemEditRender interfaces
 */
//CalemEditRender.prototype.render - is implementedby every derived render.

//validation
CalemEditRender.prototype.setupValidation =
function() {
	this._control.setValidationCallback(this._controller.getValidationCallback());
	this._control.setFieldInfo(this.getFieldInfo());
	this.setupValidRangeByDd();
} 

CalemEditRender.prototype.setupValidRangeByDd =
function() {
	this._minNumVal= this._tableDd.getMinValue(this._field);
	this._maxNumVal= this._tableDd.getMaxValue(this._field);
}

CalemEditRender.prototype.setValidRange =
function(min, max) {
	this._minNumVal= min;
	this._maxNumVal= max;
}

/**
 * Value is already validated as numerical type.
 */
CalemEditRender.prototype._validateRange =
function(value) {
	if (this._minNumVal && value < this._minNumVal)
		throw AjxMessageFormat.format(AjxMsg.numberLessThanMin, this._minNumVal);
	if (this._maxNumVal && value > this._maxNumVal)
		throw AjxMessageFormat.format(AjxMsg.numberMoreThanMax, this._maxNumVal);
}

//Default implementation
CalemEditRender.prototype.setFocus =
function() {
	this._control.focus();
}

//Verify input is exception based.
CalemEditRender.prototype.verifyInput =
function() {
	return this._control.isValid();
} 

//fieldValue
CalemEditRender.prototype.getFieldValue =
function() {
	return this._control.getFieldValue();
}

//Value for server (such as string for date)
CalemEditRender.prototype.getEditFieldServerValue =
function() {
	return this._control.getEditFieldServerValue();
} 

//Default implementation is the same as getEditFieldServerValue.
CalemEditRender.prototype.getInsertFieldServerValue =
function() {
	return this._control.getEditFieldServerValue();
} 

//set field error
CalemEditRender.prototype.setFieldError =
function(errMsg) {
	this._control.setFieldError(errMsg);
} 

//shutdown
CalemEditRender.prototype._shutdown =
function() {
	//Overwrite
} 

//field changed
CalemEditRender.prototype.getFieldChanged =
function() {
	var rec=this._modelItem.getCurrentRecord();
	var changed=false;
	var ctrlVal=this._getCtrlValue();
	if ( (rec.id && !rec.getField(this._field).valueEquals(ctrlVal) ) //edit mode
    	    || (rec.id==null && this._tableDd.getDefaultValue(this._field) != ctrlVal) ) { //insertion mode.
		changed=true;			
	}	
	//@cl-del keep for first pass
	if (CalemDebug.isDebug() && changed) {
		CalemDebug.debug("<font style='color:purple;'>Changed fld="+this._field+", fldValue="+rec.getField(this._field).getRawValue()+", formValue="+ctrlVal+", default="+this._tableDd.getDefaultValue(this._field)+"</font>");		   
	}
	return changed;
} 

//Default implementation for all the read renders.
CalemEditRender.prototype.resumeView =
function() {
	var val= this._getFieldEditValueByRec();
	this._control.setValue(val, true); 
}

CalemEditRender.prototype._getDefaultValue =
function(rec) {
	//Assume each rec has an Id for editing (as a rule of thumb)
	return (rec.id) ? null : this._tableDd.getDefaultValue(this._field);
}

//Considering going back to null (as in null replacement)
CalemEditRender.prototype._getCtrlValue =
function() {
	var val=this._control.getFieldValue();
	if (val==this.getNullReplacement()) val=null; //Get rid of null replacement.
	return val;
}

CalemEditRender.prototype.setFieldReadOnly =
function() {
	this._control.setReadOnly();
}

CalemEditRender.prototype.setFieldValue =
function(fv) {
	this._control.setValue(fv, true);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemEditStringRender
 * Render string edit field.
 *  
 */
function CalemEditStringRender(parent, id, fldInfo, controller) {
	if (arguments.length==0) return;
	CalemEditRender.call(this, parent, id, fldInfo, controller);
}

CalemEditStringRender.prototype=new CalemEditRender;
CalemEditStringRender.prototype.constructor=CalemEditStringRender;

CalemEditStringRender.prototype.toString = function() { return "CalemEditStringRender"; }

CalemEditStringRender.prototype.render =
function(parentEl, yOff) {
	var len=this._tableDd.getTextInputLength(this._field);
	this._control=new CalemInputField({parent: this._parent, type: DwtInputField.STRING, 
	              size: len,
	              errorIconStyle: CalemConf['view_engine']['field']['inputErrorIcon']});
	this._control.setValidStringLengths(null, len)	              ;
	if (this._tableDd.isRequired(this._field)) {
		this._control.setRequired(true);
	}
	this._control.reparentHtmlElement(parentEl);
	var val= this._getFieldValueByRec();
   this._control.setValue(val, true);  //No validation           
}

//fieldValue
CalemEditStringRender.prototype.getFieldValue =
function() {
	var val= this._control.getFieldValue();
	val = val ? val.trim() : val;
	return val;
}

//Value for server (such as string for date)
CalemEditStringRender.prototype.getEditFieldServerValue =
function() {
	return this.getFieldValue();
} 

CalemEditStringRender.prototype.setFieldReadOnly =
function() {
	this._control.setReadOnly();
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemEditDateRender
 * Render Date edit field.
 *  
 */
function CalemEditDateRender(parent, id, fldInfo, controller) {
	if (arguments.length==0) return;
	CalemEditRender.call(this, parent, id, fldInfo, controller);
}

CalemEditDateRender.prototype=new CalemEditRender;
CalemEditDateRender.prototype.constructor=CalemEditDateRender;

CalemEditDateRender.prototype.toString = function() { return "CalemEditDateRender"; }

CalemEditDateRender.prototype.render =
function(parentEl, yOff) {	
	var len=this._tableDd.getDateInputLength(this._field);
	this._control=new CalemEditDate({parent: this._parent, type: DwtInputField.DATE, 
	              size: len,
	              errorIconStyle: CalemConf['view_engine']['field']['inputErrorIcon']});
	this._control.setValidStringLengths(null, len)	              ;
	if (this._tableDd.isRequired(this._field)) {
		this._control.setRequired(true);
	}
	this._control.reparentHtmlElement(parentEl);
	var val= this._getFieldEditValueByRec();
	this._control.setValue(val, true);           
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemEditTimeRender
 * Render time field.
 *  
 */
function CalemEditTimeRender(parent, id, fldInfo, controller) {
	if (arguments.length==0) return;
	CalemEditRender.call(this, parent, id, fldInfo, controller);
}

CalemEditTimeRender.prototype=new CalemEditRender;
CalemEditTimeRender.prototype.constructor=CalemEditTimeRender;

CalemEditTimeRender.prototype.toString = function() { return "CalemEditTimeRender"; }

CalemEditTimeRender.prototype.render =
function(parentEl, yOff) {
	var len=this._tableDd.getTimeInputLength(this._field);
	this._control=new CalemEditTime({parent: this._parent, type: DwtInputField.STRING, 
	              size: len,
	              errorIconStyle: CalemConf['view_engine']['field']['inputErrorIcon']});
	this._control.setValidStringLengths(null, len)	              ;
	if (this._tableDd.isRequired(this._field)) {
		this._control.setRequired(true);
	}
	this._control.reparentHtmlElement(parentEl);
	var val= this._getFieldEditValueByRec();
	this._control.setValue(val, true);           
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemEditDateTimeRender
 * Render datetime field for editing.
 *  
 */
function CalemEditDateTimeRender(parent, id, fldInfo, controller) {
	if (arguments.length==0) return;
	CalemEditRender.call(this, parent, id, fldInfo, controller);
   //Validation callback
	this._parentVdCallback=this._controller.getValidationCallback();
	this._vdCallback=new AjxCallback(this, this.onVdCallback);
}

CalemEditDateTimeRender.prototype=new CalemEditRender;
CalemEditDateTimeRender.prototype.constructor=CalemEditDateTimeRender;

CalemEditDateTimeRender.prototype.toString = function() { return "CalemEditDateTimeRender"; }

//This render will create a container for both date and time fields.
CalemEditDateTimeRender.prototype.render =
function(parentEl, yOff) {
	//This render will draw both date and time fields and supply values from here.
	var dateFieldId = Dwt.getNextId();
	var timeLabelId = Dwt.getNextId();
	var timeFieldId = Dwt.getNextId();
	parentEl.innerHTML=["<table cellspacing='0' cellpadding='0'><tr>",
	              "<td id=", dateFieldId, "></td>",
	              "<td><div id=", timeLabelId, " class=CalemTimeLabel></div></td>",
	              "<td id=", timeFieldId, "> </td>",
	              "</tr></table>"].join('');
	//Get the elements
	this._dateFieldEl=document.getElementById(dateFieldId);
	this._timeLabelEl=document.getElementById(timeLabelId);
	this._timeFieldEl=document.getElementById(timeFieldId);
	//Render date
	var len=this._tableDd.getDateInputLength();
	this._dateField=new CalemEditDate({parent: this._parent, type: DwtInputField.DATE, 
	              size: len,
	              errorIconStyle: CalemConf['view_engine']['field']['inputErrorIcon']});
	this._dateField.setValidStringLengths(null, len);
	//Time
	len=this._tableDd.getTimeInputLength();
	this._timeField=new CalemEditTime({parent: this._parent, type: DwtInputField.STRING, 
	              size: len,
	              errorIconStyle: CalemConf['view_engine']['field']['inputErrorIcon']});
	//Set required.
	if (this._tableDd.isRequired(this._field)) {
		this._dateField.setRequired(true);
	}
	//Relink html.
	this._dateField.reparentHtmlElement(this._dateFieldEl);
	this._timeField.reparentHtmlElement(this._timeFieldEl);
	//Set the label for time:
	this._timeLabelEl.innerHTML=CalemMsg.getMsg('at_time')+":";
	//Init values.
	this.resumeView();          
}

/**
 * This is a special render so have to controll all the APIs
 */
//validation
CalemEditDateTimeRender.prototype.setupValidation =
function() {
	this._dateField.setValidationCallback(this._vdCallback);
	this._timeField.setValidationCallback(this._vdCallback);
	this._dateField.setFieldInfo(this.getFieldInfo());
	this._timeField.setFieldInfo(this.getFieldInfo());
} 

/**
 * Either date or time portion cannot tell if the field is valid.
 * The validity must be determined at an upper level (that's here)!
 */
CalemEditDateTimeRender.prototype.onVdCallback =
function(field, isValid, value) {
	var valid=this.verifyInput();
	this._parentVdCallback.run(field, valid, value);
}

//Default implementation
CalemEditDateTimeRender.prototype.setFocus =
function() {
	this._dateField.focus();
}

//Verify input
CalemEditDateTimeRender.prototype.verifyInput =
function(fld, isValid) {
	return CalemViewUtil.datetimeVerifyInput(this._dateField, this._timeField);
} 

//fieldValue
CalemEditDateTimeRender.prototype.getFieldValue =
function() {
	//Should merge two values
	var date=this._dateField.getFieldValue();
	if (date) {
		var time=this._timeField.getFieldLocalValue();
		if (time) {
			date.setHours(time.getHours(), time.getMinutes(), time.getSeconds());
		} else { //Clear time portion of the date.
			date=CalemTextUtil.resetTime(date);
		}
		date=CalemTextUtil.localDateTimeToGmt(date);
	}
	return date;
}

//Considering going back to null (as in null replacement)
CalemEditDateTimeRender.prototype._getCtrlValue =
function() {
	var val=this.getFieldValue();
	if (val==this.getNullReplacement()) val=null; //Get rid of null replacement.
	return val;
}

//Value for server (such as string for date)
CalemEditDateTimeRender.prototype.getEditFieldServerValue =
function() {
	var rtn=null;
	var date=this.getFieldValue();
	if (date) {
		rtn=CalemTextUtil.formatServerDateTime(date);
	}
	return rtn;
} 

CalemEditDateTimeRender.prototype.getInsertFieldServerValue =
function() {
	return this.getEditFieldServerValue();
} 

//set field error
CalemEditDateTimeRender.prototype.setFieldError =
function(errMsg) {
	//This is a rough call here - this is business logic so let's set at date and time field.
	this._dateField.setFieldError(errMsg);
	this._timeField.setFieldError(errMsg);
} 

//shutdown
CalemEditDateTimeRender.prototype._shutdown =
function() {
	//Overwrite
}

//Default implementation for all the read renders.
CalemEditDateTimeRender.prototype.resumeView =
function() {
	var val= this._getFieldRawValue();
	if (val) {
		val = CalemTextUtil.gmtDateTimeToLocal(val);
		this._dateField.setDate(val, true); 
		this._timeField.setTime(val, true);
	} else {
		val=this.getNullReplacement();
		this._dateField.setValue(val, true);
		this._timeField.setValue(val, true);
	}
}

CalemEditDateTimeRender.prototype.setFieldReadOnly =
function() {
	this._dateField.disable();
	this._timeField.disable();
}


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemEditTextRender
 * Render string edit field.
 *  
 */
function CalemEditTextRender(parent, id, fldInfo, controller) {
	if (arguments.length==0) return;
	CalemEditRender.call(this, parent, id, fldInfo, controller);
}

CalemEditTextRender.prototype=new CalemEditRender;
CalemEditTextRender.prototype.constructor=CalemEditTextRender;

CalemEditTextRender.prototype.toString = function() { return "CalemEditTextRender"; }

CalemEditTextRender.prototype.render =
function(parentEl, yOff) {
	this._control=new CalemEditText({parent: this._parent, type: DwtInputField.STRING, 
	              size: this._tableDd.getTextDisplayLength(this._field),
	              rows: this._tableDd.getTextDisplayRows(this._field),
	              //Note: must have error icon set so DwtInputField will render it as a string first.
	              errorIconStyle: CalemConf['view_engine']['field']['inputErrorIcon']});
	var len=this._tableDd.getTextInputLength(this._field);	              
   if (len!=null) {	              
		this._control.setValidStringLengths(null, len);
   }
	if (this._tableDd.isRequired(this._field)) {
		this._control.setRequired(true);
	}
	this._control.reparentHtmlElement(parentEl);
	var val= this._getFieldValueByRec();;
	this._control.setValue(val, true);            
}

//fieldValue
CalemEditTextRender.prototype.getFieldValue =
function() {
	var val= this._control.getFieldValue();
	val = val ? val.trim() : val;
	return val;
}

//Value for server (such as string for date)
CalemEditTextRender.prototype.getEditFieldServerValue =
function() {
	return this.getFieldValue();
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemEditLookupRender
 * Render lookup edit field.
 *  
 */
function CalemEditLookupRender(parent, id, fldInfo, controller) {
	if (arguments.length==0) return;
	CalemEditRender.call(this, parent, id, fldInfo, controller);
}

CalemEditLookupRender.prototype=new CalemEditRender;
CalemEditLookupRender.prototype.constructor=CalemEditLookupRender;

CalemEditLookupRender.prototype.toString = function() { return "CalemEditLookupRender"; }

CalemEditLookupRender.prototype.render =
function(parentEl, yOff) {
	this._initFieldInfo();
	//Use text field if the length of text is over a limit.
	var len=this._lkupDd.getTextInputLength(this._lkupFld); //This is the lookup info.
	var doAc=false; //Auto-completion.
	if (this._lkupDd.isTextField(this._lkupFld)) {
		this._control=new CalemEditTextLookup({parent: this._parent, type: DwtInputField.STRING, 
	              size: this._lkupDd.getTextDisplayLength(this._lkupFld),
	              rows: this._lkupDd.getTextDisplayRows(this._lkupFld),
	              //Note: must have error icon set so DwtInputField will render it as a string first.
	              errorIconStyle: CalemConf['view_engine']['field']['inputErrorIcon']});
	} else {
		doAc=true; //Do AC for normal edit only.
		this._control=new CalemEditLookup({parent: this._parent, type: DwtInputField.STRING, 
	              size: len, errorIconStyle: CalemConf['view_engine']['field']['inputErrorIcon']});
	}
	this._control.setValidStringLengths(null, len);
	if (this._tableDd.isRequired(this._field)) {
		this._control.setRequired(true);
	}
	this._control.reparentHtmlElement(parentEl);
	//set up other stuff here.
	var lkupFm=CalemFormDef._getLookupForm(this._lkupDd.getTableName(), this._field, this._controller);
	this._control.setLookupForm(lkupFm);

	this._control.setController(this._controller);
	//set up validator here
	this._control.setValidator(this, this._onValidator);
	//Now get both id and value here.
	this.resumeView();          
	//Init AC
	if (doAc) {
		this._control.setupAc(this._field, this._lkupFld, this._lkupDd);
	}
}

//Impl for edit lookup.
CalemEditLookupRender.prototype.resumeView =
function() {
	var rec=this._modelItem.getCurrentRecord();
	var fld=rec.getField(this._field);
	val= this._getFieldEditValueByRec();
	var id = fld.getRawValue();
   this._control.setValue(id, val, true);  //No validation
}

CalemEditLookupRender.prototype._initFieldInfo =
function() {
	this._lkupDd=this._tableDd.getLookupTableDd(this._field);
	var map=lkupDd.getLookupMapping();
	this._lkupFld=this._lkupDd.getPrimaryLookup();
}

CalemEditLookupRender.prototype.getFieldInfo =
function() {
	return {fld: this._field, lkupFld: this._lkupFld};
}

CalemEditLookupRender.prototype._onValidator =
function(value, callback) {//Use cache util for this purpose.
	//This could require a callback situation when validation is done from database...
	this._controller.validateLookup(this._lkupDd.getTableName(), this._lkupFld, this._field, value, callback);
}

CalemEditLookupRender.prototype.enable = 
function() {
	this._control.enable();
}

CalemEditLookupRender.prototype.disable = 
function() {
	this._control.disable();
}

CalemEditLookupRender.prototype.setFieldValue =
function(fv) {
	this._control.setValueByLkup(fv.id, fv.value);
}



/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemEditNumberRender
 * Render Number edit field.
 *  
 */
function CalemEditNumberRender(parent, id, fldInfo, controller) {
	if (arguments.length==0) return;
	CalemEditRender.call(this, parent, id, fldInfo, controller);
	this._formatter=CalemTextUtil.getFormatter(CalemTextUtil.NUMBER_FORMATTER);
}

CalemEditNumberRender.prototype=new CalemEditRender;
CalemEditNumberRender.prototype.constructor=CalemEditNumberRender;

CalemEditNumberRender.prototype.toString = function() { return "CalemEditNumberRender"; }

CalemEditNumberRender.prototype.render =
function(parentEl, yOff) {
	var len=this._tableDd.getTextInputLength(this._field);
	this._control=new CalemInputField({parent: this._parent, type: DwtInputField.STRING, 
	              size: len,
	              errorIconStyle: CalemConf['view_engine']['field']['inputErrorIcon']});
	//No length validation.
	if (this._tableDd.isRequired(this._field)) {
		this._control.setRequired(true);
	}
	this._control.setValidatorFunction(this, this.onValidator);
	this._control.reparentHtmlElement(parentEl);
	var val= this._getFieldEditValueByRec();
	this._control.setValue(val, true);           
}

CalemEditNumberRender.prototype.onValidator = 
function(value) {
	if (this._control._required && !value) throw AjxMsg.valueIsRequired;
	var val=CalemTextUtil.isNumberValid(value);	
	this._validateRange(val);
	return val ? this._formatter.format(val) : val;
}

CalemEditNumberRender.prototype.getFieldValue =
function() {
	var val= this._control.getValue();
	return CalemTextUtil.isNumberValid(val);
} 

//Value for server (such as string for date)
CalemEditNumberRender.prototype.getEditFieldServerValue =
function() {
	var rtn=null;
	var val=this.getFieldValue();
	if (val) {
		rtn=CalemTextUtil.formatServerNumber(val);
	}
	return rtn;
} 

CalemEditNumberRender.prototype.getInsertFieldServerValue =
function() {
	return this.getEditFieldServerValue();
} 

//Compare results.
CalemEditNumberRender.prototype.getFieldChanged =
function() {
	var rec=this._modelItem.getCurrentRecord();
	return !rec.getField(this._field).valueEquals(this.getFieldValue());
} 

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemEditPercentRender
 * Render Number edit field.
 *  
 */
function CalemEditPercentRender(parent, id, fldInfo, controller) {
	if (arguments.length==0) return;
	CalemEditNumberRender.call(this, parent, id, fldInfo, controller);
	this._formatter=CalemTextUtil.getFormatter(CalemTextUtil.PERCENT_FORMATTER);
}

CalemEditPercentRender.prototype=new CalemEditNumberRender;
CalemEditPercentRender.prototype.constructor=CalemEditPercentRender;

CalemEditPercentRender.prototype.toString = function() { return "CalemEditPercentRender"; }

CalemEditPercentRender.prototype.onValidator = 
function(value) {
	if (this._control._required && !value) throw AjxMsg.valueIsRequired;
	var val=CalemTextUtil.isPercentValid(value);	
	this._validateRange(val);
	return val ? this._formatter.format(val) : val;
}

CalemEditPercentRender.prototype.getFieldValue =
function() {
	var val= this._control.getValue();
	return CalemTextUtil.isPercentValid(val);
} 


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemEditIntegerRender
 * Render integer edit field.
 *  
 */
function CalemEditIntegerRender(parent, id, fldInfo, controller) {
	if (arguments.length==0) return;
	CalemEditRender.call(this, parent, id, fldInfo, controller);
	this._formatter=CalemTextUtil.getFormatter(CalemTextUtil.INTEGER_FORMATTER);
}

CalemEditIntegerRender.prototype=new CalemEditRender;
CalemEditIntegerRender.prototype.constructor=CalemEditIntegerRender;

CalemEditIntegerRender.prototype.toString = function() { return "CalemEditIntegerRender"; }

CalemEditIntegerRender.prototype.render =
function(parentEl, yOff) {
	var len=this._tableDd.getTextInputLength(this._field);
	this._control=new CalemInputField({parent: this._parent, type: DwtInputField.STRING, 
	              size: len,
	              errorIconStyle: CalemConf['view_engine']['field']['inputErrorIcon']});
	//No length validation.
	if (this._tableDd.isRequired(this._field)) {
		this._control.setRequired(true);
	}
	this._control.setValidatorFunction(this, this.onValidator);
	this._control.reparentHtmlElement(parentEl);
	var val= this._getFieldEditValueByRec();
	this._control.setValue(val, true);           
}

CalemEditIntegerRender.prototype.onValidator = 
function(value) {
	if (this._control._required && !value) throw AjxMsg.valueIsRequired;
	var val=CalemTextUtil.isIntegerValid(value);
	this._validateRange(val);
	return val ? this._formatter.format(val) : val;
}

CalemEditIntegerRender.prototype.getFieldValue =
function() {
	var val= this._control.getValue();
	return CalemTextUtil.isIntegerValid(val);
} 

//Value for server (such as string for date)
CalemEditIntegerRender.prototype.getEditFieldServerValue =
function() {
	var rtn=null;
	var val=this.getFieldValue();
	if (val) {
		rtn=CalemTextUtil.formatServerInteger(val);
	}
	return rtn;
} 

CalemEditIntegerRender.prototype.getInsertFieldServerValue =
function() {
	return this.getEditFieldServerValue();
}

CalemEditIntegerRender.prototype.getFieldChanged =
function() {
	var rec=this._modelItem.getCurrentRecord();
	return !rec.getField(this._field).valueEquals(this.getFieldValue());
} 



/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemEditSysCurrencyRender
 * Render Number edit field.
 *  
 */
function CalemEditSysCurrencyRender(parent, id, fldInfo, controller) {
	if (arguments.length==0) return;
	CalemEditNumberRender.call(this, parent, id, fldInfo, controller);
	this._formatter=CalemTextUtil.getFormatter(CalemTextUtil.CURRENCY_EDIT_FORMATTER);
}

CalemEditSysCurrencyRender.prototype=new CalemEditNumberRender;
CalemEditSysCurrencyRender.prototype.constructor=CalemEditSysCurrencyRender;

CalemEditSysCurrencyRender.prototype.toString = function() { return "CalemEditSysCurrencyRender"; }

CalemEditSysCurrencyRender.prototype.onValidator = 
function(value) {
	if (this._control._required && !value) throw AjxMsg.valueIsRequired;
	var val=CalemTextUtil.isCurrencyValid(value);
	this._validateRange(val);
	return val ? this._formatter.format(val) : val;
}

CalemEditSysCurrencyRender.prototype.getRawValue =
function() {
	var val= this._control.getValue();
	return CalemTextUtil.isCurrencyValid(val);
} 

CalemEditSysCurrencyRender.prototype.getEditFieldServerValue =
function() {
	return this.getRawValue();
} 

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemEditDropdownJoinRender
 * Render dropdown edit field.
 *  
 */
function CalemEditDropdownJoinRender(parent, id, fldInfo, controller) {
	if (arguments.length==0) return;
	CalemEditRender.call(this, parent, id, fldInfo, controller);
	this._cache=CalemContext.getInstance().getRegistry().getCache();
}

CalemEditDropdownJoinRender.prototype=new CalemEditRender;
CalemEditDropdownJoinRender.prototype.constructor=CalemEditDropdownJoinRender;

CalemEditDropdownJoinRender.prototype.toString = function() { return "CalemEditDropdownJoinRender"; }

CalemEditDropdownJoinRender.prototype.render =
function(parentEl, yOff) {
	this._initFieldInfo();
	this._control=new CalemEditDropdown(this._parent, this._values);
	this._control.reparentHtmlElement(parentEl);
	//Now get both id and value here.
	this.resumeView();
}

CalemEditDropdownJoinRender.prototype._initFieldInfo =
function() {
	this._lkupDd=this._tableDd.getLookupTableDd(this._field);
	//Get data from cache and prepare the list.
	var recList=this._cache.getDropdown(this._lkupDd.getTableName()).getRecordList();
	this._values=[];
	for (var i=0; i< recList.getTotal(); i++) {
		var rec=recList.getRecord(i);
		var msg=CalemMsg.getMsg(rec.getField('id').getRawValue());
		this._values.push({id: rec.id, msg: msg})
	}
}

//Default implementation for all the read renders.
CalemEditDropdownJoinRender.prototype.resumeView =
function() {
	val= this._getFieldRawValueByRec();
   this._control.setValue(val, true);  //No validation  
}

//Insert the displayed drop down value
CalemEditDropdownJoinRender.prototype.getInsertFieldServerValue =
function() {
	var val=this._control.getFieldValue();
	val= val ? val : this._values[0].id;
	return val;
} 

CalemEditDropdownJoinRender.prototype.setFieldReadOnly =
function() {
	this._control.setReadOnly();
}



/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemEditBooleanRender
 * Render boolean edit field.
 *  
 */
function CalemEditBooleanRender(parent, id, fldInfo, controller) {
	if (arguments.length==0) return;
	CalemEditRender.call(this, parent, id, fldInfo, controller);
}

CalemEditBooleanRender.prototype=new CalemEditRender;
CalemEditBooleanRender.prototype.constructor=CalemEditBooleanRender;

CalemEditBooleanRender.prototype.toString = function() { return "CalemEditBooleanRender"; }

CalemEditBooleanRender.prototype.render =
function(parentEl, yOff) {
	this._control=new CalemEditBoolean(this._parent);
	this._control.reparentHtmlElement(parentEl);
	//set up other stuff here.
	this._control.setController(this._controller);
	//Now get both id and value here.
	val= this._getFieldRawValueByRec();
   this._control.setValue(val, true);  //No validation           
} 

CalemEditBooleanRender.prototype.setFieldReadOnly =
function() {
	this._control.setReadOnly();
}


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemEditPasswordRender
 * Render password edit field.
 *  
 */
function CalemEditPasswordRender(parent, id, fldInfo, controller) {
	if (arguments.length==0) return;
	CalemEditRender.call(this, parent, id, fldInfo, controller);
}

CalemEditPasswordRender.prototype=new CalemEditRender;
CalemEditPasswordRender.prototype.constructor=CalemEditPasswordRender;

CalemEditPasswordRender.prototype.toString = function() { return "CalemEditPasswordRender"; }

CalemEditPasswordRender.prototype.render =
function(parentEl, yOff) {
	var displayLength=this._tableDd.getTextEditDisplayLength(this._field);
	var len=this._tableDd.getTextInputLength(this._field);
	this._control=new CalemEditPassword({parent: this._parent, type: DwtInputField.PASSWORD, 
	              size: displayLength,
	              errorIconStyle: CalemConf['view_engine']['field']['inputErrorIcon']});
	this._control.setValidStringLengths(null, len)	              ;
	if (this._tableDd.isRequired(this._field)) {
		this._control.setRequired(true);
	}
	this._control.reparentHtmlElement(parentEl);
	var val= this._getFieldValueByRec();
   this._control.setValue(val, true);  //No validation           
}

//fieldValue
CalemEditPasswordRender.prototype.getFieldValue =
function() {
	var val=this._control.getFieldValue();
	val = val ? val.trim() : val;
	return val;
}

/**
 * When field is changed this is the interface to get the value for server.
 * getEditFieldServerValue for field change
 * getInsertFieldServerValue for insertion.
 */
CalemEditPasswordRender.prototype.getEditFieldServerValue =
function() {
	//Only send md5 password over when editing.
	var val= this.getFieldValue();
	val = val ? AjxMD5.hex_md5(val) : val;
	return val;
} 

//Default implementation is the same as getEditFieldServerValue.
CalemEditPasswordRender.prototype.getInsertFieldServerValue =
function() {
	return this.getEditFieldServerValue();
} 

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemEditScheduleRender
 * Render Schedule edit field.
 *  
 */
function CalemEditScheduleRender(parent, id, fldInfo, controller) {
	if (arguments.length==0) return;
	CalemEditRender.call(this, parent, id, fldInfo, controller);
}

CalemEditScheduleRender.prototype=new CalemEditRender;
CalemEditScheduleRender.prototype.constructor=CalemEditScheduleRender;

CalemEditScheduleRender.prototype.toString = function() { return "CalemEditScheduleRender"; }

CalemEditScheduleRender.prototype.render =
function(parentEl, yOff) {	
	this._control=new CalemEditSchedule({parent: this._parent});
	if (this._tableDd.isRequired(this._field)) {
		this._control.setRequired(true);
	}
	this._control.reparentHtmlElement(parentEl);
	//Need to set up validation here.
	this.setupValidation();
	
	var val= this._getFieldEditValueByRec();
	this._control.setValue(val, true);           
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

/**
 * CalemEditScheduleTimeRender
 * Render Schedule edit field.
 *  
 */
function CalemEditScheduleTimeRender(parent, id, fldInfo, controller) {
	if (arguments.length==0) return;
	CalemEditRender.call(this, parent, id, fldInfo, controller);
}

CalemEditScheduleTimeRender.prototype=new CalemEditRender;
CalemEditScheduleTimeRender.prototype.constructor=CalemEditScheduleTimeRender;

CalemEditScheduleTimeRender.prototype.toString = function() { return "CalemEditScheduleTimeRender"; }

CalemEditScheduleTimeRender.prototype.render =
function(parentEl, yOff) {	
	this._control=new CalemEditScheduleTime({parent: this._parent});
	if (this._tableDd.isRequired(this._field)) {
		this._control.setRequired(true);
	}
	this._control.reparentHtmlElement(parentEl);
	//Need to set up validation here.
	this.setupValidation();
	
	var val= this._getFieldEditValueByRec();
	this._control.setValue(val, true);           
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

/**
 * CalemEditFileUploadRender
 *  
 */
function CalemEditFileUploadRender(parent, id, fldInfo, controller) {
	if (arguments.length==0) return;
	CalemEditStringRender.call(this, parent, id, fldInfo, controller);
}

CalemEditFileUploadRender.prototype=new CalemEditStringRender;
CalemEditFileUploadRender.prototype.constructor=CalemEditFileUploadRender;

CalemEditFileUploadRender.prototype.toString = function() { return "CalemEditFileUploadRender"; }

CalemEditFileUploadRender.prototype.render =
function(parentEl, yOff) {
	var readId=Dwt.getNextId();
	var editId=Dwt.getNextId();
	var html=["<table cellspacing='0' cellpadding='0'><tr><td id='", readId, "'></td></tr><tr><td id='", editId, "'></td></tr></table>"].join('');
	var div = document.createElement('DIV');
	parentEl.appendChild(div);
	div.innerHTML=html;
	this._readEl=document.getElementById(readId);
	this._editEl=document.getElementById(editId);
	var len=this._tableDd.getTextInputLength(this._field);
	
	this._readFld=new CalemReadFileUploadEdit({parent: this._parent});
	this._readFld.reparentHtmlElement(this._readEl); 
	
	this._editFld=new CalemEditFileUpload({parent: this._parent, type: DwtInputField.STRING, 
	              size: len,
	              controller: this._controller,
	              errorIconStyle: CalemConf['view_engine']['field']['inputErrorIcon']});
	this._editFld.reparentHtmlElement(this._editEl);
	this.resumeView();       
	//Need to set up validation here.
	this.setupValidation();   
}

CalemEditFileUploadRender.prototype.resumeView =
function() {
	//Configure read value only.
	var val= this._getFieldValueByRec();
	var id=this._getRecId();
	this._readFld.setFileUpload(id, val); 
}

//validation
CalemEditFileUploadRender.prototype.setupValidation =
function() {
	this._editFld.setValidationCallback(this._controller.getValidationCallback());
	this._editFld.setFieldInfo(this.getFieldInfo());
}

//Default implementation
CalemEditFileUploadRender.prototype.setFocus =
function() {
	this._editFld.focus();
}

//Verify input
CalemEditFileUploadRender.prototype.verifyInput =
function(fld, isValid) {
	return true;
} 

//A special field change handler
CalemEditFileUploadRender.prototype.getFieldChanged =
function() {
	return (this.getFieldValue() ? true : false);
}

//fieldValue
CalemEditFileUploadRender.prototype.getFieldValue =
function() {
	return this._editFld.getValue();
}

//Considering going back to null (as in null replacement)
CalemEditFileUploadRender.prototype._getCtrlValue =
function() {
	var val=this.getFieldValue();
	if (val==this.getNullReplacement()) val=null; //Get rid of null replacement.
	return val;
}

//Value for server (such as string for date)
CalemEditFileUploadRender.prototype.getEditFieldServerValue =
function() {
	return this.getFieldValue();
} 

//set field error
CalemEditFileUploadRender.prototype.setFieldError =
function(errMsg) {
	this._editFld.setFieldError(errMsg);
} 

CalemEditFileUploadRender.prototype.setFieldReadOnly =
function() {
	this._editFld.disable();
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

/**
 * CalemNewFileUploadRender
 *  
 */
function CalemNewFileUploadRender(parent, id, fldInfo, controller) {
	if (arguments.length==0) return;
	CalemEditStringRender.call(this, parent, id, fldInfo, controller);
}

CalemNewFileUploadRender.prototype=new CalemEditStringRender;
CalemNewFileUploadRender.prototype.constructor=CalemNewFileUploadRender;

CalemNewFileUploadRender.prototype.toString = function() { return "CalemNewFileUploadRender"; }

CalemNewFileUploadRender.prototype.render =
function(parentEl, yOff) {
	var len=this._tableDd.getTextInputLength(this._field);
	this._control=new CalemEditFileUpload({parent: this._parent, type: DwtInputField.STRING, 
	              size: len,
	              controller: this._controller,
	              errorIconStyle: CalemConf['view_engine']['field']['inputErrorIcon']});
	if (this._tableDd.isRequired(this._field)) {
		this._control.setRequired(true);
	}	              
	this._control.reparentHtmlElement(parentEl);
	this.resumeView();       
	//Need to set up validation here.
	this.setupValidation();   
}

CalemNewFileUploadRender.prototype.resumeView =
function() {
}

//validation
CalemNewFileUploadRender.prototype.setupValidation =
function() {
	this._control.setValidationCallback(this._controller.getValidationCallback());
	this._control.setFieldInfo(this.getFieldInfo());
}

//Default implementation
CalemNewFileUploadRender.prototype.setFocus =
function() {
	this._control.focus();
}

//Verify input
CalemNewFileUploadRender.prototype.verifyInput =
function(fld, isValid) {
	return true;
} 

//A special field change handler
CalemNewFileUploadRender.prototype.getFieldChanged =
function() {
	return (this.getFieldValue() ? true : false);
}

//fieldValue
CalemNewFileUploadRender.prototype.getFieldValue =
function() {
	return this._control.getValue();
}

//Considering going back to null (as in null replacement)
CalemNewFileUploadRender.prototype._getCtrlValue =
function() {
	var val=this.getFieldValue();
	if (val==this.getNullReplacement()) val=null; //Get rid of null replacement.
	return val;
}

//Value for server (such as string for date)
CalemNewFileUploadRender.prototype.getEditFieldServerValue =
function() {
	return this.getFieldValue();
} 

//set field error
CalemNewFileUploadRender.prototype.setFieldError =
function(errMsg) {
	this._control.setFieldError(errMsg);
} 

CalemNewFileUploadRender.prototype.setFieldReadOnly =
function() {
	this._control.disable();
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemViewListRender
 *  
 * This is the edit view render.
 */
function CalemViewListRender(parent, id, viewInfo, controller) {
	if (arguments.length==0) return;
	CalemViewRuntimeRender.call(this, parent, id, viewInfo, controller);
}

CalemViewListRender.prototype=new CalemViewRuntimeRender;
CalemViewListRender.prototype.constructor=CalemViewListRender;

CalemViewListRender.prototype.toString = function() { return "CalemViewListRender"; }
CalemViewListRender.prototype.getClassName = function() { return "CalemViewListRender"; }

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemViewReadRender
 *  
 * This is the edit view render.
 */
function CalemViewReadRender(parent, id, viewInfo, controller) {
	if (arguments.length==0) return;
	CalemViewRuntimeRender.call(this, parent, id, viewInfo, controller);
}

CalemViewReadRender.prototype=new CalemViewRuntimeRender;
CalemViewReadRender.prototype.constructor=CalemViewReadRender;

CalemViewReadRender.prototype.toString = function() { return "CalemViewReadRender"; }
CalemViewReadRender.prototype.getClassName = function() { return "CalemViewReadRender"; }
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemFieldReadRender
 * Render field in read view (no change is allowed).
 *  
 */
function CalemFieldReadRender(parent, id, fldInfo, controller) {
	if (arguments.length==0) return;
	CalemFieldRender.call(this, parent, id, fldInfo, controller);
}

CalemFieldReadRender.prototype=new CalemFieldRender;
CalemFieldReadRender.prototype.constructor=CalemFieldReadRender;

CalemFieldReadRender.prototype.toString = function() { return "CalemFieldReadRender"; }

CalemFieldReadRender.prototype.render =
function(parentEl, yOff) {
	this._renderField(parentEl, yOff);
}

/**
 * shutdown 
 */
CalemFieldReadRender.prototype._shutdown =
function() {
	this._render._renderShutdown();
} 

CalemFieldReadRender.prototype._renderShutdown =
function() {
	//Overwrite
} 

//Resume view assuming a change is made.
CalemFieldReadRender.prototype.resumeView = 
function() {
	this._render._refreshField();
}

//Default implementation for all the read renders.
CalemFieldReadRender.prototype._refreshField =
function() {
	var val= this._getFieldValueByRec();
	this._control.setValue(val); 
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemReadTextRender
 * Render string edit field.
 *  
 */
function CalemReadTextRender(parent, id, fldInfo, controller) {
	if (arguments.length==0) return;
	CalemFieldReadRender.call(this, parent, id, fldInfo, controller);
}

CalemReadTextRender.prototype=new CalemFieldReadRender;
CalemReadTextRender.prototype.constructor=CalemReadTextRender;

CalemReadTextRender.prototype.toString = function() { return "CalemReadTextRender"; }

CalemReadTextRender.prototype.render =
function(parentEl, yOff) {
	this._control=new CalemReadText({parent: this._parent, type: DwtInputField.STRING, 
	              size: this._tableDd.getTextDisplayLength(this._field),
	              rows: this._tableDd.getTextDisplayRows(this._field)});
	this._control.reparentHtmlElement(parentEl);
	var val= this._getFieldValueByRec();
	this._control.setValue(val);             
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemReadDefaultRender
 * Render field in read view (no change is allowed).
 *  
 */
function CalemReadDefaultRender(parent, id, fldInfo, controller) {
	if (arguments.length==0) return;
	CalemFieldReadRender.call(this, parent, id, fldInfo, controller);
}

CalemReadDefaultRender.prototype=new CalemFieldReadRender;
CalemReadDefaultRender.prototype.constructor=CalemReadDefaultRender;

CalemReadDefaultRender.prototype.toString = function() { return "CalemReadDefaultRender"; }

CalemReadDefaultRender.prototype.render =
function(parentEl, yOff) {
	this._control=new CalemReadDefault({parent: this._parent, type: DwtInputField.STRING, 
	              size: this._tableDd.getTextReadLength(this._field)});
	this._control.reparentHtmlElement(parentEl);
	var val= this._getFieldValueByRec();
	this._control.setValue(val);             
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemReadLookupRender
 * Render field in read view (no change is allowed).
 *  
 */
function CalemReadLookupRender(parent, id, fldInfo, controller) {
	if (arguments.length==0) return;
	CalemFieldReadRender.call(this, parent, id, fldInfo, controller);
}

CalemReadLookupRender.prototype=new CalemFieldReadRender;
CalemReadLookupRender.prototype.constructor=CalemReadLookupRender;

CalemReadLookupRender.prototype.toString = function() { return "CalemReadLookupRender"; }

CalemReadLookupRender.prototype.render =
function(parentEl, yOff) {
	this._initFieldInfo();
	if (this._lkupDd.isTextField(this._lkupFld)) {
		this._control=new CalemReadText({parent: this._parent, type: DwtInputField.STRING, 
	              size: this._lkupDd.getTextDisplayLength(this._lkupFld),
	              rows: this._lkupDd.getTextDisplayRows(this._lkupFld)});
	} else {
		this._control=new CalemReadDefault({parent: this._parent, type: DwtInputField.STRING, 
	              size: this._tableDd.getTextReadLength(this._field)});
	}
	this._control.reparentHtmlElement(parentEl);
	var val= this._getFieldValueByRec();
	this._control.setValue(val);             
}

CalemReadLookupRender.prototype._initFieldInfo =
function() {
	this._lkupDd=this._tableDd.getLookupTableDd(this._field);
	this._lkupFld=this._lkupDd.getPrimaryLookup();
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemReadBooleanRender
 * Render boolean readonly field.
 *  
 */
function CalemReadBooleanRender(parent, id, fldInfo, controller) {
	if (arguments.length==0) return;
	CalemFieldReadRender.call(this, parent, id, fldInfo, controller);
}

CalemReadBooleanRender.prototype=new CalemFieldReadRender;
CalemReadBooleanRender.prototype.constructor=CalemReadBooleanRender;

CalemReadBooleanRender.prototype.toString = function() { return "CalemReadBooleanRender"; }

CalemReadBooleanRender.prototype.render =
function(parentEl, yOff) {
	this._control=new CalemReadBoolean(this._parent);
	this._control.reparentHtmlElement(parentEl);
	//Set value for the control.
	val= this._getFieldRawValueByRec();
    this._control.setValue(val);  //No validation           
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemReadScheduleRender
 * Render string edit field.
 *  
 */
function CalemReadScheduleRender(parent, id, fldInfo, controller) {
	if (arguments.length==0) return;
	CalemFieldReadRender.call(this, parent, id, fldInfo, controller);
	this._render=this;
}

CalemReadScheduleRender.prototype=new CalemFieldReadRender;
CalemReadScheduleRender.prototype.constructor=CalemReadScheduleRender;

CalemReadScheduleRender.prototype.toString = function() { return "CalemReadScheduleRender"; }

CalemReadScheduleRender.prototype.render =
function(parentEl, yOff) {
	this._control=new CalemReadDefault({parent: this._parent, type: DwtInputField.STRING, 
	              size: CalemConf['edit_schedule']['defaultReadSize']});
	this._control.reparentHtmlElement(parentEl);
	this._refreshField();            
}

//Default implementation for all the read renders.
CalemReadScheduleRender.prototype._refreshField =
function() {
	var val= this._getFieldRawValue();
	var schedule=CalemScheduleInfo._decode(val);
	this._control.setValue(schedule.getText());
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemReadScheduleTimeRender
 * Render string edit field.
 *  
 */
function CalemReadScheduleTimeRender(parent, id, fldInfo, controller) {
	if (arguments.length==0) return;
	CalemFieldReadRender.call(this, parent, id, fldInfo, controller);
	this._render=this;
}

CalemReadScheduleTimeRender.prototype=new CalemFieldReadRender;
CalemReadScheduleTimeRender.prototype.constructor=CalemReadScheduleTimeRender;

CalemReadScheduleTimeRender.prototype.toString = function() { return "CalemReadScheduleTimeRender"; }

CalemReadScheduleTimeRender.prototype.render =
function(parentEl, yOff) {
	this._control=new CalemReadDefault({parent: this._parent, type: DwtInputField.STRING, 
	              size: CalemConf['edit_schedule']['defaultReadSize']});
	this._control.reparentHtmlElement(parentEl);
	this._refreshField();            
}

//Default implementation for all the read renders.
CalemReadScheduleTimeRender.prototype._refreshField =
function() {
	var val= this._getFieldRawValue();
	var schedule=CalemScheduleTimeInfo._decode(val);
	this._control.setValue(schedule.getText());
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

/**
 * CalemReadFileUploadRender
 * Render string edit field.
 *  
 */
function CalemReadFileUploadRender(parent, id, fldInfo, controller) {
	if (arguments.length==0) return;
	CalemFieldReadRender.call(this, parent, id, fldInfo, controller);
	this._render=this;
}

CalemReadFileUploadRender.prototype=new CalemFieldReadRender;
CalemReadFileUploadRender.prototype.constructor=CalemReadFileUploadRender;

CalemReadFileUploadRender.prototype.toString = function() { return "CalemReadFileUploadRender"; }

CalemReadFileUploadRender.prototype.render =
function(parentEl, yOff) {
	this._control=new CalemReadFileUpload({parent: this._parent, type: DwtInputField.STRING, 
	              size: CalemConf['edit_schedule']['defaultReadSize']});
	this._control.reparentHtmlElement(parentEl);
	this._refreshField();            
}

//Default implementation for all the read renders.
CalemReadFileUploadRender.prototype._refreshField =
function() {
	var val= this._getFieldValueByRec();;
	var id=this._getRecId();
	this._control.setFileUpload(id, val);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

/**
 * CalemReadFileAttachmentRender
 * Render string edit field.
 *  
 */
function CalemReadFileAttachmentRender(parent, id, fldInfo, controller) {
	if (arguments.length==0) return;
	CalemReadFileUploadRender.call(this, parent, id, fldInfo, controller);
	this._render=this;
}

CalemReadFileAttachmentRender.prototype=new CalemReadFileUploadRender;
CalemReadFileAttachmentRender.prototype.constructor=CalemReadFileAttachmentRender;

CalemReadFileAttachmentRender.prototype.toString = function() { return "CalemReadFileAttachmentRender"; }

//Default implementation for all the read renders.
CalemReadFileAttachmentRender.prototype._refreshField =
function() {
	var val= this._getFieldValueByRec();
	var rv= this._getFieldRawValue();
	if (rv) {
		this._control.setFileUpload(rv, val);
	}	
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemViewMd
 * This is the master detail view.
 */
function CalemViewMd(parent, controller, className, posStyle) {
	if (arguments.length==0) return;
	className = className || "CalemViewMd";
	CalemView.call(this, parent, controller, className, posStyle);
}

CalemViewMd.prototype = new CalemView;
CalemViewMd.prototype.constructor = CalemViewMd;

CalemViewMd.prototype.toString = function() { return "CalemViewMd"; }

//Public APIs
CalemViewMd.prototype.render =
function() {
	this._formInfo=this._controller.getFormInfo();
	this._renderView();
}

CalemViewMd.prototype.onLayoutChange =
function() {
	this._render.onLayoutChange();
}

CalemViewMd.prototype.resumeView =
function() {
	this._render.resumeView();
}

/**
 * Rendering the view.
 */
CalemViewMd.prototype._renderView =
function() {
	var impl= this._controller.getRender(this);
	var id=this._controller.getId();
	var customInfo=this._controller.getCustomInfo();
	this._render=eval(['new ', impl, '(this, id, this._formInfo, this._controller, customInfo)'].join(''));
	this._render.render(this.getHtmlElement());
	//Set focus after rendering
	this._render.setFocus();
}  

//For ViewMdTab use.
CalemViewMd.prototype.closeAndResumeParentController =
function(action) {
	this.parent.closeAndResumeParentController(action);
} /*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemViewMdTab
 * This is the master detail Tab view.
 */
function CalemViewMdTab(parent, controller, className, posStyle) {
	if (arguments.length==0) return;
	className = className || "CalemViewMdTab";
	CalemViewMd.call(this, parent, controller, className, posStyle);
}

CalemViewMdTab.prototype = new CalemViewMd;
CalemViewMdTab.prototype.constructor = CalemViewMdTab;

CalemViewMdTab.prototype.toString = function() { return "CalemViewMdTab"; }
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemViewMdRender
 *  
 * This is the master detail view render.
 */
function CalemViewTabRender(parent, id, fmInfo, controller, customInfo, tabId) {
	if (arguments.length==0) return;
	CalemUiRender.call(this, parent, id, fmInfo, controller);
	this._customInfo=customInfo;
	this._layout= customInfo && customInfo.getLayout() ? customInfo.getLayout() : fmInfo.getLayout();
	this._tabId=tabId;
	this._renders=new Object();
}

CalemViewTabRender.prototype=new CalemUiRender;
CalemViewTabRender.prototype.constructor=CalemViewTabRender;

CalemViewTabRender.prototype.toString = function() { return "CalemViewTabRender"; }
CalemViewTabRender.prototype.getClassName = function() { return "CalemViewTabRender"; }

/**
 * Md views are using absolute layout for most of the blocks.
 */
CalemViewTabRender.prototype.render =
function() {
	var fmList=this.getFormList();

	var yOff=0;
	var xOff=0;
	var yMargin=CalemConf['view_engine']['viewRenderMdTab']['formMargin'].y;
	var rowMarginY=CalemConf['view_engine']['viewRenderMdTab']['rowMarginY'];
	var sz=this._parent.getSize();
	for (var i=0; i< fmList.length; i++) {		
		var fmId=fmList[i];
		//check acl here.
		if (!this._customInfo.checkFormAcl(fmId)) continue;
		//Now find out the layout by fmId
		var fm=this._info.getItem(fmId);
		var layout=fm.getLayout();
		//Creating a view holder.
		var posStyle=Dwt.STATIC_STYLE;
		if (layout.getRows() > 0 || layout.getHeight() > 0 || layout.getHeight()==CalemViewUtil.H_FULL) {
			posStyle=Dwt.ABSOLUTE_STYLE;
		}
		var viewPanel=new CalemViewPanel(this._parent, null, posStyle);
		//Adjust size
		var height= layout.getRows() > 0 ? (layout.getRows() * CalemViewUtil.getUorH()+rowMarginY) : layout.getHeight();
		var height=CalemViewUtil.getHeight(sz, yOff, height);
		//Adjust size
		CalemViewUtil.setSize(viewPanel, layout.getWidth(), height);
		if (posStyle==Dwt.ABSOLUTE_STYLE) {
			viewPanel.setLocation(xOff, yOff);
		}
		//Start laying out the form.
		var form=this._controller.getFormModel().getForm(fm.getId());
		form.setViewHolder(viewPanel);
		//Start layout.
		form.showForm();
		this._add(fm.getId(), yOff, viewPanel, form);
		//Calculating offset
		var newH=CalemViewUtil.getHeightAfterLayout(viewPanel.getHtmlElement(), height);		
		yOff += newH+yMargin; //IE 7 does not obey the height set so must use the height to do layout.
	}
	this._height=yOff;
}

CalemViewTabRender.prototype.getFormList =
function() {
	return this._layout.getTabItem(this._tabId).getLayout();
}

/**
 * Recording layout info
 */
CalemViewTabRender.prototype._add =
function(id, yOff, viewPanel, form) {
	this._renders[id]={yOff: yOff, viewPanel: viewPanel, form: form};
}

CalemViewTabRender.prototype.onLayoutChange =
function() {
	//@todo To handle CalemViewUtil.H_FULL blocks which should be the last block.
}

CalemViewTabRender.prototype.resumeView =
function() {
	for (var i in this._renders) {
		this._renders[i].form.resumeHostForm();
	}
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemViewMdRender
 *  
 * This is the master detail view render.
 */
function CalemViewMdRender(parent, id, fmInfo, controller, customInfo) {
	if (arguments.length==0) return;
	var tabId=fmInfo.getLayout().getTabList()[0];
	CalemViewTabRender.call(this, parent, id, fmInfo, controller, customInfo, tabId);
}

CalemViewMdRender.prototype=new CalemViewTabRender;
CalemViewMdRender.prototype.constructor=CalemViewMdRender;

CalemViewMdRender.prototype.toString = function() { return "CalemViewMdRender"; }
CalemViewMdRender.prototype.getClassName = function() { return "CalemViewMdRender"; }
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemViewMdTabRender
 *  
 * This is the master detail tab view render.
 */
function CalemViewMdTabRender(parent, id, fmInfo, controller, customInfo) {
	if (arguments.length==0) return;
	CalemUiRender.call(this, parent, id, fmInfo, controller);
	this._customInfo=customInfo;
	this._pages=new Object();
}

CalemViewMdTabRender.prototype=new CalemUiRender;
CalemViewMdTabRender.prototype.constructor=CalemViewMdTabRender;

CalemViewMdTabRender.prototype.toString = function() { return "CalemViewMdTabRender"; }
CalemViewMdTabRender.prototype.getClassName = function() { return "CalemViewMdTabRender"; }

/**
 * Acl checking
 */
CalemViewMdTabRender.prototype._checkTabAcl =
function(tabId) {
	return (this._customInfo ? this._customInfo.checkTabAcl(tabId) : true);
} 

/**
 * MdTab views
 */
CalemViewMdTabRender.prototype.render =
function() {
	//Getting layout info
	var layout = (this._customInfo && this._customInfo.getLayout()) ? this._customInfo.getLayout() : this._info.getLayout();
	var tabList=layout.getTabList();
	this._tabView=new CalemTabView(this._parent);
	this._fitToParent();
	var addCustomizeTab=false;
	for (var i=0; i< tabList.length; i++) {
		var tabId=tabList[i];
		//m06 - customize for admin
		if (tabId==CalemConst._TAB_CUSTOMIZE && !CalemBoUtil.isUserInAdminGroup()) continue;
		
		if (!this._checkTabAcl(tabId)) continue;
		
		if (tabId==CalemConst._TAB_CUSTOMIZE) {
			addCustomizeTab=true;
			continue;
		}
		var tabPage = new CalemViewPageMd(this._tabView, null, null, this._controller, 
											this._info, this._customInfo, tabId);
		var title=this._info.getItem(tabId).getLabel();											
		this._tabView.addTab(title, tabPage);
		this._pages[tabId]=tabPage; //Keep track of all pages.
	}
	/**
	 * This is to prevent Admin from locking out from customization 
	 * a) Current user is in CUSTOM_SYSTEM group
	 * b) Customize button is not in the layout but in acl
	 * c) The controller is customizable (i.e., not a design form)
	 */	 
	 if (this._controller && this._controller.allowCustomize && this._controller.allowCustomize()
	   && CalemBoUtil.isUserInAdminGroup()
	   && this._info.getItem(CalemConst._TAB_CUSTOMIZE) //It's in the map
	   && !this._checkTabAcl(CalemConst._TAB_CUSTOMIZE) ) {
	 	addCustomizeTab=true;
	 }
	//Add a tab for customization.
	if (addCustomizeTab) {
		var tabPage=new CalemViewPageMdCustomize(this._tabView, null, null, this._controller, 
											this._info, this._customInfo, tabId);
		this._tabView.addTab(CalemMsg.getMsg(CalemConst._TAB_CUSTOMIZE), tabPage);											
	}
	//DwtTabView will auto-display first tab.
}

CalemViewMdTabRender.prototype._fitToParent =
function() {
	var sz=this._parent.getSize();
	var margin=CalemConf['view_engine']['viewRenderMdTab']['tabViewMargin'];
	this._tabView.setBounds(margin.x, margin.y, sz.x-margin.x, sz.y-margin.y);
}

CalemViewMdTabRender.prototype.onLayoutChange =
function() {
	this._fitToParent();
	//@tbd handle the tabs below.
}

//Going through each tab.
CalemViewMdTabRender.prototype.resumeView =
function() {	
	for (var i in this._pages) this._pages[i].resumeView();
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

/**
 * CalemViewPeer
 */
function CalemViewPeer(parent, controller, className, posStyle) {
	if (arguments.length==0) return;
	className = className || "CalemViewPeer";
	CalemViewMd.call(this, parent, controller, className, posStyle);
}

CalemViewPeer.prototype = new CalemViewMd;
CalemViewPeer.prototype.constructor = CalemViewPeer;

CalemViewPeer.prototype.toString = function() { return "CalemViewPeer"; }
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemViewPeerTab
 */
function CalemViewPeerTab(parent, controller, className, posStyle) {
	if (arguments.length==0) return;
	className = className || "CalemViewPeerTab";
	CalemViewMdTab.call(this, parent, controller, className, posStyle);
}

CalemViewPeerTab.prototype = new CalemViewMdTab;
CalemViewPeerTab.prototype.constructor = CalemViewPeerTab;

CalemViewPeerTab.prototype.toString = function() { return "CalemViewPeerTab"; }
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

/**
 * CalemViewTabPeerRender
 */
function CalemViewTabPeerRender(parent, id, fmInfo, controller, customInfo, tabId) {
	if (arguments.length==0) return;
	CalemViewTabRender.call(this, parent, id, fmInfo, controller, customInfo, tabId);
}

CalemViewTabPeerRender.prototype=new CalemViewTabRender;
CalemViewTabPeerRender.prototype.constructor=CalemViewTabPeerRender;

CalemViewTabPeerRender.prototype.toString = function() { return "CalemViewTabPeerRender"; }
CalemViewTabPeerRender.prototype.getClassName = function() { return "CalemViewTabPeerRender"; }

/**
 * Md views are using absolute layout for most of the blocks.
 */
CalemViewTabPeerRender.prototype.render =
function() {
	//Use default render for one column forms
	var tabInfo = this._info.getItem(this._tabId);
	if (!tabInfo.getColCount() || tabInfo.getColCount()<2) {
		CalemViewTabRender.prototype.render.call(this);
		return;
	}
	
	//Absolute layout here.
	var colWidth=tabInfo.getColWidth();
	var xColOff=0;
	var yMargin=CalemConf['view_engine']['viewRenderPeerTab']['formMargin'].y;
	var rowMarginY=CalemConf['view_engine']['viewRenderPeerTab']['rowMarginY'];
	var sz=this._parent.getSize();
	this._height=0;
	var colLayout=this._layout.getTabItem(tabInfo.getId());
	for (var ci=0; ci< tabInfo.getColCount(); ci++) {
		var fmList=colLayout.getColLayout(ci)
		var yOff=0;
		var xOff=xColOff;
		var colW=Math.floor(sz.x * parseFloat(colWidth[ci]));
		for (var i=0; i< fmList.length; i++) {		
			var fmId=fmList[i];
			//check acl here.
			if (!this._customInfo.checkFormAcl(fmId)) continue;
			//Now find out the layout by fmId
			var fm=this._info.getItem(fmId);
			var layout=fm.getLayout();
			//Creating a view holder.
			var posStyle=Dwt.STATIC_STYLE;
			if (layout.getRows() > 0 || layout.getHeight() > 0 || layout.getHeight()==CalemViewUtil.H_FULL) {
				posStyle=Dwt.ABSOLUTE_STYLE;
			}
			var viewPanel=new CalemViewPanel(this._parent, null, posStyle);
			//Adjust size
			var height= layout.getRows() > 0 ? (layout.getRows() * CalemViewUtil.getUorH()+rowMarginY) : layout.getHeight();
			var height=CalemViewUtil.getHeight(sz, yOff, height);
			//Adjust size
			CalemViewUtil.setSize(viewPanel, colW, height);
			if (posStyle==Dwt.ABSOLUTE_STYLE) {
				viewPanel.setLocation(xOff, yOff);
			}
			//Start laying out the form.
			var form=this._controller.getFormModel().getForm(fm.getId());
			form.setViewHolder(viewPanel);
			//Start layout.
			form.showForm();
			this._add(fm.getId(), yOff, viewPanel, form);
			//Calculating offset
			var newH=CalemViewUtil.getHeightAfterLayout(viewPanel.getHtmlElement(), height);		
			yOff += newH+yMargin; //IE 7 does not obey the height set so must use the height to do layout.
		}
		this._height=Math.max(this._height, yOff);
		xColOff += colW;
	}
}

CalemViewTabPeerRender.prototype.getFormList =
function() {
	return this._layout.getTabItem(this._tabId).getColLayout(0);
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemViewPeerRender
 *  
 * This is the master detail view render.
 */
function CalemViewPeerRender(parent, id, fmInfo, controller, customInfo) {
	if (arguments.length==0) return;
	var tabId=fmInfo.getLayout().getTabList()[0];
	CalemViewTabPeerRender.call(this, parent, id, fmInfo, controller, customInfo, tabId);
}

CalemViewPeerRender.prototype=new CalemViewTabPeerRender;
CalemViewPeerRender.prototype.constructor=CalemViewPeerRender;

CalemViewPeerRender.prototype.toString = function() { return "CalemViewPeerRender"; }
CalemViewPeerRender.prototype.getClassName = function() { return "CalemViewPeerRender"; }
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemUiDesignRender
 */
function CalemUiDesignRender(parent, id, info, controller) {
	if (arguments.length==0) return;
	CalemUiRender.call(this, parent, id, info, controller);
	this._calemDropAllowed=CalemConf['view_engine']['viewRecordDesign'].dropAllowed;
}

CalemUiDesignRender.prototype=new CalemUiRender;
CalemUiDesignRender.prototype.constructor=CalemUiDesignRender;

CalemUiDesignRender.prototype.toString = function() { return "CalemUiDesignRender"; }
CalemUiDesignRender.prototype.getClassName=function() {return this.toString();}

//General drag/drop
CalemUiDesignRender.prototype._enableDnd =
function() {
	this._control.setDragSource(this._dragSrc);
	this._control.setDropTarget(this._dropTarget);
}

CalemUiDesignRender.prototype._onDragEnter =
function(srcControl, targetControl) {
	return false;
}

/**
 * Default action is to swap controls.
 */
CalemUiDesignRender.prototype._onDrop =
function(srcControl, targetControl) {
	this._swapControls(srcControl, targetControl);
	return true;
}

/**
 * Swap controls.
 */
CalemUiDesignRender.prototype._swapControls =
function(srcControl, targetControl) {
	//Let's swap the controls based on their parent.
	var sourceHtml=srcControl.getHtmlElement();
	var targetHtml=targetControl.getHtmlElement();
	//Swapping TD could avoid changing the association between control and html.	
	//Take each out of the parent node.
	var srcTd=sourceHtml.parentNode;
	var tgtTd=targetHtml.parentNode;
	CalemViewUtil.swapNodes(srcTd, srcTd.cellIndex, tgtTd, tgtTd.cellIndex);
}

/**
 * Drops allowed
 */
/**
 * To decide which controls are allowed to be dropped: 
 * Allowed: [Label, Field, FieldLabel, Text]
 * Not Allowed: [Button, Row, Col]
 * 
 */
CalemUiDesignRender.prototype._onDragEnter =
function(srcControl, targetControl) {
	var rtn=false;
	var allowed=this._calemDropAllowed[this.toString()]; //Use toString to get the class name.
	//It's either render or DwtTreeItem.
	var dropId= srcControl._parentRender ? srcControl._parentRender.toString() : srcControl.toString();
	rtn = (allowed && allowed[dropId]);
	return rtn;
} 

CalemUiDesignRender.prototype.onFieldLabelChanged =
function() {
	//no implementation.
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemGridDesignRenderFacade
 *  
 */
function CalemGridDesignRenderFacade(parent, id, gridInfo, controller) {
	if (arguments.length==0) return;
	CalemUiDesignRender.call(this, parent, id, gridInfo, controller);
}

CalemGridDesignRenderFacade.prototype=new CalemUiDesignRender;
CalemGridDesignRenderFacade.prototype.constructor=CalemGridDesignRenderFacade;

CalemGridDesignRenderFacade.prototype.toString = function() { return "CalemGridDesignRenderFacade"; }

/**
 * This is the facade to create two more renders: grid and grid tree.
 */
CalemGridDesignRenderFacade.prototype.render =
function(parentEl, yOff) {
	this._yOff=yOff;
	this._gridRender=new CalemGridDesignRender(this._parent, this._id, this._info, this._controller);
	this._newOff=this._gridRender.render(parentEl, yOff);
	//Render the tree
	this._treeRender=new CalemGridTreeDesignRender(this._parent, this._id, this._info, this._controller);
	//Pass around the drag/drop handling.
	this._treeRender.initDnd(this._dragSrc, this._dropTarget); //Drag drop
	this._treeRender.render(parentEl, this._newOff);
	//Binding events together
	this._treeRender.setTreeChangeCallback(new AjxCallback(this, this.onTreeChange));
	this._treeRender.setCanDragCallback(new AjxCallback(this, this.canDrag));
}

/**
 * Fields add/remove from the grid tree callback.
 */
CalemGridDesignRenderFacade.prototype.onTreeChange =
function(nodeChange) {
	this._gridRender.onFieldChange(nodeChange);
}

CalemGridDesignRenderFacade.prototype.canDrag =
function() {
	return this._gridRender.canRemoveField();
}  

CalemGridDesignRenderFacade.prototype.onLayoutChange =
function() {
	this._treeRender.onLayoutChange();
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemFieldDesignRender
 *  
 */
function CalemFieldDesignRender(parent, id, lbInfo, controller) {
	if (arguments.length==0) return;
	CalemUiDesignRender.call(this, parent, id, lbInfo, controller);
	this._modelItem=controller.getDataModel().getModelItem();
	this._tableDd=this._modelItem.getTableDd();
	this._field=lbInfo.getField();
}

CalemFieldDesignRender.prototype=new CalemUiDesignRender;
CalemFieldDesignRender.prototype.constructor=CalemFieldDesignRender;

CalemFieldDesignRender.prototype.toString = function() { return "CalemFieldDesignRender"; }

CalemFieldDesignRender.prototype.render =
function(parentEl, yOff, clsName) {
	this._control=new CalemFieldDesign(this._parent, null, clsName);
	//Get field label based on data model.
	this._setText();
	this._control.reparentHtmlElement(parentEl);
	//Sneak in a render property for checking back.
	this._enableDnd();
	this._control._parentRender=this;
}

CalemFieldDesignRender.prototype._setText =
function() {
	var text=this._modelItem.getTableDd().getDesignLabel(this._field);
	this._control.setText(text);
}

CalemFieldDesignRender.prototype.onFieldLabelChanged =
function(fld) {
	this._setText();
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemFieldLabelDesignRender
 *  
 */
function CalemFieldLabelDesignRender(parent, id, lbInfo, controller) {
	if (arguments.length==0) return;
	CalemUiDesignRender.call(this, parent, id, lbInfo, controller);
	this._modelItem=controller.getDataModel().getModelItem();
	this._field=lbInfo.getField();
}

CalemFieldLabelDesignRender.prototype=new CalemUiDesignRender;
CalemFieldLabelDesignRender.prototype.constructor=CalemFieldLabelDesignRender;

CalemFieldLabelDesignRender.prototype.toString = function() { return "CalemFieldLabelDesignRender"; }

CalemFieldLabelDesignRender.prototype.render =
function(parentEl, yOff, clsName) {
	this._control=new CalemFieldLabelDesign(this._parent, null, clsName);
	//Get field label based on data model.
	this._setText();
	if (this._modelItem.getTableDd().isRequired(this._field)) {
		this._control.setRequired(true);
	}
	this._control.reparentHtmlElement(parentEl);
	//Sneak in a render property for checking back.
	this._enableDnd();
	this._control._parentRender=this;
	//Adding mouse down listener.
	if (this._controller.getMouseDownListener) {
		this._control.addListener(DwtEvent.ONMOUSEDOWN, this._controller.getMouseDownListener());
	}
}

CalemFieldLabelDesignRender.prototype._setText =
function() {
	var text=this._modelItem.getTableDd().getDesignLabel(this._field);
	this._control.setText(text);
}

CalemFieldLabelDesignRender.prototype.getLabelId =
function() {
	return this._modelItem.getTableDd().getLabelId(this._field);
}

CalemFieldLabelDesignRender.prototype.onLabelChanged =
function() {
	this._setText();
	this._parentRender.onFieldLabelChanged(this._field);
}


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemFormErrorDesignRender
 *  
 */
function CalemFormErrorDesignRender(parent, id, lbInfo, controller) {
	if (arguments.length==0) return;
	CalemUiDesignRender.call(this, parent, id, lbInfo, controller);
}

CalemFormErrorDesignRender.prototype=new CalemUiDesignRender;
CalemFormErrorDesignRender.prototype.constructor=CalemFormErrorDesignRender;

CalemFormErrorDesignRender.prototype.toString = function() { return "CalemFormErrorDesignRender"; }

CalemFormErrorDesignRender.prototype.render =
function(parentEl, yOff, clsName) {
	this._control=new CalemLabelDesign(this._parent, null, clsName);
	this._control.setText(CalemMsg.getMsg('form_error_row'));
	this._control.reparentHtmlElement(parentEl);
	//Sneak in a render property for checking back.
	this._control._parentRender=this;
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemLabelDesignRender
 *  
 */
function CalemLabelDesignRender(parent, id, lbInfo, controller) {
	if (arguments.length==0) return;
	CalemUiDesignRender.call(this, parent, id, lbInfo, controller);
}

CalemLabelDesignRender.prototype=new CalemUiDesignRender;
CalemLabelDesignRender.prototype.constructor=CalemLabelDesignRender;

CalemLabelDesignRender.prototype.toString = function() { return "CalemLabelDesignRender"; }

CalemLabelDesignRender.prototype.render =
function(parentEl, yOff, clsName) {
	this._control=new CalemLabelDesign(this._parent, null, clsName);
	this._control.setText(this._info.getLabel());
	this._control.reparentHtmlElement(parentEl);
	//Sneak in a render property for checking back.
	this._enableDnd();
	this._control._parentRender=this;
	//Adding mouse down listener.
	if (this._controller.getMouseDownListener) {
		this._control.addListener(DwtEvent.ONMOUSEDOWN, this._controller.getMouseDownListener());
	}
}

CalemLabelDesignRender.prototype.getLabelId =
function() {
	return this._info.getId();
}

CalemLabelDesignRender.prototype.getLabel =
function() {
	return this._info.getLabel();
}



/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTextDesignRender
 *  
 */
function CalemTextDesignRender(parent, id, lbInfo, controller) {
	if (arguments.length==0) return;
	CalemFieldDesignRender.call(this, parent, id, lbInfo, controller);
}

CalemTextDesignRender.prototype=new CalemFieldDesignRender;
CalemTextDesignRender.prototype.constructor=CalemTextDesignRender;

CalemTextDesignRender.prototype.toString = function() { return "CalemTextDesignRender"; }

CalemTextDesignRender.prototype.render =
function(parentEl, yOff, clsName) {
	clsName = clsName || 'CalemTextDesign';
	this._control=new CalemTextDesign({parent: this._parent, type: DwtInputField.STRING, 
	              size: this._tableDd.getTextDisplayLength(this._field),
	              rows: this._tableDd.getTextDisplayRows(this._field),
	              className: clsName});
	var text=this._modelItem.getTableDd().getDesignLabel(this._field);
	this._control.setText(text);
	this._control.reparentHtmlElement(parentEl);
	//Sneak in a render property for checking back.
	this._enableDnd();
	this._control._parentRender=this;
}


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDesignSaveSelectRender
 * This is also a special controller to handle valid selection here.
 *  
 */
function CalemDesignSaveSelectRender(parent, id, info, controller) {
	if (arguments.length==0) return;
	CalemUiRender.call(this, parent, id, info, controller);
	this._modelItem=this._controller.getDataModel().getModelItem();
}

CalemDesignSaveSelectRender.prototype=new CalemUiRender;
CalemDesignSaveSelectRender.prototype.constructor=CalemDesignSaveSelectRender;

CalemDesignSaveSelectRender.prototype.toString = function() { return "CalemDesignSaveSelectRender"; }

/**
 * This render uses native select to fill the info.
 */
CalemDesignSaveSelectRender.prototype.render =
function(parentEl, yOff) {
	//Get valid list of info from controller.
	this._target=this._controller.getDesignTarget();	
	var sel={};
	sel[this._target.getId()]=this._target.getValue();
	//No need for callback for this case.
	this._control = new CalemEditMultiSelect({parent: this._parent, size: this._info.getSize(), 
									items: sel});
	var selected=[this._target.getId()];									
	this._control.setSelected(selected);
	this.onSelectChange(selected);
	this._control.reparentHtmlElement(parentEl);
	//Sneak in a render property for checking back.
	this._control._parentRender=this;
}

CalemDesignSaveSelectRender.prototype.onSelectChange =
function(selected) {
	//issue event listeners
	var evt=new CalemSelectionEvent(true);
	if (selected && selected.length > 0) {
		evt.setType(CalemEvent.MULTI_SELECTION);
		for (var i=0; i< selected.length; i++) evt.add(selected[i]);
	} else {
		evt.setType(CalemEvent.NO_SELECTION);
	}
	this._modelItem.notifyListeners(evt.getType(), evt);
}


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemSearchSaveDesignRender
 *  
 */
function CalemSearchSaveDesignRender(parent, id, lbInfo, controller) {
	if (arguments.length==0) return;
	CalemUiDesignRender.call(this, parent, id, lbInfo, controller);
}

CalemSearchSaveDesignRender.prototype=new CalemUiDesignRender;
CalemSearchSaveDesignRender.prototype.constructor=CalemSearchSaveDesignRender;

CalemSearchSaveDesignRender.prototype.toString = function() { return "CalemSearchSaveDesignRender"; }

CalemSearchSaveDesignRender.prototype.render =
function(parentEl, yOff, clsName) {
	this._control=new CalemFieldDesign(this._parent, null, clsName);
	//Get field label based on data model.
	var text=CalemMsg.getMsg('save_search_field');
	this._control.setText(text);
	this._control.reparentHtmlElement(parentEl);
	//Sneak in a render property for checking back.
	this._enableDnd();
	this._control._parentRender=this;
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTbDesignSeparatorRender
 *  
 */
function CalemTbDesignSeparatorRender(parent, id, lbInfo, controller) {
	if (arguments.length==0) return;
	CalemUiDesignRender.call(this, parent, id, lbInfo, controller);
}

CalemTbDesignSeparatorRender.prototype=new CalemUiDesignRender;
CalemTbDesignSeparatorRender.prototype.constructor=CalemTbDesignSeparatorRender;

CalemTbDesignSeparatorRender.prototype.toString = function() { return "CalemTbDesignSeparatorRender"; }

CalemTbDesignSeparatorRender.prototype.render =
function(parentEl, yOff, clsName) {
	//classname
	var conf=CalemConf['view_engine']['viewRecordDesign'].seperatorBtn;
	this._control=new CalemTbButtonDesign(this._parent, conf.style, conf.className); //Use button for this purpose.
	this._control.setText(CalemMsg.getMsg('separator'));
	this._control.setImage('CalemSeparator');
	//Sneak in a render property for checking back.
	this._enableDnd();
	this._control._parentRender=this;
}

//Drop handling.
CalemTbDesignSeparatorRender.prototype._onDrop =
function(srcControl, targetControl) {
	if (srcControl instanceof CalemDesignTreeButton) {
		this._parent.addButton(srcControl.getInfo());
		srcControl.removeMe();
	} else {
		this._swapControls(srcControl, targetControl);
	}
    return true;
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTbDesignButtonRender
 *  
 */
function CalemTbDesignButtonRender(parent, id, lbInfo, controller) {
	if (arguments.length==0) return;
	CalemUiDesignRender.call(this, parent, id, lbInfo, controller);
}

CalemTbDesignButtonRender.prototype=new CalemUiDesignRender;
CalemTbDesignButtonRender.prototype.constructor=CalemTbDesignButtonRender;

CalemTbDesignButtonRender.prototype.toString = function() { return "CalemTbDesignButtonRender"; }

CalemTbDesignButtonRender.prototype.render =
function(parentEl, yOff, clsName) {	
	var def=this._info.getDef();
	this._control=new CalemTbButtonDesign(this._parent, def.style, def.className);
	this._control.setImage(def.icon);
	this._control.setText(CalemMsg.getMsg(def.title));
	//Drag/drop handling
	this._enableDnd();
	this._control._parentRender=this;
	return this._control;
}

//Drop handling.
CalemTbDesignButtonRender.prototype._onDrop =
function(srcControl, targetControl) {
	if (srcControl instanceof CalemDesignTreeButton) {
		this._parent.addButton(srcControl.getInfo());
		srcControl.removeMe();
	} else {
		//Adding button to the front of target control
		var sourceHtml=srcControl.getHtmlElement();
		var targetHtml=targetControl.getHtmlElement();
		//Swapping TD could avoid changing the association between control and html.	
		//Take each out of the parent node.
		var srcTd=sourceHtml.parentNode;
		var tgtTd=targetHtml.parentNode;
		//Move to front
		srcTd.parentNode.removeChild(srcTd);
		tgtTd.parentNode.insertBefore(srcTd, tgtTd);
	}
 	return true;
}

//No action for the parentRender
CalemTbDesignButtonRender.prototype.removeRender =
function() {
	//No action, since render is not stored anywhere.
}

//replace button and its TD
CalemTbDesignButtonRender.prototype.replaceWithDesignCol =
function(ctrl) {
   var tdEl=ctrl.getHtmlElement().parentNode;
	this.remove(ctrl);
	tdEl.parentNode.removeChild(tdEl);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemToolBarDesignRender
 *  
 */
function CalemToolBarDesignRender(parent, id, tbInfo, controller) {
	if (arguments.length==0) return;
	CalemUiDesignRender.call(this, parent, id, tbInfo, controller);
}

CalemToolBarDesignRender.prototype=new CalemUiDesignRender;
CalemToolBarDesignRender.prototype.constructor=CalemToolBarDesignRender;

CalemToolBarDesignRender.prototype.toString = function() { return "CalemToolBarDesignRender"; }

CalemToolBarDesignRender.prototype.render =
function(parentEl, yOff) {
	this._control=new CalemToolBarDesign(this._parent, {parentEl: parentEl});
	this._customInfo=this._parentRender.getCustomInfo();
	this._control.createToolBar(this._info, this._controller.getListenerFactory(), this._controller, this._dragSrc, this._dropTarget, this._customInfo);
	this._control.zShow(true);
	//Sneak in a render property for checking back.
	this._control._parentRender=this;
}

/**
 * shutdown - to remove all the listeners
 */
CalemToolBarDesignRender.prototype._shutdown =
function() {
	//Nothing to do here.
}  

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemViewDesignRender
 */
function CalemViewDesignRender(parent, id, viewInfo, controller, conf) {
	if (arguments.length==0) return;
	CalemViewRender.call(this, parent, id, viewInfo, controller);
	//Creating drag and drop handlers.
	this._dragSrc = new DwtDragSource(Dwt.DND_DROP_MOVE);
	this._dragSrc.addDragListener(new AjxListener(this, this.onDrag));
	this._dropTarget=new DwtDropTarget(DwtControl); //So in general allow everyone to do so.
	this._dropTarget.addDropListener(new AjxListener(this, this.onDrop));
	//Design specific conf
	this._sashDelay=CalemConf['view_engine']['viewDesign'].sashDelay;
	this._margin=conf.margin;
	this._sashX=this._margin+conf.leftPanelWidth+this._margin;
	this._leftViewId=conf.leftPanelViewId;
	this._rowsNoDnd=conf.rowsNoDnd;

	this._layoutChange=new AjxTimedAction(this, this.onLayoutChange);
}

CalemViewDesignRender.prototype=new CalemViewRender;
CalemViewDesignRender.prototype.constructor=CalemViewDesignRender;

CalemViewDesignRender.prototype.toString = function() { return "CalemViewDesignRender"; }
CalemViewDesignRender.prototype.getClassName = function() { return "CalemViewDesignRender"; }

/**
 * Drag and drop generic handling
 * All the control are handled at the drop place.
 */
CalemViewDesignRender.prototype.onDrag = 
function(ev) {
	/* The drop event has several fields:
	 * operation - Is it a move or a copy
	 * srcControl - The source i.e. an employee
	 * action - Current action. May be one of:
	 *	DwtDragEvent.DRAG_START - Starting drag operation
	 *	DwtDragEvent.SET_DATA - Request to set srcData field of event
	 * 	DwtDragEvent.DRAG_END - Drag operation is ending
	 * srcData - The source data
	 * doIt - We are responsible for setting this to true if we want the op to proceed */   
   if (ev.action==DwtDragEvent.DRAG_START) {
   	/**
   	 * Setting doIt to false is not stopping it. So move it to the drop side.
   	 */
   	/*
   	ev.doIt=true;
		//Decide if allowed.
		var handler= ev.srcControl._parentRender ? ev.srcControl._parentRender : ev.srcControl;
		if (handler && handler._onDragStart) {
			ev.doIt=handler._onDragStart(ev);
		}
		*/
   }
	if (ev.action == DwtDragEvent.SET_DATA) {
		// We have been asked to set the data for the node that is being dragged.
		ev.srcData = ev.srcControl;
	} else if (ev.action == DwtDragEvent.DRAG_END) {
		//Don't do anything here since we have already finised what we set out to do at the drop spot.
	}
}

/**
 * Default drop listener simply swap two controls.
 */
CalemViewDesignRender.prototype.onDrop =
function(ev) {
	/* The drop event has several fields:
	 * operation - Is it a move or a copy
	 * targetControl - The drop target i.e. a department
	 * action - Current action. May be one of:
	 *	DwtDropEvent.DRAG_ENTER - The source is entering the targetControl
	 *	DwtDropEvent.DRAG_LEAVE - The source is leaving the targetControl
	 * 	DwtDropEvent.DRAG_OP_CHANGED - Operation changed (e.g. from move -> copy - not currently supported)
	 *	DwtDropEvent.DRAG_DROP - The actual drop i.e. the mouse button has been released
	 * srcData - The actual source data
	 * doIt - We are responsible for setting this to true if we want the op to proceed */
	if (ev.action == DwtDropEvent.DRAG_ENTER) {
		// Checking source from there since DragStart is not honoring <code>doIt</code>
		var srcControl=ev.srcData;
		var srcHdlr= srcControl._parentRender ? srcControl._parentRender : srcControl;
		if (srcHdlr && srcHdlr._onDragStart) {
			if (!srcHdlr._onDragStart(ev)) {
				ev.doIt=false;
				return;
			}
		}
		// Flow to check drag enter.
		ev.doIt=false;
		//Decide if allowed.
		var handler= ev.targetControl._parentRender ? ev.targetControl._parentRender : ev.targetControl;
		if (handler && handler._onDragEnter) {
			ev.doIt=handler._onDragEnter(ev.srcData, ev.targetControl);
			if (ev.doIt) this._allowDrag(ev.targetControl);
		}
	} else	if (ev.action == DwtDropEvent.DRAG_LEAVE) {
		this._restoreClassName(ev.targetControl);		
	} else	if (ev.action == DwtDropEvent.DRAG_DROP) {
		var handler= ev.targetControl._parentRender ? ev.targetControl._parentRender : ev.targetControl;
		if (handler && handler._onDrop) {
			ev.doIt=handler._onDrop(ev.srcData, ev.targetControl);
		}		
	}
}

CalemViewDesignRender.prototype._allowDrag =
function(ctrl) {	
	if (ctrl._origClassName) {
		ctrl._origClassName=ctrl.className;
	}
	ctrl.className=CalemConf['view_engine'].dndAllowedCss;
}

CalemViewDesignRender.prototype._restoreClassName =
function(ctrl) {
	if (ctrl._origClassName) {
		ctrl.className=ctrl._origClassName;
	}
}

CalemViewDesignRender.prototype._renderView =
function(parentEl, layout) {
	return CalemViewRender.prototype._renderView.call(this, parentEl, layout, this._controller.getCustomInfo());
}

/**
 * Form design render
 * It creates a left panel with a tree view of all available 
 * fields, labels and buttons, the right panel is the view layout.
 *  
 */
CalemViewDesignRender.prototype.render =
function(parentEl, layout) {
	this._parentEl=parentEl;
	if (CalemDebug.isDebug()) {
		var dtStart=new Date();
	}
	//Creating left panel, sash and right panel
	this._leftPanel=new DwtComposite(this._parent, this._getLeftPanelClass(), Dwt.ABSOLUTE_STYLE);
	this._leftPanel.setScrollStyle(DwtControl.CLIP); //Left panel can be minimized.
	this._sash = new DwtSash(this._parent, DwtSash.HORIZONTAL_STYLE, "AppSash-horiz", 5);
	this._sash.registerCallback(this.onSashCallback, this); 
	this._rightPanel=new DwtComposite(this._parent, this._getRightPanelClass(), Dwt.ABSOLUTE_STYLE);
	this._rightPanel.setScrollStyle(DwtControl.SCROLL); //Right panel must scroll.
	//Initialize the size now.
	this._setSizes();
	//Now do layout using existing mechanism.
	var leftViewInfo=CalemJson.setJson(CalemViewDef[this._leftViewId]);
	this._leftRender=new CalemViewRender(this._leftPanel, this._leftViewId, leftViewInfo, this._controller);
	//Drag/drop setup
	this._leftRender.setDragSource(this._dragSrc);
	this._leftRender.setDropTarget(this._dropTarget);
	//render it.
	var leftHeight=this._leftRender._renderView(this._leftPanel.getHtmlElement(), leftViewInfo.getLayout(), 
                                                CalemCustomViewManager.getInstance()._getEmptyCustomInfo(this._leftViewId));
	//Render right side the way it is.
	this._parent=this._rightPanel; //Overwrite this._parent since the right panel is the real one and the parent's role is finished.
	var rightHeight=this._renderView(this._rightPanel.getHtmlElement(), layout);
	//Show some debug info
	this._height=leftHeight; //Left height is going to be full height.
	if (CalemDebug.isDebug()) {
		var dtFinish=new Date();
		CalemDebug.debug("<font style='color:purple;'>ViewRender completed: "+this._id+", height="+this._height+", rendering time="+(dtFinish-dtStart)+"</font>");
	}
	return this._height;
} 

/**
 * ClassNames
 */
CalemViewDesignRender.prototype._getLeftPanelClass =
function() {
	return 'CalemViewDesignLeft';
} 

CalemViewDesignRender.prototype._getRightPanelClass =
function() {
	return 'CalemViewDesignRight';
}

CalemViewDesignRender.prototype._setSizes =
function() {
	this._sz=Dwt.getSize(this._parentEl);	
	this._sash.setBounds(this._sashX, 0, Dwt.DEFAULT, this._sz.y);
	this._leftPanel.setBounds(this._margin, 0, this._sashX-2*this._margin, this._sz.y);
	var sashSz=this._sash.getSize();
	var rightX=this._sashX+sashSz.x+this._margin;
	this._rightPanel.setBounds(rightX, 0, this._sz.x-rightX, this._sz.y);
}

/**
 * Sash callback
 */
CalemViewDesignRender.prototype.onSashCallback =
function(delta) {
	var absDelta = Math.abs(delta);
	var viewBds = Dwt.getBounds(this._parentEl);
	var leftSz=this._leftPanel.getSize();
	// make sure we aren't moving too far
	if ((delta < 0 && (absDelta >= leftSz.x)) || (delta > 0 && (absDelta >= viewBds.width)))
		return 0;
	this._sashX += delta;
	//Used timed action
	AjxTimedAction.scheduleAction(this._layoutChange, this._sashDelay);
	return delta;
} 

/**
 * Layout change handling
 */
CalemViewDesignRender.prototype.onLayoutChange =
function() {
	this._setSizes();
	this._leftRender.onLayoutChange();
	//Right render is super class
	CalemViewRender.prototype.onLayoutChange.call(this);
}

/** 
 * Check for special rows
 */
CalemViewDesignRender.prototype._canRowMove =
function(cols) {
	for (var i=0; i< cols.length; i++) {
		if (this._rowsNoDnd[cols[i]]) return false;
	}
	return true;
}

/**
 * Get customized view info for saving
 * - acl info from leftPanel
 * - layout from right panel
 */
CalemViewDesignRender.prototype.getCustomizedView =
function() {
	var aclInfo=this._leftRender.getAclInfo();
	var viewInfo=this._getCustomizedViewInfo();
	var custom=new CalemViewCustomInfo(this._info.getId(), aclInfo, viewInfo);
	return custom;
}

/**
 * Start a walk through the dom to generate layout.
 */
CalemViewDesignRender.prototype._getCustomizedViewInfo =
function() {
	var el=this._rightPanel.getHtmlElement();
	while (el.tagName!='TBODY') {
		el=el.firstChild;
	}
	//Now go through each row and generate a layout.
	var layout=new CalemViewLayoutInfo();
	var rows=[];
	var nodes=el.childNodes;
	var trNode;
	for (var i=0; i < nodes.length; i++) {
		trNode=nodes[i];
		this._addOneRow(trNode, rows, layout);
	}
	layout._viewLayout=rows;
	return layout;
} 

CalemViewDesignRender.prototype._addOneRow =
function(trNode, rows, layout) {
	var tds=trNode.childNodes;
	var cells=[];
	var hasObj=false;
	for (var i=this._getStartCol(); i< tds.length; i++) {//skip row cell.
		var td=tds[i];
		var obj=Dwt.getObjectFromElement(td.firstChild);
		if (obj instanceof CalemColDesign) {
			cells.push('CalemColDesign');
		} else {//It should a render.
			cells.push(obj._parentRender.getId());
			hasObj=true;
			this._handleObjectLayout(obj, layout);
		}
	}
	if (hasObj) {
		var trInfo=new CalemTrInfo();
		trInfo._cols=cells;
		trInfo._height=CalemViewUtil.H_AUTO;
		rows.push(trInfo);
	}
}

/**
 * Providing subclass a way to handle it.
 */
CalemViewDesignRender.prototype._handleObjectLayout =
function(obj, layout) {
	if (obj instanceof CalemToolBarDesign) {
		layout._tbLayout=obj.getTbLayout();
	}
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemRecordDesignRowRender
 *  
 */
function CalemRecordDesignRowRender(parent, id, lbInfo, controller) {
	if (arguments.length==0) return;
	CalemUiDesignRender.call(this, parent, id, lbInfo, controller);
}

CalemRecordDesignRowRender.prototype=new CalemUiDesignRender;
CalemRecordDesignRowRender.prototype.constructor=CalemRecordDesignRowRender;

CalemRecordDesignRowRender.prototype.toString = function() { return "CalemRecordDesignRowRender"; }

CalemRecordDesignRowRender.prototype.render =
function(parentEl, yOff, clsName, canMove) {
	this._el= parentEl;
	this._control=new CalemRowDesign(this._parent, null, clsName);
	this._control.setText(CalemMsg.getMsg('row'));
	this._control.setImage('CalemRow');
	this._control.reparentHtmlElement(this._el);
	//Sneak in a render property for checking back.
	this._control.setDropTarget(this._dropTarget);
	if (canMove) {
		this._control.setDragSource(this._dragSrc);
	}
	this._control._parentRender=this;
}

//Drop handling.
CalemRecordDesignRowRender.prototype._onDrop =
function(srcControl, targetControl) {
	var tgtRow=this._el.parentNode; //tr, this._el is td
	if (srcControl instanceof CalemDesignTreeRow) {
		this._parentRender._renderDesignRow(tgtRow.parentNode, tgtRow.rowIndex); //create rows.
	} else {
		//Swap rows.
		var srcRow=srcControl.getHtmlElement().parentNode.parentNode;
		CalemViewUtil.swapNodes(srcRow, srcRow.rowIndex, tgtRow, tgtRow.rowIndex);
	}
	return true;
}

//No action for the parentRender
CalemRecordDesignRowRender.prototype.removeRender =
function() {
	//No action, since render is not stored anywhere.
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemRecordDesignColRender
 *  
 */
function CalemRecordDesignColRender(parent, id, lbInfo, controller) {
	if (arguments.length==0) return;
	CalemUiDesignRender.call(this, parent, id, lbInfo, controller);
}

CalemRecordDesignColRender.prototype=new CalemUiDesignRender;
CalemRecordDesignColRender.prototype.constructor=CalemRecordDesignColRender;

CalemRecordDesignColRender.prototype.toString = function() { return "CalemRecordDesignColRender"; }

CalemRecordDesignColRender.prototype.render =
function(parentEl, yOff, clsName) {
	this._control=new CalemColDesign(this._parent, null, clsName);
	this._control.setText(CalemMsg.getMsg('col'));
	this._control.reparentHtmlElement(parentEl);
	//Sneak in a render property for checking back.
	this._control.setDropTarget(this._dropTarget);
	this._control._parentRender=this;
}

//No action for the parentRender
CalemRecordDesignColRender.prototype.removeRender =
function() {
	//No action, since render is not stored anywhere.
}

//Drop handling.
CalemRecordDesignColRender.prototype._onDrop =
function(srcControl, targetControl) {
	if (srcControl instanceof CalemDesignTreeItem) {
        var parentEl=this._control.getHtmlElement().parentNode;
		this._control.dispose(); //Remove current control.
		srcControl.removeMe(); //Remove source control.
		this._parentRender._renderOneItem(parentEl, null, srcControl.getId()); //Render in view panel.
	} else {
		this._swapControls(srcControl, targetControl);
	}
	return true;
}


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemRecordDesignTreeRender
 *  
 */
function CalemRecordDesignTreeRender(parent, id, info, controller) {
	if (arguments.length==0) return;
	CalemUiDesignRender.call(this, parent, id, info, controller);
	this._margin=CalemConf['view_engine']['viewRecordDesign'].treeMargin;
}

CalemRecordDesignTreeRender.prototype=new CalemUiDesignRender;
CalemRecordDesignTreeRender.prototype.constructor=CalemRecordDesignTreeRender;

CalemRecordDesignTreeRender.prototype.toString = function() { return "CalemRecordDesignTreeRender"; }

CalemRecordDesignTreeRender.prototype.render =
function(parentEl, yOff, clsName) {
	this._yOff=yOff;
	this._control= this._createControl(clsName);
	this._control.reparentHtmlElement(parentEl);
	this._control.setScrollStyle(DwtControl.SCROLL); //Left panel can be minimized.
	this._fitBounds(yOff, parentEl);
	//Sneak in a render property for checking back.
	this._control._parentRender=this;
	//Tree initialization
	this._control.initTree(this._info, this._controller, this._dragSrc, this._dropTarget);
}

CalemRecordDesignTreeRender.prototype._createControl =
function(clsName) {
	return new CalemRecordDesignTree(this._parent, null, clsName);
}

CalemRecordDesignTreeRender.prototype._fitBounds =
function(yOff, resize) {
	//Let's figure out the bounds for the tree.
	var pBz=this._parent.getBounds(); //Use pBz so we can also do resizing.
	var width= pBz.width - this._margin.x*2 - this._getExtraMargin();
	var height=pBz.height - yOff - this._margin.y*2;
	//Use parent's width to get around the inconsistency of FF and IE.
	//Also leave room for scroll bar of browser.
	var tbz={x: this._margin.x, y: yOff+this._margin.y, width: width, height: height};
	this._control.setBounds(tbz.x, tbz.y, tbz.width, tbz.height);
	if (CalemDebug.isDebug()) {
		CalemDebug.debug("CalemRecordTreeDesignRender - parentEl " + CalemDebug.getBzText(pBz)+", new tree "+CalemDebug.getBzText(tbz));
	}
}

CalemRecordDesignTreeRender.prototype._getExtraMargin =
function() {
	return 0;
}

CalemRecordDesignTreeRender.prototype.onLayoutChange =
function() {
	this._fitBounds(this._yOff, true);
}

/**
 * Get acl info
 */
CalemRecordDesignTreeRender.prototype.getAclInfo =
function() {
	return this._control.getAclInfo();
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemViewRecordDesignRender
 */
function CalemViewRecordDesignRender(parent, id, viewInfo, controller) {
	if (arguments.length==0) return;
	var conf=CalemConf['view_engine']['viewRecordDesign'];
	CalemViewDesignRender.call(this, parent, id, viewInfo, controller, conf);
}

CalemViewRecordDesignRender.prototype=new CalemViewDesignRender;
CalemViewRecordDesignRender.prototype.constructor=CalemViewRecordDesignRender;

CalemViewRecordDesignRender.prototype.toString = function() { return "CalemViewRecordDesignRender"; }
CalemViewRecordDesignRender.prototype.getClassName = function() { return "CalemViewRecordDesignRender"; }

/**
 * Creating a grip on a row so it can used to move a row around.
 * @return canRowMove
 */
CalemViewRecordDesignRender.prototype._onRowCreated =
function(rowEl, cols) {
	var canMove=this._canRowMove(cols);
	var cellEl=rowEl.insertCell(-1);
	this._renderRowDesign(cellEl, canMove);
	return canMove;
}

/**
 * Row cell is rendered so always starts with 1.
 */
CalemViewRecordDesignRender.prototype._getStartCol =
function() {
	return 1;
}

CalemViewRecordDesignRender.prototype._renderCol =
function(rowEl) {
	var cellEl=rowEl.insertCell(-1);
	this._renderColDesign(cellEl);
}

CalemViewRecordDesignRender.prototype._getColSpan =
function(colSpan, canMove) {
	return canMove ? null : colSpan; //Force each cell to render.
}

CalemViewRecordDesignRender.prototype._renderForCalemColDesign =
function(rowEl) {
	this._renderCol(rowEl);
}

CalemViewRecordDesignRender.prototype.onFieldLabelChanged =
function(fld) {
	if (this._renders[fld]) this._renders[fld].onFieldLabelChanged();
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemGridDesignRender
 *  
 */
function CalemGridDesignRender(parent, id, gridInfo, controller) {
	if (arguments.length==0) return;
	CalemUiDesignRender.call(this, parent, id, gridInfo, controller);
	this._modelItem=controller.getModelItem();
}

CalemGridDesignRender.prototype=new CalemUiDesignRender;
CalemGridDesignRender.prototype.constructor=CalemGridDesignRender;

CalemGridDesignRender.prototype.toString = function() { return "CalemGridDesignRender"; }

CalemGridDesignRender.prototype.render =
function(parentEl, yOff) {
	this._yOff=yOff;
	var gridInfo=this._controller.getGridCustomInfo();
	this._grid =new CalemDataGrid(this._parent, this._id, this._modelItem.getTableDd(), gridInfo, this._controller);
	parentEl.appendChild(this._grid.getHtmlElement());
	var newOff=this._fitBounds(yOff);
	//for data collection
	this._grid.setParentRender(this);
	//Show empty data
	this._showDesignData();
	//Get the new offset out.
	return newOff;
}

CalemGridDesignRender.prototype._fitBounds =
function(yOff, resize) {
	//Use a workaround to account for borders, etc.
	var vConf=CalemConf['view_engine']['grid'];
	//Let's figure out the real bounds for the grid now.
	var pBz=this._parent.getBounds(); //Use pBz so we can also do resizing.
   var sbWidth=CalemConf["widget_scrollbar"]['browserRightMargin'];
	var width= pBz.width - sbWidth - vConf['xMargin'];
	var height=CalemConf['view_engine']['viewListDesign']['grid'].height; //This is a fixed height.
	var sz=CalemViewUtil.validateGridSize(width, height);
	//Use parent's width to get around the inconsistency of FF and IE.
	//Also leave room for scroll bar of browser.
	var gbz={x: 0, y: yOff, width: sz.width, height: sz.height};
	this._grid.onLayoutChange(gbz);
	if (CalemDebug.isDebug()) {
		CalemDebug.debug("CalemGridDesignRender - parentEl " + CalemDebug.getBzText(pBz)+", new grid "+CalemDebug.getBzText(gbz));
	}
	return (yOff + sz.height);
}

CalemGridDesignRender.prototype._showDesignData =
function() {
	this._grid.showDataForDesign();
}

/**
 * Shutdown
 * remove grid data change listener.
 */
CalemGridDesignRender.prototype._shutdown =
function(parentEl, yOff) {
	//Tell grid to shutdown as well
	this._grid._shutdown();
} 

/**
 * Handle field changes from the tree
 */
CalemGridDesignRender.prototype.onFieldChange =
function(nodeChange) {
	this._grid.onFieldChange(nodeChange);
} 

CalemGridDesignRender.prototype.canRemoveField =
function(nodeChange) {
	return this._grid.canRemoveField();
}

CalemGridDesignRender.prototype.getGridLayout =
function(nodeChange) {
	return this._grid.getGridLayout();
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemGridTreeDesignRender
 *  
 */
function CalemGridTreeDesignRender(parent, id, info, controller) {
	if (arguments.length==0) return;
	CalemRecordDesignTreeRender.call(this, parent, id, info, controller);
}

CalemGridTreeDesignRender.prototype=new CalemRecordDesignTreeRender;
CalemGridTreeDesignRender.prototype.constructor=CalemGridTreeDesignRender;

CalemGridTreeDesignRender.prototype.toString = function() { return "CalemGridTreeDesignRender"; }

CalemGridTreeDesignRender.prototype._createControl =
function(clsName) {
	return new CalemGridLayoutTree(this._parent, null, clsName);
}

CalemGridTreeDesignRender.prototype._getExtraMargin =
function() {
	return CalemConf["widget_scrollbar"]['browserRightMargin'];
}

/**
 * Set change callback
 */
CalemGridTreeDesignRender.prototype.setTreeChangeCallback =
function(callback) {
	this._control.setTreeChangeCallback(callback);
} 

CalemGridTreeDesignRender.prototype.setCanDragCallback =
function(callback) {
	this._control.setCanDragCallback(callback);
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemListDesignTreeRender
 *  
 */
function CalemListDesignTreeRender(parent, id, info, controller) {
	if (arguments.length==0) return;
	CalemRecordDesignTreeRender.call(this, parent, id, info, controller);
}

CalemListDesignTreeRender.prototype=new CalemRecordDesignTreeRender;
CalemListDesignTreeRender.prototype.constructor=CalemListDesignTreeRender;

CalemListDesignTreeRender.prototype.toString = function() { return "CalemListDesignTreeRender"; }

CalemListDesignTreeRender.prototype._createControl =
function(clsName) {
	return new CalemListDesignTree(this._parent, null, clsName);
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemViewListDesignRender
 */
function CalemViewListDesignRender(parent, id, viewInfo, controller) {
	if (arguments.length==0) return;
	var conf=CalemConf['view_engine']['viewListDesign'];
	CalemViewDesignRender.call(this, parent, id, viewInfo, controller, conf);
}

CalemViewListDesignRender.prototype=new CalemViewDesignRender;
CalemViewListDesignRender.prototype.constructor=CalemViewListDesignRender;

CalemViewListDesignRender.prototype.toString = function() { return "CalemViewListDesignRender"; }
CalemViewListDesignRender.prototype.getClassName = function() { return "CalemViewListDesignRender"; }

/**
 * Row cell is not rendered so starts with 1.
 */
CalemViewListDesignRender.prototype._getStartCol =
function() {
	return 0;
}

/**
 * Handle grid case.
 */
CalemViewListDesignRender.prototype._handleObjectLayout =
function(obj, layout) {
	if (obj instanceof CalemListView) {
		layout._gridLayout=obj._parentRender.getGridLayout();
	} else {
		CalemViewDesignRender.prototype._handleObjectLayout.call(this, obj, layout);
	}
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemMdTabDesignTreeRender
 *  
 */
function CalemMdTabDesignTreeRender(parent, id, info, controller) {
	if (arguments.length==0) return;
	CalemRecordDesignTreeRender.call(this, parent, id, info, controller);
}

CalemMdTabDesignTreeRender.prototype=new CalemRecordDesignTreeRender;
CalemMdTabDesignTreeRender.prototype.constructor=CalemMdTabDesignTreeRender;

CalemMdTabDesignTreeRender.prototype.toString = function() { return "CalemMdTabDesignTreeRender"; }

CalemMdTabDesignTreeRender.prototype._createControl =
function(clsName) {
	return new CalemMdTabDesignTree(this._parent, null, clsName);
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemMdTabLayoutTreeRender
 */
function CalemMdTabLayoutTreeRender(parent, id, info, controller) {
	if (arguments.length==0) return;
	CalemRecordDesignTreeRender.call(this, parent, id, info, controller);
}

CalemMdTabLayoutTreeRender.prototype=new CalemRecordDesignTreeRender;
CalemMdTabLayoutTreeRender.prototype.constructor=CalemMdTabLayoutTreeRender;

CalemMdTabLayoutTreeRender.prototype.toString = function() { return "CalemMdTabLayoutTreeRender"; }

CalemMdTabLayoutTreeRender.prototype._createControl =
function(clsName) {
	return new CalemMdTabLayoutTree(this._parent, null, clsName);
}

CalemMdTabLayoutTreeRender.prototype.getFormLayoutInfo =
function() {
	return this._control.getFormLayoutInfo();
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemViewMdTabDesignRender
 */
function CalemViewMdTabDesignRender(parent, id, fmInfo, controller) {
	if (arguments.length==0) return;
	this._conf=CalemConf['view_engine']['viewMdTabDesign'];
	CalemViewDesignRender.call(this, parent, id, fmInfo, controller, this._conf);
}

CalemViewMdTabDesignRender.prototype=new CalemViewDesignRender;
CalemViewMdTabDesignRender.prototype.constructor=CalemViewMdTabDesignRender;

CalemViewMdTabDesignRender.prototype.toString = function() { return "CalemViewMdTabDesignRender"; }
CalemViewMdTabDesignRender.prototype.getClassName = function() { return "CalemViewMdTabDesignRender"; }


//give sub class a chance to handle it.
CalemViewMdTabDesignRender.prototype._setTableDd =
function() {
	//ignore it.
}

/**
 * Render the design with a tree view
 */
CalemViewMdTabDesignRender.prototype._renderView =
function(parentEl, layout) {
	var render=new CalemMdTabLayoutTreeRender(this._parent, this._id, this._info, this._controller);
	render.initDnd(this._dragSrc, this._dropTarget); //Drag drop
	render._parentRender=this;
	render.render(parentEl, 0);
	this._add(this._id, render); //so onlayout change can be handled.
}

/**
 * Get customized info for saving
 * - acl info from leftPanel
 * - layout from right panel
 */
CalemViewMdTabDesignRender.prototype.getCustomizedView =
function() {
	var aclInfo=this._leftRender.getAclInfo();
	var formInfo=this._renders[this._id].getFormLayoutInfo();
	var custom=new CalemFormCustomInfo(this._info.getId(), aclInfo, formInfo);
	return custom;
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemPeerTabDesignTreeRender
 *  
 */
function CalemPeerTabDesignTreeRender(parent, id, info, controller) {
	if (arguments.length==0) return;
	CalemRecordDesignTreeRender.call(this, parent, id, info, controller);
}

CalemPeerTabDesignTreeRender.prototype=new CalemRecordDesignTreeRender;
CalemPeerTabDesignTreeRender.prototype.constructor=CalemPeerTabDesignTreeRender;

CalemPeerTabDesignTreeRender.prototype.toString = function() { return "CalemPeerTabDesignTreeRender"; }

CalemPeerTabDesignTreeRender.prototype._createControl =
function(clsName) {
	return new CalemPeerTabDesignTree(this._parent, null, clsName);
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemPeerTabLayoutTreeRender
 */
function CalemPeerTabLayoutTreeRender(parent, id, info, controller) {
	if (arguments.length==0) return;
	CalemRecordDesignTreeRender.call(this, parent, id, info, controller);
}

CalemPeerTabLayoutTreeRender.prototype=new CalemRecordDesignTreeRender;
CalemPeerTabLayoutTreeRender.prototype.constructor=CalemPeerTabLayoutTreeRender;

CalemPeerTabLayoutTreeRender.prototype.toString = function() { return "CalemPeerTabLayoutTreeRender"; }

CalemPeerTabLayoutTreeRender.prototype._createControl =
function(clsName) {
	return new CalemPeerTabLayoutTree(this._parent, null, clsName);
}

CalemPeerTabLayoutTreeRender.prototype.getFormLayoutInfo =
function() {
	return this._control.getFormLayoutInfo();
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

/**
 * CalemViewPeerTabDesignRender
 */
function CalemViewPeerTabDesignRender(parent, id, fmInfo, controller) {
	if (arguments.length==0) return;
	this._conf=CalemConf['view_engine']['viewPeerTabDesign'];
	CalemViewDesignRender.call(this, parent, id, fmInfo, controller, this._conf);
}

CalemViewPeerTabDesignRender.prototype=new CalemViewDesignRender;
CalemViewPeerTabDesignRender.prototype.constructor=CalemViewPeerTabDesignRender;

CalemViewPeerTabDesignRender.prototype.toString = function() { return "CalemViewPeerTabDesignRender"; }
CalemViewPeerTabDesignRender.prototype.getClassName = function() { return "CalemViewPeerTabDesignRender"; }


//give sub class a chance to handle it.
CalemViewPeerTabDesignRender.prototype._setTableDd =
function() {
	//ignore it.
}

/**
 * Render the design with a tree view
 */
CalemViewPeerTabDesignRender.prototype._renderView =
function(parentEl, layout) {
	var render=new CalemPeerTabLayoutTreeRender(this._parent, this._id, this._info, this._controller);
	render.initDnd(this._dragSrc, this._dropTarget); //Drag drop
	render._parentRender=this;
	render.render(parentEl, 0);
	this._add(this._id, render); //so onlayout change can be handled.
}

/**
 * Get customized info for saving
 * - acl info from leftPanel
 * - layout from right panel
 */
CalemViewPeerTabDesignRender.prototype.getCustomizedView =
function() {
	var aclInfo=this._leftRender.getAclInfo();
	var formInfo=this._renders[this._id].getFormLayoutInfo();
	var custom=new CalemFormCustomInfo(this._info.getId(), aclInfo, formInfo);
	return custom;
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemSearchSelectRender  
 */
function CalemSearchSelectRender(parent, id, info, controller) {
	if (arguments.length==0) return;
	CalemUiRender.call(this, parent, id, info, controller);
}

CalemSearchSelectRender.prototype=new CalemUiRender;
CalemSearchSelectRender.prototype.constructor=CalemSearchSelectRender;

CalemSearchSelectRender.prototype.toString = function() { return "CalemSearchSelectRender"; }

CalemSearchSelectRender.prototype.render =
function(parentEl, yOff) {
	//overwrite.
}

CalemSearchSelectRender.prototype._render =
function(parentEl, yOff, type) {
	this._el=parentEl;
	this._table=this._controller.getModelItem().getTableDd().getTableName();
	this._control = new CalemSearchSelect(this._parent, this._table, type, this._controller);
	this._control.reparentHtmlElement(this._el);
}

//Resume view assuming a change is made.
CalemSearchSelectRender.prototype.resumeView = 
function() {
	this._control.resumeView();
}

//Default implementation for all the read renders.
CalemSearchSelectRender.prototype._refreshField =
function() {
	this.resumeView();
}

//Default implementation for all the read renders.
CalemSearchSelectRender.prototype.setFocus =
function() {
	this._control.setFocus();
}


/**
 * CalemMySearchSelectRender  
 */
function CalemMySearchSelectRender(parent, id, info, controller) {
	if (arguments.length==0) return;
	CalemSearchSelectRender.call(this, parent, id, info, controller);
}

CalemMySearchSelectRender.prototype=new CalemSearchSelectRender;
CalemMySearchSelectRender.prototype.constructor=CalemMySearchSelectRender;

CalemMySearchSelectRender.prototype.toString = function() { return "CalemMySearchSelectRender"; }

CalemMySearchSelectRender.prototype.render =
function(parentEl, yOff) {
	CalemSearchSelectRender.prototype._render.call(this, parentEl, yOff, CalemConst.MY_SEARCH);
}

/**
 * CalemSharedSearchSelectRender  
 */
function CalemSharedSearchSelectRender(parent, id, info, controller) {
	if (arguments.length==0) return;
	CalemSearchSelectRender.call(this, parent, id, info, controller);
}

CalemSharedSearchSelectRender.prototype=new CalemSearchSelectRender;
CalemSharedSearchSelectRender.prototype.constructor=CalemSharedSearchSelectRender;

CalemSharedSearchSelectRender.prototype.toString = function() { return "CalemSharedSearchSelectRender"; }

CalemSharedSearchSelectRender.prototype.render =
function(parentEl, yOff) {
	CalemSearchSelectRender.prototype._render.call(this, parentEl, yOff, CalemConst.SHARED_SEARCH);
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemSearchSaveRender  
 */
function CalemSearchSaveRender(parent, id, info, controller) {
	if (arguments.length==0) return;
	CalemUiRender.call(this, parent, id, info, controller);
	this._vcCallback=new AjxCallback(this, this.onValidationCallback);
	this._parentVcCallback=this._controller.getValidationCallback();
}

CalemSearchSaveRender.eventMap = [CalemEvent.SEARCH_NAME_NOT_VALID];

CalemSearchSaveRender.prototype=new CalemUiRender;
CalemSearchSaveRender.prototype.constructor=CalemSearchSaveRender;

CalemSearchSaveRender.prototype.toString = function() { return "CalemSearchSaveRender"; }

CalemSearchSaveRender.prototype.render =
function(parentEl, yOff) {
	this._el=parentEl;
	var search=this._controller.getSearch();
	this._control = new CalemSearchSave(this._parent, search);
	this._control.reparentHtmlElement(this._el);
	//set up to report the event.
	this._controller.setSearchSave(this);
	this._controller.getModelItem().publishEvents(CalemSearchSaveRender.eventMap, this);
	//Also prompt form to check for validation
	this._control.setValidationCallback(this._vcCallback);
	this._control.setFieldInfo({fld: this.getId()}); //use its id as the field. (starts with _ as none-table control)
}

//Default implementation for all the read renders.
CalemSearchSaveRender.prototype.isValid =
function() {
	var val=this._control.getSaveValue();
	if (!val._name) {
		var evt=new CalemSearchEditEvent(CalemEvent.SEARCH_NAME_NOT_VALID);
		this.notifyListeners(CalemEvent.SEARCH_NAME_NOT_VALID, evt);
		val=null;	
	}
	return val;
}

//Default implementation for all the read renders.
CalemSearchSaveRender.prototype.getSaveValue =
function() {
	return this._control.getSaveValue();
}

//Validation callback
CalemSearchSaveRender.prototype.onValidationCallback =
function(field, valid, value) {
	if (this.isValid()) { //Parent validation can see if all is valid.
		this._parentVcCallback.run(field, valid, value);
	}
}

/**
 * shutdown
 */
CalemSearchSaveRender.prototype._shutdown =
function() {
	this._controller.getModelItem().unpublishEvents(CalemSearchSaveRender.eventMap, this);	
} 

//resumeView
CalemSearchSaveRender.prototype.resumeView =
function() {
	this._control.setupSearch(this._controller.getSearch());
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemSearchFieldRenderFacade
 * This facade plays the role of a factory at creation and facade after 
 * a specific render is created. 
 *  
 */
function CalemSearchFieldRenderFacade(parent, id, fldInfo, controller) {
	if (arguments.length==0) return;
	CalemFieldRender.call(this, parent, id, fldInfo, controller);
}

CalemSearchFieldRenderFacade.prototype=new CalemFieldRender;
CalemSearchFieldRenderFacade.prototype.constructor=CalemSearchFieldRenderFacade;

CalemSearchFieldRenderFacade.prototype.toString = function() { return "CalemSearchFieldRenderFacade"; }

/**
 * CalemSearchFieldRenderFacade interfaces
 */
CalemSearchFieldRenderFacade.prototype.render =
function(parentEl, yOff) {
	this._renderField(parentEl, yOff);
	this._render.setupValidation();
}

//Focus
CalemSearchFieldRenderFacade.prototype.setFocus =
function() {
	this._render.setFocus();
}

//VerifyInput
CalemSearchFieldRenderFacade.prototype.verifyInput =
function(fld, isValid) {
    if (this._field==fld) return isValid;
	return this._render.verifyInput(fld);
} 

//fieldValue - rawValue
CalemSearchFieldRenderFacade.prototype.getFieldValue =
function() {
	return this._render.getFieldValue();
} 

//Server value such as date in string format.
CalemSearchFieldRenderFacade.prototype.getEditFieldServerValue =
function() {
	return this._render.getEditFieldServerValue();
} 

//set field error
CalemSearchFieldRenderFacade.prototype.setFieldError =
function(errMsg) {
	this._render.setFieldError(errMsg);
} 

//Shutdown
CalemSearchFieldRenderFacade.prototype._shutdown =
function() {
	this._render._shutdown();
} 

CalemSearchFieldRenderFacade.prototype.getFieldChanged =
function() {
	return this._render.getFieldChanged();
} 

//Resume view assuming a change is made.
CalemSearchFieldRenderFacade.prototype.resumeView = 
function() {
	this._render.resumeView();
}

/**
 * Get field search
 */
CalemSearchFieldRenderFacade.prototype.getFieldSearch =
function(id) {
	return this._render.getFieldSearch();
} /*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemSearchFieldRender
 * This is the real render class for each control.
 *  
 */
function CalemSearchFieldRender(parent, id, fldInfo, controller) {
	if (arguments.length==0) return;
	CalemFieldRender.call(this, parent, id, fldInfo, controller);
	this._ops=controller.getSearchOps();
}

CalemSearchFieldRender.prototype=new CalemFieldRender;
CalemSearchFieldRender.prototype.constructor=CalemSearchFieldRender;

CalemSearchFieldRender.prototype.toString = function() { return "CalemSearchFieldRender"; }

/**
 * Get original search value
 */
CalemSearchFieldRender.prototype._getFieldSearch =
function() {
	var tableSearch = this._controller.getTableSearch();
	return tableSearch ? tableSearch.getField(this._field) : null;
}

CalemSearchFieldRender.prototype._getSearchValue =
function() {
	var fs=this._getFieldSearch();
	var val=fs ? fs.getValue() : null;
	if (val) val=val.getValue();
	return val;
}

/**
 * CalemSearchFieldRender - generic field search render.
 */
CalemSearchFieldRender.prototype.render =
function(parentEl, yOff) {
	this._divEl=document.createElement('div');
	parentEl.appendChild(this._divEl);
	var opId=Dwt.getNextId();
	var fldId=Dwt.getNextId();
	this._divEl.innerHTML=["<table cellspacing='0' cellpadding='0' class=CalemSearchFieldTable><tr>",
			"<td id=", opId, " class=CalemSearchFieldOpTd></td>",
			"<td id=", fldId, " class=CalemSearchFieldTd></td>",
			"</tr></table>"].join('');
	var opEl=document.getElementById(opId);
	var fldEl=document.getElementById(fldId);
	this._createOpControl(opEl);
	this._createControl(fldEl);
	this._otherInit();           
}

/**
 * Search op is shared by all controls
 */
CalemSearchFieldRender.prototype._createOpControl =
function(parentEl) {
	var ops=this._getFieldOps();
	var defaultOp= this._fieldSearch ? this._fieldSearch.getOp() : ops[0];
	this._opControl= new DwtSelect(this._parent, ops);
	this._opControl.setSelectedValue(defaultOp);
	this._opControl.reparentHtmlElement(parentEl);
	//Add a change listener
	this._addOpChangeListener();
}

CalemSearchFieldRender.prototype._addOpChangeListener =
function() {
	this._opControl.addChangeListener(new AjxListener(this, this.onOpChangeField));
}

CalemSearchFieldRender.prototype.onOpChangeField =
function() {//To initiate a validation process.
	this._controller.getValidationCallback().run(CalemConst._DUMMY_FLD, true, null);
}

CalemSearchFieldRender.prototype._isOpNull =
function() {
	return (this._getOp() == CalemConst.DbExpr_IS_NULL || this._getOp() == CalemConst.DbExpr_IS_NOT_NULL);
}

CalemSearchFieldRender.prototype._isOpLike =
function() {
	return (this._getOp() == CalemConst.DbExpr_LIKE);
}

//validation
CalemSearchFieldRender.prototype.setupValidation =
function() {
	this._control.setValidationCallback(this._controller.getValidationCallback());
	this._control.setFieldInfo(this.getFieldInfo());
} 

CalemSearchFieldRender.prototype._otherInit =
function() {
	//Overwrite.
}

//Default implementation
CalemSearchFieldRender.prototype.setFocus =
function() {
	this._control.focus();
}

//Verify input
CalemSearchFieldRender.prototype.verifyInput =
function() {
	if (this._isOpNull()) return true;
	return this._control.isValid();
} 

//fieldValue
CalemSearchFieldRender.prototype.getFieldValue =
function() {
	return this._control.getFieldValue();
}

//set field error
CalemSearchFieldRender.prototype.setFieldError =
function(errMsg) {
	this._control.setFieldError(errMsg);
} 

//shutdown
CalemSearchFieldRender.prototype._shutdown =
function() {
	//Overwrite
} 

//Default implementation
CalemSearchFieldRender.prototype.resumeView =
function() {
	//overwrite 
}

/**
 * Get Op
 */
CalemSearchFieldRender.prototype._getOp =
function() {
	return this._opControl.getValue();
} 

/**
 * Get field object.
 */
CalemSearchFieldRender.prototype._getDbField =
function() {
	return new CalemDbField(this._tableDd.getTableName(), this._field);
} 

/**
 * Get field search
 * If op is unary op (is null, is not null, then it's valid, otherwise it's both op and value).
 */
CalemSearchFieldRender.prototype.getFieldSearch =
function() {
	var rtn=null;
	if (this._isOpNull()) {
		rtn= new CalemDbExpr(this._getDbField(), this._getOp());
	} else {
		var value=this.getFieldDbValue(); //CalemDbValue.
		if (value) {
			rtn=new CalemDbExpr(this._getDbField(), this._getOp(), value);
		}
	}
	return rtn;
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemSearchStringRender
 * Render string Search field.
 *  
 */
function CalemSearchStringRender(parent, id, fldInfo, controller) {
	if (arguments.length==0) return;
	CalemSearchFieldRender.call(this, parent, id, fldInfo, controller);
}

CalemSearchStringRender.prototype=new CalemSearchFieldRender;
CalemSearchStringRender.prototype.constructor=CalemSearchStringRender;

CalemSearchStringRender.prototype.toString = function() { return "CalemSearchStringRender"; }

CalemSearchStringRender.prototype._createControl =
function(parentEl) {
	var len=this._tableDd.getTextInputLength(this._field);
	this._control=new CalemInputField({parent: this._parent, type: DwtInputField.STRING, 
	              size: len,
	              errorIconStyle: CalemConf['view_engine']['field']['inputErrorIcon']});
	this._control.setValidStringLengths(null, len);
	this._control.reparentHtmlElement(parentEl);
	this.resumeView();
}

CalemSearchStringRender.prototype._getFieldOps =
function() {
	return this._ops['varchar'];
}

//fieldValue
CalemSearchStringRender.prototype.getFieldValue =
function() {
	var val= this._control.getFieldValue();
	val = val ? val.trim() : val;
	return val;
}

//Value for server (such as string for date)
CalemSearchStringRender.prototype.getFieldDbValue =
function() {
	var val=this.getFieldValue();
	val = val ? val.trim() : val;
	if (!val) return null;
	return new CalemDbString(val);
} 

//resumeView
CalemSearchStringRender.prototype.resumeView =
function() {
	var val= this._getSearchValue();
	val = val ? val : this.getNullReplacement();
   this._control.setValue(val, true);  //No validation
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemSearchTextRender
 * Render string edit field.
 *  
 */
function CalemSearchTextRender(parent, id, fldInfo, controller) {
	if (arguments.length==0) return;
	CalemSearchFieldRender.call(this, parent, id, fldInfo, controller);
}

CalemSearchTextRender.prototype=new CalemSearchFieldRender;
CalemSearchTextRender.prototype.constructor=CalemSearchTextRender;

CalemSearchTextRender.prototype.toString = function() { return "CalemSearchTextRender"; }

CalemSearchTextRender.prototype._createControl =
function(parentEl) {
	this._control=new CalemEditText({parent: this._parent, type: DwtInputField.STRING, 
	              size: this._tableDd.getTextDisplayLength(this._field),
	              rows: this._tableDd.getTextDisplayRows(this._field),
	              //Note: must have error icon set so DwtInputField will render it as a string first.
	              errorIconStyle: CalemConf['view_engine']['field']['inputErrorIcon']});
	var len=this._tableDd.getTextInputLength(this._field);	              
   if (len!=null) {	              
		this._control.setValidStringLengths(null, len);
   }
	this._control.reparentHtmlElement(parentEl);
	this.resumeView();            
}

//resumeView
CalemSearchTextRender.prototype.resumeView =
function() {
	var val= this._getSearchValue();
	val = val ? val : this.getNullReplacement();
   this._control.setValue(val, true);  //No validation
}

CalemSearchTextRender.prototype._getFieldOps =
function() {
	return this._ops['text'];
}

//fieldValue
CalemSearchTextRender.prototype.getFieldValue =
function() {
	var val= this._control.getFieldValue();
	val = val ? val.trim() : val;
	return val;
}

//Value for server (such as string for date)
CalemSearchTextRender.prototype.getFieldDbValue =
function() {
	var val=this.getFieldValue();
	if (!val) return null;
	return new CalemDbString(val);
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemSearchDropdownJoinRender
 * Render dropdown Search field.
 *  
 */
function CalemSearchDropdownJoinRender(parent, id, fldInfo, controller) {
	if (arguments.length==0) return;
	CalemSearchFieldRender.call(this, parent, id, fldInfo, controller);
	this._cache=CalemContext.getInstance().getRegistry().getCache();
	this._rows=CalemConf['view_engine']['viewSearchEditRender'].dropdownRows;
	this._changeCallback=new AjxCallback(this, this.onChange);
	this._parentVdCallback=this._controller.getValidationCallback();
}

CalemSearchDropdownJoinRender.prototype=new CalemSearchFieldRender;
CalemSearchDropdownJoinRender.prototype.constructor=CalemSearchDropdownJoinRender;

CalemSearchDropdownJoinRender.prototype.toString = function() { return "CalemSearchDropdownJoinRender"; }

CalemSearchDropdownJoinRender.prototype._createControl =
function(parentEl) {
	this._initFieldInfo();
	this._control=new CalemEditMultiSelect({parent: this._parent, size: this._rows, items: this._items});
	this._control.reparentHtmlElement(parentEl);
	this.resumeView();
	//link up a callback here - to avoid firing the selection event at initiation.
	this._control.setChangeCallback(this._changeCallback);
}

CalemSearchDropdownJoinRender.prototype.onChange =
function(sel) {
	if (this._parentVdCallback) this._parentVdCallback.run(this._control, true, sel);
}

CalemSearchDropdownJoinRender.prototype._getFieldOps =
function() {
	return this._ops['dropdown_join'];
}

CalemSearchDropdownJoinRender.prototype._initFieldInfo =
function() {
	this._lkupDd=this._tableDd.getLookupTableDd(this._field);
	//Get data from cache and prepare the list.
	var recList=this._cache.get(this._lkupDd.getTableName()).getRecordList();
	this._items=new Object();
	this._items[CalemConst._EMPTY]=CalemMsg.getMsg('no_selection');
	for (var i=0; i< recList.getTotal(); i++) {
		var rec=recList.getRecord(i);
		var msg=CalemMsg.getMsg(rec.getField('id').getRawValue());
		this._items[rec.id]=msg;
	}
}

//Always valid.
CalemSearchDropdownJoinRender.prototype.verifyInput =
function() {
	return true;
} 

//Value for server (such as string for date)
CalemSearchDropdownJoinRender.prototype.getFieldDbValue =
function() {
	var options=this._control._getSelected();	
	if (options.length==0 || (options.length==1 && options[0]==CalemConst._EMPTY)) return null;
	for (var i=0; i< options.length; i++) {
		if (options[i]==CalemConst._EMPTY) {
			options.splice(i, 1);
			break;
		}
	}
	return new CalemDbDropdown(options);
} 

//resumeView
CalemSearchDropdownJoinRender.prototype.resumeView =
function() {
	//Init selected.
	var val= this._getSearchValue();
	if (val && val.length > 0) {
		this._control.setSelected(val);
	} else {
		this._control.setSelected([]);
	} 
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemSearchLookupRender
 * Render lookup Search field.
 *  
 */
function CalemSearchLookupRender(parent, id, fldInfo, controller) {
	if (arguments.length==0) return;
	CalemSearchFieldRender.call(this, parent, id, fldInfo, controller);
}

CalemSearchLookupRender.prototype=new CalemSearchFieldRender;
CalemSearchLookupRender.prototype.constructor=CalemSearchLookupRender;

CalemSearchLookupRender.prototype.toString = function() { return "CalemSearchLookupRender"; }

CalemSearchLookupRender.prototype._createControl =
function(parentEl) {
	this._initFieldInfo();
	var len=this._lkupDd.getTextInputLength(this._lkupFld); //This is the lookup info.
	var doAc=false; //Auto-completion.
	if (this._lkupDd.isTextField(this._lkupFld)) {
		this._control=new CalemEditTextLookup({parent: this._parent, type: DwtInputField.STRING, 
	              size: this._lkupDd.getTextDisplayLength(this._lkupFld),
	              rows: this._lkupDd.getTextDisplayRows(this._lkupFld),
	              //Note: must have error icon set so DwtInputField will render it as a string first.
	              errorIconStyle: CalemConf['view_engine']['field']['inputErrorIcon']});
	} else {
		doAc=true; //Do AC for normal edit only.
		this._control=new CalemEditLookup({parent: this._parent, type: DwtInputField.STRING, 
	              size: len, errorIconStyle: CalemConf['view_engine']['field']['inputErrorIcon']});
	}
	this._control.setValidStringLengths(null, len);
	this._control.reparentHtmlElement(parentEl);
	//set up other stuff here.
	var lkupFm=CalemFormDef._getLookupForm(this._lkupDd.getTableName(), this._field, this._controller);
	this._control.setLookupForm(lkupFm);
	this._control.setController(this._controller);
	//set up validator here
	this._control.setValidator(this, this._onValidator);
	this.resumeView();	
	//Init AC
	if (doAc) {
		this._control.setupAc(this._field, this._lkupFld, this._lkupDd);
        }
}

CalemSearchLookupRender.prototype._getFieldOps =
function() {
	return this._ops['join'];
}

/**
 * Also monitor <code>this._opControl</code>
 */
CalemSearchLookupRender.prototype._otherInit =
function() {
	this._opControl.addChangeListener(new AjxListener(this, this.onOpChange));
	this._vdCallback=this._control.getValidatorCallback();
} 

CalemSearchLookupRender.prototype._addOpChangeListener =
function() {
	//Do not register here...
}

CalemSearchLookupRender.prototype._initFieldInfo =
function() {
	this._lkupDd=this._tableDd.getLookupTableDd(this._field);
	var map=lkupDd.getLookupMapping();
	this._lkupFld=this._lkupDd.getPrimaryLookup();
}

CalemSearchLookupRender.prototype.getFieldInfo =
function() {
	return {fld: this._field, lkupFld: this._lkupFld};
}

/**
 * Validate only when EQ is used.
 */
CalemSearchLookupRender.prototype._onValidator =
function(value, callback) {//Use cache util for this purpose.
	if (this._isOpNull() || this._isOpLike()) {
		callback.run(null, value, true);
	} else {
		value= value ? value.trim() : null;
		if (!value) {
			callback.run(null, value, true);
		} else {
			//This could require a callback situation when validation is done from database...
			this._validateLookup(value, callback);	
		}	
	}
}

/**
 * Validation handling
 */
CalemSearchLookupRender.prototype.onOpChange =
function(evt) {
	var validity=this._control.getValidity();
	if (this._isOpNull() || this._isOpLike()) {
		this._vdCallback.run(null, validity._value, true); //set Id to null and make it valid.
	} else {
		//To revalidate lookup value.
		if (validity._value) {//id is not valid so we need to do a validation.
			this._validateLookup(validity._value, this._vdCallback);
			return;
		} else {
			this._vdCallback.run(null, null, true);
		}
	}	
}

//Just get the validity result should be fine.
CalemSearchLookupRender.prototype._validateLookup =
function(value, callback) {
	this._controller.validateLookup(this._lkupDd.getTableName(), this._lkupFld, this._field, value, callback);
} 

//Just get the validity result should be fine.
CalemSearchLookupRender.prototype.verifyInput =
function() {
	return this._control.getValidity()._valid;
} 

//Value for server (such as string for date)
CalemSearchLookupRender.prototype.getFieldDbValue =
function() {
	var validity=this._control.getValidity();
	if (!validity._value) return null; //no value so be done with it.
	return new CalemDbLookup(validity._id, validity._value);
} 

//resumeView
CalemSearchLookupRender.prototype.resumeView =
function() {
	var val= this._getSearchValue();
	if (val) { //This is a special lookup value (with id and value)
		this._control.setValue(val.getId(), val.getValue(), true);
	} else {
		this._control.setValue(null, this.getNullReplacement(), true);
	}
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemSearchBooleanRender
 * Render boolean Search field.
 *  
 */
function CalemSearchBooleanRender(parent, id, fldInfo, controller) {
	if (arguments.length==0) return;
	CalemSearchFieldRender.call(this, parent, id, fldInfo, controller);
	this._changeListener=new AjxListener(this, this.onChange);
	this._parentVdCallback=this._controller.getValidationCallback();
}

CalemSearchBooleanRender.prototype=new CalemSearchFieldRender;
CalemSearchBooleanRender.prototype.constructor=CalemSearchBooleanRender;

CalemSearchBooleanRender.prototype.toString = function() { return "CalemSearchBooleanRender"; }

CalemSearchBooleanRender.prototype._createControl =
function(parentEl) {
	this._control=new DwtSelect(this._parent);
	this._control.reparentHtmlElement(parentEl);
	//set up other stuff here.
	this._options=CalemViewUtil.getBooleanSearchOptions();
	for (var i in this._options) {
		this._control.addOption(this._options[i]);
	}
	this._control.addChangeListener(this._changeListener);  
	this.resumeView();       
}

CalemSearchBooleanRender.prototype._getFieldOps =
function() {
	return this._ops['boolean'];
}

CalemSearchBooleanRender.prototype.verifyInput =
function() {
	return true;
} 

CalemSearchBooleanRender.prototype.getFieldDbValue =
function() {
	var opt=this._control.getSelectedOption();
	if (opt._value==CalemConst._EMPTY) return null;
	var rtn= (opt._value==CalemConst._TRUE) ? 1 : 0;
	return new CalemDbBoolean(rtn);
}

//Don't worry about validation for this type
//validation
CalemSearchBooleanRender.prototype.setupValidation =
function() {
	//no function.
} 

//Handle validation for search
CalemSearchBooleanRender.prototype.onChange =
function() {
	this._parentVdCallback.run(this, true); //To activate empty check.
}

//resumeView
CalemSearchBooleanRender.prototype.resumeView =
function() {
	var val= this._getSearchValue();
	var idx= val ? CalemConst._TRUE : (typeof(val)=='number' ? CalemConst._FALSE : CalemConst._EMPTY);
	this._control.setSelectedOption(this._options[idx]); 
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemSearchDateTimeRender
 * Render datetime field for Searching.
 *  
 */
function CalemSearchDateTimeRender(parent, id, fldInfo, controller) {
	if (arguments.length==0) return;
	CalemSearchFieldRender.call(this, parent, id, fldInfo, controller);
	//Validation callback
	this._parentVdCallback=this._controller.getValidationCallback();
	this._vdCallback=new AjxCallback(this, this.onVdCallback);
}

CalemSearchDateTimeRender.prototype=new CalemSearchFieldRender;
CalemSearchDateTimeRender.prototype.constructor=CalemSearchDateTimeRender;

CalemSearchDateTimeRender.prototype.toString = function() { return "CalemSearchDateTimeRender"; }

CalemSearchDateTimeRender.prototype._createControl =
function(parentEl) {
	//This render will draw both date and time fields and supply values from here.
	var dateFieldId = Dwt.getNextId();
	var timeLabelId = Dwt.getNextId();
	var timeFieldId = Dwt.getNextId();
	parentEl.innerHTML=["<table cellspacing='0' cellpadding='0'><tr>",
	              "<td id=", dateFieldId, "></td>",
	              "<td><div id=", timeLabelId, " class=CalemTimeLabel></div></td>",
	              "<td id=", timeFieldId, "> </td>",
	              "</tr></table>"].join('');
	//Get the elements
	this._dateFieldEl=document.getElementById(dateFieldId);
	this._timeLabelEl=document.getElementById(timeLabelId);
	this._timeFieldEl=document.getElementById(timeFieldId);
	//Render date
	var len=this._tableDd.getDateInputLength();
	this._dateField=new CalemEditDate({parent: this._parent, type: DwtInputField.DATE, 
	              size: len,
	              errorIconStyle: CalemConf['view_engine']['field']['inputErrorIcon']});
	this._dateField.setValidStringLengths(null, len);
	//Time
	len=this._tableDd.getTimeInputLength();
	this._timeField=new CalemEditTime({parent: this._parent, type: DwtInputField.STRING, 
	              size: len,
	              errorIconStyle: CalemConf['view_engine']['field']['inputErrorIcon']});
	//Relink html.
	this._dateField.reparentHtmlElement(this._dateFieldEl);
	this._timeField.reparentHtmlElement(this._timeFieldEl);
	//Set the label for time:
	this._timeLabelEl.innerHTML=CalemMsg.getMsg('at_time')+":";
	//Init values.
	this.resumeView();          
}

CalemSearchDateTimeRender.prototype._getFieldOps =
function() {
	return this._ops['datetime'];
}

/**
 * This is a special render so have to controll all the APIs
 */
//validation
CalemSearchDateTimeRender.prototype.setupValidation =
function() {
	this._dateField.setValidationCallback(this._vdCallback);
	this._timeField.setValidationCallback(this._vdCallback);
	this._dateField.setFieldInfo(this.getFieldInfo());
	this._timeField.setFieldInfo(this.getFieldInfo());
} 

/**
 * Either date or time portion cannot tell if the field is valid.
 * The validity must be determined at an upper level (that's here)!
 */
CalemSearchDateTimeRender.prototype.onVdCallback =
function(field, isValid, value) {
	var valid=this.verifyInput();
	this._parentVdCallback.run(field, valid, value);
}

//Default implementation
CalemSearchDateTimeRender.prototype.setFocus =
function() {
	this._dateField.focus();
}

//Verify input
CalemSearchDateTimeRender.prototype.verifyInput =
function(fld, isValid) {
	if (this._isOpNull()) return true;
	return CalemViewUtil.datetimeVerifyInput(this._dateField, this._timeField);
} 

//fieldValue
CalemSearchDateTimeRender.prototype.getFieldValue =
function() {
	//Should merge two values
	var date=this._dateField.getFieldValue();
	if (date) {
		var time=this._dateField.getFieldValue();
		if (time) {
			date.setHours(time.getHours(), time.getMinutes(), time.getSeconds());
		} else { //Clear time portion of the date.
			date=CalemTextUtil.resetTime(date);
		}
	}
	return date;
}

//Value for server (such as string for date)
CalemSearchDateTimeRender.prototype.getFieldDbValue =
function() {
	var date=this.getFieldValue();
	if (!date) return null;
	date=CalemTextUtil.localDateTimeToGmt(date);
	return new CalemDbDateTime(date);
} 

//set field error
CalemSearchDateTimeRender.prototype.setFieldError =
function(errMsg) {
	//This is a rough call here - this is business logic so let's set at date and time field.
	this._dateField.setFieldError(errMsg);
	this._timeField.setFieldError(errMsg);
} 

//shutdown
CalemSearchDateTimeRender.prototype._shutdown =
function() {
	//Overwrite
} 

//field changed
CalemSearchDateTimeRender.prototype.getFieldChanged =
function() {
	var rec=this._modelItem.getCurrentRecord();
	return !rec.getField(this._field).valueEquals(this.getFieldValue());
} 

//Default implementation for all the read renders.
CalemSearchDateTimeRender.prototype.resumeView =
function() {
	//To convert server time to local.    
	var val= this._getSearchValue();
	var dt;
	var time;
	if (val) {
		val=CalemTextUtil.gmtDateTimeToLocal(val);
		dt=CalemTextUtil.formatLocalDateEdit(val);
		time=CalemTextUtil.formatTimeEdit(val);
	} else {
		val=this.getNullReplacement();
		dt=val;
		time=val;
	}
	this._dateField.setValue(dt, true); 
	this._timeField.setValue(time, true);
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemSearchIntegerRender
 * Render integer edit field.
 *  
 */
function CalemSearchIntegerRender(parent, id, fldInfo, controller) {
	if (arguments.length==0) return;
	CalemSearchFieldRender.call(this, parent, id, fldInfo, controller);
	this._formatter=CalemTextUtil.getFormatter(CalemTextUtil.INTEGER_FORMATTER);
}

CalemSearchIntegerRender.prototype=new CalemSearchFieldRender;
CalemSearchIntegerRender.prototype.constructor=CalemSearchIntegerRender;

CalemSearchIntegerRender.prototype.toString = function() { return "CalemSearchIntegerRender"; }

CalemSearchIntegerRender.prototype._createControl =
function(parentEl, yOff) {
	var len=this._tableDd.getTextInputLength(this._field);
	this._control=new CalemInputField({parent: this._parent, type: DwtInputField.STRING, 
	              size: len,
	              errorIconStyle: CalemConf['view_engine']['field']['inputErrorIcon']});

	this._control.setValidatorFunction(this, this.onValidator);
	this._control.reparentHtmlElement(parentEl);
	this.resumeView();           
}

CalemSearchIntegerRender.prototype._getFieldOps =
function() {
	return this._ops['integer'];
}


CalemSearchIntegerRender.prototype.onValidator = 
function(value) {
	if (this._isOpNull()) return value;
	var val=CalemTextUtil.isIntegerValid(value);
	return val ? this._formatter.format(val) : val;
}

//fieldValue
CalemSearchIntegerRender.prototype.getFieldValue =
function() {
	var val= this._control.getValue();
	return CalemTextUtil.isIntegerValid(val);
}

//Value for server (such as string for date)
CalemSearchIntegerRender.prototype.getFieldDbValue =
function() {
	var val=this.getFieldValue();
	return  (val!=null) ? new CalemDbNumber(val) : null; //0 is also false.
} 

//Default implementation for all the read renders.
CalemSearchIntegerRender.prototype.resumeView =
function() {
	//To convert server integer to local format.    
	var val= this._getSearchValue();
	if (val!=null) {
		val=this._formatter.format(val)
	} else {
		val=this.getNullReplacement();
	}
	this._control.setValue(val, true); 
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemSearchNumberRender
 * Render integer edit field.
 *  
 */
function CalemSearchNumberRender(parent, id, fldInfo, controller) {
	if (arguments.length==0) return;
	CalemSearchFieldRender.call(this, parent, id, fldInfo, controller);
	this._formatter=CalemTextUtil.getFormatter(CalemTextUtil.NUMBER_FORMATTER);
}

CalemSearchNumberRender.prototype=new CalemSearchFieldRender;
CalemSearchNumberRender.prototype.constructor=CalemSearchNumberRender;

CalemSearchNumberRender.prototype.toString = function() { return "CalemSearchNumberRender"; }

CalemSearchNumberRender.prototype._createControl =
function(parentEl, yOff) {
	var len=this._tableDd.getTextInputLength(this._field);
	this._control=new CalemInputField({parent: this._parent, type: DwtInputField.STRING, 
	              size: len,
	              errorIconStyle: CalemConf['view_engine']['field']['inputErrorIcon']});
	this._control.setValidatorFunction(this, this.onValidator);
	this._control.reparentHtmlElement(parentEl);
	this.resumeView();           
}

CalemSearchNumberRender.prototype._getFieldOps =
function() {
	return this._ops['double'];
}


CalemSearchNumberRender.prototype.onValidator = 
function(value) {
	if (this._isOpNull()) return value;
	if (this._control._required && !value) throw AjxMsg.valueIsRequired;
	var val=CalemTextUtil.isNumberValid(value);
	return val ? this._formatter.format(val) : val;
}

//fieldValue
CalemSearchNumberRender.prototype.getFieldValue =
function() {
	var val= this._control.getValue();
	return CalemTextUtil.isNumberValid(val);
}

//Value for server (such as string for date)
CalemSearchNumberRender.prototype.getFieldDbValue =
function() {
	var val=this.getFieldValue();
	return  (val!=null) ? new CalemDbNumber(val) : null; //0 is also false.
} 

//Default implementation for all the read renders.
CalemSearchNumberRender.prototype.resumeView =
function() {
	//To convert server integer to local format.    
	var val= this._getSearchValue();
	if (val!=null) {
		val=this._formatter.format(val)
	} else {
		val=this.getNullReplacement();
	}
	this._control.setValue(val, true); 
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemSearchPercentRender
 * Render integer edit field.
 *  
 */
function CalemSearchPercentRender(parent, id, fldInfo, controller) {
	if (arguments.length==0) return;
	CalemSearchNumberRender.call(this, parent, id, fldInfo, controller);
	this._formatter=CalemTextUtil.getFormatter(CalemTextUtil.PERCENT_FORMATTER);
}

CalemSearchPercentRender.prototype=new CalemSearchNumberRender;
CalemSearchPercentRender.prototype.constructor=CalemSearchPercentRender;

CalemSearchPercentRender.prototype.toString = function() { return "CalemSearchPercentRender"; }

CalemSearchPercentRender.prototype._getFieldOps =
function() {
	return this._ops['percent'];
}


CalemSearchPercentRender.prototype.onValidator = 
function(value) {
	if (this._isOpNull()) return value;
	if (this._control._required && !value) throw AjxMsg.valueIsRequired;
	var val=CalemTextUtil.isPercentValid(value);
	return val ? this._formatter.format(val) : val;
}

//fieldValue
CalemSearchPercentRender.prototype.getFieldValue =
function() {
	var val= this._control.getValue();
	return CalemTextUtil.isPercentValid(val);
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemSearchScheduleRender
 * Render Schedule Search field.
 *  
 */
function CalemSearchScheduleRender(parent, id, fldInfo, controller) {
	if (arguments.length==0) return;
	CalemSearchFieldRender.call(this, parent, id, fldInfo, controller);
}

CalemSearchScheduleRender.prototype=new CalemSearchFieldRender;
CalemSearchScheduleRender.prototype.constructor=CalemSearchScheduleRender;

CalemSearchScheduleRender.prototype.toString = function() { return "CalemSearchScheduleRender"; }

CalemSearchScheduleRender.prototype._createControl =
function(parentEl) {
	this._control=new CalemEditSchedule({parent: this._parent});
	this._control.reparentHtmlElement(parentEl);
	//Do the work that facade is doing
	this._render=this;
	this.setupValidation();
	
	this.resumeView();
}

CalemSearchScheduleRender.prototype._getFieldOps =
function() {
	return this._ops['schedule'];
}

//fieldValue
CalemSearchScheduleRender.prototype.getFieldValue =
function() {
	return this._control.getFieldValue();
}

//Value for server (such as Schedule for date)
CalemSearchScheduleRender.prototype.getFieldDbValue =
function() {
	var val=this.getFieldValue();
	return new CalemDbString(val);
} 

//resumeView
CalemSearchScheduleRender.prototype.resumeView =
function() {
	var val= this._getSearchValue();
   this._control.setValue(val, true);  //No validation
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

/**
 * CalemSearchScheduleTimeRender
 * Render Schedule Search field.
 *  
 */
function CalemSearchScheduleTimeRender(parent, id, fldInfo, controller) {
	if (arguments.length==0) return;
	CalemSearchFieldRender.call(this, parent, id, fldInfo, controller);
}

CalemSearchScheduleTimeRender.prototype=new CalemSearchFieldRender;
CalemSearchScheduleTimeRender.prototype.constructor=CalemSearchScheduleTimeRender;

CalemSearchScheduleTimeRender.prototype.toString = function() { return "CalemSearchScheduleTimeRender"; }

CalemSearchScheduleTimeRender.prototype._createControl =
function(parentEl) {
	this._control=new CalemEditSchedule({parent: this._parent});
	this._control.reparentHtmlElement(parentEl);
	//Do the work that facade is doing
	this._render=this;
	this.setupValidation();
	
	this.resumeView();
}

CalemSearchScheduleTimeRender.prototype._getFieldOps =
function() {
	return this._ops['schedule'];
}

//fieldValue
CalemSearchScheduleTimeRender.prototype.getFieldValue =
function() {
	return this._control.getFieldValue();
}

//Value for server (such as Schedule for date)
CalemSearchScheduleTimeRender.prototype.getFieldDbValue =
function() {
	var val=this.getFieldValue();
	return new CalemDbString(val);
} 

//resumeView
CalemSearchScheduleTimeRender.prototype.resumeView =
function() {
	var val= this._getSearchValue();
   this._control.setValue(val, true);  //No validation
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemSearchDateRender
 * Render Date field for Searching.
 *  
 */
function CalemSearchDateRender(parent, id, fldInfo, controller) {
	if (arguments.length==0) return;
	CalemSearchFieldRender.call(this, parent, id, fldInfo, controller);
}

CalemSearchDateRender.prototype=new CalemSearchFieldRender;
CalemSearchDateRender.prototype.constructor=CalemSearchDateRender;

CalemSearchDateRender.prototype.toString = function() { return "CalemSearchDateRender"; }

CalemSearchDateRender.prototype._createControl =
function(parentEl) {
	var len=this._tableDd.getDateInputLength(this._field);
	this._control=new CalemEditDate({parent: this._parent, type: DwtInputField.DATE, 
	              size: len,
	              errorIconStyle: CalemConf['view_engine']['field']['inputErrorIcon']});
	this._control.setValidStringLengths(null, len)	              ;
	
	this._control.reparentHtmlElement(parentEl);
	
	this.resumeView();          
}

CalemSearchDateRender.prototype._getFieldOps =
function() {
	return this._ops['date'];
}

//Value for server (such as string for date)
CalemSearchDateRender.prototype.getFieldDbValue =
function() {
	var date=this.getFieldValue();
	if (!date) return null;
	return new CalemDbDate(date);
} 

//Default implementation for all the read renders.
CalemSearchDateRender.prototype.resumeView =
function() {
	//To convert server time to local.    
	var val= this._getSearchValue();
	var dt;
	if (val) {
		dt=CalemTextUtil.formatLocalDateEdit(val);
	} else {
		dt=this.getNullReplacement();
	}
	this._control.setValue(dt, true);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemViewSearchSelectRender
 *  
 * This is the search select render.
 */
function CalemViewSearchSelectRender(parent, id, viewInfo, controller) {
	if (arguments.length==0) return;
	CalemViewRuntimeRender.call(this, parent, id, viewInfo, controller);
}

CalemViewSearchSelectRender.prototype=new CalemViewRuntimeRender;
CalemViewSearchSelectRender.prototype.constructor=CalemViewSearchSelectRender;

CalemViewSearchSelectRender.prototype.toString = function() { return "CalemViewSearchSelectRender"; }
CalemViewSearchSelectRender.prototype.getClassName = function() { return "CalemViewSearchSelectRender"; }

CalemViewSearchSelectRender.prototype.setFocus =
function() {
	for (var i in this._renders) {
		//Set focus on the first edit render.
		if (this._renders[i] instanceof CalemMySearchSelectRender) {
			this._renders[i].setFocus(); //Set focus to the first control.
			break;
		}
	}
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemViewSearchEditRender
 *  
 * This is the edit view render.
 */
function CalemViewSearchEditRender(parent, id, viewInfo, controller) {
	if (arguments.length==0) return;
	CalemViewRuntimeRender.call(this, parent, id, viewInfo, controller);
}

CalemViewSearchEditRender.prototype=new CalemViewRuntimeRender;
CalemViewSearchEditRender.prototype.constructor=CalemViewSearchEditRender;

CalemViewSearchEditRender.prototype.toString = function() { return "CalemViewSearchEditRender"; }
CalemViewSearchEditRender.prototype.getClassName = function() { return "CalemViewSearchEditRender"; }

CalemViewSearchEditRender.prototype._getBlankRows =
function() {
	return 2;
}

/**
 * Set focus
 */
CalemViewSearchEditRender.prototype.setFocus =
function() {
	for (var i in this._renders) {
		//Set focus on the first edit render.
		if (this._renders[i] instanceof CalemSearchFieldRenderFacade) {
			this._renders[i].setFocus(); //Set focus to the first control.
			break;
		}
	}
}

/**
 * Validation functions
 */
CalemViewSearchEditRender.prototype.verifyViewInput =
function(fld, isValid) {
	for (var i in this._renders) {
		if (this._renders[i] instanceof CalemSearchFieldRenderFacade) {
			this._renders[i].verifyInput(fld, isValid);
		}
	}
	return true;
}


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

//Customize command: a) verify access rights; b) forward to forms
function CalemCmdCustomize() {
}

CalemCmdCustomize.prototype.toString = function() {return "CalemCmdCustomize";}

CalemCmdCustomize.prototype.execute =
function(target, currForm, desktop) {
	if (!currForm) return false; //Customize current form
	if (!currForm.allowCustomize()) return false; //In case it's not allowed
	if (CalemBoUtil.isUserInAdminGroup()) {
		currForm.onCustomize();
		return true;
	} else {
		if (currForm.isTbAvailable(CalemConst.TB_CUSTOMIZE)) {
			currForm.onCustomize();
			return true;
		}
	}
	return false;	
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

//Customize command: a) verify access rights; b) forward to forms
function CalemKeyHandler() {
	this._keymap=CalemConf['desktop_keymap'];
}

CalemKeyHandler.prototype.toString = function() {return "CalemKeyHandler";}

CalemKeyHandler.prototype.lookupCmdByEvent =
function(event) {
	var key= event.keyCode || event.charCode;
	var c=key;
	if (typeof(key)=='number') c=String.fromCharCode(key);
	var rtn=this._keymap[c];
	if (rtn) {
		rtn=eval(['new ', rtn.cmd, '()'].join(''));
	}
	return rtn;
}


/**
 * onKeyEvent
 * @return true 	if key handled successfully
 * 		  false  this key is not processed here.
 */
CalemKeyHandler.prototype.onKeyEvent =
function(event, target, currForm, desktop) {
	var rtn;
	//Check which widget we're dealing with
	var widget=Dwt.getObjectFromElement(target);
	if (widget && widget.onKeyHandler) {
		rtn=widget.onKeyHandler(event);
	}
	
	var cmd=this.lookupCmdByEvent(event);
	if (cmd) {
		rtn= cmd.execute(target, currForm, desktop);
	} else {
		rtn=false;
	}
	return rtn;
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemReRenderAction
 * Special handler for the form.
 */
function CalemReRenderAction() {
}

CalemReRenderAction.prototype.toString = function() {return "CalemReRenderAction";}

CalemReRenderAction.prototype.onAction =
function(fm) {
	fm.reRenderView(); //Rerender a view.	
}

/**
 * CalemApplySearchAction
 * Special handler for the form.
 */
function CalemApplySearchAction(searchInfo) {
	this._searchInfo=searchInfo;
}

CalemApplySearchAction.prototype.toString = function() {return "CalemApplySearchAction";}

CalemApplySearchAction.prototype.onAction =
function(fm) {
	if (fm instanceof CalemFormSearchSelect) {
		fm._closeAndResumeParentForm(this); //Need to rerender form.
	} else {//let's apply the search condition.
		fm.reLoadDataBySearch(this._searchInfo.getTableQuery());
	}
}

/**
 * CalemOpenFormAction
 * To open a form
 */
function CalemOpenFormAction(fmId, data) {
	if (arguments.length==0) return;
	this._fmId=fmId;
	this._data=data;
}

CalemOpenFormAction.prototype.toString = function() {return "CalemOpenFormAction";}

CalemOpenFormAction.prototype.onAction =
function() {
	CalemContext.getInstance().openForm(this._fmId, this._data);
}

/**
 * CalemNewRecRawAction
 * To add record to the calling form.
 */
function CalemNewDbRecRawAction(table, recRaw) {
	if (arguments.length==0) return;
	this._table=table;
	this._recRaw=recRaw;
}

CalemNewDbRecRawAction.prototype.toString = function() {return "CalemNewDbRecRawAction";}

CalemNewDbRecRawAction.prototype.onAction =
function(fm) {
	fm.onNewDbRecordRaw(this._table, this._recRaw);
}

/**
 * CalemDeleteDbRecAction
 */
function CalemDeleteDbRecAction(table, id) {
	if (arguments.length==0) return;
	this._table=table;
	this._id=id;
}

CalemDeleteDbRecAction.prototype.toString = function() {return "CalemDeleteDbRecAction";}

CalemDeleteDbRecAction.prototype.onAction =
function(fm) {
	fm.onDeleteDbRecAction(this._table, this._id);
}

/**
 * CalemUpdateDbRecAction
 */
function CalemUpdateDbRecAction(table, rec) {
	if (arguments.length==0) return;
	this._table=table;
	this._rec=rec;
}

CalemUpdateDbRecAction.prototype.toString = function() {return 'CalemUpdateDbRecAction';}

CalemUpdateDbRecAction.prototype.onAction =
function(fm) {
	fm.onUpdateDbRecAction(this._table, this._rec);
}

/**
 * CalemReloadDataAction
 */
function CalemReloadDataAction(table) {
	if (arguments.length==0) return;
	this._table=table;
}

CalemReloadDataAction.prototype.toString = function() {return 'CalemReloadDataAction';}

CalemReloadDataAction.prototype.onAction =
function(fm) {
	fm.onReloadDataAction(this._table);
}

/**
 * ActionCombo
 */
function CalemFormActionCombo(dummy) {
	if (arguments.length==0) return;
	this._actions=new AjxVector(); //It's an array.
}

CalemFormActionCombo.prototype.toString = function() {return 'CalemFormActionCombo';}

CalemFormActionCombo.prototype.add =
function(action) {
	this._actions.add(action);
}

CalemFormActionCombo.prototype.remove =
function(action) {
	this._actions.remove(action);
}

CalemFormActionCombo.prototype.onAction =
function(fm) {
	for (var i=0; i< this._actions.size(); i++) {
		var action=this._actions.get(i);
		action.onAction(fm);
	}
}

/**
 * CalemLookupSelectAction
 */
function CalemLookupSelectAction(table, rec) {
	if (arguments.length==0) return;
	this._table=table;
	this._rec=rec;
}

CalemLookupSelectAction.prototype.toString = function() {return 'CalemLookupSelectAction';}

CalemLookupSelectAction.prototype.onAction =
function(fm) {
	fm.onLookupSelectAction(this._table, this._rec);
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * This is the base controller.
 */
function CalemController(parent) {
	if (arguments.length==0) return;
	CalemModel.call(this, true);
	this._parent=parent;
	this._listenerFactory = new AjxCallback(this, this.getListener);
	this.openFormListener=new AjxListener(this, this.onOpenForm);
}

CalemController.prototype=new CalemModel;
CalemController.prototype.constructor=CalemController;

CalemController.prototype.toString = 
function() {
	return "CalemController";
}

/**
 * Listener factory
 */
CalemController.prototype.getListenerFactory = 
function() {
	return this._listenerFactory;
} 

CalemController.prototype.getListener =
function(name) {
	return eval(['this.get',name, '()'].join(''));
}

/**
 * Common listener getters
 */
CalemController.prototype.getOpenFormListener =
function() {
	return this.openFormListener;
}

/**
 * Default listeners
 */
CalemController.prototype.onOpenForm =
function(ev) {
	var id=ev.item.getData(CalemContext.DATA);
	CalemContext.getInstance().openForm(id);
} 

 /*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * This is the base controller for a UI control.
 */
function CalemUiController(parent, id, tableDd, widgetInfo, controller) {
	if (arguments.length == 0) return; 
	CalemModel.call(this, true);
	this._parent=parent;
	this._id=id;
	this._tableDd=tableDd;
	this._widgetInfo=widgetInfo;
	this._controller=controller;
	this._modelItem=controller.getModelItem();
	//Now let's create UI control here.
	this._createUiControl();
	//Publish events to data model
	this._publishEvents();
}

CalemUiController.prototype=new CalemModel;
CalemUiController.prototype.constructor=CalemUiController;

CalemUiController.prototype.toString = 
function() {
	return "CalemUiController";
}

/**
 * function must be overwritten...
 */
CalemUiController.prototype._createUiControl =
function() {
} 

CalemUiController.prototype._publishEvents =
function() {
}

/** 
 * Layout changes
 */
CalemUiController.prototype.onLayoutChange =
function(bz) {
	this._onLayoutChange(bz);
	this._bz=bz;
}

//Default doing nothing
CalemUiController.prototype._onLayoutChange =
function(bz) {
} 

/**
 * show data
 */
CalemUiController.prototype.showData =
function() {
	this._showData(); //Each control must have its own way to present the data.
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
/**
 * CalemDataGrid
 * The data grid is a controller that uses CalemListView and CalemScrollBar to view a data set.
 * It uses lazy caching to build up the data set so the data grid's performance is deterministic 
 * regardless of the data set size in the backend.
 * 
 */
function CalemDataGrid(parent, id, tableDd, customInfo, controller) {
	if (arguments.length == 0) return;
	CalemUiController.call(this, parent, id, tableDd, customInfo, controller);
	this._dataChangeListener = new AjxListener(this, this._onDataChanged);
	this._dataRefreshListener = new AjxListener(this, this._onDataRefresh);
}

CalemDataGrid.SELECTION_EVENTS= [CalemEvent.NO_SELECTION, CalemEvent.SINGLE_SELECTION, 
               CalemEvent.MULTI_SELECTION, CalemEvent.DBL_CLICK_SELECTION];

CalemDataGrid.prototype = new CalemUiController;
CalemDataGrid.prototype.constructor = CalemDataGrid;

CalemDataGrid.prototype.toString = 
function() {
	return "CalemDataGrid";
}

/**
 * Creating CalemDataGrid UI control.
 */
CalemDataGrid.prototype._createUiControl =
function() {
	this._listView=new CalemListView(this._parent, null, null, this._tableDd, 
				this._widgetInfo, this, this._widgetInfo.listInfo.getNoMaximize());				
	this._listView.zShow(true);
	//selection listener
	this._selectionListener=new AjxListener(this, this.onRowSelection);
	this._listView.addSelectionListener(this._selectionListener);
	//Action listener
	this._actionListener=new AjxListener(this, this.onActionSelection);
	this._listView.addActionListener(this._actionListener);
	
	//Creating scroll bar and linking to listView
	this._scrollBar=new CalemScrollBar(this._parent);	
	//Attach scrollBar to listView
	var el=this._listView.getScrollBarEl();
	this._scrollBar.setParentEl(el, this);	
}

/**
 * Publish events to data model
 */
CalemDataGrid.prototype._publishEvents =
function() {
	this._modelItem.publishEvents(CalemDataGrid.SELECTION_EVENTS, this);
}

CalemDataGrid.prototype._unpublishEvents =
function() {
	this._modelItem.unpublishEvents(CalemDataGrid.SELECTION_EVENTS, this);
}

/**
 * shutdown - give data model a chance to unsubscribe events.
 */
CalemDataGrid.prototype._shutdown =
function() {
	this._unpublishEvents();
}

CalemDataGrid.prototype.getHtmlElement =
function() {
	return this._listView.getHtmlElement();
}

CalemDataGrid.prototype.getListWidth =
function() {
	return this._listView.getListWidth();
}

CalemDataGrid.prototype.getHeaderHeight =
function() {
	return this._listView.getHeaderHeight();
}

/**
 * Layout change
 */
CalemDataGrid.prototype._onLayoutChange =
function(bz) {
	//Let's not worry about scrollbar at this point.
	this._listView.setBounds(bz.x, bz.y, bz.width, bz.height);
	//Adjust layout.
	this._scrollBar.__onLayoutChange();
	//Repaint and preserve selection.
	if (this._displayed) {
		//View size adjustment.
		this._calcViewSize();
		//Repaint - try to preserve the selection
		var selected=this._getSelectedItems();
		this.resumeView();
		//Reset selected list.
		this._listView.setSelectedItems(selected.getArray());
		//Resynchronize selected status
		this._reportSelection();
	}
}

/**
 * Show data
 */
CalemDataGrid.prototype._showData =
function() {
	if (!this._displayed) {//First time.
	   var recList=this._modelItem.getRecordList();
	   var total= recList ? recList.getTotal() : 0; //In case doing the design.
	   var list;
		if (total <=0) { //Nothing in the database.
			list=new AjxVector(); //empty list.
			this._listView.set(list);
			this._scrollBar.init(0, 0, 0, this);
		} else { //Figure out how many rows to show
			this._calcViewSize();
			list=recList._sliceByVector(0, this._viewSize); //this._controller.getDataBulk(1, viewSize, null, this._tableDd);
			this._listView.set(list, null);
			this._scrollBar.init(0, total, this._viewSize, this);
		}	
	}
	this._displayed=true;
}

/**
 * Show data for design
 */ 
CalemDataGrid.prototype.showDataForDesign =
function() {
	var dm=this._controller.getParentDataModel();
	var di= dm ? dm.getModelItem() : null;
	if (di) {
		var recList=di.getRecordList();
		var list=recList._sliceByVector(0, 1);
		this._listView.set(list, null);
	}
}

/**
 * Figure out view size
 * Note - IE with checkbox cause a row taller than without checkbox. 
 * So each grid must calibrate by itself.
 */
CalemDataGrid.prototype._calcViewSize =
function() { 
	if (!this._uorH) {
		//Need to try out the model to see if there are records
		var recList=this._modelItem.getRecordList();
	   var total=recList.getTotal();
	   if (total <= 0) return;
	   var list=recList._sliceByVector(0,1);
	   var bz=this._listView.__getHeightByData(list);
	   this._uorH=bz.height;
	   CalemViewUtil.setUorH(this._uorH); //For system to accumulate the height.   
	}
	if (this._uorH) {
		var bz=this._listView.__getViewBounds();
		this._viewSize= Math.floor(bz.height / this._uorH);
		if (!this._tableDd.isCached()) {
			this._viewSize = Math.min(this._viewSize, CalemConfUtil.getBulkFetchSize());
		}
		this._scrollBar.onViewSizeChange(this._viewSize);
		if (CalemDebug.isDebug()) {
			CalemDebug.printBounds('listView bz', bz);
			CalemDebug.debug("viewSize="+this._viewSize+", id="+this._id);
		}
	} 
}

/**
 * Data scroll control
 */
CalemDataGrid.prototype.scrollTo =
function(start, viewSize, dataSize) {
	var ptStart=start;
	var fetchSize=viewSize;
	if (dataSize < viewSize) {//It's within one frame.
		fetchSize=dataSize;
	} else if (start + viewSize > dataSize) {
		ptStart=dataSize-viewSize;
	} 
	this._modelItem.getRecordList().sliceByVector(ptStart, fetchSize, 
	    new AjxCallback(this, this._onScrollToCallback, {start: start, viewSize: viewSize, dataSize: dataSize}));
}

//Adding callback for DB-based table scrolling.
CalemDataGrid.prototype._onScrollToCallback =
function(param, list) {
	//Cannot optimize set list (since record could become dirty).
	if (!this._listView.isPageDisplayed(list)) {//Verify if the data has been changed in the grid view.
		this._listView.set(list);
		this._reportSelection();
	} else {
		this._listView.set(list);
	}
}

/**
 * Scroll by mouse wheeler
 */  
CalemDataGrid.prototype.onWheelEvent =
function(delta) {
	this._scrollBar.scrollByWheel(delta);
}

/**
 * Data sort
 */ 
CalemDataGrid.prototype.sortList =
function(fld, ascending) {
	if (CalemDebug.isDebug()) CalemDebug.debug("sort field: "+fld+", ascending="+ascending);
	var order= ascending ? CalemQueryOrderBy.ASC : CalemQueryOrderBy.DESC;
	var ob=CalemQueryOrderBy.createOrderBy(this._tableDd, fld, order);
	if (this._modelItem.isSameOrderBy(ob)) return;
	/**
	 * Ajustments: a) keep row position; b) selected rows.
	 */
	var selected=this._getSelectedItems();
	var scrollState=this._scrollBar.getState();
	scrollState.start=0; //Reset to start from the begining.
	var callback = new AjxCallback(this, this.onSortComplete, {selected: selected, scrollState: scrollState});
	this._modelItem.sortList(ob, callback, scrollState.start);
} 

CalemDataGrid.prototype.onSortComplete =
function(param) {
	//Let's get the list and redraw the current view.
	var recList = this._modelItem.getRecordList();
	param.scrollState.dataSize=recList.getTotal();
	this._scrollBar.resetState(param.scrollState);
	//Now redraw the data window.
	var list=recList._sliceByVector(param.scrollState.start, param.scrollState.viewSize);
	this._listView.set(list);
	//Reset selected list.
	this._listView.setSelectedItems(param.selected.getArray());
	//Resynchronize selected status
	this._reportSelection();
}

/**
 * Event listeners from UIs
 */
CalemDataGrid.prototype.onRowSelection =
function(ev) {
	this._reportSelection(ev);
	//Let's decide how to handle double click
	if (ev.detail==DwtListView.ITEM_DBL_CLICKED) {
		//set this item as selected
		this._listView.setSelectedItems([ev.item]);
		//Somehow we need an event for this.
		var selEv=new CalemSelectionEvent(true);
		selEv.setType(CalemEvent.DBL_CLICK_SELECTION);
		selEv.add(ev.item);
		this.notifyListeners(selEv.getType(), selEv);
	}
} 

//This is used to check if a right click is made.
CalemDataGrid.prototype.onActionSelection =
function(ev) {
	this._reportSelection(ev);
}

//Let's figure out the selections and report to controller
CalemDataGrid.prototype._reportSelection =
function(ev) {
	var selEv=new CalemSelectionEvent(true);
	selEv.setItems(this._getSelectedItems());
	if (selEv.size()==0) {
		selEv.setType(CalemEvent.NO_SELECTION);
	} else if (selEv.size()==1) {
		selEv.setType(CalemEvent.SINGLE_SELECTION);
	} else if (selEv.size() > 1) {
		selEv.setType(CalemEvent.MULTI_SELECTION);
	}  
	this.notifyListeners(selEv.getType(), selEv);
}

/**
 * Maintaining selected items. Selection change source:
 * <ul>
 * <li> sort list causes items to fly out of the view window.
 * <li> scroll items out of window so they are no longer selected.
 * </ul>
 * @todo - to keep selected across scrolling windows.
 */
CalemDataGrid.prototype._getSelectedItems =
function() {
	var items=new AjxVector();
	var els=this._listView.getSelectedItems();
	for (var i=0; i< els.size(); i++) {
		var el=els.get(i);
		var item=this._listView.getItemFromElement(el);
		items.add(item);
	}
	return items;
}

/**
 * provide listener and handle events
 */
CalemDataGrid.prototype.getDataChangeListener =
function() {
	return this._dataChangeListener;
} 

CalemDataGrid.prototype._onDataChanged =
function(evt) {
	//Report data change
	this._scrollBar.onDataChange(evt.getTotal());
	//Notify controller (this path seems shorter, could have controller notify grid as well - a longer walk).
	this._controller._onDataChanged(evt);
} 

/**
 * provide listener and handler for Data refresh
 */
CalemDataGrid.prototype.getDataRefreshListener =
function() {
	return this._dataRefreshListener;
} 

CalemDataGrid.prototype._onDataRefresh =
function(evt) {
	//Report data change
	this._scrollBar.onDataRefresh();
} 

/**
 * Coming out of hosted state so let's redraw grid for sure.
 */
CalemDataGrid.prototype.resumeView =
function() {
	//Try to keep selections
	var selected=this._getSelectedItems();
	this._calcViewSize(); //To cover from empty grids.
	this._scrollBar.resumeView();
	//Reset selected list.
	this._listView.setSelectedItems(selected.getArray());
	//Resynchronize selected status
	this._reportSelection();
}

/**
 * Design support
 */
CalemDataGrid.prototype.onFieldChange =
function(nodeChange) {
	this._listView.__onFieldChange(nodeChange);
}

CalemDataGrid.prototype.canRemoveField =
function() {
	return this._listView.__canRemoveField();
}

CalemDataGrid.prototype.getGridLayout =
function() {
	var headerList=this._listView._headerList;
	var colList=new Array();
	for (var i=0; i< headerList.length; i++) {
		var col=headerList[i];
		if (!col._visible) continue;
		colList.push(new CalemCol(col._field, col._width));
	}
	return new CalemListInfo(colList, this._listView._noMaximize);
}

CalemDataGrid.prototype.setParentRender =
function(pr) {
	this._listView._parentRender=pr;
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemFileUpload
 * This is the file upload controller. It's adapted from the smart
 * file upload code of http://www.webtoolkit.info/ajax-file-upload.html
 */
function CalemFileUpload(params) {
	this._els=params;
	this._callId='P' + Math.floor(Math.random() * 99999);
}

CalemFileUpload._SUCC='{SUCC:';

CalemFileUpload.prototype.toString = function() { return "CalemFileUpload"; }

//Service api
CalemFileUpload.prototype.uploadFile =
function(cmd, param, callback) {
	this._els['cmd'].value=cmd;
	this._els['param'].value=param;
	var cb=new AjxCallback(this, this.onUploadResponse, callback);
	this._els['iFrame']._callback=cb;
	this._setBusy();	
	this._els['form'].submit();
}

CalemFileUpload.prototype.onUploadResponse =
function(cb, resp) {
	this._clearBusy();
	if (CalemDebug.isDebug()) CalemDebug.debug("Upload resp=" + resp);
	if (resp.indexOf(CalemFileUpload._SUCC)==0) {//coming back as JSON
	   var rf=resp.substr(CalemFileUpload._SUCC.length);
		cb.run(rf);
	} else {//Other exceptions
		CalemInfoDialog.showIt(CalemMsg.getMsg('error_server'), resp);
	}
}

CalemFileUpload.prototype._setBusy =
function() {
	var shell=CalemContext.getInstance().getShell();
	shell.setBusy(true, this._callId, false, 0, null);
   shell.setBusyDialogText(CalemMsg.getMsg('upload_busy'));
}

CalemFileUpload.prototype._clearBusy =
function() {
	var shell=CalemContext.getInstance().getShell(); 
	shell.setBusy(false, this._callId);
} 

CalemFileUpload.prototype.getFileEl =
function() {
	return this._file;
}

CalemFileUpload.onFrameLoaded =
function(frameId) {
	var i = document.getElementById(frameId);
	if (i.contentDocument) {
		var d = i.contentDocument;
	} else if (i.contentWindow) {
		var d = i.contentWindow.document;
	} else {
		var d = window.frames[id].document;
	}
	if (d.location.href == "about:blank") {
		return;
	}

	if (i._callback) {
		i._callback.run(d.body.innerHTML);
		i._callback=null;
	}
}

CalemFileUpload._viewFile =
function(id) {
	window.open(calemRequestUrl+'?aid='+CalemConf['file_upload']['viewAid']+"&fid="+id);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
/**
 * CalemForm
 * This is the form widget.
 * 
 */
function CalemForm(parent, formId, data) {
	if (arguments.length==0) return;
	CalemController.call(this, parent);
	this._formInfo=CalemJson.setJson(CalemItemDef[formId]);
	this._data=data;	
	//Initializing data model
	this._dataLoadCallback=new AjxCallback(this, this.onDataLoaded);
	this._dataReLoadCallback=new AjxCallback(this, this.onDataReLoaded);
	this._createDataModel(data);
	//Customize listener
	this._customizeListener=new AjxListener(this, this.onCustomize);
	//Data refresh
	this._dataRefreshListener = new AjxListener(this, this.onDataRefresh);
	//Get a cache reference
	this._cache=CalemContext.getInstance().getRegistry().getCache();
	//Edit function moved to form level
	this._soapEditTranSaveCallback=new AjxCallback(this, this.onSoapEditSaveTranCallback);
	//Delete info callback
	this._deleteInfoCallback = new AjxCallback(this, this.onDeleteInfoCallback);
}

CalemForm.SOAP_SUCC = 0;
CalemForm.SOAP_UPDATE_CONFLICT = -10;

CalemForm.prototype = new CalemController;
CalemForm.prototype.constructor = CalemForm;

CalemForm.prototype.toString = 
function() {
	return "CalemForm";
}

/**
 * Receive a view holder to host the view for the controller.
 */
CalemForm.prototype.setViewHolder =
function(viewHolder) {
	this._viewHolder=viewHolder;
}

CalemForm.prototype.getViewHolder =
function() {
	return this._viewHolder;
}

/**
 * Data model factory method
 */
CalemForm.prototype._createDataModel =
function(data) {	
	var impl= CalemConf['desktop_mainView']['form']['modelImpl'];
	var mdId=this._formInfo.getModel();
	this._dataModel=eval(['new ', impl, '(mdId, this, data)'].join(''));
	this._modelItem=this._dataModel.getModelItem();
}

// default is CalemView
CalemForm.prototype.createView =
function() {
	var impl= this._formInfo.getView().getImpl() || CalemConf['desktop_mainView']['form']['viewImpl'];
	this._view=eval(['new ', impl, '(this._viewHolder, this)'].join(''));
	this._fitViewToParent();
}

//Provide the view 
CalemForm.prototype.getView =
function() {
	return this._view;
}

/**
 * Form rendering
 * <ul>
 * <li> Prepare data
 * <li> Render view
 * </ul>
 */
CalemForm.prototype.showForm =
function() {
	//Prepare data first
	if (!this._dataLoaded) {
		this._loadData(); //Assume this is async call and will call showView later.
	} else { //Continue display
		this._showView();
	}
}  

/*
 * Resume hosted form
 */
CalemForm.prototype.resumeHostForm =
function(action) {
	if (!action) {
		this._resumeView();
	} else {
		action.onAction(this); //Delegate to the action and handle how to process the form.
	}
} 

/**
 * Special action handler
 * This is valid for atomic form. For MdTab it must handle by itself.
 */
CalemForm.prototype.reRenderView =
function() {
	//The simple solution is to shutdown toolbar, grid, modelItem's events' listeners and redo again.
	this._view._shutdown();
	//recreate the view
	this.createView();
	//render it.
	this._render();
}  

/**
 * Reload with a new query
 */
CalemForm.prototype.reLoadDataBySearch =
function(tblQuery) {
	this._modelItem.setTableQuery(tblQuery);
	this._reLoadData(); //force data load.
	this._reLoadDataBySearch(tblQuery);
} 

//post data loading by query
CalemForm.prototype._reLoadDataBySearch =
function(tblQuery) {
	//overwrite.
}

//Initial data load.
CalemForm.prototype._loadData =
function() {
	//To be overwritten by specific form controllers.
} 

//Reload data due query change or refresh.
CalemForm.prototype._reLoadData =
function() {
	//To be overwritten by specific form controllers.
}

/**
 * Data loaded by this form
 */
CalemForm.prototype.onDataLoaded =
function() {
	this._dataLoaded=true;
	this._onDataLoaded();
}

/**
 * Must repaint the screen.
 */
CalemForm.prototype.onDataReLoaded =
function() {
	this.__resumeView(); //force a screen repaint.
}

/**
 * Loading by a layer above
 */
CalemForm.prototype.onLoadResult =
function(result) {
	this._dataLoaded=true;
	this._dataModel.onLoadResult(result);
} 

CalemForm.prototype.setDataLoaded =
function(val) {
	this._dataLoaded=val;
} 

/** by default is to display data */
CalemForm.prototype._onDataLoaded =
function() {
	this._showView();
}

CalemForm.prototype._showView =
function() {
	//Need to re-render if resized.
	if (!this._rendered) {
		this._layoutChanged(); //Init the boundary first time.
		this._render();
		this._rendered=true;
	} else { //Layout change
		this.onLayoutChange();
	}
}

CalemForm.prototype._resumeView =
function() {
	if (CalemDebug.isDebug()) CalemDebug.debug("resumeView for form="+this.getId());
	this.__resumeView();
}

//This function is final and cannot be overwritten
CalemForm.prototype.__resumeView =
function() {
	//Checking for layout change first.
	this.onLayoutChange();
	//refresh for data item changes.
	this._view.resumeView();
}

/**
 * Data change event - needs a repaint.
 */
CalemForm.prototype._onDataChanged =
function(ev) {
	if (CalemDebug.isDebug()) CalemDebug.debug("_onDataChanged received on: "+this.getId());
	if (this._view && this._view.getElVisible()) {//in case View is not rendered yet.
		this.__resumeView(); //This is made unconditional.
		this._viewReset();
	}
} 

//Default impl.
CalemForm.prototype._viewReset =
function(ev) {
	//No action
} 

/**
 * Default implmentation for <code>this._render</code>.
 */
CalemForm.prototype._render =
function() {
	if (!this._view) {
		this.createView();
	}
	this._view.render();
	this._initReadOnlyFields();
} 

CalemForm.prototype._initReadOnlyFields =
function() {
}

CalemForm.prototype._layoutChanged =
function() {
	var rtn=false;
	var sz=this._viewHolder.getSize();
	if (!this._sz) {
		this._sz={x: sz.x, y: sz.y};
	} else {
		rtn= (sz.x != this._sz.x || sz.y != this._sz.y);
		this._sz={x: sz.x, y: sz.y}; //reset size here.
	}
	return rtn;
}

CalemForm.prototype.onLayoutChange =
function() {
	if (this._layoutChanged()) {
		this._fitViewToParent();
		this._view.onLayoutChange(); //Re-render the view again.
	}
}

CalemForm.prototype._fitViewToParent =
function() {
	//By default to fit the view to parent.
	var sz=this._viewHolder.getSize();
	this._view.setSize(sz.x, sz.y);
}

/**
 * Form def services
 */
CalemForm.prototype.getFormInfo =
function() {
	return this._formInfo;
} 

CalemForm.prototype.getDataModel =
function() {
	return this._dataModel;
}

CalemForm.prototype.getModelItem =
function() {
	return this._modelItem;
}
 
CalemForm.prototype.getId =
function() {
	return this._formInfo.getId();
}

CalemForm.prototype.getTitle =
function() {
	return CalemMsg.getMsg(this._formInfo.getTitle());
} 

CalemForm.prototype.getIcon =
function() {
	return this._formInfo.getIcon();
} 

CalemForm.prototype.getReplaceType =
function() {
	return this._formInfo.getReplaceType();
}

CalemForm.prototype.isReplaceById =
function() {
	return (this._formInfo.getReplaceType()==CalemItemDef.REPLACE_BY_ID);
}

CalemForm.prototype.isReplaceByIdData =
function() {
	return (this._formInfo.getReplaceType()==CalemItemDef.REPLACE_BY_ID_DATA);
}

CalemForm.prototype.getViewId =
function() {
	return this._formInfo.getView().getId();
}

CalemForm.prototype.getViewInfo =
function() {
	return this._view.getViewInfo();
}

CalemForm.prototype.getData =
function() {
	return this._data;
}

//Return tabViewPage
CalemForm.prototype.getTabPageView =
function() {
	return this._viewHolder;
}

/**
 * Render factory
 */
CalemForm.prototype.getRender =
function(info) {
	return CalemConf['view_engine']['viewRender'][info.getClassName()];
}

CalemForm.prototype.getFieldRender =
function(normType) {
	return CalemConf['view_engine']['viewRender']['FieldRenders'][normType];
}

/**
 * View functions
 */
CalemForm.prototype.setViewVisible =
function(bl) {
	 if (!bl) { //Make sure cursor is parked somewhere safely.
		CalemContext.getInstance().doFf167801();
	 }
	 this._view.setVisible(bl);
}

CalemForm.prototype._removeView =
function() {
	//Remove the view first.
	this._viewHolder.removeChild(this._view);
	this._view.dispose();
}

/**
 * Form embedding and resume.
 */
CalemForm.prototype._embedForm =
function(ebInfo) {
	this._viewHolder.embedController(ebInfo);
}

/**
 * Restore host form
 */
CalemForm.prototype._closeAndResumeParentForm =
function(action) {	
	this._viewHolder.closeAndResumeParentController(action);
} 

/**
 * Find out the host form for the current form
 */
CalemForm.prototype.getHostForm =
function(idx) {
	return this._viewHolder.getHostForm(idx);
}

/**
 * Restore host form
 */
CalemForm.prototype._closeForm =
function(action) {	
	this._viewHolder.closeForm(action);
} 

/**
 * Parent controller handling of data inserted.
 */
CalemForm.prototype._reportDataInserted =
function(feedback) {
	var mi = this._modelItem;
	mi.onDataInserted(feedback.data);
} 

/**
 * Error render
 */
CalemForm.prototype.setFormErrorRender =
function(render) {
	this._formErrorRender=render;
}

CalemForm.prototype.getValidationCallback =
function() {
	return null;
} 

//Default definition
CalemForm.prototype._verifyInputBo =
function() {
	return true;
}

/**
 * Delete prompt
 */
CalemForm.prototype._onDeletePrompt =
function(promptCallback) {
	if (CalemConf['form_data_change']['deletePrompt']==CalemConst.DELETE_PROMPT) {
		CalemQuestionDialog.showIt(CalemMsg.getMsg('form_delete_title'), CalemMsg.getMsg('form_delete_prompt'), promptCallback);
	}
} 

/**
 * Form dependency management
 */
CalemForm.prototype.setFormLink =
function(link) {
	this._dataModel.setFormLink(link);	
} 

CalemForm.prototype.getCurrentRecord =
function() {
	return this._dataModel.getCurrentRecord();
}

CalemForm.prototype.setParentRec =
function(masterRec) {
	this._dataModel.setParentRec(masterRec);
}

CalemForm.prototype.getParentRec =
function() {
	return this._dataModel.getParentRec();
}

CalemForm.prototype.getFormQueryByParentRec =
function() {
	return this._dataModel.getTableQueryByParentRec();
}

/**
 * Open a form by desktop.
 */
CalemForm.prototype._openForm =
function(fmId, data) {
	CalemContext.getInstance().getDesktop().openForm(fmId, data);
}

/**
 * Form close and shutdown handling.
 * It's forwarded to ViewHolder since there may be many forms involved.
 */
CalemForm.prototype.canClose =
function(callback) {
	this._viewHolder.canClose(callback);
}

CalemForm.prototype.shutdown =
function() {
	this._viewHolder.shutdown();
}

/**
 * Each form has its own way of handling close and shutdown.
 */
CalemForm.prototype._canClose =
function(callback) { //By default, yes just close it.
	callback.run(true);
} 

/**
 * resync data based on list selection
 */
CalemForm.prototype.moveTo =
function(data, callback) {
	//overwrite	
	callback.run();
}

CalemForm.prototype.setCurrentRecord =
function(rec) {
	return this._dataModel.setCurrentRecord(rec);	
}

/**
 * Generic form event handling
 */

/**
 * BO deletion callback
 */
CalemForm.prototype.onDeleteBoCallback =
function(param, del) {
	if (del) this._onDeleteMore(param.evt); //Continue on with default handling.
} 

/**
 * Delete handling
 * Shared by List, Edit and Read forms.
 */ 
CalemForm.prototype.onDelete =
function(evt) {
	if (!this.canDelete(evt)) return;
	this._onDeleteMore(evt);
}

CalemForm.prototype._onDeleteMore =
function(evt) {
	var data=evt.item.getData(CalemContext.DATA);
	this.onDeleteWithData(data);
}

//Function to allow formEdit to call by fake data.
CalemForm.prototype.onDeleteWithData =
function(data) {
	this._onDeletePrompt(new AjxCallback(this, this._onDeletePromptCallback, data));
}

/**
 * Delete prompt callback
 */ 
CalemForm.prototype._onDeletePromptCallback =
function(data, selection) {
	if (selection) this._onDelete(data);
}

/**
 * Generic deletion handling.
 */
CalemForm.prototype._onDelete =
function(data) {	
	//Build the structure for soap call.
	var items=data.event.getItems();
	var tableDd=this._modelItem.getTableDd();	
	var rows=new Object();
	for (var i=0; i< items.size(); i++) {
		var item=items.get(i);
		rows['row_'+i] = {base: {table: data.table, id: item.id}};
		if (tableDd.getCustomFields()) {
			rows['row_'+i]['custom']={table: tableDd.getCustomTableName(), zc_id: item.id};
		}
	}
	CalemSoapClient.soapCall('DeleteData', rows, this._soapDeleteCallback)
} 

//Soap delete callback.
CalemForm.prototype.onSoapDeleteCallback =
function(resp) {
	//Analyze error msg.
   if (resp.getException()) {
   	var msg;
   	if (msg=resp.getErrorMsg()) CalemInfoDialog.showIt(CalemMsg.getMsg('error_server'), msg);
   } else {//Analyze soap response.
      var ddr=resp.getResponse().DeleteDataResponse;
      this._onSoapDeleteResponse(ddr);     
   }
}

/**
 * Process soap response from server
 */
CalemForm.prototype._onSoapDeleteResponse =
function(resp) {
	//This is batch process so let's handle it.
	var deleted=[];
	var errors=[];
	for (var i=0; i< resp.length; i++) {
		var recResp=resp[i];
		if (recResp.status==CalemForm.SOAP_SUCC) {
			deleted.push(recResp.feedback);
		} else {
			errors.push(recResp);
		}
	}
	//handle deletion first, then display error.
	if (deleted.length > 0) {
		var action=this._onDataDeleted(deleted);
		if (action) action.onAction(this);
		//post processing.
		this._onSoapDeleteSuccess();	
	};
	if (errors.length>0) { //Show first error
		var rowResp=errors[0];
		var errorHandler;
		if (rowResp.errorInfo && rowResp.errorInfo.id) {
			errorHandler=eval(['new ', rowResp.errorInfo.id, '(rowResp.table, rowResp.errorInfo)'].join(''));
		} else {
			errorHandler=new CalemErrorInfo(rowResp.table)
		}
		CalemInfoDialog.showIt(CalemMsg.getMsg('error_server'), errorHandler.getMessage());
	}
}

/**
 * Propagate deleted data
 */
CalemForm.prototype._onDataDeleted =
function(deleted) {
	//Cache update or none-cached.
	for (var i=0; i< deleted.length; i++) {
		recResp=deleted[i];
		var tableDd = this._modelItem.getTableDd();
		if (tableDd.isCached()) {
			this._dataModel.getCache().onDataDeleted(recResp.table, recResp.id);
		} else { //To update local cache.
		   return new CalemDeleteDbRecAction(recResp.table, recResp.id);
		}
	}
} 

//Soap call save is successful - refresh the form.
CalemForm.prototype._onSoapDeleteSuccess =
function() {
	//overwrite.
}

//Print handling.
CalemForm.prototype.onPrint =
function(ev) {
	this._onPrint(ev, 'CalemReport');
} 

CalemForm.prototype.onPrintCustomize =
function(ev) {
	this._onPrintCustomize(ev);
} 

/**
 * Print/Export with ev for record and aid for handler.
 * - CalemReport for report
 * - CalemExportExcel for exporting to excel
 */
CalemForm.prototype._onPrint =
function(ev, aid) {
	var item=this._getSelectedItem(ev);
	//A few things to prepare - timezone offset, date format, time format, number, integer format
	var conf=CalemConf['text_formatter'];
	var loc=["{timezone: '", CalemTextUtil.getTimezone(),
	            "', datefmt: '", conf.date.read,
	            "', timefmt: '", conf.time.read,
	            "', datetimefmt: '",  conf.datetime.read,
	            "', intfmt: '", conf.integer.local,
	            "', numberfmt: '", conf.number.local,
	            "', currencyfmt: '", conf.sys_currency.read, "'}"].join('');
	var loc64=CalemTextUtil.encodeUrlParam(loc);
	var xid=this._getReportExtraId();
	if (xid) xid=CalemTextUtil.encodeUrlParam(xid);
	//Open report window
	var url=calemRequestUrl + "?aid="+aid+"&cid="+(item? item.id: '')+"&rid="+this.getReportId()+"&lid="+loc64+"&xid="+xid;
	window.open(url, 'CalemReport', CalemConf['report_window_conf']);
} 

/**
 * Export to Excel
 */
CalemForm.prototype.onExportExcel =
function(ev) {
	this._onPrint(ev, 'CalemExportExcel');
}

CalemForm.prototype._getSelectedItem =
function(ev) {
	return CalemEvent.getItem(ev);
}

CalemForm.prototype._getReportExtraId =
function() {
	return '';
}

CalemForm.prototype._onPrintCustomize =
function(ev) {
	//Get the selection event
	var item=this._getSelectedItem(ev);
	//Prepare data for master detail view.
	var data = item ? {modelItem: this._modelItem, item: item} : {modelItem: this._modelItem};
	this._openForm(this.getReportId(), data);
}

/**
 * Default shutdown handling.
 * Remove all external links so all form objects can be garbage collected.
 * <ul>
 * <li> remove data model listeners to cache
 * <li> remove control listeners to data model
 * <li> remove form listeners (what of them?)
 * </ul>
 */
CalemForm.prototype._shutdown =
function() {	
	this._dataModel._shutdown();
	if (this._view) {//Some viewPageMd is not rendered at all.
		this._view._shutdown();
	}
} 

/**
 * Form to add cache listener after data load
 */
CalemForm.prototype.addCacheListener =
function() {
	this._modelItem.addCacheListener();
}

/**
 * To cache a form on close when embeded
 */
CalemForm.prototype.getCacheEmbedOnClose =
function() {
	return true; //Default policy is to keep it.
}
 
/**
 * Customize listener
 */ 
CalemForm.prototype.getCustomizeListener =
function()  {
	return this._customizeListener;
}

CalemForm.prototype.onCustomize =
function(ev) {
	this._onCustomize(ev);
}

CalemForm.prototype._getDataModel=
function() {
	return this._dataModel;
}

CalemForm.prototype._onCustomize =
function(ev) {
    var ebInfo=new CalemEmbedDesignInfo(this._parent, this.getDesign(), this.getId(), null, this._getDataModel());
	this._embedForm(ebInfo);
}

//Get form design
CalemForm.prototype.getDesign =
function() {
	return 'CalemFormListDesign';
}

/**
 * get custom info
 */
CalemForm.prototype.getCustomInfo =
function() {	
	return CalemCustomViewManager.getInstance().getFullCustomInfo(this.getViewId(), this.getDesignTarget()); 
}

CalemForm.prototype.getDesignTarget =
function() {
    return CalemDesignTargetInfo.getFormDesignTarget();
} 

/**
 * Shared editing functions.
 */
CalemForm.prototype._isViewInputValid =
function(fld, isValid) {
	var valid;
	try {
		valid=this._view.verifyViewInput(fld, isValid);
	} catch (ex) {
		if (CalemDebug.isInfo()) CalemDebug.info("Got verifyViewInput exception "+ ex);
		valid=false;
	}
	return valid;
}

CalemForm.prototype._onSoapResponseException =
function(resp) {
	//display error msg based on exception.
	var errorHandler;
	if (resp.errorInfo && resp.errorInfo.id) {
		try {
			errorHandler=eval(['new ', resp.errorInfo.id, '(resp.table, resp.errorInfo)'].join(''));
		} catch (ex) {
			CalemDebug.error("Error creating exception handler for: " + resp.errorInfo.id);
			errorHandler=new CalemErrorInfo(resp.table, resp.errorInfo);
		}
	} else {
		errorHandler=new CalemErrorInfo(resp.table)
	}
	CalemInfoDialog.showIt(CalemMsg.getMsg('error_server'), errorHandler.getMessage());
}

//Db bound record insertion handling
CalemForm.prototype.onNewDbRecordRaw =
function(table, recRaw) {
	if (table==this._modelItem.getTableName()) this._modelItem.onDataInserted(recRaw);
}

CalemForm.prototype.onDeleteDbRecAction =
function(table, id) {
	this._modelItem.onDataDeleted(id);
}

CalemForm.prototype.onUpdateDbRecAction =
function(table, rec) {
	this._modelItem.onDataUpdated(rec);
}

CalemForm.prototype.onReloadDataAction =
function(table) {
	if (table != this._modelItem.getId()) return;
	this._reLoadData();
}

CalemForm.prototype._checkParentRec =
function() {
	var rtn=true;
	if (!this._dataModel.getParentRec()) {
		CalemInfoDialog.showIt(CalemMsg.getMsg('form_new_title'), CalemMsg.getMsg('new_no_parent'));
		rtn=false;
	}
	return rtn;
}

/**
 * Data refresh
 */
CalemForm.prototype.getDataRefreshListener =
function() {
	return this._dataRefreshListener;
}

CalemForm.prototype.onDataRefresh =
function() {
	this._onDataRefresh();
}

CalemForm.prototype._onDataRefresh =
function() {
	//to be provided by detail forms.
}

CalemForm.prototype.onLookup =
function(fmId, lkupCallback, id, fld) {
   var ebInfo=new CalemEmbedLookupInfo(this._parent, fmId, lkupCallback, id);
	this._embedForm(ebInfo);
}

/**
 * Lookup control by controller
 * Note: host may not be straightforward. No use case at this time.
 */
CalemForm.prototype.getLookupFormByFld =
function(tbl, fld) {
	return null;
}

/**
 * Built-in filter support at list form
 */
CalemForm.prototype.initQueryByForm =
function(tblQuery) {
	return tblQuery;
}

/**
 * Lookup validation for edit, new and search edit form
 */
CalemForm.prototype.validateLookup =
function(lkupTable, lkupFld, fld, value, callback) {
	var lkupInfo=this._getLookupExtraInfo(fld);
	if (!lkupInfo) {
		this._cache.validateLookupSingle(lkupTable, lkupFld, value, callback);
	} else {
		lkupInfo.push({fld: lkupFld, value: value});
		this._cache.validateLookupMultiple(lkupTable, lkupInfo, value, callback);
	}
}

CalemForm.prototype._getLookupExtraInfo =
function(fld) {
	return null;
}

/**
 * Set field readonly
 */
CalemForm.prototype._setFieldsReadOnly =
function(flds) {
	if (!flds) return;
	for (var i=0; i< flds.length; i++) {
		this._view.setFieldReadOnly(flds[i]);
	}
}

//Valid range
CalemForm.prototype.setValidRange =
function(fld, min, max) {
	if (!this._view) return;
	this._view.setValidRange(fld, min, max);	
}
 
CalemForm.prototype.onLookupSelect =
function(fld, recLkup) {
}

CalemForm.prototype.setFieldValue =
function(fld, fv) {
	this._view.setFieldValue(fld, fv);	
}

CalemForm.prototype.hasRender =
function(fld) {
	return this._view.hasRender(fld);	
}

CalemForm.prototype._showSoapError =
function(soapResp) {
	//display error msg based on exception.
	var errorHandler;
	if (tranResp.errorInfo && tranResp.errorInfo.id) {
		errorHandler=eval(['new ', tranResp.errorInfo.id, '(tranResp.id, tranResp.errorInfo)'].join(''));
	} else {
		errorHandler=new CalemErrorInfo(tranResp.id)
	}
	CalemInfoDialog.showIt(CalemMsg.getMsg('error_server'), errorHandler.getMessage());
}

CalemForm.prototype._instantiate =
function(data) {
}

CalemForm.prototype.onLookupSelectAction =
function(table, rec) {
} 

CalemForm.prototype.canCreate =
function() {
	return true;
} 

CalemForm.prototype.canEdit =
function() {
	return true;
} 

CalemForm.prototype.canDelete =
function() {
	return true;
} 

//Open form embedded
CalemForm.prototype._openEmbedForm =
function(fmId, data) {
	var ebInfo=new CalemEmbedInfo(this._parent, fmId, data);
	this._embedForm(ebInfo);
} 

/**
 * Editing function shared between formread and formedit
 */

/**
 * Default handling to only process the update response.
 */
CalemForm.prototype.onSoapEditSaveTranCallback =
function(resp) {
	var rowResp=resp.TranResponse;
	if (rowResp.status == CalemForm.SOAP_SUCC) {
		//Report the data feedback.
		var rtn=this._onDataUpdated(resp.UpdateDataResponse[0].feedback);
		//post processing.
		this._onSoapSaveSuccess(rtn.action);		
	} else if (rowResp.status == CalemForm.SOAP_UPDATE_CONFLICT) {//Update conflict
		//@todo - to provide conflict resolution as another configuration.
		//Conflict info callback
	   var conflictCallback=new AjxCallback(this, this.onConflictInfoCallback, rowResp);
		CalemInfoDialog.showIt(CalemMsg.getMsg('form_save_title'), CalemMsg.getMsg('form_save_conflict'), conflictCallback);
	} else { //Need to display error.
		this._handleSoapSaveRespError(rowResp);
	}
}

//Handle soap response error
CalemForm.prototype._handleSoapSaveRespError =
function(rowResp) {
	if (rowResp.errorInfo && rowResp.errorInfo.id && rowResp.errorInfo.id == 'CalemDboDataNotFoundException') {
		//To remove this record from local storage and refresh.
		CalemInfoDialog.showIt(CalemMsg.getMsg('form_save_title'), CalemMsg.getMsg('form_save_deleted'), this._deleteInfoCallback);
	} else {//Display error msg and be done with it.
		//display error msg based on exception.
		var errorHandler;
		if (rowResp.errorInfo && rowResp.errorInfo.id) {
			errorHandler=eval(['new ', rowResp.errorInfo.id, '(rowResp.table, rowResp.errorInfo)'].join(''));
		} else {
			errorHandler=new CalemErrorInfo(this._modelItem.getId())
		}
		CalemInfoDialog.showIt(CalemMsg.getMsg('error_server'), errorHandler.getMessage());
	}
}

//Conflict info callback
CalemForm.prototype.onConflictInfoCallback =
function(rowResp) {
	//Refresh data
	var rtn=this._onDataUpdated(rowResp.feedback);
	if (rtn.action) {//Let's get the change to the parent record.
		//@todo - to make sure parent record also have this record updated.
		//this.callParentController(rtn.action);
	}
	//Repaint
	this._onDataChanged();
}

//Delete info callback
CalemForm.prototype.onDeleteInfoCallback =
function() {
	var rec=this._modelItem.getCurrentRecord();
	var action=this._onDataDeleted([ {table: this._modelItem.getId(), data: {id: rec.id}} ]);
	//Close form.
	this._closeAndResumeParentForm(action);
}

/**
 * Propagate new data
 */
CalemForm.prototype._onDataUpdated =
function(feedback) {
	//Cache update or parent controller update.
	var tableDd = this._modelItem.getTableDd();
	var action, rec;
	if (tableDd.isCached()) {
		rec=this._dataModel.getCache().onDataUpdated(feedback.table, feedback.server);
	} else {
		rec=this._modelItem.getRecordList()._getRecByRaw(feedback.server);
		action= this._getDataUpdatedAction(feedback.table, rec);
	}
	this._modelItem.setCurrentRecord(rec); //Make sure we update the rec.
	return {rec: rec, action: action};
}
 
CalemForm.prototype._getDataUpdatedAction =
function(table, rec) {
	var ob= new CalemUpdateDbRecAction(table, rec);
	return ob;
} 

CalemForm.prototype.setMdTabId =
function(id) {
	this._mdTabId=id;
}

CalemForm.prototype.getMdTabId =
function(id) {
	return this._mdTabId;
}

//Allow customize
CalemForm.prototype.allowCustomize =
function() {
	return true;
}

//Check TbCustomize on the form
CalemForm.prototype.isTbAvailable =
function(btn) {
	var ci=this.getCustomInfo();
	return ci.checkTbAcl(btn);
}

CalemForm.prototype.getActiveController =
function() {
	return this._viewHolder.getActiveController();
}

/**
 * Auto-completion (enable search as well)
 * - Use disabled to turn it off.
 */
CalemForm.prototype.getInputAcEnabled =
function(fld) {
	return (!this._acDisabled || !this._acDisabled[fld]);
}

CalemForm.prototype.loadCachedRecList =
function(tbId) {
	var ci=CalemContext.getInstance().getRegistry().getCache().get(tbId);
	return (ci ? ci.getRecordList().getList() : null);
}

CalemForm.prototype.fetchAcList =
function(match, lkupFld, lkupDd, cb) {
	var dbQuery=new CalemDbQuery();
	//constructing an efficient query here
	var tbn=lkupDd.getTableName();
	var qry=new CalemTableQuery(tbn, tbn);
	var selId=new CalemSelectField(tbn, 'id');
	var sel=new CalemSelectField(tbn, lkupFld);
	qry.addSelect(selId);
	qry.addSelect(sel); //Select id and lookup field.
	
	var fld=new CalemDbField(tbn, lkupFld);
	var val=new CalemDbString(match);
	var expr=new CalemDbExpr(fld, CalemDbExpr.LIKE, val);
	qry.setWhere(tbn, expr);
	
	var orderBy=new CalemQueryOrderBy(sel, CalemQueryOrderBy.ASC);
	qry.setOrderBy(orderBy);
	var range=new CalemQueryRange(0, CalemConf['auto_completion']['maxMatch']);
	qry.setRange(range);
	
	dbQuery.add(qry);
	this._cache.bulkLoad(dbQuery, cb);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
/**
 * CalemFormList
 * This is the listView form.
 * 
 */
function CalemFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemForm.call(this, parent, formId, data);
	//Toolbar handlers
	this._newListener=new AjxListener(this, this.onNew);
	this._openListener=new AjxListener(this, this.onOpen);
	//Optionally support edit listener
	this._editListener=new AjxListener(this, this.onEdit);
	//Delete handling
	this._deleteListener=new AjxListener(this, this.onDelete);
	this._soapDeleteCallback=new AjxCallback(this, this.onSoapDeleteCallback);
	//Print handler.
	this._printListener=new AjxListener(this, this.onPrint);
	//print customize to be deprecated.
	this._printCustomizeListener=new AjxListener(this, this.onPrintCustomize);
	//Export Excel handler.
	this._exportExcelListener=new AjxListener(this, this.onExportExcel);
	//Search and search clear
	this._searchListener=new AjxListener(this, this.onSearch);
	this._searchClearListener=new AjxListener(this, this.onSearchClear);
	//Add cancel listener
	this._cancelListener = new AjxListener(this, this.onCancel);
}

CalemFormList.prototype = new CalemForm;
CalemFormList.prototype.constructor = CalemFormList;

CalemFormList.prototype.toString = function() { return "CalemFormList"; }

/** To load data ASAP */
CalemFormList.prototype._loadData =
function() {
	this._dataModel.load(this._dataLoadCallback);
}

/** RE load data ASAP */
CalemFormList.prototype._onDataRefresh =
function() {
    this._reLoadData(true);
}

CalemFormList.prototype._reLoadData =
function(forceReload) {
	this._dataModel.load(this._dataReLoadCallback, forceReload);
}

/**
 * Search form id
 */
CalemFormList.prototype.getSearchFormId =
function() {
	return this._formInfo.getSearchFormId();
} 

/**
 * Event listeners
 */
CalemFormList.prototype.getNewListener =
function() {
	return this._newListener;
} 

CalemFormList.prototype.onNew =
function(evt) {
	this._onNew(evt);
}

CalemFormList.prototype._onNew =
function(evt) {
	if (!this.canCreate()) return;
   //To embed new form.
   var ebInfo=new CalemEmbedInfo(this._parent, this._getFormNewId());
	this._embedForm(ebInfo);
} 

/**
 * Open
 */
CalemFormList.prototype.getOpenListener =
function() {
	return this._openListener;
} 

CalemFormList.prototype.onOpen =
function(evt) {
	this._onOpen(evt);
} 

//Default is to open a read form
CalemFormList.prototype._onOpen =
function(evt) {	
	//Get the selection event
	var item=CalemEvent.getItem(evt);
	//Prepare data for master detail view.
	var data = {modelItem: this._modelItem, item: item};
	//embed read form here.
   var ebInfo=new CalemEmbedReadInfo(this._parent, this._getFormReadId(), data);
   this._embedForm(ebInfo);
} 

/**
 * Edit handling
 */
CalemFormList.prototype.getEditListener =
function() {
	return this._editListener;
} 

CalemFormList.prototype.onEdit =
function(evt) {
	if (!this._canEdit()) return false;
	this._onEdit(evt);
}

CalemFormList.prototype._onEdit =
function(evt) {
	//Overwrite.
}

/**
 * Delete
 */
CalemFormList.prototype.getDeleteListener =
function() {
	return this._deleteListener;
} 

/**
 * Print
 */
CalemFormList.prototype.getPrintListener =
function() {
	return this._printListener;
} 

CalemFormList.prototype.getPrintCustomizeListener =
function() {
	return this._printCustomizeListener;
} 

/**
 * Export Excel
 */
CalemFormList.prototype.getExportExcelListener =
function() {
	return this._exportExcelListener;
} 

//Render factory
CalemFormList.prototype.getRender =
function(info) {
	var render;
	if (!(render=CalemConf['view_engine']['viewListRender'][info.getClassName()])) {
		render=CalemForm.prototype.getRender.call(this, info);
	} 
	return render;
}

/**
 * Search listener
 */
CalemFormList.prototype.getSearchListener =
function() {
	return this._searchListener;
} 

CalemFormList.prototype.onSearch =
function(evt) {
	this._onSearch(evt);
}

CalemFormList.prototype._onSearch =
function(evt) {
	var ebInfo=new CalemEmbedSearchSelectInfo(this._parent, this.getSearchFormId(), this.getDataModel());
	this._embedForm(ebInfo);
}

/**
 * Search clear listener
 */
CalemFormList.prototype.getSearchClearListener =
function() {
	return this._searchClearListener;
} 

/**
 * Cancel listener
 */
CalemFormList.prototype.getCancelListener =
function() {
	return this._cancelListener;
} 

CalemFormList.prototype.onCancel =
function(evt) {
	this._onCancel(evt);
}

CalemFormList.prototype._onCancel =
function(evt) {
	this._closeAndResumeParentForm();
}


//post data loading by query
CalemFormList.prototype._reLoadDataBySearch =
function(tblQuery) {
	var evt= tblQuery ? new CalemEvent(CalemEvent.SEARCH_APPLIED) : new CalemEvent(CalemEvent.SEARCH_REMOVED);
	this._modelItem.notifyListeners(evt.getType(), evt);
}

CalemFormList.prototype.onSearchClear =
function(evt) {
	this._onSearchClear(evt);
}

//Remove current search.
CalemFormList.prototype._onSearchClear =
function(evt) {
	this.reLoadDataBySearch();
}

//Custom info handling
/**
 * Prepare grid info
 * {aclMap: MapOfHiddenFields,
 *  listInfo: CalemListInfo
 * }
 * Combining acls, custom and original layout.
 */
CalemFormList.prototype.getGridCustomInfo =
function() {
	var customInfo=this.getCustomInfo();
	var layout= customInfo.getLayout();
	var gridListInfo= layout ? layout.getGridLayout() : this.getViewInfo().getItem('grid').getListInfo();
	return {acl: customInfo.getAcl().getViewAcl()._acl, listInfo: gridListInfo};
}

/**
 * Support list query for report
 */
CalemFormList.prototype._getReportExtraId =
function() {
	var where=this._modelItem.getTableQuery().getWhereAll();
	var rtn='';
	if (where) {
		var exp=where.getCoreExpr();
		if (exp) rtn=exp.getSql();
	}
	return rtn;
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemFormListDet
 * This is the listView form for detail data.
 * 
 */
function CalemFormListDet(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
}

CalemFormListDet.prototype = new CalemFormList;
CalemFormListDet.prototype.constructor = CalemFormListDet;

CalemFormListDet.prototype.toString = function() { return "CalemFormListDet"; }

CalemFormListDet.prototype._onNew =
function(evt) {
	if (!this._checkParentRec()) return;
	if (!this.canCreate()) return;
	
	var ebInfo=new CalemEmbedNewDetInfo(this._parent, this._getFormNewId(), this._dataModel.getParentRec(), this._dataModel.getFormLink());
	this._embedForm(ebInfo);
} 

//Default is to open a read form
CalemFormListDet.prototype._onOpen =
function(evt) {	
	if (!this._checkParentRec()) return;
	
	//Get the selection event
	var item=CalemEvent.getItem(evt);
	//Prepare data for master detail view.
	var data = {modelItem: this._modelItem, item: item};
	//embed read form here.
   var ebInfo=new CalemEmbedReadDetInfo(this._parent, this._getFormReadId(), data, this._dataModel.getParentRec(), this._dataModel.getFormLink());
   this._embedForm(ebInfo);
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemFormListDetNoMd
 * This is the listView form for detail data.
 * 
 */
function CalemFormListDetNoMd(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
}

CalemFormListDetNoMd.prototype = new CalemFormListDet;
CalemFormListDetNoMd.prototype.constructor = CalemFormListDetNoMd;

CalemFormListDetNoMd.prototype.toString = function() { return "CalemFormListDetNoMd"; }

/**
 * Setting up master detail relation ship.
 */
CalemFormListDetNoMd.prototype._createDataModel =
function(data) {
	CalemFormList.prototype._createDataModel.call(this);
	this._instantiate(data);
}

CalemFormListDetNoMd.prototype._instantiate =
function(data) {
	//Reset parent info.
	this.setParentRec(data.parentRec);
	this.setFormLink(data.link);
	//Also set up query for fetching details only.
	this._modelItem.setTableQuery(this._dataModel.getTableQueryByParentRec());
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemFormNew
 * This is the new record form
 * 
 */
function CalemFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemForm.call(this, parent, formId, data);
	//Supporting Save and Cancel
	this._saveListener=new AjxListener(this, this.onSave);
	this._cancelListener=new AjxListener(this, this.onCancel);
	this._validationCallback=new AjxCallback(this, this.onDataValidationEvent);
	this._closePromptCallback=new AjxCallback(this, this.onClosePrompt);
	this._soapNewSaveCallback=new AjxCallback(this, this.onSoapNewSaveCallback);
}

CalemFormNew.prototype = new CalemForm;
CalemFormNew.prototype.constructor = CalemFormNew;

CalemFormNew.prototype.toString = function() { return "CalemFormNew"; }

// default is CalemView
CalemFormNew.prototype.createView =
function() {
	CalemForm.prototype.createView.call(this);
	this._view.setScrollStyle(Dwt.SCROLL);
}

CalemFormNew.prototype._loadData =
function() {
	//Create new record
	this._dataModel.createNewRecord();
	var rec=this._dataModel.getCurrentRecord();
	this._initNewRec(rec);
	this.onDataLoaded(); //Mimic a callback so form opening can continue.
} 

//Give form a chance to initialize a new record form.
CalemFormNew.prototype._initNewRec =
function(rec) {
}

//Event handlers
CalemFormNew.prototype.getSaveListener =
function() {
	return this._saveListener;
} 

CalemFormNew.prototype.getCancelListener =
function() {
	return this._cancelListener;
} 

CalemFormNew.prototype.onCancel =
function() {
	this._onCancel();
} 

//Default implementation
CalemFormNew.prototype._onCancel =
function() {
	this._closeAndResumeParentForm(); //Since it's cached.
}  

//Default implementation
CalemFormNew.prototype.onClosePrompt =
function(selection) {
	if (selection) {//Continue closing the form.
		this._closeAndResumeParentForm();
	}
}

/**
 * Can this form be closed?
 * callback with true allows close, false will not.
 */
CalemFormNew.prototype._canClose =
function(callback) {
	if (this._isViewInputValid()) {
		CalemQuestionDialog.showIt(CalemMsg.getMsg('form_close_title'), CalemMsg.getMsg('form_close_prompt'), callback);
	} else {
		callback.run(true);
	}
}

//Find renders
CalemFormNew.prototype.getRender =
function(info) {
	var render;
	if (!(render=CalemConf['view_engine']['viewEditRender'][info.getClassName()])) {
		render=CalemForm.prototype.getRender.call(this, info);
	} 
	return render;
}

CalemFormNew.prototype.getFieldRender =
function(normType) {
	var render;
	if (!(render=CalemConf['view_engine']['viewEditRender']['FieldRenders'][normType])) {
		render=CalemForm.prototype.getFieldRender.call(this, normType);
	} 
	return render;
}

/**
 * Data validation callback
 */
CalemFormNew.prototype.getValidationCallback =
function() {
	return this._validationCallback;
} 

//Async call here - to workaround FF focus issue.
CalemFormNew.prototype.onDataValidationEvent =
function(field, isValid, value) {
	var action=new AjxTimedAction(this, this._onDataValidationEvent, {field: field, isValid: isValid, value: value});
	AjxTimedAction.scheduleAction(action, CalemConf['view_engine']['validationDelay']);
}

CalemFormNew.prototype._onDataValidationEvent =
function(param) {
	var field=param.field;
	var isValid=param.isValid;
	var value=param.value;
	
	var valid=isValid;
	if (isValid) {
		valid=this._isViewInputValid(field.getFieldInfo().fld, isValid);
	}
	var errorMsg;
	//Try business logic.
	if (valid) {
		try {
			valid=this._verifyInputBo();
		} catch (ex) {
			if (CalemDebug.isInfo()) CalemDebug.info("Got form verifyInput exception "+ ex);
			valid=false;
			if (typeof ex == "string")
				errorMsg = ex;
		}
	}
	//Generate events and show error msg if any.
	return this._generateEvent(valid, errorMsg);
}

CalemFormNew.prototype._generateEvent =
function(valid, errorMsg) {
	//Generate events and show error msg if any.
	if (valid) {
		var evt=new CalemDataValidEvent(true);
		this._modelItem.notifyListeners(evt.getType(), evt);
		this._formErrorRender.hide();
	} else {
		var evt=new CalemDataInvalidEvent(true);
		this._modelItem.notifyListeners(evt.getType(), evt);
		if (errorMsg) this._formErrorRender.setErrorMsg(errorMsg);
	}
	return valid;
}

//Collecting input
CalemFormNew.prototype._getInputDataRow =
function() {
	var row=new Object();
	var tableDd=this._modelItem.getTableDd();
	var fields=tableDd.getFields();
	for (var i in fields) {
		var val=this._view.getInsertFieldServerValue(i);
		if (val) row[i]=val;
	}
	return row;
}

/**
 * Save handling for formNew
 */
CalemFormNew.prototype.onSave =
function(evt) {
	this._onSave(evt);
} 

/**
 * Add custom fields handling.
 */
CalemFormNew.prototype._onSave =
function(evt) {
	var rows=this._prepareDataNew();
	this._onSaveCall(rows);
}

CalemFormNew.prototype._onSaveCall =
function(rows) {
	CalemSoapUtil._onSoapCall('InsertData', rows, this._soapNewSaveCallback);
}

CalemFormNew.prototype._prepareDataNew =
function() {
	var row=this._getInputDataRow();
	//Collect parent link id for detail forms.
	this._dataModel.addParentRecId(row);
	//Now also create a query to get the inserted data back if successful for updating front end.
	var tableDd=this._modelItem.getTableDd();
	var tq=tableDd.buildGetOneQuery();
	//split into base and custom so custom fields can be handled properly.
	var rtn=CalemViewUtil.partitionData(tableDd, row);
	var cTable= (tableDd.getCustomFields() ? tableDd.getCustomTableName() : null);
	//Now let's make a soap call with busy signal
	var rows={row_0: { base: { table: tableDd.getTableName(), data: rtn.base},
	                   custom: {table: cTable, data: rtn.custom}, 
	                   sql: tq.getSql()}};
	return rows;	                   
} 

/**
 * Process soap response from server
 */
CalemFormNew.prototype.onSoapNewSaveCallback =
function(resp) {
	//This is single record so let's process it.
	var rowResp=resp[0];
	if (rowResp.status == CalemForm.SOAP_SUCC) {
		//Report the data feedback.
		var action=this._onDataInserted(rowResp.feedback);
      //post-processing
      this._onNewSaved();
		//post processing.
		this._onSoapSaveSuccess(action);		
	} else { //Need to display error.
		this._onSoapResponseException(rowResp);
	}
}

/**
 * Propagate new data
 */
CalemFormNew.prototype._onDataInserted =
function(feedback) {
	//Cache update or parent controller update.
	var tableDd = this._modelItem.getTableDd();
	if (tableDd.isCached()) {//Report to cache.
		this._dataModel.getCache().onDataInserted(feedback.table, feedback.data);
	} else { //Report to parent controller if any.
	   return this._getDataInsertedAction(feedback.table, feedback.data);
	}
} 

CalemFormNew.prototype._getDataInsertedAction =
function(table, data) {
	return new CalemNewDbRecRawAction(table, data);
}

//Soap call save is successful - close embed form now.
CalemFormNew.prototype._onSoapSaveSuccess =
function(action) {
	this._closeAndResumeParentForm(action);
}

CalemFormNew.prototype._onNewSaved =
function() {
	//To clean up the new form since it may be reused.
	this._onDataChanged();
	//Make sure disable save button
	var evt=new CalemDataInvalidEvent(true);
	this._modelItem.notifyListeners(evt.getType(), evt);
}

CalemFormNew.prototype.onRecChanged =
function(ev) {
	if (CalemDebug.isDebug()) CalemDebug.debug("recChange event for form: "+this.getId()+", ev="+ev);
	//Maybe we should prompt data change and close the form
	this._onDataChanged(ev);
}

//view is reset, so save command should not be enabled.
CalemFormNew.prototype._viewReset =
function(ev) {
	this._generateEvent(false);
}

/**
 * No need for new form to resume view which means to wipe out all the 
 * changes. Must use special functions to do so.
 */
CalemFormNew.prototype._resumeView =
function() {
	//Need to reset focus here.
	this._view.setFocus();
}

CalemFormNew.prototype.getDesign =
function() {
	return 'CalemFormRecordDesign';
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemFormNewCacheLoad
 * This is the new record form
 * 
 */
function CalemFormNewCacheLoad(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
	//Pre-load cached other items.
	this._cacheLoadedCb=new AjxCallback(this, this.onCacheLoaded);
	this._cache=CalemContext.getInstance().getRegistry().getCache();
}

CalemFormNewCacheLoad.prototype = new CalemFormNew;
CalemFormNewCacheLoad.prototype.constructor = CalemFormNewCacheLoad;

CalemFormNewCacheLoad.prototype.toString = function() { return "CalemFormNewCacheLoad"; }

CalemFormNewCacheLoad.prototype._loadData =
function() {//Record should have been set already.
	if (!this._dataModel.getCurrentRecord()) this._dataModel.createNewRecord();
	var rec=this._dataModel.getCurrentRecord();
	this._initNewRec(rec);
	this._cache.bulkLoadCacheForTable(this._modelItem.getId(), this._cacheLoadedCb);
} 

CalemFormNewCacheLoad.prototype.onCacheLoaded =
function() {
	this.onDataLoaded();
}  
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemFormEdit
 * This is the record edit form.
 * 
 */
function CalemFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
	//Inherits from form new most of the listeners.
	this._deleteListener = new AjxListener(this, this.onDelete);
	this._soapEditSaveCallback=new AjxCallback(this, this.onSoapEditSaveCallback);
}

CalemFormEdit.prototype = new CalemFormNew;
CalemFormEdit.prototype.constructor = CalemFormEdit;

CalemFormEdit.prototype.toString = function() { return "CalemFormEdit"; }

/**
 * Monitor some events
 */
CalemFormEdit.prototype._createDataModel =
function(data) {	
	CalemFormNew.prototype._createDataModel.call(this, data);
   //rec change listener
	this._recChangeListener = new AjxListener(this, this.onRecChanged);
	this._modelItem.addRecChangeListener(this._recChangeListener);
}

/**
 * No need for edit form to resume view which means to wipe out all the 
 * changes.
 */
CalemFormEdit.prototype._resumeView =
function() {
	//Need to reset focus here.
	this._view.setFocus();
}

//view is reset, so save command should not be enabled.
CalemFormEdit.prototype._viewReset =
function(ev) {
	var rec=this._modelItem.getCurrentRecord();
	var ev=new CalemRecEditEvent(rec);
	ev.setType(CalemEvent.EDIT_NO_CHANGE); 
	this._modelItem.notifyListeners(ev.getType(), ev);
}

CalemFormEdit.prototype._loadData =
function() {//Record should have been set already.
	this.onDataLoaded(); //Mimic a callback so form opening can continue.
} 

//Event handlers
CalemFormEdit.prototype.getDeleteListener =
function() {
	return this._deleteListener;
} 

//post deletion processing.
CalemFormEdit.prototype._onSoapDeleteSuccess =
function() { //Close the embed form.
	this._closeAndResumeParentForm();	
}

//Need to check for changes.
CalemFormEdit.prototype._onCancel =
function() {
	//Prompt exit if it has value.
	if (this._getEditChanged()) {
		CalemQuestionDialog.showIt(CalemMsg.getMsg('form_close_title'), CalemMsg.getMsg('form_close_prompt'), this._closePromptCallback);
	} else this._closeAndResumeParentForm();
}  

/**
 * Can this form be closed?
 * callback with true allows close, false will not.
 */
CalemFormEdit.prototype._canClose =
function(callback) {
	if (this._getEditChanged()) {
		CalemQuestionDialog.showIt(CalemMsg.getMsg('form_close_title'), CalemMsg.getMsg('form_close_prompt'), callback);
	} else {
		callback.run(true);
	}
}

/**
 * Check for rec change if validation is good.
 */
CalemFormEdit.prototype.onDataValidationEvent =
function(field, isValid, value) {
	var action=new AjxTimedAction(this, this._onDataValidationEvent, {field: field, isValid: isValid, value: value});
	AjxTimedAction.scheduleAction(action, CalemConf['view_engine']['validationDelay']);
}

CalemFormEdit.prototype._onDataValidationEvent =
function(param) {
	var valid=CalemFormNew.prototype._onDataValidationEvent.call(this, param);
	var field=param.field; var isValid=param.isValid; var value=param.value; //Restore param.
	if (valid) {//Check for data change and generate proper events.
		var rec=this._modelItem.getCurrentRecord();
	   var ev=new CalemRecEditEvent(rec);
		if (!this._getEditChanged()) {
			ev.setType(CalemEvent.EDIT_NO_CHANGE);
		} 
		this._modelItem.notifyListeners(ev.getType(), ev);
	}
}

/**
 * Rec change detection.
 */
CalemFormEdit.prototype._getEditChanged =
function() {
	var rtn=false;
	var tableDd=this._modelItem.getTableDd();
	var fields=tableDd.getFields();
	for (var i in fields) {
		if (rtn=this._view.getFieldChanged(i)) break;
	}
	return rtn;
}

/**
 * Collect field changes.
 */
CalemFormEdit.prototype._collectEditChanged =
function() {
	var update = new Object();
	var tableDd=this._modelItem.getTableDd();
	var fields=tableDd.getFields();
	for (var i in fields) {
		if (rtn=this._view.getFieldChanged(i)) update[i]=this._view.getEditFieldServerValue(i);
	}
	return update;
}

//It's the current record
CalemFormEdit.prototype._onSave =
function(evt) {
	var rows=this._prepareDataEdit();
	this._onSaveCall(rows);
} 

CalemFormEdit.prototype._onSaveCall =
function(rows) {
	CalemSoapUtil._onSoapCall('UpdateData', rows, this._soapEditSaveCallback);
}

CalemFormEdit.prototype._prepareDataEdit =
function() {
	var tableDd=this._modelItem.getTableDd();
	//prepare current record
	var rec=this._modelItem.getCurrentRecord();
	var current=rec.getJsonObject();
	var cRtn=CalemViewUtil.partitionData(tableDd, current);
	//Collect updates
	var update=this._collectEditChanged();
	var uRtn=CalemViewUtil.partitionData(tableDd, update);
	//Now also create a query to get the inserted data back if successful for updating front end.
	var tq=tableDd.buildGetOneQuery();
	//Now let's make a soap call with busy signal
	var rows={row_0: {base: {table: tableDd.getTableName(), current: cRtn.base, update: uRtn.base},
	                  custom: {table: tableDd.getCustomTableName(), current: cRtn.custom, update: uRtn.custom},
	                  sql: tq.getSql()} };
	return rows;	                  
}

/**
 * Process soap response from server
 */
CalemFormEdit.prototype.onSoapEditSaveCallback =
function(resp) {
	//This is single record so let's process it.
	var rowResp=resp[0];
	if (rowResp.status == CalemForm.SOAP_SUCC) {
		//Report the data feedback.
		var rtn=this._onDataUpdated(rowResp.feedback);
		//post processing.
		this._onSoapSaveSuccess(rtn.action);		
	} else if (rowResp.status == CalemForm.SOAP_UPDATE_CONFLICT) {//Update conflict
		//@todo - to provide conflict resolution as another configuration.
		//Conflict info callback
	   var conflictCallback=new AjxCallback(this, this.onConflictInfoCallback, rowResp);
		CalemInfoDialog.showIt(CalemMsg.getMsg('form_save_title'), CalemMsg.getMsg('form_save_conflict'), conflictCallback);
	} else { //Need to display error.
		this._onSoapResponseException(rowResp);
	}
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemFormRead
 * This is the read only view.
 * 
 */
function CalemFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemForm.call(this, parent, formId, data);
	//Toolbar handlers - New, Edit, Delete, Prev, Next, Print, and custom menu items
	this._newListener=new AjxListener(this, this.onNew);
	this._editListener=new AjxListener(this, this.onEdit);
	//Delete handling
	this._deleteListener=new AjxListener(this, this.onDelete);
	this._soapDeleteCallback=new AjxCallback(this, this.onSoapDeleteCallback);
	//Prev/Next
	this._prevListener=new AjxListener(this, this.onPrev);
	this._nextListener=new AjxListener(this, this.onNext);
	//Print handler.
	this._printListener=new AjxListener(this, this.onPrint);	
	//Cancel
	this._cancelListener=new AjxListener(this, this.onCancel);
}

CalemFormRead.prototype = new CalemForm;
CalemFormRead.prototype.constructor = CalemFormRead;

CalemFormRead.prototype.toString = function() { return "CalemFormRead"; }

/**
 * Monitor some events
 */
CalemFormRead.prototype._createDataModel =
function(data) {	
	CalemForm.prototype._createDataModel.call(this, data);
   //rec change listener
	this._recChangeListener = new AjxListener(this, this.onRecChanged);
	this._modelItem.addRecChangeListener(this._recChangeListener);
	//Add a data change listener
	this._recMoveListener = new AjxListener(this, this.onRecMoved);
	this._modelItem.addRecMoveListener(this._recMoveListener);
}

// default is CalemView
CalemFormRead.prototype.createView =
function() {
	CalemForm.prototype.createView.call(this);
	this._view.setScrollStyle(Dwt.SCROLL);
}
	 
/**
 * Load data for read form.
 */
CalemFormRead.prototype._loadData =
function() {
	this._dataModel.load(this._dataLoadCallback);
}

/** RE load data ASAP */
CalemFormRead.prototype._onDataRefresh =
function() {
    this._reLoadData(true);
}

CalemFormRead.prototype._reLoadData =
function(forceReload) {
	this._dataModel.load(this._dataReLoadCallback, forceReload);
}


/**
 * Event listeners
 */
CalemFormRead.prototype.getNewListener =
function() {
	return this._newListener;
} 

CalemFormRead.prototype.onNew =
function(evt) {
	if (!this.canCreate()) return;
	//To embed new form.
   var ebInfo=new CalemEmbedInfo(this._parent, this._getFormNewId());
	this._embedForm(ebInfo);
} 

//Cancel listener
CalemFormRead.prototype.getCancelListener =
function() {
	return this._cancelListener;
} 

CalemFormRead.prototype.onCancel =
function() {
	this._onCancel();
} 

//Default implementation
CalemFormRead.prototype._onCancel =
function() {
	this._closeAndResumeParentForm(); //Since it's cached.
}  

/**
 * Open
 */
CalemFormRead.prototype.getEditListener =
function() {
	return this._editListener;
} 

CalemFormRead.prototype.onEdit =
function(evt) {
	if (!this.canEdit()) return;
	this._onEdit(evt);
} 


CalemFormRead.prototype._onEdit =
function(evt) {
	//Get the selection event
	var item=CalemEvent.getItem(evt);
	//Prepare data for master detail view.
	var data = {modelItem: this._modelItem, item: item};
    //To embed new form.
    var ebInfo=new CalemEmbedEditInfo(this._parent, this._getFormEditId(), data);
	this._embedForm(ebInfo);
} 

/**
 * Delete
 */
CalemFormRead.prototype.getDeleteListener =
function() {
	return this._deleteListener;
} 
//Report record move event
CalemFormRead.prototype._reportRecMoved =
function() {
	var ev=new CalemRecMoveEvent(this._dataModel.getId());
	this.onRecMoved(ev);
}

/**
 * Prev
 */
CalemFormRead.prototype.getPrevListener =
function() {
	return this._prevListener;
} 

CalemFormRead.prototype.onPrev =
function() {
	this._modelItem.movePrev();
}

/**
 * Next
 */
CalemFormRead.prototype.getNextListener =
function() {
	return this._nextListener;
}  

CalemFormRead.prototype.onNext =
function() {
	this._modelItem.moveNext();
} 

/**
 * Print
 */
CalemFormRead.prototype.getPrintListener =
function() {
	return this._printListener;
}

//Find read renders
CalemFormRead.prototype.getRender =
function(info) {
	var render;
	if (!(render=CalemConf['view_engine']['viewReadRender'][info.getClassName()])) {
		render=CalemForm.prototype.getRender.call(this, info);
	} 
	return render;
}

CalemFormRead.prototype.getFieldRender =
function(normType) {
	var render;
	if (!(render=CalemConf['view_engine']['viewReadRender']['FieldRenders'][normType])
	  &&!(render=CalemConf['view_engine']['viewReadRender']['FieldRenders']['default'])) {
		render=CalemForm.prototype.getFieldRender.call(this, normType);
	} 
	return render;
}

//Business logic for form read

//First time to trigger some events after form is rendered.
CalemFormRead.prototype._render =
function() {
	CalemForm.prototype._render.call(this);
	this._modelItem._reportPosition();
}

/**
 * Data move and change handling
 */
CalemFormRead.prototype.onRecChanged =
function(ev) {
	if (CalemDebug.isDebug()) CalemDebug.debug("recChange event for form: "+this.getId());
	this._onDataChanged(ev);
}

/**
 * On current record moved. Sources of this event:
 * <ul>
 * <li> Next/Prev toolbar button click
 * <li> Underlying data change caused record to change
 * </ul>
 */
CalemFormRead.prototype.onRecMoved =
function(ev) {
	if (CalemDebug.isDebug()) CalemDebug.debug("recMove event for form: "+this.getId());
	this._onDataChanged(ev);
}

/**
 * Record navigation event.
 */
CalemFormRead.prototype.addRecMoveListener =
function(listener) {
	this._modelItem.addRecMoveListener(listener);
} 

CalemFormRead.prototype.removeRecMoveListener =
function(listener) {
	this._modelItem.removeRecMoveListener(listener);
}  

CalemFormRead.prototype.addRecModifiedListener =
function(listener) {
	this.addListener(CalemEvent.PARENT_REC_MODIFIED, listener);
} 

CalemFormRead.prototype.removeRecModifiedListener =
function(listener) {
	this.removeListener(CalemEvent.PARENT_REC_MODIFIED, listener);
}  

//Form read shutdown handling
CalemFormRead.prototype._shutdown =
function() {	
	//remove read listeners
	this._modelItem.removeRecChangeListener(this._recChangeListener);
	this._modelItem.removeRecMoveListener(this._recMoveListener);
	CalemForm.prototype._shutdown.call(this);
} 

//Get form design
CalemFormRead.prototype.getDesign =
function() {
	return 'CalemFormRecordDesign';
}

//Soap call save is successful - close embed form now.
CalemFormRead.prototype._onSoapSaveSuccess =
function(action) {
	if (action) action.onAction(this);
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemFormReadDet
 * This is the read only view.
 * 
 */
function CalemFormReadDet(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormRead.call(this, parent, formId, data);
}

CalemFormReadDet.prototype = new CalemFormRead;
CalemFormReadDet.prototype.constructor = CalemFormReadDet;

CalemFormReadDet.prototype.toString = function() { return "CalemFormReadDet"; }

CalemFormReadDet.prototype.onNew =
function(evt) {
	if (!this._checkParentRec()) return;
	if (!this.canCreate()) return;
	
	var ebInfo=new CalemEmbedNewDetInfo(this._parent, this._getFormNewId(), this._dataModel.getParentRec(), this._dataModel.getFormLink());
	this._embedForm(ebInfo);
} 

CalemFormReadDet.prototype._onEdit =
function(evt) {
	//Get the selection event
	var item=CalemEvent.getItem(evt);
	//Prepare data for master detail view.
	var data = {modelItem: this._modelItem, item: item};
   //To embed new form.
   var ebInfo=new CalemEmbedEditDetInfo(this._parent, this._getFormEditId(), data, this._dataModel.getParentRec(), this._dataModel.getFormLink());
	this._embedForm(ebInfo);
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

/**
 * CalemFormChart
 * This is the read only view.
 * 
 */
function CalemFormChart(parent, formId, data) {
	if (arguments.length==0) return;
	CalemForm.call(this, parent, formId, data);
	this._printListener=new AjxListener(this, this.onPrint);	
	this._reload=['&',CalemConf['chart_engine']['forceload'],'=1'].join('');
	this._resetData=new AjxTimedAction(this, this._onResetData);
}

CalemFormChart.prototype = new CalemForm;
CalemFormChart.prototype.constructor = CalemFormChart;

CalemFormChart.prototype.toString = function() { return "CalemFormChart"; }
	 
/**
 * Load data for read form.
 */
CalemFormChart.prototype._loadData =
function() {
	this.onDataLoaded(); //bypass data loading.
}

//To have chart component to reload.
CalemFormChart.prototype._onDataRefresh =
function() {
	this._chartObj.reloadData(this._dataParam+this._reload);
	//Set a timer to reset the info not to force refresh.
	AjxTimedAction.scheduleAction(this._resetData, CalemConf['chart_engine']['resetDelay']);
}

//Reset data load without reload
CalemFormChart.prototype._onResetData =
function() {
	this._chartObj.reloadData(this._dataParam);
}

/**
 * Print
 */
CalemFormChart.prototype.getPrintListener =
function() {
	return this._printListener;
}

//@todo - to use export function doing this.
CalemFormChart.prototype._onPrint =
function(ev) {
	this._chartObj.exportImage(CalemViewUtil.getChartExportUrl());
}

//Find read renders
CalemFormChart.prototype.getRender =
function(info) {
	var render;
	if (!(render=CalemConf['view_engine']['viewReadRender'][info.getClassName()])) {
		render=CalemForm.prototype.getRender.call(this, info);
	} 
	return render;
}

CalemFormChart.prototype.getFieldRender =
function(normType) {
	var render;
	if (!(render=CalemConf['view_engine']['viewReadRender']['FieldRenders'][normType])
	  &&!(render=CalemConf['view_engine']['viewReadRender']['FieldRenders']['default'])) {
		render=CalemForm.prototype.getFieldRender.call(this, normType);
	} 
	return render;
}

CalemFormChart.prototype.setChartObj =
function(obj) {
	this._chartObj=obj;
}

CalemFormChart.prototype.setDataParam =
function(dataParam) {
	this._dataParam=dataParam;
}

//Business logic for form read 

//Get form design
CalemFormChart.prototype.getDesign =
function() {
	return 'CalemFormRecordDesign';
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
/**
 * CalemFormMdTab
 * This is multi-tab form controller.
 * 
 */
function CalemFormMdTab(parent, formId, data) {
	if (arguments.length==0) return;
	CalemForm.call(this, parent, formId, data);
}

CalemFormMdTab.prototype = new CalemForm;
CalemFormMdTab.prototype.constructor = CalemFormMdTab;

CalemFormMdTab.prototype.toString = function() { return "CalemFormMdTab"; }

/**
 * Data model factory method
 */
CalemFormMdTab.prototype._createDataModel =
function(data) {	
	var impl= CalemConf['desktop_mainView']['form']['formModelImpl'];
	var model=this._formInfo.getModel();
	this._formModel=eval(['new ', impl, '(this._parent, model, this, data)'].join(''));
}

CalemFormMdTab.prototype._getDataModel=
function() {
	return this._formModel;
}

/**
 * Share the same ViewMdTab
 */
CalemFormMdTab.prototype.createView =
function() {
	//Figure out the tab count here.
	var customInfo=this.getCustomInfo();
	//Use original layout so give admin a chance to see Customize
	var layout= this._formInfo.getLayout();
	var ext= layout.getTabList().length > 1 ? CalemConst._TAB_MULTI : CalemConst._TAB_SINGLE;
	var impl= CalemConf['desktop_mainView']['form']['viewMdTabImpl'][ext];
	this._view=eval(['new ', impl, '(this._viewHolder, this)'].join(''));
	this._fitViewToParent();
}

/**
 * To prepare data fetch functions for one call.
 */
CalemFormMdTab.prototype._loadData =
function() {
	this._formModel.load(this._dataLoadCallback);
} 

//Register for cache listeners.
CalemFormMdTab.prototype._onDataLoaded =
function() {
	this._formModel.onInitDataLoaded(); //Form model to do initialization.
	CalemForm.prototype._onDataLoaded.call(this);
}

/**
 * Form def services
 */
CalemFormMdTab.prototype.getFormModel =
function() {
	return this._formModel;
}
 
/**
 * Render factory for mdTab - use toString() to get render.
 */
CalemFormMdTab.prototype.getRender =
function(info) {
	return CalemConf['view_engine']['viewRenderMdTab'][info.toString()];
}

/**
 * shutdown
 * <ul>
 * <li> shutdown each form owned.
 * </ul>
 */
CalemFormMdTab.prototype._shutdown =
function() {	
	this._formModel._shutdown();
	this._view._shutdown();
} 

/**
 * resync data based on list selection
 */
CalemFormMdTab.prototype.openAt =
function(data, callback) {
	//If data model is changed will reclose and open again
	//Switching data model is too expensive and error prone (due to listeners resync).
	if (this._formModel.isDataModelChanged(data)) {
		this._data=data;
		callback.run(); //Bring form to front first (so it can be closed).
		this.reRenderView();
	} else {
		this._formModel.openAt(data, callback);
	}
}

/**
 * get custom info
 */
CalemFormMdTab.prototype.getCustomInfo =
function() {
	return CalemCustomFormManager.getInstance().getFullCustomInfo(this._formInfo.getId(), this.getDesignTarget()); 
} 

//Get form design
CalemFormMdTab.prototype.getDesign =
function() {
	return 'CalemFormMdTabDesign';
}

CalemFormMdTab.prototype.getFormInfo =
function() {
	return this._formInfo;
}

/**
 * MdTab reRenderView.
 */
CalemFormMdTab.prototype.reRenderView =
function() {
	//Simply close and reopen the form.
	var action=new CalemOpenFormAction(this._formInfo.getId(), this._data);
	this._closeForm(action);
}

/**
 * Action handling
 */
//Db bound record insertion handling
CalemFormMdTab.prototype.onNewDbRecordRaw =
function(table, recRaw) {
	if (!this._formModel.getFormByModel(table)) return;
	this._formModel.getFormByModel(table).onNewDbRecordRaw(table, recRaw);
	this._resumeView();
}

CalemFormMdTab.prototype.onDeleteDbRecAction =
function(table, id) {
	if (!this._formModel.getFormByModel(table)) return;
	this._formModel.getFormByModel(table).onDeleteDbRecAction(table, id);
	this._resumeView();
}
 
CalemFormMdTab.prototype.onUpdateDbRecAction =
function(table, rec) {
	if (!this._formModel.getFormByModel(table)) return;
	this._formModel.getFormByModel(table).onUpdateDbRecAction(table, rec);
	this._resumeView();
}  

CalemFormMdTab.prototype.onLookupSelectAction =
function(table, rec) {
	if (!this._formModel.getFormByModel(table)) return;
	this._formModel.getFormByModel(table).onLookupSelectAction(table, rec);
}  

CalemFormMdTab.prototype.onReloadDataAction =
function(table) {	
	if (!this._formModel.getFormByModel(table)) return;
	this._formModel.getFormByModel(table).onReloadDataAction(table);
} 

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

/**
 * CalemFormPeerTab
 * This is multi-tab form controller.
 * 
 */
function CalemFormPeerTab(parent, formId, data) {
	if (arguments.length==0) return;
	CalemForm.call(this, parent, formId, data);
}

CalemFormPeerTab.prototype = new CalemForm;
CalemFormPeerTab.prototype.constructor = CalemFormPeerTab;

CalemFormPeerTab.prototype.toString = function() { return "CalemFormPeerTab"; }

/**
 * Data model factory method
 */
CalemFormPeerTab.prototype._createDataModel =
function(data) {	
	var impl= CalemConf['desktop_mainView']['form']['formPeerModelImpl'];
	var model=this._formInfo.getModel();
	this._formModel=eval(['new ', impl, '(this._parent, model, this, data)'].join(''));
}

CalemFormPeerTab.prototype._getDataModel=
function() {
	return this._formModel;
}

/**
 * Share the same ViewMdTab
 */
CalemFormPeerTab.prototype.createView =
function() {
	//Figure out the tab count here.
	var customInfo=this.getCustomInfo();
	//Use original layout so give admin a chance...
	var layout= this._formInfo.getLayout();
	var ext= layout.getTabList().length > 1 ? CalemConst._TAB_MULTI : CalemConst._TAB_SINGLE;
	var impl= CalemConf['desktop_mainView']['form']['viewPeerTabImpl'][ext];
	this._view=eval(['new ', impl, '(this._viewHolder, this)'].join(''));
	this._fitViewToParent();
}

/**
 * To prepare data fetch functions for one call.
 */
CalemFormPeerTab.prototype._loadData =
function() {
	this._formModel.load(this._dataLoadCallback);
} 

//Register for cache listeners.
CalemFormPeerTab.prototype._onDataLoaded =
function() {
	this._formModel.onInitDataLoaded(); //Form model to do initialization.
	CalemForm.prototype._onDataLoaded.call(this);
}

/**
 * Form def services
 */
CalemFormPeerTab.prototype.getFormModel =
function() {
	return this._formModel;
}
 
/**
 * Render factory for mdTab - use toString() to get render.
 */
CalemFormPeerTab.prototype.getRender =
function(info) {
	return CalemConf['view_engine']['viewRenderPeerTab'][info.toString()];
}

/**
 * shutdown
 * <ul>
 * <li> shutdown each form owned.
 * </ul>
 */
CalemFormPeerTab.prototype._shutdown =
function() {	
	this._formModel._shutdown();
	this._view._shutdown();
}

/**
 * get custom info
 */
CalemFormPeerTab.prototype.getCustomInfo =
function() {
	return CalemCustomFormManager.getInstance().getFullCustomInfo(this._formInfo.getId(), this.getDesignTarget()); 
} 

//Get form design
CalemFormPeerTab.prototype.getDesign =
function() {
	return 'CalemFormPeerTabDesign';
}

CalemFormPeerTab.prototype.getFormInfo =
function() {
	return this._formInfo;
}

/**
 * MdTab reRenderView.
 */
CalemFormPeerTab.prototype.reRenderView =
function() {
	//Simply close and reopen the form.
	var action=new CalemOpenFormAction(this._formInfo.getId(), this._data);
	this._closeForm(action);
}

/**
 * Action handling
 */
//Db bound record insertion handling
CalemFormPeerTab.prototype.onNewDbRecordRaw =
function(table, recRaw) {
	if (!this._formModel.getFormByModel(table)) return;
	this._formModel.getFormByModel(table).onNewDbRecordRaw(table, recRaw);
	this._resumeView();
}

CalemFormPeerTab.prototype.onDeleteDbRecAction =
function(table, id) {
	if (!this._formModel.getFormByModel(table)) return;
	this._formModel.getFormByModel(table).onDeleteDbRecAction(table, id);
	this._resumeView();
}
 
CalemFormPeerTab.prototype.onUpdateDbRecAction =
function(table, rec) {
	if (!this._formModel.getFormByModel(table)) return;
	this._formModel.getFormByModel(table).onUpdateDbRecAction(table, rec);
	this._resumeView();
}  

CalemFormPeerTab.prototype.onLookupSelectAction =
function(table, rec) {
	if (!this._formModel.getFormByModel(table)) return;
	this._formModel.getFormByModel(table).onLookupSelectAction(table, rec);
}  

CalemFormPeerTab.prototype.onReloadDataAction =
function(table) {	
	if (!this._formModel.getFormByModel(table)) return;
	this._formModel.getFormByModel(table).onReloadDataAction(table);
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemFormLookup
 * This is the lookup form.
 * 
 */
function CalemFormLookup(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
	//Add select listener
	this._selectListener = new AjxListener(this, this.onSelect);
}

CalemFormLookup.prototype = new CalemFormList;
CalemFormLookup.prototype.constructor = CalemFormLookup;

CalemFormLookup.prototype.toString = function() { return "CalemFormLookup"; }

/**
 * Lookup specific functions
 */
CalemFormLookup.prototype.getSelectListener =
function() {
	return this._selectListener;
} 

CalemFormLookup.prototype.onSelect =
function(evt) {
	this._onSelect(evt);
}

CalemFormLookup.prototype._onSelect =
function(evt) {
	var rec=CalemEvent.getItem(evt);
	this._lkupCallback.run(rec);
	//Close down lookup form.
	this._closeAndResumeParentForm();
}

/**
 * Lookup callback setup
 */
CalemFormLookup.prototype.setLkupCallback =
function(callback) {
	this._lkupCallback=callback;
} 

CalemFormLookup.prototype.setCurrentRecId =
function(id) {
	this._recId=id;
}

//Locate the item after form rendering.
CalemFormLookup.prototype._render =
function() {
	CalemFormList.prototype._render.call(this); //Render first
	if (this._recId) {
		//@todo to locate the record and highlight in data grid.
	}
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemFormLookupNoMd
 * This is the lookup form.
 * 
 */
function CalemFormLookupNoMd(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormLookup.call(this, parent, formId, data);
}

CalemFormLookupNoMd.prototype = new CalemFormLookup;
CalemFormLookupNoMd.prototype.constructor = CalemFormLookupNoMd;

CalemFormLookupNoMd.prototype.toString = function() { return "CalemFormLookupNoMd"; }

/**
 * Setting up master detail relation ship.
 */
CalemFormLookupNoMd.prototype._createDataModel =
function(data) {
	CalemFormLookup.prototype._createDataModel.call(this);
	//Reset parent info.
	this.setParentRec(data.parentRec);
	this.setFormLink(data.link);
	//Also set up query for fetching details only.
	this._modelItem.setTableQuery(this._dataModel.getTableQueryByParentRec());
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * The main controller manages the main client area. 
 */
 
/**
 * Constructor
 */
function CalemMainController(parent) {
	CalemController.call(this, parent);
} 

CalemMainController.prototype = new CalemController;
CalemMainController.prototype.constructor = CalemMainController;

CalemMainController.prototype.toString = 
function() {
	return "CalemMainController";
}

// Initialize the main view
CalemMainController.prototype.init =
function(conf) {
	this._conf= conf? conf: CalemConf["desktop_mainView"];
	this._view = eval(['new ', this._conf['mainView'], '(this._parent)'].join(''));
	this._view.zShow(true);
}

// Layout change
CalemMainController.prototype.onLayoutChange =
function(bz) {
	this._bounds=bz;
	this._view.onLayoutChange(bz);
}

/**
 * Launch default form
 */
CalemMainController.prototype.openDefaultForm =
function(fmId) {
	if (fmId) {
		this.openForm(fmId);
	}
} 

/**
 * Launch a form
 */
CalemMainController.prototype.openForm =
function(mId, data) {
	return this._view.openForm(mId, data);
}

CalemMainController.prototype.getCurrentForm =
function() {
	return this._view.getCurrentForm();
}
	 /*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemReportListDet
 * This is the listView form for detail data.
 * 
 */
function CalemReportListDet(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
}

CalemReportListDet.prototype = new CalemFormListDet;
CalemReportListDet.prototype.constructor = CalemReportListDet;

CalemReportListDet.prototype.toString = function() { return "CalemReportListDet"; }

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemReportList
 * This is the listView form for detail data.
 * 
 */
function CalemReportList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
}

CalemReportList.prototype = new CalemFormList;
CalemReportList.prototype.constructor = CalemReportList;

CalemReportList.prototype.toString = function() { return "CalemReportList"; }

CalemReportList.prototype.getReportId =
function() {
	return this.getId();
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemReportRead
 * This is the read only view.
 * 
 */
function CalemReportRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormRead.call(this, parent, formId, data);
}

CalemReportRead.prototype = new CalemFormRead;
CalemReportRead.prototype.constructor = CalemReportRead;

CalemReportRead.prototype.toString = function() { return "CalemReportRead"; }

CalemReportRead.prototype.getReportId =
function() {
	return this._mdTabId;
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemReportMdTab
 * This is multi-tab form controller.
 * 
 */
function CalemReportMdTab(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormMdTab.call(this, parent, formId, data);
}

CalemReportMdTab.prototype = new CalemFormMdTab;
CalemReportMdTab.prototype.constructor = CalemReportMdTab;

CalemReportMdTab.prototype.toString = function() { return "CalemReportMdTab"; }
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemFormDesign
 * This is the form design widget.
 * 
 */
function CalemFormDesign(parent, formId, data, designId, dataModel) {
	if (arguments.length==0) return;
	this._designId=designId;
	this._parentDataModel=dataModel;
	CalemForm.call(this, parent, formId, data);	
	//Support save and cancel listener
	this._saveListener = new AjxListener(this, this.onSave);
	this._cancelListener = new AjxListener(this, this.onCancel);
	//Label edit listener
	this._labelEditListener = new AjxListener(this, this.onLabelEdit);
}

CalemFormDesign.prototype = new CalemForm;
CalemFormDesign.prototype.constructor = CalemFormDesign;

CalemFormDesign.prototype.toString = 
function() {
	return "CalemFormDesign";
}

/**
 * Form rendering first time - go ahead rendering the view.
 */
CalemFormDesign.prototype.showForm =
function() {
	this._showView();
}  

/**
 * Render factory
 */
CalemFormDesign.prototype.getFieldRender =
function(normType) {
	var render;
	if (!(render=CalemConf['view_engine']['viewDesign']['FieldRenders'][normType])) {
		render=CalemConf['view_engine']['viewDesign']['FieldRenders']['default'];
	} 
	return render;
}
 
CalemFormDesign.prototype.getRender =
function(info) {
	var render=CalemConf['view_engine']['viewDesign'][info.getClassName()];
	if (!render && info instanceof CalemFieldInfo) {
		render=this.getFieldRender(this._modelItem.getTableDd().getNormalizedType(info.getField()));
	}
	return render;
}

/**
 * Overwrite getId so the design forms having unique ids.
 */
CalemFormDesign.prototype.getId =
function() {
	return this._designId;
} 

/**
 * Listener providers
 */
CalemFormDesign.prototype.getSaveListener =
function() {
	return this._saveListener;
} 

CalemFormDesign.prototype.getCancelListener =
function() {
	return this._cancelListener;
} 

/**
 * Save handler
 */
CalemFormDesign.prototype.onSave =
function(ev) {
	this._onSave(ev);
} 

CalemFormDesign.prototype._onSave =
function(ev) {
	var data=ev.item.getData(CalemContext.DATA);
	var groups=data.event.getItems();
	//Collect acl and viewInfo.
	var customInfo=this._view.getCustomizedView();
	//Now let's make a soap call with busy signal
	var views={view_0: {id: customInfo.getId(), 
							  shared: this.getDesignTarget().isGroup() ? 1 : 0, 
							  target: this.getDesignTarget().getId(),
							  custom: Base64.encode(customInfo.getJson())}};
	CalemSoapUtil._onSoapCall('SaveView', views, new AjxCallback(this, this._onSoapSaveViewResponse, customInfo));
}

/**
 * Process soap response from server
 */
CalemFormDesign.prototype._onSoapSaveViewResponse =
function(customInfo, resp) {
	//This is single record so let's process it.
	var saveResp=resp[0];
	if (saveResp.status == CalemForm.SOAP_SUCC) { //Update local copy.
		this.addCustomInfo(customInfo);
		this._closeAndResumeParentForm(new CalemReRenderAction()); //Need to rerender form.
	} else { //Need to display error.
		//display error msg based on exception.
		var errorHandler;
		if (saveResp.errorInfo && saveResp.errorInfo.id) {
			errorHandler=eval(['new ', saveResp.errorInfo.id, '(saveResp.id, saveResp.errorInfo)'].join(''));
		} else {
			errorHandler=new CalemErrorInfo(saveResp.id)
		}
		CalemInfoDialog.showIt(CalemMsg.getMsg('error_server'), errorHandler.getMessage());
	}
}

/**
 * Cancel - just close the form
 */
CalemFormDesign.prototype.onCancel =
function(ev) {
	this._onCancel(ev);
} 

//close the design form.
CalemFormDesign.prototype._onCancel =
function() {
	this._closeAndResumeParentForm();
}


CalemFormDesign.prototype.getParentCustomInfo =
function() {
	return CalemCustomViewManager.getInstance().getParentCustomInfo(this.getViewId(), this.getDesignTarget());
}

CalemFormDesign.prototype.getMyCustomInfo =
function() {
	return CalemCustomViewManager.getInstance().getMyCustomInfo(this.getViewId(), this.getDesignTarget());
}

CalemFormDesign.prototype.addCustomInfo =
function(customInfo) {
	return CalemCustomViewManager.getInstance().addCustomInfo(customInfo, this.getDesignTarget());
}

CalemFormDesign.prototype.getParentDataModel =
function() {
	return this._parentDataModel;
}

//Label edit support
CalemFormDesign.prototype.getLabelEditListener =
function() {
	return this._labelEditListener;
}

//Displaying special label edit form.
CalemFormDesign.prototype.onLabelEdit =
function(evt) {
	var ctrl=evt.item.getData(CalemContext.DATA);
	var ebInfo=new CalemEmbedInfo(this._parent, 'CalemLabelFormEdit', {item: ctrl});
	this._embedForm(ebInfo);
}

//Customize a design form? Don't think so.
CalemFormDesign.prototype.allowCustomize =
function() {
	return false;
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemFormRecordDesign
 * This is the form design widget.
 * 
 */
function CalemFormRecordDesign(parent, formId, data, designId, dataModel) {
	if (arguments.length==0) return;
	CalemFormDesign.call(this, parent, formId, data, designId, dataModel);	
	//Mouse down listener
	this._calemMouseDownListener=new AjxListener(this, this.onCalemMouseDown);
	this._labelDesign= CalemDesignTargetInfo.getLabelDesignPermit();
	//So this user can design labels.
	this._fldMenu = new DwtMenu(this._parent); //let's not mess with the tree items.
	this._addMenuItem('label_edit', 'CalemLabelEdit', this.getLabelEditListener());
	//Menu x margin
	this._xMargin=CalemConf['view_engine']['viewRecordDesign'].actionMenuMarginX;
}

CalemFormRecordDesign.prototype = new CalemFormDesign;
CalemFormRecordDesign.prototype.constructor = CalemFormRecordDesign;

CalemFormRecordDesign.prototype.toString = 
function() {
	return "CalemFormRecordDesign";
}

CalemFormRecordDesign.prototype._addMenuItem =
function(labelId, img, listener) {
	var mi=new DwtMenuItem(this._fldMenu);
	mi.setImage(img);
	mi.setText(CalemMsg.getMsg(labelId));	
	mi.addSelectionListener(listener);
}

// default is CalemView
CalemFormRecordDesign.prototype.createView =
function() {
	CalemFormDesign.prototype.createView.call(this);
	this._view.setScrollStyle(Dwt.SCROLL);
}

/**
 * Render factory
 */
CalemFormRecordDesign.prototype.getRender =
function(info) {
	var render= CalemConf['view_engine']['viewRecordDesign'][info.getClassName()];
	if (!render) {
		render=CalemFormDesign.prototype.getRender.call(this, info);
	}
	return render;
}

/**
 * Field label change handler
 */
CalemFormRecordDesign.prototype.getMouseDownListener = 
function() {
	return this._calemMouseDownListener;
}

CalemFormRecordDesign.prototype.onCalemMouseDown = 
function(ev) {
	if (ev.button != DwtMouseEvent.RIGHT || !this._labelDesign) return;
	var item=DwtUiEvent.getDwtObjFromEvent(ev);
	if (!item || !item.doLabelEdit) return;

	//Set up menu data
	var items=this._fldMenu.getItems();
   for (var i=0; i< items.length; i++) {
   	items[i].setData(CalemContext.DATA, item);
   } 
	//Popup menu here.
	var loc=item.getLocation();
	this._fldMenu.popup(0, loc.x+this._xMargin, loc.y);	
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemFormListDesign
 * This is the form design controller.
 * 
 */
function CalemFormListDesign(parent, formId, data, designId, dataModel) {
	if (arguments.length==0) return;
	CalemFormDesign.call(this, parent, formId, data, designId, dataModel);	
}

CalemFormListDesign.prototype = new CalemFormDesign;
CalemFormListDesign.prototype.constructor = CalemFormListDesign;

CalemFormListDesign.prototype.toString = 
function() {
	return "CalemFormListDesign";
}

// default is CalemView
CalemFormListDesign.prototype.createView =
function() {
	CalemFormDesign.prototype.createView.call(this);
}

/**
 * Render factory
 */
CalemFormListDesign.prototype.getRender =
function(info) {
	var render= CalemConf['view_engine']['viewListDesign'][info.getClassName()];
	if (!render) {
		render=CalemFormDesign.prototype.getRender.call(this, info);
	}
	return render;
}

/**
 * Prepare grid info
 * {aclMap: MapOfHiddenFields,
 *  listInfo: CalemListInfo
 * }
 * Combining acls, custom and original layout.
 */
CalemFormListDesign.prototype.getGridCustomInfo =
function() {
	var customInfo=this.getCustomInfo();
	var layout= customInfo.getLayout();
	var gridListInfo= layout ? layout.getGridLayout() : this.getViewInfo().getItem('grid').getListInfo();
	return {acl: customInfo.getAcl().getViewAcl()._acl, listInfo: gridListInfo};
}

/**
 * List form design is relatively fast to open...so close it when quit.
 */
CalemFormListDesign.prototype.getCacheEmbedOnClose =
function() {
	return false; 
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemFormMdTabDesign
 * This is the form design widget.
 * 
 */
function CalemFormMdTabDesign(parent, formId, data, designId, dataModel) {
	if (arguments.length==0) return;
	CalemFormDesign.call(this, parent, formId, data, designId, dataModel);	
}

CalemFormMdTabDesign.prototype = new CalemFormDesign;
CalemFormMdTabDesign.prototype.constructor = CalemFormMdTabDesign;

CalemFormMdTabDesign.prototype.toString = 
function() {
	return "CalemFormMdTabDesign";
}

/**
 * Need to fake the primary model for menu button use.
 */
CalemFormMdTabDesign.prototype._createDataModel =
function(data) {	
	//Getting info from formModel
	var fmId=this._formInfo.getModel().getMaster();
	var mdId=this._parentDataModel.getForm(fmId).getDataModel().getId();
	//Creating the model for form design.
	var impl= CalemConf['desktop_mainView']['form']['modelImpl'];
	this._dataModel=eval(['new ', impl, '(mdId, this, data)'].join(''));
	this._modelItem=this._dataModel.getModelItem();
}

// default is CalemView
CalemFormMdTabDesign.prototype.createView =
function() {	
	var impl= CalemConf['view_engine']['viewMdTabDesign']['viewImpl'];
	this._view=eval(['new ', impl, '(this._viewHolder, this)'].join(''));
	this._fitViewToParent();
}

/**
 * Render factory
 */
CalemFormMdTabDesign.prototype.getRender =
function(info) {
	var render= CalemConf['view_engine']['viewMdTabDesign'][info.getClassName()];
	if (!render) {
		render=CalemFormDesign.prototype.getRender.call(this, info);
	}
	return render;
}

/**
 * Save handler
 */
CalemFormMdTabDesign.prototype._onSave =
function(ev) {
	//Collect acl and viewInfo.
	var customInfo=this._view.getCustomizedView();
	//Now let's make a soap call with busy signal
	var forms={form_0: {id: customInfo.getId(), 
							  shared: this.getDesignTarget().isGroup() ? 1 : 0, 
							  target: this.getDesignTarget().getId(),
							  custom: Base64.encode(customInfo.getJson())}};	
	CalemSoapUtil._onSoapCall('SaveForm', forms, new AjxCallback(this, this._onSoapSaveViewResponse, customInfo));
} 

/**
 * get design item
 */
CalemFormMdTabDesign.prototype.getCustomInfo =
function() {
	return CalemCustomFormManager.getInstance().getFullCustomInfo(this._formInfo.getId(), this.getDesignTarget()); 
}

CalemFormMdTabDesign.prototype.getParentCustomInfo =
function() {
	return CalemCustomFormManager.getInstance().getParentCustomInfo(this._formInfo.getId(), this.getDesignTarget());
}

CalemFormMdTabDesign.prototype.getMyCustomInfo =
function() {
	return CalemCustomFormManager.getInstance().getMyCustomInfo(this._formInfo.getId(), this.getDesignTarget());
}

CalemFormMdTabDesign.prototype.addCustomInfo =
function(customInfo) {
	return CalemCustomFormManager.getInstance().addCustomInfo(customInfo, this.getDesignTarget());
}

/**
 * This design form is relatively fast to open...so close it when quit.
 */
CalemFormMdTabDesign.prototype.getCacheEmbedOnClose =
function() {
	return false; 
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

/**
 * CalemFormPeerTabDesign
 * This is the form design widget.
 * 
 */
function CalemFormPeerTabDesign(parent, formId, data, designId, dataModel) {
	if (arguments.length==0) return;
	CalemFormMdTabDesign.call(this, parent, formId, data, designId, dataModel);	
}

CalemFormPeerTabDesign.prototype = new CalemFormMdTabDesign;
CalemFormPeerTabDesign.prototype.constructor = CalemFormPeerTabDesign;

CalemFormPeerTabDesign.prototype.toString = 
function() {
	return "CalemFormPeerTabDesign";
}

/**
 * Need to fake the primary model for menu button use.
 */
CalemFormPeerTabDesign.prototype._createDataModel =
function(data) {	
	//Getting info from formModel
	var fmId=this._parentDataModel.getFirstFormId();
	var mdId=this._parentDataModel.getForm(fmId).getDataModel().getId();
	//Creating the model for form design.
	var impl= CalemConf['desktop_mainView']['form']['modelImpl'];
	this._dataModel=eval(['new ', impl, '(mdId, this, data)'].join(''));
	this._modelItem=this._dataModel.getModelItem();
}

// default is CalemView
CalemFormPeerTabDesign.prototype.createView =
function() {	
	var impl= CalemConf['view_engine']['viewPeerTabDesign']['viewImpl'];
	this._view=eval(['new ', impl, '(this._viewHolder, this)'].join(''));
	this._fitViewToParent();
}

/**
 * Render factory
 */
CalemFormPeerTabDesign.prototype.getRender =
function(info) {
	var render= CalemConf['view_engine']['viewPeerTabDesign'][info.getClassName()];
	if (!render) {
		render=CalemFormDesign.prototype.getRender.call(this, info);
	}
	return render;
}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemFormSearch
 * This is the search form
 * 
 */
function CalemFormSearch(parent, formId, data) {
	if (arguments.length==0) return;
	CalemForm.call(this, parent, formId, data);
	//Cancel
	this._cancelListener=new AjxListener(this, this.onCancel);
}

CalemFormSearch.prototype = new CalemForm;
CalemFormSearch.prototype.constructor = CalemFormSearch;

CalemFormSearch.prototype.toString = function() { return "CalemFormSearch"; }

/**
 * Data model is copied over and will not load data
 * <code>this._dataModel</code> is copied over by sub-classes.
 */
CalemFormSearch.prototype._createDataModel =
function(data) {	
	var impl= CalemConf['desktop_mainView']['form']['modelImpl'];
	var mdId=this._dataModel.getId();
	this._dataModel=eval(['new ', impl, '(mdId, this, data)'].join(''));
	this._modelItem=this._dataModel.getModelItem();
	this.setDataLoaded(true); //will not load data.
}

// default is CalemView
CalemFormSearch.prototype.createView =
function() {
	CalemForm.prototype.createView.call(this);
	this._view.setScrollStyle(Dwt.SCROLL);
}

 
//Cancel listener
CalemFormSearch.prototype.getCancelListener =
function() {
	return this._cancelListener;
} 

CalemFormSearch.prototype.onCancel =
function() {
	this._onCancel();
} 

//Default implementation
CalemFormSearch.prototype._onCancel =
function() {
	this._closeAndResumeParentForm(); //Since it's cached.
}  

//Find read renders
CalemFormSearch.prototype.getRender =
function(info) {
	var render;
	if (!(render=CalemConf['view_engine']['viewSearchRender'][info.getClassName()])) {
		render=CalemForm.prototype.getRender.call(this, info);
	} 
	return render;
}

CalemFormSearch.prototype.getFieldRender =
function(normType) {
	var render;
	if (!(render=CalemConf['view_engine']['viewSearchRender']['FieldRenders'][normType])
	  &&!(render=CalemConf['view_engine']['viewSearchRender']['FieldRenders']['default'])) {
		render=CalemForm.prototype.getFieldRender.call(this, normType);
	} 
	return render;
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemFormSearchSelect
 * This is the search selection form
 * @parent - parent
 * @formId - search select form id
 * @searchSelectFormId - the select form Id for embed checking
 * @searchEditFormId - the search edit form to be embedded 
 * @dataModel - the data model of the parent form, copied over so we don't need to create it. 
 */
function CalemFormSearchSelect(parent, formId, searchSelectFormId, searchEditFormId, dataModel) {
	if (arguments.length==0) return;
	this._searchSelectFormId=searchSelectFormId;
	this._searchEditFormId = searchEditFormId;
	this._dataModel=dataModel;
	CalemFormSearch.call(this, parent, formId);
	//Toolbar
	this._newListener=new AjxListener(this, this.onNew);
	this._refreshListener=new AjxListener(this, this.onRefresh);
	this._refreshCallback=new AjxCallback(this, this.onRefreshCallback);
	
	//Filter buttons
	this._applyListener=new AjxListener(this, this.onApply);
	this._editListener=new AjxListener(this, this.onEdit); 
	this._deleteListener=new AjxListener(this, this.onDelete);
}

CalemFormSearchSelect.prototype = new CalemFormSearch;
CalemFormSearchSelect.prototype.constructor = CalemFormSearchSelect;

CalemFormSearchSelect.prototype.toString = function() { return "CalemFormSearchSelect"; }

/**
 * Select renders
 */
CalemFormSearchSelect.prototype.getRender =
function(info) {
	var render;
	if (!(render=CalemConf['view_engine']['viewSearchSelectRender'][info.getClassName()])) {
		render=CalemFormSearch.prototype.getRender.call(this, info);
	} 
	return render;
} 

/**
 * Form ID
 */
CalemFormSearchSelect.prototype.getId = function() {return this._searchSelectFormId;} 

/**
 * Listeners - new, refresh, edit, view
 */
//New listener
CalemFormSearchSelect.prototype.getNewListener =
function() {
	return this._newListener;
} 

CalemFormSearchSelect.prototype.onNew =
function() {
	this._embedSearchEditForm();
} 

//Edit
CalemFormSearchSelect.prototype.getRefreshListener =
function() {
	return this._refreshListener;
} 

CalemFormSearchSelect.prototype.onRefresh =
function(ev) {
	var rows=CalemViewUtil.getRefreshTargets();
	CalemSoapUtil._onSoapCall('RefreshSearch', rows, this._refreshCallback);
} 

/**
 * Process soap response from server
 */
CalemFormSearchSelect.prototype.onRefreshCallback =
function(resp) {
	//This is a list of response - no deletetion at this time till next login.
	for (var i=0; i< resp.length; i++) {
		if (resp[i].status == CalemForm.SOAP_SUCC) {
			eval(Base64.decode(resp[i].reload)); //synchronize with server.
		}
	}
	this.__resumeView();
}

//Apply
CalemFormSearchSelect.prototype.getApplyListener =
function() {
	return this._applyListener;
} 

CalemFormSearchSelect.prototype.onApply =
function(ev) {
	var search=ev.item.getData(CalemContext.DATA);
	this._closeAndResumeParentForm(new CalemApplySearchAction(search)); //Need to rerender form.
} 

//Edit
CalemFormSearchSelect.prototype.getEditListener =
function() {
	return this._editListener;
} 

CalemFormSearchSelect.prototype.onEdit =
function(ev) {
	var search=ev.item.getData(CalemContext.DATA);
	this._embedSearchEditForm(search);
} 

//Embed edit form
CalemFormSearchSelect.prototype._embedSearchEditForm =
function(search) {
	var ebInfo=new CalemEmbedSearchEditInfo(this._parent, this._searchEditFormId, this._dataModel, search);
	this._embedForm(ebInfo);
}

//Delete
CalemFormSearchSelect.prototype.getDeleteListener =
function() {
	return this._deleteListener;
} 

CalemFormSearchSelect.prototype.onDelete =
function(ev) {
	var search=ev.item.getData(CalemContext.DATA);
	var rows={search_0: {
		id: search.getId(), table: search.getTable(),
		shared: search.getShared(), target: search.getAxoId()}};
	CalemSoapClient.soapCall('DeleteSearch', rows, 
						new AjxCallback(this, this.onSoapDeleteCallback, search) );
}

//Soap save callback.
CalemFormSearchSelect.prototype.onSoapDeleteCallback =
function(search, resp) {
	//Analyze error msg.
   if (resp.getException()) {
   	var msg;
   	if (msg=resp.getErrorMsg()) CalemInfoDialog.showIt(CalemMsg.getMsg('error_server'), msg);
   } else {//Analyze soap response.
      var dsr=resp.getResponse().DeleteSearchResponse;
      this._onSoapDeleteResponse(search, dsr);     
   }
}

/**
 * Process soap response from server
 */
CalemFormSearchSelect.prototype._onSoapDeleteResponse =
function(search, resp) {
	//This is single record so let's process it.
	var delResp=resp[0];
	if (delResp.status == CalemForm.SOAP_SUCC) { //Update local copy.
		CalemViewUtil.deleteLocalSearch(search);
		//continue the callback.
		this._resumeView();
	} else { //Need to display error.
		//display error msg based on exception.
		var errorHandler;
		if (delResp.errorInfo && delResp.errorInfo.id) {
			errorHandler=eval(['new ', delResp.errorInfo.id, '(delResp.id, delResp.errorInfo)'].join(''));
		} else {
			errorHandler=new CalemErrorInfo(delResp.id)
		}
		CalemInfoDialog.showIt(CalemMsg.getMsg('error_server'), errorHandler.getMessage());
	}
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemFormSearchEdit
 * This is the search edit form - for creating, editing or viewing a filter
 * @parent - parent
 * @formId - search select form id
 * @dataModel - the data model of the parent form, copied over so we don't need to create it. 
 * @search - the search passed in.
 */
function CalemFormSearchEdit(parent, formId, dataModel, search) {
	if (arguments.length==0) return;
	this._dataModel=dataModel;
	this._setSearch(search);
	CalemFormSearch.call(this, parent, formId);
	//Search ops
	this._ops=CalemConf['view_engine']['viewSearchEditRender'].FieldEditOps;
	//Toolbar
	this._applySaveListener=new AjxListener(this, this.onApplySave);
	this._applyListener=new AjxListener(this, this.onApply);
	this._saveListener=new AjxListener(this, this.onSave);
	//Validation callback for checking validity.
	this._validationCallback=new AjxCallback(this, this.onDataValidationEvent);
	//Two soap callback handler
	this._soapSaveCallback = new AjxCallback(this, this.onSoapSaveCallback);
	this._soapApplySaveCallback=new AjxCallback(this, this.onSoapApplySaveCallback);
}

CalemFormSearchEdit.prototype = new CalemFormSearch;
CalemFormSearchEdit.prototype.constructor = CalemFormSearchEdit;

CalemFormSearchEdit.prototype.toString = function() { return "CalemFormSearchEdit"; }

/** Handle very first render */
CalemFormSearchEdit.prototype._render =
function() {
	CalemFormSearch.prototype._render.call(this);
	//make sure toolbar is correct
	this.onDataValidationEvent(null, null, null, true);
}
/**
 * Edit renders
 */
CalemFormSearchEdit.prototype.getRender =
function(info) {
	var render;
	if (!(render=CalemConf['view_engine']['viewSearchEditRender'][info.getClassName()])) {
		render=CalemFormSearch.prototype.getRender.call(this, info);
	} 
	return render;
} 

CalemFormSearchEdit.prototype.getFieldRender =
function(normType) {
	var render;
	if (!(render=CalemConf['view_engine']['viewSearchEditRender']['FieldRenders'][normType])
	  &&!(render=CalemConf['view_engine']['viewSearchEditRender']['FieldRenders']['default'])) {
		render=CalemFormSearch.prototype.getFieldRender.call(this, normType);
	} 
	return render;
}

/**
 * Listeners - Apply, Save and cancel (in parent's class)
 */
//Apply+save
CalemFormSearchEdit.prototype.getApplySaveListener =
function() {
	return this._applySaveListener;
} 

CalemFormSearchEdit.prototype.onApplySave =
function() {
	this._onSave(this._soapApplySaveCallback);
} 

//Apply
CalemFormSearchEdit.prototype.getApplyListener =
function() {
	return this._applyListener;
} 

CalemFormSearchEdit.prototype.onApply =
function(ev) {
	this._collectSearch(); //Get search info together.
	this._onApply();
} 

//Save
CalemFormSearchEdit.prototype.getSaveListener =
function() {
	return this._saveListener;
} 

CalemFormSearchEdit.prototype.onSave =
function(ev) {
	this._onSave(this._soapSaveCallback);
	
} 

//Get form design
CalemFormSearchEdit.prototype.getDesign =
function() {
	return 'CalemFormRecordDesign';
}

//Get search
CalemFormSearchEdit.prototype.getSearch =
function() {
	return this._search;
}

//Do resume view here.
CalemFormSearchEdit.prototype.setSearch =
function(search) {
	this._setSearch(search);
	this.__resumeView(); //enforce resumeView
	//make sure toolbar is correct
	this.onDataValidationEvent(null, null, null, true);
}

CalemFormSearchEdit.prototype._setSearch =
function(search) {
	this._search=search;
	this._tableSearch= search ? search.getTableSearch(this._dataModel.getId()) : null;
}

//Disable standard resume view.
CalemFormSearchEdit.prototype._resumeView =
function() {
	//stopped here.
}

CalemFormSearchEdit.prototype.getTableSearch =
function() {
	return this._tableSearch;
}

CalemFormSearchEdit.prototype.getSearchOps =
function() {
	return this._ops;
}

//Events validation
/**
 * Data validation callback
 */
CalemFormSearchEdit.prototype.getValidationCallback =
function() {
	return this._validationCallback;
} 

//Get hold of the search save render.
CalemFormSearchEdit.prototype.setSearchSave =
function(searchSave) {
	this._searchSave=searchSave;
} 

/**
 * Verify search validity
 */
CalemFormSearchEdit.prototype._onDataValidationEvent =
function(field, isValid, value) {
	var valid=isValid;
	if (isValid) { 
        var fld= (typeof(field)=='string' && field==CalemConst._DUMMY_FLD) ? CalemConst._DUMMY_FLD : field.getFieldInfo().fld;
        valid=this._isViewInputValid(fld, isValid);
	}
	//Generate events and show error msg if any.
	if (valid) {
		this._formErrorRender.hide();
	} else {
		var evt=new CalemSearchEditEvent(CalemEvent.SEARCH_NOT_VALID);
		this._modelItem.notifyListeners(evt.getType(), evt);
		this._formErrorRender.setErrorMsg(CalemMsg.getMsg('search_not_valid'));
	}
	return valid;
}

/**
 * Check for rec change if validation is good.
 */
CalemFormSearchEdit.prototype.onDataValidationEvent =
function(field, isValid, value, bypassValid) {
	var valid= bypassValid ? bypassValid : this._onDataValidationEvent.call(this, field, isValid, value);
	
	if (valid) {//Check for data change and generate proper events.
	   //If search is empty, do not allow any action.
	   if (this.getSearchEmpty()) {//So search is not deemed valid in this case.
	   	this._notifySearchEvent(CalemEvent.SEARCH_NOT_VALID);	   
	   	if (CalemDebug.isDebug()) CalemDebug.debug("search empty, invalid event sent, id="+this.getId());
	   } else {//If search is not empty, it's valid
	   	this._notifySearchEvent(CalemEvent.SEARCH_VALID);
	   	if (valid=this._searchSave.isValid()) {//If saveSearch is valid, then all is valid
	   		this._notifySearchEvent(CalemEvent.SEARCH_VALID_ALL);
	   	}
	   	if (CalemDebug.isDebug()) CalemDebug.debug("search valid event sent, id="+this.getId());
	   }
	} else {
		this._notifySearchEvent(CalemEvent.SEARCH_NOT_VALID);
		if (CalemDebug.isDebug()) CalemDebug.debug("search invalid event sent, id="+this.getId());
	}
}

CalemFormSearchEdit.prototype._notifySearchEvent =
function(id) {
	//Notify search is not valid.
	var evt=new CalemSearchEditEvent(id);
	this.getModelItem().notifyListeners(id, evt); //Directly feed into modelItem.
}

/**
 * Checking search empty
 */
CalemFormSearchEdit.prototype.getSearchEmpty =
function() {
	var tableDd=this._modelItem.getTableDd();
	var fields=tableDd.getFields();
	for (var i in fields) {
		var rtn=this._view.getFieldSearch(i);
		if (rtn!=null) return false;
	}
	return true;
} 

/**
 * prepare search
 */
CalemFormSearchEdit.prototype._collectSearch =
function() {
	//Construct a searchInfo from the edit form.
	var search=new Object();
	var tableDd=this._modelItem.getTableDd();
	var fields=tableDd.getFields();
	var expr;
	for (var i in fields) {
		if (expr=this._view.getFieldSearch(i)) {
			search[i]=expr;
		}
	}
	//Now construct a table search
	var tblSearch=new CalemTableSearchInfo(this._modelItem.getId(), search);
	var sm=new Object();
	sm[tblSearch._table]=tblSearch;
	var saveValue=this._searchSave.getSaveValue();
	var id=this._getId(saveValue._name, saveValue._axoId);
	this._searchInfo=new CalemSearchInfo(id, saveValue._name, this._modelItem.getId(),
											saveValue._shared, saveValue._axoId, sm);											
} 

/**
 * Figure out the id for the search
 */
CalemFormSearchEdit.prototype._getId =
function(name, axoId) {
	return AjxMD5.hex_md5(axoId+name);
}

/**
 * Save handler
 */
CalemFormSearchEdit.prototype._onSave =
function(callback) {
	this._collectSearch(); //Get search info together.
	//Now let's make a soap call with busy signal
	var rows={search_0: {
		id: this._searchInfo.getId(), table: this._searchInfo.getTable(),
		shared: this._searchInfo.getShared(), target: this._searchInfo.getAxoId(),
		search: Base64.encode(this._searchInfo.getJson())}};
	CalemSoapClient.soapCall('SaveSearch', rows, 
						new AjxCallback(this, this.onSoapSaveSearchCallback, callback) );
}

//Soap save callback.
CalemFormSearchEdit.prototype.onSoapSaveSearchCallback =
function(callback, resp) {
	//Analyze error msg.
   if (resp.getException()) {
   	var msg;
   	if (msg=resp.getErrorMsg()) CalemInfoDialog.showIt(CalemMsg.getMsg('error_server'), msg);
   } else {//Analyze soap response.
      var ssr=resp.getResponse().SaveSearchResponse;
      this._onSoapSaveSearchResponse(callback, ssr);     
   }
}

/**
 * Process soap response from server
 */
CalemFormSearchEdit.prototype._onSoapSaveSearchResponse =
function(callback, resp) {
	//This is single record so let's process it.
	var saveResp=resp[0];
	if (saveResp.status == CalemForm.SOAP_SUCC) { //Update local copy.
		CalemViewUtil.updateLocalSearch(this._searchInfo);
		//continue the callback.
		callback.run();
	} else { //Need to display error.
		//display error msg based on exception.
		var errorHandler;
		if (saveResp.errorInfo && saveResp.errorInfo.id) {
			errorHandler=eval(['new ', saveResp.errorInfo.id, '(saveResp.id, saveResp.errorInfo)'].join(''));
		} else {
			errorHandler=new CalemErrorInfo(saveResp.id)
		}
		CalemInfoDialog.showIt(CalemMsg.getMsg('error_server'), errorHandler.getMessage());
	}
}

//Continue for save.
CalemFormSearchEdit.prototype.onSoapSaveCallback =
function() {
	this._closeAndResumeParentForm(); //Need to rerender form.
}

//Continue to apply the search.
CalemFormSearchEdit.prototype.onSoapApplySaveCallback =
function() {
	this._onApply();
}

CalemFormSearchEdit.prototype._onApply =
function() {
	this._closeAndResumeParentForm(new CalemApplySearchAction(this._searchInfo)); //Need to rerender form.
}

//Lookup validation for edit and new form
CalemFormSearchEdit.prototype.validateLookup =
function(lkupTable, lkupFld, fld, value, callback) {
	var hostForm=this.getHostForm(2); //skip search select here.
	hostForm.validateLookup(lkupTable, lkupFld, fld, value, callback);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * This toolbar includes a logo and the following functions:
 * - logout
 * - help 
 */
 
/**
 * Constructor
 */
function CalemLogo(parent) {
	this._parent = parent;
	this._icon="/client/themes/calemeam.png";
	this._url="http://www.calemeam.com"
	this.createLogo();
} 

/**
 * Logo icon
 */
CalemLogo.prototype.createLogo =
function() {
   this._logoDiv=document.getElementById('theme_headline_logo');
   this._logoDiv.innerHTML=["<img src='", calemRootUrl, this._icon, "' onclick=\"javascript:window.open('", 
                       this._url, "', 'CalemEAM - Open Source EAM/CMMS')\">"].join("");
}
	 /*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
/**
 * This toolbar includes a logo and the following functions:
 * - logout
 * - help 
 */
 
/**
 * Constructor
 */
function CalemExitToolBarController(parent, logoutListener, conf) {
	CalemController.call(this, parent);
	this._logoutListener=logoutListener;
	this._helpListener=new AjxListener(this, this.onHelp);
	this._conf= conf? conf: CalemConf["desktop_exitToolBar"];
	this._createToolBar();
} 

CalemExitToolBarController.prototype = new CalemController;
CalemExitToolBarController.prototype.constructor = CalemExitToolBarController;

CalemExitToolBarController.prototype.toString = 
function() {
	return "CalemExitToolBarController";
}

/**
 * Creating logo bar with the buttons: Logout, Help
 * @todo - add My Calemos (for modifying preferences and customization of apps)
 */
CalemExitToolBarController.prototype._createToolBar =
function() {
	this._tb=new CalemToolBar(this._parent, this._conf.posInfo, this._conf.tbInfo);
	var tbDef=CalemJson.setJson(this._conf.tbDef);
	if (CalemConf['desktop_mainView']['prodInfoConf']['disp']=='tooltip') {
		CalemMenuDef['CalemHelp']['tooltip'] = calemProdInfo;
	}
	this._tb.createToolBar(tbDef, this._listenerFactory);
	this._tb.zShow(true);
}

/**
 * Listener factory methods.
 */

CalemExitToolBarController.prototype.getLogoutListener =
function() {
	return this._logoutListener;
}

CalemExitToolBarController.prototype.getHelpListener =
function() {
	return this._helpListener;
}

/**
 * Listener function
 */
CalemExitToolBarController.prototype.onHelp =
function(ev) {
	window.open(this._conf.extraInfo.helpUrl);
} 
	 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * This toolbar includes a logo and the following functions:
 * - logout
 * - help 
 */
 
/**
 * Constructor
 */
function CalemModuleController(parent, mod) {
	CalemController.call(this, parent);
	this._mod=mod;
	this._conf=CalemConf['desktop_moduleToolBar'];
	this._initCustomInfo();
	this._createModBar();
} 

CalemModuleController.prototype = new CalemController;
CalemModuleController.prototype.constructor = CalemModuleController;

CalemModuleController.prototype.toString = 
function() {
	return "CalemModuleController";
}

CalemModuleController.prototype.getModule =
function() {
	return this._mod;
}

CalemModuleController.prototype._initCustomInfo =
function() {
	var cm=CalemCustomModuleManager.getInstance();
	this._customInfo=cm.getFullCustomInfo(this._mod.getId());
}

/**
 * Creating module bar with mod info.
 * @todo - add My Calemos (for modifying preferences and customization of apps)
 */
CalemModuleController.prototype._createModBar =
function() {
	this._tb=new CalemToolBarModule(this._parent, this._conf.posInfo, this._conf.tbInfo);
	this._tb.createToolBar(this._mod, this._listenerFactory, this, this._customInfo);
	this._defaultMenu=this._tb.getDefaultMenu();
	this._tb.zShow(true);
}

CalemModuleController.prototype.getDefaultMenu =
function() {
	return this._defaultMenu;
}

/**
 * Listener factory methods.
 */

CalemModuleController.prototype.getLogoutListener =
function() {
	return this._logoutListener;
}

CalemModuleController.prototype.getHelpListener =
function() {
	return this._helpListener;
}

/**
 * Listener function
 */
CalemModuleController.prototype.onHelp =
function(ev) {
	window.open(this._conf.helpUrl);
} 
	 /*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

function CalemModMenu(parent, className) {
	DwtMenu.call(this, parent, DwtMenu.POPUP_STYLE, className, null);
}

CalemModMenu.prototype = new DwtMenu;
CalemModMenu.prototype.constructor = CalemModMenu;

CalemModMenu.prototype.toString = 
function() {
	return "CalemModMenu";
}

/**
 * Display the popup menu from the this x location.
 */
CalemModMenu.prototype.setLocX =
function(x) {
	this._x=x;
}

CalemModMenu.prototype.popup =
function(delay, x, y) {
	DwtMenu.prototype.popup.call(this, delay, this._x, y);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * This is the module bar viewer.
 * 
 * Model: module configuration and list of modules.
 * Generated events: a) module selected; b) module customized (in the order).
 * Received events: a) changes of bar area sizes 
 */
 
/**
 * Constructor
 */
function CalemModBarView(parent, conf, modules, modSelectListener, modCustomizeListener) {
	DwtComposite.call(this, parent, "CalemModBarView", Dwt.ABSOLUTE_STYLE);
	this._parent=parent;
   this._conf=conf;
   this._modules=modules;
   this._selectListener=modSelectListener;
   this._localSelectListener=new AjxListener(this, this.onModSelection);
   this._customizeListener=modCustomizeListener;	
   this._createUi();
   //Getting the x and y pad value
   var cf=CalemConf['desktop_modView'];
   this._xOff=cf.xOff;
   this._yOff=cf.yOff;
   this._xPad=cf.xPad;
   this._yPad=cf.yPad;
} 

CalemModBarView.MODULE="MODULE";
CalemModBarView.BUTTON="_button";
CalemModBarView.ICON="_icon";
CalemModBarView.ICON_MORE="_iconMore";

CalemModBarView.prototype = new DwtComposite;
CalemModBarView.prototype.constructor = CalemModBarView;

CalemModBarView.prototype.toString = 
function() {
	return "CalemModBarView";
}

/**
 * Creating UI objects for use later
 */
CalemModBarView.prototype._createUi =
function() {
	if (this._uiRepo) delete this._uiRepo;
	this._uiRepo=new Object();
	//Creating a button and icon for each module
	for (var i=0; i< this._modules.length; i++) {
		var mod=this._modules[i];
		var modUi=new Object();
		this._uiRepo[mod.getId()]=modUi;
		//Creating an icon for the module
		var dwtBtn=new DwtButton(this, this._conf.buttonStyle, "MODButton", Dwt.ABSOLUTE_STYLE);
		dwtBtn.setText(mod.getTitle());
		dwtBtn.setImage(mod.getIcon());
		dwtBtn.setData(CalemModBarView.MODULE, mod);
		dwtBtn.addSelectionListener(this._localSelectListener);	
		dwtBtn.setVisible(false);
		modUi[CalemModBarView.BUTTON]=dwtBtn;
		//Creating icon
		dwtBtn=new DwtButton(this, null, "MODButton", Dwt.ABSOLUTE_STYLE);
		dwtBtn.setToolTipContent(mod.getTitle());
		dwtBtn.setImage(mod.getIcon());
		dwtBtn.setData(CalemModBarView.MODULE, mod);
		dwtBtn.addSelectionListener(this._localSelectListener);
		modUi[CalemModBarView.ICON]=dwtBtn;		
		dwtBtn.setVisible(false);
	}
	var iconUi=new Object();
	this._uiRepo[CalemModBarView.ICON_MORE]=iconUi;
	//Creating a moreIcon
	var moreConf=CalemConf["desktop_modBarViewMore"];
	dwtBtn=new DwtButton(this, null, "MODButton", Dwt.ABSOLUTE_STYLE);
	dwtBtn.setToolTipContent(CalemMsg[moreConf.id]);
	dwtBtn.setImage(moreConf.icon);
	iconUi[CalemModBarView.ICON]=dwtBtn;
	dwtBtn.setVisible(false);
} 

/**
 * Layout change event
 * @param layout {x:, y:, width:, height:}
 */
CalemModBarView.prototype.onLayoutChange =
function(param) {
	//Consider padding here
	param={x: param.x, y: param.y, width: param.width-this._xPad, height: param.height-this._yPad}
	this._bounds=param;
	this.setBounds(param.x, param.y, param.width, param.height);
	//figuring out number of buttons to display.
	var count=Math.floor(param.height/this._conf.buttonHeight);
	count= Math.max(count, this._conf.minButtonCount);
	count= Math.min(count, this._modules.length); 
	var iconCount=0;
	var iconModCount=0;
	var moreCount=0;
	if (count < this._modules.length) {
		count -=1; //Leave one button row out for icons.
		//Figure out how many icons to display.
		iconCount=Math.floor(param.width/this._conf.iconWidth);
		iconCount=Math.max(iconCount, this._conf.minIconCount);
		iconCount=Math.min(iconCount, this._modules.length-count);
		iconModCount=iconCount;
		if (this._modules.length > count + iconCount) {
			iconModCount--;
			moreCount= this._modules.length - count - iconModCount;
		}
	}
    if (CalemDebug.isDebug()) {
        CalemDebug.debug("buttonCount="+count+", iconModCount="+iconModCount+", moreCount="+moreCount);
    }
	
	//Let's hide all items we don't need to display
	this._hideModUi(count, this._modules.length, CalemModBarView.BUTTON);
	this._hideModUi(0, this._modules.length, CalemModBarView.ICON);
	this._hideMoreIcon(moreCount);
	
	//Display buttons
	var x=this._xOff;
	var y=this._yOff;
	var width=param.width;
	var height=this._conf.buttonHeight;
	for (var i=0; i< count; i++) {
		var mod=this._modules[i];
		modUi=this._uiRepo[mod.getId()];
		var dwtBtn=modUi[CalemModBarView.BUTTON];
		dwtBtn.setBounds(x, y, width, height);
		dwtBtn.setVisible(true);
		y+=height;
	}
	//Check for icons
	if (moreCount<=0 && iconCount<=0) return;
	//Avg out the width of icons.
	var iconWidth= Math.floor(param.width/iconCount);
	//Do iconCount first.
	for (var i=0; i< iconModCount; i++) {
		var j=count+i; //This is the module we're dealing with
		var mod=this._modules[j];
		var modUi=this._uiRepo[mod.getId()];
		var dwtBtn=modUi[CalemModBarView.ICON];
		dwtBtn.setBounds(x, y, iconWidth, height);
		dwtBtn.setVisible(true);
		x+=iconWidth;
	}
	//Decide if moreIcon is necessary.
	if (moreCount>0) {
		var iconUi=this._uiRepo[CalemModBarView.ICON_MORE];
		var dwtBtn=iconUi[CalemModBarView.ICON];
		dwtBtn.setVisible(true);
		dwtBtn.setBounds(x, y, iconWidth, height);
		//Now creating menu for the more icons
		var menu = new CalemModMenu(this); //the menu pop up can be displayed as needed.
		menu.setLocX(param.x+param.width);
	   dwtBtn.setMenu(menu, true);
	   //Let's creating menu items here.
	   for (var i=count+iconModCount; i< this._modules.length; i++) {
	   	var mod=this._modules[i];
	   	var mi=DwtMenuItem.create(menu, mod.getIcon(), mod.getTitle(), null, true, DwtMenuItem.RADIO_STYLE, 0);
	   	mi.setData(CalemModBarView.MODULE, mod);
	   	mi.addSelectionListener(this._localSelectListener);
	   }	
	}
}

/**
 * helper functions
 */
CalemModBarView.prototype._hideModUi =
function(start, end, type) {
	for (var i=start; i< end; i++) {
		var mod=this._modules[i];
		var modUi=this._uiRepo[mod.getId()];
		var btn=modUi[type];
		btn.setVisible(false);
	}
}

CalemModBarView.prototype._hideMoreIcon =
function(moreCount) {
	if (moreCount>0) return;
	var iconUi=this._uiRepo[CalemModBarView.ICON_MORE];
	var icon=iconUi[CalemModBarView.ICON];
	icon.setVisible(false);
}

/**
 * Module selection by user
 */
CalemModBarView.prototype.onModSelection =
function(ev) {
	var item = ev.item;
	this._selectListener.handleEvent(item.getData(CalemModBarView.MODULE));
}

/**
 * Module changes
 */
CalemModBarView.prototype.onModuleListChange =
function(modules) {
	this._modules=modules;
	this.onLayoutChange(this._bounds); //Mock a layout change event.
}

/**
 * Minimum width
 */
CalemModBarView.prototype.getMinWidth =
function() {
	return this._conf.minIconCount * this._conf.iconWidth;
} 

/**
 * Minimum height
 */
CalemModBarView.prototype.getMinHeight =
function() {
	return this._conf.minButtonCount * this._conf.buttonHeight;
} 


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * This is the module summary viewer.
 * 
 * Model: modsum view html so all the events will be routed back to the module that generates it.
 * Generated events: a) modsum selected (per data item selected).
 * Receive events: a) updated modsum view; b) size changes.
 */
 
/**
 * Constructor
 */
function CalemModSumView() {
	var shell=CalemContext.getInstance().getShell();
	this._parent=shell;
	DwtComposite.call(this, shell, "CalemModSumView", Dwt.ABSOLUTE_STYLE);
	//The will be a title and a list of items.
	this._titleId = Dwt.getNextId();
	this._createView();
} 

CalemModSumView.prototype = new DwtComposite;
CalemModSumView.prototype.constructor = CalemModSumView;

/**
 * Title for this summary panel
 */
CalemModSumView.prototype.setTitle =
function(title) {
	var el=document.getElementById(this._titleId);
	if (el) {
		el.innerHTML=title;
	}
}

/**
 * Default is just the title
 */
CalemModSumView.prototype._createView =
function() {
	var el=this.getHtmlElement();
	var i=0;
	var html = new Array();
	html[i++] = "<table style='width:100%;height:100%' cellpadding='0' cellspacing='1' border='0'>";
	html[i++] = "<tr><td><div id=";
	html[i++] =	this._titleId;
	html[i++] = ">divTesting</div></td></tr>";
	html[i++] = "</table>";
	el.innerHTML=html.join('');
}

/**
 * Layout change
 */
CalemModSumView.prototype.onLayoutChange =
function(param) {
	this.setBounds(param.x, param.y, param.width, param.height);
}

/**
 * Minimum height
 */
CalemModSumView.prototype.getMinHeight =
function() {
	return CalemConf['desktop_modView']['minModSumHeight'];
}

/**
 * Initialization
 */
CalemModSumView.prototype.init =
function(mod) {
	this._module=mod;
	this.setTitle(mod.getTitle());
}


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * This is the module view.
 * 
 * It's an aggregate view of CalemModBarView and CalemModSumView.
 * Generated events: resizing for ModBarView and ModSumView
 * Received events: layoutChange; module selection; 
 */
 
/**
 * Constructor
 */
function CalemModView(parent, modules, modSelectListener, modCustomizeListener) {
	this._parent = parent;
	//barView
	this._modBarView=new CalemModBarView(this._parent, CalemConf["desktop_modBarView"], modules, modSelectListener, modCustomizeListener);
	this._modBarView.zShow(true);
	//sumView
	this._module= modules ? modules[0] : null; //Default module.
	this._modSumView=this._module.getModsum();
	if (this._modSumView) this._modSumView.zShow(true);
	//Init bounds
	this._modConf=CalemConf["desktop_modView"];
	//Use a scheduled action to control the repainting
	this._modViewChanged=new AjxTimedAction(this, this.onSashChanged);
	//Sash to separate barView and sumView
	this._modSash = new DwtSash(parent, DwtSash.VERTICAL_STYLE, "AppSash-vert", this._modConf['sashLimist']);
	this._modSash.registerCallback(this.onSashMove, this);
	this._modSash.zShow(true);
} 

/**
 * Module selection
 * @param CalemModule the current module selected.
 */
CalemModView.prototype.onModuleSelection =
function(mod) {
	if (this._module==mod) return; //No real change.
	this._module=mod;
	this._modSumView=this._module.getModsum();
	if (this._modSumView) this._modSumView.onLayoutChange(this._modSumBounds);
} 

/**
 * Layout changes from outside
 * @param Object {x, y, w, h}
 */
CalemModView.prototype.onLayoutChange =
function(param) {
	//Fix the case when IE does not pass the bounds correctly.
	if (param.height < this._modBarView.getMinHeight() ) {
		if (CalemDebug.isInfo()) {
			CalemDebug.info("Module view bounds not valid, ignore: {x="+param.x+", y="+param.y+
		                ", width="+param.width+", height="+param.height+"}, minModBarHeight="+this._modBarView.getMinHeight());
		}
		return;		                
	}
	this._bounds=param;
	this._setBounds(param);
	//modSumView update
	if (this._modSumView) this._modSumView.onLayoutChange(this._modSumBounds);
	//Sash repositioning
	this._modSash.setBounds(this._sashBounds.x, this._sashBounds.y, this._sashBounds.width, Dwt.DEFAULT);
	//modBarView update
	this._modBarView.onLayoutChange(this._modBarBounds);
}

CalemModView.prototype._setBounds =
function(param) {
	//Set sash bounds only the first time.
	if (!this._sashBounds) {//First time displaying the sash.
	   this._sashBounds = Dwt.getBounds(this._modSash.getHtmlElement()); //get sashBounds to find out the height of the sash.
	   var sashY=param.y + (param.height-this._modConf.modBarHeight-this._sashBounds.height);
	   this._sashBounds={x: param.x, y: sashY, width: param.width, height: this._sashBounds.height};
	} else {//Sash bounds to be inline with the outer bounds
		this._sashBounds.width=param.width;
	}
	//Fix the case when desktop is resized to have toolbar out of client area.
	if (param.height < this._sashBounds.y) { //let's adjust a bit.
		this._sashBounds.y= param.y + (param.height-this._modConf.modBarHeight-this._sashBounds.height);
	}
	//Set modSum bounds
	this._modSumBounds={x: param.x, y: param.y, width: param.width, height: this._sashBounds.y - param.y};
	//Set modBar bounds
	var barY=this._sashBounds.y+this._sashBounds.height;
	this._modBarBounds={x: param.x, y: barY, width: param.width, height:param.height - (barY - param.y)};
}

/**
 * Clint area sash sizing
 * @param int 	Width of the sash for ModView
 * @return boolean if the width is less than the minimum width of the ModBar.
 */
CalemModView.prototype.widthAllowed =
function(width) {
	return (width > this._modBarView.getMinWidth());
}

CalemModView.prototype.getInitWidth = 
function() {
	return this._modConf.modViewWidth;
}

CalemModView.prototype.getMinWidth =
function() {
	return this._modConf['minModWidth'];
}

/**
 * Sash move attemp
 */
CalemModView.prototype.onSashMove =
function(delta) {
	var absDelta = Math.abs(delta);
	// Only sashBounds is updated so let's use it due to timed action.
	if (delta < 0 && absDelta >= this._sashBounds.y - this._bounds.y) {
		return 0; //Cannot exceed the starting point.
	} else {
		var barH= this._bounds.height - (this._sashBounds.y - this._bounds.y + this._sashBounds.height) - delta;
		if (barH < this._modBarView.getMinHeight()) return 0;
	}
	//Accepting the changes
	this._sashBounds.y += delta;
	//Use timed action
	AjxTimedAction.scheduleAction(this._modViewChanged, this._modConf['redrawDelay']);
	return delta; //Always stop here.
}

CalemModView.prototype.onSashChanged =
function() {
	this.onLayoutChange(this._bounds);
} 


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

//Object definition
function CalemLogin() {}

/**
 * Constants of the login form.
 */
CalemLogin.errorMsgDivEl='errorMsgDivEl';
CalemLogin.errorTextEl='errorTextEl';
CalemLogin.usernameEl='usernameEl';
CalemLogin.passwordEl='passwordEl';
CalemLogin.loginEl='loginEl';

CalemLogin.USERNAME_LENGTH = 20;
CalemLogin.PASSWORD_LENGTH = 20;

/**
 * static method to start the login form.
 */ 
CalemLogin.onload =
function() {
	var cc=CalemContext.getInstance();
	cc.init(); //Initialize context.
	var sid=cc.getSessionId();
	if (sid) {
		DBG.println(AjxDebug.DBG3, "Sid found in the cookie, to remove the session: "+sid);
		CalemSoapClient.logout();
	}
	var userDd=CalemTableDdFactory.create('users');
	CalemLogin.userFldLength=userDd.getTextInputLength('username');
   CalemLogin._showLogin();      
}

CalemLogin._showLogin =
function() {
   var ar=[];
   var i=0;
   ar[i++]="<table width='100%' height='100%' class=loginOuter>";
   ar[i++]="<tr><td><table width=400 height=250 align=center class=LoginInner>";
   ar[i++]=["<tr><td align=center><img src=\"", calemRootUrl, "/client/themes/calemeam.png\"></td></tr>"].join('');
   ar[i++]=["<tr><td align=center><div id=", CalemLogin.errorMsgDivEl, " style='display:none'>"].join('');
   ar[i++]=["<table class=errorTable><tr><td width=10></td><td width=38><img src=\"", 
              calemRootUrl, "/client/themes/image/hiRes/dwt/Critical_32.gif\" width=32 height=32></td>"].join('');
   ar[i++]=["<td id=", CalemLogin.errorTextEl, " class=errorText></td>"].join('');
   ar[i++]="<td width=10></td></table></div></td></tr>";
   ar[i++]="<tr><td><table id=loginTable align=center>";
   ar[i++]=["<tr><td align=right class=fieldLable nowrap>", CalemMsg.username, ":</td>"].join('');
   ar[i++]=["<td align=left nowrap><input id=", CalemLogin.usernameEl, 
                 " value='' size=", CalemLogin.USERNAME_LENGTH, ' maxlength=', CalemLogin.userFldLength, 
                 " class=editField type=\"text\"></td></tr>"].join('');
   ar[i++]=["<tr><td align=right class=fieldLable>", CalemMsg.password, ":</td>"].join('');
   ar[i++]=["<td><input id=", CalemLogin.passwordEl, " value='' size=", CalemLogin.PASSWORD_LENGTH, 
   				  ' maxlength=', CalemLogin.PASSWORD_LENGTH, " class=editPassword type=\"password\"></td></tr>"].join('');
   ar[i++]="<tr><td>&nbsp;</td><td align=left>";
   ar[i++]=["<input id=", CalemLogin.loginEl, " class=loginButton type=\"button\" value=\"", 
               CalemMsg.login, "\" onclick='CalemLogin._attemptLogin()'>"].join('');
   ar[i++]="</td></tr></table></td></tr>";
   ar[i++]=["<tr><td align=center class=copyRightText nowrap>", CalemMsg.copyright, "</td></tr>"].join('');
   ar[i++]="</table></td></tr></table>";
   document.body.innerHTML=ar.join('');
   //set focus on username
   document.getElementById(CalemLogin.usernameEl).focus();
   //Monitoring key event
   CalemLogin._registerKeyEvents();
}

CalemLogin._registerKeyEvents =
function() {
	document['onkeypress']=CalemLogin._handleKeyEvents;
}

/**
 * Cancel events propagation or bubbling up
 */
CalemLogin._cancelEvent =
function(event) {
	event.cancelBubble = true;
	if (event.stopPropagation) event.stopPropagation();
} 

/**
 * Events are handled for different browsers.
 */
CalemLogin._handleKeyEvents =
function(event) {
    event = event || window.event; //Either passed in or directly from window
    if (event == null) return true;
    
    var target = event.target ? event.target: event.srcElement; //get the target of the event
    if (!target) return true;    
    
    //Process key presses
    var keyCode = event.keyCode || event.charCode;
    if (keyCode == 13) { // Enter key
      if (target.id==CalemLogin.usernameEl) {//Move to password
         document.getElementById(CalemLogin.passwordEl).focus();
      } else if ( (target.id==CalemLogin.passwordEl || target.id==CalemLogin.loginEl)
                  && document.getElementById(CalemLogin.loginEl).disabled==false) {
         CalemLogin._attemptLogin();
      }
		CalemLogin._cancelEvent(event);
		return false;
    } else if (keyCode == 9) { // Tab
      var handled=false;
      var shiftKey = event.shiftKey;
      if (shiftKey) {
         if (target.id==CalemLogin.usernameEl) {
            handled=true;
            if (document.getElementById(CalemLogin.loginEl).disabled) {
               //Do no do anything - cannot move on to disabled button.
            } else {
               document.getElementById(CalemLogin.loginEl).focus();
            }
         } else if (target.id==CalemLogin.loginEl) {
            document.getElementById(CalemLogin.passwordEl).focus();
            handled=true;
         }
      } else if (target.id==CalemLogin.loginEl) { //Do not tab into the browser window
		   document.getElementById(CalemLogin.usernameEl).focus();
		   handled=true;		   
		} else if (target.id==CalemLogin.passwordEl 
		             && document.getElementById(CalemLogin.loginEl).disabled) {
		   //Cannot move to disabled
		   handled=true;
		}
		if (handled) {
		   CalemLogin._cancelEvent(event);
		   return false;
		}
    }
    //Not handling here
    return true;
}

/**
 * Display error msg
 */
CalemLogin._displayError =
function(msg) {
   var errorTextEl=document.getElementById(CalemLogin.errorTextEl);
   errorTextEl.innerHTML=msg;
   CalemLogin._toggleErrorMsgDiv(true);
} 

/**
 * Toggle error div
 */
CalemLogin._toggleErrorMsgDiv =
function(show) {
   var errorMsgDivEl=document.getElementById(CalemLogin.errorMsgDivEl);
   if (show) {
      errorMsgDivEl.style.display="block";
   } else {
      errorMsgDivEl.style.display="none";
   }
} 

/**
 * Toggle loginEl
 */
CalemLogin._toggleLogin =
function(disable) {
   var loginEl=document.getElementById(CalemLogin.loginEl);
   loginEl.disabled=disable;
} 

/**
 * Login via soap API
 */
CalemLogin._attemptLogin = 
function() {
   //Check validity of both values
   var username=document.getElementById(CalemLogin.usernameEl).value;
   var password=document.getElementById(CalemLogin.passwordEl).value;
   if (username==null||password==null||username.length==0||password.length==0) {
      CalemLogin._displayError(CalemMsg.login_err);
      return;
   }
   //Hide error and disable login button
   CalemLogin._toggleErrorMsgDiv(false);
   CalemLogin._toggleLogin(true);
   var callback=new AjxCallback(null, CalemLogin.handleResponse, []);
   //Create a soap document here
   var soapDoc=CalemSoapClient.createSoapDoc("Login");
   soapDoc.set("username", username);
   soapDoc.set("password", password);
   var client=new CalemSoapClient(soapDoc, callback);
   client.service(); 
}

/**
 * Login callback 
 */ 
CalemLogin.handleResponse =
function(response) {
   //Must enable login first
   CalemLogin._toggleLogin(false);
   //Set error msg if any.
   if (response.getException()) {
      CalemLogin._displayError(response.getErrorMsg());
   } else {
      var resp=response.getResponse().LoginResponse;
      if (DBG.getDebugLevel() == AjxDebug.DBG3) {
          DBG.println(AjxDebug.DBG3, "Logged in. sessionId="+resp.sessionId+", validityPeriod="+resp.validityPeriod);
      }
      CalemLogin._launchCalem(resp);
   }
} 

/**
 * Launch Calemos 
 */ 
CalemLogin._launchCalem =
function(resp) {
   var rdForm = document.createElement('form');
	document.body.appendChild(rdForm);
	rdForm.innerHTML="<input type='hidden' name='sessionId' value='"+resp.sessionId+"'>"
	              + "<input type='hidden' name='validityPeriod' value='"+resp.validityPeriod+"'>";
	rdForm.action=calemRequestUrl+window.location.search;
	rdForm.method="post";
	rdForm.submit();
} 
   
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * This is the main entry point of Calemos.
 */
 
/**
 * Constructor
 */
function CalemDesktop() {
	//Logout listener
	this._logoutListener=new AjxListener(this, this.onLogout)
   //Listeners for module selection
   this._moduleSelectListener=new AjxListener(this, this.onModuleSelect);
   this._moduleCustomizeListener=new AjxListener(this, this.onModuleCustomize)
   //Use a scheduled action to control the repainting
	this._onLayoutChangeAction=new AjxTimedAction(this, this.onLayoutChange);
	//desktop conf
	this._conf=CalemConf['desktop_mainView'];
	//logout callback
	this._logoutCallback=new AjxCallback(null, CalemSoapClient.reLogin);
	//welcome action
	this._welcomeAction=new AjxTimedAction(this, this._showWelcome);
	this._welcomeConf=CalemConf['desktop_mainView']['welcomeConf'];
} 

/*
 * Setters for the form.
 */
CalemDesktop.prototype.setShell =
function(shell) {
   this._shell=shell;
	this._shell.addControlListener(new AjxListener(this, this.onDesktopControlEvent));
} 

CalemDesktop.prototype.setRegistry =
function(reg) {
   this._registry=reg;
}

/*
 * Handles a browser window resize event.
 */
CalemDesktop.prototype.onDesktopControlEvent =
function(ev) {
	if (ev.oldWidth != ev.newWidth || ev.oldHeight != ev.newHeight) {
		this.onLayoutChangeEvent();
	}
}

/**
 * A module is selected.
 * @param module object
 */
CalemDesktop.prototype.onModuleSelect =
function(mod) {
	//If current module is displayed do nothing.
	if (!this._modController || this._modController.getModule()!=mod) {
		this._modController = new CalemModuleController(this._shell, mod);
	}
	//Has the size of the topbar changed?
	if (this.isTopbarResized()) {
		if (CalemDebug.isDebug()) CalemDebug.debug("Topbar resized, to resize desktop immediately.");
		this.onLayoutChange(); //To change right away so the grid layout below is not an issue.
	}
	//Let's figure out the default form and open it.
	this._mainController.openDefaultForm(this._modController.getDefaultMenu());
}

CalemDesktop.prototype.openForm =
function(fmId, data) {
	return this._mainController.openForm(fmId, data);
}

CalemDesktop.prototype.getCurrentForm =
function() {
	return this._mainController.getCurrentForm();
}

//Ceck for topbar resize
CalemDesktop.prototype.isTopbarResized =
function() {	
	var bz=Dwt.getBounds(this._clientEl);
	return (bz.y!=this._bounds.y);
}

/**
 * Not supported at this time.
 * Group design has this function for now.
 */
CalemDesktop.prototype.onModuleCustomize =
function(modules) {
}

/**
 * Logout selected
 */
CalemDesktop.prototype.onLogout =
function() {
	//logout
	CalemSoapClient.logout(this._logoutCallback); 
}

/**
 * Launch desktop
 * <ul>
 * <li> Creating form and module areas
 * <li> Creating sashes for the layout of the client area: formSash and modSash.
 * <li> Creating modsum and mod-nav buttons
 * <li> Creating form
 * </ul>
 */
CalemDesktop.prototype.launchDesktop =
function() {
	this._showWelcome();
	//Creating logo
	this._logo=new CalemLogo(this._shell);
	//the main bar to logout/help
	this._exitToolbar=new CalemExitToolBarController(this._shell, this._logoutListener);
	// Create vertical sash between view and filter panel
	this._sash = new DwtSash(this._shell, DwtSash.HORIZONTAL_STYLE, "AppSash-horiz", this._conf['sashLimit']);
	this._sash.registerCallback(this.onSashMove, this);
	this._sash.zShow(true);
   //Get module list
   this._modules=this._registry.getModuleList();
   //Create modView
   this._modView=new CalemModView(this._shell, this._modules, this._moduleSelectListener, this._moduleCustomizeListener);
	//Set up main controller
	this._setupMainController();
   //start displaying the screen
   this.onLayoutChange();
   //Show first form
   if (this._conf['showFirstMod'] && this._modules.length > 0) {
   	this.onModuleSelect(this._modules[0]);
   }
   /**
    * Key support to consider later
    */
   /*
	   //Start key listener
	   this._setupKeyListener();
	   //Key handler to setup
	   this._keyHandler=new CalemKeyHandler();
   */
} 

/**
 * Key listener here.
 */
CalemDesktop.prototype._setupKeyListener =
function() {
	document["onkeypress"] = CalemDesktop._handleKeyEvents;
}

CalemDesktop._cancelEvent =
function(event) {
	event.cancelBubble = true;
	if (event.stopPropagation) event.stopPropagation();
} 

CalemDesktop._handleKeyEvents =
function(event) {	
	event = event || window.event; //Either passed in or directly from window
   if (event == null) return true;
    
    var target = event.target ? event.target: event.srcElement; //get the target of the event
    if (!target) return true;    
    
    //Process key presses
    var processed=CalemContext.getInstance().getDesktop().onKeyEvent(event, target);
    if (processed) {
    	CalemDesktop._cancelEvent(event);
    	return false;
    }
    return true;	
}

CalemDesktop.prototype.onKeyEvent =
function(event, target) {
	var fm=this.getCurrentForm();
	fm= fm ? fm.getActiveController() : fm;
	return this._keyHandler.onKeyEvent(event, targe, fm, this);
}

/**
 * Display welcome panel
 */
CalemDesktop.prototype._showWelcome =
function() {
	var el=document.getElementById(this._welcomeConf.id);
	var datetime=CalemTextUtil.getFormatter(CalemTextUtil.DATETIME_READ_FORMATTER).format(new Date());
	var fullName=CalemContext.getInstance().getUserFullName();
	el.innerHTML=AjxMessageFormat.format(CalemMsg.getMsg(this._welcomeConf.msg), [fullName, datetime]);
	AjxTimedAction.scheduleAction(this._welcomeAction, this._welcomeConf.interval);
} 

/**
 * Set up main controller
 */
CalemDesktop.prototype._setupMainController =
function() {
	this._mainController=eval(['new ', this._conf.controller, '(this._shell)'].join(''));
	this._mainController.init(this._conf);
} 

/**
 * Sash move attemp
 */
CalemDesktop.prototype.onSashMove =
function(delta) {
	var absDelta = Math.abs(delta);
	// Only sashBounds is updated so let's use it due to timed action.
	if ( (delta < 0 && this._sashBounds.x - this._bounds.x - absDelta < this._modView.getMinWidth())
	   ||(delta > 0 && absDelta >= this._bounds.width - (this._sashBounds.x-this._bounds.x+this._sashBounds.width)) ) {
		return 0; //Cannot exceed the starting point.
	} 
	//Accepting the changes
	this._sashBounds.x += delta;
	this.onLayoutChangeEvent();
	return delta; //Always stop here.
}

/**
 * Layout change
 */
CalemDesktop.prototype.onLayoutChangeEvent =
function() {
	AjxTimedAction.scheduleAction(this._onLayoutChangeAction, this._conf['redrawDelay']);
} 

/**
 * Layout change handler.
 */
CalemDesktop.prototype.onLayoutChange =
function() {
	//Init bounds
	this._initBounds();
	//Set up bounds first.
	this._setBounds();
	//sash
	this._sash.setBounds(this._sashBounds.x, this._sashBounds.y, this._sashBounds.width, this._sashBounds.height);
	//Mod view layout change
	this._modView.onLayoutChange(this._modBounds);
	//main area layout change
	this._mainController.onLayoutChange(this._formBounds);
} 

/**
 * Set up main client bounds
 */
CalemDesktop.prototype._initBounds =
function() {
	if (!this._clientEl) {
		this._clientEl=document.getElementById('theme_main_td');
	}	
	this._bounds=Dwt.getBounds(this._clientEl);
	
	//Sash bounds to set up first.
	if (!this._sashBounds) {//Very first time.
	   this._sashBounds = Dwt.getBounds(this._sash.getHtmlElement());
		this._sashBounds={x: this._bounds.x+this._modView.getInitWidth(), 
		                  y: this._bounds.y, width: this._sashBounds.width, height: this._bounds.height};
	} else {
		this._sashBounds.y = this._bounds.y; // this fixed it! - bounds of tables affect the sash layout, a workaround is placed now to remove the borders 
														 // from main_td and form toolbar. A solution might be searched for later.
		this._sashBounds.height=this._bounds.height;
	}
}

/**
 * Set up bounds based on sash and client area.
 */
CalemDesktop.prototype._setBounds =
function() {
	//Setting up module bounds
	this._modBounds={x: this._bounds.x, y: this._bounds.y, 
	                 width: this._sashBounds.x-this._bounds.x, height: this._bounds.height};              
	//Setting up form bounds
	this._formBounds={x: this._sashBounds.x+this._sashBounds.width, y: this._bounds.y,
	                  width: this._bounds.width - (this._sashBounds.x+this._sashBounds.width),
	                  height: this._bounds.height};
} 

/**
 * Exit desktop
 */
CalemDesktop.onExitDesktop =
function() {
	return CalemMsg.getMsg('exit_calemeam');
}

CalemDesktop._getDomShell =
function() {
	return window.document.getElementById('theme_layout');
}

/**
 * Launch the desktop
 */
CalemDesktop.launch =
function() {
	//Close down splash screen
	var splash=document.getElementById('splash_screen');
	if (splash) Dwt.setDisplay(splash, 'none'); 
   //Creating the shell.
   var domShell= CalemDesktop._getDomShell();
   Dwt.setDisplay(domShell, 'block');
   var cf=CalemConf['desktop_mainView']['shell'];
   var shell = new DwtShell(cf.className, cf.scrollable, CalemDesktop.onExitDesktop, domShell);
   //get CalemContext
	var cc=CalemContext.getInstance();
	cc.init(); //Initialize context.
   cc.setShell(shell);
   cc.setupWorkarounds(); //Prepare workarounds.
   var desktop=new CalemDesktop();
   desktop.setShell(shell);
   cc.setDesktop(desktop);
   //Verify sessionId in the cookie
	var sid=cc.getSessionId();
	if (!sid) {
		//No valid sessionId so let's go back to login screen.
		desktop.onLogout();
		return;
	}
   //Init registry
   var regMgr=CalemConf.registry_manager;
   var reg=eval(["new ", regMgr.impl, "()"].join(""));
  
   //Init groups for accessing ACLs and customization.
   var cache=reg.getCache();
   var cachedGroup=new CalemCachedGroups(cache);
   //Continue initiating registry based on acl-groups.
   reg.init(regMgr.names)
   desktop.setRegistry(reg);
   //Init locale list
   var localeData=[];
   for (var i=0; i< calemLocaleList.length; i++) {
   	var obj=calemLocaleList[i];
   	CalemMsg[obj.id]=obj.desc;
   	localeData.push([obj.id, false]);
   }
   new CalemLocalCachedItem(cache, 'locale', localeData);
   //Now launchDesktop
   desktop.launchDesktop();
   return desktop;
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * BO util.
 */
function CalemBoUtil() {
} 

CalemBoUtil.getInstance =
function() {
	if (!CalemBoUtil.singleton) {
		CalemBoUtil.singleton = new CalemBoUtil();
	}
	return CalemBoUtil.singleton;
}

/**
 * Generic deletion dependency check.
 */
//Asset deletion check
CalemBoUtil.prototype.canDeleteByLookup =
function(tbList, lkupFld, lkupVal, callback) {
	var reg=CalemContext.getInstance().getRegistry();
	var dbQry=new CalemDbQuery();
	//Add details
	for (var i=0; i< tbList.length; i++ ) {
		var table=tbList[i];
		var fld=lkupFld;
		if (typeof(table)=='object') {
			fld=table.fld;
			table=table.table;
		}
		var dd=reg.getTableDd(table);
		var qry=dd.buildGetAllQueryByLookup(fld, lkupVal);
		qry.setFullTableId([table,"_",fld].join('')); 
		dbQry.add(qry);
	}
	//Now do a bulk query for count
	reg.getCache().bulkLoadCountBypassCache(dbQry, new AjxCallback(this, this.onDeleteByLookupResponse, callback));
}

CalemBoUtil.prototype.onDeleteByLookupResponse =
function(callback, countList) {
	var tbl=false;
	for (var i=0; i< countList.length; i++) {
		if (countList[i]['count'] > 0) {
			tbl=countList[i]['table'];
			break;
		}
	}
	if (tbl) {
		CalemInfoDialog.showIt(CalemMsg.getMsg('form_delete_title'), 
			AjxMessageFormat.format(CalemMsg.getMsg('delete_dependency_no_del'), [CalemMsg.getMsg(tbl), tbl]));
	} else {
		callback.run(true);
	}
} 

CalemBoUtil.isUserInAdminGroup =
function() {
	var gid=CalemContext.getInstance().getGroupId();
	return (gid==CalemConst.CALEM_OOB || gid==CalemConst.CUSTOM_SYSTEM);
}

//Build Calem.js from client
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
/**
 * CalemUserBo.
 */
function CalemUserBo() {
}

CalemUserBo._details = [{table: 'workorder', fld: 'created_id'},{table: 'workorder', fld: 'modified_id'}, {table: 'workorder', fld: 'assigned_to_id'}, 'wo_labor'];;

CalemUserBo.getInstance =
function() {
	if (!CalemUserBo.singleton) {
		CalemUserBo.singleton = new CalemUserBo();
	}
	return CalemUserBo.singleton;
}

/**
 * Can the user be deleted?
 */
CalemUserBo.prototype.canDelete =
function(rec, callback) {
	var boUtil=CalemBoUtil.getInstance();
	boUtil.canDeleteByLookup(CalemUserBo._details, 'user_id', rec.id, callback);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemAclGroupBo - some common business logic for BudgetTitle.
 */
function CalemAclGroupBo() {
}

CalemAclGroupBo.getInstance =
function() {
	if (!CalemAclGroupBo.singleton) {
		CalemAclGroupBo.singleton = new CalemAclGroupBo();
	}
	return CalemAclGroupBo.singleton;
}

/**
 * Can the group be deleted?
 * Check for users and groups.
 */
CalemAclGroupBo.prototype.canDelete =
function(recTitle, callback) {
	//If this is admin group, cannot delete (CCS or OOB if any).
	if (this._checkForAdmin(recTitle)) return;
	
	var reg=CalemContext.getInstance().getRegistry();
	//Check for child groups.
	var groupDd=reg.getTableDd('acl_group');
	var qry=groupDd.buildGetAllQuery();
	//Query condition
	var val=new CalemDbLookup(recTitle.id);
	var fld=new CalemDbField('acl_group', 'parent_group_id');
	var dbExpr=new CalemDbExpr(fld, CalemDbExpr.EQ, val);
	qry.setWhere('acl_group', dbExpr);
	var dbQry=new CalemDbQuery();
	dbQry.add(qry)
	//Check for users in the group
	var userDd=reg.getTableDd('users');
	qry=userDd.buildGetAllQuery();
	fld=new CalemDbField('users', 'acl_group_id');
	dbExpr=new CalemDbExpr(fld, CalemDbExpr.EQ, val);
	qry.setWhere('users', dbExpr);
	dbQry.add(qry);
	//Now do a bulk qury with a callback
	reg.getCache().bulkLoad(dbQry, new AjxCallback(this, this.onDeleteFetchResult, callback));
}

CalemAclGroupBo.prototype._checkForAdmin =
function(recTitle) {
	var rtn= (recTitle.id==CalemConst.CUSTOM_SYSTEM);
	if (rtn) {
		CalemInfoDialog.showIt(CalemMsg.getMsg('form_delete_title'), CalemMsg.getMsg('built_in_group_no_deletion'));
	}
	return rtn;
}

CalemAclGroupBo.prototype.onDeleteFetchResult =
function(callback, result) {
	var recList=result['acl_group'];
	if (recList.getTotal() > 0) {//Prompt deletion now allowed.
		CalemInfoDialog.showIt(CalemMsg.getMsg('form_delete_title'), CalemMsg.getMsg('child_group_not_empty'));
		return;
	} 
	
	recList=result['users'];
	if (recList.getTotal()>0) {
		CalemInfoDialog.showIt(CalemMsg.getMsg('form_delete_title'), CalemMsg.getMsg('group_users_not_empty'));
		return;
	}
	
	callback.run(true);
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemFieldBo.
 */
function CalemFieldBo() {
	this._fldConf=CalemConf['view_engine']['tableViewDesign'].fieldConf;
}

CalemFieldBo.getInstance =
function() {
	if (!CalemFieldBo.singleton) {
		CalemFieldBo.singleton = new CalemFieldBo();
	}
	return CalemFieldBo.singleton;
}

/**
 * Verify input validity.
 * a) type and length must match, length must not exceed max value.
 * b) field name must be valid (alpha numerical with underscore)
 * c) field name not duplicate of existing field.
 */
CalemFieldBo.prototype._verifyInputBo =
function(row, controller) {
	this._verifyFieldName(row['id']);
	this._verifyIdDuplicated(row['id'], controller.getFieldTableDd());
	this._verifyFieldLength(row['field_type'], row['field_length']);
	return true;
}

CalemFieldBo.prototype._verifyNameEdit =
function(row, oldId, controller) {
	this._verifyFieldName(row['id']);
	if (row['id'] != oldId) this._verifyIdDuplicated(row['id'], controller.getFieldTableDd());
	return true;
}

CalemFieldBo.prototype._verifyFieldTypeChange =
function(row, controller) {
	this._verifyFieldLength(row['field_type'], row['field_length']);
	return true;
}

CalemFieldBo.prototype._verifyFieldName =
function(fld) {
	var re = new RegExp(this._fldConf.nameRegExp);
	if (re.exec(fld) != fld) {
		throw CalemMsg.getMsg('field_name_invalid');
	}
}

CalemFieldBo.prototype._verifyIdDuplicated =
function(fld, tableDd) {
	if (tableDd.isField(fld)) {
		throw CalemMsg.getMsg('field_name_duplicate');
	}
}

CalemFieldBo.prototype._verifyFieldLength =
function(type, len) {
	if (type=='vt_field_varchar') {
		if (!(len && len >= 1 && len <= this._fldConf.varcharMaxLen)) {
			throw CalemMsg.getMsg('field_length_invalid');
		}
	}
}

//Creating field object based on row.
CalemFieldBo.prototype.getFieldByRow =
function(row) {
	var field={type: row['field_type']};
	if (row['field_type']=='varchar') field['length']=row['field_length'];
	if (row['required']) field['required']=true;
	return field;
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDropdownBo.
 */
function CalemDropdownBo() {
	this._fldConf=CalemConf['view_engine']['tableViewDesign'].fieldConf;
}

CalemDropdownBo.getInstance =
function() {
	if (!CalemDropdownBo.singleton) {
		CalemDropdownBo.singleton = new CalemDropdownBo();
	}
	return CalemDropdownBo.singleton;
}

/**
 * Verify input validity.
 * a) type and length must match, length must not exceed max value.
 * b) field name must be valid (alpha numerical with underscore)
 * c) field name not duplicate of existing field.
 */
CalemDropdownBo.prototype._verifyInputBo =
function(row, controller) {
	this._verifyFieldName(row['id']);
	this._verifyIdDuplicated(row, controller.getTableDd());
	return true;
}

CalemDropdownBo.prototype._verifyEditBo =
function(row, id, controller) {
	this._verifyFieldName(row['id']);
	if (row['id']==id) this._verifyIdDuplicated(row, controller.getTableDd());
	return true;
}

CalemDropdownBo.prototype._verifyFieldName =
function(fld, tableDd, isNew) {
	var re = new RegExp(this._fldConf.nameRegExp);
	if (re.exec(fld) != fld) {
		throw CalemMsg.getMsg('field_name_invalid');
	}
}

CalemDropdownBo.prototype._verifyIdDuplicated =
function(fld, tableDd) {
	var dnMap=tableDd.getDropdownMap();
	if (dnMap[fld]) {
		throw CalemMsg.getMsg('field_name_duplicate');
	}
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDeptBo - business logic
 */
function CalemDeptBo() {
}

CalemDeptBo._details = ['users', 'workorder', 'asset'];

CalemDeptBo.getInstance =
function() {
	if (!CalemDeptBo.singleton) {
		CalemDeptBo.singleton = new CalemDeptBo();
	}
	return CalemDeptBo.singleton;
}

//Asset deletion check
CalemDeptBo.prototype.canDelete =
function(rec, callback) {
	var boUtil=CalemBoUtil.getInstance();
	boUtil.canDeleteByLookup(CalemDeptBo._details, 'dept_id', rec.id, callback);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTeamBo - business logic
 */
function CalemTeamBo() {
}

CalemTeamBo._details = ['users', 'workorder'];

CalemTeamBo.getInstance =
function() {
	if (!CalemTeamBo.singleton) {
		CalemTeamBo.singleton = new CalemTeamBo();
	}
	return CalemTeamBo.singleton;
}

//Asset deletion check
CalemTeamBo.prototype.canDelete =
function(rec, callback) {
	var boUtil=CalemBoUtil.getInstance();
	boUtil.canDeleteByLookup(CalemTeamBo._details, 'team_id', rec.id, callback);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

/**
 * CalemSchedulerTaskBo - business logic
 */
function CalemSchedulerTaskBo() {
}

CalemSchedulerTaskBo._details = ['scheduler_job'];

CalemSchedulerTaskBo.getInstance =
function() {
	if (!CalemSchedulerTaskBo.singleton) {
		CalemSchedulerTaskBo.singleton = new CalemSchedulerTaskBo();
	}
	return CalemSchedulerTaskBo.singleton;
}

//Asset deletion check
CalemSchedulerTaskBo.prototype.canDelete =
function(rec, callback) {
	var boUtil=CalemBoUtil.getInstance();
	boUtil.canDeleteByLookup(CalemSchedulerTaskBo._details, 'task_id', rec.id, callback);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

/**
 * CalemSchedulerJobBo - business logic
 */
function CalemSchedulerJobBo() {
}

CalemSchedulerJobBo._details = ['scheduler_job_log'];

CalemSchedulerJobBo.getInstance =
function() {
	if (!CalemSchedulerJobBo.singleton) {
		CalemSchedulerJobBo.singleton = new CalemSchedulerJobBo();
	}
	return CalemSchedulerJobBo.singleton;
}

//Asset deletion check
CalemSchedulerJobBo.prototype.canDelete =
function(rec, callback) {
	var boUtil=CalemBoUtil.getInstance();
	boUtil.canDeleteByLookup(CalemSchedulerJobBo._details, 'job_id', rec.id, callback);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Admin module menu
 */

//Modules Form

// User forms
CalemMenuDef['CalemUserFormList'] = {
	id: 'CalemUserFormList',
	title: 'users',
	icon: 'CalemUser',
	disIcon: null,
	tooltip: null, 
	enabled: true,		   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};

CalemMenuDef['CalemUserFormReadMine'] = {
	id: 'CalemUserFormReadMine',
	title: 'my_account',
	icon: 'CalemUser',
	disIcon: null,
	tooltip: null, 
	enabled: true,		   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};

CalemMenuDef['CalemAclGroupFormList'] = {
	id: 'CalemAclGroupFormList',
	title: 'acl_group',
	icon: 'CalemGroup',
	disIcon: null,
	enabled: true,
	tooltip: null,  				   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};

CalemMenuDef['CalemDeptFormList'] = {
	id: 'CalemDeptFormList',
	title: 'dept',
	icon: 'CalemGroup',
	disIcon: null,
	enabled: true,
	tooltip: null,  				   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};

CalemMenuDef['CalemTeamFormList'] = {
	id: 'CalemTeamFormList',
	title: 'team',
	icon: 'CalemGroup',
	disIcon: null,
	enabled: true,
	tooltip: null,  				   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};

CalemMenuDef['CalemAdminCodes'] = {
	id: 'CalemAdminCodes',
	title: 'admin_codes',
	icon: 'CalemAdmin',
	disIcon: null,
	enabled: true,
	tooltip: null
};

CalemMenuDef['CalemModAdminDataDesign'] = {
	id: 'CalemModDataDesign',
	title: 'data_design',
	icon: 'CalemDataDesign',
	disIcon: null,
	tooltip: null,
	enabled: true,				   
	onSelect: null	
}; 

CalemMenuDef['CalemTableFormList'] = {
	id: 'CalemTableFormList',
	title: 'table_design',
	icon: 'CalemTableDesign',
	disIcon: null,
	tooltip: null, 
	enabled: true,		   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};

CalemMenuDef['CalemDropdownFormList'] = {
	id: 'CalemDropdownFormList',
	title: 'dropdown_design',
	icon: 'CalemTableDesign',
	disIcon: null,
	enabled: true,
	tooltip: null,  				   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};

CalemMenuDef['CalemTbGroupAclDesign'] = {
	id: 'CalemTbGroupAclDesign',
	title: 'group_acl_design',
	icon: 'CalemAclDesign',
	disIcon: null,
	enabled: true,
	tooltip: null,  				   
	onSelect: {CalemMenuSelect: {listener: 'GroupAclDesignListener'}}
};

CalemMenuDef['CalemTbCustomizeModule'] = {
	id: 'CalemTbCustomizeModule',
	title: 'module_customize',
	icon: 'CalemAclDesign',
	disIcon: null,
	enabled: false,
	tooltip: null,  				   
	onSelect: {CalemMenuSelect: {listener: 'CustomizeModuleListener'}}
};

CalemMenuDef['CalemTbCustomizeModuleList'] = {
	id: 'CalemTbCustomizeModuleList',
	title: 'module_list_customize',
	icon: 'CalemAclDesign',
	disIcon: null,
	enabled: true,
	tooltip: null,  				   
	onSelect: {CalemMenuSelect: {listener: 'CustomizeModuleListListener'}}
};

CalemMenuDef['CalemTbTableDesign'] = {
	id: 'CalemTbTableDesign',
	title: 'table_customize',
	icon: 'CalemTableDesign',
	disIcon: null,
	enabled: true,
	tooltip: null,  				   
	onSelect: {CalemMenuSelect: {listener: 'TableDesignListener'}}
};

CalemMenuDef['CalemTbDropdownDesign'] = {
	id: 'CalemTbDropdownDesign',
	title: 'dropdown_customize',
	icon: 'CalemTableDesign',
	disIcon: null,
	enabled: true,
	tooltip: null,  				   
	onSelect: {CalemMenuSelect: {listener: 'DropdownDesignListener'}}
};

// scheduler
CalemMenuDef['CalemAdminScheduler'] = {
	id: 'CalemAdminScheduler',
	title: 'admin_scheduler',
	icon: 'CalemScheduler',
	disIcon: null,
	enabled: true,
	tooltip: null
};

CalemMenuDef['CalemSchedulerTaskFormList'] = {
	id: 'CalemSchedulerTaskFormList',
	title: 'scheduler_task',
	icon: 'CalemSchedulerTask',
	disIcon: null,
	enabled: true,
	tooltip: null,  				   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};

CalemMenuDef['CalemSchedulerJobFormList'] = {
	id: 'CalemSchedulerJobFormList',
	title: 'scheduler_job_list',
	icon: 'CalemSchedulerTask',
	disIcon: null,
	enabled: true,
	tooltip: null,  				   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};

// Upgrade
CalemMenuDef['CalemAdminUpgrade'] = {
	id: 'CalemAdminUpgrade',
	title: 'admin_upgrade',
	icon: 'CalemUpgrade',
	disIcon: null,
	enabled: true,
	tooltip: null
};

CalemMenuDef['CalemVersionUpgradeLogFormList'] = {
	id: 'CalemVersionUpgradeLogFormList',
	title: 'version_upgrade_log',
	icon: 'CalemUpgrade',
	disIcon: null,
	enabled: true,
	tooltip: null,  				   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDesignTreeModule
 */
function CalemDesignTreeModule(parent, index, text, id, info) {
	if (arguments.length==0) return;
	CalemDesignTreeItem.call(this, parent, index, text, 'CalemModule', id, info, true);
} 

CalemDesignTreeModule.prototype = new CalemDesignTreeItem;
CalemDesignTreeModule.prototype.constructor = CalemDesignTreeModule;

CalemDesignTreeModule.prototype.toString = 
function() {
	return "CalemDesignTreeModule";
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemLayoutTreeModule
 */
function CalemLayoutTreeModule(parent, index, text, id, info) {
	if (arguments.length==0) return;
	CalemDesignTreeItem.call(this, parent, index, text, 'CalemModule', id, info, true, true);
	this._calemDropAllowed=CalemConf['view_engine']['moduleViewListDesign'].dropAllowed;
} 

CalemLayoutTreeModule.prototype = new CalemDesignTreeItem;
CalemLayoutTreeModule.prototype.constructor = CalemLayoutTreeModule;

CalemLayoutTreeModule.prototype.toString = 
function() {
	return "CalemLayoutTreeModule";
}

CalemLayoutTreeModule.prototype._onDrop =
function(srcControl, targetControl) {
	var idx=this.parent._children.indexOf(targetControl);
	new CalemLayoutTreeModule(this.parent, idx, srcControl.getText(), srcControl.getId(), srcControl.getInfo());
	srcControl.removeMe();
}

//Label design
CalemLayoutTreeModule.prototype.doLabelEdit = 
function() {
	return false;
}

CalemLayoutTreeModule.prototype.getLabelId =
function() {
	return this._id;
}

CalemLayoutTreeModule.prototype.onLabelChanged =
function() {
	this.setText(CalemMsg.getMsg(this._id));
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDesignTreeModListRoot
 * This is the root node.
 */
function CalemDesignTreeModListRoot(parent) {
	if (arguments.length==0) return;
	var text=CalemMsg.getMsg('module_design');
	CalemDesignTreeFormRecord.call(this, parent, text, 'CalemAclDesign');
	this._calemDropAllowed=CalemConf['view_engine']['moduleViewListDesign'].dropAllowed;
} 

CalemDesignTreeModListRoot.prototype = new CalemDesignTreeFormRecord;
CalemDesignTreeModListRoot.prototype.constructor = CalemDesignTreeModListRoot;

CalemDesignTreeModListRoot.prototype.toString = 
function() {
	return "CalemDesignTreeModListRoot";
}

/**
 * Handling drop from view layout to the tree.
 */
CalemDesignTreeModListRoot.prototype._onDrop =
function(srcControl, targetControl) {
	this._tree._addObject(srcControl);
	srcControl.removeMe();
   return true;
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemLayoutTreeModListRoot
 * This is the root node.
 */
function CalemLayoutTreeModListRoot(parent) {
	if (arguments.length==0) return;
	var text=CalemMsg.getMsg('module_design');
	CalemDesignTreeFormRecord.call(this, parent, text, 'CalemAclDesign');
	this._calemDropAllowed=CalemConf['view_engine']['moduleViewListDesign'].dropAllowed;
} 

CalemLayoutTreeModListRoot.prototype = new CalemDesignTreeFormRecord;
CalemLayoutTreeModListRoot.prototype.constructor = CalemLayoutTreeModListRoot;

CalemLayoutTreeModListRoot.prototype.toString = 
function() {
	return "CalemLayoutTreeModListRoot";
}

/**
 * Handling drop from view layout to the tree.
 */
CalemLayoutTreeModListRoot.prototype._onDrop =
function(srcControl, targetControl) {
	this._tree._addObject(srcControl);
	srcControl.removeMe();
   return true;
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemModuleListDesignTree
 */
function CalemModuleListDesignTree(parent, style, className, posStyle) {
	if (arguments.length==0) return;
	CalemViewDesignTree.call(this, parent, style, className, posStyle);
} 

CalemModuleListDesignTree.prototype = new CalemViewDesignTree;
CalemModuleListDesignTree.prototype.constructor = CalemModuleListDesignTree;

CalemModuleListDesignTree.prototype.toString = 
function() {
	return "CalemModuleListDesignTree";
}

CalemModuleListDesignTree.prototype._initTree =
function() {
	//Creating two category nodes.
	this._root=this._createRoot();
	//Now adding stuff to different spots of the tree.
	var parentCustomInfo=this._controller.getParentCustomInfo(); //Get parent's customInfo
	var myCustomInfo=this._controller.getMyCustomInfo();
	this._initAcl(parentCustomInfo, myCustomInfo);
	//Expand tree after adding nodes
	this._root.setExpanded(true);
}

CalemModuleListDesignTree.prototype._createRoot =
function() {
	return new CalemDesignTreeModListRoot(this);
}

/**
 * Add ACL info to tree
 * a) the item is in parent acl, do not add it. 
 * b) the item is in my layout, do not add it.
 */
CalemModuleListDesignTree.prototype._initAcl =
function(parentCustomInfo, myCustomInfo) {
	//Figuring out who is in the layout.
	var origLayout=CalemCustomModListManager.getInstance().getSysModList();
	var myLayout= (myCustomInfo && myCustomInfo.getLayout()) ? myCustomInfo.getLayout() : origLayout;
	var myMap=CalemViewUtil.getMapByList(myLayout);
	for (var i=0; i< origLayout.length; i++) {
		var mod=origLayout[i];
		if (!parentCustomInfo.checkAcl(mod) || myMap[mod]) continue; //Not available
		this._addModule(mod, CalemMsg.getMsg(mod));
	}
} 

CalemModuleListDesignTree.prototype._addModule =
function(id, text) {
	new CalemDesignTreeModule(this._root, null, text, id, null);
}

CalemModuleListDesignTree.prototype._addObject =
function(obj) {
	this._addModule(obj.getId(), obj.getText());
	return true;
} 

/**
 * Collect Acl info here.
 */
CalemModuleListDesignTree.prototype.getAclInfo =
function() {
	var acl=new Object();
	this._addAcl(this._root, acl);
	//Set up acl
	var acl=new CalemAclInfo(acl);
	return acl;
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemModuleListLayoutTree
 */
function CalemModuleListLayoutTree(parent, style, className, posStyle) {
	if (arguments.length==0) return;
	CalemLabelLayoutTree.call(this, parent, style, className, posStyle);
} 

CalemModuleListLayoutTree.prototype = new CalemLabelLayoutTree;
CalemModuleListLayoutTree.prototype.constructor = CalemModuleListLayoutTree;

CalemModuleListLayoutTree.prototype.toString = 
function() {
	return "CalemModuleListLayoutTree";
}

CalemModuleListLayoutTree.prototype._initTree =
function() {
	CalemLabelLayoutTree.prototype._initTree.call(this);
	
	//Creating two category nodes.
	this._root=this._createRoot();
	//Now adding stuff to different spots of the tree.
	var customInfo=this._controller.getCustomInfo(); 
	this._setupTree(customInfo);
	//Expand tree after adding nodes
	this._root.setExpanded(true);
}

CalemModuleListLayoutTree.prototype._createRoot =
function() {
	return new CalemLayoutTreeModListRoot(this);
}

/**
 * Adding layout to the tree.
 */
CalemModuleListLayoutTree.prototype._setupTree =
function(customInfo) {
	//Figuring out who is in the layout.
	var origLayout=CalemCustomModListManager.getInstance().getSysModList();
	var layout= (customInfo && customInfo.getLayout()) ? customInfo.getLayout() : origLayout;
	for (var i=0; i< layout.length; i++) {
		var mod=layout[i];
		if (!customInfo.checkAcl(mod)) continue;
		//add a module
		this._addModule(mod, CalemMsg.getMsg(mod));
	}
} 

CalemModuleListLayoutTree.prototype._addModule =
function(id, text) {
	new CalemLayoutTreeModule(this._root, null, text, id, null);
}

/**
 * Adding a control dropped on to the tree
 */
CalemModuleListLayoutTree.prototype._addObject =
function(obj) {
	this._addModule(obj.getId(), obj.getText());
	return true;
} 

/**
 * Collecting form layout info
 */
CalemModuleListLayoutTree.prototype.getModListInfo =
function() {
	var modList=new Array();
	var items=this._root.getItems();
	for (var i=0; i< items.length; i++) {
		var mod=items[i];
		modList.push(mod.getId());
	}
	return modList;
} 

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDesignTreeFormModule
 * This is the root node.
 */
function CalemDesignTreeFormModule(parent) {
	if (arguments.length==0) return;
	var text=CalemMsg.getMsg('module_design');
	CalemDesignTreeFormRecord.call(this, parent, text, 'CalemModule');
	this._calemDropAllowed=CalemConf['view_engine']['moduleViewDesign'].dropAllowed;
} 

CalemDesignTreeFormModule.prototype = new CalemDesignTreeFormRecord;
CalemDesignTreeFormModule.prototype.constructor = CalemDesignTreeFormModule;

CalemDesignTreeFormModule.prototype.toString = 
function() {
	return "CalemDesignTreeFormModule";
}

/**
 * Handling drop from view layout to the tree.
 */
CalemDesignTreeFormModule.prototype._onDrop =
function(srcControl, targetControl) {
	if (srcControl instanceof CalemLayoutTreeMenuNode) {
		var items=srcControl.getItems();
		if (items) {//Move all items over first.
			for (var i=0; i< items.length; i++) {
				this._tree._addObject(items[i]);
			}
		}
		var btnInfo=srcControl.getInfo();
		this._tree._nodeRoot.addModNode(btnInfo.getId(), btnInfo, btnInfo.getTitle());
	} else {
		this._tree._addObject(srcControl);
	}
	srcControl.removeMe();
   return true;
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDesignTreeMenuItem
 */
function CalemDesignTreeMenuItem(parent, index, text, id, info) {
	if (arguments.length==0) return;
	CalemDesignTreeItem.call(this, parent, index, text, 'CalemMenu', id, info, true);
} 

CalemDesignTreeMenuItem.prototype = new CalemDesignTreeItem;
CalemDesignTreeMenuItem.prototype.constructor = CalemDesignTreeMenuItem;

CalemDesignTreeMenuItem.prototype.toString = 
function() {
	return "CalemDesignTreeMenuItem";
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDesignTreeMenuItemRoot
 * This is the design tree form item.
 */
function CalemDesignTreeMenuItemRoot(parent) {
	if (arguments.length==0) return;
	var text=CalemMsg.getMsg('menu_item');
	CalemDesignTreeItem.call(this, parent, null, text, 'CalemMenu'); //No defer.
} 

CalemDesignTreeMenuItemRoot.prototype = new CalemDesignTreeItem;
CalemDesignTreeMenuItemRoot.prototype.constructor = CalemDesignTreeMenuItemRoot;

CalemDesignTreeMenuItemRoot.prototype.toString = 
function() {
	return "CalemDesignTreeMenuItemRoot";
}

CalemDesignTreeMenuItemRoot.prototype.addModItem =
function(id, info, text) {
	var idx=this._getIndex(text);
	var item=new CalemDesignTreeMenuItem(this, idx, text, id, info);	
}



/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDesignTreeMenuNode
 */
function CalemDesignTreeMenuNode(parent, index, text, id, info) {
	if (arguments.length==0) return;
	CalemDesignTreeItem.call(this, parent, index, text, 'CalemFolder', id, info, true);
} 

CalemDesignTreeMenuNode.prototype = new CalemDesignTreeItem;
CalemDesignTreeMenuNode.prototype.constructor = CalemDesignTreeMenuNode;

CalemDesignTreeMenuNode.prototype.toString = 
function() {
	return "CalemDesignTreeMenuNode";
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDesignTreeMenuNodeRoot
 * This is the design tree form item.
 */
function CalemDesignTreeMenuNodeRoot(parent) {
	if (arguments.length==0) return;
	var text=CalemMsg.getMsg('menu_node');
	CalemDesignTreeItem.call(this, parent, null, text, 'CalemFolder'); //No defer.
} 

CalemDesignTreeMenuNodeRoot.prototype = new CalemDesignTreeItem;
CalemDesignTreeMenuNodeRoot.prototype.constructor = CalemDesignTreeMenuNodeRoot;

CalemDesignTreeMenuNodeRoot.prototype.toString = 
function() {
	return "CalemDesignTreeMenuNodeRoot";
}

CalemDesignTreeMenuNodeRoot.prototype.addModNode =
function(id, info, text) {
	var idx=this._getIndex(text);
	var item=new CalemDesignTreeMenuNode(this, idx, text, id, info);	
}



/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemLayoutTreeMenuItem
 */
function CalemLayoutTreeDefaultMenu(parent, index, text, id, info) {
	if (arguments.length==0) return;
	CalemDesignTreeItem.call(this, parent, index, text, 'CalemMenu', id, info, true, true);
	this._calemDropAllowed=CalemConf['view_engine']['moduleViewDesign'].dropAllowed;
} 

CalemLayoutTreeDefaultMenu.prototype = new CalemDesignTreeItem;
CalemLayoutTreeDefaultMenu.prototype.constructor = CalemLayoutTreeDefaultMenu;

CalemLayoutTreeDefaultMenu.prototype.toString = 
function() {
	return "CalemLayoutTreeDefaultMenu";
}


//Move to its front.
CalemLayoutTreeDefaultMenu.prototype._onDrop =
function(srcControl, targetControl) {
	return this.parent._onDrop(srcControl, this.parent);
}



/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemLayoutTreeDefaultMenuRoot
 * This is the root node.
 */
function CalemLayoutTreeDefaultMenuRoot(parent) {
	if (arguments.length==0) return;
	var text=CalemMsg.getMsg('default_menu');
	CalemDesignTreeFormRecord.call(this, parent, text, 'CalemMenu');
	this._calemDropAllowed=CalemConf['view_engine']['moduleViewDesign'].dropAllowed;
} 

CalemLayoutTreeDefaultMenuRoot.prototype = new CalemDesignTreeFormRecord;
CalemLayoutTreeDefaultMenuRoot.prototype.constructor = CalemLayoutTreeDefaultMenuRoot;

CalemLayoutTreeDefaultMenuRoot.prototype.toString = 
function() {
	return "CalemLayoutTreeDefaultMenuRoot";
}

/**
 * It's a copy function.
 */
CalemLayoutTreeDefaultMenuRoot.prototype._onDrop =
function(srcControl, targetControl) {
	var items=this.getItems();
	if (items && items.length > 0) {//Swap current item with srcControl.
		items[0].removeMe();
	} 
	this._addObject(srcControl);
   return true;
}

//This is a menuItem
CalemLayoutTreeDefaultMenuRoot.prototype._addObject =
function(control) {
	this._addDefaultMenu(control.getInfo());
}

//This is a menuItem
CalemLayoutTreeDefaultMenuRoot.prototype._addDefaultMenu =
function(info) {
	new CalemLayoutTreeDefaultMenu(this, null, info.getTitle(), info.getId(), info);
}

//Remove default menu when its shadow menu is moved off the layout tree.
CalemLayoutTreeDefaultMenuRoot.prototype._handleLayoutRemove =
function(id) {
	var items=this.getItems();
	if (items && items.length > 0) {
		if (items[0].getId() == id) items[0].removeMe();
	}
}

CalemLayoutTreeDefaultMenuRoot.prototype.getDefaultMenu =
function() {
	var items=this.getItems();
	return (items && items.length>0) ? items[0].getId() : null;
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemLayoutTreeFormDesign
 * This is the root node.
 */
function CalemLayoutTreeFormDesign(parent) {
	if (arguments.length==0) return;
	var text=CalemMsg.getMsg('drop_for_design');
	CalemDesignTreeFormRecord.call(this, parent, text, 'CalemCustomize');
	this._calemDropAllowed=CalemConf['view_engine']['moduleViewDesign'].dropAllowed;
} 

CalemLayoutTreeFormDesign.prototype = new CalemDesignTreeFormRecord;
CalemLayoutTreeFormDesign.prototype.constructor = CalemLayoutTreeFormDesign;

CalemLayoutTreeFormDesign.prototype.toString = 
function() {
	return "CalemLayoutTreeFormDesign";
}

/**
 * Handling drop from view layout to the tree.
 */
CalemLayoutTreeFormDesign.prototype._onDrop =
function(srcControl, targetControl) {
	var info=srcControl.getInfo();
	CalemContext.getInstance().openForm(info.getId());
    return false;
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemLayoutTreeFormModule
 * dummy root node (no action at all)
 */
function CalemLayoutTreeFormModule(parent) {
	if (arguments.length==0) return;
	var text=CalemMsg.getMsg('module_design');
	CalemDesignTreeItem.call(this, parent, null, text, 'CalemModule'); //No defer.
} 

CalemLayoutTreeFormModule.prototype = new CalemDesignTreeItem;
CalemLayoutTreeFormModule.prototype.constructor = CalemLayoutTreeFormModule;

CalemLayoutTreeFormModule.prototype.toString = 
function() {
	return "CalemLayoutTreeFormModule";
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemLayoutTreeMenuItem
 */
function CalemLayoutTreeLabel(parent, index, text, id, info) {
	if (arguments.length==0) return;
	CalemDesignTreeItem.call(this, parent, index, text, 'CalemTreeLabel', id, info, false, true);
	this._calemDropAllowed=CalemConf['view_engine']['moduleViewDesign'].dropAllowed;
} 

CalemLayoutTreeLabel.prototype = new CalemDesignTreeItem;
CalemLayoutTreeLabel.prototype.constructor = CalemLayoutTreeLabel;

CalemLayoutTreeLabel.prototype.toString = 
function() {
	return "CalemLayoutTreeLabel";
}


//Must be menu item.
CalemLayoutTreeLabel.prototype._onDrop =
function(srcControl, targetControl) {
	var idx=this.parent._children.indexOf(targetControl);
	new CalemLayoutTreeMenuItem(this.parent, idx, srcControl.getText(), srcControl.getId(), srcControl.getInfo());
	srcControl.removeMe();
	return true;
}

//Label design
CalemLayoutTreeLabel.prototype.doLabelEdit = 
function() {
	return false;
}

CalemLayoutTreeLabel.prototype.getLabelId =
function() {
	return this._id;
}

CalemLayoutTreeLabel.prototype.onLabelChanged =
function() {
	this.setText(this._info.getLabel());
}



/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemLayoutTreeMenuItem
 */
function CalemLayoutTreeMenuItem(parent, index, text, id, info) {
	if (arguments.length==0) return;
	CalemDesignTreeItem.call(this, parent, index, text, 'CalemMenu', id, info, true, true);
	this._calemDropAllowed=CalemConf['view_engine']['moduleViewDesign'].dropAllowed;
} 

CalemLayoutTreeMenuItem.prototype = new CalemDesignTreeItem;
CalemLayoutTreeMenuItem.prototype.constructor = CalemLayoutTreeMenuItem;

CalemLayoutTreeMenuItem.prototype.toString = 
function() {
	return "CalemLayoutTreeMenuItem";
}


//Move to its front.
CalemLayoutTreeMenuItem.prototype._onDrop =
function(srcControl, targetControl) {
	var idx=this.parent._children.indexOf(targetControl);
	new CalemLayoutTreeMenuItem(this.parent, idx, srcControl.getText(), srcControl.getId(), srcControl.getInfo());
	srcControl.removeMe();
}

//Move to its front.
CalemLayoutTreeMenuItem.prototype._addObject =
function(ctrl) {
	var idx=this.parent._children.indexOf(this);
	new CalemLayoutTreeMenuItem(this.parent, idx, ctrl.getText(), ctrl.getId(), ctrl.getInfo());
}

CalemLayoutTreeMenuItem.prototype._handleLayoutRemove =
function() {
	this._tree._handleLayoutRemove(this.getId());
}

//Label design
CalemLayoutTreeMenuItem.prototype.doLabelEdit = 
function() {
	return false;
}

CalemLayoutTreeMenuItem.prototype.getLabelId =
function() {
	return this._info.getDef().title;
}

CalemLayoutTreeMenuItem.prototype.onLabelChanged =
function() {
	this.setText(this._info.getTitle());
}


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemLayoutTreeMenuNode
 */
function CalemLayoutTreeMenuNode(parent, index, text, id, info) {
	if (arguments.length==0) return;
	CalemDesignTreeItem.call(this, parent, index, text, 'CalemFolder', id, info, true, true);
	this._calemDropAllowed=CalemConf['view_engine']['moduleViewDesign'].dropAllowed;
} 

CalemLayoutTreeMenuNode.prototype = new CalemDesignTreeItem;
CalemLayoutTreeMenuNode.prototype.constructor = CalemLayoutTreeMenuNode;

CalemLayoutTreeMenuNode.prototype.toString = 
function() {
	return "CalemLayoutTreeMenuNode";
}


//Move to its front.
CalemLayoutTreeMenuNode.prototype._onDrop =
function(srcControl, targetControl) {
	if (srcControl instanceof CalemLayoutTreeMenuNode) {//It's a node
		var idx=this.parent._children.indexOf(targetControl);
		new CalemLayoutTreeMenuNode(this.parent, idx, srcControl.getText(), srcControl.getId(), srcControl.getInfo());
	} else {//It's a menu item
		new CalemLayoutTreeMenuItem(this, null, srcControl.getText(), srcControl.getId(), srcControl.getInfo());
	}
	srcControl.removeMe();
	return true;
}

CalemLayoutTreeMenuNode.prototype.getModNodeInfo =
function() {
	var btnInfo=this.getInfo();
	var items=this.getItems();
	var menuList = [];
	if (items) {
		for (var i=0; i< items.length; i++) {
			menuList.push(items[i].getInfo());
		}
	}
	return new CalemMenuInfo(btnInfo, menuList);
}

//Label design
CalemLayoutTreeMenuNode.prototype.doLabelEdit = 
function() {
	return false;
}

CalemLayoutTreeMenuNode.prototype.getLabelId =
function() {
	return this._info.getDef().title;
}

CalemLayoutTreeMenuNode.prototype.onLabelChanged =
function() {
	this.setText(this._info.getTitle());
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemLayoutTreeSeparator
 */
function CalemLayoutTreeSeparator(parent, index, text, id, info) {
	if (arguments.length==0) return;
	CalemDesignTreeItem.call(this, parent, index, text, 'CalemSeparator', id, info, false, true);
	this._calemDropAllowed=CalemConf['view_engine']['moduleViewDesign'].dropAllowed;
} 

CalemLayoutTreeSeparator.prototype = new CalemDesignTreeItem;
CalemLayoutTreeSeparator.prototype.constructor = CalemLayoutTreeSeparator;

CalemLayoutTreeSeparator.prototype.toString = 
function() {
	return "CalemLayoutTreeSeparator";
}

//Must be menu item.
CalemLayoutTreeSeparator.prototype._onDrop =
function(srcControl, targetControl) {
	var idx=this.parent._children.indexOf(targetControl);
	new CalemLayoutTreeMenuItem(this.parent, idx, srcControl.getText(), srcControl.getId(), srcControl.getInfo());
	srcControl.removeMe();
	return true;
}




/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemLayoutTreeLayoutRoot
 */
function CalemLayoutTreeLayoutRoot(parent) {
	if (arguments.length==0) return;
	var text=CalemMsg.getMsg('module_layout');
	CalemDesignTreeFormRecord.call(this, parent, text, 'CalemLayout');
	this._calemDropAllowed=CalemConf['view_engine']['moduleViewDesign'].dropAllowed;
} 

CalemLayoutTreeLayoutRoot.prototype = new CalemDesignTreeFormRecord;
CalemLayoutTreeLayoutRoot.prototype.constructor = CalemLayoutTreeLayoutRoot;

CalemLayoutTreeLayoutRoot.prototype.toString = 
function() {
	return "CalemLayoutTreeLayoutRoot";
}


//Move to its front.
CalemLayoutTreeLayoutRoot.prototype._onDrop =
function(srcControl, targetControl) {
	if (srcControl instanceof CalemDesignTreeMenuNode) {//It's a node
		this._addModMenuNode(srcControl.getInfo());
	} else {//It's a menu item
		this._addModMenuItem(srcControl.getInfo());
	}
	srcControl.removeMe();
	return true;
}

CalemLayoutTreeLayoutRoot.prototype._addModMenuNode =
function(info) {
	return new CalemLayoutTreeMenuNode(this, null, info.getTitle(), info.getId(), info);
}

CalemLayoutTreeLayoutRoot.prototype._addModMenuItem =
function(info, parent) {
	parent = parent ? parent : this;
	return new CalemLayoutTreeMenuItem(parent, null, info.getTitle(), info.getId(), info);
}

CalemLayoutTreeLayoutRoot.prototype._addModLabel =
function(info) {
	return new CalemLayoutTreeLabel(this, null, info.getLabel(), info.getId(), info);
}

CalemLayoutTreeLayoutRoot.prototype._addModSeparator =
function(info) {
	return new CalemLayoutTreeSeparator(this, null, info.getTitle(), info.getId(), info);
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
/**
 * CalemModuleDesignTree
 */
function CalemModuleDesignTree(parent, style, className, posStyle) {
	if (arguments.length==0) return;
	CalemViewDesignTree.call(this, parent, style, className, posStyle);
} 

CalemModuleDesignTree.prototype = new CalemViewDesignTree;
CalemModuleDesignTree.prototype.constructor = CalemModuleDesignTree;

CalemModuleDesignTree.prototype.toString = 
function() {
	return "CalemModuleDesignTree";
}

CalemModuleDesignTree.prototype._initTree =
function() {
	//Creating two category nodes.
	this._root=this._createRoot();
	this._nodeRoot=new CalemDesignTreeMenuNodeRoot(this._root);
	this._itemRoot=new CalemDesignTreeMenuItemRoot(this._root);
	//Expand tree after adding nodes
	this._root.setExpanded(true);
	
	//Now adding stuff to different spots of the tree.
	this._modInfo=CalemCustomModuleManager.getInstance().getSysModInfo(this._controller.getModId());
	var parentCustomInfo=this._controller.getParentCustomInfo(); //Get parent's customInfo
	var myCustomInfo=this._controller.getMyCustomInfo();
	this._initAcl(parentCustomInfo, myCustomInfo);
	
}

CalemModuleDesignTree.prototype._createRoot =
function() {
	return new CalemDesignTreeFormModule(this);
}

/**
 * Add ACL info to tree
 * a) the item is in parent acl, do not add it. 
 * b) the item is in my layout, do not add it.
 * c) not a) and not b), add the item.
 */
CalemModuleDesignTree.prototype._initAcl =
function(parentCustomInfo, myCustomInfo) {
	var origRtn=CalemToolBarModule._getMapAndLayout(this._modInfo.getToolBar(), null, null);
	var cRtn=CalemToolBarModule._getMapAndLayout(this._modInfo.getToolBar(), myCustomInfo, null);
	var myMap = (myCustomInfo && myCustomInfo.getLayout()) ? cRtn.map : origRtn.map;
	
	//Going through original list.
	for (var i=0; i < origRtn.layout.length; i++) {
		var id=origRtn.layout[i];
		var item=origRtn.map[id];
		if (myMap[id] || !parentCustomInfo.checkAcl(id)) {
			if (item instanceof CalemMenuInfo) {//Check each item in the list individually.
				this._addModuleMenuList(item, myMap, parentCustomInfo);
			}
			continue;
		}
		this._addModuleItem(item, myMap, parentCustomInfo);
	}
} 

/**
 * Each menu in the menu list is individually acl-checked.
 */
CalemModuleDesignTree.prototype._addModuleMenuList =
function(item, myMap, parentCustomInfo) {
		var list=item.getMenuList();
		if (list) {//make sure we have nodes below.
			for (var i=0; i< list.length; i++) {
				var info=list[i];
				if (myMap[info.getId()] || !parentCustomInfo.checkAcl(info.getId())) continue; //apply acl/layout recursively.
				this._itemRoot.addModItem(info.getId(), info, info.getTitle());
			}
		}
}

CalemModuleDesignTree.prototype._addModuleItem =
function(item, myMap, parentCustomInfo) {
	if (item instanceof CalemMenuInfo) {
		var btnInfo=item.getMenuButton();
		this._nodeRoot.addModNode(btnInfo.getId(), btnInfo, btnInfo.getTitle());
		this._addModuleMenuList(item, myMap, parentCustomInfo);
	} else if (item instanceof CalemMenuItemInfo) {
		this._itemRoot.addModItem(item.getId(), item, item.getTitle());
	}
	//Separator, label are not handled for now.
}

//When a node is dropped from layout tree.
CalemModuleDesignTree.prototype._addObject =
function(obj) {
	var info=obj.getInfo();
	if (info instanceof CalemMenuInfo) {
		var btnInfo=info.getMenuButton();
		this._nodeRoot.addModNode(btnInfo.getId(), btnInfo, btnInfo.getTitle());
	} else if (info instanceof CalemMenuItemInfo) {
		this._itemRoot.addModItem(info.getId(), info, info.getTitle());
		//A special handler for a node removed from layout tree
		if (obj._handleLayoutRemove) {
			obj._handleLayoutRemove();
		}
	}
	//Others are ignored at this time.
	return true;
} 

/**
 * Collect Acl info here.
 */
CalemModuleDesignTree.prototype.getAclInfo =
function() {
	var acl=new Object();
	this._addAcl(this._nodeRoot, acl);
	this._addAcl(this._itemRoot, acl);
	//Set up acl
	var aclInfo=new CalemAclInfo(acl);
	return aclInfo;
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemModuleLayoutTree
 */
function CalemModuleLayoutTree(parent, style, className, posStyle) {
	if (arguments.length==0) return;
	CalemLabelLayoutTree.call(this, parent, style, className, posStyle);
} 

CalemModuleLayoutTree.prototype = new CalemLabelLayoutTree;
CalemModuleLayoutTree.prototype.constructor = CalemModuleLayoutTree;

CalemModuleLayoutTree.prototype.toString = 
function() {
	return "CalemModuleLayoutTree";
}

CalemModuleLayoutTree.prototype._initTree =
function() {
	CalemLabelLayoutTree.prototype._initTree.call(this);
	//Creating two category nodes.
	this._root=this._createRoot();
	this._designRoot=new CalemLayoutTreeFormDesign(this._root);
	this._defaultMenuRoot=new CalemLayoutTreeDefaultMenuRoot(this._root);
	this._layoutRoot=new CalemLayoutTreeLayoutRoot(this._root);
	//Expand tree after adding nodes
	this._root.setExpanded(true);
	
	//Now adding stuff to different spots of the tree.
	this._modInfo=CalemCustomModuleManager.getInstance().getSysModInfo(this._controller.getModId());
	var customInfo=this._controller.getCustomInfo();
	this._setupTree(customInfo);
}

CalemModuleLayoutTree.prototype._createRoot =
function() {
	return new CalemLayoutTreeFormModule(this);
}

/**
 * Adding layout to the tree.
 */
CalemModuleLayoutTree.prototype._setupTree =
function(customInfo) {
	var tbInfo=this._modInfo.getToolBar();
	var dm=this._modInfo.getDefaultMenuInfo();
	
	var origRtn=CalemToolBarModule._getMapAndLayout(tbInfo, null, dm);
	var cRtn=CalemToolBarModule._getMapAndLayout(tbInfo, customInfo, dm);
	var myMap, myLayout;
	var rtn= (customInfo && customInfo.getLayout()) ? cRtn : origRtn;
	
	var myMap = rtn.map
	var myLayout = rtn.layout
	dm=rtn.defaultMenu;
	if (dm) {
		this._defaultMenuRoot._addDefaultMenu(dm);
	}
		
	//Going through the list.
	for (var i=0; i < myLayout.length; i++) {
		var id=myLayout[i];
		if (!customInfo.checkAcl(id)) continue;
		var item=myMap[id];
		this._addModuleItem(item, myMap, customInfo);
	}
}
//Adding an item to layout tree. 
CalemModuleLayoutTree.prototype._addModuleItem =
function(item, myMap, customInfo) {
	if (item instanceof CalemMenuInfo) {
		var btnInfo=item.getMenuButton();
		var node=this._layoutRoot._addModMenuNode(btnInfo);
		
		var list=item.getMenuList();
		if (list) {//make sure we have nodes below.
			for (var i=0; i< list.length; i++) {
				var info=list[i];
				if (!customInfo.checkAcl(info.getId())) continue; //apply acl/layout recursively.
				this._layoutRoot._addModMenuItem(info, node);
			}
		}
	} else if (item instanceof CalemMenuItemInfo) {
		this._layoutRoot._addModMenuItem(item);
	} else if (item instanceof CalemLabelInfo) {
		this._layoutRoot._addModLabel(item);
	} else if (item instanceof CalemSeparator) {
		this._layoutRoot._addModSeparator(item);
	}
}

//Handle layout tree node removal - check for default menu
CalemModuleLayoutTree.prototype._handleLayoutRemove =
function(id) {
	this._defaultMenuRoot._handleLayoutRemove(id);
}

/**
 * Collecting module layout info
 */
CalemModuleLayoutTree.prototype.getModuleInfo =
function() {
	//Walk through the tree.
	var dm=this._defaultMenuRoot.getDefaultMenu();
	var items=this._layoutRoot.getItems();
	var list=[];
	for (var i=0; i< items.length; i++) {
		if (items[i] instanceof CalemLayoutTreeMenuNode) {
			list.push(items[i].getModNodeInfo())
		} else {
			list.push(items[i].getInfo());
		}
	}
	return new CalemModuleLayoutInfo(dm, list);
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemLayoutTreeFieldCustom
 * This is the field item.
 */
function CalemLayoutTreeFieldCustom(parent, index, text, id, info) {
	if (arguments.length==0) return;
	CalemDesignTreeItem.call(this, parent, index, text, 'CalemTreeField', id, info, true);
	this._setupMenu();
	this._xMargin=CalemConf['view_engine']['tableViewDesign'].menuMarginX;
} 

CalemLayoutTreeFieldCustom.prototype = new CalemDesignTreeItem;
CalemLayoutTreeFieldCustom.prototype.constructor = CalemLayoutTreeFieldCustom;

CalemLayoutTreeFieldCustom.prototype.toString = 
function() {
	return "CalemLayoutTreeFieldCustom";
}

CalemLayoutTreeFieldCustom.prototype._setupMenu =
function() {
	if (!this._tree._fldMenu) {
		this._tree._fldMenu=new DwtMenu(this._tree.parent); //let's not mess with the tree items.
		this._addMenuItem('field_type_change', 'CalemDataDesign', this._tree._controller.getFieldTypeChangeListener());
		this._addMenuItem('field_name_change', 'CalemDataDesign', this._tree._controller.getFieldNameChangeListener());
		this._addMenuItem('field_delete', 'CalemFieldDelete', this._tree._controller.getFieldDeleteListener());
	}	
}

CalemLayoutTreeFieldCustom.prototype._addMenuItem =
function(labelId, img, listener) {
	var mi=new DwtMenuItem(this._tree._fldMenu);
	mi.setImage(img);
	mi.setText(CalemMsg.getMsg(labelId));	
	mi.addSelectionListener(listener);
}

/** Option menu */
CalemLayoutTreeFieldCustom.prototype.onOptionMenu =
function() {
   var loc=this.getLocation();
   var items=this._tree._fldMenu.getItems();
   for (var i=0; i< items.length; i++) {
   	items[i].setData(CalemContext.DATA, this.getId());
   }   
	this._tree._fldMenu.popup(0, loc.x+this._xMargin, loc.y);
}


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemLayoutTreeTableCustom
 * This is the table node.
 */
function CalemLayoutTreeTableCustom(parent) {
	if (arguments.length==0) return;
	text=CalemMsg.getMsg('table_extension');
	CalemDesignTreeItem.call(this, parent, null, text, 'CalemTableExtesion');
	this._setupMenu();
	this._xMargin=CalemConf['view_engine']['tableViewDesign'].menuMarginX;
} 

CalemLayoutTreeTableCustom.prototype = new CalemDesignTreeItem;
CalemLayoutTreeTableCustom.prototype.constructor = CalemLayoutTreeTableCustom;

CalemLayoutTreeTableCustom.prototype.toString = 
function() {
	return "CalemLayoutTreeTableCustom";
}

CalemLayoutTreeTableCustom.prototype._setupMenu =
function() {
	this._fldMenu=new DwtMenu(this._tree.parent); //let's not mess with the tree items.
	var mi=new DwtMenuItem(this._fldMenu);
	mi.setImage('CalemFieldAdd');
	mi.setText(CalemMsg.getMsg("field_add"));	
	mi.addSelectionListener(this._tree._controller.getFieldAddListener());
}

/**
 * Add field
 */
CalemLayoutTreeTableCustom.prototype.addFieldInfo = 
function(id, info, text) {
	var idx=this._getIndex(text);
	var item=new CalemLayoutTreeFieldCustom(this, idx, text, id, info);
} 

/** Option menu */
CalemLayoutTreeTableCustom.prototype.onOptionMenu =
function() {
	var loc=this.getLocation();
	this._fldMenu.popup(0, loc.x+this._xMargin, loc.y);
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTableDesignTree
 */
function CalemTableDesignTree(parent, style, className, posStyle) {
	if (arguments.length==0) return;
	CalemViewDesignTree.call(this, parent, style, className, posStyle);
} 

CalemTableDesignTree.prototype = new CalemViewDesignTree;
CalemTableDesignTree.prototype.constructor = CalemTableDesignTree;

CalemTableDesignTree.prototype.toString = 
function() {
	return "CalemTableDesignTree";
}

CalemTableDesignTree.prototype._initTree =
function() {
	var reg=CalemContext.getInstance().getRegistry();
	this._tableDd=reg.getTableDd(this._controller.getTableId());
	//Root is the table.
	var text=this._tableDd.getTableNameForDesign();
	this._root=new CalemDesignTreeTable(this, null, text, 'CalemTable');
	this._setupTree();
	
	//Expand tree after adding nodes
	this._root.setExpanded(true);	
}

CalemTableDesignTree.prototype._setupTree =
function() {
	var fields=this._tableDd.getBaseFields();
	for (var i in fields) {
		this._root.addFieldInfo(i, null, this._tableDd.getDesignLabel(i));
	}
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTableLayoutTree
 */
function CalemTableLayoutTree(parent, style, className, posStyle) {
	if (arguments.length==0) return;
	CalemViewDesignTree.call(this, parent, style, className, posStyle);
} 

CalemTableLayoutTree.prototype = new CalemViewDesignTree;
CalemTableLayoutTree.prototype.constructor = CalemTableLayoutTree;

CalemTableLayoutTree.prototype.toString = 
function() {
	return "CalemTableLayoutTree";
}

CalemTableLayoutTree.prototype._initTree =
function() {
	var reg=CalemContext.getInstance().getRegistry();
	this._tableDd=reg.getTableDd(this._controller.getTableId());
	//Root is the table.
	var text=this._tableDd.getTableNameForDesign();
	this._root=new CalemLayoutTreeTableCustom(this);
	this._setupTree();
		
	//Add a selection listener
	this.addSelectionListener(new AjxListener(this, this.onTreeSelection));
}

CalemTableLayoutTree.prototype.reRenderView =
function() {
	//Remove all nodes concerned.
	var items=this._root.getItems();
	if (items) {
		var ar=[];
		for (var i=0; i< items.length; i++) {
			ar.push(items[i]);
		}
		for (var i=0; i< ar.length; i++) {
			ar[i].dispose(); 
		}
	}
	//redo tree setup.
	this._setupTree();
}

CalemTableLayoutTree.prototype._setupTree =
function() {
	var fields=this._tableDd.getCustomFields();
	if (fields) {
		for (var i in fields) {
			this._root.addFieldInfo(i, null, this._tableDd.getDesignLabel(i));
		}
	}
	//Expand tree after adding nodes
	this._root.setExpanded(true);
}

CalemTableLayoutTree.prototype.onTreeSelection =
function(evt) {
	if (evt.detail != DwtTree.ITEM_ACTIONED) return;
	var item=evt.items[0];
	if (!item.onOptionMenu) return;
	item.onOptionMenu();
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemLayoutTreeDropdownCustom
 * This is the field item.
 */
function CalemLayoutTreeDropdownCustom(parent, index, text, id, info) {
	if (arguments.length==0) return;
	CalemDesignTreeItem.call(this, parent, index, text, 'CalemTreeField', id, info, true, true);
	this._calemDropAllowed=CalemConf['view_engine']['dropdownViewDesign'].dropAllowed;
	
	this._setupMenu();
	this._xMargin=CalemConf['view_engine']['dropdownViewDesign'].menuMarginX;
} 

CalemLayoutTreeDropdownCustom.prototype = new CalemDesignTreeItem;
CalemLayoutTreeDropdownCustom.prototype.constructor = CalemLayoutTreeDropdownCustom;

CalemLayoutTreeDropdownCustom.prototype.toString = 
function() {
	return "CalemLayoutTreeDropdownCustom";
}

CalemLayoutTreeDropdownCustom.prototype._setupMenu =
function() {
	if (!this._tree._fldMenu) {
		this._tree._fldMenu=new DwtMenu(this._tree.parent); //let's not mess with the tree items.
		this._addMenuItem('dropdown_edit', 'CalemDataDesign', this._tree._controller.getDropdownEditListener());
		this._tree._fldMenu._deleteMenu= this._addMenuItem('field_delete', 'CalemFieldDelete', this._tree._controller.getDropdownDeleteListener());
	}	
}

CalemLayoutTreeDropdownCustom.prototype._addMenuItem =
function(labelId, img, listener) {
	var mi=new DwtMenuItem(this._tree._fldMenu);
	mi.setImage(img);
	mi.setText(CalemMsg.getMsg(labelId));	
	mi.addSelectionListener(listener);
	return mi;
}

/** Option menu */
CalemLayoutTreeDropdownCustom.prototype.onOptionMenu =
function() {
   var loc=this.getLocation();
   var items=this._tree._fldMenu.getItems();
   for (var i=0; i< items.length; i++) {
   	items[i].setData(CalemContext.DATA, this.getId());
   } 
   var enable= !this._tree._dnMap[this.getId()].fixed;
   this._tree._fldMenu._deleteMenu.setEnabled(enable);
   
	this._tree._fldMenu.popup(0, loc.x+this._xMargin, loc.y);
}

/**
 * Handling drop from view layout to the tree.
 */
CalemLayoutTreeDropdownCustom.prototype._onDrop =
function(srcControl, targetControl) {
	this._tree._controller.swapDropdown(srcControl.getId(), targetControl.getId());
   return true;
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemLayoutTreeDropdownTableCustom
 * This is the table node.
 */
function CalemLayoutTreeDropdownTableCustom(parent, text) {
	if (arguments.length==0) return;
	CalemDesignTreeItem.call(this, parent, null, text, 'CalemTableExtesion');
	//Dnd setup
	this.setDropTarget(this._tree._dropTarget);
	this._calemDropAllowed=CalemConf['view_engine']['dropdownViewDesign'].dropAllowed;
	
	this._setupMenu();
	this._xMargin=CalemConf['view_engine']['dropdownViewDesign'].menuMarginX;
} 

CalemLayoutTreeDropdownTableCustom.prototype = new CalemDesignTreeItem;
CalemLayoutTreeDropdownTableCustom.prototype.constructor = CalemLayoutTreeDropdownTableCustom;

CalemLayoutTreeDropdownTableCustom.prototype.toString = 
function() {
	return "CalemLayoutTreeDropdownTableCustom";
}

CalemLayoutTreeDropdownTableCustom.prototype._setupMenu =
function() {
	this._fldMenu=new DwtMenu(this._tree.parent); //let's not mess with the tree items.
	var mi=new DwtMenuItem(this._fldMenu);
	mi.setImage('CalemFieldAdd');
	mi.setText(CalemMsg.getMsg("dropdown_add"));	
	mi.addSelectionListener(this._tree._controller.getDropdownAddListener());
}

/**
 * Add field
 */
CalemLayoutTreeDropdownTableCustom.prototype.addFieldInfo = 
function(id, info, text) {
	var idx=this._getIndex(text);
	var item=new CalemLayoutTreeDropdownCustom(this, idx, text, id, info);
} 

/** Option menu */
CalemLayoutTreeDropdownTableCustom.prototype.onOptionMenu =
function() {
	var loc=this.getLocation();
	this._fldMenu.popup(0, loc.x+this._xMargin, loc.y);
}

/**
 * If the field is alreay in the tree, cannot make the drop.
 */
CalemLayoutTreeDropdownTableCustom.prototype._onDragEnter =
function(srcControl, targetControl) {
	var rtn=false;
	var allowed=this._calemDropAllowed[this.toString()]; //Use toString to get the class name.
	//It's either render or DwtTreeItem.
	var dropId= srcControl._parentRender ? srcControl._parentRender.toString() : srcControl.toString();
	rtn = (allowed && allowed[dropId]);
	if (rtn) {
		var items=this.getItems();
		var id=srcControl.getId();
		for (var i=0; i< items.length; i++) {
			if (items[i].getId()==id) {
				rtn=false;
				break;
			}
		}
	}
	return rtn;
}

/**
 * Handling drop from view layout to the tree.
 */
CalemLayoutTreeDropdownTableCustom.prototype._onDrop =
function(srcControl, targetControl) {
	this._tree._controller.addDropdown(srcControl.getId());
   return true;
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDropdownDesignTree
 */
function CalemDropdownDesignTree(parent, style, className, posStyle) {
	if (arguments.length==0) return;
	CalemViewDesignTree.call(this, parent, style, className, posStyle);
} 

CalemDropdownDesignTree.prototype = new CalemViewDesignTree;
CalemDropdownDesignTree.prototype.constructor = CalemDropdownDesignTree;

CalemDropdownDesignTree.prototype.toString = 
function() {
	return "CalemDropdownDesignTree";
}

CalemDropdownDesignTree.prototype._initTree =
function() {
	var reg=CalemContext.getInstance().getRegistry();
	this._tableDd=reg.getTableDd(this._controller.getTableId());
	//Root is the table.
	var text=this._tableDd.getTableNameForDesign();
	this._root=new CalemDesignTreeTable(this, null, text, 'CalemTable');
	this._setupTree();
	
	//Expand tree after adding nodes
	this._root.setExpanded(true);	
}

CalemDropdownDesignTree.prototype._setupTree =
function() {
	var dds=this._tableDd.getOobDropdownMap();
	var fixed=CalemMsg.getMsg('fixed');
	for (var i in dds) {
		var text= CalemMsg.getMsg(i);
		text = dds[i].fixed ? [text, ' ', fixed].join('') : text;
		this._root.addFieldInfo(i, null, text);
	}
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDropdownLayoutTree
 */
function CalemDropdownLayoutTree(parent, style, className, posStyle) {
	if (arguments.length==0) return;
	CalemViewDesignTree.call(this, parent, style, className, posStyle);
} 

CalemDropdownLayoutTree.prototype = new CalemViewDesignTree;
CalemDropdownLayoutTree.prototype.constructor = CalemDropdownLayoutTree;

CalemDropdownLayoutTree.prototype.toString = 
function() {
	return "CalemDropdownLayoutTree";
}

CalemDropdownLayoutTree.prototype._initTree =
function() {
	var reg=CalemContext.getInstance().getRegistry();
	this._tableDd=reg.getTableDd(this._controller.getTableId());
	//Root is the table.
	var text=this._tableDd.getTableNameForDesign();
	this._root=new CalemLayoutTreeDropdownTableCustom(this, text);
	this._setupTree();
		
	//Add a selection listener
	this.addSelectionListener(new AjxListener(this, this.onTreeSelection));
}

CalemDropdownLayoutTree.prototype.reRenderView =
function() {
	//Remove all nodes concerned.
	var items=this._root.getItems();
	if (items) {
		var ar=[];
		for (var i=0; i< items.length; i++) {
			ar.push(items[i]);
		}
		for (var i=0; i< ar.length; i++) {
			ar[i].dispose(); 
		}
	}
	//redo tree setup.
	this._setupTree();
}

CalemDropdownLayoutTree.prototype._setupTree =
function() {
	this._dnMap=this._tableDd.getDropdownMap();
	var fixed=CalemMsg.getMsg('fixed');
	for (var i in this._dnMap) {
		var text= CalemMsg.getMsg(i);
		text = this._dnMap[i].fixed ? [text, ' ', fixed].join('') : text;
		this._root.addFieldInfo(i, null, text);
	}
	//Expand tree after adding nodes
	this._root.setExpanded(true);
}
	
CalemDropdownLayoutTree.prototype.onTreeSelection =
function(evt) {
	if (evt.detail != DwtTree.ITEM_ACTIONED) return;
	var item=evt.items[0];
	if (!item.onOptionMenu) return;
	item.onOptionMenu();
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemViewDesignRecordPanel']={
	CalemViewInfo: {
		id: 'CalemViewDesignRecordPanel',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 2}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_form_design']}},
					{CalemTrInfo: {cols: ['toolbar']}},
					{CalemTrInfo: {cols: ['lb_save_to','groups']}},												 						             
					{CalemTrInfo: {height: CalemViewUtil.H_FULL,   cols: ['tree']}}			                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarDesignInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel'],
					list: [ 					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbCancel', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: true
						  	   }
						  }
					  }
					}
				]
			} } ,
			'lb_form_design': {
				CalemDesignLabelInfo: {id: 'form_design', className: 'CalemEditCaption'}
			},
			'lb_save_to': {
				CalemDesignLabelInfo: {id: 'save_to'}
			},
			'groups': {
				CalemDesignSelectInfo: {size: 1}
			},
			'tree' : {
				CalemRecordDesignTreeInfo: true //dummy
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemViewDesignListPanel']={
	CalemViewInfo: {
		id: 'CalemViewDesignListPanel',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 2}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_form_design']}},
					{CalemTrInfo: {cols: ['toolbar']}},
					{CalemTrInfo: {cols: ['lb_save_to','groups']}},												 						             
					{CalemTrInfo: {height: CalemViewUtil.H_FULL,   cols: ['tree']}}			                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarDesignInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel'],
					list: [ 					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbCancel', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: true
						  	   }
						  }
					  }
					}
				]
			} } ,
			'lb_form_design': {
				CalemDesignLabelInfo: {id: 'form_design', className: 'CalemEditCaption'}
			},
			'lb_save_to': {
				CalemDesignLabelInfo: {id: 'save_to'}
			},
			'groups': {
				CalemDesignSelectInfo: {size: 1}
			},
			'tree' : {
				CalemListDesignTreeInfo: true //dummy
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemViewDesignMdTabPanel']={
	CalemViewInfo: {
		id: 'CalemViewDesignMdTabPanel',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 2}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_form_design']}},
					{CalemTrInfo: {cols: ['toolbar']}},
					{CalemTrInfo: {cols: ['lb_save_to','groups']}},												 						             
					{CalemTrInfo: {height: CalemViewUtil.H_FULL,   cols: ['tree']}}			                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarDesignInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel'],
					list: [ 					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					      			
					{CalemButtonInfo: {id: 'CalemTbCancel'}}
				]
			} } ,
			'lb_form_design': {
				CalemDesignLabelInfo: {id: 'form_design', className: 'CalemEditCaption'}
			},
			'lb_save_to': {
				CalemDesignLabelInfo: {id: 'save_to'}
			},
			'groups': {
				CalemDesignSelectInfo: {size: 1}
			},
			'tree' : {
				CalemMdTabDesignTreeInfo: true //dummy
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

CalemViewDef['CalemViewDesignPeerTabPanel']={
	CalemViewInfo: {
		id: 'CalemViewDesignPeerTabPanel',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 2}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_form_design']}},
					{CalemTrInfo: {cols: ['toolbar']}},
					{CalemTrInfo: {cols: ['lb_save_to','groups']}},												 						             
					{CalemTrInfo: {height: CalemViewUtil.H_FULL,   cols: ['tree']}}			                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarDesignInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel'],
					list: [ 					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					      			
					{CalemButtonInfo: {id: 'CalemTbCancel'}}
				]
			} } ,
			'lb_form_design': {
				CalemDesignLabelInfo: {id: 'form_design', className: 'CalemEditCaption'}
			},
			'lb_save_to': {
				CalemDesignLabelInfo: {id: 'save_to'}
			},
			'groups': {
				CalemDesignSelectInfo: {size: 1}
			},
			'tree' : {
				CalemPeerTabDesignTreeInfo: true //dummy
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemViewDesignTablePanel']={
	CalemViewInfo: {
		id: 'CalemViewDesignTablePanel',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 2}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_table_design']}},
					{CalemTrInfo: {cols: ['toolbar']}},												 						             
					{CalemTrInfo: {height: CalemViewUtil.H_FULL,   cols: ['tree']}}			                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarDesignInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbCancel'],
					list: [ 					
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbCancel', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: true
						  	   }
						  }
					  }
					}
				]
			} } ,
			'lb_table_design': {
				CalemDesignLabelInfo: {id: 'table_design', className: 'CalemEditCaption'}
			},
			'tree' : {
				CalemListDesignTreeInfo: true //dummy
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemViewDesignDropdownPanel']={
	CalemViewInfo: {
		id: 'CalemViewDesignDropdownPanel',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 2}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_dropdown_design']}},
					{CalemTrInfo: {cols: ['toolbar']}},												 						             
					{CalemTrInfo: {height: CalemViewUtil.H_FULL,   cols: ['tree']}}			                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarDesignInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbCancel'],
					list: [ 					
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbCancel', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: true
						  	   }
						  }
					  }
					}
				]
			} } ,
			'lb_dropdown_design': {
				CalemDesignLabelInfo: {id: 'dropdown_design', className: 'CalemEditCaption'}
			},
			'tree' : {
				CalemListDesignTreeInfo: true //dummy
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemViewSearchSelect']={
	CalemViewInfo: {
		id: 'CalemViewSearchSelect',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 2}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_search_select']}},
					{CalemTrInfo: {cols: ['toolbar']}},
					{CalemTrInfo: {cols: ['lb_my_search','my_search']}},
					{CalemTrInfo: {cols: ['lb_shared_search','shared_search']}}		                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbCancel', 'sep', 'CalemTbRefresh'],
					list: [ 					 
					{ CalemButtonInfo: { id: 'CalemTbNew'}},
					      			
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbRefresh'}}
				]
			} } ,
			'lb_search_select': {
				CalemLabelInfo: {id: 'search_select', className: 'CalemEditCaption'}
			},
			'lb_my_search': {
				CalemLabelInfo: {id: 'my_search'}
			},
			'my_search': {
				CalemMySearchSelectInfo: {size: 20}
			},
			'lb_shared_search': {
				CalemLabelInfo: {id: 'shared_search'}
			},
			'shared_search': {
				CalemSharedSearchSelectInfo: {size: 20}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * User views
 */
CalemViewDef['CalemUserViewList']={
	CalemViewInfo: {
		id: 'CalemUserViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'users', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep', 'CalemTbPrint', 'sep2', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {
						  id: 'CalemTbNew'
					  }		
					},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: {
						id: 'CalemTbPrint', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}	
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'username', width: 130}},
			  			   {CalemCol: {id: 'login_allowed', width: 110}},
			  			   {CalemCol: {id: 'full_name', width: 150}},
			  			   {CalemCol: {id: 'acl_group_id', width: 150}},
			  			   {CalemCol: {id: 'admin_type_id', width: 150}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * User views
 */
CalemViewDef['CalemUserViewNew']={
	CalemViewInfo: {
		id: 'CalemUserViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},						             
					{CalemTrInfo: {cols: ['lb_communication']}},					                               				                               
					{CalemTrInfo: {cols: ['lb_address']}},
					{CalemTrInfo: {cols: ['lb_access_rights']}},
					{CalemTrInfo: {cols: ['lb_purchase']}},
					{CalemTrInfo: {cols: ['lb_job']}}		                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbCancel'
					  }
					},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}	
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'user', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_communication': {
				CalemLabelInfo: {id: 'communication', className: 'CalemEditSection'}
			},
			'lb_address': {
				CalemLabelInfo: {id: 'address', className: 'CalemEditSection'}
			},
			'lb_access_rights': {
				CalemLabelInfo: {id: 'access_rights', className: 'CalemEditSection'}
			},
			'lb_purchase': {
				CalemLabelInfo: {id: 'purchase', className: 'CalemEditSection'}
			},
			'lb_job': {
				CalemLabelInfo: {id: 'job', className: 'CalemEditSection'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * User views
 */
CalemViewDef['CalemUserViewEdit']={
	CalemViewInfo: {
		id: 'CalemUserViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},						             
					{CalemTrInfo: {cols: ['lb_communication']}},					                               				                               
					{CalemTrInfo: {cols: ['lb_address']}},
					{CalemTrInfo: {cols: ['lb_access_rights']}},
					{CalemTrInfo: {cols: ['lb_purchase']}},
					{CalemTrInfo: {cols: ['lb_job']}}	
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [		  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},   			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'user', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_communication': {
				CalemLabelInfo: {id: 'communication', className: 'CalemEditSection'}
			},
			'lb_address': {
				CalemLabelInfo: {id: 'address', className: 'CalemEditSection'}
			},
			'lb_access_rights': {
				CalemLabelInfo: {id: 'access_rights', className: 'CalemEditSection'}
			},
			'lb_purchase': {
				CalemLabelInfo: {id: 'purchase', className: 'CalemEditSection'}
			},
			'lb_job': {
				CalemLabelInfo: {id: 'job', className: 'CalemEditSection'}
			}
	}
 } //ItemMap	
}
};
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemUserViewRead']={
	CalemViewInfo: {
		id: 'CalemUserViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},						             
					{CalemTrInfo: {cols: ['lb_communication']}},					                               				                               
					{CalemTrInfo: {cols: ['lb_address']}},
					{CalemTrInfo: {cols: ['lb_access_rights']}},
					{CalemTrInfo: {cols: ['lb_purchase']}},
					{CalemTrInfo: {cols: ['lb_last_changes']}},
					{CalemTrInfo: {cols: ['lb_job']}}					   
					]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'user', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_communication': {
				CalemLabelInfo: {id: 'communication', className: 'CalemEditSection'}
			},
			'lb_address': {
				CalemLabelInfo: {id: 'address', className: 'CalemEditSection'}
			},
			'lb_access_rights': {
				CalemLabelInfo: {id: 'access_rights', className: 'CalemEditSection'}
			},
			'lb_purchase': {
				CalemLabelInfo: {id: 'purchase', className: 'CalemEditSection'}
			},
			'lb_last_changes': {
				CalemLabelInfo: {id: 'last_changes', className: 'CalemEditSection'}
			},
			'lb_job': {
				CalemLabelInfo: {id: 'job', className: 'CalemEditSection'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemUserViewLookup']={
	CalemViewInfo: {
		id: 'CalemUserViewLookup',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'users', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbSelect', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {
						  id: 'CalemTbNew'
					  }		
					},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},		
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: {
						 id: 'CalemTbSelect', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},

               { CalemButtonInfo: {id: 'CalemTbCustomize'}} 
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'username', width: 130}},
			  			   {CalemCol: {id: 'login_allowed', width: 110}},
			  			   {CalemCol: {id: 'full_name', width: 150}},
			  			   {CalemCol: {id: 'acl_group_id', width: 150}},
			  			   {CalemCol: {id: 'admin_type_id', width: 150}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * User views
 */
CalemViewDef['CalemUserViewSearch']={
	CalemViewInfo: {
		id: 'CalemUserViewSearch',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},	
					{CalemTrInfo: {cols: ['err']}},
					{CalemTrInfo: {cols: ['lb_save_search', '_save_search']}},					             
					{CalemTrInfo: {cols: ['lb_communication']}},					                               				                               
					{CalemTrInfo: {cols: ['lb_address']}},
					{CalemTrInfo: {cols: ['lb_access_rights']}},
					{CalemTrInfo: {cols: ['lb_purchase']}},
					{CalemTrInfo: {cols: ['lb_last_changes']}},
					{CalemTrInfo: {cols: ['lb_job']}}	
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbApplySave', 'sep2', 'CalemTbApply', 'CalemTbSave',  'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	
					   { CalemButtonInfo: {
							 id: 'CalemTbApplySave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
						
						{ CalemButtonInfo: {
							id: 'CalemTbApply', 
							customInfo: {
							  	   CalemMenuCustomInfo: {
							         enabled: false,
							         events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
							  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
					
					
					   
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},   			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'user', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_communication': {
				CalemLabelInfo: {id: 'communication', className: 'CalemEditSection'}
			},
			'lb_address': {
				CalemLabelInfo: {id: 'address', className: 'CalemEditSection'}
			},
			'lb_access_rights': {
				CalemLabelInfo: {id: 'access_rights', className: 'CalemEditSection'}
			},
			'lb_purchase': {
				CalemLabelInfo: {id: 'purchase', className: 'CalemEditSection'}
			},
			'lb_last_changes': {
				CalemLabelInfo: {id: 'last_changes', className: 'CalemEditSection'}
			},
			'lb_job': {
				CalemLabelInfo: {id: 'job', className: 'CalemEditSection'}
			},
			'lb_save_search': {
				CalemLabelInfo: {id: 'save_search', className: 'CalemEditSection'}
			},
			'_save_search': {
				CalemSearchSaveInfo: {size: 30}
			}
	}
 } //ItemMap	
}
};
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemUserViewReadMine']={
	CalemViewInfo: {
		id: 'CalemUserViewReadMine',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},						             
					{CalemTrInfo: {cols: ['lb_communication']}},					                               				                               
					{CalemTrInfo: {cols: ['lb_address']}},
					{CalemTrInfo: {cols: ['lb_access_rights']}},
					{CalemTrInfo: {cols: ['lb_purchase']}},
					{CalemTrInfo: {cols: ['lb_last_changes']}},
					{CalemTrInfo: {cols: ['lb_job']}}					   
					]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbEdit', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'user', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_communication': {
				CalemLabelInfo: {id: 'communication', className: 'CalemEditSection'}
			},
			'lb_address': {
				CalemLabelInfo: {id: 'address', className: 'CalemEditSection'}
			},
			'lb_access_rights': {
				CalemLabelInfo: {id: 'access_rights', className: 'CalemEditSection'}
			},
			'lb_purchase': {
				CalemLabelInfo: {id: 'purchase', className: 'CalemEditSection'}
			},
			'lb_last_changes': {
				CalemLabelInfo: {id: 'last_changes', className: 'CalemEditSection'}
			},
			'lb_job': {
				CalemLabelInfo: {id: 'job', className: 'CalemEditSection'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * User views
 */
CalemViewDef['CalemUserViewEditMine']={
	CalemViewInfo: {
		id: 'CalemUserViewEditMine',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},						             
					{CalemTrInfo: {cols: ['lb_communication']}},					                               				                               
					{CalemTrInfo: {cols: ['lb_address']}},
					{CalemTrInfo: {cols: ['lb_access_rights']}},
					{CalemTrInfo: {cols: ['lb_purchase']}},
					{CalemTrInfo: {cols: ['lb_job']}}	
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [		  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
										   
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},   			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'user', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_communication': {
				CalemLabelInfo: {id: 'communication', className: 'CalemEditSection'}
			},
			'lb_address': {
				CalemLabelInfo: {id: 'address', className: 'CalemEditSection'}
			},
			'lb_access_rights': {
				CalemLabelInfo: {id: 'access_rights', className: 'CalemEditSection'}
			},
			'lb_purchase': {
				CalemLabelInfo: {id: 'purchase', className: 'CalemEditSection'}
			},
			'lb_job': {
				CalemLabelInfo: {id: 'job', className: 'CalemEditSection'}
			}
	}
 } //ItemMap	
}
};
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * AclGroup views
 */
CalemViewDef['CalemAclGroupViewList']={
	CalemViewInfo: {
		id: 'CalemAclGroupViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'acl_group', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep', 'CalemTbPrint', 'sep2', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
				
					{ CalemButtonInfo: {
						id: 'CalemTbPrint', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}},
					
					{CalemSeparator: {id: 'sep4', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbGroupAclDesign', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'acl_group', width: 130}},
			  			   {CalemCol: {id: 'parent_group_id', width: 130}},
			  			   {CalemCol: {id: 'note', width: 200}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Group views
 */
CalemViewDef['CalemAclGroupViewNew']={
	CalemViewInfo: {
		id: 'CalemAclGroupViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}		                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbCancel'
					  }
					},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}	
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'acl_group', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * User views
 */
CalemViewDef['CalemAclGroupViewEdit']={
	CalemViewInfo: {
		id: 'CalemAclGroupViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [		  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						}, 			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'acl_group', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemAclGroupViewRead']={
	CalemViewInfo: {
		id: 'CalemAclGroupViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}}					   
					]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'acl_group', className: 'CalemEditCaption'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Lookup views
 */
CalemViewDef['CalemAclGroupViewLookup']={
	CalemViewInfo: {
		id: 'CalemAclGroupViewLookup',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'acl_group', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbSelect', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {
						  id: 'CalemTbNew'
					  }		
					},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},		
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: {
						 id: 'CalemTbSelect', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: {
						id: 'CalemTbCancel', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: true
						  	   }
						  }
					  }
					},

                    { CalemButtonInfo: {id: 'CalemTbCustomize'}} 
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'acl_group', width: 130}},
			  			   {CalemCol: {id: 'parent_group_id', width: 130}},
			  			   {CalemCol: {id: 'note', width: 200}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * User views
 */
CalemViewDef['CalemAclGroupViewSearch']={
	CalemViewInfo: {
		id: 'CalemAclGroupViewSearch',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},	
					{CalemTrInfo: {cols: ['err']}},
					{CalemTrInfo: {cols: ['lb_save_search', '_save_search']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbApplySave', 'sep2', 'CalemTbApply', 'CalemTbSave',  'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	
					   { CalemButtonInfo: {
							 id: 'CalemTbApplySave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
						
						{ CalemButtonInfo: {
							id: 'CalemTbApply', 
							customInfo: {
							  	   CalemMenuCustomInfo: {
							         enabled: false,
							         events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
							  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
					
					
					   
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},   			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'acl_group', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_save_search': {
				CalemLabelInfo: {id: 'save_search', className: 'CalemEditSection'}
			},
			'_save_search': {
				CalemSearchSaveInfo: {size: 30}
			}
	}
 } //ItemMap	
}
};
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemDeptViewList']={
	CalemViewInfo: {
		id: 'CalemDeptViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'dept', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep', 'CalemTbDataRefresh', 'sep2', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbDataRefresh'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'dept', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemDeptViewNew']={
	CalemViewInfo: {
		id: 'CalemDeptViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'dept', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemDeptViewEdit']={
	CalemViewInfo: {
		id: 'CalemDeptViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                         				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'dept', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemDeptViewRead']={
	CalemViewInfo: {
		id: 'CalemDeptViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                            				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'dept', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Lookup views
 */
CalemViewDef['CalemDeptViewLookup']={
	CalemViewInfo: {
		id: 'CalemDeptViewLookup',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'dept', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbSelect', 'CalemTbCancel', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbDataRefresh'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbSelect', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'dept', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemDeptViewSearch']={
	CalemViewInfo: {
		id: 'CalemDeptViewSearch',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},		
               {CalemTrInfo: {cols: ['lb_save_search', '_save_search']}}                                                                                                 				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbApplySave', 'sep2', 'CalemTbApply', 'CalemTbSave',  'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	
					   { CalemButtonInfo: {
							 id: 'CalemTbApplySave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
						
						{ CalemButtonInfo: {
							id: 'CalemTbApply', 
							customInfo: {
							  	   CalemMenuCustomInfo: {
							         enabled: false,
							         events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
							  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
					
					
					   
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},   			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'dept', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			
			'lb_save_search': {
				CalemLabelInfo: {id: 'save_search', className: 'CalemEditSection'}
			},
			'_save_search': {
				CalemSearchSaveInfo: {size: 30}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemTeamViewList']={
	CalemViewInfo: {
		id: 'CalemTeamViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'team', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep', 'CalemTbDataRefresh', 'sep2', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbDataRefresh'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'team', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemTeamViewNew']={
	CalemViewInfo: {
		id: 'CalemTeamViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'team', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemTeamViewEdit']={
	CalemViewInfo: {
		id: 'CalemTeamViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                         				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'team', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemTeamViewRead']={
	CalemViewInfo: {
		id: 'CalemTeamViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                            				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'team', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Lookup views
 */
CalemViewDef['CalemTeamViewLookup']={
	CalemViewInfo: {
		id: 'CalemTeamViewLookup',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'team', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbSelect', 'CalemTbCancel', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbDataRefresh'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbSelect', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'team', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemTeamViewSearch']={
	CalemViewInfo: {
		id: 'CalemTeamViewSearch',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},		
               {CalemTrInfo: {cols: ['lb_save_search', '_save_search']}}                                                                                                 				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbApplySave', 'sep2', 'CalemTbApply', 'CalemTbSave',  'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	
					   { CalemButtonInfo: {
							 id: 'CalemTbApplySave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
						
						{ CalemButtonInfo: {
							id: 'CalemTbApply', 
							customInfo: {
							  	   CalemMenuCustomInfo: {
							         enabled: false,
							         events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
							  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
					
					
					   
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},   			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'team', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			
			'lb_save_search': {
				CalemLabelInfo: {id: 'save_search', className: 'CalemEditSection'}
			},
			'_save_search': {
				CalemSearchSaveInfo: {size: 30}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

/**
 * List views
 */
CalemViewDef['CalemSchedulerTaskViewList']={
	CalemViewInfo: {
		id: 'CalemSchedulerTaskViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'scheduler_task', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep', 'CalemTbDataRefresh', 'sep2', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbDataRefresh'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'task', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

CalemViewDef['CalemSchedulerTaskViewNew']={
	CalemViewInfo: {
		id: 'CalemSchedulerTaskViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'scheduler_task', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

CalemViewDef['CalemSchedulerTaskViewEdit']={
	CalemViewInfo: {
		id: 'CalemSchedulerTaskViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                         				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'scheduler_task', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

CalemViewDef['CalemSchedulerTaskViewRead']={
	CalemViewInfo: {
		id: 'CalemSchedulerTaskViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                            				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'scheduler_task', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

/**
 * Lookup views
 */
CalemViewDef['CalemSchedulerTaskViewLookup']={
	CalemViewInfo: {
		id: 'CalemSchedulerTaskViewLookup',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'scheduler_task', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbSelect', 'CalemTbCancel', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbDataRefresh'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbSelect', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'task', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

CalemViewDef['CalemSchedulerTaskViewSearch']={
	CalemViewInfo: {
		id: 'CalemSchedulerTaskViewSearch',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},		
               {CalemTrInfo: {cols: ['lb_save_search', '_save_search']}}                                                                                                 				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbApplySave', 'sep2', 'CalemTbApply', 'CalemTbSave',  'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	
					   { CalemButtonInfo: {
							 id: 'CalemTbApplySave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
						
						{ CalemButtonInfo: {
							id: 'CalemTbApply', 
							customInfo: {
							  	   CalemMenuCustomInfo: {
							         enabled: false,
							         events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
							  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
					
					
					   
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},   			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'scheduler_task', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			
			'lb_save_search': {
				CalemLabelInfo: {id: 'save_search', className: 'CalemEditSection'}
			},
			'_save_search': {
				CalemSearchSaveInfo: {size: 30}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

/**
 * List views
 */
CalemViewDef['CalemSchedulerJobViewList']={
	CalemViewInfo: {
		id: 'CalemSchedulerJobViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'scheduler_job', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep', 'CalemTbDataRefresh', 'sep2', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbDataRefresh'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'task_id', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

CalemViewDef['CalemSchedulerJobViewNew']={
	CalemViewInfo: {
		id: 'CalemSchedulerJobViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'scheduler_job', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			
			'release_time': {CalemEditScheduleTimeInfo: {field: 'release_time'}},
			'release_day': {CalemEditScheduleInfo: {field: 'release_day'}}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

CalemViewDef['CalemSchedulerJobViewEdit']={
	CalemViewInfo: {
		id: 'CalemSchedulerJobViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                         				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'scheduler_job', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'release_time': {CalemEditScheduleTimeInfo: {field: 'release_time'}},
			'release_day': {CalemEditScheduleInfo: {field: 'release_day'}}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

CalemViewDef['CalemSchedulerJobViewRead']={
	CalemViewInfo: {
		id: 'CalemSchedulerJobViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                            				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					{CalemButtonInfo: { id: 'CalemTbDataRefresh'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'scheduler_job', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'release_time': {CalemEditScheduleTimeInfo: {field: 'release_time'}},
			'release_day': {CalemEditScheduleInfo: {field: 'release_day'}}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

CalemViewDef['CalemSchedulerJobViewSearch']={
	CalemViewInfo: {
		id: 'CalemSchedulerJobViewSearch',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},		
               {CalemTrInfo: {cols: ['lb_save_search', '_save_search']}}                                                                                                 				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbApplySave', 'sep2', 'CalemTbApply', 'CalemTbSave',  'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	
					   { CalemButtonInfo: {
							 id: 'CalemTbApplySave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
						
						{ CalemButtonInfo: {
							id: 'CalemTbApply', 
							customInfo: {
							  	   CalemMenuCustomInfo: {
							         enabled: false,
							         events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
							  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
					
					
					   
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},   			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'scheduler_job', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			
			'lb_save_search': {
				CalemLabelInfo: {id: 'save_search', className: 'CalemEditSection'}
			},
			'_save_search': {
				CalemSearchSaveInfo: {size: 30}
			},
			'release_time': {CalemEditScheduleTimeInfo: {field: 'release_time'}},
			'release_day': {CalemEditScheduleInfo: {field: 'release_day'}}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * List views
 */
CalemViewDef['CalemSchedulerJobLogViewList']={
	CalemViewInfo: {
		id: 'CalemSchedulerJobLogViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'scheduler_job_log', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{ CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'start_time', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

CalemViewDef['CalemSchedulerJobLogViewRead']={
	CalemViewInfo: {
		id: 'CalemSchedulerJobLogViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'scheduler_job_log', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
/**
 * List views
 */
CalemViewDef['CalemVersionUpgradeLogViewList']={
	CalemViewInfo: {
		id: 'CalemVersionUpgradeLogViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'version_upgrade_log', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbOpen', 'CalemTbDelete', 'sep', 'CalemTbDataRefresh', 'sep2', 'CalemTbCustomize'],
					list: [
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbDataRefresh'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'vid', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

CalemViewDef['CalemVersionUpgradeLogViewEdit']={
	CalemViewInfo: {
		id: 'CalemVersionUpgradeLogViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                         				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'version_upgrade_log', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

CalemViewDef['CalemVersionUpgradeLogViewRead']={
	CalemViewInfo: {
		id: 'CalemVersionUpgradeLogViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                            				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{CalemButtonInfo: { id: 'CalemTbDataRefresh'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'version_upgrade_log', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * AclGroup views
 */
CalemViewDef['CalemModuleViewList']={
	CalemViewInfo: {
		id: 'CalemModuleViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {CalemLabelInfo: {id: 'vt_module_list', className: 'CalemEditCaption'}},
			
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbCustomizeModuleList', 'CalemTbCustomizeModule', 'sep', 'CalemTbCancel'],
					list: [
				   					 
					{ CalemButtonInfo: {id: 'CalemTbCustomizeModuleList'}},
				
					{ CalemButtonInfo: {
						 id: 'CalemTbCustomizeModule', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}}	
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'module', width: 400}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * AclGroup views
 */
CalemViewDef['CalemTableViewList']={
	CalemViewInfo: {
		id: 'CalemTableViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {CalemLabelInfo: {id: 'vt_table_list', className: 'CalemEditCaption'}},
			
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbTableDesign', 'sep', 'CalemTbCancel'],
					list: [
				
					{ CalemButtonInfo: {
						 id: 'CalemTbTableDesign', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}}	
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'id', width: 200}},
			  			   {CalemCol: {id: 'table_name', width: 200}},
			  			   {CalemCol: {id: 'module', width: 150}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Group views
 */
CalemViewDef['CalemFieldViewNew']={
	CalemViewInfo: {
		id: 'CalemFieldViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}		                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbCancel'
					  }
					},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}	
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'vt_field', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * User views
 */
CalemViewDef['CalemFieldNameViewEdit']={
	CalemViewInfo: {
		id: 'CalemFieldNameViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [		  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'vt_field', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * User views
 */
CalemViewDef['CalemFieldTypeViewEdit']={
	CalemViewInfo: {
		id: 'CalemFieldTypeViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [		  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'vt_field', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * AclGroup views
 */
CalemViewDef['CalemDropdownViewList']={
	CalemViewInfo: {
		id: 'CalemDropdownViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {CalemLabelInfo: {id: 'vt_dropdown_list', className: 'CalemEditCaption'}},
			
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbDropdownDesign', 'sep', 'CalemTbCancel'],
					list: [
				
					{ CalemButtonInfo: {
						 id: 'CalemTbDropdownDesign', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}}	
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'id', width: 200}},
			  			   {CalemCol: {id: 'table_name', width: 200}},
			  			   {CalemCol: {id: 'module', width: 150}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Group views
 */
CalemViewDef['CalemDropdownViewNew']={
	CalemViewInfo: {
		id: 'CalemDropdownViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}		                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbCancel'
					  }
					}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'vt_dropdown_use', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * User views
 */
CalemViewDef['CalemDropdownViewEdit']={
	CalemViewInfo: {
		id: 'CalemDropdownViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel'],
					list: [		  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'vt_dropdown_use', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * User views
 */
CalemViewDef['CalemLabelViewEdit']={
	CalemViewInfo: {
		id: 'CalemLabelViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 2}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},
               {CalemTrInfo: {cols: ['flb_id', 'id']}},
               {CalemTrInfo: {cols: ['flb_label', 'label']}},
               {CalemTrInfo: {cols: ['flb_locale', 'locale']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel'],
					list: [		  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'vt_label', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemModuleListDesignTreeRender
 *  
 */
function CalemModuleListDesignTreeRender(parent, id, info, controller) {
	if (arguments.length==0) return;
	CalemRecordDesignTreeRender.call(this, parent, id, info, controller);
}

CalemModuleListDesignTreeRender.prototype=new CalemRecordDesignTreeRender;
CalemModuleListDesignTreeRender.prototype.constructor=CalemModuleListDesignTreeRender;

CalemModuleListDesignTreeRender.prototype.toString = function() { return "CalemModuleListDesignTreeRender"; }

CalemModuleListDesignTreeRender.prototype._createControl =
function(clsName) {
	return new CalemModuleListDesignTree(this._parent, null, clsName);
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemModuleListLayoutTreeRender
 */
function CalemModuleListLayoutTreeRender(parent, id, info, controller) {
	if (arguments.length==0) return;
	CalemRecordDesignTreeRender.call(this, parent, id, info, controller);
}

CalemModuleListLayoutTreeRender.prototype=new CalemRecordDesignTreeRender;
CalemModuleListLayoutTreeRender.prototype.constructor=CalemModuleListLayoutTreeRender;

CalemModuleListLayoutTreeRender.prototype.toString = function() { return "CalemModuleListLayoutTreeRender"; }

CalemModuleListLayoutTreeRender.prototype._createControl =
function(clsName) {
	return new CalemModuleListLayoutTree(this._parent, null, clsName);
}

CalemModuleListLayoutTreeRender.prototype.getModListInfo =
function() {
	return this._control.getModListInfo();
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemModuleViewListDesignRender
 */
function CalemModuleViewListDesignRender(parent, id, viewInfo, controller) {
	if (arguments.length==0) return;
	var conf=CalemConf['view_engine']['moduleViewListDesign'];
	CalemViewDesignRender.call(this, parent, id, viewInfo, controller, conf);
}

CalemModuleViewListDesignRender.prototype=new CalemViewDesignRender;
CalemModuleViewListDesignRender.prototype.constructor=CalemModuleViewListDesignRender;

CalemModuleViewListDesignRender.prototype.toString = function() { return "CalemModuleViewListDesignRender"; }
CalemModuleViewListDesignRender.prototype.getClassName = function() { return "CalemModuleViewListDesignRender"; }

/**
 * Render the design with a tree view
 */
CalemModuleViewListDesignRender.prototype._renderView =
function(parentEl, layout) {
	var render=new CalemModuleListLayoutTreeRender(this._parent, this._id, this._info, this._controller);
	render.initDnd(this._dragSrc, this._dropTarget); //Drag drop
	render._parentRender=this;
	render.render(parentEl, 0);
	this._add(this._id, render); //so onlayout change can be handled.
}

/**
 * Get customized info for saving
 * - acl info from leftPanel
 * - layout from right panel
 */
CalemModuleViewListDesignRender.prototype.getCustomizedView =
function() {
	var aclInfo=this._leftRender.getAclInfo();
	var modListInfo=this._renders[this._id].getModListInfo();
	var custom=new CalemModListCustomInfo(aclInfo, modListInfo);
	return custom;
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemModuleDesignTreeRender
 *  
 */
function CalemModuleDesignTreeRender(parent, id, info, controller) {
	if (arguments.length==0) return;
	CalemRecordDesignTreeRender.call(this, parent, id, info, controller);
}

CalemModuleDesignTreeRender.prototype=new CalemRecordDesignTreeRender;
CalemModuleDesignTreeRender.prototype.constructor=CalemModuleDesignTreeRender;

CalemModuleDesignTreeRender.prototype.toString = function() { return "CalemModuleDesignTreeRender"; }

CalemModuleDesignTreeRender.prototype._createControl =
function(clsName) {
	return new CalemModuleDesignTree(this._parent, null, clsName);
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemModuleLayoutTreeRender
 */
function CalemModuleLayoutTreeRender(parent, id, info, controller) {
	if (arguments.length==0) return;
	CalemRecordDesignTreeRender.call(this, parent, id, info, controller);
}

CalemModuleLayoutTreeRender.prototype=new CalemRecordDesignTreeRender;
CalemModuleLayoutTreeRender.prototype.constructor=CalemModuleLayoutTreeRender;

CalemModuleLayoutTreeRender.prototype.toString = function() { return "CalemModuleLayoutTreeRender"; }

CalemModuleLayoutTreeRender.prototype._createControl =
function(clsName) {
	return new CalemModuleLayoutTree(this._parent, null, clsName);
}

CalemModuleLayoutTreeRender.prototype.getModuleInfo =
function() {
	return this._control.getModuleInfo();
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemModuleViewDesignRender
 */
function CalemModuleViewDesignRender(parent, id, viewInfo, controller) {
	if (arguments.length==0) return;
	var conf=CalemConf['view_engine']['moduleViewDesign'];
	CalemViewDesignRender.call(this, parent, id, viewInfo, controller, conf);
}

CalemModuleViewDesignRender.prototype=new CalemViewDesignRender;
CalemModuleViewDesignRender.prototype.constructor=CalemModuleViewDesignRender;

CalemModuleViewDesignRender.prototype.toString = function() { return "CalemModuleViewDesignRender"; }
CalemModuleViewDesignRender.prototype.getClassName = function() { return "CalemModuleViewDesignRender"; }

/**
 * Render the design with a tree view
 */
CalemModuleViewDesignRender.prototype._renderView =
function(parentEl, layout) {
	var render=new CalemModuleLayoutTreeRender(this._parent, this._id, this._info, this._controller);
	render.initDnd(this._dragSrc, this._dropTarget); //Drag drop
	render._parentRender=this;
	render.render(parentEl, 0);
	this._add(this._id, render); //so onlayout change can be handled.
}

/**
 * Get customized info for saving
 * - acl info from leftPanel
 * - layout from right panel
 */
CalemModuleViewDesignRender.prototype.getCustomizedView =
function() {
	var aclInfo=this._leftRender.getAclInfo();
	var modInfo=this._renders[this._id].getModuleInfo();
	var custom=new CalemModuleCustomInfo(this._controller.getModId(), aclInfo, modInfo);
	return custom;
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTableDesignTreeRender
 *  
 */
function CalemTableDesignTreeRender(parent, id, info, controller) {
	if (arguments.length==0) return;
	CalemRecordDesignTreeRender.call(this, parent, id, info, controller);
}

CalemTableDesignTreeRender.prototype=new CalemRecordDesignTreeRender;
CalemTableDesignTreeRender.prototype.constructor=CalemTableDesignTreeRender;

CalemTableDesignTreeRender.prototype.toString = function() { return "CalemTableDesignTreeRender"; }

CalemTableDesignTreeRender.prototype._createControl =
function(clsName) {
	return new CalemTableDesignTree(this._parent, null, clsName);
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTableLayoutTreeRender
 */
function CalemTableLayoutTreeRender(parent, id, info, controller) {
	if (arguments.length==0) return;
	CalemRecordDesignTreeRender.call(this, parent, id, info, controller);
}

CalemTableLayoutTreeRender.prototype=new CalemRecordDesignTreeRender;
CalemTableLayoutTreeRender.prototype.constructor=CalemTableLayoutTreeRender;

CalemTableLayoutTreeRender.prototype.toString = function() { return "CalemTableLayoutTreeRender"; }

CalemTableLayoutTreeRender.prototype._createControl =
function(clsName) {
	return new CalemTableLayoutTree(this._parent, null, clsName);
}

CalemTableLayoutTreeRender.prototype.reRenderView =
function(clsName) {
	this._control.reRenderView();
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTableViewDesignRender
 */
function CalemTableViewDesignRender(parent, id, viewInfo, controller) {
	if (arguments.length==0) return;
	var conf=CalemConf['view_engine']['tableViewDesign'];
	CalemViewDesignRender.call(this, parent, id, viewInfo, controller, conf);
}

CalemTableViewDesignRender.prototype=new CalemViewDesignRender;
CalemTableViewDesignRender.prototype.constructor=CalemTableViewDesignRender;

CalemTableViewDesignRender.prototype.toString = function() { return "CalemTableViewDesignRender"; }
CalemTableViewDesignRender.prototype.getClassName = function() { return "CalemTableViewDesignRender"; }

/**
 * Render the design with a tree view
 */
CalemTableViewDesignRender.prototype._renderView =
function(parentEl, layout) {
	var render=new CalemTableLayoutTreeRender(this._parent, this._id, this._info, this._controller);
	render.initDnd(this._dragSrc, this._dropTarget); //Drag drop
	render._parentRender=this;
	render.render(parentEl, 0);
	this._add(this._id, render); //so onlayout change can be handled.
}

//Use this action to re-draw custom fields.
CalemTableViewDesignRender.prototype.reRenderView =
function() {
	this._renders[this._id].reRenderView();
}

/**
 * Get customized info for saving
 * - acl info from leftPanel
 * - layout from right panel
 */
CalemTableViewDesignRender.prototype.getCustomizedView =
function() {
	return null;
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDropdownDesignTreeRender
 *  
 */
function CalemDropdownDesignTreeRender(parent, id, info, controller) {
	if (arguments.length==0) return;
	CalemRecordDesignTreeRender.call(this, parent, id, info, controller);
}

CalemDropdownDesignTreeRender.prototype=new CalemRecordDesignTreeRender;
CalemDropdownDesignTreeRender.prototype.constructor=CalemDropdownDesignTreeRender;

CalemDropdownDesignTreeRender.prototype.toString = function() { return "CalemDropdownDesignTreeRender"; }

CalemDropdownDesignTreeRender.prototype._createControl =
function(clsName) {
	return new CalemDropdownDesignTree(this._parent, null, clsName);
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDropdownLayoutTreeRender
 */
function CalemDropdownLayoutTreeRender(parent, id, info, controller) {
	if (arguments.length==0) return;
	CalemRecordDesignTreeRender.call(this, parent, id, info, controller);
}

CalemDropdownLayoutTreeRender.prototype=new CalemRecordDesignTreeRender;
CalemDropdownLayoutTreeRender.prototype.constructor=CalemDropdownLayoutTreeRender;

CalemDropdownLayoutTreeRender.prototype.toString = function() { return "CalemDropdownLayoutTreeRender"; }

CalemDropdownLayoutTreeRender.prototype._createControl =
function(clsName) {
	return new CalemDropdownLayoutTree(this._parent, null, clsName);
}

CalemDropdownLayoutTreeRender.prototype.reRenderView =
function(clsName) {
	this._control.reRenderView();
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDropdownViewDesignRender
 */
function CalemDropdownViewDesignRender(parent, id, viewInfo, controller) {
	if (arguments.length==0) return;
	var conf=CalemConf['view_engine']['dropdownViewDesign'];
	CalemViewDesignRender.call(this, parent, id, viewInfo, controller, conf);
}

CalemDropdownViewDesignRender.prototype=new CalemViewDesignRender;
CalemDropdownViewDesignRender.prototype.constructor=CalemDropdownViewDesignRender;

CalemDropdownViewDesignRender.prototype.toString = function() { return "CalemDropdownViewDesignRender"; }
CalemDropdownViewDesignRender.prototype.getClassName = function() { return "CalemDropdownViewDesignRender"; }

/**
 * Render the design with a tree view
 */
CalemDropdownViewDesignRender.prototype._renderView =
function(parentEl, layout) {
	var render=new CalemDropdownLayoutTreeRender(this._parent, this._id, this._info, this._controller);
	render.initDnd(this._dragSrc, this._dropTarget); //Drag drop
	render._parentRender=this;
	render.render(parentEl, 0);
	this._add(this._id, render); //so onlayout change can be handled.
}

//Use this action to re-draw custom fields.
CalemDropdownViewDesignRender.prototype.reRenderView =
function() {
	this._renders[this._id].reRenderView();
}

/**
 * Get customized info for saving
 * - acl info from leftPanel
 * - layout from right panel
 */
CalemDropdownViewDesignRender.prototype.getCustomizedView =
function() {
	return null;
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemUserFormList
 */
function CalemUserFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
}

CalemUserFormList.prototype = new CalemFormList;
CalemUserFormList.prototype.constructor = CalemUserFormList;

CalemUserFormList.prototype.toString = function() { return "CalemUserFormList";}

/**
 * Business APIs
 */
CalemUserFormList.prototype._getFormNewId =
function(evt) {
   return 'CalemUserFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemUserFormList.prototype._getFormReadId =
function(evt) {	
	return 'CalemUserFormRead';
} 

/**
 * Deletion must be handled specially
 */
CalemUserFormList.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemUserBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemUserFormNew
 */
function CalemUserFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemUserFormNew.prototype = new CalemFormNew;
CalemUserFormNew.prototype.constructor = CalemUserFormNew;

CalemUserFormNew.prototype.toString = function() { return "CalemUserFormNew";}

 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemUserFormEdit
 */
function CalemUserFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemUserFormEdit.prototype = new CalemFormEdit;
CalemUserFormEdit.prototype.constructor = CalemUserFormEdit;

CalemUserFormEdit.prototype.toString = function() { return "CalemUserFormEdit";}

/**
 * Deletion must be handled specially
 */
CalemUserFormEdit.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=this._modelItem.getCurrentRecord();
	//fake an event for code-reuse
	var ev=new CalemSelectionEvent(true);
	ev.add(rec);
	var data={event: ev};
	CalemUserBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {data: data}));
}

CalemUserFormEdit.prototype.onDeleteBoCallback =
function(param, del) {
	if (del) CalemFormEdit.prototype.onDeleteWithData.call(this, param.data); //Continue on with default handling.
}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemUserFormRead
 */
function CalemUserFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormRead.call(this, parent, formId, data);
}

CalemUserFormRead.prototype = new CalemFormRead;
CalemUserFormRead.prototype.constructor = CalemUserFormRead;

CalemUserFormRead.prototype.toString = function() { return "CalemUserFormRead";}

/**
 * Deletion must be handled specially
 */
CalemUserFormRead.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemUserBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

CalemUserFormRead.prototype._getFormNewId =
function() {
	return 'CalemUserFormNew';
}

CalemUserFormRead.prototype._getFormEditId =
function() {
	return 'CalemUserFormEdit';
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemUserFormLookup
 */
function CalemUserFormLookup(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormLookup.call(this, parent, formId, data);
}

CalemUserFormLookup.prototype = new CalemFormLookup;
CalemUserFormLookup.prototype.constructor = CalemUserFormLookup;

CalemUserFormLookup.prototype.toString = function() { return "CalemUserFormLookup";}

/**
 * Business APIs
 */
CalemUserFormLookup.prototype._onNew =
function(evt) {
    //To embed new form.
    var ebInfo=new CalemEmbedInfo(this._parent, 'CalemUserFormNew');
	this._embedForm(ebInfo);
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemUserFormLookup.prototype._onOpen =
function(evt) {
	//To embed read form.
   var ebInfo=new CalemEmbedInfo(this._parent, 'CalemUserFormRead');
	this._embedForm(ebInfo);
} 

/**
 * Deletion must be handled specially
 */
CalemUserFormLookup.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemUserBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemUserFormReadMine
 */
function CalemUserFormReadMine(parent, formId, data) {
	if (arguments.length==0) return;
	CalemUserFormRead.call(this, parent, formId, data);
}

CalemUserFormReadMine.prototype = new CalemUserFormRead;
CalemUserFormReadMine.prototype.constructor = CalemUserFormReadMine;

CalemUserFormReadMine.prototype.toString = function() { return "CalemUserFormReadMine";}

/**
 * Monitor some events
 */
CalemUserFormReadMine.prototype._createDataModel =
function(data) {
	CalemUserFormRead.prototype._createDataModel.call(this);
	//Creating a special query for the model item.
	var userInfo=CalemContext.getInstance().getUserInfo();
	var tq=this._modelItem.getTableQuery();
	//Add where clause for primary key.
	var val=new CalemDbString(userInfo.uid);
	var fld=new CalemDbField(this._modelItem.getId(), 'id')	;
	var dbExpr=new CalemDbExpr(fld, CalemDbExpr.EQ, val);
	tq.setWhere(this._modelItem.getId(), dbExpr);
	this._modelItem.setTableQuery(tq);
}

CalemUserFormReadMine.prototype._onEdit =
function(evt) {
	//Get the selection event
	var item=CalemEvent.getItem(evt);
	//Prepare data for master detail view.
	var data = {item: item};
    //To embed new form.
    var ebInfo=new CalemEmbedEditInfo(this._parent, 'CalemUserFormEditMine', data);
	this._embedForm(ebInfo);
} 

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemUserFormEditMine
 */
function CalemUserFormEditMine(parent, formId, data) {
	if (arguments.length==0) return;
	CalemUserFormEdit.call(this, parent, formId, data);
}

CalemUserFormEditMine.prototype = new CalemUserFormEdit;
CalemUserFormEditMine.prototype.constructor = CalemUserFormEditMine;

CalemUserFormEditMine.prototype.toString = function() { return "CalemUserFormEditMine";}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemAclGroupFormList
 */
function CalemAclGroupFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
	//acl design listener
	this._groupAclDesignListener=new AjxListener(this, this.onGroupAclDesign);
}

CalemAclGroupFormList.prototype = new CalemFormList;
CalemAclGroupFormList.prototype.constructor = CalemAclGroupFormList;

CalemAclGroupFormList.prototype.toString = function() { return "CalemAclGroupFormList";}

/**
 * Business APIs
 */
CalemAclGroupFormList.prototype._onNew =
function(evt) {
    //To embed new form.
    var ebInfo=new CalemEmbedInfo(this._parent, 'CalemAclGroupFormNew');
	this._embedForm(ebInfo);
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemAclGroupFormList.prototype._onOpen =
function(evt) {	
	//Get the selection event
	var item=CalemEvent.getItem(evt);
	//Prepare data for master detail view.
	var data = {modelItem: this._modelItem, item: item};
	//embed read form here.
    var ebInfo=new CalemEmbedReadInfo(this._parent, 'CalemAclGroupFormRead', data);
    this._embedForm(ebInfo);
} 

/**
 * Deletion must be handled specially
 */
CalemAclGroupFormList.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemAclGroupBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

/**
 * Access design listener
 */
CalemAclGroupFormList.prototype.getGroupAclDesignListener =
function() {
	return this._groupAclDesignListener;
} 

CalemAclGroupFormList.prototype.onGroupAclDesign =
function(evt) {
	//Get the selection event
	var item=CalemEvent.getItem(evt);
	this._setSystemDesignTarget(true, item);
	//embed like a read.
    var ebInfo=new CalemEmbedReadInfo(this._parent, 'CalemModuleFormList', {item: item});
    this._embedForm(ebInfo);
} 

/**
 * Set system design target scope
 */
CalemAclGroupFormList.prototype._setSystemDesignTarget =
function(set, grpRec) {
	var dt=null;
	if (set) {
		dt=new CalemDesignTargetInfo(CalemDesignTargetInfo.GROUP, grpRec.id, grpRec.getField('acl_group').getValue());
	}
	CalemDesignTargetInfo.setSystemDesignTarget(dt);
}

CalemAclGroupFormList.prototype._shutdown =
function() {
	this._setSystemDesignTarget(false);
	CalemFormList.prototype._shutdown.call(this);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemAclGroupFormNew
 */
function CalemAclGroupFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemAclGroupFormNew.prototype = new CalemFormNew;
CalemAclGroupFormNew.prototype.constructor = CalemAclGroupFormNew;

CalemAclGroupFormNew.prototype.toString = function() { return "CalemAclGroupFormNew";}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemAclGroupFormEdit
 */
function CalemAclGroupFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemAclGroupFormEdit.prototype = new CalemFormEdit;
CalemAclGroupFormEdit.prototype.constructor = CalemAclGroupFormEdit;

CalemAclGroupFormEdit.prototype.toString = function() { return "CalemAclGroupFormEdit";}

/**
 * Deletion must be handled specially
 */
CalemAclGroupFormEdit.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=this._modelItem.getCurrentRecord();
	//fake an event for code-reuse
	var ev=new CalemSelectionEvent(true);
	ev.add(rec);
	var data={event: ev};
	CalemAclGroupBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {data: data}));
}

CalemAclGroupFormEdit.prototype.onDeleteBoCallback =
function(param, del) {
	if (del) CalemFormEdit.prototype.onDeleteWithData.call(this, param.data); //Continue on with default handling.
}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemAclGroupFormRead
 */
function CalemAclGroupFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormRead.call(this, parent, formId, data);
}

CalemAclGroupFormRead.prototype = new CalemFormRead;
CalemAclGroupFormRead.prototype.constructor = CalemAclGroupFormRead;

CalemAclGroupFormRead.prototype.toString = function() { return "CalemAclGroupFormRead";}

/**
 * Business APIs
 */
CalemAclGroupFormRead.prototype._getFormNewId =
function(evt) {
	return 'CalemAclGroupFormNew';
} 

CalemAclGroupFormRead.prototype._getFormEditId =
function(evt) {
	return 'CalemAclGroupFormEdit';
} 

/**
 * Deletion must be handled specially
 */
CalemAclGroupFormRead.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemAclGroupBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemAclGroupFormLookup
 */
function CalemAclGroupFormLookup(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormLookup.call(this, parent, formId, data);
}

CalemAclGroupFormLookup.prototype = new CalemFormLookup;
CalemAclGroupFormLookup.prototype.constructor = CalemAclGroupFormLookup;

CalemAclGroupFormLookup.prototype.toString = function() { return "CalemAclGroupFormLookup";}

/**
 * Business APIs
 */
CalemAclGroupFormLookup.prototype._onNew =
function(evt) {
    //To embed new form.
    var ebInfo=new CalemEmbedInfo(this._parent, 'CalemAclGroupFormNew');
	this._embedForm(ebInfo);
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemAclGroupFormLookup.prototype._onOpen =
function(evt) {
	//To embed read form.
   var ebInfo=new CalemEmbedInfo(this._parent, 'CalemAclGroupFormRead');
	this._embedForm(ebInfo);
} 

/**
 * Deletion must be handled specially
 */
CalemAclGroupFormLookup.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemAclGroupBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDeptFormList
 */
function CalemDeptFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
}

CalemDeptFormList.prototype = new CalemFormList;
CalemDeptFormList.prototype.constructor = CalemDeptFormList;

CalemDeptFormList.prototype.toString = function() { return "CalemDeptFormList";}

/**
 * Business APIs
 */
CalemDeptFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemDeptFormNew';
} 

CalemDeptFormList.prototype._getFormReadId =
function(evt) {	
	return 'CalemDeptFormRead';
} 

/**
 * Deletion must be handled specially
 */
CalemDeptFormList.prototype.onDelete =
function(evt) {
	var rec=CalemEvent.getItem(evt);
	CalemDeptBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDeptFormNew
 */
function CalemDeptFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemDeptFormNew.prototype = new CalemFormNew;
CalemDeptFormNew.prototype.constructor = CalemDeptFormNew;

CalemDeptFormNew.prototype.toString = function() { return "CalemDeptFormNew";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDeptFormEdit
 */
function CalemDeptFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemDeptFormEdit.prototype = new CalemFormEdit;
CalemDeptFormEdit.prototype.constructor = CalemDeptFormEdit;

CalemDeptFormEdit.prototype.toString = function() { return "CalemDeptFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDeptFormRead
 */
function CalemDeptFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormRead.call(this, parent, formId, data);
}

CalemDeptFormRead.prototype = new CalemFormRead;
CalemDeptFormRead.prototype.constructor = CalemDeptFormRead;

CalemDeptFormRead.prototype.toString = function() { return "CalemDeptFormRead";}

/**
 * Business APIs
 */
CalemDeptFormRead.prototype._getFormNewId =
function() {
	return 'CalemDeptFormNew';
} 

CalemDeptFormRead.prototype._getFormEditId =
function() {
	return 'CalemDeptFormEdit';
}

/**
 * Deletion must be handled specially
 */
CalemDeptFormRead.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemDeptBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDeptFormLookup
 */
function CalemDeptFormLookup(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormLookup.call(this, parent, formId, data);
}

CalemDeptFormLookup.prototype = new CalemFormLookup;
CalemDeptFormLookup.prototype.constructor = CalemDeptFormLookup;

CalemDeptFormLookup.prototype.toString = function() { return "CalemDeptFormLookup";}

/**
 * Business APIs
 */
CalemDeptFormLookup.prototype._getFormNewId =
function() {
   return 'CalemDeptFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemDeptFormLookup.prototype._getFormReadId =
function(evt) {
	return 'CalemDeptFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTeamFormList
 */
function CalemTeamFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
}

CalemTeamFormList.prototype = new CalemFormList;
CalemTeamFormList.prototype.constructor = CalemTeamFormList;

CalemTeamFormList.prototype.toString = function() { return "CalemTeamFormList";}

/**
 * Business APIs
 */
CalemTeamFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemTeamFormNew';
} 

CalemTeamFormList.prototype._getFormReadId =
function(evt) {	
	return 'CalemTeamFormRead';
} 

/**
 * Deletion must be handled specially
 */
CalemTeamFormList.prototype.onDelete =
function(evt) {
	var rec=CalemEvent.getItem(evt);
	CalemTeamBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTeamFormNew
 */
function CalemTeamFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemTeamFormNew.prototype = new CalemFormNew;
CalemTeamFormNew.prototype.constructor = CalemTeamFormNew;

CalemTeamFormNew.prototype.toString = function() { return "CalemTeamFormNew";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTeamFormEdit
 */
function CalemTeamFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemTeamFormEdit.prototype = new CalemFormEdit;
CalemTeamFormEdit.prototype.constructor = CalemTeamFormEdit;

CalemTeamFormEdit.prototype.toString = function() { return "CalemTeamFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTeamFormRead
 */
function CalemTeamFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormRead.call(this, parent, formId, data);
}

CalemTeamFormRead.prototype = new CalemFormRead;
CalemTeamFormRead.prototype.constructor = CalemTeamFormRead;

CalemTeamFormRead.prototype.toString = function() { return "CalemTeamFormRead";}

/**
 * Business APIs
 */
CalemTeamFormRead.prototype._getFormNewId =
function() {
	return 'CalemTeamFormNew';
} 

CalemTeamFormRead.prototype._getFormEditId =
function() {
	return 'CalemTeamFormEdit';
}

/**
 * Deletion must be handled specially
 */
CalemTeamFormRead.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemTeamBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTeamFormLookup
 */
function CalemTeamFormLookup(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormLookup.call(this, parent, formId, data);
}

CalemTeamFormLookup.prototype = new CalemFormLookup;
CalemTeamFormLookup.prototype.constructor = CalemTeamFormLookup;

CalemTeamFormLookup.prototype.toString = function() { return "CalemTeamFormLookup";}

/**
 * Business APIs
 */
CalemTeamFormLookup.prototype._getFormNewId =
function() {
   return 'CalemTeamFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemTeamFormLookup.prototype._getFormReadId =
function(evt) {
	return 'CalemTeamFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

/**
 * CalemSchedulerTaskFormList
 */
function CalemSchedulerTaskFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
}

CalemSchedulerTaskFormList.prototype = new CalemFormList;
CalemSchedulerTaskFormList.prototype.constructor = CalemSchedulerTaskFormList;

CalemSchedulerTaskFormList.prototype.toString = function() { return "CalemSchedulerTaskFormList";}

/**
 * Business APIs
 */
CalemSchedulerTaskFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemSchedulerTaskFormNew';
} 

CalemSchedulerTaskFormList.prototype._getFormReadId =
function(evt) {	
	return 'CalemSchedulerTaskFormRead';
} 

/**
 * Deletion must be handled specially
 */
CalemSchedulerTaskFormList.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemSchedulerTaskBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

/**
 * CalemSchedulerTaskFormNew
 */
function CalemSchedulerTaskFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemSchedulerTaskFormNew.prototype = new CalemFormNew;
CalemSchedulerTaskFormNew.prototype.constructor = CalemSchedulerTaskFormNew;

CalemSchedulerTaskFormNew.prototype.toString = function() { return "CalemSchedulerTaskFormNew";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

/**
 * CalemSchedulerTaskFormEdit
 */
function CalemSchedulerTaskFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemSchedulerTaskFormEdit.prototype = new CalemFormEdit;
CalemSchedulerTaskFormEdit.prototype.constructor = CalemSchedulerTaskFormEdit;

CalemSchedulerTaskFormEdit.prototype.toString = function() { return "CalemSchedulerTaskFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

/**
 * CalemSchedulerTaskFormRead
 */
function CalemSchedulerTaskFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormRead.call(this, parent, formId, data);
}

CalemSchedulerTaskFormRead.prototype = new CalemFormRead;
CalemSchedulerTaskFormRead.prototype.constructor = CalemSchedulerTaskFormRead;

CalemSchedulerTaskFormRead.prototype.toString = function() { return "CalemSchedulerTaskFormRead";}

/**
 * Business APIs
 */
CalemSchedulerTaskFormRead.prototype._getFormNewId =
function() {
	return 'CalemSchedulerTaskFormNew';
} 

CalemSchedulerTaskFormRead.prototype._getFormEditId =
function() {
	return 'CalemSchedulerTaskFormEdit';
}

/**
 * Deletion must be handled specially
 */
CalemSchedulerTaskFormRead.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemSchedulerTaskBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

/**
 * CalemSchedulerTaskFormLookup
 */
function CalemSchedulerTaskFormLookup(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormLookup.call(this, parent, formId, data);
}

CalemSchedulerTaskFormLookup.prototype = new CalemFormLookup;
CalemSchedulerTaskFormLookup.prototype.constructor = CalemSchedulerTaskFormLookup;

CalemSchedulerTaskFormLookup.prototype.toString = function() { return "CalemSchedulerTaskFormLookup";}

/**
 * Business APIs
 */
CalemSchedulerTaskFormLookup.prototype._getFormNewId =
function() {
   return 'CalemSchedulerTaskFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemSchedulerTaskFormLookup.prototype._getFormReadId =
function(evt) {
	return 'CalemSchedulerTaskFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

/**
 * CalemSchedulerJobFormMdTab
 */
function CalemSchedulerJobFormMdTab(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormMdTab.call(this, parent, formId, data);
}

CalemSchedulerJobFormMdTab.prototype = new CalemFormMdTab;
CalemSchedulerJobFormMdTab.prototype.constructor = CalemSchedulerJobFormMdTab;

CalemSchedulerJobFormMdTab.prototype.toString = function() { return "CalemSchedulerJobFormMdTab";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemSchedulerJobFormList
 */
function CalemSchedulerJobFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
}

CalemSchedulerJobFormList.prototype = new CalemFormList;
CalemSchedulerJobFormList.prototype.constructor = CalemSchedulerJobFormList;

CalemSchedulerJobFormList.prototype.toString = function() { return "CalemSchedulerJobFormList";}

/**
 * Business APIs
 */
CalemSchedulerJobFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemSchedulerJobFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemSchedulerJobFormList.prototype._onOpen =
function(evt) {
	//Get the selection event
    var item=CalemEvent.getItem(evt);
	//Prepare data for master detail view.
	var data = {modelItem: this._modelItem, item: item};
	//pass-through current data model and selection
	this._openForm('CalemSchedulerJobFormMdTab', data);
} 

/**
 * Deletion must be handled specially
 */
CalemSchedulerJobFormList.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemSchedulerJobBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemSchedulerJobFormNew
 */
function CalemSchedulerJobFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemSchedulerJobFormNew.prototype = new CalemFormNew;
CalemSchedulerJobFormNew.prototype.constructor = CalemSchedulerJobFormNew;

CalemSchedulerJobFormNew.prototype.toString = function() { return "CalemSchedulerJobFormNew";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemSchedulerJobFormEdit
 */
function CalemSchedulerJobFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemSchedulerJobFormEdit.prototype = new CalemFormEdit;
CalemSchedulerJobFormEdit.prototype.constructor = CalemSchedulerJobFormEdit;

CalemSchedulerJobFormEdit.prototype.toString = function() { return "CalemSchedulerJobFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

/**
 * CalemSchedulerJobFormRead
 */
function CalemSchedulerJobFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormRead.call(this, parent, formId, data);
}

CalemSchedulerJobFormRead.prototype = new CalemFormRead;
CalemSchedulerJobFormRead.prototype.constructor = CalemSchedulerJobFormRead;

CalemSchedulerJobFormRead.prototype.toString = function() { return "CalemSchedulerJobFormRead";}

/**
 * Business APIs
 */
CalemSchedulerJobFormRead.prototype._getFormNewId =
function() {
	return 'CalemSchedulerJobFormNew';
} 

CalemSchedulerJobFormRead.prototype._getFormEditId =
function() {
	return 'CalemSchedulerJobFormEdit';
}

/**
 * Deletion must be handled specially
 */
CalemSchedulerJobFormRead.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemSchedulerJobBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

/**
 * CalemSchedulerJobLogFormList
 */
function CalemSchedulerJobLogFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
}

CalemSchedulerJobLogFormList.prototype = new CalemFormListDet;
CalemSchedulerJobLogFormList.prototype.constructor = CalemSchedulerJobLogFormList;

CalemSchedulerJobLogFormList.prototype.toString = function() { return "CalemSchedulerJobLogFormList";}

/**
 * Business APIs
 */
CalemSchedulerJobLogFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemSchedulerJobLogFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemSchedulerJobLogFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemSchedulerJobLogFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemSchedulerJobLogFormRead
 */
function CalemSchedulerJobLogFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemSchedulerJobLogFormRead.prototype = new CalemFormReadDet;
CalemSchedulerJobLogFormRead.prototype.constructor = CalemSchedulerJobLogFormRead;

CalemSchedulerJobLogFormRead.prototype.toString = function() { return "CalemSchedulerJobLogFormRead";}

/**
 * Business APIs
 */
CalemSchedulerJobLogFormRead.prototype._getFormNewId =
function() {
	return 'CalemSchedulerJobLogFormNew';
} 

CalemSchedulerJobLogFormRead.prototype._getFormEditId =
function() {
	return 'CalemSchedulerJobLogFormEdit';
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemVersionUpgradeLogFormList
 */
function CalemVersionUpgradeLogFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
}

CalemVersionUpgradeLogFormList.prototype = new CalemFormList;
CalemVersionUpgradeLogFormList.prototype.constructor = CalemVersionUpgradeLogFormList;

CalemVersionUpgradeLogFormList.prototype.toString = function() { return "CalemVersionUpgradeLogFormList";}

/**
 * Business APIs
 */
CalemVersionUpgradeLogFormList.prototype._getFormReadId =
function(evt) {	
	return 'CalemVersionUpgradeLogFormRead';
} 


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemVersionUpgradeLogFormEdit
 */
function CalemVersionUpgradeLogFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemVersionUpgradeLogFormEdit.prototype = new CalemFormEdit;
CalemVersionUpgradeLogFormEdit.prototype.constructor = CalemVersionUpgradeLogFormEdit;

CalemVersionUpgradeLogFormEdit.prototype.toString = function() { return "CalemVersionUpgradeLogFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

/**
 * CalemVersionUpgradeLogFormRead
 */
function CalemVersionUpgradeLogFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormRead.call(this, parent, formId, data);
}

CalemVersionUpgradeLogFormRead.prototype = new CalemFormRead;
CalemVersionUpgradeLogFormRead.prototype.constructor = CalemVersionUpgradeLogFormRead;

CalemVersionUpgradeLogFormRead.prototype.toString = function() { return "CalemVersionUpgradeLogFormRead";}

/**
 * Business APIs
 */
CalemVersionUpgradeLogFormRead.prototype._getFormEditId =
function() {
	return 'CalemVersionUpgradeLogFormEdit';
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemModuleFormList
 */
function CalemModuleFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
	this._customizeModuleListListener=new AjxListener(this, this.onCustomizeModuleList);
	this._customizeModuleListener=new AjxListener(this, this.onCustomizeModule);
}

CalemModuleFormList.prototype = new CalemFormList;
CalemModuleFormList.prototype.constructor = CalemModuleFormList;

CalemModuleFormList.prototype.toString = function() { return "CalemModuleFormList";}

/**
 * Prepare the module list based on group id:
 * a) at initial form opening
 * b) reopen after close
 */
CalemModuleFormList.prototype._createDataModel =
function(data) {
	CalemFormList.prototype._createDataModel.call(this);	
	this._grpRec=data.item; //Wait for _loadData to start data loading.
}

//Invoked by changing a group and reuse the same form.
CalemModuleFormList.prototype.setCurrentRecord =
function(grpRec) {
	this._grpRec=grpRec;
	this._loadData(new AjxCallback(this, this._onFormReuse)); //Reload the grp info.
}

//Frst time, let's check for data loading task.
CalemModuleFormList.prototype._loadData = 
function(callback) {
	callback= callback || new AjxCallback(this, this._onInitialDataLoaded);
	var groupCache=CalemContext.getInstance().getRegistry().getCache().get('acl_group');
	var grps=groupCache.getGroupsToLoad(this._grpRec.id);
	if (grps.length > 0) {		
		var loadInfo={custom_0: {targets: grps.join(';')}};	
		CalemSoapUtil._onSoapCall('LoadCustomInfo', loadInfo, 
		                  new AjxCallback(this, this._onLoadCustomInfoResponse), null, {grps: grps, callback: callback});
	} else {
		callback.run();
	}
}

/**
 * Process soap response from server
 */
CalemModuleFormList.prototype._onLoadCustomInfoResponse =
function(resp, ei) {
	if (resp[0].status == CalemForm.SOAP_SUCC) {
		eval(Base64.decode(resp[0].reload)); //synchronize with server.
	}
	//Set groups as loaded
	var groupCache=CalemContext.getInstance().getRegistry().getCache().get('acl_group');
	groupCache.setCustomLoaded(ei.grps, false);
	ei.callback.run();
}

/** First time data loaded */
CalemModuleFormList.prototype._onInitialDataLoaded = 
function() {
	this._reloadGroupModules();
	this.onDataLoaded(); //to continue form display.
}

/** Form is reused */
CalemModuleFormList.prototype._onFormReuse = 
function() {
	this.reRenderView();
}

//Reloading data.
CalemModuleFormList.prototype._reloadGroupModules =
function() {
	var modListMgr=CalemCustomModListManager.getInstance();
	var myInfo=modListMgr.getFullCustomInfo('', this.getDesignTarget());
	var modList=myInfo.getLayout() ? myInfo.getLayout() : modListMgr.getSysModList();
	//Now creating mod list as a recList.
	var ar=[];
	for (var i=0; i< modList.length; i++) {
		var mod=modList[i];		
		if (myInfo && !myInfo.checkAcl(mod)) continue;
		ar.push([mod, CalemMsg.getMsg(mod)]);
	}
	//Creating a cached item
	var cache=CalemContext.getInstance().getRegistry().getCache();
	var cachedModList=new CalemLocalCachedItem(cache, 'vt_module_list', ar);
	this._modelItem.onLoadResult(cachedModList.getRecordList());
}

CalemModuleFormList.prototype.reRenderView = 
function() {
	this._reloadGroupModules();
	this._resumeView();
}

CalemModuleFormList.prototype.getCustomizeModuleListListener =
function() {
	return this._customizeModuleListListener;
}

CalemModuleFormList.prototype.getCustomizeModuleListener =
function() {
	return this._customizeModuleListener;
}

//Module design
CalemModuleFormList.prototype.onCustomizeModuleList =
function() {
   var ebInfo=new CalemEmbedDesignInfo(this._parent, 'CalemModuleFormListDesign', this.getId(), null, this._getDataModel());
	this._embedForm(ebInfo);
}

//Module design
CalemModuleFormList.prototype.onCustomizeModule =
function(evt) {
	var item=CalemEvent.getItem(evt);
	var ebInfo=new CalemEmbedDesignInfo(this._parent, 'CalemModuleFormDesign', this.getId(), {item: item, grpRec: this._grpRec}, this._getDataModel());
	this._embedForm(ebInfo);
}

//Do not cache this form since each time it might be for a different group.
CalemModuleFormList.prototype.getCacheEmbedOnClose =
function() {
	return false; //close down upon close.
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemModuleFormListDesign
 * This is the form design controller.
 * 
 */
function CalemModuleFormListDesign(parent, formId, data, designId, dataModel) {
	if (arguments.length==0) return;
	CalemFormDesign.call(this, parent, formId, data, designId, dataModel);	
}

CalemModuleFormListDesign.prototype = new CalemFormDesign;
CalemModuleFormListDesign.prototype.constructor = CalemModuleFormListDesign;

CalemModuleFormListDesign.prototype.toString = 
function() {
	return "CalemModuleFormListDesign";
}

/**
 * Render factory
 */
CalemModuleFormListDesign.prototype.getRender =
function(info) {
	var render= CalemConf['view_engine']['moduleViewListDesign'][info.getClassName()];
	if (!render) {
		render=CalemFormDesign.prototype.getRender.call(this, info);
	}
	return render;
}

/**
 * Save handler
 */
CalemModuleFormListDesign.prototype._onSave =
function(ev) {
	//Collect acl and viewInfo.
	var customInfo=this._view.getCustomizedView();
	//Now let's make a soap call with busy signal
	var modList={modlist_0: { 
							  shared: this.getDesignTarget().isGroup() ? 1 : 0, 
							  target: this.getDesignTarget().getId(),
							  custom: Base64.encode(customInfo.getJson())}};	
	CalemSoapUtil._onSoapCall('SaveModList', modList, new AjxCallback(this, this._onSoapSaveViewResponse, customInfo));
} 

/**
 * get design item
 */
CalemModuleFormListDesign.prototype.getCustomInfo =
function() {
	return CalemCustomModListManager.getInstance().getFullCustomInfo('', this.getDesignTarget()); 
}

CalemModuleFormListDesign.prototype.getParentCustomInfo =
function() {
	return CalemCustomModListManager.getInstance().getParentCustomInfo('', this.getDesignTarget());
}

CalemModuleFormListDesign.prototype.getMyCustomInfo =
function() {
	return CalemCustomModListManager.getInstance().getMyCustomInfo('', this.getDesignTarget());
}

CalemModuleFormListDesign.prototype.addCustomInfo =
function(customInfo) {
	return CalemCustomModListManager.getInstance().addCustomInfo(customInfo, this.getDesignTarget());
}

CalemModuleFormListDesign.prototype.getDesignTarget =
function() {
	return CalemDesignTargetInfo.getModuleDesignTarget();
}

//Do not cache this form since each time it might be for a different group.
CalemModuleFormListDesign.prototype.getCacheEmbedOnClose =
function() {
	return false; //close down upon close.
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemModuleFormDesign
 * This is the form design controller.
 * 
 */
function CalemModuleFormDesign(parent, formId, data, designId, dataModel) {
	if (arguments.length==0) return;
	CalemFormDesign.call(this, parent, formId, data, designId, dataModel);	
}

CalemModuleFormDesign.prototype = new CalemFormDesign;
CalemModuleFormDesign.prototype.constructor = CalemModuleFormDesign;

CalemModuleFormDesign.prototype.toString = 
function() {
	return "CalemModuleFormDesign";
}

/** Record which module we're dealing with. */
CalemModuleFormDesign.prototype._createDataModel =
function(data) {
	CalemFormDesign.prototype._createDataModel.call(this);	//no need for the info.
	this._modId=data.item.id;
}

CalemModuleFormDesign.prototype.getModId =
function() {
	return this._modId;
}

/**
 * Render factory
 */
CalemModuleFormDesign.prototype.getRender =
function(info) {
	var render= CalemConf['view_engine']['moduleViewDesign'][info.getClassName()];
	if (!render) {
		render=CalemFormDesign.prototype.getRender.call(this, info);
	}
	return render;
}

/**
 * Save handler
 */
CalemModuleFormDesign.prototype._onSave =
function(ev) {
	//Collect acl and viewInfo.
	var customInfo=this._view.getCustomizedView();
	//Now let's make a soap call with busy signal
	var mod={mod_0: {   id: this._modId, 
							  shared: this.getDesignTarget().isGroup() ? 1 : 0, 
							  target: this.getDesignTarget().getId(),
							  custom: Base64.encode(customInfo.getJson())}};	
	CalemSoapUtil._onSoapCall('SaveModule', mod, new AjxCallback(this, this._onSoapSaveViewResponse, customInfo));
} 

/**
 * get design item
 */
CalemModuleFormDesign.prototype.getCustomInfo =
function() {
	return CalemCustomModuleManager.getInstance().getFullCustomInfo(this._modId, this.getDesignTarget()); 
}

CalemModuleFormDesign.prototype.getParentCustomInfo =
function() {
	return CalemCustomModuleManager.getInstance().getParentCustomInfo(this._modId, this.getDesignTarget());
}

CalemModuleFormDesign.prototype.getMyCustomInfo =
function() {
	return CalemCustomModuleManager.getInstance().getMyCustomInfo(this._modId, this.getDesignTarget());
}

CalemModuleFormDesign.prototype.addCustomInfo =
function(customInfo) {
	return CalemCustomModuleManager.getInstance().addCustomInfo(customInfo, this.getDesignTarget());
}

CalemModuleFormDesign.prototype.getDesignTarget =
function() {
	return CalemDesignTargetInfo.getModuleDesignTarget();
}

//Do not cache this form since each time it might be for a different group.
CalemModuleFormDesign.prototype.getCacheEmbedOnClose =
function() {
	return false; //close down upon close.
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTableFormList
 */
function CalemTableFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
	this._tableDesignListener=new AjxListener(this, this.onTableDesign);
}

CalemTableFormList.prototype = new CalemFormList;
CalemTableFormList.prototype.constructor = CalemTableFormList;

CalemTableFormList.prototype.toString = function() { return "CalemTableFormList";}

//Load data only once.
CalemTableFormList.prototype._loadData = 
function() {
	CalemCachedTableListFactory.create(this._modelItem.getId()); //get table list loaded in cache.
	//continue data loading
	CalemFormList.prototype._loadData.call(this);
}

CalemTableFormList.prototype.getTableDesignListener =
function() {
	return this._tableDesignListener;
}

//Table design
CalemTableFormList.prototype.onTableDesign =
function(evt) {
	var item=CalemEvent.getItem(evt);
	var ebInfo=new CalemEmbedDesignInfo(this._parent, 'CalemTableFormDesign', this.getId(), {item: item}, this._getDataModel());
	this._embedForm(ebInfo);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTableFormDesign
 * This is the table design controller.
 * 
 */
function CalemTableFormDesign(parent, formId, data, designId, dataModel) {
	if (arguments.length==0) return;
	CalemFormDesign.call(this, parent, formId, data, designId, dataModel);
	//Operations to handle
	this._fieldAddListener=new AjxListener(this, this.onFieldAdd);
	this._fieldDeleteListener=new AjxListener(this, this.onFieldDelete);
	this._fieldNameChangeListener=new AjxListener(this, this.onFieldNameChange);
	this._fieldTypeChangeListener=new AjxListener(this, this.onFieldTypeChange);
}

CalemTableFormDesign.prototype = new CalemFormDesign;
CalemTableFormDesign.prototype.constructor = CalemTableFormDesign;

CalemTableFormDesign.prototype.toString = 
function() {
	return "CalemTableFormDesign";
}

/** Record which module we're dealing with. */
CalemTableFormDesign.prototype._createDataModel =
function(data) {
	CalemFormDesign.prototype._createDataModel.call(this);	//no need for the info.
	this._tableId=data.item.id;
	this._tableDd=CalemContext.getInstance().getRegistry().getTableDd(this._tableId);
}

CalemTableFormDesign.prototype.getTableId =
function() {
	return this._tableId;
}

/**
 * Render factory
 */
CalemTableFormDesign.prototype.getRender =
function(info) {
	var render= CalemConf['view_engine']['tableViewDesign'][info.getClassName()];
	if (!render) {
		render=CalemFormDesign.prototype.getRender.call(this, info);
	}
	return render;
}

//Do not cache this form since each time it might be for a different group.
CalemTableFormDesign.prototype.getCacheEmbedOnClose =
function() {
	return false; //close down upon close.
}

/** Operations to handle */
CalemTableFormDesign.prototype.getFieldAddListener = 
function() {
	return this._fieldAddListener;
}

CalemTableFormDesign.prototype.getFieldDeleteListener =
function(evt) {
	return this._fieldDeleteListener;
}

CalemTableFormDesign.prototype.getFieldNameChangeListener =
function(evt) {
	return this._fieldNameChangeListener;
}

CalemTableFormDesign.prototype.getFieldTypeChangeListener =
function(evt) {
	return this._fieldTypeChangeListener;
}

CalemTableFormDesign.prototype.onFieldAdd =
function(evt) {
	var ebInfo=new CalemEmbedInfo(this._parent, 'CalemFieldFormNew', {tableId: this._tableId});
	this._embedForm(ebInfo);
}

CalemTableFormDesign.prototype.onFieldDelete =
function(evt) {
	var id=evt.item.getData(CalemContext.DATA);
	//Note - dialog's event will change the underlying item of evt, so must get data out now.
	var callback=new AjxCallback(this, this.onDeletePromptCallback, id);
	CalemQuestionDialog.showIt(CalemMsg.getMsg('field_delete_title'), CalemMsg.getMsg('field_delete_prompt'), callback);
}

CalemTableFormDesign.prototype.onDeletePromptCallback =
function(id, cont) {
	if (!cont) return;
	var col={col_0 : {id: id, 
							tableId: this._tableDd.getCustomTableName()}};
	CalemSoapUtil._onSoapCall('DeleteField', col, new AjxCallback(this, this._onSoapDeleteFieldResponse, id));
}

//Process response from server.
CalemTableFormDesign.prototype._onSoapDeleteFieldResponse =
function(id, resp) {
	//This is single record so let's process it.
	var rowResp=resp[0];
	if (rowResp.status == CalemForm.SOAP_SUCC) {
		//Modify local DD and refresh the view.
		this._tableDd._deleteCustomField(id);
		this.reRenderView();
	} else { //Need to display error.
		this._onSoapResponseException(rowResp);
	}
}

CalemTableFormDesign.prototype.onFieldNameChange =
function(evt) {
	var id=evt.item.getData(CalemContext.DATA);
	var rec = this._createVtFieldRec(id);
	var ebInfo=new CalemEmbedInfo(this._parent, 'CalemFieldNameFormEdit', {tableId: this._tableId, rec: rec});
	this._embedForm(ebInfo);
}

CalemTableFormDesign.prototype.onFieldTypeChange =
function(evt) {
	var id=evt.item.getData(CalemContext.DATA);
	var rec = this._createVtFieldRec(id);
	var ebInfo=new CalemEmbedInfo(this._parent, 'CalemFieldTypeFormEdit', {tableId: this._tableId, rec: rec});
	this._embedForm(ebInfo);
}

//Only the custom fields need to be repainted.
CalemTableFormDesign.prototype.reRenderView =
function() {
	this._view.reRenderView();
}

CalemTableFormDesign.prototype._createVtFieldRec =
function(id) {
	var field=this._tableDd.getCustomFields()[id];
	//Creating a record: id, type, reqd, length, label, lookup
	var type=CalemViewUtil.getIdByVtFieldType(field['type']); 
	var recVal=[id, type, field['required'], field['length'], this._tableDd.getFieldLabel(id), field['lookup']];
	var reg=CalemContext.getInstance().getRegistry();
	var ci=new CalemLocalCachedItem(reg.getCache(), 'vt_field', [recVal]);
	var rec=ci.getRecordList().getRecord(0);
	return rec;	
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
/**
 * CalemFieldFormNew
 */
function CalemFieldFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemFieldFormNew.prototype = new CalemFormNew;
CalemFieldFormNew.prototype.constructor = CalemFieldFormNew;

CalemFieldFormNew.prototype.toString = function() { return "CalemFieldFormNew";}

//Get tableId from data.
CalemFieldFormNew.prototype._createDataModel =
function(data) {	
	this._tableId=data.tableId;
	this._fieldTableDd = CalemContext.getInstance().getRegistry().getTableDd(this._tableId);
	CalemFormNew.prototype._createDataModel.call(this);
}

/**
 * Business APIs
 */
CalemFieldFormNew.prototype._verifyInputBo =
function() {
	var row=this._getInputDataRow();
	return CalemFieldBo.getInstance()._verifyInputBo(row, this);
}

CalemFieldFormNew.prototype.getFieldTableDd =
function() {
	return this._fieldTableDd;
}

//Do not cache this form
CalemFieldFormNew.prototype.getCacheEmbedOnClose =
function() {
	return false; //close down upon close.
}

//Save custom field
CalemFieldFormNew.prototype._onSave =
function(evt) {
	var row=this._getInputDataRow(); 
	row['field_type']=CalemViewUtil.getVtFieldTypeById(row['field_type']);
	//Change locale/length
	var lc=CalemContext.getInstance().getUserInfo().locale;
	lc=CalemViewUtil.getLocaleServer(lc);
	var col={col_0 : {id: row['id'], 
							tableId: this._fieldTableDd.getCustomTableName(),
	                  type: row['field_type'],
	                  length: row['field_length'],
	                  required: row['required'],
	                  label: row['field_label'],
	                  locale: lc }};
	CalemSoapUtil._onSoapCall('AddField', col, new AjxCallback(this, this._onSoapSaveFieldResponse, row));
}

//Process response from server.
CalemFieldFormNew.prototype._onSoapSaveFieldResponse =
function(row, resp) {
	//This is single record so let's process it.
	var rowResp=resp[0];
	if (rowResp.status == CalemForm.SOAP_SUCC) {
		//Modify local DD and close the form and cause parent form to refresh.
		var field= CalemFieldBo.getInstance().getFieldByRow(row);
		this._fieldTableDd._addCustomField(row['id'], field);
		
		CalemMsg._addCustomMsg(row['id'], row['field_label']);
		this._closeAndResumeParentForm(new CalemReRenderAction());
	} else { //Need to display error.
		this._onSoapResponseException(rowResp);
	}
}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
/**
 * CalemFieldNameFormEdit
 */
function CalemFieldNameFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
	//Disabled fields
	this._roFields=['field_type', 'required', 'field_length', 'lookup'];
}

CalemFieldNameFormEdit.prototype = new CalemFormEdit;
CalemFieldNameFormEdit.prototype.constructor = CalemFieldNameFormEdit;

CalemFieldNameFormEdit.prototype.toString = function() { return "CalemFieldNameFormEdit";}

//Get tableId from data.
CalemFieldNameFormEdit.prototype._createDataModel =
function(data) {	
	var reg=CalemContext.getInstance().getRegistry();
	this._tableId=data.tableId;
	this._fieldTableDd = reg.getTableDd(this._tableId);
	this._rec=data.rec;
	CalemFormEdit.prototype._createDataModel.call(this, {item: this._rec});
}

// set fields being disabled
CalemFieldNameFormEdit.prototype._render =
function(skipRo) {
	CalemFormEdit.prototype._render.call(this);
	if (!skipRo) this._setFieldsReadOnly(this._roFields);
}

CalemFieldNameFormEdit.prototype.getFieldTableDd =
function() {
	return this._fieldTableDd;
}

//Do not cache this form
CalemFieldNameFormEdit.prototype.getCacheEmbedOnClose =
function() {
	return false; //close down upon close.
}

/**
 * Business APIs
 */
CalemFieldNameFormEdit.prototype._verifyInputBo =
function() {
	var row=this._getInputDataRow();
	return CalemFieldBo.getInstance()._verifyNameEdit(row, this._rec.id, this);
}

//Do field name change (id and oldId to decide if just name is changed).
CalemFieldNameFormEdit.prototype._onSave =
function(evt) {
	var row=this._getInputDataRow(); 
	row['field_type']=CalemViewUtil.getVtFieldTypeById(row['field_type']);
	//Change locale/length
	var lc=CalemContext.getInstance().getUserInfo().locale;
	lc=CalemViewUtil.getLocaleServer(lc);
	var col={col_0 : {id: row['id'], 
				         oldId: this._rec.id,
							tableId: this._fieldTableDd.getCustomTableName(),
	                  type: row['field_type'],
	                  length: row['field_length'],
	                  required: row['required'],
	                  label: row['field_label'],
	                  locale: lc }};	                  
	CalemSoapUtil._onSoapCall('ModifyFieldName', col, new AjxCallback(this, this._onSoapModifyFieldResponse, row));
}

//Process response from server.
CalemFieldNameFormEdit.prototype._onSoapModifyFieldResponse =
function(row, resp) {
	//This is single record so let's process it.
	var rowResp=resp[0];
	if (rowResp.status == CalemForm.SOAP_SUCC) {
		//Check id changes
		if (row['id']!=this._rec.id) {
			var field=CalemFieldBo.getInstance().getFieldByRow(row);
			this._fieldTableDd._replaceCustomField(this._rec.id, row['id'], field);
		}
		CalemMsg._addCustomMsg(row['id'], row['field_label']);
		
		this._closeAndResumeParentForm(new CalemReRenderAction());
	} else { //Need to display error.
		this._onSoapResponseException(rowResp);
	}
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
/**
 * CalemFieldTypeFormEdit
 */
function CalemFieldTypeFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFieldNameFormEdit.call(this, parent, formId, data);
	this._roFields=['id', 'field_label'];
}

CalemFieldTypeFormEdit.prototype = new CalemFieldNameFormEdit;
CalemFieldTypeFormEdit.prototype.constructor = CalemFieldTypeFormEdit;

CalemFieldTypeFormEdit.prototype.toString = function() { return "CalemFieldTypeFormEdit";}

// must handle focus properly.
CalemFieldTypeFormEdit.prototype._render =
function() {
	CalemFieldNameFormEdit.prototype._render.call(this, true);
	this._view.setFocus('field_length');
	this._setFieldsReadOnly(this._roFields);
}

/**
 * Business APIs
 */
CalemFieldTypeFormEdit.prototype._verifyInputBo =
function() {
	var row=this._getInputDataRow();
	return CalemFieldBo.getInstance()._verifyFieldTypeChange(row, this);
}

//Do field name change (id and oldId to decide if just name is changed).
CalemFieldTypeFormEdit.prototype._onSave =
function(evt) {
	var row=this._getInputDataRow(); 
	row['field_type']=CalemViewUtil.getVtFieldTypeById(row['field_type']);
	//Change locale/length
	var lc=CalemContext.getInstance().getUserInfo().locale;
	lc=CalemViewUtil.getLocaleServer(lc);
	var col={col_0 : {id: row['id'], 
							tableId: this._fieldTableDd.getCustomTableName(),
	                  type: row['field_type'],
	                  length: row['field_length'],
	                  required: row['required'],
	                  label: row['field_label'],
	                  locale: lc }};	                  
	CalemSoapUtil._onSoapCall('ModifyFieldType', col, new AjxCallback(this, this._onSoapFieldTypeResponse, row));
}

//Process response from server.
CalemFieldTypeFormEdit.prototype._onSoapFieldTypeResponse =
function(row, resp) {
	//This is single record so let's process it.
	var rowResp=resp[0];
	if (rowResp.status == CalemForm.SOAP_SUCC) {
		var field=CalemFieldBo.getInstance().getFieldByRow(row);
		this._fieldTableDd._replaceCustomField(this._rec.id, row['id'], field);
		this._closeAndResumeParentForm();
	} else { //Need to display error.
		this._onSoapResponseException(rowResp);
	}
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTableFormList
 */
function CalemDropdownFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemTableFormList.call(this, parent, formId, data);
	this._dropdownDesignListener=new AjxListener(this, this.onDropdownDesign);
}

CalemDropdownFormList.prototype = new CalemTableFormList;
CalemDropdownFormList.prototype.constructor = CalemDropdownFormList;

CalemDropdownFormList.prototype.toString = function() { return "CalemDropdownFormList";}

CalemDropdownFormList.prototype.getDropdownDesignListener =
function() {
	return this._dropdownDesignListener;
}

//Table design
CalemDropdownFormList.prototype.onDropdownDesign =
function(evt) {
	var item=CalemEvent.getItem(evt);
	var ebInfo=new CalemEmbedDesignInfo(this._parent, 'CalemDropdownFormDesign', this.getId(), {item: item}, this._getDataModel());
	this._embedForm(ebInfo);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDropdownFormDesign
 * This is the table design controller.
 * 
 */
function CalemDropdownFormDesign(parent, formId, data, designId, dataModel) {
	if (arguments.length==0) return;
	CalemFormDesign.call(this, parent, formId, data, designId, dataModel);
	//Operations to handle
	this._dropdownAddListener=new AjxListener(this, this.onDropdownAdd);
	this._dropdownDeleteListener=new AjxListener(this, this.onDropdownDelete);
	this._dropdownEditListener=new AjxListener(this, this.onDropdownEdit);
}

CalemDropdownFormDesign.prototype = new CalemFormDesign;
CalemDropdownFormDesign.prototype.constructor = CalemDropdownFormDesign;

CalemDropdownFormDesign.prototype.toString = 
function() {
	return "CalemDropdownFormDesign";
}

/** Record which module we're dealing with. */
CalemDropdownFormDesign.prototype._createDataModel =
function(data) {
	CalemFormDesign.prototype._createDataModel.call(this);	//no need for the info.
	this._tableId=data.item.id;
	this._tableDd=CalemContext.getInstance().getRegistry().getTableDd(this._tableId);
}

CalemDropdownFormDesign.prototype.getTableId =
function() {
	return this._tableId;
}

/**
 * Render factory
 */
CalemDropdownFormDesign.prototype.getRender =
function(info) {
	var render= CalemConf['view_engine']['dropdownViewDesign'][info.getClassName()];
	if (!render) {
		render=CalemFormDesign.prototype.getRender.call(this, info);
	}
	return render;
}

//Do not cache this form since each time it might be for a different group.
CalemDropdownFormDesign.prototype.getCacheEmbedOnClose =
function() {
	return false; //close down upon close.
}

/** Operations to handle */
CalemDropdownFormDesign.prototype.getDropdownAddListener = 
function() {
	return this._dropdownAddListener;
}

CalemDropdownFormDesign.prototype.getDropdownDeleteListener =
function() {
	return this._dropdownDeleteListener;
}

CalemDropdownFormDesign.prototype.getDropdownEditListener =
function(evt) {
	return this._dropdownEditListener;
}

CalemDropdownFormDesign.prototype.onDropdownAdd =
function(evt) {
	var ebInfo=new CalemEmbedInfo(this._parent, 'CalemDropdownFormNew', {tableId: this._tableId});
	this._embedForm(ebInfo);
}

/**
 * Add from Dnd
 */
CalemDropdownFormDesign.prototype.addDropdown =
function(id) {
	//Init DD first, then, prepare a row, do a soap call, then refresh the screen.
	this._tableDd.createVtDropdownDd(CalemConst._VT_DROPDOWN_USE);
	var dm= this._tableDd.getOobDropdownMap();
	var row={};
	row['id']=id;
	for (var i in dm[id]) {
		row[i]=dm[id][i];
	}
	row['tableId']=this._tableId;
	row['label']=CalemMsg.getMsg(id);
	row['locale']=CalemContext.getInstance().getUserInfo().locale;

	var entry={entry_0 : row};
	CalemSoapUtil._onSoapCall('AddDropdown', entry, new AjxCallback(this, this._onSoapAddResponse, row));
}

//Process response from server.
CalemDropdownFormDesign.prototype._onSoapAddResponse =
function(row, resp) {
	//This is single record so let's process it.
	var rowResp=resp[0];
	if (rowResp.status == CalemForm.SOAP_SUCC) {
		this._tableDd.addDropdown(row);
		this.reRenderView();
	} else { //Need to display error.
		this._onSoapResponseException(rowResp);
	}
}

/**
 * Swap from Dnd
 */
CalemDropdownFormDesign.prototype.swapDropdown =
function(srcId, dstId) {
	var row={};
	row['id']=srcId;
	row['swapId']=dstId;
	row['tableId']=this._tableId;
	
	var entry={entry_0 : row};
	CalemSoapUtil._onSoapCall('SwapDropdown', entry, new AjxCallback(this, this._onSoapSwapResponse, row));
}

//Process response from server.
CalemDropdownFormDesign.prototype._onSoapSwapResponse =
function(row, resp) {
	//This is single record so let's process it.
	var rowResp=resp[0];
	if (rowResp.status == CalemForm.SOAP_SUCC) {
		this._tableDd.swapDropdown(row['id'], row['swapId'], row['tableId']);
		this.reRenderView();
	} else { //Need to display error.
		this._onSoapResponseException(rowResp);
	}
}

CalemDropdownFormDesign.prototype.onDropdownDelete =
function(evt) {
	var id=evt.item.getData(CalemContext.DATA);
	//Note - dialog's event will change the underlying item of evt, so must get data out now.
	var callback=new AjxCallback(this, this.onDeletePromptCallback, id);
	CalemQuestionDialog.showIt(CalemMsg.getMsg('dropdown_delete_title'), CalemMsg.getMsg('dropdown_delete_prompt'), callback);
}

CalemDropdownFormDesign.prototype.onDeletePromptCallback =
function(id, cont) {
	if (!cont) return;
	var col={col_0 : {id: id, 
							tableId: this._tableId}};
	CalemSoapUtil._onSoapCall('DeleteDropdown', col, new AjxCallback(this, this._onSoapDeleteEntryResponse, id));
}

//Process response from server.
CalemDropdownFormDesign.prototype._onSoapDeleteEntryResponse =
function(id, resp) {
	//This is single record so let's process it.
	var rowResp=resp[0];
	if (rowResp.status == CalemForm.SOAP_SUCC) {
		//Modify local DD and refresh the view.
		this._tableDd.deleteDropdown(id);
		this.reRenderView();
	} else { //Need to display error.
		this._onSoapResponseException(rowResp);
	}
}

CalemDropdownFormDesign.prototype.onDropdownEdit =
function(evt) {
	var id=evt.item.getData(CalemContext.DATA);
	var ebInfo=new CalemEmbedInfo(this._parent, 'CalemDropdownFormEdit', {tableId: this._tableId, id: id});
	this._embedForm(ebInfo);
}

//Only the custom fields need to be repainted.
CalemDropdownFormDesign.prototype.reRenderView =
function() {
	this._view.reRenderView();
}
 /*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
/**
 * CalemDropdownFormNew
 */
function CalemDropdownFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemDropdownFormNew.prototype = new CalemFormNew;
CalemDropdownFormNew.prototype.constructor = CalemDropdownFormNew;

CalemDropdownFormNew.prototype.toString = function() { return "CalemDropdownFormNew";}

//Get tableId from data.
CalemDropdownFormNew.prototype._createDataModel =
function(data) {	
	this._tableId=data.tableId;
	this._tableDd= CalemContext.getInstance().getRegistry().getTableDd(this._tableId);
	this._tableDd.createVtDropdownDd(CalemConst._VT_DROPDOWN_USE);
	CalemFormNew.prototype._createDataModel.call(this);
}

/**
 * Business APIs
 */
CalemDropdownFormNew.prototype._verifyInputBo =
function() {
	var row=this._getInputDataRow();
	return CalemDropdownBo.getInstance()._verifyInputBo(row, this);
}

CalemDropdownFormNew.prototype.getTableDd =
function() {
	return this._tableDd;
}

//Do not cache this form
CalemDropdownFormNew.prototype.getCacheEmbedOnClose =
function() {
	return false; //close down upon close.
}

//Save custom field
CalemDropdownFormNew.prototype._onSave =
function(evt) {
	var row=this._getInputDataRow();
	var locale=CalemContext.getInstance().getUserInfo().locale;
	row['locale']=CalemViewUtil.getLocaleServer(locale);
	row['tableId']=this._tableId;
	var entry={entry_0 : row};
	CalemSoapUtil._onSoapCall('AddDropdown', entry, new AjxCallback(this, this._onSoapAddResponse, row));
}

//Process response from server.
CalemDropdownFormNew.prototype._onSoapAddResponse =
function(row, resp) {
	//This is single record so let's process it.
	var rowResp=resp[0];
	if (rowResp.status == CalemForm.SOAP_SUCC) {
		this._tableDd.addDropdown(row);
		CalemMsg._addCustomMsg(row['id'], row['label']);
		this._closeAndResumeParentForm(new CalemReRenderAction());
	} else { //Need to display error.
		this._onSoapResponseException(rowResp);
	}
}

/**
 * Modifying customInfo for form editing.
 */
CalemDropdownFormNew.prototype.getCustomInfo =
function() {	
	var viewInfo=this.getViewInfo();
	var tbDd=this._modelItem.getTableDd();
	return CalemViewCustomInfo.createCustomLayout(viewInfo, tbDd, tbDd.getFieldList(), ['fixed']);
}

 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
/**
 * CalemDropdownFormEdit
 */
function CalemDropdownFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemDropdownFormEdit.prototype = new CalemFormEdit;
CalemDropdownFormEdit.prototype.constructor = CalemDropdownFormEdit;

CalemDropdownFormEdit.prototype.toString = function() { return "CalemDropdownFormEdit";}

//Get tableId from data.
CalemDropdownFormEdit.prototype._createDataModel =
function(data) {	
	var reg=CalemContext.getInstance().getRegistry();
	this._tableId=data.tableId;
	this._tableDd = reg.getTableDd(this._tableId);
	this._id=data.id;
	this._tableDd.createVtDropdownDd(CalemConst._VT_DROPDOWN_USE);
	this._rec=this._createVtDropdownRec(data.id);
	CalemFormEdit.prototype._createDataModel.call(this, {item: this._rec});
}

CalemDropdownFormEdit.prototype.getTableDd =
function(id) {
	return this._tableDd;
}

CalemDropdownFormEdit.prototype._createVtDropdownRec =
function(id) {
	var dn=this._tableDd.getDropdownMap();
	var row={};
	CalemViewUtil.addObject(dn[id], row);
	row['id']=id;
	row['label']=CalemMsg.getMsg(id);
	var reg=CalemContext.getInstance().getRegistry();
	var fldList=reg.getTableDd(CalemConst._VT_DROPDOWN_USE).getFieldList();
	var recVal=[];
	for (var i=0; i< fldList.length; i++) recVal.push(row[fldList[i]]);
	//Creating a record: id, type, reqd, length, labe lookup
	var ci=new CalemLocalCachedItem(reg.getCache(), CalemConst._VT_DROPDOWN_USE, [recVal]);
	var rec=ci.getRecordList().getRecord(0);
	return rec;	
}

// set fields being disabled
CalemDropdownFormEdit.prototype._render =
function() {
	CalemFormEdit.prototype._render.call(this);
	var dn=this._tableDd.getOobDropdownMap();
	if (dn[this._id] && dn[this._id]['fixed']) {
		this._view.setFieldReadOnly('id');
	}
	//Do not allow fixed to change
		this._view.setFieldReadOnly('fixed');
	}

CalemDropdownFormEdit.prototype._verifyInputBo =
function() {
	var row=this._getInputDataRow();
	return CalemDropdownBo.getInstance()._verifyEditBo(row, this._id, this);
}

//Do not cache this form
CalemDropdownFormEdit.prototype.getCacheEmbedOnClose =
function() {
	return false; //close down upon close.
}

//Do field name change (id and oldId to decide if just name is changed).
CalemDropdownFormEdit.prototype._onSave =
function(evt) {
	var row=this._getInputDataRow();
	row['oldId'] =this._id;
	row['tableId']=this._tableId;
	var locale=CalemContext.getInstance().getUserInfo().locale;
	row['locale']=CalemViewUtil.getLocaleServer(locale);
	var entry={entry_0 : row};	                  
	CalemSoapUtil._onSoapCall('ModifyDropdown', entry, new AjxCallback(this, this._onSoapModifyResponse, row));
}

//Process response from server.
CalemDropdownFormEdit.prototype._onSoapModifyResponse =
function(row, resp) {
	//This is single record so let's process it.
	var rowResp=resp[0];
	if (rowResp.status == CalemForm.SOAP_SUCC) {
		this._tableDd.modifyDropdown(row, this._id);
		CalemMsg._addCustomMsg(row['id'], row['label']);
		
		this._closeAndResumeParentForm(new CalemReRenderAction());
	} else { //Need to display error.
		this._onSoapResponseException(rowResp);
	}
} 

/**
 * Modifying customInfo for form editing.
 */
CalemDropdownFormEdit.prototype.getCustomInfo =
function() {	
	var viewInfo=this.getViewInfo();
	var tbDd=this._modelItem.getTableDd();
	return CalemViewCustomInfo.createCustomLayout(viewInfo, tbDd, tbDd.getFieldList());
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemLabelFormEdit
 */
function CalemLabelFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemLabelFormEdit.prototype = new CalemFormEdit;
CalemLabelFormEdit.prototype.constructor = CalemLabelFormEdit;

CalemLabelFormEdit.prototype.toString = function() { return "CalemLabelFormEdit";}

//Get tableId from data.
CalemLabelFormEdit.prototype._createDataModel =
function(data) {	
	this._item=data.item;
	this._reg=CalemContext.getInstance().getRegistry();
	this._tableId='vt_label';
	this._tableDd = this._reg.getTableDd(this._tableId);
	this._rec=this._createVtLabelRec();
	CalemFormEdit.prototype._createDataModel.call(this, {item: this._rec});
}

CalemLabelFormEdit.prototype.getTableDd =
function(id) {
	return this._tableDd;
}

CalemLabelFormEdit.prototype._createVtLabelRec =
function(id) {
	//Creating a record: id, label, locale
	var id=this._item.getLabelId();
	var recVal=[id, CalemMsg.getMsg(id), CalemViewUtil.getLocaleClient()];
	var ci=new CalemLocalCachedItem(this._reg.getCache(), 'vt_label', [recVal]);
	var rec=ci.getRecordList().getRecord(0);
	return rec;	
}

// set fields being disabled
CalemLabelFormEdit.prototype._render =
function() {
	CalemFormEdit.prototype._render.call(this);
	this._view.setFieldReadOnly('id');
}

//Do not cache this form
CalemLabelFormEdit.prototype.getCacheEmbedOnClose =
function() {
	return false; //close down upon close.
}

//Do field name change (id and oldId to decide if just name is changed).
CalemLabelFormEdit.prototype._onSave =
function(evt) {
	var row=this._getInputDataRow();
	row['locale']=CalemViewUtil.getLocaleServer(row['locale']);
	var entry={entry_0 : row};	                  
	CalemSoapUtil._onSoapCall('EditLabel', entry, new AjxCallback(this, this._onSoapEditResponse, row));
}

//Process response from server.
CalemLabelFormEdit.prototype._onSoapEditResponse =
function(row, resp) {
	//This is single record so let's process it.
	var rowResp=resp[0];
	if (rowResp.status == CalemForm.SOAP_SUCC) {
		CalemMsg._addCustomMsg(row['id'], row['label']);
		this._item.onLabelChanged();
		this._closeAndResumeParentForm();
	} else { //Need to display error.
		this._onSoapResponseException(rowResp);
	}
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * User forms
 */
CalemItemDef['CalemUserFormList']={
	CalemFormInfo: {
		id: 'CalemUserFormList',
		title: 'users',
		icon: 'CalemUser',
		controller: 'CalemUserFormList',
		model: 'users', 
		view: {CalemViewRefInfo: {id: 'CalemUserViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemUserFormSearch'
	}
}

CalemItemDef['CalemUserFormLookup']={
	CalemFormInfo: {
		id: 'CalemUserFormLookup',
		title: 'users',
		icon: 'CalemUser',
		controller: 'CalemUserFormLookup',
		model: 'users', 
		view: {CalemViewRefInfo: {id: 'CalemUserViewLookup'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemUserFormSearch'
	}
}

CalemItemDef['CalemUserFormNew']={
	CalemFormInfo: {
		id: 'CalemUserFormNew',
		title: 'users',
		icon: 'CalemUser',
		controller: 'CalemUserFormNew',
		model: 'users', 
		view: {CalemViewRefInfo: {id: 'CalemUserViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemUserFormEdit']={
	CalemFormInfo: {
		id: 'CalemUserFormEdit',
		title: 'users',
		icon: 'CalemUser',
		controller: 'CalemUserFormEdit',
		model: 'users', 
   	view: {CalemViewRefInfo: {id: 'CalemUserViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemUserFormEditMine']={
	CalemFormInfo: {
		id: 'CalemUserFormEditMine',
		title: 'my_account',
		icon: 'CalemUser',
		controller: 'CalemUserFormEditMine',
		model: 'users', 
   	view: {CalemViewRefInfo: {id: 'CalemUserViewEditMine'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemUserFormReadMine']={
	CalemFormInfo: {
		id: 'CalemUserFormReadMine',
		title: 'my_account',
		icon: 'CalemUser',
		controller: 'CalemUserFormReadMine',
		model: 'users', 
		view: {CalemViewRefInfo: {id: 'CalemUserViewReadMine'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemUserFormRead']={
	CalemFormInfo: {
		id: 'CalemUserFormRead',
		title: 'users',
		icon: 'CalemUser',
		controller: 'CalemUserFormRead',
		model: 'users', 
		view: {CalemViewRefInfo: {id: 'CalemUserViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemUserFormSearch']={
	CalemFormInfo: {
		id: 'CalemUserFormSearch',
		title: 'users',
		icon: 'CalemUser',
		controller: 'CalemFormSearchEdit',
		model: 'users', 
		view: {CalemViewRefInfo: {id: 'CalemUserViewSearch'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * Group form
 */
CalemItemDef['CalemAclGroupFormList']={
	CalemFormInfo: {
		id: 'CalemAclGroupFormList',
		title: 'acl_group',
		icon: 'CalemGroup',
		controller: 'CalemAclGroupFormList',
		model: 'acl_group', 
		view: {CalemViewRefInfo: {id: 'CalemAclGroupViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemAclGroupFormSearch'
	}
}

CalemItemDef['CalemAclGroupFormLookup']={
	CalemFormInfo: {
		id: 'CalemAclGroupFormLookup',
		title: 'acl_group',
		icon: 'CalemGroup',
		controller: 'CalemAclGroupFormLookup',
		model: 'acl_group', 
		view: {CalemViewRefInfo: {id: 'CalemAclGroupViewLookup'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemAclGroupFormSearch'
	}
}

CalemItemDef['CalemAclGroupFormNew']={
	CalemFormInfo: {
		id: 'CalemAclGroupFormNew',
		title: 'acl_group',
		icon: 'CalemGroup',
		controller: 'CalemAclGroupFormNew',
		model: 'acl_group', 
		view: {CalemViewRefInfo: {id: 'CalemAclGroupViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemAclGroupFormEdit']={
	CalemFormInfo: {
		id: 'CalemAclGroupFormEdit',
		title: 'acl_group',
		icon: 'CalemGroup',
		controller: 'CalemAclGroupFormEdit',
		model: 'acl_group', 
   	view: {CalemViewRefInfo: {id: 'CalemAclGroupViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemAclGroupFormRead']={
	CalemFormInfo: {
		id: 'CalemAclGroupFormRead',
		title: 'acl_group',
		icon: 'CalemGroup',
		controller: 'CalemAclGroupFormRead',
		model: 'acl_group', 
		view: {CalemViewRefInfo: {id: 'CalemAclGroupViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemAclGroupFormSearch']={
	CalemFormInfo: {
		id: 'CalemAclGroupFormSearch',
		title: 'acl_group',
		icon: 'CalemGroup',
		controller: 'CalemFormSearchEdit',
		model: 'acl_group', 
		view: {CalemViewRefInfo: {id: 'CalemAclGroupViewSearch'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * Access design forms
 */
CalemItemDef['CalemModuleFormList'] = {
	CalemFormInfo: {
		id: 'CalemModuleFormList',
		title: 'group_module_list',
		icon: 'CalemAclDesign',
		controller: 'CalemModuleFormList',
		model: 'vt_module_list', 
		view: {CalemViewRefInfo: {id: 'CalemModuleViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

//Table design
CalemItemDef['CalemTableFormList'] = {
	CalemFormInfo: {
		id: 'CalemTableFormList',
		title: 'vt_table_list',
		icon: 'CalemTableDesign',
		controller: 'CalemTableFormList',
		model: 'vt_table_list', 
		view: {CalemViewRefInfo: {id: 'CalemTableViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

//Field forms
CalemItemDef['CalemFieldFormNew']={
	CalemFormInfo: {
		id: 'CalemFieldFormNew',
		title: 'vt_field',
		icon: 'CalemDataDesign',
		controller: 'CalemFieldFormNew',
		model: 'vt_field', 
		view: {CalemViewRefInfo: {id: 'CalemFieldViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemFieldNameFormEdit']={
	CalemFormInfo: {
		id: 'CalemFieldNameFormEdit',
		title: 'vt_field',
		icon: 'CalemDataDesign',
		controller: 'CalemFieldNameFormEdit',
		model: 'vt_field', 
		view: {CalemViewRefInfo: {id: 'CalemFieldNameViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemFieldTypeFormEdit']={
	CalemFormInfo: {
		id: 'CalemFieldTypeFormEdit',
		title: 'vt_field',
		icon: 'CalemDataDesign',
		controller: 'CalemFieldTypeFormEdit',
		model: 'vt_field', 
		view: {CalemViewRefInfo: {id: 'CalemFieldTypeViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

//Dropdown design
CalemItemDef['CalemDropdownFormList'] = {
	CalemFormInfo: {
		id: 'CalemDropdownFormList',
		title: 'vt_dropdown_list',
		icon: 'CalemTableDesign',
		controller: 'CalemDropdownFormList',
		model: 'vt_dropdown_list', 
		view: {CalemViewRefInfo: {id: 'CalemDropdownViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemDropdownFormNew']={
	CalemFormInfo: {
		id: 'CalemDropdownFormNew',
		title: 'vt_dropdown_use',
		icon: 'CalemDataDesign',
		controller: 'CalemDropdownFormNew',
		model: 'vt_dropdown_use', 
		view: {CalemViewRefInfo: {id: 'CalemDropdownViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemDropdownFormEdit']={
	CalemFormInfo: {
		id: 'CalemDropdownFormEdit',
		title: 'vt_dropdown_use',
		icon: 'CalemDataDesign',
		controller: 'CalemDropdownFormEdit',
		model: 'vt_dropdown_use', 
		view: {CalemViewRefInfo: {id: 'CalemDropdownViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemLabelFormEdit']={
	CalemFormInfo: {
		id: 'CalemLabelFormEdit',
		title: 'vt_label',
		icon: 'CalemTreeLabel',
		controller: 'CalemLabelFormEdit',
		model: 'vt_label', 
		view: {CalemViewRefInfo: {id: 'CalemLabelViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * Dept forms
 */
CalemItemDef['CalemDeptFormList']={
	CalemFormInfo: {
		id: 'CalemDeptFormList',
		title: 'dept',
		icon: 'CalemAdmin',
		controller: 'CalemDeptFormList',
		model: 'dept', 
		view: {CalemViewRefInfo: {id: 'CalemDeptViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemDeptFormSearch'
	}
}

CalemItemDef['CalemDeptFormLookup']={
	CalemFormInfo: {
		id: 'CalemDeptFormLookup',
		title: 'dept',
		icon: 'CalemAdmin',
		controller: 'CalemDeptFormLookup',
		model: 'dept', 
		view: {CalemViewRefInfo: {id: 'CalemDeptViewLookup'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemDeptFormSearch'
	}
}

CalemItemDef['CalemDeptFormNew']={
	CalemFormInfo: {
		id: 'CalemDeptFormNew',
		title: 'dept',
		icon: 'CalemAdmin',
		controller: 'CalemDeptFormNew',
		model: 'dept', 
		view: {CalemViewRefInfo: {id: 'CalemDeptViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemDeptFormEdit']={
	CalemFormInfo: {
		id: 'CalemDeptFormEdit',
		title: 'dept',
		icon: 'CalemAdmin',
		controller: 'CalemDeptFormEdit',
		model: 'dept', 
   	view: {CalemViewRefInfo: {id: 'CalemDeptViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemDeptFormRead']={
	CalemFormInfo: {
		id: 'CalemDeptFormRead',
		title: 'dept',
		icon: 'CalemAdmin',
		controller: 'CalemDeptFormRead',
		model: 'dept', 
		view: {CalemViewRefInfo: {id: 'CalemDeptViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemDeptFormSearch']={
	CalemFormInfo: {
		id: 'CalemDeptFormSearch',
		title: 'dept',
		icon: 'CalemAdmin',
		controller: 'CalemFormSearchEdit',
		model: 'dept', 
		view: {CalemViewRefInfo: {id: 'CalemDeptViewSearch'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * Team forms
 */
CalemItemDef['CalemTeamFormList']={
	CalemFormInfo: {
		id: 'CalemTeamFormList',
		title: 'team',
		icon: 'CalemAdmin',
		controller: 'CalemTeamFormList',
		model: 'team', 
		view: {CalemViewRefInfo: {id: 'CalemTeamViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemTeamFormSearch'
	}
}

CalemItemDef['CalemTeamFormLookup']={
	CalemFormInfo: {
		id: 'CalemTeamFormLookup',
		title: 'team',
		icon: 'CalemAdmin',
		controller: 'CalemTeamFormLookup',
		model: 'team', 
		view: {CalemViewRefInfo: {id: 'CalemTeamViewLookup'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemTeamFormSearch'
	}
}

CalemItemDef['CalemTeamFormNew']={
	CalemFormInfo: {
		id: 'CalemTeamFormNew',
		title: 'team',
		icon: 'CalemAdmin',
		controller: 'CalemTeamFormNew',
		model: 'team', 
		view: {CalemViewRefInfo: {id: 'CalemTeamViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemTeamFormEdit']={
	CalemFormInfo: {
		id: 'CalemTeamFormEdit',
		title: 'team',
		icon: 'CalemAdmin',
		controller: 'CalemTeamFormEdit',
		model: 'team', 
   	view: {CalemViewRefInfo: {id: 'CalemTeamViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemTeamFormRead']={
	CalemFormInfo: {
		id: 'CalemTeamFormRead',
		title: 'team',
		icon: 'CalemAdmin',
		controller: 'CalemTeamFormRead',
		model: 'team', 
		view: {CalemViewRefInfo: {id: 'CalemTeamViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemTeamFormSearch']={
	CalemFormInfo: {
		id: 'CalemTeamFormSearch',
		title: 'team',
		icon: 'CalemAdmin',
		controller: 'CalemFormSearchEdit',
		model: 'team', 
		view: {CalemViewRefInfo: {id: 'CalemTeamViewSearch'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * Scheduler tasks
 */
CalemItemDef['CalemSchedulerTaskFormList']={
	CalemFormInfo: {
		id: 'CalemSchedulerTaskFormList',
		title: 'scheduler_task',
		icon: 'CalemSchedulerTask',
		controller: 'CalemSchedulerTaskFormList',
		model: 'scheduler_task', 
		view: {CalemViewRefInfo: {id: 'CalemSchedulerTaskViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemSchedulerTaskFormSearch'
	}
}

CalemItemDef['CalemSchedulerTaskFormLookup']={
	CalemFormInfo: {
		id: 'CalemSchedulerTaskFormLookup',
		title: 'scheduler_task',
		icon: 'CalemSchedulerTask',
		controller: 'CalemSchedulerTaskFormLookup',
		model: 'scheduler_task', 
		view: {CalemViewRefInfo: {id: 'CalemSchedulerTaskViewLookup'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemSchedulerTaskFormSearch'
	}
}

CalemItemDef['CalemSchedulerTaskFormNew']={
	CalemFormInfo: {
		id: 'CalemSchedulerTaskFormNew',
		title: 'scheduler_task',
		icon: 'CalemSchedulerTask',
		controller: 'CalemSchedulerTaskFormNew',
		model: 'scheduler_task', 
		view: {CalemViewRefInfo: {id: 'CalemSchedulerTaskViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemSchedulerTaskFormEdit']={
	CalemFormInfo: {
		id: 'CalemSchedulerTaskFormEdit',
		title: 'scheduler_task',
		icon: 'CalemSchedulerTask',
		controller: 'CalemSchedulerTaskFormEdit',
		model: 'scheduler_task', 
   	view: {CalemViewRefInfo: {id: 'CalemSchedulerTaskViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemSchedulerTaskFormRead']={
	CalemFormInfo: {
		id: 'CalemSchedulerTaskFormRead',
		title: 'scheduler_task',
		icon: 'CalemSchedulerTask',
		controller: 'CalemSchedulerTaskFormRead',
		model: 'scheduler_task', 
		view: {CalemViewRefInfo: {id: 'CalemSchedulerTaskViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemSchedulerTaskFormSearch']={
	CalemFormInfo: {
		id: 'CalemSchedulerTaskFormSearch',
		title: 'scheduler_task',
		icon: 'CalemSchedulerTask',
		controller: 'CalemFormSearchEdit',
		model: 'scheduler_task', 
		view: {CalemViewRefInfo: {id: 'CalemSchedulerTaskViewSearch'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * CalemSchedulerFormMdTab
 */
CalemItemDef['CalemSchedulerJobFormMdTab']={
	CalemFormMdTabInfo: {
		id: 'CalemSchedulerJobFormMdTab',
		title: 'scheduler_job',
		icon: 'CalemSchedulerTask',
		replaceType: CalemItemDef.REPLACE_BY_ID,
		//Three portions of info: layout, model and itemMap.
		layout: {
			CalemMdTabLayoutInfo: {
				tabList: ['tab_main', 'tab_run', 'CUSTOMIZE_TAB'],
				tabMap: {
					'tab_main': {CalemTabLayoutInfo: ['CalemSchedulerJobFormRead']},
					'tab_run' : {CalemTabLayoutInfo: ['CalemSchedulerJobLogFormList']}
				}
			} },
		model: {
				CalemFormModelInfo: {
					master: 'CalemSchedulerJobFormRead',
			      items: 
			             [{CalemFormLinkInfo: {id: 'CalemSchedulerJobLogFormList', link: {CalemFieldMdInfo: {fld: 'job_id', parentFld: 'id'}}} }
			             ]
				}
		}, 
		itemMap : { //Default layout conf.
		  CalemItemMap :{
			 'CalemSchedulerJobFormRead' : {
			 	CalemFormLayoutInfo: {
			 		id: 'CalemSchedulerJobFormRead',
			 		fixed: true, //Move not allowed.
			 		layout: {CalemBlockLayoutInfo: {width: '100%', height: '-2'}}
			 	}
			 },
			 
			 'CalemSchedulerJobLogFormList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemSchedulerJobLogFormList',
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 20}}
			 	 }
			 },
			 
		  'tab_main': {
		  		CalemTabInfo: {id: 'tab_scheduler_job_main', fixed: 1}
		  },
		  
		  'tab_run': {
		  		CalemTabInfo: {id: 'tab_scheduler_job_log'}
		  },
		  
		  'CUSTOMIZE_TAB' : {
		  		CalemTabInfo: {id: 'CUSTOMIZE_TAB'}
		  }
		  
		  }
		  
		} //itemMap
	} //MdTabInfo
}

/**
 * Scheduler job
 */
CalemItemDef['CalemSchedulerJobFormList']={
	CalemFormInfo: {
		id: 'CalemSchedulerJobFormList',
		title: 'scheduler_job_list',
		icon: 'CalemSchedulerTask',
		controller: 'CalemSchedulerJobFormList',
		model: 'scheduler_job', 
		view: {CalemViewRefInfo: {id: 'CalemSchedulerJobViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemSchedulerJobFormSearch'
	}
}

CalemItemDef['CalemSchedulerJobFormNew']={
	CalemFormInfo: {
		id: 'CalemSchedulerJobFormNew',
		title: 'scheduler_job',
		icon: 'CalemSchedulerTask',
		controller: 'CalemSchedulerJobFormNew',
		model: 'scheduler_job', 
		view: {CalemViewRefInfo: {id: 'CalemSchedulerJobViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemSchedulerJobFormEdit']={
	CalemFormInfo: {
		id: 'CalemSchedulerJobFormEdit',
		title: 'scheduler_job',
		icon: 'CalemSchedulerTask',
		controller: 'CalemSchedulerJobFormEdit',
		model: 'scheduler_job', 
   	view: {CalemViewRefInfo: {id: 'CalemSchedulerJobViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemSchedulerJobFormRead']={
	CalemFormInfo: {
		id: 'CalemSchedulerJobFormRead',
		title: 'scheduler_job',
		icon: 'CalemSchedulerTask',
		controller: 'CalemSchedulerJobFormRead',
		model: 'scheduler_job', 
		view: {CalemViewRefInfo: {id: 'CalemSchedulerJobViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemSchedulerJobFormSearch']={
	CalemFormInfo: {
		id: 'CalemSchedulerJobFormSearch',
		title: 'scheduler_job',
		icon: 'CalemSchedulerTask',
		controller: 'CalemFormSearchEdit',
		model: 'scheduler_job', 
		view: {CalemViewRefInfo: {id: 'CalemSchedulerJobViewSearch'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * Scheduler job Run
 */
CalemItemDef['CalemSchedulerJobLogFormList']={
	CalemFormInfo: {
		id: 'CalemSchedulerJobLogFormList',
		title: 'scheduler_job_log',
		icon: 'CalemSchedulerTask',
		controller: 'CalemSchedulerJobLogFormList',
		model: 'scheduler_job_log', 
		view: {CalemViewRefInfo: {id: 'CalemSchedulerJobLogViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemSchedulerJobLogFormSearch'
	}
}

CalemItemDef['CalemSchedulerJobLogFormRead']={
	CalemFormInfo: {
		id: 'CalemSchedulerJobLogFormRead',
		title: 'scheduler_job_log',
		icon: 'CalemSchedulerTask',
		controller: 'CalemSchedulerJobLogFormRead',
		model: 'scheduler_job_log', 
		view: {CalemViewRefInfo: {id: 'CalemSchedulerJobLogViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * Upgrade log forms
 */
CalemItemDef['CalemVersionUpgradeLogFormList']={
	CalemFormInfo: {
		id: 'CalemVersionUpgradeLogFormList',
		title: 'version_upgrade_log',
		icon: 'CalemUpgrade',
		controller: 'CalemVersionUpgradeLogFormList',
		model: 'version_upgrade_log', 
		view: {CalemViewRefInfo: {id: 'CalemVersionUpgradeLogViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemVersionUpgradeLogFormSearch'
	}
}

CalemItemDef['CalemVersionUpgradeLogFormEdit']={
	CalemFormInfo: {
		id: 'CalemVersionUpgradeLogFormEdit',
		title: 'version_upgrade_log',
		icon: 'CalemUpgrade',
		controller: 'CalemVersionUpgradeLogFormEdit',
		model: 'version_upgrade_log', 
   	view: {CalemViewRefInfo: {id: 'CalemVersionUpgradeLogViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemVersionUpgradeLogFormRead']={
	CalemFormInfo: {
		id: 'CalemVersionUpgradeLogFormRead',
		title: 'version_upgrade_log',
		icon: 'CalemUpgrade',
		controller: 'CalemVersionUpgradeLogFormRead',
		model: 'version_upgrade_log', 
		view: {CalemViewRefInfo: {id: 'CalemVersionUpgradeLogViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Admin module
 */
CalemModuleDef["modCalemAdmin"]= {
	CalemModuleInfo: {
      id:"modCalemAdmin",
      icon:"CalemAdmin",
      defaultMenu: 'CalemUserFormList',
      toolBar: {
        CalemToolBarInfo: {
        	  type: 'CalemToolBar',
        	  layout: ['modCalemAdmin', 'sep', 'CalemUserFormReadMine', 'CalemUserFormList', 'CalemAclGroupFormList', 'CalemModAdminDataDesign', 'CalemAdminCodes', 'CalemAdminScheduler', 'CalemAdminUpgrade'],
        	  list: [
	         {CalemLabelInfo: {id: 'modCalemAdmin', className: 'CalemModuleLabel'}},
	         
	         {CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
	         
	         {CalemMenuItemInfo: {id: 'CalemUserFormReadMine'}},
	         
	         {CalemMenuItemInfo: {id: 'CalemAclGroupFormList'}},
	         
	         {CalemMenuItemInfo: {id: 'CalemUserFormList'}},
	         
	      	{CalemMenuInfo: {
	      		menuButton: {CalemMenuButtonInfo: {id: 'CalemModAdminDataDesign'}},
		      	menuList: [{CalemMenuItemInfo: {id: 'CalemTableFormList'}},
		      	       {CalemMenuItemInfo: {id: 'CalemDropdownFormList'}}
		      	      ]
	      		}
	      	},
	      	
	      	{CalemMenuInfo: {
	      		menuButton: {CalemMenuButtonInfo: {id: 'CalemAdminCodes'}},
		      	menuList: [{CalemMenuItemInfo: {id: 'CalemTeamFormList'}},
			      	       {CalemMenuItemInfo: {id: 'CalemDeptFormList'}}
			      	      ]
	      		}
	      	},
	      	
	      	{CalemMenuInfo: {
	      		menuButton: {CalemMenuButtonInfo: {id: 'CalemAdminScheduler'}},
		      	menuList: [{CalemMenuItemInfo: {id: 'CalemSchedulerTaskFormList'}},
			      	       {CalemMenuItemInfo: {id: 'CalemSchedulerJobFormList'}}
			      	      ]
	      		}
	      	},
	      	
	      	{CalemMenuInfo: {
	      		menuButton: {CalemMenuButtonInfo: {id: 'CalemAdminUpgrade'}},
		      	menuList: [{CalemMenuItemInfo: {id: 'CalemVersionUpgradeLogFormList'}}
			      	       ]
	      		}
	      	}
	      	
	      ] }
	}
	}
};

//Build Calem.js from client
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
/**
 * CalemAssetBo - business logic
 */
function CalemAssetBo() {
}

CalemAssetBo._asset_detail = ['asset_downtime', 'asset_comment', 'asset_meter', 'asset_part', 'asset_depreciation', 'asset_contract', 'asset_service_log'];

CalemAssetBo.getInstance =
function() {
	if (!CalemAssetBo.singleton) {
		CalemAssetBo.singleton = new CalemAssetBo();
	}
	return CalemAssetBo.singleton;
}

//Asset deletion check
CalemAssetBo.prototype.canDelete =
function(recAsset, callback) {
	var reg=CalemContext.getInstance().getRegistry();
	var dbQry=new CalemDbQuery();
	//Add details
	for (var i=0; i< CalemAssetBo._asset_detail.length; i++ ) {
		var dd=reg.getTableDd(CalemAssetBo._asset_detail[i]);
		var qry=dd.buildGetAllQueryByLookup('asset_id', recAsset.id);
		dbQry.add(qry);
	}
	//If this asset is a location or parent asset.
	var dd=reg.getTableDd('asset');
	//Now add query by the fld.
	var orExpr=new CalemExprOr();
	var val=new CalemDbString(recAsset.id);
	var fld1=new CalemDbField('asset', 'parent_id');
	var expr1=new CalemDbExpr(fld1, CalemDbExpr.EQ, val);
	orExpr.add(expr1);
	var fld2=new CalemDbField('asset', 'location_id');
	var expr2=new CalemDbExpr(fld2, CalemDbExpr.EQ, val);
	orExpr.add(expr2);
	dbQry.add(dd.buildGetAllQueryByExpr(orExpr));
	//Now do a bulk query for count
	var boUtil=CalemBoUtil.getInstance();
	var soapCb=new AjxCallback(boUtil, boUtil.onDeleteByLookupResponse, callback);
	reg.getCache().bulkLoadCountBypassCache(dbQry, soapCb);
}

/**
 * Asset service track
 */
CalemAssetBo.prototype.getServiceChange =
function(update) {
	var svc=CalemConf['asset_conf']['serviceFlds'];
	for (var i=0; i< svc.length; i++) {
		if (update[svc[i]]) return true;		
	}
	return false;
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemAssetMeterBo - business logic
 */
function CalemAssetMeterBo() {
}

CalemAssetMeterBo._details = ['wo_meter', 'meter_transaction'];

CalemAssetMeterBo.getInstance =
function() {
	if (!CalemAssetMeterBo.singleton) {
		CalemAssetMeterBo.singleton = new CalemAssetMeterBo();
	}
	return CalemAssetMeterBo.singleton;
}

//Asset deletion check
CalemAssetMeterBo.prototype.canDelete =
function(rec, callback) {
	var boUtil=CalemBoUtil.getInstance();
	boUtil.canDeleteByLookup(CalemAssetMeterBo._details, 'meter_id', rec.id, callback);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemAssetTypeBo - business logic
 */
function CalemAssetTypeBo() {
}

CalemAssetTypeBo._details = ['asset'];

CalemAssetTypeBo.getInstance =
function() {
	if (!CalemAssetTypeBo.singleton) {
		CalemAssetTypeBo.singleton = new CalemAssetTypeBo();
	}
	return CalemAssetTypeBo.singleton;
}

//Asset deletion check
CalemAssetTypeBo.prototype.canDelete =
function(rec, callback) {
	var boUtil=CalemBoUtil.getInstance();
	boUtil.canDeleteByLookup(CalemAssetTypeBo._details, 'type_id', rec.id, callback);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemMeterTypeBo - business logic
 */
function CalemMeterTypeBo() {
}

CalemMeterTypeBo._details = ['asset_meter'];

CalemMeterTypeBo.getInstance =
function() {
	if (!CalemMeterTypeBo.singleton) {
		CalemMeterTypeBo.singleton = new CalemMeterTypeBo();
	}
	return CalemMeterTypeBo.singleton;
}

//Asset deletion check
CalemMeterTypeBo.prototype.canDelete =
function(rec, callback) {
	var boUtil=CalemBoUtil.getInstance();
	boUtil.canDeleteByLookup(CalemMeterTypeBo._details, 'type_id', rec.id, callback);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
/**
 * Admin module menu
 */

//Modules Form

// forms
CalemMenuDef['CalemAssetFormList'] = {
	id: 'CalemAssetFormList',
	title: 'asset',
	icon: 'CalemAsset',
	disIcon: null,
	tooltip: null, 
	enabled: true,		   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};

//Codes
CalemMenuDef['CalemAssetCodes'] = {
	id: 'CalemAssetCodes',
	title: 'asset_codes',
	icon: 'CalemCodes',
	disIcon: null,
	tooltip: null,
	enabled: true,				   
	onSelect: null	
}; 

CalemMenuDef['CalemAssetTypeFormList'] = {
	id: 'CalemAssetTypeFormList',
	title: 'asset_type',
	icon: 'CalemAsset',
	disIcon: null,
	tooltip: null, 
	enabled: true,		   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};

CalemMenuDef['CalemMeterTypeFormList'] = {
	id: 'CalemMeterTypeFormList',
	title: 'meter_type',
	icon: 'CalemAsset',
	disIcon: null,
	tooltip: null, 
	enabled: true,		   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};

CalemMenuDef['CalemManufacturerFormList'] = {
	id: 'CalemManufacturerFormList',
	title: 'manufacturer',
	icon: 'CalemAsset',
	disIcon: null,
	tooltip: null, 
	enabled: true,		   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};

//Meter readings
CalemMenuDef['CalemTbMeterReadingHistory'] = {
	id: 'CalemTbMeterReadingHistory',
	title: 'view_meter_reading_history',
	icon: 'CalemOpen',
	disIcon: null,
	enabled: false,
	tooltip: null, 
	style: (DwtLabel.IMAGE_LEFT | DwtLabel.ALIGN_LEFT), 				   
	radioGroupId: null,
	idx: null,
	className: 'TBButton',
	posStyle: null,
	onSelect: {CalemMenuSelect: {listener: 'OpenMeterReadingHistory'}}	
};

CalemMenuDef['CalemTbAddMeterReading'] = {
	id: 'CalemTbAddMeterReading',
	title: 'add_meter_reading',
	icon: 'CalemNew',
	disIcon: null,
	enabled: false,
	tooltip: null, 
	style: (DwtLabel.IMAGE_LEFT | DwtLabel.ALIGN_LEFT), 				   
	radioGroupId: null,
	idx: null,
	className: 'TBButton',
	posStyle: null,
	onSelect: {CalemMenuSelect: {listener: 'OpenAddMeterReading'}}	
};

//Service log
CalemMenuDef['CalemTbAssetServiceLog'] = {
	id: 'CalemTbAssetServiceLog',
	title: 'asset_view_service_log',
	icon: 'CalemOpen',
	disIcon: null,
	enabled: true,
	tooltip: null, 
	className: 'TBButton',
	onSelect: {CalemMenuSelect: {listener: 'AssetServiceLog'}}	
};

//Activity log
CalemMenuDef['CalemTbAssetActivityLog'] = {
	id: 'CalemTbAssetActivityLog',
	title: 'asset_view_activity_log',
	icon: 'CalemOpen',
	disIcon: null,
	enabled: true,
	tooltip: null, 
	className: 'TBButton',
	onSelect: {CalemMenuSelect: {listener: 'AssetActivityLog'}}	
};

//Child
CalemMenuDef['CalemTbAssetChild'] = {
	id: 'CalemTbAssetChild',
	title: 'asset_view_asset_child',
	icon: 'CalemOpen',
	disIcon: null,
	enabled: true,
	tooltip: null, 
	className: 'TBButton',
	onSelect: {CalemMenuSelect: {listener: 'AssetChild'}}	
};

//Child
CalemMenuDef['CalemTbAssetLocChild'] = {
	id: 'CalemTbAssetLocChild',
	title: 'asset_view_asset_location_child',
	icon: 'CalemOpen',
	disIcon: null,
	enabled: true,
	tooltip: null, 
	className: 'TBButton',
	onSelect: {CalemMenuSelect: {listener: 'AssetLocChild'}}	
};

//Asset report list
CalemMenuDef['CalemAssetListFormList'] = {
	id: 'CalemAssetListFormList',
	title: 'asset_report_list',
	icon: 'CalemAsset',
	disIcon: null,
	enabled: true,
	tooltip: null, 
	className: 'TBButton',
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}	
};
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemAssetViewList']={
	CalemViewInfo: {
		id: 'CalemAssetViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'asset', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep', 'CalemTbDataRefresh', 'sep2', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
                    {CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'asset_no', width: 130}},
			  			   {CalemCol: {id: 'type_id', width: 130}},
			  			   {CalemCol: {id: 'status_id', width: 130}},
			  			   {CalemCol: {id: 'note', width: 200}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Lookup views
 */
CalemViewDef['CalemAssetViewLookup']={
	CalemViewInfo: {
		id: 'CalemAssetViewLookup',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'asset', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbSelect', 'CalemTbCancel', 'CalemTbDataRefresh', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					{ CalemButtonInfo: {
						id: 'CalemTbPrint', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbSelect', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'asset_no', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemAssetViewNew']={
	CalemViewInfo: {
		id: 'CalemAssetViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},						             
					{CalemTrInfo: {cols: ['lb_warranty']}},
					{CalemTrInfo: {cols: ['lb_depreciation']}},
					//Codes
					{CalemTrInfo: {cols: ['lb_codes']}},
					//Cost
					{CalemTrInfo: {cols: ['lb_cost']}}                                                                                                               				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'asset', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_warranty': {
				CalemLabelInfo: {id: 'sec_asset_warranty', className: 'CalemEditSection'}
			},
			'lb_depreciation': {
				CalemLabelInfo: {id: 'sec_asset_depreciation', className: 'CalemEditSection'}
			},
			'lb_codes': {
				CalemLabelInfo: {id: 'sec_asset_codes', className: 'CalemEditSection'}
			},
			'lb_cost': {
				CalemLabelInfo: {id: 'sec_asset_cost', className: 'CalemEditSection'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
CalemViewDef['CalemAssetViewRead']={
	CalemViewInfo: {
		id: 'CalemAssetViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},						             

					{CalemTrInfo: {cols: ['lb_warranty']}},
					{CalemTrInfo: {cols: ['lb_depreciation']}},
					//Codes
					{CalemTrInfo: {cols: ['lb_codes']}},
					//Cost
					{CalemTrInfo: {cols: ['lb_cost']}},
					//Last changes
					{CalemTrInfo: {cols: ['lb_last_changes']}}                                                                                                               				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
					{CalemButtonInfo: {id: 'CalemTbAssetServiceLog'}},
					{CalemButtonInfo: {id: 'CalemTbAssetActivityLog'}},
					{CalemButtonInfo: {id: 'CalemTbAssetChild'}},
					{CalemButtonInfo: {id: 'CalemTbAssetLocChild'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'asset', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_warranty': {
				CalemLabelInfo: {id: 'sec_asset_warranty', className: 'CalemEditSection'}
			},
			'lb_depreciation': {
				CalemLabelInfo: {id: 'sec_asset_depreciation', className: 'CalemEditSection'}
			},
			'lb_codes': {
				CalemLabelInfo: {id: 'sec_asset_codes', className: 'CalemEditSection'}
			},
			'lb_cost': {
				CalemLabelInfo: {id: 'sec_asset_cost', className: 'CalemEditSection'}
			},
			'lb_last_changes': {
				CalemLabelInfo: {id: 'last_changes', className: 'CalemEditSection'}
			},
			'upload_id' : {CalemReadFileAttachmentInfo: {field: 'upload_id'}}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemAssetViewEdit']={
	CalemViewInfo: {
		id: 'CalemAssetViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},						             

					{CalemTrInfo: {cols: ['lb_warranty']}},
					{CalemTrInfo: {cols: ['lb_depreciation']}},
					//Codes
					{CalemTrInfo: {cols: ['lb_codes']}},
					//Cost
					{CalemTrInfo: {cols: ['lb_cost']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'asset', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_warranty': {
				CalemLabelInfo: {id: 'sec_asset_warranty', className: 'CalemEditSection'}
			},
			'lb_depreciation': {
				CalemLabelInfo: {id: 'sec_asset_depreciation', className: 'CalemEditSection'}
			},
			'lb_codes': {
				CalemLabelInfo: {id: 'sec_asset_codes', className: 'CalemEditSection'}
			},
			'lb_cost': {
				CalemLabelInfo: {id: 'sec_asset_cost', className: 'CalemEditSection'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemAssetViewSearch']={
	CalemViewInfo: {
		id: 'CalemAssetViewSearch',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},		
               {CalemTrInfo: {cols: ['lb_save_search', '_save_search']}},				             

					{CalemTrInfo: {cols: ['lb_warranty']}},
					{CalemTrInfo: {cols: ['lb_depreciation']}},
					//Codes
					{CalemTrInfo: {cols: ['lb_codes']}},
					//Cost
					{CalemTrInfo: {cols: ['lb_cost']}},
					//Last changes
					{CalemTrInfo: {cols: ['lb_last_changes']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbApplySave', 'sep2', 'CalemTbApply', 'CalemTbSave',  'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	
					   { CalemButtonInfo: {
							 id: 'CalemTbApplySave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
						
						{ CalemButtonInfo: {
							id: 'CalemTbApply', 
							customInfo: {
							  	   CalemMenuCustomInfo: {
							         enabled: false,
							         events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
							  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
					
					
					   
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},   			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'asset', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_warranty': {
				CalemLabelInfo: {id: 'sec_asset_warranty', className: 'CalemEditSection'}
			},
			'lb_depreciation': {
				CalemLabelInfo: {id: 'sec_asset_depreciation', className: 'CalemEditSection'}
			},
			'lb_codes': {
				CalemLabelInfo: {id: 'sec_asset_codes', className: 'CalemEditSection'}
			},
			'lb_cost': {
				CalemLabelInfo: {id: 'sec_asset_cost', className: 'CalemEditSection'}
			},
			'lb_last_changes': {
				CalemLabelInfo: {id: 'last_changes', className: 'CalemEditSection'}
			},
			
			'lb_save_search': {
				CalemLabelInfo: {id: 'save_search', className: 'CalemEditSection'}
			},
			'_save_search': {
				CalemSearchSaveInfo: {size: 30}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemAssetDowntimeViewList']={
	CalemViewInfo: {
		id: 'CalemAssetDowntimeViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'asset_downtime', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'start_time', width: 130}},
			  			   {CalemCol: {id: 'end_time', width: 130}},
			  			   {CalemCol: {id: 'hours', width: 130}},
			  			   {CalemCol: {id: 'note', width: 200}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemAssetDowntimeViewNew']={
	CalemViewInfo: {
		id: 'CalemAssetDowntimeViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'asset_downtime', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemAssetDowntimeViewEdit']={
	CalemViewInfo: {
		id: 'CalemAssetDowntimeViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'asset_downtime', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemAssetDowntimeViewRead']={
	CalemViewInfo: {
		id: 'CalemAssetDowntimeViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},						             
					//Last changes
					{CalemTrInfo: {cols: ['lb_last_changes']}}                                                                                                               				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'asset_downtime', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_last_changes': {
				CalemLabelInfo: {id: 'last_changes', className: 'CalemEditSection'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemAssetCommentViewList']={
	CalemViewInfo: {
		id: 'CalemAssetCommentViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'asset_comment', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'comment', width: 300}},
			  			   {CalemCol: {id: 'modified_time', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemAssetCommentViewNew']={
	CalemViewInfo: {
		id: 'CalemAssetCommentViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'asset_comment', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemAssetCommentViewEdit']={
	CalemViewInfo: {
		id: 'CalemAssetCommentViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'asset_comment', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemAssetCommentViewRead']={
	CalemViewInfo: {
		id: 'CalemAssetCommentViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'asset_comment', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemAssetMeterViewList']={
	CalemViewInfo: {
		id: 'CalemAssetMeterViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'asset_meter', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep', 'CalemTbMeterReadingHistory', 'CalemTbAddMeterReading', 'sep2', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						id: 'CalemTbMeterReadingHistory', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: {
						id: 'CalemTbAddMeterReading', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'meter_no', width: 130}},
			  			   {CalemCol: {id: 'reading', width: 130}},
			  			   {CalemCol: {id: 'time_taken', width: 130}},
			  			   {CalemCol: {id: 'note', width: 200}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Lookup views
 */
CalemViewDef['CalemAssetMeterViewLookup']={
	CalemViewInfo: {
		id: 'CalemAssetMeterViewLookup',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'asset_meter', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbSelect', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					{ CalemButtonInfo: {
						id: 'CalemTbPrint', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbSelect', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'meter_no', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemAssetMeterViewNew']={
	CalemViewInfo: {
		id: 'CalemAssetMeterViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'asset_meter', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemAssetMeterViewEdit']={
	CalemViewInfo: {
		id: 'CalemAssetMeterViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'asset_meter', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemAssetMeterViewRead']={
	CalemViewInfo: {
		id: 'CalemAssetMeterViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},						             
					//Last changes
					{CalemTrInfo: {cols: ['lb_last_changes']}}                                                                                                               				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'asset_meter', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_last_changes': {
				CalemLabelInfo: {id: 'last_changes', className: 'CalemEditSection'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemAssetMeterReadingViewList']={
	CalemViewInfo: {
		id: 'CalemAssetMeterReadingViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'meter_transaction', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep', 'CalemTbMeterReadingHistory', 'CalemTbAddMeterReading', 'sep2', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
                    {CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'reading', width: 130}},
			  			   {CalemCol: {id: 'is_rollover', width: 120}},
			  			   {CalemCol: {id: 'time_taken', width: 130}},
			  			   {CalemCol: {id: 'note', width: 200}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemAssetMeterReadingViewNew']={
	CalemViewInfo: {
		id: 'CalemAssetMeterReadingViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'meter_transaction', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemAssetMeterReadingViewRead']={
	CalemViewInfo: {
		id: 'CalemAssetMeterReadingViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                               				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
									  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'meter_transaction', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Lookup views
 */
CalemViewDef['CalemAssetMeterSelectViewList']={
	CalemViewInfo: {
		id: 'CalemAssetMeterSelectViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'asset_meter_select', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbSelect', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					{ CalemButtonInfo: {
						id: 'CalemTbPrint', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbSelect', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'meter_no', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemAssetPartViewList']={
	CalemViewInfo: {
		id: 'CalemAssetPartViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'asset_part', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'in_id', width: 130}},
			  			   {CalemCol: {id: 'type_id', width: 130}},
			  			   {CalemCol: {id: 'note', width: 200}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemAssetPartViewNew']={
	CalemViewInfo: {
		id: 'CalemAssetPartViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'asset_part', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemAssetPartViewEdit']={
	CalemViewInfo: {
		id: 'CalemAssetPartViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                        				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'asset_part', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * WO views
 */
CalemViewDef['CalemAssetPartViewRead']={
	CalemViewInfo: {
		id: 'CalemAssetPartViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                               				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'asset_part', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * List views
 */
CalemViewDef['CalemAssetContractViewList']={
	CalemViewInfo: {
		id: 'CalemAssetContractViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'asset_contract', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{ CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'contract_id', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

CalemViewDef['CalemAssetContractViewNew']={
	CalemViewInfo: {
		id: 'CalemAssetContractViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'asset_contract', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

CalemViewDef['CalemAssetContractViewEdit']={
	CalemViewInfo: {
		id: 'CalemAssetContractViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'asset_contract', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

CalemViewDef['CalemAssetContractViewRead']={
	CalemViewInfo: {
		id: 'CalemAssetContractViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'asset_contract', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemAssetDepreciationViewList']={
	CalemViewInfo: {
		id: 'CalemAssetDepreciationViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'asset_depreciation', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'start_date', width: 130}},
			  			   {CalemCol: {id: 'end_date', width: 130}},
			  			   {CalemCol: {id: 'end_value', width: 130}},
			  			   {CalemCol: {id: 'note', width: 200}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemAssetDepreciationViewNew']={
	CalemViewInfo: {
		id: 'CalemAssetDepreciationViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'asset_depreciation', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemAssetDepreciationViewEdit']={
	CalemViewInfo: {
		id: 'CalemAssetDepreciationViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'asset_depreciation', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemAssetDepreciationViewRead']={
	CalemViewInfo: {
		id: 'CalemAssetDepreciationViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'asset_depreciation', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemManufacturerViewList']={
	CalemViewInfo: {
		id: 'CalemManufacturerViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'manufacturer', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep2', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'manufacturer', width: 150}},
			  			   {CalemCol: {id: 'note', width: 200}},
			  			   {CalemCol: {id: 'contact_id', width: 150}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Lookup views
 */
CalemViewDef['CalemManufacturerViewLookup']={
	CalemViewInfo: {
		id: 'CalemManufacturerViewLookup',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'manufacturer', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbSelect', 'CalemTbCancel', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					{ CalemButtonInfo: {
						id: 'CalemTbPrint', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbSelect', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'manufacturer', width: 150}},
			  			   {CalemCol: {id: 'note', width: 200}},
			  			   {CalemCol: {id: 'contact_id', width: 150}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemManufacturerViewNew']={
	CalemViewInfo: {
		id: 'CalemManufacturerViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'manufacturer', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * WO views
 */
CalemViewDef['CalemManufacturerViewRead']={
	CalemViewInfo: {
		id: 'CalemManufacturerViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                               				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'manufacturer', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemManufacturerViewEdit']={
	CalemViewInfo: {
		id: 'CalemManufacturerViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                         				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
								
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'manufacturer', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Wo views
 */
CalemViewDef['CalemManufacturerViewSearch']={
	CalemViewInfo: {
		id: 'CalemManufacturerViewSearch',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},		
               {CalemTrInfo: {cols: ['lb_save_search', '_save_search']}}                                                                                                   				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbApplySave', 'sep2', 'CalemTbApply', 'CalemTbSave',  'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	
					   { CalemButtonInfo: {
							 id: 'CalemTbApplySave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
						
						{ CalemButtonInfo: {
							id: 'CalemTbApply', 
							customInfo: {
							  	   CalemMenuCustomInfo: {
							         enabled: false,
							         events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
							  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
					
					
					   
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},   			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'manufacturer', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_save_search': {
				CalemLabelInfo: {id: 'save_search', className: 'CalemEditSection'}
			},
			'_save_search': {
				CalemSearchSaveInfo: {size: 30}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemAssetTypeViewList']={
	CalemViewInfo: {
		id: 'CalemAssetTypeViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'asset_type', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep2', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'type', width: 150}},
			  			   {CalemCol: {id: 'note', width: 200}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Lookup views
 */
CalemViewDef['CalemAssetTypeViewLookup']={
	CalemViewInfo: {
		id: 'CalemAssetTypeViewLookup',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'asset_type', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbSelect', 'CalemTbCancel', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbSelect', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'type', width: 150}},
			  			   {CalemCol: {id: 'note', width: 200}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemAssetTypeViewNew']={
	CalemViewInfo: {
		id: 'CalemAssetTypeViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'asset_type', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * WO views
 */
CalemViewDef['CalemAssetTypeViewRead']={
	CalemViewInfo: {
		id: 'CalemAssetTypeViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                               				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'asset_type', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemAssetTypeViewEdit']={
	CalemViewInfo: {
		id: 'CalemAssetTypeViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                         				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
								
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'asset_type', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Wo views
 */
CalemViewDef['CalemAssetTypeViewSearch']={
	CalemViewInfo: {
		id: 'CalemAssetTypeViewSearch',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},		
               {CalemTrInfo: {cols: ['lb_save_search', '_save_search']}}                                                                                                   				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbApplySave', 'sep2', 'CalemTbApply', 'CalemTbSave',  'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	
					   { CalemButtonInfo: {
							 id: 'CalemTbApplySave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
						
						{ CalemButtonInfo: {
							id: 'CalemTbApply', 
							customInfo: {
							  	   CalemMenuCustomInfo: {
							         enabled: false,
							         events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
							  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
					
					
					   
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},   			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'asset_type', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_save_search': {
				CalemLabelInfo: {id: 'save_search', className: 'CalemEditSection'}
			},
			'_save_search': {
				CalemSearchSaveInfo: {size: 30}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemMeterTypeViewList']={
	CalemViewInfo: {
		id: 'CalemMeterTypeViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'meter_type', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep2', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'type', width: 150}},
			  			   {CalemCol: {id: 'note', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Lookup views
 */
CalemViewDef['CalemMeterTypeViewLookup']={
	CalemViewInfo: {
		id: 'CalemMeterTypeViewLookup',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'meter_type', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbSelect', 'CalemTbCancel', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					{ CalemButtonInfo: {
						id: 'CalemTbPrint', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbSelect', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'type', width: 150}},
			  			   {CalemCol: {id: 'note', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemMeterTypeViewNew']={
	CalemViewInfo: {
		id: 'CalemMeterTypeViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'meter_type', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * WO views
 */
CalemViewDef['CalemMeterTypeViewRead']={
	CalemViewInfo: {
		id: 'CalemMeterTypeViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                               				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'meter_type', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemMeterTypeViewEdit']={
	CalemViewInfo: {
		id: 'CalemMeterTypeViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                         				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
								
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'meter_type', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Wo views
 */
CalemViewDef['CalemMeterTypeViewSearch']={
	CalemViewInfo: {
		id: 'CalemMeterTypeViewSearch',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},		
               {CalemTrInfo: {cols: ['lb_save_search', '_save_search']}}                                                                                                   				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbApplySave', 'sep2', 'CalemTbApply', 'CalemTbSave',  'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	
					   { CalemButtonInfo: {
							 id: 'CalemTbApplySave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
						
						{ CalemButtonInfo: {
							id: 'CalemTbApply', 
							customInfo: {
							  	   CalemMenuCustomInfo: {
							         enabled: false,
							         events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
							  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
					
					
					   
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},   			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'meter_type', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_save_search': {
				CalemLabelInfo: {id: 'save_search', className: 'CalemEditSection'}
			},
			'_save_search': {
				CalemSearchSaveInfo: {size: 30}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * List views
 */
CalemViewDef['CalemAssetServiceLogViewList']={
	CalemViewInfo: {
		id: 'CalemAssetServiceLogViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'asset_service_log', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbOpen', 'CalemTbDataRefresh', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
					
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'to_status_id', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

CalemViewDef['CalemAssetServiceLogViewRead']={
	CalemViewInfo: {
		id: 'CalemAssetServiceLogViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'asset_service_log', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

CalemViewDef['CalemAssetServiceLogNoteViewNew']={
	CalemViewInfo: {
		id: 'CalemAssetServiceLogNoteViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'asset_service_log', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * List views
 */
CalemViewDef['CalemAssetActivityLogViewList']={
	CalemViewInfo: {
		id: 'CalemAssetActivityLogViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'asset_view_activity_log', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbOpen', 'CalemTbDataRefresh', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
					
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'wo_no', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

CalemViewDef['CalemAssetActivityLogViewRead']={
	CalemViewInfo: {
		id: 'CalemAssetActivityLogViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'asset_view_activity_log', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * List views
 */
CalemViewDef['CalemAssetChildViewList']={
	CalemViewInfo: {
		id: 'CalemAssetChildViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'asset_child', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbOpen', 'CalemTbDataRefresh', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
					
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbAssetServiceLog', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{ CalemButtonInfo: {
						 id: 'CalemTbAssetActivityLog', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'asset_no', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

CalemViewDef['CalemAssetChildViewRead']={
	CalemViewInfo: {
		id: 'CalemAssetChildViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'asset_child', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * List views
 */
CalemViewDef['CalemAssetLocChildViewList']={
	CalemViewInfo: {
		id: 'CalemAssetLocChildViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'asset_loc_child', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbOpen', 'CalemTbDataRefresh', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
					
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					{ CalemButtonInfo: {
						 id: 'CalemTbAssetServiceLog', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{ CalemButtonInfo: {
						 id: 'CalemTbAssetActivityLog', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'asset_no', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

CalemViewDef['CalemAssetLocChildViewRead']={
	CalemViewInfo: {
		id: 'CalemAssetLocChildViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'asset_loc_child', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

/**
 * List views
 */
CalemViewDef['CalemAssetReportList']={
	CalemViewInfo: {
		id: 'CalemAssetReportList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, 
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'asset_report_list', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbOpen', 'CalemTbPrint', 'CalemTbExportExcel', 'CalemTbDataRefresh', 'CalemTbSearch', 'CalemTbSearchClear', 'sep', 'CalemTbCustomize'],
					list: [
					
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
				   { CalemButtonInfo: {
						id: 'CalemTbPrint', 
						customInfo: {CalemMenuCustomInfo: {enabled: true}} 
				     } 
					},
					
					{ CalemButtonInfo: {id: 'CalemTbExportExcel', 
						customInfo: {CalemMenuCustomInfo: {enabled: true}}  
					  }
					},
					
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'asset_no', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } 	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

CalemItemDef['CalemAssetReportList']={
	CalemFormInfo: {
		id: 'CalemAssetReportList',
		title: 'asset_report_list',
		icon: 'CalemAsset',
		controller: 'CalemReportList',
		model: 'asset', 
		view: {CalemViewRefInfo: {id: 'CalemAssetReportList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

function CalemAssetServiceLogNoteCollected(table, statusRowInsert, reqRowUpdate) {
	this._table=table;
	this._statusRowInsert=statusRowInsert;
	this._reqRowUpdate = reqRowUpdate;
}

CalemAssetServiceLogNoteCollected.prototype.toString = function() {return "CalemAssetServiceLogNoteCollected";}

CalemAssetServiceLogNoteCollected.prototype.onAction =
function(fm) {
	if (fm.onAssetServiceLogNoteCollected) 
		fm.onAssetServiceLogNoteCollected(this._table, this._statusRowInsert, this._reqRowUpdate);	
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemAssetFormList
 */
function CalemAssetFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
}

CalemAssetFormList.prototype = new CalemFormList;
CalemAssetFormList.prototype.constructor = CalemAssetFormList;

CalemAssetFormList.prototype.toString = function() { return "CalemAssetFormList";}

/**
 * Business APIs
 */
CalemAssetFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemAssetFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemAssetFormList.prototype._onOpen =
function(evt) {
	//Get the selection event
    var item=CalemEvent.getItem(evt);
	//Prepare data for master detail view.
	var data = {modelItem: this._modelItem, item: item};
	//pass-through current data model and selection
	this._openForm('CalemAssetFormMdTab', data);
} 

/**
 * Deletion must be handled specially
 */
CalemAssetFormList.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemAssetBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
/**
 * CalemAssetFormMdTab
 */
function CalemAssetFormMdTab(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormMdTab.call(this, parent, formId, data);
}

CalemAssetFormMdTab.prototype = new CalemFormMdTab;
CalemAssetFormMdTab.prototype.constructor = CalemAssetFormMdTab;

CalemAssetFormMdTab.prototype.toString = function() { return "CalemAssetFormMdTab";}

/**
 * Business APIs
 */
CalemAssetFormMdTab.prototype.onAssetServiceLogNoteCollected =
function(table, statusRowInsert, reqRowUpdate) {	
	if (!this._formModel.getFormByModel(table)) return;
	this._formModel.getFormByModel(table).onAssetServiceLogNoteCollected(table, statusRowInsert, reqRowUpdate);
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
/**
 * CalemAssetFormRead
 */
function CalemAssetFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormRead.call(this, parent, formId, data);
	this._serviceLog=new AjxListener(this, this.onAssetServiceLog);
	this._activityLog=new AjxListener(this, this.onAssetActivityLog);
	this._assetChild=new AjxListener(this, this.onAssetChild);
	this._assetLocChild=new AjxListener(this, this.onAssetLocChild);
}

CalemAssetFormRead.prototype = new CalemFormRead;
CalemAssetFormRead.prototype.constructor = CalemAssetFormRead;

CalemAssetFormRead.prototype.toString = function() { return "CalemAssetFormRead";}

/**
 * Business APIs
 */
CalemAssetFormRead.prototype._getFormNewId =
function() {
	return 'CalemAssetFormNew';
} 

CalemAssetFormRead.prototype._getFormEditId =
function() {
	return 'CalemAssetFormEdit';
}

/**
 * Deletion must be handled specially
 */
CalemAssetFormRead.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemAssetBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

/**
 * Service log
 */
CalemAssetFormRead.prototype.getAssetServiceLog =
function() {
	return this._serviceLog;
} 

CalemAssetFormRead.prototype.onAssetServiceLog =
function() {
	var rec=this._dataModel.getCurrentRecord();
	if (!rec.id) return; //not a valid record.
	
	var link=new CalemFieldMdInfo('asset_id', 'id');
	var ebInfo=new CalemEmbedInfo(this._parent, 'CalemAssetServiceLogFormList', {parentRec: rec, link: link});
	this._embedForm(ebInfo);
}

/**
 * Activity log
 */
CalemAssetFormRead.prototype.getAssetActivityLog =
function() {
	return this._activityLog;
} 

CalemAssetFormRead.prototype.onAssetActivityLog =
function() {
	var rec=this._dataModel.getCurrentRecord();
	if (!rec.id) return; //not a valid record.
	
	var link=new CalemFieldMdInfo('asset_id', 'id');
	var ebInfo=new CalemEmbedInfo(this._parent, 'CalemAssetActivityLogFormList', {parentRec: rec, link: link});
	this._embedForm(ebInfo);
}

/**
 * Asset Child
 */
CalemAssetFormRead.prototype.getAssetChild =
function() {
	return this._assetChild;
} 

CalemAssetFormRead.prototype.onAssetChild =
function() {
	var rec=this._dataModel.getCurrentRecord();
	if (!rec.id) return; //not a valid record.

	var link=new CalemFieldMdInfo('parent_id', 'id');
	var ebInfo=new CalemEmbedInfo(this._parent, 'CalemAssetChildFormList', {parentRec: rec, link: link});
	this._embedForm(ebInfo);
}

/**
 * Asset at Location
 */
CalemAssetFormRead.prototype.getAssetLocChild =
function() {
	return this._assetLocChild;
} 

CalemAssetFormRead.prototype.onAssetLocChild =
function() {
	var rec=this._dataModel.getCurrentRecord();
	if (!rec.id) return; //not a valid record.

	var link=new CalemFieldMdInfo('location_id', 'id');
	var ebInfo=new CalemEmbedInfo(this._parent, 'CalemAssetLocChildFormList', {parentRec: rec, link: link});
	this._embedForm(ebInfo);
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemAssetFormNew
 */
function CalemAssetFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemAssetFormNew.prototype = new CalemFormNew;
CalemAssetFormNew.prototype.constructor = CalemAssetFormNew;

CalemAssetFormNew.prototype.toString = function() { return "CalemAssetFormNew";}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemAssetFormEdit
 */
function CalemAssetFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemAssetFormEdit.prototype = new CalemFormEdit;
CalemAssetFormEdit.prototype.constructor = CalemAssetFormEdit;

CalemAssetFormEdit.prototype.toString = function() { return "CalemAssetFormEdit";}

/**
 * Service tracking
 */
CalemAssetFormEdit.prototype._onSave =
function(evt) {
	var rows=this._prepareDataEdit();
	var baseRow=rows['row_0'].base;
	if (CalemAssetBo.getInstance().getServiceChange(baseRow.update)) {
		var rec=this._dataModel.getCurrentRecord();
		var row=new Object();
		row['asset_id']=rec.id;
		row['to_status_id']=baseRow.update['status_id'] || baseRow.current['status_id'];
		row['from_status_id']=baseRow.current['status_id'];
		row['to_location_id']=baseRow.update['location_id'] || baseRow.current['location_id'];
		row['from_location_id']=baseRow.current['location_id'];
		row['to_parent_id']=baseRow.update['parent_id'] || baseRow.current['parent_id'];
		row['from_parent_id']=baseRow.current['parent_id'];
		row['to_owner_id']=baseRow.update['owner_id'] || baseRow.current['owner_id'];
		row['from_owner_id']=baseRow.current['owner_id'];
		this.collectStatusChangeNote({row: row, parentRows: rows});
	} else {
		this._onSaveCall(rows); //done.
	}
} 

CalemAssetFormEdit.prototype.collectStatusChangeNote =
function(param) {
	this._openEmbedForm('CalemAssetServiceLogNoteFormNew', param);
}

CalemAssetFormEdit.prototype.onAssetServiceLogNoteCollected =
function(table, statusRowInsert, reqRowUpdate) {
	var rows={UpdateData: reqRowUpdate, InsertData: statusRowInsert};
	CalemSoapUtil._onSoapCall('ModifyDataTran', rows, this._soapEditTranSaveCallback);
}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemAssetFormLookup
 */
function CalemAssetFormLookup(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormLookup.call(this, parent, formId, data);
}

CalemAssetFormLookup.prototype = new CalemFormLookup;
CalemAssetFormLookup.prototype.constructor = CalemAssetFormLookup;

CalemAssetFormLookup.prototype.toString = function() { return "CalemAssetFormLookup";}

/**
 * Business APIs
 */
CalemAssetFormLookup.prototype._getFormNewId =
function() {
   return 'CalemAssetFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemAssetFormLookup.prototype._getFormReadId =
function(evt) {
	return 'CalemAssetFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemAssetDowntimeFormList
 */
function CalemAssetDowntimeFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
}

CalemAssetDowntimeFormList.prototype = new CalemFormListDet;
CalemAssetDowntimeFormList.prototype.constructor = CalemAssetDowntimeFormList;

CalemAssetDowntimeFormList.prototype.toString = function() { return "CalemAssetDowntimeFormList";}

/**
 * Business APIs
 */
CalemAssetDowntimeFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemAssetDowntimeFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemAssetDowntimeFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemAssetDowntimeFormRead';
} 

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemAssetDowntimeFormNew
 */
function CalemAssetDowntimeFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemAssetDowntimeFormNew.prototype = new CalemFormNew;
CalemAssetDowntimeFormNew.prototype.constructor = CalemAssetDowntimeFormNew;

CalemAssetDowntimeFormNew.prototype.toString = function() { return "CalemAssetDowntimeFormNew";}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemAssetDowntimeFormEdit
 */
function CalemAssetDowntimeFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemAssetDowntimeFormEdit.prototype = new CalemFormEdit;
CalemAssetDowntimeFormEdit.prototype.constructor = CalemAssetDowntimeFormEdit;

CalemAssetDowntimeFormEdit.prototype.toString = function() { return "CalemAssetDowntimeFormEdit";}

CalemAssetDowntimeFormEdit.prototype._initReadOnlyFields =
function() {
	this._setFieldsReadOnly(['wo_id']);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemAssetDowntimeFormRead
 */
function CalemAssetDowntimeFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemAssetDowntimeFormRead.prototype = new CalemFormReadDet;
CalemAssetDowntimeFormRead.prototype.constructor = CalemAssetDowntimeFormRead;

CalemAssetDowntimeFormRead.prototype.toString = function() { return "CalemAssetDowntimeFormRead";}

/**
 * Business APIs
 */
CalemAssetDowntimeFormRead.prototype._getFormNewId =
function() {
	return 'CalemAssetDowntimeFormNew';
} 

CalemAssetDowntimeFormRead.prototype._getFormEditId =
function() {
	return 'CalemAssetDowntimeFormEdit';
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemAssetCommentFormList
 */
function CalemAssetCommentFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
}

CalemAssetCommentFormList.prototype = new CalemFormListDet;
CalemAssetCommentFormList.prototype.constructor = CalemAssetCommentFormList;

CalemAssetCommentFormList.prototype.toString = function() { return "CalemAssetCommentFormList";}

/**
 * Business APIs
 */
CalemAssetCommentFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemAssetCommentFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemAssetCommentFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemAssetCommentFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemAssetCommentFormNew
 */
function CalemAssetCommentFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemAssetCommentFormNew.prototype = new CalemFormNew;
CalemAssetCommentFormNew.prototype.constructor = CalemAssetCommentFormNew;

CalemAssetCommentFormNew.prototype.toString = function() { return "CalemAssetCommentFormNew";}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemAssetCommentFormEdit
 */
function CalemAssetCommentFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemAssetCommentFormEdit.prototype = new CalemFormEdit;
CalemAssetCommentFormEdit.prototype.constructor = CalemAssetCommentFormEdit;

CalemAssetCommentFormEdit.prototype.toString = function() { return "CalemAssetCommentFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemAssetCommentFormRead
 */
function CalemAssetCommentFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemAssetCommentFormRead.prototype = new CalemFormReadDet;
CalemAssetCommentFormRead.prototype.constructor = CalemAssetCommentFormRead;

CalemAssetCommentFormRead.prototype.toString = function() { return "CalemAssetCommentFormRead";}

/**
 * Business APIs
 */
CalemAssetCommentFormRead.prototype._getFormNewId =
function() {
	return 'CalemAssetCommentFormNew';
} 

CalemAssetCommentFormRead.prototype._getFormEditId =
function() {
	return 'CalemAssetCommentFormEdit';
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemAssetMeterFormList
 */
function CalemAssetMeterFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
	//Reading history and add reading listeners
	this._meterReadingHistoryListener = new AjxListener(this, this.onMeterReadingHistory);
	this._addMeterReadingListener = new AjxListener(this, this.onAddMeterReading);
}

CalemAssetMeterFormList.prototype = new CalemFormListDet;
CalemAssetMeterFormList.prototype.constructor = CalemAssetMeterFormList;

CalemAssetMeterFormList.prototype.toString = function() { return "CalemAssetMeterFormList";}

/**
 * Business APIs
 */
CalemAssetMeterFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemAssetMeterFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemAssetMeterFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemAssetMeterFormRead';
} 

/**
 * Deletion must be handled specially
 */
CalemAssetMeterFormList.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemAssetMeterBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

/**
 * Reading list form
 */
CalemAssetMeterFormList.prototype.getOpenMeterReadingHistory =
function() {
	return this._meterReadingHistoryListener;
} 
 
CalemAssetMeterFormList.prototype.getOpenAddMeterReading =
function() {
	return this._addMeterReadingListener;
}

//Listeners - both may need to update parent model item when operation is made.
CalemAssetMeterFormList.prototype.onMeterReadingHistory =
function(evt) {
	var item=CalemEvent.getItem(evt);
	var link=new CalemFieldMdInfo('meter_id', 'id');
	//To embed the reading history form.
   var ebInfo=new CalemEmbedInfo(this._parent, 'CalemAssetMeterReadingFormList', {parentRec: item, link: link});
	this._embedForm(ebInfo);
}

CalemAssetMeterFormList.prototype.onAddMeterReading =
function(evt) {	
	var item=CalemEvent.getItem(evt);
	var link=new CalemFieldMdInfo('meter_id', 'id');
	var ebInfo=new CalemEmbedNewDetInfo(this._parent, 'CalemAssetMeterReadingFormNew', item, link);
	this._embedForm(ebInfo);
}

CalemAssetMeterFormList.prototype.onNewDbRecordRaw =
function(table, recRaw) {
	if (table == this._modelItem.getId()) {//add to this data model
		CalemFormListDet.prototype.onNewDbRecordRaw.call(this, table, recRaw);
	} else {//Otherwise refresh the current grid.
		if (table=='meter_transaction') {
			this.reLoadDataBySearch(this._dataModel.getTableQueryByParentRec());
		}
	}
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemAssetMeterFormLookup
 */
function CalemAssetMeterFormLookup(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormLookupNoMd.call(this, parent, formId, data);
}

CalemAssetMeterFormLookup.prototype = new CalemFormLookupNoMd;
CalemAssetMeterFormLookup.prototype.constructor = CalemAssetMeterFormLookup;

CalemAssetMeterFormLookup.prototype.toString = function() { return "CalemAssetMeterFormLookup";}

//Do not cache this form
CalemAssetMeterFormLookup.prototype.getCacheEmbedOnClose =
function() {
	return false; //close down upon close.
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemAssetMeterFormNew
 */
function CalemAssetMeterFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemAssetMeterFormNew.prototype = new CalemFormNew;
CalemAssetMeterFormNew.prototype.constructor = CalemAssetMeterFormNew;

CalemAssetMeterFormNew.prototype.toString = function() { return "CalemAssetMeterFormNew";}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemAssetMeterFormEdit
 */
function CalemAssetMeterFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemAssetMeterFormEdit.prototype = new CalemFormEdit;
CalemAssetMeterFormEdit.prototype.constructor = CalemAssetMeterFormEdit;

CalemAssetMeterFormEdit.prototype.toString = function() { return "CalemAssetMeterFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemAssetMeterFormRead
 */
function CalemAssetMeterFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemAssetMeterFormRead.prototype = new CalemFormReadDet;
CalemAssetMeterFormRead.prototype.constructor = CalemAssetMeterFormRead;

CalemAssetMeterFormRead.prototype.toString = function() { return "CalemAssetMeterFormRead";}

/**
 * Business APIs
 */
CalemAssetMeterFormRead.prototype._getFormNewId =
function() {
	return 'CalemAssetMeterFormNew';
} 

CalemAssetMeterFormRead.prototype._getFormEditId =
function() {
	return 'CalemAssetMeterFormEdit';
}

/**
 * Deletion must be handled specially
 */
CalemAssetMeterFormRead.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemAssetMeterBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemAssetMeterReadingFormList
 */
function CalemAssetMeterReadingFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDetNoMd.call(this, parent, formId, data);
}

CalemAssetMeterReadingFormList.prototype = new CalemFormListDetNoMd;
CalemAssetMeterReadingFormList.prototype.constructor = CalemAssetMeterReadingFormList;

CalemAssetMeterReadingFormList.prototype.toString = function() { return "CalemAssetMeterReadingFormList";}

/**
 * Business APIs
 */
CalemAssetMeterReadingFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemAssetMeterReadingFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemAssetMeterReadingFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemAssetMeterReadingFormRead';
} 

//Close upon done.
CalemAssetMeterReadingFormList.prototype.getCacheEmbedOnClose =
function() {
	return false; 
}

//Ask meter_reading form to reload
CalemAssetMeterReadingFormList.prototype._onCancel =
function(evt) {
	this._closeAndResumeParentForm(new CalemReloadDataAction('asset_meter'));
}


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemAssetMeterReadingFormNew
 */
function CalemAssetMeterReadingFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemAssetMeterReadingFormNew.prototype = new CalemFormNew;
CalemAssetMeterReadingFormNew.prototype.constructor = CalemAssetMeterReadingFormNew;

CalemAssetMeterReadingFormNew.prototype.toString = function() { return "CalemAssetMeterReadingFormNew";}

/**
 * Constructing actions for both cases.
 */
CalemAssetMeterReadingFormNew.prototype._getDataInsertedAction =
function(table, data) {
	var actions=new CalemFormActionCombo(true);
	actions.add(new CalemNewDbRecRawAction(table, data));
	actions.add(new CalemReloadDataAction('asset_meter'));
	return actions;	
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemAssetMeterReadingFormRead
 */
function CalemAssetMeterReadingFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemAssetMeterReadingFormRead.prototype = new CalemFormReadDet;
CalemAssetMeterReadingFormRead.prototype.constructor = CalemAssetMeterReadingFormRead;

CalemAssetMeterReadingFormRead.prototype.toString = function() { return "CalemAssetMeterReadingFormRead";}

/**
 * Business APIs
 */
CalemAssetMeterReadingFormRead.prototype._getFormNewId =
function() {
	return 'CalemAssetMeterReadingFormNew';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemAssetMeterSelectFormList
 */
function CalemAssetMeterSelectFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormLookup.call(this, parent, formId, data);
}

CalemAssetMeterSelectFormList.prototype = new CalemFormLookup;
CalemAssetMeterSelectFormList.prototype.constructor = CalemAssetMeterSelectFormList;

CalemAssetMeterSelectFormList.prototype.toString = function() { return "CalemAssetMeterSelectFormList";}

CalemAssetMeterSelectFormList.prototype.getCacheEmbedOnClose =
function() {
	return false; //close down upon close.
}

/**
 * Initialize data for the transaction
 */
CalemAssetMeterSelectFormList.prototype._createDataModel =
function(data) {
	CalemFormEdit.prototype._createDataModel.call(this);
	this._instantiate(data);
}

CalemAssetMeterSelectFormList.prototype._instantiate =
function(data) {
	this._parentRec=data.parentRec;
	this._table=data.table;
	var fld=new CalemDbField('asset_meter', 'asset_id');
	var val=new CalemDbString(this._parentRec.getField('asset_id').getRawValue());
	this._dbExpr=new CalemDbExpr(fld, CalemDbExpr.EQ, val);
}

CalemAssetMeterSelectFormList.prototype.initQueryByForm =
function(tblQuery) {
    tblQuery.addWhere(this._modelItem.getId(), null, this._dbExpr, this._modelItem.getTableDd());
	return tblQuery;
} 

/**
 * to handle select
 */
CalemAssetMeterSelectFormList.prototype._onSelect =
function(evt) {
	var item=CalemEvent.getItem(evt);
	this._closeAndResumeParentForm(new CalemLookupSelectAction(this._table, item));
}

//Do not cache this form
CalemAssetMeterSelectFormList.prototype.getCacheEmbedOnClose =
function() {
	return false; //close down upon close.
}


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemAssetPartFormList
 */
function CalemAssetPartFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
}

CalemAssetPartFormList.prototype = new CalemFormListDet;
CalemAssetPartFormList.prototype.constructor = CalemAssetPartFormList;

CalemAssetPartFormList.prototype.toString = function() { return "CalemAssetPartFormList";}

/**
 * Business APIs
 */
CalemAssetPartFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemAssetPartFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemAssetPartFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemAssetPartFormRead';
} 

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemAssetPartFormNew
 */
function CalemAssetPartFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemAssetPartFormNew.prototype = new CalemFormNew;
CalemAssetPartFormNew.prototype.constructor = CalemAssetPartFormNew;

CalemAssetPartFormNew.prototype.toString = function() { return "CalemAssetPartFormNew";}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemAssetPartFormEdit
 */
function CalemAssetPartFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemAssetPartFormEdit.prototype = new CalemFormEdit;
CalemAssetPartFormEdit.prototype.constructor = CalemAssetPartFormEdit;

CalemAssetPartFormEdit.prototype.toString = function() { return "CalemAssetPartFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemAssetPartFormRead
 */
function CalemAssetPartFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemAssetPartFormRead.prototype = new CalemFormReadDet;
CalemAssetPartFormRead.prototype.constructor = CalemAssetPartFormRead;

CalemAssetPartFormRead.prototype.toString = function() { return "CalemAssetPartFormRead";}

/**
 * Business APIs
 */
CalemAssetPartFormRead.prototype._getFormNewId =
function() {
	return 'CalemAssetPartFormNew';
} 

CalemAssetPartFormRead.prototype._getFormEditId =
function() {
	return 'CalemAssetPartFormEdit';
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemAssetContractFormList
 */
function CalemAssetContractFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
}

CalemAssetContractFormList.prototype = new CalemFormListDet;
CalemAssetContractFormList.prototype.constructor = CalemAssetContractFormList;

CalemAssetContractFormList.prototype.toString = function() { return "CalemAssetContractFormList";}

/**
 * Business APIs
 */
CalemAssetContractFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemAssetContractFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemAssetContractFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemAssetContractFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemAssetContractFormNew
 */
function CalemAssetContractFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemAssetContractFormNew.prototype = new CalemFormNew;
CalemAssetContractFormNew.prototype.constructor = CalemAssetContractFormNew;

CalemAssetContractFormNew.prototype.toString = function() { return "CalemAssetContractFormNew";}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemAssetContractFormEdit
 */
function CalemAssetContractFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemAssetContractFormEdit.prototype = new CalemFormEdit;
CalemAssetContractFormEdit.prototype.constructor = CalemAssetContractFormEdit;

CalemAssetContractFormEdit.prototype.toString = function() { return "CalemAssetContractFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemAssetContractFormRead
 */
function CalemAssetContractFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemAssetContractFormRead.prototype = new CalemFormReadDet;
CalemAssetContractFormRead.prototype.constructor = CalemAssetContractFormRead;

CalemAssetContractFormRead.prototype.toString = function() { return "CalemAssetContractFormRead";}

/**
 * Business APIs
 */
CalemAssetContractFormRead.prototype._getFormNewId =
function() {
	return 'CalemAssetContractFormNew';
} 

CalemAssetContractFormRead.prototype._getFormEditId =
function() {
	return 'CalemAssetContractFormEdit';
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemAssetDepreciationFormList
 */
function CalemAssetDepreciationFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
}

CalemAssetDepreciationFormList.prototype = new CalemFormListDet;
CalemAssetDepreciationFormList.prototype.constructor = CalemAssetDepreciationFormList;

CalemAssetDepreciationFormList.prototype.toString = function() { return "CalemAssetDepreciationFormList";}

/**
 * Business APIs
 */
CalemAssetDepreciationFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemAssetDepreciationFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemAssetDepreciationFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemAssetDepreciationFormRead';
} 

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemAssetDepreciationFormNew
 */
function CalemAssetDepreciationFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemAssetDepreciationFormNew.prototype = new CalemFormNew;
CalemAssetDepreciationFormNew.prototype.constructor = CalemAssetDepreciationFormNew;

CalemAssetDepreciationFormNew.prototype.toString = function() { return "CalemAssetDepreciationFormNew";}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemAssetDepreciationFormEdit
 */
function CalemAssetDepreciationFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemAssetDepreciationFormEdit.prototype = new CalemFormEdit;
CalemAssetDepreciationFormEdit.prototype.constructor = CalemAssetDepreciationFormEdit;

CalemAssetDepreciationFormEdit.prototype.toString = function() { return "CalemAssetDepreciationFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemAssetDepreciationFormRead
 */
function CalemAssetDepreciationFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemAssetDepreciationFormRead.prototype = new CalemFormReadDet;
CalemAssetDepreciationFormRead.prototype.constructor = CalemAssetDepreciationFormRead;

CalemAssetDepreciationFormRead.prototype.toString = function() { return "CalemAssetDepreciationFormRead";}

/**
 * Business APIs
 */
CalemAssetDepreciationFormRead.prototype._getFormNewId =
function() {
	return 'CalemAssetDepreciationFormNew';
} 

CalemAssetDepreciationFormRead.prototype._getFormEditId =
function() {
	return 'CalemAssetDepreciationFormEdit';
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemManufacturerFormList
 */
function CalemManufacturerFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
}

CalemManufacturerFormList.prototype = new CalemFormList;
CalemManufacturerFormList.prototype.constructor = CalemManufacturerFormList;

CalemManufacturerFormList.prototype.toString = function() { return "CalemManufacturerFormList";}

/**
 * Business APIs
 */
CalemManufacturerFormList.prototype._getFormNewId =
function() {
    return 'CalemManufacturerFormNew';
} 
 
CalemManufacturerFormList.prototype._getFormReadId =
function() {
    return 'CalemManufacturerFormRead';
}  

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemManufacturerFormRead
 */
function CalemManufacturerFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormRead.call(this, parent, formId, data);
}

CalemManufacturerFormRead.prototype = new CalemFormRead;
CalemManufacturerFormRead.prototype.constructor = CalemManufacturerFormRead;

CalemManufacturerFormRead.prototype.toString = function() { return "CalemManufacturerFormRead";}

/**
 * Business APIs
 */
CalemManufacturerFormRead.prototype._getFormNewId =
function() {
	return 'CalemManufacturerFormNew';
} 

CalemManufacturerFormRead.prototype._getFormEditId =
function() {
	return 'CalemManufacturerFormEdit';
}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemManufacturerFormNew
 */
function CalemManufacturerFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemManufacturerFormNew.prototype = new CalemFormNew;
CalemManufacturerFormNew.prototype.constructor = CalemManufacturerFormNew;

CalemManufacturerFormNew.prototype.toString = function() { return "CalemManufacturerFormNew";}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemManufacturerFormEdit
 */
function CalemManufacturerFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemManufacturerFormEdit.prototype = new CalemFormEdit;
CalemManufacturerFormEdit.prototype.constructor = CalemManufacturerFormEdit;

CalemManufacturerFormEdit.prototype.toString = function() { return "CalemManufacturerFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemManufacturerFormLookup
 */
function CalemManufacturerFormLookup(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormLookup.call(this, parent, formId, data);
}

CalemManufacturerFormLookup.prototype = new CalemFormLookup;
CalemManufacturerFormLookup.prototype.constructor = CalemManufacturerFormLookup;

CalemManufacturerFormLookup.prototype.toString = function() { return "CalemManufacturerFormLookup";}

/**
 * Business APIs
 */
CalemManufacturerFormLookup.prototype._getFormNewId =
function() {
   return 'CalemManufacturerFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemManufacturerFormLookup.prototype._getFormReadId =
function(evt) {
	return 'CalemManufacturerFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemAssetTypeFormList
 */
function CalemAssetTypeFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
}

CalemAssetTypeFormList.prototype = new CalemFormList;
CalemAssetTypeFormList.prototype.constructor = CalemAssetTypeFormList;

CalemAssetTypeFormList.prototype.toString = function() { return "CalemAssetTypeFormList";}

/**
 * Business APIs
 */
CalemAssetTypeFormList.prototype._getFormNewId =
function() {
    return 'CalemAssetTypeFormNew';
} 
 
CalemAssetTypeFormList.prototype._getFormReadId =
function() {
    return 'CalemAssetTypeFormRead';
}  

/**
 * Deletion must be handled specially
 */
CalemAssetTypeFormList.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemAssetTypeBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemAssetTypeFormRead
 */
function CalemAssetTypeFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormRead.call(this, parent, formId, data);
}

CalemAssetTypeFormRead.prototype = new CalemFormRead;
CalemAssetTypeFormRead.prototype.constructor = CalemAssetTypeFormRead;

CalemAssetTypeFormRead.prototype.toString = function() { return "CalemAssetTypeFormRead";}

/**
 * Business APIs
 */
CalemAssetTypeFormRead.prototype._getFormNewId =
function() {
	return 'CalemAssetTypeFormNew';
} 

CalemAssetTypeFormRead.prototype._getFormEditId =
function() {
	return 'CalemAssetTypeFormEdit';
}

/**
 * Deletion must be handled specially
 */
CalemAssetTypeFormRead.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemAssetTypeBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemAssetTypeFormNew
 */
function CalemAssetTypeFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemAssetTypeFormNew.prototype = new CalemFormNew;
CalemAssetTypeFormNew.prototype.constructor = CalemAssetTypeFormNew;

CalemAssetTypeFormNew.prototype.toString = function() { return "CalemAssetTypeFormNew";}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemAssetTypeFormEdit
 */
function CalemAssetTypeFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemAssetTypeFormEdit.prototype = new CalemFormEdit;
CalemAssetTypeFormEdit.prototype.constructor = CalemAssetTypeFormEdit;

CalemAssetTypeFormEdit.prototype.toString = function() { return "CalemAssetTypeFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemAssetTypeFormLookup
 */
function CalemAssetTypeFormLookup(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormLookup.call(this, parent, formId, data);
}

CalemAssetTypeFormLookup.prototype = new CalemFormLookup;
CalemAssetTypeFormLookup.prototype.constructor = CalemAssetTypeFormLookup;

CalemAssetTypeFormLookup.prototype.toString = function() { return "CalemAssetTypeFormLookup";}

/**
 * Business APIs
 */
CalemAssetTypeFormLookup.prototype._getFormNewId =
function() {
   return 'CalemAssetTypeFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemAssetTypeFormLookup.prototype._getFormReadId =
function(evt) {
	return 'CalemAssetTypeFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemMeterTypeFormList
 */
function CalemMeterTypeFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
}

CalemMeterTypeFormList.prototype = new CalemFormList;
CalemMeterTypeFormList.prototype.constructor = CalemMeterTypeFormList;

CalemMeterTypeFormList.prototype.toString = function() { return "CalemMeterTypeFormList";}

/**
 * Business APIs
 */
CalemMeterTypeFormList.prototype._getFormNewId =
function() {
    return 'CalemMeterTypeFormNew';
} 
 
CalemMeterTypeFormList.prototype._getFormReadId =
function() {
    return 'CalemMeterTypeFormRead';
}  

/**
 * Deletion must be handled specially
 */
CalemMeterTypeFormList.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemMeterTypeBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemMeterTypeFormRead
 */
function CalemMeterTypeFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormRead.call(this, parent, formId, data);
}

CalemMeterTypeFormRead.prototype = new CalemFormRead;
CalemMeterTypeFormRead.prototype.constructor = CalemMeterTypeFormRead;

CalemMeterTypeFormRead.prototype.toString = function() { return "CalemMeterTypeFormRead";}

/**
 * Business APIs
 */
CalemMeterTypeFormRead.prototype._getFormNewId =
function() {
	return 'CalemMeterTypeFormNew';
} 

CalemMeterTypeFormRead.prototype._getFormEditId =
function() {
	return 'CalemMeterTypeFormEdit';
}

/**
 * Deletion must be handled specially
 */
CalemMeterTypeFormRead.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemMeterTypeBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemMeterTypeFormNew
 */
function CalemMeterTypeFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemMeterTypeFormNew.prototype = new CalemFormNew;
CalemMeterTypeFormNew.prototype.constructor = CalemMeterTypeFormNew;

CalemMeterTypeFormNew.prototype.toString = function() { return "CalemMeterTypeFormNew";}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemMeterTypeFormEdit
 */
function CalemMeterTypeFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemMeterTypeFormEdit.prototype = new CalemFormEdit;
CalemMeterTypeFormEdit.prototype.constructor = CalemMeterTypeFormEdit;

CalemMeterTypeFormEdit.prototype.toString = function() { return "CalemMeterTypeFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemMeterTypeFormLookup
 */
function CalemMeterTypeFormLookup(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormLookup.call(this, parent, formId, data);
}

CalemMeterTypeFormLookup.prototype = new CalemFormLookup;
CalemMeterTypeFormLookup.prototype.constructor = CalemMeterTypeFormLookup;

CalemMeterTypeFormLookup.prototype.toString = function() { return "CalemMeterTypeFormLookup";}

/**
 * Business APIs
 */
CalemMeterTypeFormLookup.prototype._getFormNewId =
function() {
   return 'CalemMeterTypeFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemMeterTypeFormLookup.prototype._getFormReadId =
function(evt) {
	return 'CalemMeterTypeFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemAssetServiceLogFormList
 */
function CalemAssetServiceLogFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDetNoMd.call(this, parent, formId, data);
}

CalemAssetServiceLogFormList.prototype = new CalemFormListDetNoMd;
CalemAssetServiceLogFormList.prototype.constructor = CalemAssetServiceLogFormList;

CalemAssetServiceLogFormList.prototype.toString = function() { return "CalemAssetServiceLogFormList";}

/**
 * Business APIs
 */
CalemAssetServiceLogFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemAssetServiceLogFormRead';
} 

//D not cache this form
CalemAssetServiceLogFormList.prototype.getCacheEmbedOnClose =
function() {
	return false; //close down upon close.
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemAssetServiceLogFormRead
 */
function CalemAssetServiceLogFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemAssetServiceLogFormRead.prototype = new CalemFormReadDet;
CalemAssetServiceLogFormRead.prototype.constructor = CalemAssetServiceLogFormRead;

CalemAssetServiceLogFormRead.prototype.toString = function() { return "CalemAssetServiceLogFormRead";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemAssetServiceLogNoteFormNew
 */
function CalemAssetServiceLogNoteFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemAssetServiceLogNoteFormNew._svcFlds=['to_status_id', 'from_status_id', 'changed_by_id', 'to_location_id', 'from_location_id',
	                                       'to_owner_id', 'from_owner_id', 'to_parent_id', 'from_parent_id', 'asset_id'];
;

CalemAssetServiceLogNoteFormNew.prototype = new CalemFormNew;
CalemAssetServiceLogNoteFormNew.prototype.constructor = CalemAssetServiceLogNoteFormNew;

CalemAssetServiceLogNoteFormNew.prototype.toString = function() { return "CalemAssetServiceLogNoteFormNew";}
 
/**
 * Initialize data for the transaction
 */
CalemAssetServiceLogNoteFormNew.prototype._createDataModel =
function(data) {
	CalemFormNew.prototype._createDataModel.call(this);
	this._instantiate(data);
}

CalemAssetServiceLogNoteFormNew.prototype._instantiate =
function(data) {
	this._parentRows=data.parentRows;
	this._row=data.row;
}

CalemAssetServiceLogNoteFormNew.prototype._loadData =
function() {
	this._dataModel.createNewRecord();
	var rec=this._dataModel.getCurrentRecord();
	this._row['changed_by_id']=CalemContext.getInstance().getUserId();
	//Fill-in the records
	for (var i=0; i< CalemAssetServiceLogNoteFormNew._svcFlds.length; i++) {
		var fld=CalemAssetServiceLogNoteFormNew._svcFlds[i];
		rec.getField(fld).setRawValue(this._row[fld]);
	}
	this.onDataLoaded(); //Mimic a callback so form opening can continue.
} 

CalemAssetServiceLogNoteFormNew.prototype._render =
function() {
	CalemFormNew.prototype._render.call(this);
	this._setFieldsReadOnly(['to_status_id', 'from_status_id', 'changed_by_id', 'to_location_id', 'from_location_id',
	                         'to_owner_id', 'from_owner_id', 'to_parent_id', 'from_parent_id']);
}

//save handling.
CalemAssetServiceLogNoteFormNew.prototype._onSave = 
function() {
	var rows=this._prepareDataNew();
	this._closeAndResumeParentForm(new CalemAssetServiceLogNoteCollected('asset', rows, this._parentRows));
}

CalemAssetServiceLogNoteFormNew.prototype._getInputDataRow =
function() {
	var row=CalemFormNew.prototype._getInputDataRow.call(this);
	//check for additional info
	//Fill-in the records
	for (var i=0; i< CalemAssetServiceLogNoteFormNew._svcFlds.length; i++) {
		var fld=CalemAssetServiceLogNoteFormNew._svcFlds[i];
		if (!row[fld]) row[fld]=this._row[fld];
	}
	return row;
}

//Do not cache this form
CalemAssetServiceLogNoteFormNew.prototype.getCacheEmbedOnClose =
function() {
	return false; //close down upon close.
}
 /*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemAssetActivityLogFormList
 */
function CalemAssetActivityLogFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDetNoMd.call(this, parent, formId, data);
}

CalemAssetActivityLogFormList.prototype = new CalemFormListDetNoMd;
CalemAssetActivityLogFormList.prototype.constructor = CalemAssetActivityLogFormList;

CalemAssetActivityLogFormList.prototype.toString = function() { return "CalemAssetActivityLogFormList";}

/**
 * Business APIs
 */
CalemAssetActivityLogFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemAssetActivityLogFormRead';
} 

//D not cache this form
CalemAssetActivityLogFormList.prototype.getCacheEmbedOnClose =
function() {
	return false; //close down upon close.
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemAssetActivityLogFormRead
 */
function CalemAssetActivityLogFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemAssetActivityLogFormRead.prototype = new CalemFormReadDet;
CalemAssetActivityLogFormRead.prototype.constructor = CalemAssetActivityLogFormRead;

CalemAssetActivityLogFormRead.prototype.toString = function() { return "CalemAssetActivityLogFormRead";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemAssetChildFormList
 */
function CalemAssetChildFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDetNoMd.call(this, parent, formId, data);
	this._serviceLog=new AjxListener(this, this.onAssetServiceLog);
	this._activityLog=new AjxListener(this, this.onAssetActivityLog);
}

CalemAssetChildFormList.prototype = new CalemFormListDetNoMd;
CalemAssetChildFormList.prototype.constructor = CalemAssetChildFormList;

CalemAssetChildFormList.prototype.toString = function() { return "CalemAssetChildFormList";}

/**
 * Business APIs
 */
CalemAssetChildFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemAssetChildFormRead';
} 

//D not cache this form
CalemAssetChildFormList.prototype.getCacheEmbedOnClose =
function() {
	return false; //close down upon close.
}

/**
 * Service log
 */
CalemAssetChildFormList.prototype.getAssetServiceLog =
function() {
	return this._serviceLog;
} 

CalemAssetChildFormList.prototype.onAssetServiceLog =
function(evt) {
	var rec=CalemEvent.getItem(evt);
	if (!rec.id) return; //not a valid record.
	
	var link=new CalemFieldMdInfo('asset_id', 'id');
	var ebInfo=new CalemEmbedInfo(this._parent, 'CalemAssetServiceLogFormList', {parentRec: rec, link: link});
	this._embedForm(ebInfo);
}

/**
 * Activity log
 */
CalemAssetChildFormList.prototype.getAssetActivityLog =
function() {
	return this._activityLog;
} 

CalemAssetChildFormList.prototype.onAssetActivityLog =
function(evt) {
	var rec=CalemEvent.getItem(evt);
	if (!rec.id) return; //not a valid record.
	
	var link=new CalemFieldMdInfo('asset_id', 'id');
	var ebInfo=new CalemEmbedInfo(this._parent, 'CalemAssetActivityLogFormList', {parentRec: rec, link: link});
	this._embedForm(ebInfo);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemAssetChildFormRead
 */
function CalemAssetChildFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemAssetChildFormRead.prototype = new CalemFormReadDet;
CalemAssetChildFormRead.prototype.constructor = CalemAssetChildFormRead;

CalemAssetChildFormRead.prototype.toString = function() { return "CalemAssetChildFormRead";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemAssetLocChildFormList
 */
function CalemAssetLocChildFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDetNoMd.call(this, parent, formId, data);
	this._serviceLog=new AjxListener(this, this.onAssetServiceLog);
	this._activityLog=new AjxListener(this, this.onAssetActivityLog);
}

CalemAssetLocChildFormList.prototype = new CalemFormListDetNoMd;
CalemAssetLocChildFormList.prototype.constructor = CalemAssetLocChildFormList;

CalemAssetLocChildFormList.prototype.toString = function() { return "CalemAssetLocChildFormList";}

/**
 * Business APIs
 */
CalemAssetLocChildFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemAssetLocChildFormRead';
} 

//D not cache this form
CalemAssetLocChildFormList.prototype.getCacheEmbedOnClose =
function() {
	return false; //close down upon close.
}

/**
 * Service log
 */
CalemAssetLocChildFormList.prototype.getAssetServiceLog =
function() {
	return this._serviceLog;
} 

CalemAssetLocChildFormList.prototype.onAssetServiceLog =
function(evt) {
	var rec=CalemEvent.getItem(evt);
	if (!rec.id) return; //not a valid record.
	
	var link=new CalemFieldMdInfo('asset_id', 'id');
	var ebInfo=new CalemEmbedInfo(this._parent, 'CalemAssetServiceLogFormList', {parentRec: rec, link: link});
	this._embedForm(ebInfo);
}

/**
 * Activity log
 */
CalemAssetLocChildFormList.prototype.getAssetActivityLog =
function() {
	return this._activityLog;
} 

CalemAssetLocChildFormList.prototype.onAssetActivityLog =
function(evt) {
	var rec=CalemEvent.getItem(evt);
	if (!rec.id) return; //not a valid record.
	
	var link=new CalemFieldMdInfo('asset_id', 'id');
	var ebInfo=new CalemEmbedInfo(this._parent, 'CalemAssetActivityLogFormList', {parentRec: rec, link: link});
	this._embedForm(ebInfo);
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemAssetLocChildFormRead
 */
function CalemAssetLocChildFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemAssetLocChildFormRead.prototype = new CalemFormReadDet;
CalemAssetLocChildFormRead.prototype.constructor = CalemAssetLocChildFormRead;

CalemAssetLocChildFormRead.prototype.toString = function() { return "CalemAssetLocChildFormRead";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

/**
 * CalemAssetListFormList
 */
function CalemAssetListFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
}

CalemAssetListFormList.prototype = new CalemFormList;
CalemAssetListFormList.prototype.constructor = CalemAssetListFormList;

CalemAssetListFormList.prototype.toString = function() { return "CalemAssetListFormList";}

/**
 * Business APIs
 */
CalemAssetListFormList.prototype._getFormReadId =
function(evt) {
    return 'CalemAssetFormRead';
}

//Report
CalemAssetListFormList.prototype.getReportId =
function() {
	return 'CalemAssetReportList';
}  
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
/**
 * forms
 */
CalemItemDef['CalemAssetFormList']={
	CalemFormInfo: {
		id: 'CalemAssetFormList',
		title: 'asset_list',
		icon: 'CalemAsset',
		controller: 'CalemAssetFormList',
		model: 'asset', 
		view: {CalemViewRefInfo: {id: 'CalemAssetViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemAssetFormSearch'
	}
}

CalemItemDef['CalemAssetFormLookup']={
	CalemFormInfo: {
		id: 'CalemAssetFormLookup',
		title: 'asset',
		icon: 'CalemAsset',
		controller: 'CalemAssetFormLookup',
		model: 'asset', 
		view: {CalemViewRefInfo: {id: 'CalemAssetViewLookup'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemAssetFormSearch'
	}
}

CalemItemDef['CalemAssetFormNew']={
	CalemFormInfo: {
		id: 'CalemAssetFormNew',
		title: 'asset',
		icon: 'CalemAsset',
		controller: 'CalemAssetFormNew',
		model: 'asset', 
		view: {CalemViewRefInfo: {id: 'CalemAssetViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemAssetFormEdit']={
	CalemFormInfo: {
		id: 'CalemAssetFormEdit',
		title: 'asset',
		icon: 'CalemAsset',
		controller: 'CalemAssetFormEdit',
		model: 'asset', 
   	view: {CalemViewRefInfo: {id: 'CalemAssetViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemAssetFormRead']={
	CalemFormInfo: {
		id: 'CalemAssetFormRead',
		title: 'asset',
		icon: 'CalemAsset',
		controller: 'CalemAssetFormRead',
		model: 'asset', 
		view: {CalemViewRefInfo: {id: 'CalemAssetViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemAssetFormSearch']={
	CalemFormInfo: {
		id: 'CalemAssetFormSearch',
		title: 'asset',
		icon: 'CalemAsset',
		controller: 'CalemFormSearchEdit',
		model: 'asset', 
		view: {CalemViewRefInfo: {id: 'CalemAssetViewSearch'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemAssetFormMdTab']={
	CalemFormMdTabInfo: {
		id: 'CalemAssetFormMdTab',
		title: 'asset',
		icon: 'CalemAsset',
		replaceType: CalemItemDef.REPLACE_BY_ID,
		//Three portions of info: layout, model and itemMap.
		layout: {
			CalemMdTabLayoutInfo: {
				tabList: ['tab_main', 'tab_downtime', 'CUSTOMIZE_TAB'],
				tabMap: {
					'tab_main': {CalemTabLayoutInfo: ['CalemAssetFormRead']},
					
					'tab_downtime' : {CalemTabLayoutInfo: ['CalemAssetDowntimeFormList','CalemAssetCommentFormList']}
				}
			} },
		model: {
				CalemFormModelInfo: {
					master: 'CalemAssetFormRead',
			      items: 
			             [{CalemFormLinkInfo: {id: 'CalemAssetDowntimeFormList', link: {CalemFieldMdInfo: {fld: 'asset_id', parentFld: 'id'}}} },
			              {CalemFormLinkInfo: {id: 'CalemAssetCommentFormList', link: {CalemFieldMdInfo: {fld: 'asset_id', parentFld: 'id'}}} },
			              {CalemFormLinkInfo: {id: 'CalemAssetMeterFormList', link: {CalemFieldMdInfo: {fld: 'asset_id', parentFld: 'id'}}} },
			              {CalemFormLinkInfo: {id: 'CalemAssetPartFormList', link: {CalemFieldMdInfo: {fld: 'asset_id', parentFld: 'id'}}} },
			              {CalemFormLinkInfo: {id: 'CalemAssetContractFormList', link: {CalemFieldMdInfo: {fld: 'asset_id', parentFld: 'id'}}} },
			              {CalemFormLinkInfo: {id: 'CalemAssetDepreciationFormList', link: {CalemFieldMdInfo: {fld: 'asset_id', parentFld: 'id'}}} }
			             ]
				}
		}, 
		itemMap : { //Default layout conf.
		  CalemItemMap :{
			 'CalemAssetFormRead' : {
			 	CalemFormLayoutInfo: {
			 		id: 'CalemAssetFormRead',
			 		fixed: true, //Move not allowed.
			 		layout: {CalemBlockLayoutInfo: {width: '100%', height: '-2'}}
			 	}
			 },
			 
			 'CalemAssetDowntimeFormList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemAssetDowntimeFormList',
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 10}}
			 	 }
			 },
			 
			 'CalemAssetCommentFormList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemAssetCommentFormList',
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 10}}
			 	 }
			 },
			 
			 'CalemAssetPartFormList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemAssetPartFormList',
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 10}}
			 	 }
			 },
			 
			 'CalemAssetDepreciationFormList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemAssetDepreciationFormList',
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 8}}
			 	 }
			 },
		  
		  'CalemAssetMeterFormList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemAssetMeterFormList',
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 8}}
			 	 }
			 },
			 
		  'CalemAssetContractFormList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemAssetContractFormList',
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 8}}
			 	 }
			 },
			 
		  'tab_main': {
		  		CalemTabInfo: {id: 'tab_asset_main', fixed: 1}
		  },
		  
		  'tab_downtime': {
		  		CalemTabInfo: {id: 'tab_asset_downtime'}
		  },
		  
		  'tab_meter': {
		  		CalemTabInfo: {id: 'tab_asset_meter'}
		  },
		  
		  'tab_part': {
		  		CalemTabInfo: {id: 'tab_asset_part'}
		  },
		  
		  'tab_depreciation': {
		  		CalemTabInfo: {id: 'tab_asset_depreciation'}
		  },
		  
		  'tab_comment': {
		  		CalemTabInfo: {id: 'tab_asset_comment'}
		  },
		  
		  'tab_contract': {
		  		CalemTabInfo: {id: 'tab_asset_contract'}
		  },
		  
		  'tab_misc': {
		  		CalemTabInfo: {id: 'tab_asset_misc'}
		  },
		  
		  'CUSTOMIZE_TAB' : {
		  		CalemTabInfo: {id: 'CUSTOMIZE_TAB'}
		  }
		  
		  }
		  
		} //itemMap
	} //MdTabInfo
}

/**
 * Downtime
 */
CalemItemDef['CalemAssetDowntimeFormList']={
	CalemFormInfo: {
		id: 'CalemAssetDowntimeFormList',
		title: 'asset_downtime',
		icon: 'CalemAsset',
		controller: 'CalemAssetDowntimeFormList',
		model: 'asset_downtime', 
		view: {CalemViewRefInfo: {id: 'CalemAssetDowntimeViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemAssetDowntimeFormNew']={
	CalemFormInfo: {
		id: 'CalemAssetDowntimeFormNew',
		title: 'asset_downtime',
		icon: 'CalemAsset',
		controller: 'CalemAssetDowntimeFormNew',
		model: 'asset_downtime', 
		view: {CalemViewRefInfo: {id: 'CalemAssetDowntimeViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemAssetDowntimeFormEdit']={
	CalemFormInfo: {
		id: 'CalemAssetDowntimeFormEdit',
		title: 'asset_downtime',
		icon: 'CalemAsset',
		controller: 'CalemAssetDowntimeFormEdit',
		model: 'asset_downtime', 
   	view: {CalemViewRefInfo: {id: 'CalemAssetDowntimeViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemAssetDowntimeFormRead']={
	CalemFormInfo: {
		id: 'CalemAssetDowntimeFormRead',
		title: 'asset_downtime',
		icon: 'CalemAsset',
		controller: 'CalemAssetDowntimeFormRead',
		model: 'asset_downtime', 
		view: {CalemViewRefInfo: {id: 'CalemAssetDowntimeViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * Asset comment
 */
CalemItemDef['CalemAssetCommentFormList']={
	CalemFormInfo: {
		id: 'CalemAssetCommentFormList',
		title: 'asset_comment',
		icon: 'CalemAsset',
		controller: 'CalemAssetCommentFormList',
		model: 'asset_comment', 
		view: {CalemViewRefInfo: {id: 'CalemAssetCommentViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemAssetCommentFormNew']={
	CalemFormInfo: {
		id: 'CalemAssetCommentFormNew',
		title: 'asset_comment',
		icon: 'CalemAsset',
		controller: 'CalemAssetCommentFormNew',
		model: 'asset_comment', 
		view: {CalemViewRefInfo: {id: 'CalemAssetCommentViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemAssetCommentFormEdit']={
	CalemFormInfo: {
		id: 'CalemAssetCommentFormEdit',
		title: 'asset_comment',
		icon: 'CalemAsset',
		controller: 'CalemAssetCommentFormEdit',
		model: 'asset_comment', 
   	view: {CalemViewRefInfo: {id: 'CalemAssetCommentViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemAssetCommentFormRead']={
	CalemFormInfo: {
		id: 'CalemAssetCommentFormRead',
		title: 'asset_comment',
		icon: 'CalemAsset',
		controller: 'CalemAssetCommentFormRead',
		model: 'asset_comment', 
		view: {CalemViewRefInfo: {id: 'CalemAssetCommentViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}


/**
 * Meter
 */
CalemItemDef['CalemAssetMeterFormList']={
	CalemFormInfo: {
		id: 'CalemAssetMeterFormList',
		title: 'asset_meter',
		icon: 'CalemAsset',
		controller: 'CalemAssetMeterFormList',
		model: 'asset_meter', 
		view: {CalemViewRefInfo: {id: 'CalemAssetMeterViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemAssetMeterFormLookup']={
	CalemFormInfo: {
		id: 'CalemAssetMeterFormLookup',
		title: 'asset_meter',
		icon: 'CalemAsset',
		controller: 'CalemAssetMeterFormLookup',
		model: 'asset_meter', 
		view: {CalemViewRefInfo: {id: 'CalemAssetMeterViewLookup'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemAssetMeterFormNew']={
	CalemFormInfo: {
		id: 'CalemAssetMeterFormNew',
		title: 'asset_meter',
		icon: 'CalemAsset',
		controller: 'CalemAssetMeterFormNew',
		model: 'asset_meter', 
		view: {CalemViewRefInfo: {id: 'CalemAssetMeterViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemAssetMeterFormEdit']={
	CalemFormInfo: {
		id: 'CalemAssetMeterFormEdit',
		title: 'asset_meter',
		icon: 'CalemAsset',
		controller: 'CalemAssetMeterFormEdit',
		model: 'asset_meter', 
   	view: {CalemViewRefInfo: {id: 'CalemAssetMeterViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemAssetMeterFormRead']={
	CalemFormInfo: {
		id: 'CalemAssetMeterFormRead',
		title: 'asset_meter',
		icon: 'CalemAsset',
		controller: 'CalemAssetMeterFormRead',
		model: 'asset_meter', 
		view: {CalemViewRefInfo: {id: 'CalemAssetMeterViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * Meter reading
 */
CalemItemDef['CalemAssetMeterReadingFormList']={
	CalemFormInfo: {
		id: 'CalemAssetMeterReadingFormList',
		title: 'meter_transaction',
		icon: 'CalemAsset',
		controller: 'CalemAssetMeterReadingFormList',
		model: 'meter_transaction', 
		view: {CalemViewRefInfo: {id: 'CalemAssetMeterReadingViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemAssetMeterReadingFormNew']={
	CalemFormInfo: {
		id: 'CalemAssetMeterReadingFormNew',
		title: 'meter_transaction',
		icon: 'CalemAsset',
		controller: 'CalemAssetMeterReadingFormNew',
		model: 'meter_transaction', 
		view: {CalemViewRefInfo: {id: 'CalemAssetMeterReadingViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemAssetMeterReadingFormRead']={
	CalemFormInfo: {
		id: 'CalemAssetMeterReadingFormRead',
		title: 'meter_transaction',
		icon: 'CalemAsset',
		controller: 'CalemAssetMeterReadingFormRead',
		model: 'meter_transaction', 
		view: {CalemViewRefInfo: {id: 'CalemAssetMeterReadingViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}


/**
 * Part
 */
CalemItemDef['CalemAssetPartFormList']={
	CalemFormInfo: {
		id: 'CalemAssetPartFormList',
		title: 'asset_part',
		icon: 'CalemAsset',
		controller: 'CalemAssetPartFormList',
		model: 'asset_part', 
		view: {CalemViewRefInfo: {id: 'CalemAssetPartViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemAssetPartFormNew']={
	CalemFormInfo: {
		id: 'CalemAssetPartFormNew',
		title: 'asset_part',
		icon: 'CalemAsset',
		controller: 'CalemAssetPartFormNew',
		model: 'asset_part', 
		view: {CalemViewRefInfo: {id: 'CalemAssetPartViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemAssetPartFormEdit']={
	CalemFormInfo: {
		id: 'CalemAssetPartFormEdit',
		title: 'asset_part',
		icon: 'CalemAsset',
		controller: 'CalemAssetPartFormEdit',
		model: 'asset_part', 
   	view: {CalemViewRefInfo: {id: 'CalemAssetPartViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemAssetPartFormRead']={
	CalemFormInfo: {
		id: 'CalemAssetPartFormRead',
		title: 'asset_part',
		icon: 'CalemAsset',
		controller: 'CalemAssetPartFormRead',
		model: 'asset_part', 
		view: {CalemViewRefInfo: {id: 'CalemAssetPartViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * Depreciation
 */
CalemItemDef['CalemAssetDepreciationFormList']={
	CalemFormInfo: {
		id: 'CalemAssetDepreciationFormList',
		title: 'asset_depreciation',
		icon: 'CalemAsset',
		controller: 'CalemAssetDepreciationFormList',
		model: 'asset_depreciation', 
		view: {CalemViewRefInfo: {id: 'CalemAssetDepreciationViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemAssetDepreciationFormNew']={
	CalemFormInfo: {
		id: 'CalemAssetDepreciationFormNew',
		title: 'asset_depreciation',
		icon: 'CalemAsset',
		controller: 'CalemAssetDepreciationFormNew',
		model: 'asset_depreciation', 
		view: {CalemViewRefInfo: {id: 'CalemAssetDepreciationViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemAssetDepreciationFormEdit']={
	CalemFormInfo: {
		id: 'CalemAssetDepreciationFormEdit',
		title: 'asset_depreciation',
		icon: 'CalemAsset',
		controller: 'CalemAssetDepreciationFormEdit',
		model: 'asset_depreciation', 
   	view: {CalemViewRefInfo: {id: 'CalemAssetDepreciationViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemAssetDepreciationFormRead']={
	CalemFormInfo: {
		id: 'CalemAssetDepreciationFormRead',
		title: 'asset_depreciation',
		icon: 'CalemAsset',
		controller: 'CalemAssetDepreciationFormRead',
		model: 'asset_depreciation', 
		view: {CalemViewRefInfo: {id: 'CalemAssetDepreciationViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * Manufacturer
 */
CalemItemDef['CalemManufacturerFormList']={
	CalemFormInfo: {
		id: 'CalemManufacturerFormList',
		title: 'manufacturer_list',
		icon: 'CalemAsset',
		controller: 'CalemManufacturerFormList',
		model: 'manufacturer', 
		view: {CalemViewRefInfo: {id: 'CalemManufacturerViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemManufacturerFormSearch'
	}
}

CalemItemDef['CalemManufacturerFormLookup']={
	CalemFormInfo: {
		id: 'CalemManufacturerFormLookup',
		title: 'manufacturer',
		icon: 'CalemAsset',
		controller: 'CalemManufacturerFormLookup',
		model: 'manufacturer', 
		view: {CalemViewRefInfo: {id: 'CalemManufacturerViewLookup'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemManufacturerFormSearch'
	}
}

CalemItemDef['CalemManufacturerFormNew']={
	CalemFormInfo: {
		id: 'CalemManufacturerFormNew',
		title: 'manufacturer',
		icon: 'CalemAsset',
		controller: 'CalemManufacturerFormNew',
		model: 'manufacturer', 
		view: {CalemViewRefInfo: {id: 'CalemManufacturerViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemManufacturerFormEdit']={
	CalemFormInfo: {
		id: 'CalemManufacturerFormEdit',
		title: 'manufacturer',
		icon: 'CalemAsset',
		controller: 'CalemManufacturerFormEdit',
		model: 'manufacturer', 
   	view: {CalemViewRefInfo: {id: 'CalemManufacturerViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemManufacturerFormRead']={
	CalemFormInfo: {
		id: 'CalemManufacturerFormRead',
		title: 'manufacturer',
		icon: 'CalemAsset',
		controller: 'CalemManufacturerFormRead',
		model: 'manufacturer', 
		view: {CalemViewRefInfo: {id: 'CalemManufacturerViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemManufacturerFormSearch']={
	CalemFormInfo: {
		id: 'CalemManufacturerFormSearch',
		title: 'manufacturer',
		icon: 'CalemAsset',
		controller: 'CalemFormSearchEdit',
		model: 'manufacturer', 
		view: {CalemViewRefInfo: {id: 'CalemManufacturerViewSearch'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * AssetType
 */
CalemItemDef['CalemAssetTypeFormList']={
	CalemFormInfo: {
		id: 'CalemAssetTypeFormList',
		title: 'asset_type_list',
		icon: 'CalemAsset',
		controller: 'CalemAssetTypeFormList',
		model: 'asset_type', 
		view: {CalemViewRefInfo: {id: 'CalemAssetTypeViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemAssetTypeFormSearch'
	}
}

CalemItemDef['CalemAssetTypeFormLookup']={
	CalemFormInfo: {
		id: 'CalemAssetTypeFormLookup',
		title: 'asset_type',
		icon: 'CalemAsset',
		controller: 'CalemAssetTypeFormLookup',
		model: 'asset_type', 
		view: {CalemViewRefInfo: {id: 'CalemAssetTypeViewLookup'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemAssetTypeFormSearch'
	}
}

CalemItemDef['CalemAssetTypeFormNew']={
	CalemFormInfo: {
		id: 'CalemAssetTypeFormNew',
		title: 'asset_type',
		icon: 'CalemAsset',
		controller: 'CalemAssetTypeFormNew',
		model: 'asset_type', 
		view: {CalemViewRefInfo: {id: 'CalemAssetTypeViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemAssetTypeFormEdit']={
	CalemFormInfo: {
		id: 'CalemAssetTypeFormEdit',
		title: 'asset_type',
		icon: 'CalemAsset',
		controller: 'CalemAssetTypeFormEdit',
		model: 'asset_type', 
   	view: {CalemViewRefInfo: {id: 'CalemAssetTypeViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemAssetTypeFormRead']={
	CalemFormInfo: {
		id: 'CalemAssetTypeFormRead',
		title: 'asset_type',
		icon: 'CalemAsset',
		controller: 'CalemAssetTypeFormRead',
		model: 'asset_type', 
		view: {CalemViewRefInfo: {id: 'CalemAssetTypeViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemAssetTypeFormSearch']={
	CalemFormInfo: {
		id: 'CalemAssetTypeFormSearch',
		title: 'asset_type',
		icon: 'CalemAsset',
		controller: 'CalemFormSearchEdit',
		model: 'asset_type', 
		view: {CalemViewRefInfo: {id: 'CalemAssetTypeViewSearch'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * MeterType
 */
CalemItemDef['CalemMeterTypeFormList']={
	CalemFormInfo: {
		id: 'CalemMeterTypeFormList',
		title: 'meter_type_list',
		icon: 'CalemAsset',
		controller: 'CalemMeterTypeFormList',
		model: 'meter_type', 
		view: {CalemViewRefInfo: {id: 'CalemMeterTypeViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemMeterTypeFormSearch'
	}
}

CalemItemDef['CalemMeterTypeFormLookup']={
	CalemFormInfo: {
		id: 'CalemMeterTypeFormLookup',
		title: 'meter_type',
		icon: 'CalemAsset',
		controller: 'CalemMeterTypeFormLookup',
		model: 'meter_type', 
		view: {CalemViewRefInfo: {id: 'CalemMeterTypeViewLookup'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemMeterTypeFormSearch'
	}
}

CalemItemDef['CalemMeterTypeFormNew']={
	CalemFormInfo: {
		id: 'CalemMeterTypeFormNew',
		title: 'meter_type',
		icon: 'CalemAsset',
		controller: 'CalemMeterTypeFormNew',
		model: 'meter_type', 
		view: {CalemViewRefInfo: {id: 'CalemMeterTypeViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemMeterTypeFormEdit']={
	CalemFormInfo: {
		id: 'CalemMeterTypeFormEdit',
		title: 'meter_type',
		icon: 'CalemAsset',
		controller: 'CalemMeterTypeFormEdit',
		model: 'meter_type', 
   	view: {CalemViewRefInfo: {id: 'CalemMeterTypeViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemMeterTypeFormRead']={
	CalemFormInfo: {
		id: 'CalemMeterTypeFormRead',
		title: 'meter_type',
		icon: 'CalemAsset',
		controller: 'CalemMeterTypeFormRead',
		model: 'meter_type', 
		view: {CalemViewRefInfo: {id: 'CalemMeterTypeViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemMeterTypeFormSearch']={
	CalemFormInfo: {
		id: 'CalemMeterTypeFormSearch',
		title: 'meter_type',
		icon: 'CalemAsset',
		controller: 'CalemFormSearchEdit',
		model: 'meter_type', 
		view: {CalemViewRefInfo: {id: 'CalemMeterTypeViewSearch'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

//Meter select form list
CalemItemDef['CalemAssetMeterSelectFormList']={
	CalemFormInfo: {
		id: 'CalemAssetMeterSelectFormList',
		title: 'asset_meter_select',
		icon: 'CalemAsset',
		controller: 'CalemAssetMeterSelectFormList',
		model: 'asset_meter', 
		view: {CalemViewRefInfo: {id: 'CalemAssetMeterSelectViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemAssetFormSearch'
	}
} 

/**
 * Contract
 */
CalemItemDef['CalemAssetContractFormList']={
	CalemFormInfo: {
		id: 'CalemAssetContractFormList',
		title: 'asset_contract',
		icon: 'CalemAsset',
		controller: 'CalemAssetContractFormList',
		model: 'asset_contract', 
		view: {CalemViewRefInfo: {id: 'CalemAssetContractViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemAssetContractFormNew']={
	CalemFormInfo: {
		id: 'CalemAssetContractFormNew',
		title: 'asset_contract',
		icon: 'CalemAsset',
		controller: 'CalemAssetContractFormNew',
		model: 'asset_contract', 
		view: {CalemViewRefInfo: {id: 'CalemAssetContractViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemAssetContractFormEdit']={
	CalemFormInfo: {
		id: 'CalemAssetContractFormEdit',
		title: 'asset_contract',
		icon: 'CalemAsset',
		controller: 'CalemAssetContractFormEdit',
		model: 'asset_contract', 
   	view: {CalemViewRefInfo: {id: 'CalemAssetContractViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemAssetContractFormRead']={
	CalemFormInfo: {
		id: 'CalemAssetContractFormRead',
		title: 'asset_contract',
		icon: 'CalemAsset',
		controller: 'CalemAssetContractFormRead',
		model: 'asset_contract', 
		view: {CalemViewRefInfo: {id: 'CalemAssetContractViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * Asset service
 */
CalemItemDef['CalemAssetServiceLogFormList']={
	CalemFormInfo: {
		id: 'CalemAssetServiceLogFormList',
		title: 'asset_service_log',
		icon: 'CalemAsset',
		controller: 'CalemAssetServiceLogFormList',
		model: 'asset_service_log', 
		view: {CalemViewRefInfo: {id: 'CalemAssetServiceLogViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemAssetServiceLogFormRead']={
	CalemFormInfo: {
		id: 'CalemAssetServiceLogFormRead',
		title: 'asset_service_log',
		icon: 'CalemAsset',
		controller: 'CalemAssetServiceLogFormRead',
		model: 'asset_service_log', 
		view: {CalemViewRefInfo: {id: 'CalemAssetServiceLogViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemAssetServiceLogNoteFormNew']={
	CalemFormInfo: {
		id: 'CalemAssetServiceLogNoteFormNew',
		title: 'asset_service_log',
		icon: 'CalemAsset',
		controller: 'CalemAssetServiceLogNoteFormNew',
		model: 'asset_service_log', 
		view: {CalemViewRefInfo: {id: 'CalemAssetServiceLogNoteViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * Asset activities
 */
CalemItemDef['CalemAssetActivityLogFormList']={
	CalemFormInfo: {
		id: 'CalemAssetActivityLogFormList',
		title: 'asset_view_activity_log',
		icon: 'CalemAsset',
		controller: 'CalemAssetActivityLogFormList',
		model: 'workorder', 
		view: {CalemViewRefInfo: {id: 'CalemAssetActivityLogViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemAssetActivityLogFormRead']={
	CalemFormInfo: {
		id: 'CalemAssetActivityLogFormRead',
		title: 'asset_view_activity_log',
		icon: 'CalemAsset',
		controller: 'CalemAssetActivityLogFormRead',
		model: 'workorder', 
		view: {CalemViewRefInfo: {id: 'CalemAssetActivityLogViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * Child
 */
CalemItemDef['CalemAssetChildFormList']={
	CalemFormInfo: {
		id: 'CalemAssetChildFormList',
		title: 'asset_child',
		icon: 'CalemAsset',
		controller: 'CalemAssetChildFormList',
		model: 'asset', 
		view: {CalemViewRefInfo: {id: 'CalemAssetChildViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemAssetChildFormRead']={
	CalemFormInfo: {
		id: 'CalemAssetChildFormRead',
		title: 'asset_child',
		icon: 'CalemAsset',
		controller: 'CalemAssetChildFormRead',
		model: 'asset', 
		view: {CalemViewRefInfo: {id: 'CalemAssetChildViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * LocChild
 */
CalemItemDef['CalemAssetLocChildFormList']={
	CalemFormInfo: {
		id: 'CalemAssetLocChildFormList',
		title: 'asset_loc_child',
		icon: 'CalemAsset',
		controller: 'CalemAssetLocChildFormList',
		model: 'asset', 
		view: {CalemViewRefInfo: {id: 'CalemAssetLocChildViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemAssetLocChildFormRead']={
	CalemFormInfo: {
		id: 'CalemAssetLocChildFormRead',
		title: 'asset_loc_child',
		icon: 'CalemAsset',
		controller: 'CalemAssetLocChildFormRead',
		model: 'asset', 
		view: {CalemViewRefInfo: {id: 'CalemAssetLocChildViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * Asset List report
 */
CalemItemDef['CalemAssetListFormList']={
	CalemFormInfo: {
		id: 'CalemAssetListFormList',
		title: 'asset_report_list',
		icon: 'CalemAsset',
		controller: 'CalemAssetListFormList',
		model: 'asset', 
		view: {CalemViewRefInfo: {id: 'CalemAssetReportList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemAssetFormSearch'
	}
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
/**
 * Admin module
 */
CalemModuleDef["modCalemAsset"]= {
	CalemModuleInfo: {
      id:"modCalemAsset",
      icon:"CalemAsset",
      defaultMenu: 'CalemAssetFormList',
      toolBar: {
        CalemToolBarInfo: {
        	  type: 'CalemToolBar',
        	  layout: ['modCalemAsset', 'sep', 'CalemAssetFormList', 'CalemAssetCodes', 'CalemModReport'],
        	  list: [
	         {CalemLabelInfo: {id: 'modCalemAsset', className: 'CalemModuleLabel'}},
	         
	         {CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
	         
	         {CalemMenuItemInfo: {id: 'CalemAssetFormList'}},
	         
	         {CalemMenuInfo: {
	      		menuButton: {CalemMenuButtonInfo: {id: 'CalemAssetCodes'}},
		      	menuList: [ {CalemMenuItemInfo: {id: 'CalemAssetTypeFormList'}},
		      	            {CalemMenuItemInfo: {id: 'CalemMeterTypeFormList'}},
		      	            {CalemMenuItemInfo: {id: 'CalemManufacturerFormList'}}
		      	      ]
	      		}
	      	},
	      	
	      	{CalemMenuInfo: {
	      		menuButton: {CalemMenuButtonInfo: {id: 'CalemModReport'}},
		      	menuList: [ {CalemMenuItemInfo: {id: 'CalemAssetListFormList'}}
		      	      ]
	      		}
	      	}
	      ] }
	}
	}
};

//Build Calem.js from client
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 


/**
 * CalemBudgetUpdateInvalidDateException
 */
function CalemBudgetUpdateInvalidDateException(table, errorInfo) {
	if (arguments.length==0) return;
	CalemErrorInfo.call(this, table, errorInfo);
}

CalemBudgetUpdateInvalidDateException.prototype = new CalemErrorInfo;
CalemBudgetUpdateInvalidDateException.prototype.constructor=CalemBudgetUpdateInvalidDateException;

CalemBudgetUpdateInvalidDateException.prototype.toString = function() {return "CalemBudgetUpdateInvalidDateException";}

CalemBudgetUpdateInvalidDateException.prototype.getMessage = 
function() {
	return CalemMsg.getMsg('budget_invalid_dates_exception');
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemBudgetTitleBo - some common business logic for BudgetTitle.
 */
function CalemBudgetTitleBo() {
}

CalemBudgetTitleBo.getInstance =
function() {
	if (!CalemBudgetTitleBo.singleton) {
		CalemBudgetTitleBo.singleton = new CalemBudgetTitleBo();
	}
	return CalemBudgetTitleBo.singleton;
}

CalemBudgetTitleBo.prototype._verifyDates =
function(view) {
	var verified=true;
	var startDate=view.getFieldValue('start_date');
	var endDate=view.getFieldValue('end_date');
	if (startDate && endDate && startDate >= endDate) {
		verified=false;
		var errMsg= CalemMsg.getMsg('invalid_start_end_date');
		view.setFieldError('start_date', errMsg);
		view.setFieldError('end_date', errMsg);
		throw errMsg;
	}
	return verified;
}
	
/**
 * Can the budget title be deleted?
 * If the budget title has detailed records do not allow a deletion.
 */
CalemBudgetTitleBo.prototype.canDelete =
function(recTitle, callback) {
	var reg=CalemContext.getInstance().getRegistry();
	var budgetDd=reg.getTableDd('budget');
	var qry=budgetDd.buildGetAllQuery();
	//Query condition
	var val=new CalemDbLookup(recTitle.id);
	var fld=new CalemDbField('budget', 'title_id');
	var dbExpr=new CalemDbExpr(fld, CalemDbExpr.EQ, val);
	qry.setWhere('budget', dbExpr);
	var dbQry=new CalemDbQuery();
	dbQry.add(qry)
	//Now do a bulk query with a callback
	reg.getCache().bulkLoad(dbQry, new AjxCallback(this, this.onDeleteFetchResult, callback));
}

CalemBudgetTitleBo.prototype.onDeleteFetchResult =
function(callback, result) {
	var recList=result['budget'];
	if (recList.getTotal() > 0) {//Prompt deletion now allowed.
		CalemInfoDialog.showIt(CalemMsg.getMsg('form_delete_title'), CalemMsg.getMsg('budget_not_empty'));
	} else {
		callback.run(true);
	}
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemBudgetBo
 */
function CalemBudgetBo() {
}

CalemBudgetBo.getInstance =
function() {
	if (!CalemBudgetBo.singleton) {
		CalemBudgetBo.singleton = new CalemBudgetBo();
	}
	return CalemBudgetBo.singleton;
}

CalemBudgetBo.prototype.canModify =
function(recBudget) {
	var rtn=(recBudget.getField('state_id').getRawValue()!='budget_state_closed');
	if (!rtn) {
		CalemInfoDialog.showIt(CalemMsg.getMsg('form_budget_edit'),CalemMsg.getMsg('budget_closed_no_edit'));
	}
	return rtn;
}

CalemBudgetBo.prototype.canUpdate =
function(recBudget) {
	var rtn=(recBudget.getField('state_id').getRawValue()!='budget_state_closed');
	if (!rtn) {
		CalemInfoDialog.showIt(CalemMsg.getMsg('form_budget_update'),CalemMsg.getMsg('budget_closed_no_update'));
	}
	return rtn;
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget module menu
 */

// Budget list form
CalemMenuDef['CalemBudgetTitleFormList'] = {
	id: 'CalemBudgetTitleFormList',
	title: 'budget_list',
	icon: 'CalemBudget',
	disIcon: null,
	enabled: true,
	tooltip: null, 
	menu_style: DwtMenuItem.RADIO_STYLE,
	menu_className: null, 				   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}	
};

// update actual from EAM
CalemMenuDef['CalemTbBudgetUpdate'] = {
	id: 'CalemTbBudgetUpdate',
	title: 'menu_budget_update_actual',
	icon: 'CalemBudgetUpdate',
	disIcon: null,
	enabled: false,
	tooltip: null, 
	style: (DwtLabel.IMAGE_LEFT | DwtLabel.ALIGN_LEFT),  	
	btn_style: null,			   
	radioGroupId: null,
	idx: null,
	className: 'TBButton',
	posStyle: null,
	onSelect: {CalemMenuSelect: {listener: 'BudgetUpdateListener'}}
};

CalemMenuDef['CalemTbBudgetReopen'] = {
	id: 'CalemTbBudgetReopen',
	title: 'budget_reopen_budget',
	icon: 'CalemReopen',
	disIcon: null,
	enabled: true,
	tooltip: null, 
	className: 'TBButton',
	onSelect: {CalemMenuSelect: {listener: 'ReopenBudget'}}	
};

CalemMenuDef['CalemTbBudgetStatusLog'] = {
	id: 'CalemTbBudgetStatusLog',
	title: 'budget_view_status_log',
	icon: 'CalemOpen',
	disIcon: null,
	enabled: true,
	tooltip: null, 
	className: 'TBButton',
	onSelect: {CalemMenuSelect: {listener: 'BudgetStatusLog'}}	
};

// Budget list form
CalemMenuDef['CalemCostcodeFormList'] = {
	id: 'CalemCostcodeFormList',
	title: 'costcode',
	icon: 'CalemBudget',
	disIcon: null,
	enabled: true,
	tooltip: null, 
	menu_style: DwtMenuItem.RADIO_STYLE,
	menu_className: null, 				   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}	
};/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemBudgetTitleViewList']={
	CalemViewInfo: {
		id: 'CalemBudgetTitleViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'budget_title', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep', 'CalemTbPrint', 'sep2', 'CalemTbCustomize'],
					list: [
				   //New
					{CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: {
						id: 'CalemTbPrint', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'title', width: 130}},
			  			   {CalemCol: {id: 'start_date', width: 110}},
			  			   {CalemCol: {id: 'end_date', width: 110}},
			  			   {CalemCol: {id: 'note', width: 150}},
			  			   {CalemCol: {id: 'modified_id', width: 120}},
			  			   {CalemCol: {id: 'modified_time', width: 160}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemBudgetTitleViewNew']={
	CalemViewInfo: {
		id: 'CalemBudgetTitleViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 2}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}		                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbCancel'
					  }
					},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}	
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'budget_title', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemBudgetTitleViewEdit']={
	CalemViewInfo: {
		id: 'CalemBudgetTitleViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 2}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}					                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [		  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
					
					{ CalemButtonInfo: {
						id: 'CalemTbCancel'
					  }
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'budget_title', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemBudgetTitleViewRead']={
	CalemViewInfo: {
		id: 'CalemBudgetTitleViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}}					                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'sep', 'CalemTbPrev', 'CalemTbNext','CalemTbBudgetUpdate', 'CalemTbPrint', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrint',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'budget_title', className: 'CalemEditCaption'}
			}	
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemBudgetTitleViewSearch']={
	CalemViewInfo: {
		id: 'CalemBudgetTitleViewSearch',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},		
               {CalemTrInfo: {cols: ['lb_save_search', '_save_search']}}                                                                                                 				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbApplySave', 'sep2', 'CalemTbApply', 'CalemTbSave',  'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	
					   { CalemButtonInfo: {
							 id: 'CalemTbApplySave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
						
						{ CalemButtonInfo: {
							id: 'CalemTbApply', 
							customInfo: {
							  	   CalemMenuCustomInfo: {
							         enabled: false,
							         events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
							  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
					
					
					   
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},   			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'budget_title', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			
			'lb_save_search': {
				CalemLabelInfo: {id: 'save_search', className: 'CalemEditSection'}
			},
			'_save_search': {
				CalemSearchSaveInfo: {size: 30}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemBudgetViewList']={
	CalemViewInfo: {
		id: 'CalemBudgetViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'budget', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep', 'CalemTbPrint', 'sep2', 'CalemTbCustomize'],
					list: [
				   //New
					{CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
											  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: {
						id: 'CalemTbPrint', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'budget', width: 200}},
			  			   {CalemCol: {id: 'start_date', width: 110}},
			  			   {CalemCol: {id: 'end_date', width: 110}},
			  			   {CalemCol: {id: 'costcode_id', width: 110}},
			  			   {CalemCol: {id: 'budgeted', width: 150}},
			  			   {CalemCol: {id: 'app', width: 150}},
			  			   {CalemCol: {id: 'accounting', width: 150}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemBudgetViewNew']={
	CalemViewInfo: {
		id: 'CalemBudgetViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbCancel'
					  }
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}	
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'budget', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemBudgetViewRead']={
	CalemViewInfo: {
		id: 'CalemBudgetViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},						             
					//Last changes
					{CalemTrInfo: {cols: ['lb_last_changes']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{CalemButtonInfo: { id: 'CalemTbNew' }},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
					
					{ CalemButtonInfo: { id: 'CalemTbBudgetReopen' }},
					
					{ CalemButtonInfo: {id: 'CalemTbBudgetStatusLog'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbBudgetUpdate',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'budget', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_last_changes': {
				CalemLabelInfo: {id: 'last_changes', className: 'CalemEditSection'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemBudgetViewEdit']={
	CalemViewInfo: {
		id: 'CalemBudgetViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'budget', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemCostcodeViewList']={
	CalemViewInfo: {
		id: 'CalemCostcodeViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'costcode', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep', 'CalemTbPrint', 'sep2', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel' }},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'costcode', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Lookup views
 */
CalemViewDef['CalemCostcodeViewLookup']={
	CalemViewInfo: {
		id: 'CalemCostcodeViewLookup',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'costcode', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbSelect', 'CalemTbCancel', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					{ CalemButtonInfo: {
						id: 'CalemTbPrint', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbSelect', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'costcode', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemCostcodeViewNew']={
	CalemViewInfo: {
		id: 'CalemCostcodeViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'costcode', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemCostcodeViewRead']={
	CalemViewInfo: {
		id: 'CalemCostcodeViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                            				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'costcode', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemCostcodeViewEdit']={
	CalemViewInfo: {
		id: 'CalemCostcodeViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                         				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'costcode', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemCostcodeViewSearch']={
	CalemViewInfo: {
		id: 'CalemCostcodeViewSearch',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},		
               {CalemTrInfo: {cols: ['lb_save_search', '_save_search']}}                                                                                                 				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbApplySave', 'sep2', 'CalemTbApply', 'CalemTbSave',  'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	
					   { CalemButtonInfo: {
							 id: 'CalemTbApplySave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
						
						{ CalemButtonInfo: {
							id: 'CalemTbApply', 
							customInfo: {
							  	   CalemMenuCustomInfo: {
							         enabled: false,
							         events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
							  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
					
					
					   
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},   			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'costcode', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			
			'lb_save_search': {
				CalemLabelInfo: {id: 'save_search', className: 'CalemEditSection'}
			},
			'_save_search': {
				CalemSearchSaveInfo: {size: 30}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemBudgetStatusLogViewList']={
	CalemViewInfo: {
		id: 'CalemBudgetStatusLogViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'budget_status_log', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbOpen', 'CalemTbDataRefresh', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
					
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'to_state_id', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemBudgetStatusLogViewRead']={
	CalemViewInfo: {
		id: 'CalemBudgetStatusLogViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'budget_status_log', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemBudgetStatusLogNoteViewNew']={
	CalemViewInfo: {
		id: 'CalemBudgetStatusLogNoteViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'budget_status_log', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

function CalemBudgetStatusLogNoteCollected(table, statusRowInsert, budgetRowUpdate) {
	this._table=table;
	this._statusRowInsert=statusRowInsert;
	this._budgetRowUpdate = budgetRowUpdate;
}

CalemBudgetStatusLogNoteCollected.prototype.toString = function() {return "CalemBudgetStatusLogNoteCollected";}

CalemBudgetStatusLogNoteCollected.prototype.onAction =
function(fm) {
	if (fm.onBudgetStatusLogNoteCollected) 
		fm.onBudgetStatusLogNoteCollected(this._table, this._statusRowInsert, this._budgetRowUpdate);	
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemBudgetTitleFormList
 */
function CalemBudgetTitleFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
}

CalemBudgetTitleFormList.prototype = new CalemFormList;
CalemBudgetTitleFormList.prototype.constructor = CalemBudgetTitleFormList;

CalemBudgetTitleFormList.prototype.toString = function() { return "CalemBudgetTitleFormList";}

/**
 * Business APIs
 */
CalemBudgetTitleFormList.prototype._getFormNewId =
function() {
	return 'CalemBudgetTitleFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemBudgetTitleFormList.prototype._onOpen =
function(evt) {
	//Get the selection event
    var item=CalemEvent.getItem(evt);
	//Prepare data for master detail view.
	var data = {modelItem: this._modelItem, item: item};
	//pass-through current data model and selection
	this._openForm('CalemBudgetTitleFormMdTab', data);
} 

/**
 * Deletion must be handled specially
 */
CalemBudgetTitleFormList.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemBudgetTitleBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemBudgetTitleFormNew
 */
function CalemBudgetTitleFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemBudgetTitleFormNew.prototype = new CalemFormNew;
CalemBudgetTitleFormNew.prototype.constructor = CalemBudgetTitleFormNew;

CalemBudgetTitleFormNew.prototype.toString = function() { return "CalemBudgetTitleFormNew";}

/**
 * Business APIs
 */
CalemBudgetTitleFormNew.prototype._verifyInputBo =
function() {
	return CalemBudgetTitleBo.getInstance()._verifyDates(this._view);
}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemBudgetTitleFormEdit
 */
function CalemBudgetTitleFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemBudgetTitleFormEdit.prototype = new CalemFormEdit;
CalemBudgetTitleFormEdit.prototype.constructor = CalemBudgetTitleFormEdit;

CalemBudgetTitleFormEdit.prototype.toString = function() { return "CalemBudgetTitleFormEdit";}

/**
 * Business APIs
 */
CalemBudgetTitleFormEdit.prototype._verifyInputBo =
function() {
   return CalemBudgetTitleBo.getInstance()._verifyDates(this._view);
}

/**
 * Deletion must be handled specially
 */
CalemBudgetTitleFormEdit.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=this._modelItem.getCurrentRecord();
	//fake an event for code-reuse
	var ev=new CalemSelectionEvent(true);
	ev.add(rec);
	var data={event: ev};
	CalemBudgetTitleBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {data: data}));
}

CalemBudgetTitleFormEdit.prototype.onDeleteBoCallback =
function(param, del) {
	if (del) CalemFormEdit.prototype.onDeleteWithData.call(this, param.data); //Continue on with default handling.
}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemBudgetTitleFormRead
 */
function CalemBudgetTitleFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormRead.call(this, parent, formId, data);
}

CalemBudgetTitleFormRead.prototype = new CalemFormRead;
CalemBudgetTitleFormRead.prototype.constructor = CalemBudgetTitleFormRead;

CalemBudgetTitleFormRead.prototype.toString = function() { return "CalemBudgetTitleFormRead";}

/**
 * Business APIs
 */
CalemBudgetTitleFormRead.prototype._getFormNewId =
function() {
	return 'CalemBudgetTitleFormNew';
} 

CalemBudgetTitleFormRead.prototype._getFormEditId =
function() {
	return 'CalemBudgetTitleFormEdit';
}

/**
 * Deletion must be handled specially
 */
CalemBudgetTitleFormRead.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemBudgetTitleBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemBudgetTitleFormMdTab
 */
function CalemBudgetTitleFormMdTab(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormMdTab.call(this, parent, formId, data);
}

CalemBudgetTitleFormMdTab.prototype = new CalemFormMdTab;
CalemBudgetTitleFormMdTab.prototype.constructor = CalemBudgetTitleFormMdTab;

CalemBudgetTitleFormMdTab.prototype.toString = function() { return "CalemBudgetTitleFormMdTab";}

/**
 * Business APIs
 */
CalemBudgetTitleFormMdTab.prototype.onBudgetStatusLogNoteCollected =
function(table, statusRowInsert, budgetRowUpdate) {	
	if (!this._formModel.getFormByModel(table)) return;
	this._formModel.getFormByModel(table).onBudgetStatusLogNoteCollected(table, statusRowInsert, budgetRowUpdate);
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemBudgetFormList
 */
function CalemBudgetFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
}

CalemBudgetFormList.prototype = new CalemFormListDet;
CalemBudgetFormList.prototype.constructor = CalemBudgetFormList;

CalemBudgetFormList.prototype.toString = function() { return "CalemBudgetFormList";}

/**
 * Business APIs
 */
CalemBudgetFormList.prototype._getFormNewId =
function(evt) {
	return 'CalemBudgetFormNew';
}

CalemBudgetFormList.prototype._getFormReadId =
function(evt) {	
	return 'CalemBudgetFormRead';
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemBudgetFormNew
 */
function CalemBudgetFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemBudgetFormNew.prototype = new CalemFormNew;
CalemBudgetFormNew.prototype.constructor = CalemBudgetFormNew;

CalemBudgetFormNew.prototype.toString = function() { return "CalemBudgetFormNew";}

/**
 * Business APIs
 */
CalemBudgetFormNew.prototype._verifyInputBo =
function() {
	return CalemBudgetTitleBo.getInstance()._verifyDates(this._view);
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemBudgetFormRead
 */
function CalemBudgetFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
	//Update budget listener
	this._updateListener=new AjxListener(this, this.onBudgetUpdate);
	this._reopenBudget = new AjxListener(this, this.onReopenBudget);
	this._budgetStatusLog=new AjxListener(this, this.onBudgetStatusLog);
	//Update callback
	this._onBudgetUpdateCb=new AjxCallback(this, this.onBudgetUpdateCb);
}

CalemBudgetFormRead.prototype = new CalemFormReadDet;
CalemBudgetFormRead.prototype.constructor = CalemBudgetFormRead;

CalemBudgetFormRead.prototype.toString = function() { return "CalemBudgetFormRead";}

/**
 * Business APIs
 */
CalemBudgetFormRead.prototype._getFormNewId =
function() {
	return 'CalemBudgetFormNew';
} 

CalemBudgetFormRead.prototype._getFormEditId =
function() {
	return 'CalemBudgetFormEdit';
}

CalemBudgetFormRead.prototype.getBudgetUpdateListener =
function(evt) {
	return this._updateListener;
} 

CalemBudgetFormRead.prototype.onBudgetUpdate =
function(evt) {
	if (!this._canUpdate()) return;
	//Soap call to update budget
	var rec=this._dataModel.getCurrentRecord();
	var rows={row_0: {budget_id: rec.id}};
	CalemSoapUtil._onSoapCall('UpdateBudgetActual', rows, this._onBudgetUpdateCb);
} 

CalemBudgetFormRead.prototype.onBudgetUpdateCb =
function(resp) {
	var rowResp=resp[0];
	if (rowResp.status == CalemForm.SOAP_SUCC) {
		this._reLoadData(true);		
	} else { //Need to display error.
		this._onSoapResponseException(rowResp);
	}
}

//Reopen
CalemBudgetFormRead.prototype.getReopenBudget =
function(evt) {
	return this._reopenBudget;
}

//get a change note
CalemBudgetFormRead.prototype.onReopenBudget =
function(evt) {
	var rec=this._dataModel.getCurrentRecord();
	if (!rec.id) return; //Not a valid record.
	if (rec.getField('state_id').getRawValue()!='budget_state_closed') {
		CalemInfoDialog.showIt(CalemMsg.getMsg('budget_reopen_budget'),CalemMsg.getMsg('budget_reopen_not_closed'));
		return;
	}
	
	var row=new Object();
	row['budget_id']=rec.id;
	row['to_state_id']='budget_state_reopen';
	row['from_state_id']=rec.getField('state_id').getRawValue();
	this._openEmbedForm('CalemBudgetStatusLogNoteFormNew', {row: row});
} 

//reopen
CalemBudgetFormRead.prototype.onBudgetStatusLogNoteCollected =
function(table, statusRowInsert, budgetRowUpdate) {
	var budgetRows=this._getBudgetReopenRows();
	var rows={UpdateData: budgetRows, InsertData: statusRowInsert};
	CalemSoapUtil._onSoapCall('ModifyDataTran', rows, this._soapEditTranSaveCallback);
}

CalemBudgetFormRead.prototype._getBudgetReopenRows =
function() {
	var rec=this._dataModel.getCurrentRecord();
	//Now let's reopen it by a soap call.
	var tableDd=this._modelItem.getTableDd();
	//prepare current record
	var current=rec.getJsonObject();
	var cRtn=CalemViewUtil.partitionData(tableDd, current);
	//prepare status change
	var update={state_id: 'budget_state_reopen'};
	var uRtn=CalemViewUtil.partitionData(tableDd, update);
	//Now also create a query to get the inserted data back if successful for updating front end.
	var tq=tableDd.buildGetOneQuery();
	//Now let's make a soap call with busy signal
	var rows={row_0: {base: {table: tableDd.getTableName(), current: cRtn.base, update: uRtn.base},
	                  custom: {table: tableDd.getCustomTableName(), current: cRtn.custom, update: uRtn.custom},
	                  sql: tq.getSql()} };
	return rows;
}

/**
 * Status log
 */
CalemBudgetFormRead.prototype.getBudgetStatusLog =
function() {
	return this._budgetStatusLog;
} 

CalemBudgetFormRead.prototype.onBudgetStatusLog =
function() {
	var rec=this._dataModel.getCurrentRecord();
	if (!rec.id) return; //not a valid record.
	
	var link=new CalemFieldMdInfo('budget_id', 'id');
	var ebInfo=new CalemEmbedInfo(this._parent, 'CalemBudgetStatusLogFormList', {parentRec: rec, link: link});
	this._embedForm(ebInfo);
}

/**
 * Checking for closed state before editing.
 */
CalemBudgetFormRead.prototype.canDelete =
function(evt) {
	return this._canModify();
}

CalemBudgetFormRead.prototype.canEdit =
function() {
	return this._canModify();
}  

CalemBudgetFormRead.prototype._canModify =
function() {
	var rec=this._dataModel.getCurrentRecord();
	return CalemBudgetBo.getInstance().canModify(rec);
}

CalemBudgetFormRead.prototype._canUpdate =
function() {
	var rec=this._dataModel.getCurrentRecord();
	return CalemBudgetBo.getInstance().canUpdate(rec);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemBudgetFormEdit
 */
function CalemBudgetFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemBudgetFormEdit.prototype = new CalemFormEdit;
CalemBudgetFormEdit.prototype.constructor = CalemBudgetFormEdit;

CalemBudgetFormEdit.prototype.toString = function() { return "CalemBudgetFormEdit";}

CalemBudgetFormEdit.prototype._verifyInputBo =
function() {
	return CalemBudgetTitleBo.getInstance()._verifyDates(this._view);
}

CalemBudgetFormEdit.prototype._onSave =
function(evt) {
	var rows=this._prepareDataEdit();
	var baseRow=rows['row_0'].base;
   //Check for status change or state change
	if (!baseRow.update['state_id']) { //No status/state change
		this._onSaveCall(rows); //done.
	} else {//Collect status/state change note
	   var rec=this._dataModel.getCurrentRecord();
		var row=new Object();
		row['budget_id']=rec.id;
		row['to_state_id']=baseRow.update['state_id'] || baseRow.current['state_id'];
		row['from_state_id']=baseRow.current['state_id'];
		this.collectStatusChangeNote({row: row, parentRows: rows});
	}
} 

CalemBudgetFormEdit.prototype.collectStatusChangeNote =
function(param) {
	this._openEmbedForm('CalemBudgetStatusLogNoteFormNew', param);
}

CalemBudgetFormEdit.prototype.onBudgetStatusLogNoteCollected =
function(table, statusRowInsert, budgetRowUpdate) {
	var rows={UpdateData: budgetRowUpdate, InsertData: statusRowInsert};
	CalemSoapUtil._onSoapCall('ModifyDataTran', rows, this._soapEditTranSaveCallback);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemCostcodeFormList
 */
function CalemCostcodeFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
}

CalemCostcodeFormList.prototype = new CalemFormList;
CalemCostcodeFormList.prototype.constructor = CalemCostcodeFormList;

CalemCostcodeFormList.prototype.toString = function() { return "CalemCostcodeFormList";}

/**
 * Business APIs
 */
CalemCostcodeFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemCostcodeFormNew';
} 

CalemCostcodeFormList.prototype._getFormReadId =
function(evt) {	
	return 'CalemCostcodeFormRead';
} 

/**
 * Deletion must be handled specially
 */
CalemCostcodeFormList.prototype.onDelete =
function(evt) {
	var rec=CalemEvent.getItem(evt);
	CalemCostcodeBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemCostcodeFormRead
 */
function CalemCostcodeFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormRead.call(this, parent, formId, data);
}

CalemCostcodeFormRead.prototype = new CalemFormRead;
CalemCostcodeFormRead.prototype.constructor = CalemCostcodeFormRead;

CalemCostcodeFormRead.prototype.toString = function() { return "CalemCostcodeFormRead";}

/**
 * Business APIs
 */
CalemCostcodeFormRead.prototype._getFormNewId =
function() {
	return 'CalemCostcodeFormNew';
} 

CalemCostcodeFormRead.prototype._getFormEditId =
function() {
	return 'CalemCostcodeFormEdit';
}

/**
 * Deletion must be handled specially
 */
CalemCostcodeFormRead.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemCostcodeBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemCostcodeFormNew
 */
function CalemCostcodeFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemCostcodeFormNew.prototype = new CalemFormNew;
CalemCostcodeFormNew.prototype.constructor = CalemCostcodeFormNew;

CalemCostcodeFormNew.prototype.toString = function() { return "CalemCostcodeFormNew";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemCostcodeFormEdit
 */
function CalemCostcodeFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemCostcodeFormEdit.prototype = new CalemFormEdit;
CalemCostcodeFormEdit.prototype.constructor = CalemCostcodeFormEdit;

CalemCostcodeFormEdit.prototype.toString = function() { return "CalemCostcodeFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemCostcodeFormLookup
 */
function CalemCostcodeFormLookup(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormLookup.call(this, parent, formId, data);
}

CalemCostcodeFormLookup.prototype = new CalemFormLookup;
CalemCostcodeFormLookup.prototype.constructor = CalemCostcodeFormLookup;

CalemCostcodeFormLookup.prototype.toString = function() { return "CalemCostcodeFormLookup";}

/**
 * Business APIs
 */
CalemCostcodeFormLookup.prototype._getFormNewId =
function() {
   return 'CalemCostcodeFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemCostcodeFormLookup.prototype._getFormReadId =
function(evt) {
	return 'CalemCostcodeFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemBudgetStatusLogFormList
 */
function CalemBudgetStatusLogFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDetNoMd.call(this, parent, formId, data);
}

CalemBudgetStatusLogFormList.prototype = new CalemFormListDetNoMd;
CalemBudgetStatusLogFormList.prototype.constructor = CalemBudgetStatusLogFormList;

CalemBudgetStatusLogFormList.prototype.toString = function() { return "CalemBudgetStatusLogFormList";}

/**
 * Business APIs
 */
CalemBudgetStatusLogFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemBudgetStatusLogFormRead';
} 

//D not cache this form
CalemBudgetStatusLogFormList.prototype.getCacheEmbedOnClose =
function() {
	return false; //close down upon close.
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemBudgetStatusLogFormRead
 */
function CalemBudgetStatusLogFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemBudgetStatusLogFormRead.prototype = new CalemFormReadDet;
CalemBudgetStatusLogFormRead.prototype.constructor = CalemBudgetStatusLogFormRead;

CalemBudgetStatusLogFormRead.prototype.toString = function() { return "CalemBudgetStatusLogFormRead";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemBudgetStatusLogNoteFormNew
 */
function CalemBudgetStatusLogNoteFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemBudgetStatusLogNoteFormNew.prototype = new CalemFormNew;
CalemBudgetStatusLogNoteFormNew.prototype.constructor = CalemBudgetStatusLogNoteFormNew;

CalemBudgetStatusLogNoteFormNew.prototype.toString = function() { return "CalemBudgetStatusLogNoteFormNew";}
 
/**
 * Initialize data for the transaction
 */
CalemBudgetStatusLogNoteFormNew.prototype._createDataModel =
function(data) {
	CalemFormNew.prototype._createDataModel.call(this);
	this._instantiate(data);
}

CalemBudgetStatusLogNoteFormNew.prototype._instantiate =
function(data) {
	this._parentRows=data.parentRows;
	this._row=data.row;
}

CalemBudgetStatusLogNoteFormNew.prototype._loadData =
function() {
	this._dataModel.createNewRecord();
	var rec=this._dataModel.getCurrentRecord();
	rec.getField('changed_by_id').setRawValue(CalemContext.getInstance().getUserId());
	rec.getField('to_state_id').setRawValue(this._row['to_state_id']);
	rec.getField('from_state_id').setRawValue(this._row['from_state_id']);
	this.onDataLoaded(); //Mimic a callback so form opening can continue.
} 

CalemBudgetStatusLogNoteFormNew.prototype._render =
function() {
	CalemFormNew.prototype._render.call(this);
	this._setFieldsReadOnly(['to_state_id', 'from_state_id', 'changed_by_id']);
}

//save handling.
CalemBudgetStatusLogNoteFormNew.prototype._onSave = 
function() {
	var rows=this._prepareDataNew();
	this._closeAndResumeParentForm(new CalemBudgetStatusLogNoteCollected('budget', rows, this._parentRows));
}

CalemBudgetStatusLogNoteFormNew.prototype._getInputDataRow =
function() {
	var row=CalemFormNew.prototype._getInputDataRow.call(this);
	//add in more info
	row['budget_id']=this._row['budget_id'];
	return row;
}

//D not cache this form
CalemBudgetStatusLogNoteFormNew.prototype.getCacheEmbedOnClose =
function() {
	return false; //close down upon close.
}
 /*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget title forms
 */
CalemItemDef['CalemBudgetTitleFormList']={
	CalemFormInfo: {
		id: 'CalemBudgetTitleFormList',
		title: 'budget_list',
		icon: 'CalemBudget',
		controller: 'CalemBudgetTitleFormList',
		model: 'budget_title', 
		view: {CalemViewRefInfo: {id: 'CalemBudgetTitleViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemBudgetTitleFormSearch'
	}
}

CalemItemDef['CalemBudgetTitleFormLookup']={
	CalemFormInfo: {
		id: 'CalemBudgetTitleFormLookup',
		title: 'budget_list',
		icon: 'CalemBudget',
		controller: 'CalemBudgetTitleFormLookup',
		model: 'budget_title', 
		view: {CalemViewRefInfo: {id: 'CalemBudgetTitleViewLookup'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemBudgetTitleFormSearch'
	}
}

CalemItemDef['CalemBudgetTitleFormNew']={
	CalemFormInfo: {
		id: 'CalemBudgetTitleFormNew',
		title: 'budget_title',
		icon: 'CalemBudget',
		controller: 'CalemBudgetTitleFormNew',
		model: 'budget_title', 
		view: {CalemViewRefInfo: {id: 'CalemBudgetTitleViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemBudgetTitleFormEdit']={
	CalemFormInfo: {
		id: 'CalemBudgetTitleFormEdit',
		title: 'budget_title',
		icon: 'CalemBudget',
		controller: 'CalemBudgetTitleFormEdit',
		model: 'budget_title', 
   	view: {CalemViewRefInfo: {id: 'CalemBudgetTitleViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemBudgetTitleFormRead']={
	CalemFormInfo: {
		id: 'CalemBudgetTitleFormRead',
		title: 'budget_title',
		icon: 'CalemBudget',
		controller: 'CalemBudgetTitleFormRead',
		model: 'budget_title', 
		view: {CalemViewRefInfo: {id: 'CalemBudgetTitleViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemBudgetTitleFormSearch']={
	CalemFormInfo: {
		id: 'CalemBudgetTitleFormSearch',
		title: 'budget_title',
		icon: 'CalemBudget',
		controller: 'CalemFormSearchEdit',
		model: 'budget_title', 
		view: {CalemViewRefInfo: {id: 'CalemBudgetTitleViewSearch'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * This is the budget item definition
 */
CalemItemDef['CalemBudgetFormList']={
	CalemFormInfo: {
		id: 'CalemBudgetFormList',
		title: 'budget',
		icon: 'CalemBudget',
		controller: 'CalemBudgetFormList',
		model: 'budget', 
		view: {CalemViewRefInfo: {id: 'CalemBudgetViewList'}},
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemBudgetFormNew']={
	CalemFormInfo: {
		id: 'CalemBudgetFormNew',
		title: 'budget',
		icon: 'CalemBudget',
		controller: 'CalemBudgetFormNew',
		model: 'budget', 
		view: {CalemViewRefInfo: {id: 'CalemBudgetViewNew'}},
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemBudgetFormEdit']={
	CalemFormInfo: {
		id: 'CalemBudgetFormEdit',
		title: 'budget',
		icon: 'CalemBudget',
		controller: 'CalemBudgetFormEdit',
		model: 'budget', 
		view: {CalemViewRefInfo: {id: 'CalemBudgetViewEdit'}},
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemBudgetFormRead']={
	CalemFormInfo: {
		id: 'CalemBudgetFormRead',
		title: 'budget',
		icon: 'CalemBudget',
		controller: 'CalemBudgetFormRead',
		model: 'budget', 
		view: {CalemViewRefInfo: {id: 'CalemBudgetViewRead'}},
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * This is budget title MD combination.
 */
CalemItemDef['CalemBudgetTitleFormMdTab']={
	CalemFormMdTabInfo: {
		id: 'CalemBudgetTitleFormMdTab',
		title: 'budget',
		icon: 'CalemBudget',
		replaceType: CalemItemDef.REPLACE_BY_ID,
		//Three portions of info: layout, model and itemMap.
		layout: {
			CalemMdTabLayoutInfo: {
				tabList: ['tab_budget'],
				tabMap: {
					'tab_budget': {CalemTabLayoutInfo: ['CalemBudgetTitleFormRead','CalemBudgetFormList']}
				}
			} },
		model: {
				CalemFormModelInfo: {
					master: 'CalemBudgetTitleFormRead',
			      items: 
			             [{CalemFormLinkInfo: {id: 'CalemBudgetFormList', link: {CalemFieldMdInfo: {fld: 'title_id', parentFld: 'id'}}} }
			             ]
				}
		}, 
		itemMap : { //Default layout conf.
		  CalemItemMap :{
			 'CalemBudgetTitleFormRead' : {CalemFormLayoutInfo: {
								 		id: 'CalemBudgetTitleFormRead',
								 		fixed: true, //Move not allowed.
								 		layout: {CalemBlockLayoutInfo: {width: '100%', height: '-2'}} }
										},
			 
			 'CalemBudgetFormList' : {CalemFormLayoutInfo: {
								 		id: 'CalemBudgetFormList',
								 		layout: {CalemBlockLayoutInfo: {width: '100%', height: '-1'}} }
										},
			 
		  'tab_budget': {CalemTabInfo: {id: 'tab_budget'}}
		  }
		  
		} //itemMap
	} //MdTabInfo
}

/**
 * Costcode form
 */
CalemItemDef['CalemCostcodeFormList']={
	CalemFormInfo: {
		id: 'CalemCostcodeFormList',
		title: 'costcode',
		icon: 'CalemBudget',
		controller: 'CalemCostcodeFormList',
		model: 'costcode', 
		view: {CalemViewRefInfo: {id: 'CalemCostcodeViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemCostcodeFormSearch'
	}
}

CalemItemDef['CalemCostcodeFormLookup']={
	CalemFormInfo: {
		id: 'CalemCostcodeFormLookup',
		title: 'costcode',
		icon: 'CalemBudget',
		controller: 'CalemCostcodeFormLookup',
		model: 'costcode', 
		view: {CalemViewRefInfo: {id: 'CalemCostcodeViewLookup'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemCostcodeFormSearch'
	}
}

CalemItemDef['CalemCostcodeFormNew']={
	CalemFormInfo: {
		id: 'CalemCostcodeFormNew',
		title: 'costcode',
		icon: 'CalemBudget',
		controller: 'CalemCostcodeFormNew',
		model: 'costcode', 
		view: {CalemViewRefInfo: {id: 'CalemCostcodeViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemCostcodeFormEdit']={
	CalemFormInfo: {
		id: 'CalemCostcodeFormEdit',
		title: 'costcode',
		icon: 'CalemBudget',
		controller: 'CalemCostcodeFormEdit',
		model: 'costcode', 
   	view: {CalemViewRefInfo: {id: 'CalemCostcodeViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemCostcodeFormRead']={
	CalemFormInfo: {
		id: 'CalemCostcodeFormRead',
		title: 'costcode',
		icon: 'CalemBudget',
		controller: 'CalemCostcodeFormRead',
		model: 'costcode', 
		view: {CalemViewRefInfo: {id: 'CalemCostcodeViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemCostcodeFormSearch']={
	CalemFormInfo: {
		id: 'CalemCostcodeFormSearch',
		title: 'costcode',
		icon: 'CalemBudget',
		controller: 'CalemFormSearchEdit',
		model: 'costcode', 
		view: {CalemViewRefInfo: {id: 'CalemCostcodeViewSearch'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

//Budget status
CalemItemDef['CalemBudgetStatusLogFormList']={
	CalemFormInfo: {
		id: 'CalemBudgetStatusLogFormList',
		title: 'budget_status_log',
		icon: 'CalemBudget',
		controller: 'CalemBudgetStatusLogFormList',
		model: 'budget_status_log', 
		view: {CalemViewRefInfo: {id: 'CalemBudgetStatusLogViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemBudgetStatusLogFormRead']={
	CalemFormInfo: {
		id: 'CalemBudgetStatusLogFormRead',
		title: 'budget_status_log',
		icon: 'CalemBudget',
		controller: 'CalemBudgetStatusLogFormRead',
		model: 'budget_status_log', 
		view: {CalemViewRefInfo: {id: 'CalemBudgetStatusLogViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemBudgetStatusLogNoteFormNew']={
	CalemFormInfo: {
		id: 'CalemBudgetStatusLogNoteFormNew',
		title: 'budget_status_log',
		icon: 'CalemBudget',
		controller: 'CalemBudgetStatusLogNoteFormNew',
		model: 'budget_status_log', 
		view: {CalemViewRefInfo: {id: 'CalemBudgetStatusLogNoteViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemBudget
 */
CalemModuleDef["modCalemBudget"]= {
	CalemModuleInfo: {
      id:"modCalemBudget",
      icon:"CalemBudget",
      defaultMenu:"CalemBudgetTitleFormList",
      toolBar: {
        CalemToolBarInfo: {
        	  type: 'CalemToolBar',
        	  layout: ['modCalemBudget', 'sep', 'CalemBudgetTitleFormList', 'CalemCostcodeFormList'],
        	  list: [
	         {CalemLabelInfo: {id: 'modCalemBudget', className: 'CalemModuleLabel'}},
	         
	         {CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
	         
	         {CalemMenuItemInfo: {id: 'CalemBudgetTitleFormList'}},
	         
	         {CalemMenuItemInfo: {id: 'CalemCostcodeFormList'}}

	      ] }
	}
	}
};
//Build Calem.js from client
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmBo - business logic
 */
function CalemPmBo() {
}

CalemPmBo._pm_detail = ['pm_labor', 'pm_tool', 'pm_part', 'pm_downtime', 'pm_step', 'pm_safety', 'pm_doc',
                        'pm_audit', 'pm_comment', 'pm_dependency', 'pm_asset', 'workorder'];

CalemPmBo.getInstance =
function() {
	if (!CalemPmBo.singleton) {
		CalemPmBo.singleton = new CalemPmBo();
	}
	return CalemPmBo.singleton;
}

//Pm deletion check
CalemPmBo.prototype.canDeletePm =
function(recPm, callback) {
	var reg=CalemContext.getInstance().getRegistry();
	var dbQry=new CalemDbQuery();
	//Add details
	for (var i=0; i< CalemPmBo._pm_detail.length; i++ ) {
		var dd=reg.getTableDd(CalemPmBo._pm_detail[i]);
		var qry=dd.buildGetAllQueryByLookup('pm_id', recPm.id);
		dbQry.add(qry);
	}
	//Check for PM dependency
	var dd=reg.getTableDd('pm_dependency');
	var val=new CalemDbString(recPm.id);
	var fld1=new CalemDbField('pm_dependency', 'child_pm_id');
	var expr1=new CalemDbExpr(fld1, CalemDbExpr.EQ, val);
	dbQry.add(dd.buildGetAllQueryByExpr(expr1));
	//Now do a bulk query for count
	var boUtil=CalemBoUtil.getInstance();
	var soapCb=new AjxCallback(boUtil, boUtil.onDeleteByLookupResponse, callback);
	reg.getCache().bulkLoadCountBypassCache(dbQry, soapCb);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmAssetBo - business logic
 */
function CalemPmAssetBo() {
}

CalemPmAssetBo._asset_detail = ['pm_meter', 'pm_season'];

CalemPmAssetBo.getInstance =
function() {
	if (!CalemPmAssetBo.singleton) {
		CalemPmAssetBo.singleton = new CalemPmAssetBo();
	}
	return CalemPmAssetBo.singleton;
}

//Pm deletion check
CalemPmAssetBo.prototype.canDeletePmAsset =
function(rec, callback) {
	var boUtil=CalemBoUtil.getInstance();
	boUtil.canDeleteByLookup(CalemPmAssetBo._asset_detail, 'pm_asset_id', rec.id, callback);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmAssetMeterBo - business logic
 */
function CalemPmAssetMeterBo() {
}

CalemPmAssetMeterBo.getInstance =
function() {
	if (!CalemPmAssetMeterBo.singleton) {
		CalemPmAssetMeterBo.singleton = new CalemPmAssetMeterBo();
	}
	return CalemPmAssetMeterBo.singleton;
}

CalemPmAssetMeterBo.prototype.onLookup =
function(controller, parentFunc, fmId, lkupCallback, id, fld) {
	if (fld=='meter_id') {
		var link=new CalemFieldMdInfo('asset_id', 'asset_id');
		var parentRec=controller.getParentRec();
		var ebInfo=new CalemEmbedLookupInfo(this._parent, fmId, lkupCallback, id, {parentRec: parentRec, link: link});
		controller._embedForm(ebInfo);
	} else {
		parentFunc.call(this, fmId, lkupCallback, id, fld);
	}
}

CalemPmAssetMeterBo.prototype._getLookupExtraInfo =
function(controller, fld) {
	var rtn=null;
	if (fld=='meter_id') {
		var value=controller.getParentRec().getField('asset_id').getRawValue();
		rtn=[{fld: 'asset_id', value: value}];
	}
	return rtn;
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * PM module menu
 */

// forms
CalemMenuDef['CalemPmFormList'] = {
	id: 'CalemPmFormList',
	title: 'pm',
	icon: 'CalemPm',
	disIcon: null,
	tooltip: null, 
	enabled: true,		   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};

CalemMenuDef['CalemPmFormList'] = {
	id: 'CalemPmFormList',
	title: 'pm',
	icon: 'CalemPm',
	disIcon: null,
	tooltip: null, 
	enabled: true,		   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};

//Meter release
CalemMenuDef['CalemTbPmMeterSchedule'] = {
	id: 'CalemTbPmMeterSchedule',
	title: 'view_meter_schedule',
	icon: 'CalemOpen',
	enabled: false,
	className: 'TBButton',
	onSelect: {CalemMenuSelect: {listener: 'OpenPmMeterSchedule'}}	
};

CalemMenuDef['CalemTbPmSeason'] = {
	id: 'CalemTbPmSeason',
	title: 'view_pm_season',
	icon: 'CalemOpen',
	enabled: false,
	className: 'TBButton',
	onSelect: {CalemMenuSelect: {listener: 'OpenPmSeason'}}	
};
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemPmViewList']={
	CalemViewInfo: {
		id: 'CalemPmViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'pm', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep', 'sep2', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'pm_no', width: 130}},
			  			   {CalemCol: {id: 'status_id', width: 130}},
			  			   {CalemCol: {id: 'description', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Lookup views
 */
CalemViewDef['CalemPmViewLookup']={
	CalemViewInfo: {
		id: 'CalemPmViewLookup',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'pm', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbSelect', 'CalemTbCancel', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					{ CalemButtonInfo: {
						id: 'CalemTbPrint', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbSelect', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'pm_no', width: 130}},
			  			   {CalemCol: {id: 'status_id', width: 130}},
			  			   {CalemCol: {id: 'description', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPmViewNew']={
	CalemViewInfo: {
		id: 'CalemPmViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'pm', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'release_schedule': {CalemEditScheduleInfo: {field: 'release_schedule'}}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPmViewRead']={
	CalemViewInfo: {
		id: 'CalemPmViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},
               //Last changes
					{CalemTrInfo: {cols: ['lb_last_changes']}}                                                                                                               				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{ CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'pm', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_last_changes': {
				CalemLabelInfo: {id: 'last_changes', className: 'CalemEditSection'}
			},
			'release_schedule': {CalemEditScheduleInfo: {field: 'release_schedule'}}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPmViewEdit']={
	CalemViewInfo: {
		id: 'CalemPmViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'pm', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'release_schedule': {CalemEditScheduleInfo: {field: 'release_schedule'}}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPmViewSearch']={
	CalemViewInfo: {
		id: 'CalemPmViewSearch',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},		
               {CalemTrInfo: {cols: ['lb_save_search', '_save_search']}},				             

					//Last changes
					{CalemTrInfo: {cols: ['lb_last_changes']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbApplySave', 'sep2', 'CalemTbApply', 'CalemTbSave',  'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	
					   { CalemButtonInfo: {
							 id: 'CalemTbApplySave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
						
						{ CalemButtonInfo: {
							id: 'CalemTbApply', 
							customInfo: {
							  	   CalemMenuCustomInfo: {
							         enabled: false,
							         events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
							  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
					
					
					   
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},   			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'pm', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			
			'lb_save_search': {
				CalemLabelInfo: {id: 'save_search', className: 'CalemEditSection'}
			},
			'_save_search': {
				CalemSearchSaveInfo: {size: 30}
			},
			'lb_last_changes': {
				CalemLabelInfo: {id: 'last_changes', className: 'CalemEditSection'}
			},
			'release_schedule': {CalemEditScheduleInfo: {field: 'release_schedule'}}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemPmLaborViewList']={
	CalemViewInfo: {
		id: 'CalemPmLaborViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_labor', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{ CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'craft_id', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPmLaborViewNew']={
	CalemViewInfo: {
		id: 'CalemPmLaborViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_labor', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPmLaborViewEdit']={
	CalemViewInfo: {
		id: 'CalemPmLaborViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_labor', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPmLaborViewRead']={
	CalemViewInfo: {
		id: 'CalemPmLaborViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_labor', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemPmToolViewList']={
	CalemViewInfo: {
		id: 'CalemPmToolViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_tool', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{ CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'in_id', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPmToolViewNew']={
	CalemViewInfo: {
		id: 'CalemPmToolViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_tool', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPmToolViewEdit']={
	CalemViewInfo: {
		id: 'CalemPmToolViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_tool', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPmToolViewRead']={
	CalemViewInfo: {
		id: 'CalemPmToolViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_tool', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemPmPartViewList']={
	CalemViewInfo: {
		id: 'CalemPmPartViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_part', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{ CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'in_id', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPmPartViewNew']={
	CalemViewInfo: {
		id: 'CalemPmPartViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_part', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPmPartViewEdit']={
	CalemViewInfo: {
		id: 'CalemPmPartViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_part', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPmPartViewRead']={
	CalemViewInfo: {
		id: 'CalemPmPartViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_part', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemPmDowntimeViewList']={
	CalemViewInfo: {
		id: 'CalemPmDowntimeViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_downtime', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{ CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'hours', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPmDowntimeViewNew']={
	CalemViewInfo: {
		id: 'CalemPmDowntimeViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_downtime', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPmDowntimeViewEdit']={
	CalemViewInfo: {
		id: 'CalemPmDowntimeViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_downtime', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPmDowntimeViewRead']={
	CalemViewInfo: {
		id: 'CalemPmDowntimeViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_downtime', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemPmStepViewList']={
	CalemViewInfo: {
		id: 'CalemPmStepViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_step', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{ CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'seq', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPmStepViewNew']={
	CalemViewInfo: {
		id: 'CalemPmStepViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_step', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPmStepViewEdit']={
	CalemViewInfo: {
		id: 'CalemPmStepViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_step', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPmStepViewRead']={
	CalemViewInfo: {
		id: 'CalemPmStepViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_step', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemPmSafetyViewList']={
	CalemViewInfo: {
		id: 'CalemPmSafetyViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_safety', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{ CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'seq', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPmSafetyViewNew']={
	CalemViewInfo: {
		id: 'CalemPmSafetyViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_safety', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPmSafetyViewEdit']={
	CalemViewInfo: {
		id: 'CalemPmSafetyViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_safety', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPmSafetyViewRead']={
	CalemViewInfo: {
		id: 'CalemPmSafetyViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_safety', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemPmDocViewList']={
	CalemViewInfo: {
		id: 'CalemPmDocViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_doc', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{ CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'doc_id', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPmDocViewNew']={
	CalemViewInfo: {
		id: 'CalemPmDocViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_doc', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPmDocViewEdit']={
	CalemViewInfo: {
		id: 'CalemPmDocViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_doc', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPmDocViewRead']={
	CalemViewInfo: {
		id: 'CalemPmDocViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_doc', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemPmAuditViewList']={
	CalemViewInfo: {
		id: 'CalemPmAuditViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_audit', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{ CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'start_date', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPmAuditViewNew']={
	CalemViewInfo: {
		id: 'CalemPmAuditViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_audit', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPmAuditViewEdit']={
	CalemViewInfo: {
		id: 'CalemPmAuditViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_audit', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPmAuditViewRead']={
	CalemViewInfo: {
		id: 'CalemPmAuditViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_audit', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemPmCommentViewList']={
	CalemViewInfo: {
		id: 'CalemPmCommentViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_comment', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{ CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'comment', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPmCommentViewNew']={
	CalemViewInfo: {
		id: 'CalemPmCommentViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_comment', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPmCommentViewEdit']={
	CalemViewInfo: {
		id: 'CalemPmCommentViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_comment', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPmCommentViewRead']={
	CalemViewInfo: {
		id: 'CalemPmCommentViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_comment', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemPmDependencyViewList']={
	CalemViewInfo: {
		id: 'CalemPmDependencyViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_dependency', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{ CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'child_pm_id', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPmDependencyViewNew']={
	CalemViewInfo: {
		id: 'CalemPmDependencyViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_dependency', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPmDependencyViewEdit']={
	CalemViewInfo: {
		id: 'CalemPmDependencyViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_dependency', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPmDependencyViewRead']={
	CalemViewInfo: {
		id: 'CalemPmDependencyViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_dependency', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemPmAssetViewList']={
	CalemViewInfo: {
		id: 'CalemPmAssetViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_asset', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{ CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						id: 'CalemTbPmMeterSchedule', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: {
						id: 'CalemTbPmSeason', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'asset_id', width: 180}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPmAssetViewNew']={
	CalemViewInfo: {
		id: 'CalemPmAssetViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_asset', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemPmAssetViewEdit']={
	CalemViewInfo: {
		id: 'CalemPmAssetViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_asset', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPmAssetViewRead']={
	CalemViewInfo: {
		id: 'CalemPmAssetViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},						             
					//Last changes
					{CalemTrInfo: {cols: ['lb_last_changes']}}                                                                                                               				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_asset', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_last_changes': {
				CalemLabelInfo: {id: 'last_changes', className: 'CalemEditSection'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemPmAssetMeterViewList']={
	CalemViewInfo: {
		id: 'CalemPmAssetMeterViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_meter', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{ CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'meter_id', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPmAssetMeterViewNew']={
	CalemViewInfo: {
		id: 'CalemPmAssetMeterViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_meter', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPmAssetMeterViewEdit']={
	CalemViewInfo: {
		id: 'CalemPmAssetMeterViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_meter', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPmAssetMeterViewRead']={
	CalemViewInfo: {
		id: 'CalemPmAssetMeterViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_meter', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemPmAssetSeasonViewList']={
	CalemViewInfo: {
		id: 'CalemPmAssetSeasonViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_season', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{ CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'start_date', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPmAssetSeasonViewNew']={
	CalemViewInfo: {
		id: 'CalemPmAssetSeasonViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_season', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPmAssetSeasonViewEdit']={
	CalemViewInfo: {
		id: 'CalemPmAssetSeasonViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_season', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPmAssetSeasonViewRead']={
	CalemViewInfo: {
		id: 'CalemPmAssetSeasonViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'pm_season', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmFormList
 */
function CalemPmFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
}

CalemPmFormList.prototype = new CalemFormList;
CalemPmFormList.prototype.constructor = CalemPmFormList;

CalemPmFormList.prototype.toString = function() { return "CalemPmFormList";}

/**
 * Business APIs
 */
CalemPmFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemPmFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemPmFormList.prototype._onOpen =
function(evt) {
	//Get the selection event
    var item=CalemEvent.getItem(evt);
	//Prepare data for master detail view.
	var data = {modelItem: this._modelItem, item: item};
	//pass-through current data model and selection
	this._openForm('CalemPmFormMdTab', data);
} 

/**
 * Deletion must be handled specially
 */
CalemPmFormList.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemPmBo.getInstance().canDeletePm(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmFormMdTab
 */
function CalemPmFormMdTab(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormMdTab.call(this, parent, formId, data);
}

CalemPmFormMdTab.prototype = new CalemFormMdTab;
CalemPmFormMdTab.prototype.constructor = CalemPmFormMdTab;

CalemPmFormMdTab.prototype.toString = function() { return "CalemPmFormMdTab";}

/**
 * Business APIs
 */

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmFormRead
 */
function CalemPmFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormRead.call(this, parent, formId, data);
}

CalemPmFormRead.prototype = new CalemFormRead;
CalemPmFormRead.prototype.constructor = CalemPmFormRead;

CalemPmFormRead.prototype.toString = function() { return "CalemPmFormRead";}

/**
 * Business APIs
 */
CalemPmFormRead.prototype._getFormNewId =
function() {
	return 'CalemPmFormNew';
} 

CalemPmFormRead.prototype._getFormEditId =
function() {
	return 'CalemPmFormEdit';
}

/**
 * Deletion must be handled specially
 */
CalemPmFormRead.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemPmBo.getInstance().canDeletePm(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmFormNew
 */
function CalemPmFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemPmFormNew.prototype = new CalemFormNew;
CalemPmFormNew.prototype.constructor = CalemPmFormNew;

CalemPmFormNew.prototype.toString = function() { return "CalemPmFormNew";}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmFormEdit
 */
function CalemPmFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemPmFormEdit.prototype = new CalemFormEdit;
CalemPmFormEdit.prototype.constructor = CalemPmFormEdit;

CalemPmFormEdit.prototype.toString = function() { return "CalemPmFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmFormLookup
 */
function CalemPmFormLookup(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormLookup.call(this, parent, formId, data);
}

CalemPmFormLookup.prototype = new CalemFormLookup;
CalemPmFormLookup.prototype.constructor = CalemPmFormLookup;

CalemPmFormLookup.prototype.toString = function() { return "CalemPmFormLookup";}

/**
 * Business APIs
 */
CalemPmFormLookup.prototype._getFormNewId =
function() {
   return 'CalemPmFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemPmFormLookup.prototype._getFormReadId =
function(evt) {
	return 'CalemPmFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmLaborFormList
 */
function CalemPmLaborFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
}

CalemPmLaborFormList.prototype = new CalemFormListDet;
CalemPmLaborFormList.prototype.constructor = CalemPmLaborFormList;

CalemPmLaborFormList.prototype.toString = function() { return "CalemPmLaborFormList";}

/**
 * Business APIs
 */
CalemPmLaborFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemPmLaborFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemPmLaborFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemPmLaborFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmLaborFormNew
 */
function CalemPmLaborFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemPmLaborFormNew.prototype = new CalemFormNew;
CalemPmLaborFormNew.prototype.constructor = CalemPmLaborFormNew;

CalemPmLaborFormNew.prototype.toString = function() { return "CalemPmLaborFormNew";}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmLaborFormEdit
 */
function CalemPmLaborFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemPmLaborFormEdit.prototype = new CalemFormEdit;
CalemPmLaborFormEdit.prototype.constructor = CalemPmLaborFormEdit;

CalemPmLaborFormEdit.prototype.toString = function() { return "CalemPmLaborFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmLaborFormRead
 */
function CalemPmLaborFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemPmLaborFormRead.prototype = new CalemFormReadDet;
CalemPmLaborFormRead.prototype.constructor = CalemPmLaborFormRead;

CalemPmLaborFormRead.prototype.toString = function() { return "CalemPmLaborFormRead";}

/**
 * Business APIs
 */
CalemPmLaborFormRead.prototype._getFormNewId =
function() {
	return 'CalemPmLaborFormNew';
} 

CalemPmLaborFormRead.prototype._getFormEditId =
function() {
	return 'CalemPmLaborFormEdit';
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmToolFormList
 */
function CalemPmToolFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
}

CalemPmToolFormList.prototype = new CalemFormListDet;
CalemPmToolFormList.prototype.constructor = CalemPmToolFormList;

CalemPmToolFormList.prototype.toString = function() { return "CalemPmToolFormList";}

/**
 * Business APIs
 */
CalemPmToolFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemPmToolFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemPmToolFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemPmToolFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmToolFormNew
 */
function CalemPmToolFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemPmToolFormNew.prototype = new CalemFormNew;
CalemPmToolFormNew.prototype.constructor = CalemPmToolFormNew;

CalemPmToolFormNew.prototype.toString = function() { return "CalemPmToolFormNew";}

/**
 * Use part lookup form
 */
CalemPmToolFormNew.prototype.getLookupFormByFld =
function(tbl, fld) {
	return (fld=='in_id') ? 'CalemInToolFormLookup' : null;
} 
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmToolFormEdit
 */
function CalemPmToolFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemPmToolFormEdit.prototype = new CalemFormEdit;
CalemPmToolFormEdit.prototype.constructor = CalemPmToolFormEdit;

CalemPmToolFormEdit.prototype.toString = function() { return "CalemPmToolFormEdit";}

/**
 * Use part lookup form
 */
CalemPmToolFormEdit.prototype.getLookupFormByFld =
function(tbl, fld) {
	return (fld=='in_id') ? 'CalemInToolFormLookup' : null;
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmToolFormRead
 */
function CalemPmToolFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemPmToolFormRead.prototype = new CalemFormReadDet;
CalemPmToolFormRead.prototype.constructor = CalemPmToolFormRead;

CalemPmToolFormRead.prototype.toString = function() { return "CalemPmToolFormRead";}

/**
 * Business APIs
 */
CalemPmToolFormRead.prototype._getFormNewId =
function() {
	return 'CalemPmToolFormNew';
} 

CalemPmToolFormRead.prototype._getFormEditId =
function() {
	return 'CalemPmToolFormEdit';
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmPartFormList
 */
function CalemPmPartFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
}

CalemPmPartFormList.prototype = new CalemFormListDet;
CalemPmPartFormList.prototype.constructor = CalemPmPartFormList;

CalemPmPartFormList.prototype.toString = function() { return "CalemPmPartFormList";}

/**
 * Business APIs
 */
CalemPmPartFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemPmPartFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemPmPartFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemPmPartFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmPartFormNew
 */
function CalemPmPartFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemPmPartFormNew.prototype = new CalemFormNew;
CalemPmPartFormNew.prototype.constructor = CalemPmPartFormNew;

CalemPmPartFormNew.prototype.toString = function() { return "CalemPmPartFormNew";}

/**
 * Use part lookup form
 */
CalemPmPartFormNew.prototype.getLookupFormByFld =
function(tbl, fld) {
	return (fld=='in_id') ? 'CalemInPartFormLookup' : null;
} 
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmPartFormEdit
 */
function CalemPmPartFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemPmPartFormEdit.prototype = new CalemFormEdit;
CalemPmPartFormEdit.prototype.constructor = CalemPmPartFormEdit;

CalemPmPartFormEdit.prototype.toString = function() { return "CalemPmPartFormEdit";}

/**
 * Use part lookup form
 */
CalemPmPartFormEdit.prototype.getLookupFormByFld =
function(tbl, fld) {
	return (fld=='in_id') ? 'CalemInPartFormLookup' : null;
} 

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmPartFormRead
 */
function CalemPmPartFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemPmPartFormRead.prototype = new CalemFormReadDet;
CalemPmPartFormRead.prototype.constructor = CalemPmPartFormRead;

CalemPmPartFormRead.prototype.toString = function() { return "CalemPmPartFormRead";}

/**
 * Business APIs
 */
CalemPmPartFormRead.prototype._getFormNewId =
function() {
	return 'CalemPmPartFormNew';
} 

CalemPmPartFormRead.prototype._getFormEditId =
function() {
	return 'CalemPmPartFormEdit';
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmDowntimeFormList
 */
function CalemPmDowntimeFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
}

CalemPmDowntimeFormList.prototype = new CalemFormListDet;
CalemPmDowntimeFormList.prototype.constructor = CalemPmDowntimeFormList;

CalemPmDowntimeFormList.prototype.toString = function() { return "CalemPmDowntimeFormList";}

/**
 * Business APIs
 */
CalemPmDowntimeFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemPmDowntimeFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemPmDowntimeFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemPmDowntimeFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmDowntimeFormNew
 */
function CalemPmDowntimeFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemPmDowntimeFormNew.prototype = new CalemFormNew;
CalemPmDowntimeFormNew.prototype.constructor = CalemPmDowntimeFormNew;

CalemPmDowntimeFormNew.prototype.toString = function() { return "CalemPmDowntimeFormNew";}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmDowntimeFormEdit
 */
function CalemPmDowntimeFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemPmDowntimeFormEdit.prototype = new CalemFormEdit;
CalemPmDowntimeFormEdit.prototype.constructor = CalemPmDowntimeFormEdit;

CalemPmDowntimeFormEdit.prototype.toString = function() { return "CalemPmDowntimeFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmDowntimeFormRead
 */
function CalemPmDowntimeFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemPmDowntimeFormRead.prototype = new CalemFormReadDet;
CalemPmDowntimeFormRead.prototype.constructor = CalemPmDowntimeFormRead;

CalemPmDowntimeFormRead.prototype.toString = function() { return "CalemPmDowntimeFormRead";}

/**
 * Business APIs
 */
CalemPmDowntimeFormRead.prototype._getFormNewId =
function() {
	return 'CalemPmDowntimeFormNew';
} 

CalemPmDowntimeFormRead.prototype._getFormEditId =
function() {
	return 'CalemPmDowntimeFormEdit';
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmCommentFormList
 */
function CalemPmCommentFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
}

CalemPmCommentFormList.prototype = new CalemFormListDet;
CalemPmCommentFormList.prototype.constructor = CalemPmCommentFormList;

CalemPmCommentFormList.prototype.toString = function() { return "CalemPmCommentFormList";}

/**
 * Business APIs
 */
CalemPmCommentFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemPmCommentFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemPmCommentFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemPmCommentFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmCommentFormNew
 */
function CalemPmCommentFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemPmCommentFormNew.prototype = new CalemFormNew;
CalemPmCommentFormNew.prototype.constructor = CalemPmCommentFormNew;

CalemPmCommentFormNew.prototype.toString = function() { return "CalemPmCommentFormNew";}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmCommentFormEdit
 */
function CalemPmCommentFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemPmCommentFormEdit.prototype = new CalemFormEdit;
CalemPmCommentFormEdit.prototype.constructor = CalemPmCommentFormEdit;

CalemPmCommentFormEdit.prototype.toString = function() { return "CalemPmCommentFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmCommentFormRead
 */
function CalemPmCommentFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemPmCommentFormRead.prototype = new CalemFormReadDet;
CalemPmCommentFormRead.prototype.constructor = CalemPmCommentFormRead;

CalemPmCommentFormRead.prototype.toString = function() { return "CalemPmCommentFormRead";}

/**
 * Business APIs
 */
CalemPmCommentFormRead.prototype._getFormNewId =
function() {
	return 'CalemPmCommentFormNew';
} 

CalemPmCommentFormRead.prototype._getFormEditId =
function() {
	return 'CalemPmCommentFormEdit';
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmStepFormList
 */
function CalemPmStepFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
}

CalemPmStepFormList.prototype = new CalemFormListDet;
CalemPmStepFormList.prototype.constructor = CalemPmStepFormList;

CalemPmStepFormList.prototype.toString = function() { return "CalemPmStepFormList";}

/**
 * Business APIs
 */
CalemPmStepFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemPmStepFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemPmStepFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemPmStepFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmStepFormNew
 */
function CalemPmStepFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemPmStepFormNew.prototype = new CalemFormNew;
CalemPmStepFormNew.prototype.constructor = CalemPmStepFormNew;

CalemPmStepFormNew.prototype.toString = function() { return "CalemPmStepFormNew";}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmStepFormEdit
 */
function CalemPmStepFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemPmStepFormEdit.prototype = new CalemFormEdit;
CalemPmStepFormEdit.prototype.constructor = CalemPmStepFormEdit;

CalemPmStepFormEdit.prototype.toString = function() { return "CalemPmStepFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmStepFormRead
 */
function CalemPmStepFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemPmStepFormRead.prototype = new CalemFormReadDet;
CalemPmStepFormRead.prototype.constructor = CalemPmStepFormRead;

CalemPmStepFormRead.prototype.toString = function() { return "CalemPmStepFormRead";}

/**
 * Business APIs
 */
CalemPmStepFormRead.prototype._getFormNewId =
function() {
	return 'CalemPmStepFormNew';
} 

CalemPmStepFormRead.prototype._getFormEditId =
function() {
	return 'CalemPmStepFormEdit';
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmSafetyFormList
 */
function CalemPmSafetyFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
}

CalemPmSafetyFormList.prototype = new CalemFormListDet;
CalemPmSafetyFormList.prototype.constructor = CalemPmSafetyFormList;

CalemPmSafetyFormList.prototype.toString = function() { return "CalemPmSafetyFormList";}

/**
 * Business APIs
 */
CalemPmSafetyFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemPmSafetyFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemPmSafetyFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemPmSafetyFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmSafetyFormNew
 */
function CalemPmSafetyFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemPmSafetyFormNew.prototype = new CalemFormNew;
CalemPmSafetyFormNew.prototype.constructor = CalemPmSafetyFormNew;

CalemPmSafetyFormNew.prototype.toString = function() { return "CalemPmSafetyFormNew";}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmSafetyFormEdit
 */
function CalemPmSafetyFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemPmSafetyFormEdit.prototype = new CalemFormEdit;
CalemPmSafetyFormEdit.prototype.constructor = CalemPmSafetyFormEdit;

CalemPmSafetyFormEdit.prototype.toString = function() { return "CalemPmSafetyFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmSafetyFormRead
 */
function CalemPmSafetyFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemPmSafetyFormRead.prototype = new CalemFormReadDet;
CalemPmSafetyFormRead.prototype.constructor = CalemPmSafetyFormRead;

CalemPmSafetyFormRead.prototype.toString = function() { return "CalemPmSafetyFormRead";}

/**
 * Business APIs
 */
CalemPmSafetyFormRead.prototype._getFormNewId =
function() {
	return 'CalemPmSafetyFormNew';
} 

CalemPmSafetyFormRead.prototype._getFormEditId =
function() {
	return 'CalemPmSafetyFormEdit';
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmDocFormList
 */
function CalemPmDocFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
}

CalemPmDocFormList.prototype = new CalemFormListDet;
CalemPmDocFormList.prototype.constructor = CalemPmDocFormList;

CalemPmDocFormList.prototype.toString = function() { return "CalemPmDocFormList";}

/**
 * Business APIs
 */
CalemPmDocFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemPmDocFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemPmDocFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemPmDocFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmDocFormNew
 */
function CalemPmDocFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemPmDocFormNew.prototype = new CalemFormNew;
CalemPmDocFormNew.prototype.constructor = CalemPmDocFormNew;

CalemPmDocFormNew.prototype.toString = function() { return "CalemPmDocFormNew";}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmDocFormEdit
 */
function CalemPmDocFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemPmDocFormEdit.prototype = new CalemFormEdit;
CalemPmDocFormEdit.prototype.constructor = CalemPmDocFormEdit;

CalemPmDocFormEdit.prototype.toString = function() { return "CalemPmDocFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmDocFormRead
 */
function CalemPmDocFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemPmDocFormRead.prototype = new CalemFormReadDet;
CalemPmDocFormRead.prototype.constructor = CalemPmDocFormRead;

CalemPmDocFormRead.prototype.toString = function() { return "CalemPmDocFormRead";}

/**
 * Business APIs
 */
CalemPmDocFormRead.prototype._getFormNewId =
function() {
	return 'CalemPmDocFormNew';
} 

CalemPmDocFormRead.prototype._getFormEditId =
function() {
	return 'CalemPmDocFormEdit';
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmAuditFormList
 */
function CalemPmAuditFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
}

CalemPmAuditFormList.prototype = new CalemFormListDet;
CalemPmAuditFormList.prototype.constructor = CalemPmAuditFormList;

CalemPmAuditFormList.prototype.toString = function() { return "CalemPmAuditFormList";}

/**
 * Business APIs
 */
CalemPmAuditFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemPmAuditFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemPmAuditFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemPmAuditFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmAuditFormNew
 */
function CalemPmAuditFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemPmAuditFormNew.prototype = new CalemFormNew;
CalemPmAuditFormNew.prototype.constructor = CalemPmAuditFormNew;

CalemPmAuditFormNew.prototype.toString = function() { return "CalemPmAuditFormNew";}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmAuditFormEdit
 */
function CalemPmAuditFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemPmAuditFormEdit.prototype = new CalemFormEdit;
CalemPmAuditFormEdit.prototype.constructor = CalemPmAuditFormEdit;

CalemPmAuditFormEdit.prototype.toString = function() { return "CalemPmAuditFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmAuditFormRead
 */
function CalemPmAuditFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemPmAuditFormRead.prototype = new CalemFormReadDet;
CalemPmAuditFormRead.prototype.constructor = CalemPmAuditFormRead;

CalemPmAuditFormRead.prototype.toString = function() { return "CalemPmAuditFormRead";}

/**
 * Business APIs
 */
CalemPmAuditFormRead.prototype._getFormNewId =
function() {
	return 'CalemPmAuditFormNew';
} 

CalemPmAuditFormRead.prototype._getFormEditId =
function() {
	return 'CalemPmAuditFormEdit';
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmDependencyFormList
 */
function CalemPmDependencyFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
}

CalemPmDependencyFormList.prototype = new CalemFormListDet;
CalemPmDependencyFormList.prototype.constructor = CalemPmDependencyFormList;

CalemPmDependencyFormList.prototype.toString = function() { return "CalemPmDependencyFormList";}

/**
 * Business APIs
 */
CalemPmDependencyFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemPmDependencyFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemPmDependencyFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemPmDependencyFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmDependencyFormNew
 */
function CalemPmDependencyFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemPmDependencyFormNew.prototype = new CalemFormNew;
CalemPmDependencyFormNew.prototype.constructor = CalemPmDependencyFormNew;

CalemPmDependencyFormNew.prototype.toString = function() { return "CalemPmDependencyFormNew";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmDependencyFormEdit
 */
function CalemPmDependencyFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemPmDependencyFormEdit.prototype = new CalemFormEdit;
CalemPmDependencyFormEdit.prototype.constructor = CalemPmDependencyFormEdit;

CalemPmDependencyFormEdit.prototype.toString = function() { return "CalemPmDependencyFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmDependencyFormRead
 */
function CalemPmDependencyFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemPmDependencyFormRead.prototype = new CalemFormReadDet;
CalemPmDependencyFormRead.prototype.constructor = CalemPmDependencyFormRead;

CalemPmDependencyFormRead.prototype.toString = function() { return "CalemPmDependencyFormRead";}

/**
 * Business APIs
 */
CalemPmDependencyFormRead.prototype._getFormNewId =
function() {
	return 'CalemPmDependencyFormNew';
} 

CalemPmDependencyFormRead.prototype._getFormEditId =
function() {
	return 'CalemPmDependencyFormEdit';
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmAssetFormList
 */
function CalemPmAssetFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
	//Reading history and add reading listeners
	this._pmMeterScheduleListener = new AjxListener(this, this.onPmMeterSchedule);
	this._pmSeasonListener = new AjxListener(this, this.onPmSeason);
}

CalemPmAssetFormList.prototype = new CalemFormListDet;
CalemPmAssetFormList.prototype.constructor = CalemPmAssetFormList;

CalemPmAssetFormList.prototype.toString = function() { return "CalemPmAssetFormList";}

/**
 * Business APIs
 */
CalemPmAssetFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemPmAssetFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemPmAssetFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemPmAssetFormRead';
} 

/**
 * Deletion must be handled specially
 */
CalemPmAssetFormList.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemPmAssetBo.getInstance().canDeletePmAsset(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

/**
 * Reading list form
 */
CalemPmAssetFormList.prototype.getOpenPmMeterSchedule =
function() {
	return this._pmMeterScheduleListener;
} 
 
CalemPmAssetFormList.prototype.getOpenPmSeason =
function() {
	return this._pmSeasonListener;
}

//Listeners - both may need to update parent model item when operation is made.
CalemPmAssetFormList.prototype.onPmMeterSchedule =
function(evt) {
	var item=CalemEvent.getItem(evt);
	var link=new CalemFieldMdInfo('pm_asset_id', 'id');
	//To embed the reading history form.
   var ebInfo=new CalemEmbedInfo(this._parent, 'CalemPmAssetMeterFormList', {parentRec: item, link: link});
	this._embedForm(ebInfo);
}

CalemPmAssetFormList.prototype.onPmSeason =
function(evt) {	
	var item=CalemEvent.getItem(evt);
	var link=new CalemFieldMdInfo('pm_asset_id', 'id');
	var ebInfo=new CalemEmbedInfo(this._parent, 'CalemPmAssetSeasonFormList', {parentRec: item, link: link});
	this._embedForm(ebInfo);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmAssetFormNew
 */
function CalemPmAssetFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemPmAssetFormNew.prototype = new CalemFormNew;
CalemPmAssetFormNew.prototype.constructor = CalemPmAssetFormNew;

CalemPmAssetFormNew.prototype.toString = function() { return "CalemPmAssetFormNew";}

 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmAssetFormEdit
 */
function CalemPmAssetFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemPmAssetFormEdit.prototype = new CalemFormEdit;
CalemPmAssetFormEdit.prototype.constructor = CalemPmAssetFormEdit;

CalemPmAssetFormEdit.prototype.toString = function() { return "CalemPmAssetFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmAssetFormRead
 */
function CalemPmAssetFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemPmAssetFormRead.prototype = new CalemFormReadDet;
CalemPmAssetFormRead.prototype.constructor = CalemPmAssetFormRead;

CalemPmAssetFormRead.prototype.toString = function() { return "CalemPmAssetFormRead";}

/**
 * Business APIs
 */
CalemPmAssetFormRead.prototype._getFormNewId =
function() {
	return 'CalemPmAssetFormNew';
} 

CalemPmAssetFormRead.prototype._getFormEditId =
function() {
	return 'CalemPmAssetFormEdit';
}

/**
 * Deletion must be handled specially
 */
CalemPmAssetFormRead.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemPmAssetBo.getInstance().canDeletePmAsset(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmAssetMeterFormList
 */
function CalemPmAssetMeterFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDetNoMd.call(this, parent, formId, data);
}

CalemPmAssetMeterFormList.prototype = new CalemFormListDetNoMd;
CalemPmAssetMeterFormList.prototype.constructor = CalemPmAssetMeterFormList;

CalemPmAssetMeterFormList.prototype.toString = function() { return "CalemPmAssetMeterFormList";}

/**
 * Business APIs
 */
CalemPmAssetMeterFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemPmAssetMeterFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemPmAssetMeterFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemPmAssetMeterFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmAssetMeterFormNew
 */
function CalemPmAssetMeterFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemPmAssetMeterFormNew.prototype = new CalemFormNew;
CalemPmAssetMeterFormNew.prototype.constructor = CalemPmAssetMeterFormNew;

CalemPmAssetMeterFormNew.prototype.toString = function() { return "CalemPmAssetMeterFormNew";}

CalemPmAssetMeterFormNew.prototype.onLookup =
function(fmId, lkupCallback, id, fld) {
	CalemPmAssetMeterBo.getInstance().onLookup(this, CalemFormNew.prototype.onLookup, fmId, lkupCallback, id, fld);
}

CalemPmAssetMeterFormNew.prototype._getLookupExtraInfo =
function(fld) {
	return CalemPmAssetMeterBo.getInstance()._getLookupExtraInfo(this, fld);
}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmAssetMeterFormEdit
 */
function CalemPmAssetMeterFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemPmAssetMeterFormEdit.prototype = new CalemFormEdit;
CalemPmAssetMeterFormEdit.prototype.constructor = CalemPmAssetMeterFormEdit;

CalemPmAssetMeterFormEdit.prototype.toString = function() { return "CalemPmAssetMeterFormEdit";}

/**
 * Business APIs
 */
CalemPmAssetMeterFormEdit.prototype.onLookup =
function(fmId, lkupCallback, id, fld) {
	CalemPmAssetMeterBo.getInstance().onLookup(this, CalemFormEdit.prototype.onLookup, fmId, lkupCallback, id, fld);
}

CalemPmAssetMeterFormEdit.prototype._getLookupExtraInfo =
function(fld) {
	return CalemPmAssetMeterBo.getInstance()._getLookupExtraInfo(this, fld);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmAssetMeterFormRead
 */
function CalemPmAssetMeterFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemPmAssetMeterFormRead.prototype = new CalemFormReadDet;
CalemPmAssetMeterFormRead.prototype.constructor = CalemPmAssetMeterFormRead;

CalemPmAssetMeterFormRead.prototype.toString = function() { return "CalemPmAssetMeterFormRead";}

/**
 * Business APIs
 */
CalemPmAssetMeterFormRead.prototype._getFormNewId =
function() {
	return 'CalemPmAssetMeterFormNew';
} 

CalemPmAssetMeterFormRead.prototype._getFormEditId =
function() {
	return 'CalemPmAssetMeterFormEdit';
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmAssetSeasonFormList
 */
function CalemPmAssetSeasonFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDetNoMd.call(this, parent, formId, data);
}

CalemPmAssetSeasonFormList.prototype = new CalemFormListDetNoMd;
CalemPmAssetSeasonFormList.prototype.constructor = CalemPmAssetSeasonFormList;

CalemPmAssetSeasonFormList.prototype.toString = function() { return "CalemPmAssetSeasonFormList";}

/**
 * Business APIs
 */
CalemPmAssetSeasonFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemPmAssetSeasonFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemPmAssetSeasonFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemPmAssetSeasonFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmAssetSeasonFormNew
 */
function CalemPmAssetSeasonFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemPmAssetSeasonFormNew.prototype = new CalemFormNew;
CalemPmAssetSeasonFormNew.prototype.constructor = CalemPmAssetSeasonFormNew;

CalemPmAssetSeasonFormNew.prototype.toString = function() { return "CalemPmAssetSeasonFormNew";}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmAssetSeasonFormEdit
 */
function CalemPmAssetSeasonFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemPmAssetSeasonFormEdit.prototype = new CalemFormEdit;
CalemPmAssetSeasonFormEdit.prototype.constructor = CalemPmAssetSeasonFormEdit;

CalemPmAssetSeasonFormEdit.prototype.toString = function() { return "CalemPmAssetSeasonFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPmAssetSeasonFormRead
 */
function CalemPmAssetSeasonFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemPmAssetSeasonFormRead.prototype = new CalemFormReadDet;
CalemPmAssetSeasonFormRead.prototype.constructor = CalemPmAssetSeasonFormRead;

CalemPmAssetSeasonFormRead.prototype.toString = function() { return "CalemPmAssetSeasonFormRead";}

/**
 * Business APIs
 */
CalemPmAssetSeasonFormRead.prototype._getFormNewId =
function() {
	return 'CalemPmAssetSeasonFormNew';
} 

CalemPmAssetSeasonFormRead.prototype._getFormEditId =
function() {
	return 'CalemPmAssetSeasonFormEdit';
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * forms
 */
CalemItemDef['CalemPmFormList']={
	CalemFormInfo: {
		id: 'CalemPmFormList',
		title: 'pm_list',
		icon: 'CalemPm',
		controller: 'CalemPmFormList',
		model: 'pm', 
		view: {CalemViewRefInfo: {id: 'CalemPmViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemPmFormSearch'
	}
}

CalemItemDef['CalemPmFormLookup']={
	CalemFormInfo: {
		id: 'CalemPmFormLookup',
		title: 'pm_lookup',
		icon: 'CalemPm',
		controller: 'CalemPmFormLookup',
		model: 'pm', 
		view: {CalemViewRefInfo: {id: 'CalemPmViewLookup'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemPmFormSearch'
	}
}

CalemItemDef['CalemPmFormNew']={
	CalemFormInfo: {
		id: 'CalemPmFormNew',
		title: 'pm',
		icon: 'CalemPm',
		controller: 'CalemPmFormNew',
		model: 'pm', 
		view: {CalemViewRefInfo: {id: 'CalemPmViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPmFormEdit']={
	CalemFormInfo: {
		id: 'CalemPmFormEdit',
		title: 'pm',
		icon: 'CalemPm',
		controller: 'CalemPmFormEdit',
		model: 'pm', 
   	view: {CalemViewRefInfo: {id: 'CalemPmViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPmFormRead']={
	CalemFormInfo: {
		id: 'CalemPmFormRead',
		title: 'pm',
		icon: 'CalemPm',
		controller: 'CalemPmFormRead',
		model: 'pm', 
		view: {CalemViewRefInfo: {id: 'CalemPmViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPmFormSearch']={
	CalemFormInfo: {
		id: 'CalemPmFormSearch',
		title: 'pm',
		icon: 'CalemPm',
		controller: 'CalemFormSearchEdit',
		model: 'pm', 
		view: {CalemViewRefInfo: {id: 'CalemPmViewSearch'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPmFormMdTab']={
	CalemFormMdTabInfo: {
		id: 'CalemPmFormMdTab',
		title: 'pm',
		icon: 'CalemPm',
		replaceType: CalemItemDef.REPLACE_BY_ID,
		//Three portions of info: layout, model and itemMap.
		layout: {
			CalemMdTabLayoutInfo: {
				tabList: ['tab_main', 'tab_labor', 'CUSTOMIZE_TAB'],
				tabMap: {
					'tab_main': {CalemTabLayoutInfo: ['CalemPmFormRead']},
					
					'tab_labor' : {CalemTabLayoutInfo: ['CalemPmLaborFormList','CalemPmDowntimeFormList']}
				}
			} },
		model: {
				CalemFormModelInfo: {
					master: 'CalemPmFormRead',
			      items: 
			             [{CalemFormLinkInfo: {id: 'CalemPmLaborFormList', link: {CalemFieldMdInfo: {fld: 'pm_id', parentFld: 'id'}}} },
			              {CalemFormLinkInfo: {id: 'CalemPmToolFormList', link: {CalemFieldMdInfo: {fld: 'pm_id', parentFld: 'id'}}} },
			              {CalemFormLinkInfo: {id: 'CalemPmPartFormList', link: {CalemFieldMdInfo: {fld: 'pm_id', parentFld: 'id'}}} },
			              {CalemFormLinkInfo: {id: 'CalemPmDowntimeFormList', link: {CalemFieldMdInfo: {fld: 'pm_id', parentFld: 'id'}}} },
			              {CalemFormLinkInfo: {id: 'CalemPmStepFormList', link: {CalemFieldMdInfo: {fld: 'pm_id', parentFld: 'id'}}} },
			              {CalemFormLinkInfo: {id: 'CalemPmSafetyFormList', link: {CalemFieldMdInfo: {fld: 'pm_id', parentFld: 'id'}}} },
			              {CalemFormLinkInfo: {id: 'CalemPmDocFormList', link: {CalemFieldMdInfo: {fld: 'pm_id', parentFld: 'id'}}} },
			              {CalemFormLinkInfo: {id: 'CalemPmAssetFormList', link: {CalemFieldMdInfo: {fld: 'pm_id', parentFld: 'id'}}} },
			              {CalemFormLinkInfo: {id: 'CalemPmDependencyFormList', link: {CalemFieldMdInfo: {fld: 'pm_id', parentFld: 'id'}}} },
			              {CalemFormLinkInfo: {id: 'CalemPmCommentFormList', link: {CalemFieldMdInfo: {fld: 'pm_id', parentFld: 'id'}}} },
			              {CalemFormLinkInfo: {id: 'CalemPmAuditFormList', link: {CalemFieldMdInfo: {fld: 'pm_id', parentFld: 'id'}}} }
			             ]
				}
		}, 
		itemMap : { //Default layout conf.
		  CalemItemMap :{
			 'CalemPmFormRead' : {
			 	CalemFormLayoutInfo: {
			 		id: 'CalemPmFormRead',
			 		fixed: true, //Move not allowed.
			 		layout: {CalemBlockLayoutInfo: {width: '100%', height: '-2'}}
			 	}
			 },
			 
			 'CalemPmLaborFormList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemPmLaborFormList',
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 8}}
			 	 }
			 },
			 
			 'CalemPmToolFormList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemPmToolFormList',
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 8}}
			 	 }
			 },
			 
			 'CalemPmPartFormList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemPmPartFormList',
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 8}}
			 	 }
			 },
			 
			 'CalemPmDowntimeFormList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemPmDowntimeFormList',
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 8}}
			 	 }
			 },
		  
		  'CalemPmStepFormList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemPmStepFormList',
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 8}}
			 	 }
			 },
			
		  'CalemPmSafetyFormList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemPmSafetyFormList',
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 8}}
			 	 }
			 },
			 
			'CalemPmDocFormList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemPmDocFormList',
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 8}}
			 	 }
			 },
			 
			 'CalemPmAssetFormList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemPmAssetFormList',
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 8}}
			 	 }
			 },
			 
			 'CalemPmDependencyFormList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemPmDependencyFormList',
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 8}}
			 	 }
			 },
			 
			 'CalemPmAuditFormList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemPmAuditFormList',
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 8}}
			 	 }
			 },
			 
			 'CalemPmCommentFormList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemPmCommentFormList',
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 8}}
			 	 }
			 },
	 
		  'tab_main': {
		  		CalemTabInfo: {id: 'tab_pm_main', fixed: 1}
		  },
		  
		  'tab_asset': {
		  		CalemTabInfo: {id: 'tab_pm_asset'}
		  },
		  
		  'tab_labor': {
		  		CalemTabInfo: {id: 'tab_pm_labor'}
		  },
		  
		  'tab_material': {
		  		CalemTabInfo: {id: 'tab_pm_material'}
		  },
		  
		  'tab_step': {
		  		CalemTabInfo: {id: 'tab_pm_step'}
		  },
		  
		  'tab_downtime': {
		  		CalemTabInfo: {id: 'tab_pm_downtime'}
		  },
		  
		  'tab_audit': {
		  		CalemTabInfo: {id: 'tab_pm_audit'}
		  },
		  
		  'tab_dependency': {
		  		CalemTabInfo: {id: 'tab_pm_dependency'}
		  },
		  
		  'tab_document': {
		  		CalemTabInfo: {id: 'tab_pm_document'}
		  },
		  
		  'tab_misc': {
		  		CalemTabInfo: {id: 'tab_asset_misc'}
		  },
		  
		  'CUSTOMIZE_TAB' : {
		  		CalemTabInfo: {id: 'CUSTOMIZE_TAB'}
		  }
		  
		  }
		  
		} //itemMap
	} //MdTabInfo
}

/**
 * Craft
 */
CalemItemDef['CalemPmLaborFormList']={
	CalemFormInfo: {
		id: 'CalemPmLaborFormList',
		title: 'pm_labor',
		icon: 'CalemPm',
		controller: 'CalemPmLaborFormList',
		model: 'pm_labor', 
		view: {CalemViewRefInfo: {id: 'CalemPmLaborViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPmLaborFormNew']={
	CalemFormInfo: {
		id: 'CalemPmLaborFormNew',
		title: 'pm_labor',
		icon: 'CalemPm',
		controller: 'CalemPmLaborFormNew',
		model: 'pm_labor', 
		view: {CalemViewRefInfo: {id: 'CalemPmLaborViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPmLaborFormEdit']={
	CalemFormInfo: {
		id: 'CalemPmLaborFormEdit',
		title: 'pm_labor',
		icon: 'CalemPm',
		controller: 'CalemPmLaborFormEdit',
		model: 'pm_labor', 
   	view: {CalemViewRefInfo: {id: 'CalemPmLaborViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPmLaborFormRead']={
	CalemFormInfo: {
		id: 'CalemPmLaborFormRead',
		title: 'pm_labor',
		icon: 'CalemPm',
		controller: 'CalemPmLaborFormRead',
		model: 'pm_labor', 
		view: {CalemViewRefInfo: {id: 'CalemPmLaborViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * PmTool
 */
CalemItemDef['CalemPmToolFormList']={
	CalemFormInfo: {
		id: 'CalemPmToolFormList',
		title: 'pm_tool',
		icon: 'CalemPm',
		controller: 'CalemPmToolFormList',
		model: 'pm_tool', 
		view: {CalemViewRefInfo: {id: 'CalemPmToolViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPmToolFormNew']={
	CalemFormInfo: {
		id: 'CalemPmToolFormNew',
		title: 'pm_tool',
		icon: 'CalemPm',
		controller: 'CalemPmToolFormNew',
		model: 'pm_tool', 
		view: {CalemViewRefInfo: {id: 'CalemPmToolViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPmToolFormEdit']={
	CalemFormInfo: {
		id: 'CalemPmToolFormEdit',
		title: 'pm_tool',
		icon: 'CalemPm',
		controller: 'CalemPmToolFormEdit',
		model: 'pm_tool', 
		view: {CalemViewRefInfo: {id: 'CalemPmToolViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPmToolFormRead']={
	CalemFormInfo: {
		id: 'CalemPmToolFormRead',
		title: 'pm_tool',
		icon: 'CalemPm',
		controller: 'CalemPmToolFormRead',
		model: 'pm_tool', 
		view: {CalemViewRefInfo: {id: 'CalemPmToolViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * Part
 */
CalemItemDef['CalemPmPartFormList']={
	CalemFormInfo: {
		id: 'CalemPmPartFormList',
		title: 'pm_part',
		icon: 'CalemPm',
		controller: 'CalemPmPartFormList',
		model: 'pm_part', 
		view: {CalemViewRefInfo: {id: 'CalemPmPartViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPmPartFormNew']={
	CalemFormInfo: {
		id: 'CalemPmPartFormNew',
		title: 'pm_part',
		icon: 'CalemPm',
		controller: 'CalemPmPartFormNew',
		model: 'pm_part', 
		view: {CalemViewRefInfo: {id: 'CalemPmPartViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPmPartFormEdit']={
	CalemFormInfo: {
		id: 'CalemPmPartFormEdit',
		title: 'pm_part',
		icon: 'CalemPm',
		controller: 'CalemPmPartFormEdit',
		model: 'pm_part', 
   	view: {CalemViewRefInfo: {id: 'CalemPmPartViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPmPartFormRead']={
	CalemFormInfo: {
		id: 'CalemPmPartFormRead',
		title: 'pm_part',
		icon: 'CalemPm',
		controller: 'CalemPmPartFormRead',
		model: 'pm_part', 
		view: {CalemViewRefInfo: {id: 'CalemPmPartViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * Downtime
 */
CalemItemDef['CalemPmDowntimeFormList']={
	CalemFormInfo: {
		id: 'CalemPmDowntimeFormList',
		title: 'pm_downtime',
		icon: 'CalemPm',
		controller: 'CalemPmDowntimeFormList',
		model: 'pm_downtime', 
		view: {CalemViewRefInfo: {id: 'CalemPmDowntimeViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPmDowntimeFormNew']={
	CalemFormInfo: {
		id: 'CalemPmDowntimeFormNew',
		title: 'pm_downtime',
		icon: 'CalemPm',
		controller: 'CalemPmDowntimeFormNew',
		model: 'pm_downtime', 
		view: {CalemViewRefInfo: {id: 'CalemPmDowntimeViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPmDowntimeFormEdit']={
	CalemFormInfo: {
		id: 'CalemPmDowntimeFormEdit',
		title: 'pm_downtime',
		icon: 'CalemPm',
		controller: 'CalemPmDowntimeFormEdit',
		model: 'pm_downtime', 
   	view: {CalemViewRefInfo: {id: 'CalemPmDowntimeViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPmDowntimeFormRead']={
	CalemFormInfo: {
		id: 'CalemPmDowntimeFormRead',
		title: 'pm_downtime',
		icon: 'CalemPm',
		controller: 'CalemPmDowntimeFormRead',
		model: 'pm_downtime', 
		view: {CalemViewRefInfo: {id: 'CalemPmDowntimeViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * PmStep
 */
CalemItemDef['CalemPmStepFormList']={
	CalemFormInfo: {
		id: 'CalemPmStepFormList',
		title: 'pm_step',
		icon: 'CalemPm',
		controller: 'CalemPmStepFormList',
		model: 'pm_step', 
		view: {CalemViewRefInfo: {id: 'CalemPmStepViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPmStepFormNew']={
	CalemFormInfo: {
		id: 'CalemPmStepFormNew',
		title: 'pm_step',
		icon: 'CalemPm',
		controller: 'CalemPmStepFormNew',
		model: 'pm_step', 
		view: {CalemViewRefInfo: {id: 'CalemPmStepViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPmStepFormRead']={
	CalemFormInfo: {
		id: 'CalemPmStepFormRead',
		title: 'pm_step',
		icon: 'CalemPm',
		controller: 'CalemPmStepFormRead',
		model: 'pm_step', 
		view: {CalemViewRefInfo: {id: 'CalemPmStepViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPmStepFormEdit']={
	CalemFormInfo: {
		id: 'CalemPmStepFormEdit',
		title: 'pm_step',
		icon: 'CalemPm',
		controller: 'CalemPmStepFormEdit',
		model: 'pm_step', 
		view: {CalemViewRefInfo: {id: 'CalemPmStepViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}
/**
 * PmSafety
 */
CalemItemDef['CalemPmSafetyFormList']={
	CalemFormInfo: {
		id: 'CalemPmSafetyFormList',
		title: 'pm_safety',
		icon: 'CalemPm',
		controller: 'CalemPmSafetyFormList',
		model: 'pm_safety', 
		view: {CalemViewRefInfo: {id: 'CalemPmSafetyViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPmSafetyFormNew']={
	CalemFormInfo: {
		id: 'CalemPmSafetyFormNew',
		title: 'pm_safety',
		icon: 'CalemPm',
		controller: 'CalemPmSafetyFormNew',
		model: 'pm_safety', 
		view: {CalemViewRefInfo: {id: 'CalemPmSafetyViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPmSafetyFormRead']={
	CalemFormInfo: {
		id: 'CalemPmSafetyFormRead',
		title: 'pm_safety',
		icon: 'CalemPm',
		controller: 'CalemPmSafetyFormRead',
		model: 'pm_safety', 
		view: {CalemViewRefInfo: {id: 'CalemPmSafetyViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPmSafetyFormEdit']={
	CalemFormInfo: {
		id: 'CalemPmSafetyFormEdit',
		title: 'pm_safety',
		icon: 'CalemPm',
		controller: 'CalemPmSafetyFormEdit',
		model: 'pm_safety', 
		view: {CalemViewRefInfo: {id: 'CalemPmSafetyViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * PmDoc
 */
CalemItemDef['CalemPmDocFormList']={
	CalemFormInfo: {
		id: 'CalemPmDocFormList',
		title: 'pm_doc',
		icon: 'CalemPm',
		controller: 'CalemPmDocFormList',
		model: 'pm_doc', 
		view: {CalemViewRefInfo: {id: 'CalemPmDocViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPmDocFormNew']={
	CalemFormInfo: {
		id: 'CalemPmDocFormNew',
		title: 'pm_doc',
		icon: 'CalemPm',
		controller: 'CalemPmDocFormNew',
		model: 'pm_doc', 
		view: {CalemViewRefInfo: {id: 'CalemPmDocViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPmDocFormRead']={
	CalemFormInfo: {
		id: 'CalemPmDocFormRead',
		title: 'pm_doc',
		icon: 'CalemPm',
		controller: 'CalemPmDocFormRead',
		model: 'pm_doc', 
		view: {CalemViewRefInfo: {id: 'CalemPmDocViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPmDocFormEdit']={
	CalemFormInfo: {
		id: 'CalemPmDocFormEdit',
		title: 'pm_doc',
		icon: 'CalemPm',
		controller: 'CalemPmDocFormEdit',
		model: 'pm_doc', 
		view: {CalemViewRefInfo: {id: 'CalemPmDocViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * PmAudit
 */
CalemItemDef['CalemPmAuditFormList']={
	CalemFormInfo: {
		id: 'CalemPmAuditFormList',
		title: 'pm_audit',
		icon: 'CalemPm',
		controller: 'CalemPmAuditFormList',
		model: 'pm_audit', 
		view: {CalemViewRefInfo: {id: 'CalemPmAuditViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPmAuditFormNew']={
	CalemFormInfo: {
		id: 'CalemPmAuditFormNew',
		title: 'pm_audit',
		icon: 'CalemPm',
		controller: 'CalemPmAuditFormNew',
		model: 'pm_audit', 
		view: {CalemViewRefInfo: {id: 'CalemPmAuditViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPmAuditFormRead']={
	CalemFormInfo: {
		id: 'CalemPmAuditFormRead',
		title: 'pm_audit',
		icon: 'CalemPm',
		controller: 'CalemPmAuditFormRead',
		model: 'pm_audit', 
		view: {CalemViewRefInfo: {id: 'CalemPmAuditViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPmAuditFormEdit']={
	CalemFormInfo: {
		id: 'CalemPmAuditFormEdit',
		title: 'pm_audit',
		icon: 'CalemPm',
		controller: 'CalemPmAuditFormEdit',
		model: 'pm_audit', 
		view: {CalemViewRefInfo: {id: 'CalemPmAuditViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * PmDependency
 */
CalemItemDef['CalemPmDependencyFormList']={
	CalemFormInfo: {
		id: 'CalemPmDependencyFormList',
		title: 'pm_dependency',
		icon: 'CalemPm',
		controller: 'CalemPmDependencyFormList',
		model: 'pm_dependency', 
		view: {CalemViewRefInfo: {id: 'CalemPmDependencyViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPmDependencyFormNew']={
	CalemFormInfo: {
		id: 'CalemPmDependencyFormNew',
		title: 'pm_dependency',
		icon: 'CalemPm',
		controller: 'CalemPmDependencyFormNew',
		model: 'pm_dependency', 
		view: {CalemViewRefInfo: {id: 'CalemPmDependencyViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPmDependencyFormRead']={
	CalemFormInfo: {
		id: 'CalemPmDependencyFormRead',
		title: 'pm_dependency',
		icon: 'CalemPm',
		controller: 'CalemPmDependencyFormRead',
		model: 'pm_dependency', 
		view: {CalemViewRefInfo: {id: 'CalemPmDependencyViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPmDependencyFormEdit']={
	CalemFormInfo: {
		id: 'CalemPmDependencyFormEdit',
		title: 'pm_dependency',
		icon: 'CalemPm',
		controller: 'CalemPmDependencyFormEdit',
		model: 'pm_dependency', 
		view: {CalemViewRefInfo: {id: 'CalemPmDependencyViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * PmAsset
 */
CalemItemDef['CalemPmAssetFormList']={
	CalemFormInfo: {
		id: 'CalemPmAssetFormList',
		title: 'pm_asset',
		icon: 'CalemPm',
		controller: 'CalemPmAssetFormList',
		model: 'pm_asset', 
		view: {CalemViewRefInfo: {id: 'CalemPmAssetViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPmAssetFormNew']={
	CalemFormInfo: {
		id: 'CalemPmAssetFormNew',
		title: 'pm_asset',
		icon: 'CalemPm',
		controller: 'CalemPmAssetFormNew',
		model: 'pm_asset', 
		view: {CalemViewRefInfo: {id: 'CalemPmAssetViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPmAssetFormRead']={
	CalemFormInfo: {
		id: 'CalemPmAssetFormRead',
		title: 'pm_asset',
		icon: 'CalemPm',
		controller: 'CalemPmAssetFormRead',
		model: 'pm_asset', 
		view: {CalemViewRefInfo: {id: 'CalemPmAssetViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPmAssetFormEdit']={
	CalemFormInfo: {
		id: 'CalemPmAssetFormEdit',
		title: 'pm_asset',
		icon: 'CalemPm',
		controller: 'CalemPmAssetFormEdit',
		model: 'pm_asset', 
		view: {CalemViewRefInfo: {id: 'CalemPmAssetViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * Pm comment
 */
CalemItemDef['CalemPmCommentFormList']={
	CalemFormInfo: {
		id: 'CalemPmCommentFormList',
		title: 'pm_comment',
		icon: 'CalemPm',
		controller: 'CalemPmCommentFormList',
		model: 'pm_comment', 
		view: {CalemViewRefInfo: {id: 'CalemPmCommentViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPmCommentFormNew']={
	CalemFormInfo: {
		id: 'CalemPmCommentFormNew',
		title: 'pm_comment',
		icon: 'CalemPm',
		controller: 'CalemPmCommentFormNew',
		model: 'pm_comment', 
		view: {CalemViewRefInfo: {id: 'CalemPmCommentViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPmCommentFormEdit']={
	CalemFormInfo: {
		id: 'CalemPmCommentFormEdit',
		title: 'pm_comment',
		icon: 'CalemPm',
		controller: 'CalemPmCommentFormEdit',
		model: 'pm_comment', 
   	view: {CalemViewRefInfo: {id: 'CalemPmCommentViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPmCommentFormRead']={
	CalemFormInfo: {
		id: 'CalemPmCommentFormRead',
		title: 'pm_comment',
		icon: 'CalemPm',
		controller: 'CalemPmCommentFormRead',
		model: 'pm_comment', 
		view: {CalemViewRefInfo: {id: 'CalemPmCommentViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}


/**
 * Meter
 */
CalemItemDef['CalemPmAssetMeterFormList']={
	CalemFormInfo: {
		id: 'CalemPmAssetMeterFormList',
		title: 'pm_meter',
		icon: 'CalemPm',
		controller: 'CalemPmAssetMeterFormList',
		model: 'pm_meter', 
		view: {CalemViewRefInfo: {id: 'CalemPmAssetMeterViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPmAssetMeterFormNew']={
	CalemFormInfo: {
		id: 'CalemPmAssetMeterFormNew',
		title: 'pm_meter',
		icon: 'CalemPm',
		controller: 'CalemPmAssetMeterFormNew',
		model: 'pm_meter', 
		view: {CalemViewRefInfo: {id: 'CalemPmAssetMeterViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPmAssetMeterFormEdit']={
	CalemFormInfo: {
		id: 'CalemPmAssetMeterFormEdit',
		title: 'pm_meter',
		icon: 'CalemPm',
		controller: 'CalemPmAssetMeterFormEdit',
		model: 'pm_meter', 
   	view: {CalemViewRefInfo: {id: 'CalemPmAssetMeterViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPmAssetMeterFormRead']={
	CalemFormInfo: {
		id: 'CalemPmAssetMeterFormRead',
		title: 'pm_meter',
		icon: 'CalemPm',
		controller: 'CalemPmAssetMeterFormRead',
		model: 'pm_meter', 
		view: {CalemViewRefInfo: {id: 'CalemPmAssetMeterViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * Season
 */
CalemItemDef['CalemPmAssetSeasonFormList']={
	CalemFormInfo: {
		id: 'CalemPmAssetSeasonFormList',
		title: 'pm_season',
		icon: 'CalemPm',
		controller: 'CalemPmAssetSeasonFormList',
		model: 'pm_season', 
		view: {CalemViewRefInfo: {id: 'CalemPmAssetSeasonViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPmAssetSeasonFormNew']={
	CalemFormInfo: {
		id: 'CalemPmAssetSeasonFormNew',
		title: 'pm_season',
		icon: 'CalemPm',
		controller: 'CalemPmAssetSeasonFormNew',
		model: 'pm_season', 
		view: {CalemViewRefInfo: {id: 'CalemPmAssetSeasonViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPmAssetSeasonFormEdit']={
	CalemFormInfo: {
		id: 'CalemPmAssetSeasonFormEdit',
		title: 'pm_season',
		icon: 'CalemPm',
		controller: 'CalemPmAssetSeasonFormEdit',
		model: 'pm_season', 
   	view: {CalemViewRefInfo: {id: 'CalemPmAssetSeasonViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPmAssetSeasonFormRead']={
	CalemFormInfo: {
		id: 'CalemPmAssetSeasonFormRead',
		title: 'pm_season',
		icon: 'CalemPm',
		controller: 'CalemPmAssetSeasonFormRead',
		model: 'pm_season', 
		view: {CalemViewRefInfo: {id: 'CalemPmAssetSeasonViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * PM module
 */
CalemModuleDef["modCalemPm"]= {
	CalemModuleInfo: {
      id:"modCalemPm",
      icon:"CalemPm",
      defaultMenu: 'CalemPmFormList',
      toolBar: {
        CalemToolBarInfo: {
        	  type: 'CalemToolBar',
        	  layout: ['modCalemPm', 'sep', 'CalemPmFormList'],
        	  list: [
	         {CalemLabelInfo: {id: 'modCalemPm', className: 'CalemModuleLabel'}},
	         
	         {CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
	         
	         {CalemMenuItemInfo: {id: 'CalemPmFormList'}}
	         
	      ] }
	}
	}
};

//Build Calem.js from client
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemConf['in_vt_checkout_to_fldMap']= {
	'ict_wo': 'wo_id', 
	'ict_asset': 'asset_id',
	'ict_user': 'user_id',
	'ict_project': 'project_id'
};

CalemConf['in_tran_conf']= {
	checkout: {allowNegativeStock: true},
	minCheckout: 0.001
};
	
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Close IN Receive form all the way.
 */
function CalemInReceiveDoneAction() {
}

CalemInReceiveDoneAction.prototype.toString = function() {return "CalemInReceiveDoneAction";}

CalemInReceiveDoneAction.prototype.onAction =
function(fm) {
	if (fm.onInReceiveDoneAction) fm.onInReceiveDoneAction();	
}

//InTranDoneAction
function CalemInTranDoneAction() {
}

CalemInTranDoneAction.prototype.toString = function() {return "CalemInTranDoneAction";}

CalemInTranDoneAction.prototype.onAction =
function(fm) {
	if (fm.onInTranDoneAction) fm.onInTranDoneAction();	
}

//Collect default info for order request.
function CalemInGenOrderReqInfoCollected(table, reqRow, inRow) {
	this._table=table;
	this._reqRow=reqRow;
	this._inRow = inRow;
}

CalemInGenOrderReqInfoCollected.prototype.toString = function() {return "CalemInGenOrderReqInfoCollected";}

CalemInGenOrderReqInfoCollected.prototype.onAction =
function(fm) {
	if (fm.onInGenOrderReqInfoCollected) 
		fm.onInGenOrderReqInfoCollected(this._table, this._reqRow, this._inRow);	
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInBo - business logic
 */
function CalemInBo() {
}

CalemInBo._details = ['in_stock', 'in_tran', 'in_doc', 'in_comment', 'in_audit', 'in_vendor',
                      'pm_part', 'pm_tool', 'asset_part'];

CalemInBo.getInstance =
function() {
	if (!CalemInBo.singleton) {
		CalemInBo.singleton = new CalemInBo();
	}
	return CalemInBo.singleton;
}

CalemInBo.prototype.canDelete =
function(rec, callback) {
	var boUtil=CalemBoUtil.getInstance();
	boUtil.canDeleteByLookup(CalemInBo._details, 'in_id', rec.id, callback);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInTypeBo - business logic
 */
function CalemInTypeBo() {
}

CalemInTypeBo._details = ['inventory'];

CalemInTypeBo.getInstance =
function() {
	if (!CalemInTypeBo.singleton) {
		CalemInTypeBo.singleton = new CalemInTypeBo();
	}
	return CalemInTypeBo.singleton;
}

//Asset deletion check
CalemInTypeBo.prototype.canDelete =
function(rec, callback) {
	var boUtil=CalemBoUtil.getInstance();
	boUtil.canDeleteByLookup(CalemInTypeBo._details, 'type_id', rec.id, callback);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemUomBo - business logic
 */
function CalemUomBo() {
}

CalemUomBo.getInstance =
function() {
	if (!CalemUomBo.singleton) {
		CalemUomBo.singleton = new CalemUomBo();
	}
	return CalemUomBo.singleton;
}

//Asset deletion check
CalemUomBo.prototype.canDelete =
function(rec, callback) {
	var reg=CalemContext.getInstance().getRegistry();
	var dbQry=new CalemDbQuery();
	var dd=reg.getTableDd('inventory');
	
	//Now add query by the fld.
	var orExpr=new CalemExprOr();
	var val=new CalemDbString(rec.id);
	var fld1=new CalemDbField('inventory', 'uom_id');
	var expr1=new CalemDbExpr(fld1, CalemDbExpr.EQ, val);
	orExpr.add(expr1);
	var fld2=new CalemDbField('inventory', 'rent_uom_id');
	var expr2=new CalemDbExpr(fld2, CalemDbExpr.EQ, val);
	orExpr.add(expr2);
	dbQry.add(dd.buildGetAllQueryByExpr(orExpr));
	
	//Now do a bulk query for count
	var boUtil=CalemBoUtil.getInstance();
	var soapCb=new AjxCallback(boUtil, boUtil.onDeleteByLookupResponse, callback);
	reg.getCache().bulkLoadCountBypassCache(dbQry, soapCb);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 


/**
 * CalemInStockQtyNotZeroException
 */
function CalemInStockQtyNotZeroException(table, errorInfo) {
	if (arguments.length==0) return;
	CalemErrorInfo.call(this, table, errorInfo);
}

CalemInStockQtyNotZeroException.prototype = new CalemErrorInfo;
CalemInStockQtyNotZeroException.prototype.constructor=CalemInStockQtyNotZeroException;

CalemInStockQtyNotZeroException.prototype.toString = function() {return "CalemInStockQtyNotZeroException";}

CalemInStockQtyNotZeroException.prototype.getMessage = 
function() {
	return CalemMsg.getMsg('in_stock_qty_not_zero');
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInLocationBo - business logic
 */
function CalemInLocationBo() {
}

CalemInLocationBo._details = ['in_stock', 'in_tran'];

CalemInLocationBo.getInstance =
function() {
	if (!CalemInLocationBo.singleton) {
		CalemInLocationBo.singleton = new CalemInLocationBo();
	}
	return CalemInLocationBo.singleton;
}

//Asset deletion check
CalemInLocationBo.prototype.canDelete =
function(rec, callback) {
	var reg=CalemContext.getInstance().getRegistry();
	var dbQry=new CalemDbQuery();
	//Add details
	for (var i=0; i< CalemInLocationBo._details.length; i++ ) {
		var dd=reg.getTableDd(CalemInLocationBo._details[i]);
		var qry=dd.buildGetAllQueryByLookup('location_id', rec.id);
		dbQry.add(qry);
	}
	
	var dd=reg.getTableDd('in_location');
	//Now add query by the fld.
	var orExpr=new CalemExprOr();
	var val=new CalemDbString(rec.id);
	var fld1=new CalemDbField('in_location', 'parent_id');
	var expr1=new CalemDbExpr(fld1, CalemDbExpr.EQ, val);
	dbQry.add(dd.buildGetAllQueryByExpr(expr1));
	
	//Now do a bulk query for count
	var boUtil=CalemBoUtil.getInstance();
	var soapCb=new AjxCallback(boUtil, boUtil.onDeleteByLookupResponse, callback);
	reg.getCache().bulkLoadCountBypassCache(dbQry, soapCb);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInTranBo - business logic
 */
function CalemInTranBo() {
}

CalemInTranBo.getInstance =
function() {
	if (!CalemInTranBo.singleton) {
		CalemInTranBo.singleton = new CalemInTranBo();
	}
	return CalemInTranBo.singleton;
}

CalemInTranBo.prototype.canCheckout =
function(qty) {
	if (qty<=0 && !CalemConf['in_tran_conf']['checkout']['allowNegativeStock']) {
		CalemInfoDialog.showIt(CalemMsg.getMsg('in_tb_checkout'),CalemMsg.getMsg('in_no_stock_no_checkout'));
		return false;
	}
	return true;
}

CalemInTranBo.prototype.canMove =
function(qty) {
	if (qty<=0) {
		CalemInfoDialog.showIt(CalemMsg.getMsg('in_vt_move'),CalemMsg.getMsg('in_no_stock_to_move'));
		return false;
	}
	return true;
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Admin module menu
 */

//Modules Form

// forms
CalemMenuDef['CalemInFormList'] = {
	id: 'CalemInFormList',
	title: 'inventory',
	icon: 'CalemIn',
	disIcon: null,
	tooltip: null, 
	enabled: true,		   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};

CalemMenuDef['CalemInLocationFormList'] = {
	id: 'CalemInLocationFormList',
	title: 'in_location',
	icon: 'CalemIn',
	disIcon: null,
	tooltip: null, 
	enabled: true,		   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};

//Codes
CalemMenuDef['CalemInCodes'] = {
	id: 'CalemInCodes',
	title: 'in_codes',
	icon: 'CalemCodes',
	disIcon: null,
	tooltip: null,
	enabled: true,				   
	onSelect: null	
}; 

CalemMenuDef['CalemInTypeFormList'] = {
	id: 'CalemInTypeFormList',
	title: 'in_type',
	icon: 'CalemIn',
	disIcon: null,
	tooltip: null, 
	enabled: true,		   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};

CalemMenuDef['CalemUomFormList'] = {
	id: 'CalemUomFormList',
	title: 'uom',
	icon: 'CalemIn',
	disIcon: null,
	tooltip: null, 
	enabled: true,		   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};

CalemMenuDef['CalemUomMapFormList'] = {
	id: 'CalemUomMapFormList',
	title: 'uom_map',
	icon: 'CalemIn',
	disIcon: null,
	tooltip: null, 
	enabled: true,		   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};


//Meter readings
CalemMenuDef['CalemTbInTranWorksheet'] = {
	id: 'CalemTbInTranWorksheet',
	title: 'view_in_tran_worksheet',
	icon: 'CalemOpen',
	disIcon: null,
	enabled: false,
	tooltip: null, 
	className: 'TBButton',
	onSelect: {CalemMenuSelect: {listener: 'OpenInTranWorksheet'}}	
};

/**
 * Inventory transactions
 * - Checkout - part/tool checkout
 * - Return - part/tool return
 * - Receive - Receive part/tool from purchase
 * - Physical - physical counting of part/tool
 * - Move - move part/tool
 * - Checkin - Check in parts for there're no Purchase history
 */
CalemMenuDef['CalemTbInCheckout'] = {
	id: 'CalemTbInCheckout',
	title: 'in_tb_checkout',
	icon: 'CalemInCheckout',
	disIcon: null,
	enabled: false,
	tooltip: null, 
	className: 'TBButton',
	onSelect: {CalemMenuSelect: {listener: 'OpenInCheckout'}}	
};

CalemMenuDef['CalemTbInReturn'] = {
	id: 'CalemTbInReturn',
	title: 'in_tb_return',
	icon: 'CalemInReturn',
	disIcon: null,
	enabled: true,
	tooltip: null, 
	className: 'TBButton',
	onSelect: {CalemMenuSelect: {listener: 'OpenInReturn'}}	
};

CalemMenuDef['CalemTbInTranReturn'] = {
	id: 'CalemTbInTranReturn',
	title: 'in_tb_return',
	icon: 'CalemInReturn',
	disIcon: null,
	enabled: true,
	tooltip: null, 
	className: 'TBButton',
	onSelect: {CalemMenuSelect: {listener: 'OpenInTranReturn'}}	
};

CalemMenuDef['CalemTbInReceive'] = {
	id: 'CalemTbInReceive',
	title: 'in_tb_receive',
	icon: 'CalemInReceive',
	disIcon: null,
	enabled: true,
	tooltip: null, 
	className: 'TBButton',
	onSelect: {CalemMenuSelect: {listener: 'OpenInReceive'}}	
};

CalemMenuDef['CalemTbInTranReceive'] = {
	id: 'CalemTbInTranReceive',
	title: 'in_tb_receive',
	icon: 'CalemInReceive',
	disIcon: null,
	enabled: true,
	tooltip: null, 
	className: 'TBButton',
	onSelect: {CalemMenuSelect: {listener: 'OpenInTranReceive'}}	
};

CalemMenuDef['CalemTbInPhysical'] = {
	id: 'CalemTbInPhysical',
	title: 'in_tb_physical',
	icon: 'CalemInPhysical',
	disIcon: null,
	enabled: false,
	tooltip: null, 
	className: 'TBButton',
	onSelect: {CalemMenuSelect: {listener: 'OpenInPhysical'}}	
};

CalemMenuDef['CalemTbInMove'] = {
	id: 'CalemTbInMove',
	title: 'in_tb_move',
	icon: 'CalemInMove',
	disIcon: null,
	enabled: false,
	tooltip: null, 
	className: 'TBButton',
	onSelect: {CalemMenuSelect: {listener: 'OpenInMove'}}	
};

CalemMenuDef['CalemTbInCheckin'] = {
	id: 'CalemTbInCheckin',
	title: 'in_tb_checkin',
	icon: 'CalemInCheckin',
	disIcon: null,
	enabled: false,
	tooltip: null, 
	className: 'TBButton',
	onSelect: {CalemMenuSelect: {listener: 'OpenInCheckin'}}	
};

// Generate order request
CalemMenuDef['CalemTbInGenOrderReq'] = {
	id: 'CalemTbInGenOrderReq',
	title: 'in_tb_gen_order_req',
	icon: 'CalemNew',
	disIcon: null,
	enabled: false,
	tooltip: null, 
	className: 'TBButton',
	onSelect: {CalemMenuSelect: {listener: 'InGenOrderReq'}}	
};

CalemMenuDef['CalemInOrderFormList'] = {
	id: 'CalemInOrderFormList',
	title: 'in_order_list',
	icon: 'CalemIn',
	disIcon: null,
	tooltip: null, 
	enabled: true,		   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInCheckoutToInfo
 */
function CalemInCheckoutToInfo(checkoutTypeId, checkoutToId) {
	if (arguments.length==0) return;
	this._checkoutTypeId=checkoutTypeId;
	this._checkoutToId=checkoutToId;
}

CalemInCheckoutToInfo.prototype.toString = function() {return "CalemInCheckoutToInfo";}
CalemInCheckoutToInfo.prototype.getClassName = function() {return "CalemInCheckoutToInfo";}

CalemInCheckoutToInfo.prototype.getCheckoutTypeId =
function() {
	return this._checkoutTypeId;
}

CalemInCheckoutToInfo.prototype.getCheckoutToId =
function() {
	return this._checkoutToId;
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

//Edit CheckoutTo info
function CalemEditInCheckoutToInfo(fld) {
	if (arguments.length==0) return;
	this._field=fld;
}

CalemEditInCheckoutToInfo.prototype.toString = function() {return "CalemEditInCheckoutToInfo";}
CalemEditInCheckoutToInfo.prototype.getClassName = function() {return "CalemEditInCheckoutToInfo";}

CalemEditInCheckoutToInfo.prototype.setJson =
function(obj) {
	this._field=obj.field;
}

CalemEditInCheckoutToInfo.prototype.getJson = 
function() {
	return ["{CalemEditInCheckoutToInfo: {field: '", this._field, "'}}"].join('');
}

CalemEditInCheckoutToInfo.prototype.getField =
function() {
	return this._field;
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemEditInCheckoutTo
 * This is the time edit control
 */
function CalemEditInCheckoutTo(param) {
	if (arguments.length==0) return;
	DwtComposite.call(this, param.parent);
	//Validation callback
	this._vdCallbackProxy = new AjxCallback(this, this.onVdCallbackProxy);
	this._param=param;
	this._createControl();
} 

CalemEditInCheckoutTo.prototype = new DwtComposite;
CalemEditInCheckoutTo.prototype.constructor = CalemEditInCheckoutTo;

CalemEditInCheckoutTo.prototype.toString = function() { return "CalemEditInCheckoutTo"; }

//create control
CalemEditInCheckoutTo.prototype._createControl  =
function() {	
	//internal data mappings
	this._createCheckoutTo();
	
	var html=new Array();
	var i=0;
	html[i++]="<table class=CalemEditInCheckoutToTable>";
	for (var r in this._radioGroups) {
		html[i++]="<tr>"
		html[i++]=["<td><input type='radio' class=CalemEditInCheckoutToRadio name='checkout_to', id=", this._radioGroups[r]._id,
	            ">", CalemMsg.getMsg(r), "</td>"].join('');
		html[i++]=["<td class=CalemEditInCheckoutToTd id=", this._lookups[r]._id, "></td>"].join('');
		html[i++]="</tr>";
	}
	html[i++]="</table>";
	//Set html layout.
	var el=this.getHtmlElement();
	el.innerHTML=html.join('');
	//Now continue layout and binding
	for (var i in this._radioGroups) {
		this._radioGroups[i]._el=document.getElementById(this._radioGroups[i]._id);
		this._radioGroups[i]._el.onclick = CalemEditInCheckoutTo._onRadioClick;
		//render lookup field
		var fld=this._lookups[i]._fld;
		var tbDd=this._param.controller.getModelItem().getTableDd();
		var fldInfo=tbDd.getFieldInfo(fld);
		this._lookups[i]._el=document.getElementById(this._lookups[i]._id);
		this._lookups[i]._render=new CalemEditLookupRender(this._param.parent, fld, fldInfo, this._param.controller);
		this._lookups[i]._render.render(this._lookups[i]._el);
		this._lookups[i]._render.setupValidation(this._vdCallbackProxy);
	}
}

/**
 * Checkout to
 */
CalemEditInCheckoutTo.prototype._createCheckoutTo =
function() {
	this._radioGroups=new Object();
	this._lookups=new Object();
	var checkoutTo=CalemConfUtil.get('in_vt_checkout_to_fldMap');
	for (var i in checkoutTo) {
		this._radioGroups[i]=new Object();
		this._radioGroups[i]._id=Dwt.getNextId();
		this._lookups[i]=new Object();
		this._lookups[i]._id=Dwt.getNextId();
		this._lookups[i]._fld=checkoutTo[i];
	}
}

/**
 * To display.
 */
CalemEditInCheckoutTo.prototype.setValue =
function(val, noValidate) {
	//Preserve previous value.
	var checked=false;
	for (var i in this._radioGroups) {
		if (this._radioGroups[i]._el.checked) {
			checked=true;
		}
	}
	if (!checked) {
		for (var i in this._radioGroups) {
			this._radioGroups[i]._el.checked=true;
			break;
		}
		this.onRadioClicked(true);
	}
}

CalemEditInCheckoutTo.prototype.setRequired =
function(bl) {
	for (var i in this._lookups) this._lookups[i]._render._control.setRequired();
}

CalemEditInCheckoutTo.prototype.focus =
function() {
	//NA.
}

/**
 * Validation
 */
CalemEditInCheckoutTo.prototype.setValidationCallback =
function(callback) {
	this._vdCallback=callback;
} 

CalemEditInCheckoutTo.prototype.onVdCallbackProxy =
function(fld, isValid, value) {
	if (isValid) {
		try {
			this.isValid();
		} catch (ex) {
			if (CalemDebug.isDebug()) CalemDebug.debug("CalemEditInCheckoutTo, got exception in vdCallbackProxy: "+ex);
			isValid=false;
		}
	}
	this._vdCallback.run(this, isValid, value)
}

CalemEditInCheckoutTo.prototype.setFieldInfo =
function(info) {
	this._fieldInfo=info;
} 

CalemEditInCheckoutTo.prototype.getFieldInfo =
function(info) {
	return this._fieldInfo;
}

CalemEditInCheckoutTo.prototype.isValid =
function() {
	for (var i in this._radioGroups) {
		if (this._radioGroups[i]._el.checked) {
			this._lookups[i]._render.verifyInput();
		}
	}
	return true;
}

//This is native type
CalemEditInCheckoutTo.prototype.getFieldValue =
function() {
	var rtn=null;
	for (var i in this._radioGroups) {
		if (this._radioGroups[i]._el.checked) {
			var id=this._lookups[i]._render._control.getFieldValue();
			if (id) {
				rtn=new CalemInCheckoutToInfo();
				rtn._checkoutTypeId=i;
				rtn._checkoutToId=id;
			}
			break;
		}
	}
	return rtn;
} 

//This is server type.
CalemEditInCheckoutTo.prototype.getEditFieldServerValue =
function() {
	return this.getFieldValue();
} 

CalemEditInCheckoutTo.prototype.setFieldError =
function(errMsg) {
	//
} 

CalemEditInCheckoutTo.prototype.clearFieldError =
function() {
	//
} 

//Handle radio button clicked.
CalemEditInCheckoutTo.prototype.onRadioClicked =
function(noReport) {
	for (var i in this._radioGroups) {
		if (this._radioGroups[i]._el.checked) {
			this._lookups[i]._render.enable();
		} else {
			this._lookups[i]._render._control.clearErrorFlag();
			this._lookups[i]._render.disable();
		}		
	}
	if (!noReport) {
		this.onVdCallbackProxy(this, true, null);
	}
}

/**
 * radio click function
 */
CalemEditInCheckoutTo._onRadioClick =
function(ev) {
	var obj = DwtUiEvent.getDwtObjFromEvent(ev);
	if (obj) obj.onRadioClicked();
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemEditInCheckoutToRender
 * Render Schedule edit field.
 *  
 */
function CalemEditInCheckoutToRender(parent, id, fldInfo, controller) {
	if (arguments.length==0) return;
	CalemEditRender.call(this, parent, id, fldInfo, controller);
}

CalemEditInCheckoutToRender.prototype=new CalemEditRender;
CalemEditInCheckoutToRender.prototype.constructor=CalemEditInCheckoutToRender;

CalemEditInCheckoutToRender.prototype.toString = function() { return "CalemEditInCheckoutToRender"; }

CalemEditInCheckoutToRender.prototype.render =
function(parentEl, yOff) {	
	this._control=new CalemEditInCheckoutTo({parent: this._parent, controller: this._controller});
	if (this._tableDd.isRequired(this._field)) {
		this._control.setRequired(true);
	}
	this._control.reparentHtmlElement(parentEl);
	//Need to set up validation here.
	this.setupValidation();
	
	var val= this._getFieldEditValueByRec();
	this._control.setValue(val, true);           
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemInViewList']={
	CalemViewInfo: {
		id: 'CalemInViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'inventory', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep', 'CalemTbPrint', 'sep2', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					{ CalemButtonInfo: {
						id: 'CalemTbPrint', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'in_no', width: 130}},
			  			   {CalemCol: {id: 'type_id', width: 130}},
			  			   {CalemCol: {id: 'note', width: 200}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Lookup views
 */
CalemViewDef['CalemInToolViewLookup']={
	CalemViewInfo: {
		id: 'CalemInToolViewLookup',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'inventory_tool', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbSelect', 'CalemTbCancel', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
			
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbSelect', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'in_no', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Lookup views
 */
CalemViewDef['CalemInPartViewLookup']={
	CalemViewInfo: {
		id: 'CalemInPartViewLookup',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'inventory_part', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbSelect', 'CalemTbCancel', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
					 					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbSelect', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'in_no', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Lookup views
 */
CalemViewDef['CalemInViewLookup']={
	CalemViewInfo: {
		id: 'CalemInViewLookup',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'inventory', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbSelect', 'CalemTbCancel', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
						  		
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
											  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbSelect', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'in_no', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemInViewNew']={
	CalemViewInfo: {
		id: 'CalemInViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},						             
					{CalemTrInfo: {cols: ['lb_reorder']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'inventory', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_reorder': {
				CalemLabelInfo: {id: 'lb_reorder', className: 'CalemEditSection'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemInViewRead']={
	CalemViewInfo: {
		id: 'CalemInViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},						             

					{CalemTrInfo: {cols: ['lb_reorder']}},
					{CalemTrInfo: {cols: ['lb_stock']}},
					//Last changes
					{CalemTrInfo: {cols: ['lb_last_changes']}}                                                                                                               				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'inventory', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_reorder': {
				CalemLabelInfo: {id: 'lb_reorder', className: 'CalemEditSection'}
			},
			'lb_stock': {
				CalemLabelInfo: {id: 'in_stock_level', className: 'CalemEditSection'}
			},
			'lb_last_changes': {
				CalemLabelInfo: {id: 'last_changes', className: 'CalemEditSection'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemInViewEdit']={
	CalemViewInfo: {
		id: 'CalemInViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},						             

					{CalemTrInfo: {cols: ['lb_reorder']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'inventory', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_reorder': {
				CalemLabelInfo: {id: 'lb_reorder', className: 'CalemEditSection'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemInViewSearch']={
	CalemViewInfo: {
		id: 'CalemInViewSearch',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},		
               {CalemTrInfo: {cols: ['lb_save_search', '_save_search']}},				             					             
					{CalemTrInfo: {cols: ['lb_reorder']}},
					{CalemTrInfo: {cols: ['lb_last_changes']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbApplySave', 'sep2', 'CalemTbApply', 'CalemTbSave',  'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	
					   { CalemButtonInfo: {
							 id: 'CalemTbApplySave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
						
						{ CalemButtonInfo: {
							id: 'CalemTbApply', 
							customInfo: {
							  	   CalemMenuCustomInfo: {
							         enabled: false,
							         events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
							  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
					
					
					   
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},   			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'inventory', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_reorder': {
				CalemLabelInfo: {id: 'lb_reorder', className: 'CalemEditSection'}
			},
			'lb_last_changes': {
				CalemLabelInfo: {id: 'last_changes', className: 'CalemEditSection'}
			},		
			'lb_save_search': {
				CalemLabelInfo: {id: 'save_search', className: 'CalemEditSection'}
			},
			'_save_search': {
				CalemSearchSaveInfo: {size: 30}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemInOrderViewRead']={
	CalemViewInfo: {
		id: 'CalemInOrderViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},						             

					{CalemTrInfo: {cols: ['lb_reorder']}},
					{CalemTrInfo: {cols: ['lb_stock']}},
					//Last changes
					{CalemTrInfo: {cols: ['lb_last_changes']}}                                                                                                               				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbInGenOrderReq',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'in_order_list', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_reorder': {
				CalemLabelInfo: {id: 'lb_reorder', className: 'CalemEditSection'}
			},
			'lb_stock': {
				CalemLabelInfo: {id: 'in_stock_level', className: 'CalemEditSection'}
			},
			'lb_last_changes': {
				CalemLabelInfo: {id: 'last_changes', className: 'CalemEditSection'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemInGenOrderViewNew']={
	CalemViewInfo: {
		id: 'CalemInGenOrderViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'in_order_gen_new', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemInStockViewList']={
	CalemViewInfo: {
		id: 'CalemInStockViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'in_stock', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					//In transactions						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbInCheckout', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: {id: 'CalemTbInReturn'}},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbInMove', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbInPhysical', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: {id: 'CalemTbInReceive'}},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbInCheckin', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'location_id', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemInStockViewNew']={
	CalemViewInfo: {
		id: 'CalemInStockViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'in_stock', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemInStockViewRead']={
	CalemViewInfo: {
		id: 'CalemInStockViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
									  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'in_stock', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemInReservedViewList']={
	CalemViewInfo: {
		id: 'CalemInReservedViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'in_reserved', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbCustomize'],
					list: [
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'in_id', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemInCommentViewList']={
	CalemViewInfo: {
		id: 'CalemInCommentViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'in_comment', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'comment', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemInCommentViewNew']={
	CalemViewInfo: {
		id: 'CalemInCommentViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'in_comment', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemInCommentViewEdit']={
	CalemViewInfo: {
		id: 'CalemInCommentViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'in_comment', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemInCommentViewRead']={
	CalemViewInfo: {
		id: 'CalemInCommentViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'in_comment', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemInDocViewList']={
	CalemViewInfo: {
		id: 'CalemInDocViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'in_doc', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'doc_id', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemInDocViewNew']={
	CalemViewInfo: {
		id: 'CalemInDocViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'in_doc', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemInDocViewEdit']={
	CalemViewInfo: {
		id: 'CalemInDocViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'in_doc', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemInDocViewRead']={
	CalemViewInfo: {
		id: 'CalemInDocViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'in_doc', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemInAuditViewList']={
	CalemViewInfo: {
		id: 'CalemInAuditViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'in_audit', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'start_date', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemInAuditViewNew']={
	CalemViewInfo: {
		id: 'CalemInAuditViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'in_audit', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemInAuditViewEdit']={
	CalemViewInfo: {
		id: 'CalemInAuditViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'in_audit', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemInAuditViewRead']={
	CalemViewInfo: {
		id: 'CalemInAuditViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'in_audit', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemInVendorViewList']={
	CalemViewInfo: {
		id: 'CalemInVendorViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'in_vendor', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'vendor_id', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemInVendorViewNew']={
	CalemViewInfo: {
		id: 'CalemInVendorViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'in_vendor', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemInVendorViewEdit']={
	CalemViewInfo: {
		id: 'CalemInVendorViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'in_vendor', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemInVendorViewRead']={
	CalemViewInfo: {
		id: 'CalemInVendorViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'in_vendor', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemInTranViewList']={
	CalemViewInfo: {
		id: 'CalemInTranViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'in_tran', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbOpen', 'sep','CalemTbCustomize'],
					list: [
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'in_id', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemInTranViewRead']={
	CalemViewInfo: {
		id: 'CalemInTranViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'in_tran', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemInTranWorksheetViewList']={
	CalemViewInfo: {
		id: 'CalemInTranWorksheetViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'in_stock', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'location_id', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemUomViewList']={
	CalemViewInfo: {
		id: 'CalemUomViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'uom', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep', 'CalemTbPrint', 'sep2', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'uom', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Lookup views
 */
CalemViewDef['CalemUomViewLookup']={
	CalemViewInfo: {
		id: 'CalemUomViewLookup',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'uom', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbSelect', 'CalemTbCancel', 'CalemTbNew', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					{ CalemButtonInfo: {
						id: 'CalemTbPrint', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbSelect', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'uom', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemUomViewNew']={
	CalemViewInfo: {
		id: 'CalemUomViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'uom', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemUomViewRead']={
	CalemViewInfo: {
		id: 'CalemUomViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                            				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'uom', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemUomViewEdit']={
	CalemViewInfo: {
		id: 'CalemUomViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                         				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'uom', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemUomViewSearch']={
	CalemViewInfo: {
		id: 'CalemUomViewSearch',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},		
               {CalemTrInfo: {cols: ['lb_save_search', '_save_search']}}                                                                                                 				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbApplySave', 'sep2', 'CalemTbApply', 'CalemTbSave',  'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	
					   { CalemButtonInfo: {
							 id: 'CalemTbApplySave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
						
						{ CalemButtonInfo: {
							id: 'CalemTbApply', 
							customInfo: {
							  	   CalemMenuCustomInfo: {
							         enabled: false,
							         events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
							  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
					
					
					   
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},   			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'uom', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			
			'lb_save_search': {
				CalemLabelInfo: {id: 'save_search', className: 'CalemEditSection'}
			},
			'_save_search': {
				CalemSearchSaveInfo: {size: 30}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemUomMapViewList']={
	CalemViewInfo: {
		id: 'CalemUomMapViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'uom_map', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep', 'CalemTbPrint', 'sep2', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					{ CalemButtonInfo: {
						id: 'CalemTbPrint', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'uom_src_id', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemUomMapViewNew']={
	CalemViewInfo: {
		id: 'CalemUomMapViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'uom_map', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemUomMapViewRead']={
	CalemViewInfo: {
		id: 'CalemUomMapViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                            				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'uom_map', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemUomMapViewEdit']={
	CalemViewInfo: {
		id: 'CalemUomMapViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                         				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'uom_map', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemUomMapViewSearch']={
	CalemViewInfo: {
		id: 'CalemUomMapViewSearch',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},		
               {CalemTrInfo: {cols: ['lb_save_search', '_save_search']}}                                                                                                 				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbApplySave', 'sep2', 'CalemTbApply', 'CalemTbSave',  'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	
					   { CalemButtonInfo: {
							 id: 'CalemTbApplySave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
						
						{ CalemButtonInfo: {
							id: 'CalemTbApply', 
							customInfo: {
							  	   CalemMenuCustomInfo: {
							         enabled: false,
							         events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
							  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
					
					
					   
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},   			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'uom_map', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			
			'lb_save_search': {
				CalemLabelInfo: {id: 'save_search', className: 'CalemEditSection'}
			},
			'_save_search': {
				CalemSearchSaveInfo: {size: 30}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemInTypeViewList']={
	CalemViewInfo: {
		id: 'CalemInTypeViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'in_type', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep', 'sep2', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel' }},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'type', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Lookup views
 */
CalemViewDef['CalemInTypeViewLookup']={
	CalemViewInfo: {
		id: 'CalemInTypeViewLookup',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'in_type', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbSelect', 'CalemTbCancel', 'CalemTbNew', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbSelect', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'type', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemInTypeViewNew']={
	CalemViewInfo: {
		id: 'CalemInTypeViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'in_type', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemInTypeViewRead']={
	CalemViewInfo: {
		id: 'CalemInTypeViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                            				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'in_type', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemInTypeViewEdit']={
	CalemViewInfo: {
		id: 'CalemInTypeViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                         				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'in_type', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemInTypeViewSearch']={
	CalemViewInfo: {
		id: 'CalemInTypeViewSearch',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},		
               {CalemTrInfo: {cols: ['lb_save_search', '_save_search']}}                                                                                                 				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbApplySave', 'sep2', 'CalemTbApply', 'CalemTbSave',  'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	
					   { CalemButtonInfo: {
							 id: 'CalemTbApplySave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
						
						{ CalemButtonInfo: {
							id: 'CalemTbApply', 
							customInfo: {
							  	   CalemMenuCustomInfo: {
							         enabled: false,
							         events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
							  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
					
					
					   
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},   			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'in_type', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			
			'lb_save_search': {
				CalemLabelInfo: {id: 'save_search', className: 'CalemEditSection'}
			},
			'_save_search': {
				CalemSearchSaveInfo: {size: 30}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemInLocationViewList']={
	CalemViewInfo: {
		id: 'CalemInLocationViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'in_location', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep', 'CalemTbPrint', 'sep2', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'location', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Lookup views
 */
CalemViewDef['CalemInLocationViewLookup']={
	CalemViewInfo: {
		id: 'CalemInLocationViewLookup',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'in_location', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbSelect', 'CalemTbCancel', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbSelect', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'location', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemInLocationViewNew']={
	CalemViewInfo: {
		id: 'CalemInLocationViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'in_location', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemInLocationViewRead']={
	CalemViewInfo: {
		id: 'CalemInLocationViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                            				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'in_location', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemInLocationViewEdit']={
	CalemViewInfo: {
		id: 'CalemInLocationViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                         				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'in_location', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemInLocationViewSearch']={
	CalemViewInfo: {
		id: 'CalemInLocationViewSearch',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},		
               {CalemTrInfo: {cols: ['lb_save_search', '_save_search']}}                                                                                                 				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbApplySave', 'sep2', 'CalemTbApply', 'CalemTbSave',  'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	
					   { CalemButtonInfo: {
							 id: 'CalemTbApplySave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
						
						{ CalemButtonInfo: {
							id: 'CalemTbApply', 
							customInfo: {
							  	   CalemMenuCustomInfo: {
							         enabled: false,
							         events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
							  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
					
					
					   
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},   			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'in_location', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			
			'lb_save_search': {
				CalemLabelInfo: {id: 'save_search', className: 'CalemEditSection'}
			},
			'_save_search': {
				CalemSearchSaveInfo: {size: 30}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemInStockSelectViewList']={
	CalemViewInfo: {
		id: 'CalemInStockSelectViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'in_stock_select', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbSelect', 'CalemTbCancel', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSelect', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},					
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'location_id', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemInCheckoutQtyViewEdit']={
	CalemViewInfo: {
		id: 'CalemInCheckoutQtyViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'in_vt_qty_checkout', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemInCheckoutLocViewEdit']={
	CalemViewInfo: {
		id: 'CalemInCheckoutLocViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'in_vt_checkout_loc', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'checkout_to' : {CalemEditInCheckoutToInfo: {field: 'checkout_to'}}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemInReturnCheckoutToViewEdit']={
	CalemViewInfo: {
		id: 'CalemInReturnCheckoutToViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'in_vt_return_checkout_to', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'checkout_to' : {CalemEditInCheckoutToInfo: {field: 'checkout_to'}}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemInReturnViewList']={
	CalemViewInfo: {
		id: 'CalemInReturnViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'in_tran_checkout', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbInTranReturn', 'CalemTbCancel', 'sep','CalemTbDataRefresh', 'CalemTbCustomize'],
					list: [
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbInTranReturn', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbDataRefresh'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'in_id', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemInReturnPartViewEdit']={
	CalemViewInfo: {
		id: 'CalemInReturnPartViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'in_vt_return_part', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemInReturnToolViewEdit']={
	CalemViewInfo: {
		id: 'CalemInReturnToolViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'in_vt_return_tool', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemInPhysicalViewEdit']={
	CalemViewInfo: {
		id: 'CalemInPhysicalViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'in_vt_physical', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemInMoveViewEdit']={
	CalemViewInfo: {
		id: 'CalemInMoveViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'in_vt_move', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemInCheckinViewEdit']={
	CalemViewInfo: {
		id: 'CalemInCheckinViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'in_vt_checkin', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemInReceiveSelectViewEdit']={
	CalemViewInfo: {
		id: 'CalemInReceiveSelectViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  		
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: true
						  	   }
						  }
					  }
					},			 
			
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{ CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'in_vt_receive_select', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemInReceivePoViewEdit']={
	CalemViewInfo: {
		id: 'CalemInReceivePoViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'in_vt_receive', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemInReceiveOtherViewEdit']={
	CalemViewInfo: {
		id: 'CalemInReceiveOtherViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'in_vt_receive', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemInReceiveStockViewList']={
	CalemViewInfo: {
		id: 'CalemInReceiveStockViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'in_stock', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbInTranReceive', 'CalemTbCancel', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbInTranReceive', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},					
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'location_id', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemInReceiveQtyViewEdit']={
	CalemViewInfo: {
		id: 'CalemInReceiveQtyViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'in_vt_receive_qty', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
/**
 * List views
 */
CalemViewDef['CalemInOrderReportList']={
	CalemViewInfo: {
		id: 'CalemInOrderReportList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, 
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'in_order_list', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbOpen', 'sep', 'CalemTbPrint', 'sep2', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
					
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
				   { CalemButtonInfo: {
						id: 'CalemTbPrint', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: true
						  	   }
						  }
					  }  
					},
					
					{ CalemButtonInfo: {id: 'CalemTbExportExcel', 
						customInfo: {CalemMenuCustomInfo: {enabled: true}}  
					  }
					},
					
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'in_no', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } 	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemItemDef['CalemInOrderReportList']={
	CalemFormInfo: {
		id: 'CalemInOrderReportList',
		title: 'in_order_list',
		icon: 'CalemIn',
		controller: 'CalemReportList',
		model: 'in_order_list', 
		view: {CalemViewRefInfo: {id: 'CalemInOrderReportList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInFormList
 */
function CalemInFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
}

CalemInFormList.prototype = new CalemFormList;
CalemInFormList.prototype.constructor = CalemInFormList;

CalemInFormList.prototype.toString = function() { return "CalemInFormList";}

/**
 * Business APIs
 */
CalemInFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemInFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemInFormList.prototype._onOpen =
function(evt) {
	//Get the selection event
    var item=CalemEvent.getItem(evt);
	//Prepare data for master detail view.
	var data = {modelItem: this._modelItem, item: item};
	//pass-through current data model and selection
	this._openForm('CalemInFormMdTab', data);
} 

/**
 * Deletion must be handled specially
 */
CalemInFormList.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemInBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInFormMdTab
 */
function CalemInFormMdTab(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormMdTab.call(this, parent, formId, data);
}

CalemInFormMdTab.prototype = new CalemFormMdTab;
CalemInFormMdTab.prototype.constructor = CalemInFormMdTab;

CalemInFormMdTab.prototype.toString = function() { return "CalemInFormMdTab";}

/**
 * Business APIs
 */

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInFormRead
 */
function CalemInFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormRead.call(this, parent, formId, data);
}

CalemInFormRead.prototype = new CalemFormRead;
CalemInFormRead.prototype.constructor = CalemInFormRead;

CalemInFormRead.prototype.toString = function() { return "CalemInFormRead";}

/**
 * Business APIs
 */
CalemInFormRead.prototype._getFormNewId =
function() {
	return 'CalemInFormNew';
} 

CalemInFormRead.prototype._getFormEditId =
function() {
	return 'CalemInFormEdit';
}

/**
 * Deletion must be handled specially
 */
CalemInFormRead.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemInBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInFormNew
 */
function CalemInFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemInFormNew.prototype = new CalemFormNew;
CalemInFormNew.prototype.constructor = CalemInFormNew;

CalemInFormNew.prototype.toString = function() { return "CalemInFormNew";}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInFormEdit
 */
function CalemInFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemInFormEdit.prototype = new CalemFormEdit;
CalemInFormEdit.prototype.constructor = CalemInFormEdit;

CalemInFormEdit.prototype.toString = function() { return "CalemInFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInToolFormLookup
 */
function CalemInToolFormLookup(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormLookup.call(this, parent, formId, data);
}

CalemInToolFormLookup.prototype = new CalemFormLookup;
CalemInToolFormLookup.prototype.constructor = CalemInToolFormLookup;

CalemInToolFormLookup.prototype.toString = function() { return "CalemInToolFormLookup";}

/**
 * Business APIs
 */
CalemInToolFormLookup.prototype._getFormNewId =
function() {
   return 'CalemInFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemInToolFormLookup.prototype._getFormReadId =
function(evt) {
	return 'CalemInFormRead';
} 

/**
 * Built-in filter support at list form
 */
CalemInToolFormLookup.prototype.initQueryByForm =
function(tblQuery) {
	if(!this._partExpr) {
		var val=new CalemDbString('icg_tool');
		var fld=new CalemDbField('inventory', 'category_id');
		this._partExpr=new CalemDbExpr(fld, CalemDbExpr.EQ, val);
	}
	tblQuery.addWhere(this._modelItem.getId(), null, this._partExpr, this._modelItem.getTableDd());
	return tblQuery;
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInPartFormLookup
 */
function CalemInPartFormLookup(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormLookup.call(this, parent, formId, data);
}

CalemInPartFormLookup.prototype = new CalemFormLookup;
CalemInPartFormLookup.prototype.constructor = CalemInPartFormLookup;

CalemInPartFormLookup.prototype.toString = function() { return "CalemInPartFormLookup";}

/**
 * Business APIs
 */
CalemInPartFormLookup.prototype._getFormNewId =
function() {
   return 'CalemInFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemInPartFormLookup.prototype._getFormReadId =
function(evt) {
	return 'CalemInFormRead';
} 

/**
 * Built-in filter support at list form
 */
CalemInPartFormLookup.prototype.initQueryByForm =
function(tblQuery) {
	if(!this._partExpr) {
		var val=new CalemDbString('icg_part');
		var fld=new CalemDbField('inventory', 'category_id');
		this._partExpr=new CalemDbExpr(fld, CalemDbExpr.EQ, val);
	}
    tblQuery.addWhere(this._modelItem.getId(), null, this._partExpr, this._modelItem.getTableDd());
	return tblQuery;
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInFormLookup
 */
function CalemInFormLookup(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormLookup.call(this, parent, formId, data);
}

CalemInFormLookup.prototype = new CalemFormLookup;
CalemInFormLookup.prototype.constructor = CalemInFormLookup;

CalemInFormLookup.prototype.toString = function() { return "CalemInFormLookup";}

/**
 * Business APIs
 */
CalemInFormLookup.prototype._getFormNewId =
function() {
   return 'CalemInFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemInFormLookup.prototype._getFormReadId =
function(evt) {
	return 'CalemInFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInOrderFormList
 */
function CalemInOrderFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
}

CalemInOrderFormList.prototype = new CalemFormList;
CalemInOrderFormList.prototype.constructor = CalemInOrderFormList;

CalemInOrderFormList.prototype.toString = function() { return "CalemInOrderFormList";}

/**
 * Business APIs
 */
CalemInOrderFormList.prototype._getFormReadId =
function(evt) {
    return 'CalemInOrderFormRead';
} 

CalemInOrderFormList.prototype.initQueryByForm =
function(tblQuery) {
	var fld=new CalemDbField('inventory', 'qty_to_order');
	var val=new CalemDbNumber(0);
	var expr=new CalemDbExpr(fld, CalemDbExpr.GT, val);
	
   tblQuery.addWhere(this._modelItem.getId(), null, expr, this._modelItem.getTableDd());
	return tblQuery;
}

//Report
CalemInOrderFormList.prototype.getReportId =
function() {
	return 'CalemInOrderReportList';
}  
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInOrderFormRead
 */
function CalemInOrderFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormRead.call(this, parent, formId, data);
	this._inGenOrderReq = new AjxListener(this, this.onInGenOrderReq);
	this._onInGenOrderInfoCb=new AjxCallback(this, this.onInGenOrderInfoCb);
}

CalemInOrderFormRead.prototype = new CalemFormRead;
CalemInOrderFormRead.prototype.constructor = CalemInOrderFormRead;

CalemInOrderFormRead.prototype.toString = function() { return "CalemInOrderFormRead";}

/**
 * Business APIs
 */
CalemInOrderFormRead.prototype.getInGenOrderReq =
function(evt) {
	return this._inGenOrderReq;
}

//get a change note
CalemInOrderFormRead.prototype.onInGenOrderReq =
function(evt) {
	var rec=CalemEvent.getItem(evt);
	var row=new Object();
	row['in_id']=rec.id;
	this._openEmbedForm('CalemInGenOrderFormNew', {row: row});
} 

CalemInOrderFormRead.prototype.onInGenOrderReqInfoCollected =
function(table, reqRow, inRow) {
	var rows={row_0: {in_id: inRow['in_id'],
	                  reqRow: reqRow}};
	CalemSoapUtil._onSoapCall('GenInOrderRequest', rows, this._onInGenOrderInfoCb);
} 

CalemInOrderFormRead.prototype.onInGenOrderInfoCb =
function(resp) {
	var rowResp=resp[0];
	if (rowResp.status == CalemForm.SOAP_SUCC) {
		this._reLoadData(true);		
	} else { //Need to display error.
		this._onSoapResponseException(rowResp);
	}
}

CalemInOrderFormRead.prototype.getReportId =
function() {
	return 'CalemInOrderReportList';
} 


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInGenOrderFormNew
 */
function CalemInGenOrderFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemInGenOrderFormNew.prototype = new CalemFormNew;
CalemInGenOrderFormNew.prototype.constructor = CalemInGenOrderFormNew;

CalemInGenOrderFormNew.prototype.toString = function() { return "CalemInGenOrderFormNew";}
 
/**
 * Initialize data for the transaction
 */
CalemInGenOrderFormNew.prototype._createDataModel =
function(data) {
	CalemFormNew.prototype._createDataModel.call(this);
	this._instantiate(data);
}

CalemInGenOrderFormNew.prototype._instantiate =
function(data) {
	this._inRow=data.row;
}

CalemInGenOrderFormNew.prototype._loadData =
function() {
	this._dataModel.createNewRecord();
	var rec=this._dataModel.getCurrentRecord();
	rec.getField('request_user_id').setRawValue(CalemContext.getInstance().getUserId());
	this.onDataLoaded(); //Mimic a callback so form opening can continue.
} 

//save handling.
CalemInGenOrderFormNew.prototype._onSave = 
function() {
	var reqRow=this._getInputDataRow();
	this._closeAndResumeParentForm(new CalemInGenOrderReqInfoCollected('inventory', reqRow, this._inRow));
}

//D not cache this form
CalemInGenOrderFormNew.prototype.getCacheEmbedOnClose =
function() {
	return false; //close down upon close.
}
 /*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInStockFormList
 */
function CalemInStockFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
	//Transaction handling
	this._inCheckoutListener = new AjxListener(this, this.onInCheckout);
	this._inReturnListener = new AjxListener(this, this.onInReturn);
	this._inMoveListener = new AjxListener(this, this.onInMove);
	this._inPhysicalListener = new AjxListener(this, this.onInPhysical);
	this._inReceiveListener = new AjxListener(this, this.onInReceive);
	this._inCheckinListener = new AjxListener(this, this.onInCheckin);
}

CalemInStockFormList.prototype = new CalemFormListDet;
CalemInStockFormList.prototype.constructor = CalemInStockFormList;

CalemInStockFormList.prototype.toString = function() { return "CalemInStockFormList";}

/**
 * Business APIs
 */
CalemInStockFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemInStockFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemInStockFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemInStockFormRead';
} 

/**
 * Transaction handling.
 */
CalemInStockFormList.prototype.getOpenInCheckout =
function() {
	return this._inCheckoutListener;
} 

CalemInStockFormList.prototype.getOpenInReturn =
function() {
	return this._inReturnListener;
} 
 
CalemInStockFormList.prototype.getOpenInPhysical =
function() {
	return this._inPhysicalListener;
} 

CalemInStockFormList.prototype.getOpenInMove =
function() {
	return this._inMoveListener;
} 

CalemInStockFormList.prototype.getOpenInReceive =
function() {
	return this._inReceiveListener;
} 

CalemInStockFormList.prototype.getOpenInCheckin =
function() {
	return this._inCheckinListener;
}  

//Listeners
CalemInStockFormList.prototype.onInCheckout =
function(ev) {
	var item=CalemEvent.getItem(ev);
	if (CalemInTranBo.getInstance().canCheckout(item.getField('qty').getRawValue())) {
		this._openInTranForm(item, 'CalemInCheckoutLocFormEdit');
	}
} 

CalemInStockFormList.prototype.onInReturn =
function(ev) {
	var rec=this._dataModel.getParentRec();
	if (!rec) return;
	this._openInTranForm(rec, 'CalemInReturnCheckoutToFormEdit');
}

CalemInStockFormList.prototype.onInPhysical =
function(ev) {
	var item=CalemEvent.getItem(ev);
	this._openInTranForm(item, 'CalemInPhysicalFormEdit');
}

CalemInStockFormList.prototype.onInMove =
function(ev) {
	var item=CalemEvent.getItem(ev);
	if (CalemInTranBo.getInstance().canMove(item.getField('qty').getRawValue())) {
		this._openInTranForm(item, 'CalemInMoveFormEdit');
	}
}

CalemInStockFormList.prototype.onInReceive =
function(ev) {
	var rec=this._dataModel.getParentRec();
	if (!rec) return;
	this._openInTranForm(rec, 'CalemInReceiveSelectFormEdit');
}

CalemInStockFormList.prototype.onInCheckin =
function(ev) {
	var item=CalemEvent.getItem(ev);
	this._openInTranForm(item, 'CalemInCheckinFormEdit');
}

//Open form
CalemInStockFormList.prototype._openInTranForm =
function(item, fmId) {
	var ebInfo=new CalemEmbedInfo(this._parent, fmId, {rec: item});
	this._embedForm(ebInfo);
} 


 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInStockFormNew
 */
function CalemInStockFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemInStockFormNew.prototype = new CalemFormNew;
CalemInStockFormNew.prototype.constructor = CalemInStockFormNew;

CalemInStockFormNew.prototype.toString = function() { return "CalemInStockFormNew";}

 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInStockFormRead
 */
function CalemInStockFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemInStockFormRead.prototype = new CalemFormReadDet;
CalemInStockFormRead.prototype.constructor = CalemInStockFormRead;

CalemInStockFormRead.prototype.toString = function() { return "CalemInStockFormRead";}

/**
 * Business APIs
 */
CalemInStockFormRead.prototype._getFormNewId =
function() {
	return 'CalemInStockFormNew';
} 

CalemInStockFormRead.prototype._getFormEditId =
function() {
	return 'CalemInStockFormEdit';
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInReservedFormList
 */
function CalemInReservedFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
}

CalemInReservedFormList.prototype = new CalemFormListDet;
CalemInReservedFormList.prototype.constructor = CalemInReservedFormList;

CalemInReservedFormList.prototype.toString = function() { return "CalemInReservedFormList";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInDocFormList
 */
function CalemInDocFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
}

CalemInDocFormList.prototype = new CalemFormListDet;
CalemInDocFormList.prototype.constructor = CalemInDocFormList;

CalemInDocFormList.prototype.toString = function() { return "CalemInDocFormList";}

/**
 * Business APIs
 */
CalemInDocFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemInDocFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemInDocFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemInDocFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInDocFormNew
 */
function CalemInDocFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemInDocFormNew.prototype = new CalemFormNew;
CalemInDocFormNew.prototype.constructor = CalemInDocFormNew;

CalemInDocFormNew.prototype.toString = function() { return "CalemInDocFormNew";}

 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInDocFormEdit
 */
function CalemInDocFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemInDocFormEdit.prototype = new CalemFormEdit;
CalemInDocFormEdit.prototype.constructor = CalemInDocFormEdit;

CalemInDocFormEdit.prototype.toString = function() { return "CalemInDocFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInDocFormRead
 */
function CalemInDocFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemInDocFormRead.prototype = new CalemFormReadDet;
CalemInDocFormRead.prototype.constructor = CalemInDocFormRead;

CalemInDocFormRead.prototype.toString = function() { return "CalemInDocFormRead";}

/**
 * Business APIs
 */
CalemInDocFormRead.prototype._getFormNewId =
function() {
	return 'CalemInDocFormNew';
} 

CalemInDocFormRead.prototype._getFormEditId =
function() {
	return 'CalemInDocFormEdit';
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInCommentFormList
 */
function CalemInCommentFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
}

CalemInCommentFormList.prototype = new CalemFormListDet;
CalemInCommentFormList.prototype.constructor = CalemInCommentFormList;

CalemInCommentFormList.prototype.toString = function() { return "CalemInCommentFormList";}

/**
 * Business APIs
 */
CalemInCommentFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemInCommentFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemInCommentFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemInCommentFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInCommentFormNew
 */
function CalemInCommentFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemInCommentFormNew.prototype = new CalemFormNew;
CalemInCommentFormNew.prototype.constructor = CalemInCommentFormNew;

CalemInCommentFormNew.prototype.toString = function() { return "CalemInCommentFormNew";}

 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInCommentFormEdit
 */
function CalemInCommentFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemInCommentFormEdit.prototype = new CalemFormEdit;
CalemInCommentFormEdit.prototype.constructor = CalemInCommentFormEdit;

CalemInCommentFormEdit.prototype.toString = function() { return "CalemInCommentFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInCommentFormRead
 */
function CalemInCommentFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemInCommentFormRead.prototype = new CalemFormReadDet;
CalemInCommentFormRead.prototype.constructor = CalemInCommentFormRead;

CalemInCommentFormRead.prototype.toString = function() { return "CalemInCommentFormRead";}

/**
 * Business APIs
 */
CalemInCommentFormRead.prototype._getFormNewId =
function() {
	return 'CalemInCommentFormNew';
} 

CalemInCommentFormRead.prototype._getFormEditId =
function() {
	return 'CalemInCommentFormEdit';
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInVendorFormList
 */
function CalemInVendorFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
}

CalemInVendorFormList.prototype = new CalemFormListDet;
CalemInVendorFormList.prototype.constructor = CalemInVendorFormList;

CalemInVendorFormList.prototype.toString = function() { return "CalemInVendorFormList";}

/**
 * Business APIs
 */
CalemInVendorFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemInVendorFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemInVendorFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemInVendorFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInVendorFormNew
 */
function CalemInVendorFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemInVendorFormNew.prototype = new CalemFormNew;
CalemInVendorFormNew.prototype.constructor = CalemInVendorFormNew;

CalemInVendorFormNew.prototype.toString = function() { return "CalemInVendorFormNew";}

CalemInVendorFormNew.prototype._getDataInsertedAction =
function(table, data) {
	return new CalemReloadDataAction('in_vendor');	
}


 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInVendorFormEdit
 */
function CalemInVendorFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemInVendorFormEdit.prototype = new CalemFormEdit;
CalemInVendorFormEdit.prototype.constructor = CalemInVendorFormEdit;

CalemInVendorFormEdit.prototype.toString = function() { return "CalemInVendorFormEdit";}

//Cause refetch if necessary
CalemInVendorFormEdit.prototype._getDataUpdatedAction =
function(table, data) {
	return new CalemReloadDataAction('in_vendor');
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInVendorFormRead
 */
function CalemInVendorFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemInVendorFormRead.prototype = new CalemFormReadDet;
CalemInVendorFormRead.prototype.constructor = CalemInVendorFormRead;

CalemInVendorFormRead.prototype.toString = function() { return "CalemInVendorFormRead";}

/**
 * Business APIs
 */
CalemInVendorFormRead.prototype._getFormNewId =
function() {
	return 'CalemInVendorFormNew';
} 

CalemInVendorFormRead.prototype._getFormEditId =
function() {
	return 'CalemInVendorFormEdit';
}


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInAuditFormList
 */
function CalemInAuditFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
}

CalemInAuditFormList.prototype = new CalemFormListDet;
CalemInAuditFormList.prototype.constructor = CalemInAuditFormList;

CalemInAuditFormList.prototype.toString = function() { return "CalemInAuditFormList";}

/**
 * Business APIs
 */
CalemInAuditFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemInAuditFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemInAuditFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemInAuditFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInAuditFormNew
 */
function CalemInAuditFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemInAuditFormNew.prototype = new CalemFormNew;
CalemInAuditFormNew.prototype.constructor = CalemInAuditFormNew;

CalemInAuditFormNew.prototype.toString = function() { return "CalemInAuditFormNew";}

 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInAuditFormEdit
 */
function CalemInAuditFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemInAuditFormEdit.prototype = new CalemFormEdit;
CalemInAuditFormEdit.prototype.constructor = CalemInAuditFormEdit;

CalemInAuditFormEdit.prototype.toString = function() { return "CalemInAuditFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInAuditFormRead
 */
function CalemInAuditFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemInAuditFormRead.prototype = new CalemFormReadDet;
CalemInAuditFormRead.prototype.constructor = CalemInAuditFormRead;

CalemInAuditFormRead.prototype.toString = function() { return "CalemInAuditFormRead";}

/**
 * Business APIs
 */
CalemInAuditFormRead.prototype._getFormNewId =
function() {
	return 'CalemInAuditFormNew';
} 

CalemInAuditFormRead.prototype._getFormEditId =
function() {
	return 'CalemInAuditFormEdit';
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInTranFormList
 */
function CalemInTranFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
}

CalemInTranFormList.prototype = new CalemFormListDet;
CalemInTranFormList.prototype.constructor = CalemInTranFormList;

CalemInTranFormList.prototype.toString = function() { return "CalemInTranFormList";}

/**
 * Business API
 */
CalemInTranFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemInTranFormRead';
	//@todo open form based on transaction type.
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInTranFormRead
 */
function CalemInTranFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemInTranFormRead.prototype = new CalemFormReadDet;
CalemInTranFormRead.prototype.constructor = CalemInTranFormRead;

CalemInTranFormRead.prototype.toString = function() { return "CalemInTranFormRead";}


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInTranWorksheetFormList
 */
function CalemInTranWorksheetFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
}

CalemInTranWorksheetFormList.prototype = new CalemFormListDet;
CalemInTranWorksheetFormList.prototype.constructor = CalemInTranWorksheetFormList;

CalemInTranWorksheetFormList.prototype.toString = function() { return "CalemInTranWorksheetFormList";}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInTypeFormList
 */
function CalemInTypeFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
}

CalemInTypeFormList.prototype = new CalemFormList;
CalemInTypeFormList.prototype.constructor = CalemInTypeFormList;

CalemInTypeFormList.prototype.toString = function() { return "CalemInTypeFormList";}

/**
 * Business APIs
 */
CalemInTypeFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemInTypeFormNew';
} 

CalemInTypeFormList.prototype._getFormReadId =
function(evt) {	
	return 'CalemInTypeFormRead';
} 

/**
 * Deletion must be handled specially
 */
CalemInTypeFormList.prototype.onDelete =
function(evt) {
	var rec=CalemEvent.getItem(evt);
	CalemInTypeBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInTypeFormRead
 */
function CalemInTypeFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormRead.call(this, parent, formId, data);
}

CalemInTypeFormRead.prototype = new CalemFormRead;
CalemInTypeFormRead.prototype.constructor = CalemInTypeFormRead;

CalemInTypeFormRead.prototype.toString = function() { return "CalemInTypeFormRead";}

/**
 * Business APIs
 */
CalemInTypeFormRead.prototype._getFormNewId =
function() {
	return 'CalemInTypeFormNew';
} 

CalemInTypeFormRead.prototype._getFormEditId =
function() {
	return 'CalemInTypeFormEdit';
}

/**
 * Deletion must be handled specially
 */
CalemInTypeFormRead.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemInTypeBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInTypeFormNew
 */
function CalemInTypeFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemInTypeFormNew.prototype = new CalemFormNew;
CalemInTypeFormNew.prototype.constructor = CalemInTypeFormNew;

CalemInTypeFormNew.prototype.toString = function() { return "CalemInTypeFormNew";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInTypeFormEdit
 */
function CalemInTypeFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemInTypeFormEdit.prototype = new CalemFormEdit;
CalemInTypeFormEdit.prototype.constructor = CalemInTypeFormEdit;

CalemInTypeFormEdit.prototype.toString = function() { return "CalemInTypeFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInTypeFormLookup
 */
function CalemInTypeFormLookup(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormLookup.call(this, parent, formId, data);
}

CalemInTypeFormLookup.prototype = new CalemFormLookup;
CalemInTypeFormLookup.prototype.constructor = CalemInTypeFormLookup;

CalemInTypeFormLookup.prototype.toString = function() { return "CalemInTypeFormLookup";}

/**
 * Business APIs
 */
CalemInTypeFormLookup.prototype._getFormNewId =
function() {
   return 'CalemInTypeFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemInTypeFormLookup.prototype._getFormReadId =
function(evt) {
	return 'CalemInTypeFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemUomFormList
 */
function CalemUomFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
}

CalemUomFormList.prototype = new CalemFormList;
CalemUomFormList.prototype.constructor = CalemUomFormList;

CalemUomFormList.prototype.toString = function() { return "CalemUomFormList";}

/**
 * Business APIs
 */
CalemUomFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemUomFormNew';
} 

CalemUomFormList.prototype._getFormReadId =
function(evt) {	
	return 'CalemUomFormRead';
} 

/**
 * Deletion must be handled specially
 */
CalemUomFormList.prototype.onDelete =
function(evt) {
	var rec=CalemEvent.getItem(evt);
	CalemUomBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemUomFormRead
 */
function CalemUomFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormRead.call(this, parent, formId, data);
}

CalemUomFormRead.prototype = new CalemFormRead;
CalemUomFormRead.prototype.constructor = CalemUomFormRead;

CalemUomFormRead.prototype.toString = function() { return "CalemUomFormRead";}

/**
 * Business APIs
 */
CalemUomFormRead.prototype._getFormNewId =
function() {
	return 'CalemUomFormNew';
} 

CalemUomFormRead.prototype._getFormEditId =
function() {
	return 'CalemUomFormEdit';
}

/**
 * Deletion must be handled specially
 */
CalemUomFormRead.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemUomBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemUomFormNew
 */
function CalemUomFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemUomFormNew.prototype = new CalemFormNew;
CalemUomFormNew.prototype.constructor = CalemUomFormNew;

CalemUomFormNew.prototype.toString = function() { return "CalemUomFormNew";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemUomFormEdit
 */
function CalemUomFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemUomFormEdit.prototype = new CalemFormEdit;
CalemUomFormEdit.prototype.constructor = CalemUomFormEdit;

CalemUomFormEdit.prototype.toString = function() { return "CalemUomFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemUomFormLookup
 */
function CalemUomFormLookup(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormLookup.call(this, parent, formId, data);
}

CalemUomFormLookup.prototype = new CalemFormLookup;
CalemUomFormLookup.prototype.constructor = CalemUomFormLookup;

CalemUomFormLookup.prototype.toString = function() { return "CalemUomFormLookup";}

/**
 * Business APIs
 */
CalemUomFormLookup.prototype._getFormNewId =
function() {
   return 'CalemUomFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemUomFormLookup.prototype._getFormReadId =
function(evt) {
	return 'CalemUomFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemUomMapFormList
 */
function CalemUomMapFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
}

CalemUomMapFormList.prototype = new CalemFormList;
CalemUomMapFormList.prototype.constructor = CalemUomMapFormList;

CalemUomMapFormList.prototype.toString = function() { return "CalemUomMapFormList";}

/**
 * Business APIs
 */
CalemUomMapFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemUomMapFormNew';
} 

CalemUomMapFormList.prototype._getFormReadId =
function(evt) {	
	return 'CalemUomMapFormRead';
} 


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemUomMapFormRead
 */
function CalemUomMapFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormRead.call(this, parent, formId, data);
}

CalemUomMapFormRead.prototype = new CalemFormRead;
CalemUomMapFormRead.prototype.constructor = CalemUomMapFormRead;

CalemUomMapFormRead.prototype.toString = function() { return "CalemUomMapFormRead";}

/**
 * Business APIs
 */
CalemUomMapFormRead.prototype._getFormNewId =
function() {
	return 'CalemUomMapFormNew';
} 

CalemUomMapFormRead.prototype._getFormEditId =
function() {
	return 'CalemUomMapFormEdit';
}


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemUomMapFormNew
 */
function CalemUomMapFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemUomMapFormNew.prototype = new CalemFormNew;
CalemUomMapFormNew.prototype.constructor = CalemUomMapFormNew;

CalemUomMapFormNew.prototype.toString = function() { return "CalemUomMapFormNew";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemUomMapFormEdit
 */
function CalemUomMapFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemUomMapFormEdit.prototype = new CalemFormEdit;
CalemUomMapFormEdit.prototype.constructor = CalemUomMapFormEdit;

CalemUomMapFormEdit.prototype.toString = function() { return "CalemUomMapFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInLocationFormList
 */
function CalemInLocationFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
}

CalemInLocationFormList.prototype = new CalemFormList;
CalemInLocationFormList.prototype.constructor = CalemInLocationFormList;

CalemInLocationFormList.prototype.toString = function() { return "CalemInLocationFormList";}

/**
 * Business APIs
 */
CalemInLocationFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemInLocationFormNew';
} 

CalemInLocationFormList.prototype._getFormReadId =
function(evt) {	
	return 'CalemInLocationFormRead';
} 

/**
 * Deletion must be handled specially
 */
CalemInLocationFormList.prototype.onDelete =
function(evt) {
	var rec=CalemEvent.getItem(evt);
	CalemInLocationBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInLocationFormRead
 */
function CalemInLocationFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormRead.call(this, parent, formId, data);
}

CalemInLocationFormRead.prototype = new CalemFormRead;
CalemInLocationFormRead.prototype.constructor = CalemInLocationFormRead;

CalemInLocationFormRead.prototype.toString = function() { return "CalemInLocationFormRead";}

/**
 * Business APIs
 */
CalemInLocationFormRead.prototype._getFormNewId =
function() {
	return 'CalemInLocationFormNew';
} 

CalemInLocationFormRead.prototype._getFormEditId =
function() {
	return 'CalemInLocationFormEdit';
}

/**
 * Deletion must be handled specially
 */
CalemInLocationFormRead.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemInLocationBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInLocationFormNew
 */
function CalemInLocationFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemInLocationFormNew.prototype = new CalemFormNew;
CalemInLocationFormNew.prototype.constructor = CalemInLocationFormNew;

CalemInLocationFormNew.prototype.toString = function() { return "CalemInLocationFormNew";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInLocationFormEdit
 */
function CalemInLocationFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemInLocationFormEdit.prototype = new CalemFormEdit;
CalemInLocationFormEdit.prototype.constructor = CalemInLocationFormEdit;

CalemInLocationFormEdit.prototype.toString = function() { return "CalemInLocationFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInLocationFormLookup
 */
function CalemInLocationFormLookup(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormLookup.call(this, parent, formId, data);
}

CalemInLocationFormLookup.prototype = new CalemFormLookup;
CalemInLocationFormLookup.prototype.constructor = CalemInLocationFormLookup;

CalemInLocationFormLookup.prototype.toString = function() { return "CalemInLocationFormLookup";}

/**
 * Business APIs
 */
CalemInLocationFormLookup.prototype._getFormNewId =
function() {
   return 'CalemInLocationFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemInLocationFormLookup.prototype._getFormReadId =
function(evt) {
	return 'CalemInLocationFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInTranQtyFormEdit
 */
function CalemInTranQtyFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
	//callback
	this._inTranCb = new AjxCallback(this, this.onInTranCallback);
	this._cached=true;
}

CalemInTranQtyFormEdit.prototype = new CalemFormEdit;
CalemInTranQtyFormEdit.prototype.constructor = CalemInTranQtyFormEdit;

CalemInTranQtyFormEdit.prototype.toString = function() { return "CalemInTranQtyFormEdit";}

/**
 * Initialize data for the transaction
 */
CalemInTranQtyFormEdit.prototype._createDataModel =
function(data) {
	CalemFormEdit.prototype._createDataModel.call(this);
	this._instantiate(data);
}

CalemInTranQtyFormEdit.prototype._instantiate =
function(data) {
	//Creating a record for display
	this._tranRow=data.tranRow;
	this._stockRec=data.stockRec;
	this._modelItem.createNewRecord();
	var rec=this._modelItem.getCurrentRecord();
	rec.id=1;
	rec.getField('location_id').setRawValue(this._stockRec.getField('location_id').getRawValue());
	rec.getField('qty_remaining').setRawValue(this._tranRow['qty_remaining']);
	this._moreInstantiate();
	//Resetting validRange
	this._initValidRange();
	//Force a repaint.
	this.onRecChanged();
}

CalemInTranQtyFormEdit.prototype._moreInstantiate = 
function() {
}

CalemInTranQtyFormEdit.prototype._initValidRange =
function() {
	//Enforce qty to check out
	var min=CalemConf['in_tran_conf']['minCheckout'];
	this.setValidRange('qty', min, this._tranRow['qty_remaining']);
}  

CalemInTranQtyFormEdit.prototype._initReadOnly =
function() {
	this._setFieldsReadOnly(['qty_remaining', 'location_id']);
} 

CalemInTranQtyFormEdit.prototype._render =
function() {
	CalemFormEdit.prototype._render.call(this);
	this._initReadOnly();
	//Valid range
	this._initValidRange();
}

//Using save function to do transaction
CalemInTranQtyFormEdit.prototype._onSave =
function(evt) {
	var row=this._getInputDataRow();
	this._tranRow['qty']=row['qty'];
	this._tranRow['location_id']=row['location_id'];
	rows={in_0: this._tranRow};
	var soapCall=this._getSoapCall();
	CalemSoapUtil._onSoapCall(soapCall, rows, this._inTranCb, null, rows);
}

/**
 * Process soap response from server
 */
CalemInTranQtyFormEdit.prototype.onInTranCallback =
function(resp, rows) {
	//This is single record so let's process it.
	var tranResp=resp[0];
	if (tranResp.status == CalemForm.SOAP_SUCC) { //Update local copy.
		this._tranRow['qty_remaining'] -= Number(this._tranRow['qty']);
		if (this._tranRow['qty_remaining'] > 0) {
			this._closeAndResumeParentForm(new CalemReloadDataAction('in_stock')); //Need to rerender form.
		} else {
			this._cached=false;
			this._closeAndResumeParentForm(this._getDoneAction()); //Need to rerender form.
		}
		
	} else { //Need to display error.
		this._showSoapError(tranResp);
	}	
}

CalemInTranQtyFormEdit.prototype._getDoneAction =
function() {
	return new CalemInReceiveDoneAction();
} 

CalemInTranQtyFormEdit.prototype._getSoapCall =
function() {
	return 'InTranReceive';
} 

//Need to check for changes.
CalemInTranQtyFormEdit.prototype._onCancel =
function() {
	this._closeAndResumeParentForm();
}  

//Do not cache this form
CalemInTranQtyFormEdit.prototype.getCacheEmbedOnClose =
function() {
	return this._cached;
}



/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInStockSelectFormList
 */
function CalemInStockSelectFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormLookup.call(this, parent, formId, data);
}

CalemInStockSelectFormList.prototype = new CalemFormLookup;
CalemInStockSelectFormList.prototype.constructor = CalemInStockSelectFormList;

CalemInStockSelectFormList.prototype.toString = function() { return "CalemInStockSelectFormList";}

/**
 * Initialize data for the transaction
 */
CalemInStockSelectFormList.prototype._createDataModel =
function(data) {
	CalemFormLookup.prototype._createDataModel.call(this);
	this._instantiate(data);
}

CalemInStockSelectFormList.prototype._instantiate =
function(data) {
	this._tranRow=data.tranRow;
	this._nextFm=data.nextFm;
	var fld=new CalemDbField('in_stock', 'in_id');
	var val=new CalemDbString(this._tranRow['in_id']);
	this._dbExpr=new CalemDbExpr(fld, CalemDbExpr.EQ, val);
}

CalemInStockSelectFormList.prototype.initQueryByForm =
function(tblQuery) {
    tblQuery.addWhere(this._modelItem.getId(), null, this._dbExpr, this._modelItem.getTableDd());
	return tblQuery;
} 

/**
 * to handle select
 */
CalemInStockSelectFormList.prototype._onSelect =
function(evt) {
	var rec=CalemEvent.getItem(evt);
	var ebInfo=new CalemEmbedInfo(this._parent, this._nextFm, {tranRow: this._tranRow, stockRec: rec});
	this._embedForm(ebInfo);
}

//Do not cache this form
CalemInStockSelectFormList.prototype.getCacheEmbedOnClose =
function() {
	return false;
}

CalemInStockSelectFormList.prototype.onInTranDoneAction =
function() {
	this._closeAndResumeParentForm(new CalemInTranDoneAction());
}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInCheckoutQtyFormEdit
 */
function CalemInCheckoutQtyFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemInTranQtyFormEdit.call(this, parent, formId, data);
}

CalemInCheckoutQtyFormEdit.prototype = new CalemInTranQtyFormEdit;
CalemInCheckoutQtyFormEdit.prototype.constructor = CalemInCheckoutQtyFormEdit;

CalemInCheckoutQtyFormEdit.prototype.toString = function() { return "CalemInCheckoutQtyFormEdit";}

CalemInCheckoutQtyFormEdit.prototype._initReadOnly =
function() {
	this._setFieldsReadOnly(['qty_remaining', 'qty_in_stock', 'location_id']);
}

CalemInCheckoutQtyFormEdit.prototype._initValidRange =
function() {
	//Enforce qty to check out
	var min=CalemConf['in_tran_conf']['minCheckout'];
	var minQ=this._tranRow['qty_remaining'];
	if (!CalemConf['in_tran_conf']['checkout']['allowNegativeStock']) {
		minQ=Math.min(minQ, this._stockRec.getField('qty').getRawValue());
	}
	this.setValidRange('qty', min, minQ);
} 

CalemInCheckoutQtyFormEdit.prototype._getSoapCall =
function() {
	return 'InTranCheckout';
} 

CalemInCheckoutQtyFormEdit.prototype._getDoneAction =
function() {
	return new CalemInTranDoneAction();
} 
 /*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInCheckoutLocFormEdit
 */
function CalemInCheckoutLocFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
	//callback
	this._cacheLoadedCb=new AjxCallback(this, this.onCacheLoaded);
	this._inTranCb = new AjxCallback(this, this.onInTranCallback);
	this._cache=CalemContext.getInstance().getRegistry().getCache();
}

CalemInCheckoutLocFormEdit.prototype = new CalemFormEdit;
CalemInCheckoutLocFormEdit.prototype.constructor = CalemInCheckoutLocFormEdit;

CalemInCheckoutLocFormEdit.prototype.toString = function() { return "CalemInCheckoutLocFormEdit";}

/**
 * Initialize data for the transaction
 */
CalemInCheckoutLocFormEdit.prototype._createDataModel =
function(data) {
	CalemFormEdit.prototype._createDataModel.call(this);
	this._instantiate(data);
}

CalemInCheckoutLocFormEdit.prototype._instantiate =
function(data) {
	//Creating a record for display
	var stockRec=data.rec;
	this._modelItem.createNewRecord();
	var rec=this._modelItem.getCurrentRecord();
	rec.id=1;
	rec.getField('in_id').setRawValue(stockRec.getField('in_id').getRawValue());
	rec.getField('location_id').setRawValue(stockRec.getField('location_id').getRawValue());
	this._stockQty=  stockRec.getField('qty').getRawValue();
	rec.getField('stock_qty').setRawValue(this._stockQty);
	//Current time and users
	rec.getField('tran_time').setRawValue(CalemTextUtil.getCurrentGmt());
	rec.getField('store_user_id').setRawValue(CalemContext.getInstance().getUserId());
	//refill last tran data
	if (this._inputRow) {
		rec.getField('costcode_id').setRawValue(this._inputRow['costcode_id']);
		rec.getField('tran_user_id').setRawValue(this._inputRow['tran_user_id']);
		rec.getField('note').setRawValue(this._inputRow['note']);
	}
	//Resetting validRange
	this._initValidRange();
	//Force a repaint.
	this.onRecChanged();
}

CalemInCheckoutLocFormEdit.prototype._loadData =
function() {//Record should have been set already.
	this._cache.bulkLoadCacheForTable(this._modelItem.getId(), this._cacheLoadedCb);
} 

CalemInCheckoutLocFormEdit.prototype._initValidRange =
function() {
	//Enforce qty to check out
	var min=CalemConf['in_tran_conf']['minCheckout'];
	var max=null;
	if (!CalemConf['in_tran_conf']['allowNegativeStock']) {
		if (this._stockQty>0) max=this._stockQty;
	}
	this.setValidRange('qty', min, max);
} 

CalemInCheckoutLocFormEdit.prototype.onCacheLoaded =
function() {
	this.onDataLoaded();
} 

CalemInCheckoutLocFormEdit.prototype._render =
function() {
	CalemFormEdit.prototype._render.call(this);
	this._setFieldsReadOnly(['stock_qty']);
	//Valid range
	this._initValidRange();
}

//Lookup handling
CalemInCheckoutLocFormEdit.prototype.onLookupSelect =
function(fld, recLkup) {
	if (fld=='wo_id' || fld=='asset_id' || fld=='project_id' || fld=='user_id') {
		var costcodeId=recLkup.getField('costcode_id').getRawValue();
		var fv={id: costcodeId};
		if (costcodeId) {
			fv['value']=this._cache.findValueById({table: 'costcode', lkupField: 'costcode'}, costcodeId);
		} else {
			fv['value']='';
		}
		this.setFieldValue('costcode_id', fv);
	}
}

//Using save function to do transaction
CalemInCheckoutLocFormEdit.prototype._onSave =
function(evt) {
	var row=this._getInputDataRow();
	var checkoutTo=row['checkout_to'];
	row['checkout_type_id']=checkoutTo.getCheckoutTypeId();
	row['checkout_to_id']=checkoutTo.getCheckoutToId();
	delete row['checkout_to'];
	var rec=this._modelItem.getCurrentRecord();
	row['in_id']=rec.getField('in_id').getRawValue();
	row['location_id']=rec.getField('location_id').getRawValue();
	this._inputRow=row;
	var rows={in_0: row};
	CalemSoapUtil._onSoapCall('InTranCheckout', rows, this._inTranCb, null, rows);
}

/**
 * Process soap response from server
 */
CalemInCheckoutLocFormEdit.prototype.onInTranCallback =
function(resp, rows) {
	//This is single record so let's process it.
	var tranResp=resp[0];
	if (tranResp.status == CalemForm.SOAP_SUCC) { //Update local copy.
		this._closeAndResumeParentForm(new CalemReloadDataAction('in_stock')); //Need to rerender form.
	} else { //Need to display error.
		this._showSoapError(tranResp);
	}	
}

//Need to check for changes.
CalemInCheckoutLocFormEdit.prototype._onCancel =
function() {
	this._closeAndResumeParentForm();
}  



/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInReturnCheckoutToFormEdit
 */
function CalemInReturnCheckoutToFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
	//callback
	this._cacheLoadedCb=new AjxCallback(this, this.onCacheLoaded);
	this._inTranCb = new AjxCallback(this, this.onInTranCallback);
	this._cache=CalemContext.getInstance().getRegistry().getCache();
}

CalemInReturnCheckoutToFormEdit.prototype = new CalemFormEdit;
CalemInReturnCheckoutToFormEdit.prototype.constructor = CalemInReturnCheckoutToFormEdit;

CalemInReturnCheckoutToFormEdit.prototype.toString = function() { return "CalemInReturnCheckoutToFormEdit";}

/**
 * Initialize data for the transaction
 */
CalemInReturnCheckoutToFormEdit.prototype._createDataModel =
function(data) {
	CalemFormEdit.prototype._createDataModel.call(this);
	this._instantiate(data);
}

CalemInReturnCheckoutToFormEdit.prototype._instantiate =
function(data) {
	this._inRec=data.rec;
	this._modelItem.createNewRecord();
	var rec=this._modelItem.getCurrentRecord();
	rec.id=1;
	rec.getField('in_id').setRawValue(this._inRec.id);
	//Current time and users
	rec.getField('tran_time').setRawValue(CalemTextUtil.getCurrentGmt());
	rec.getField('store_user_id').setRawValue(CalemContext.getInstance().getUserId());
	this._saved=false;
	//Force a repaint.
	this.onRecChanged();
}

CalemInReturnCheckoutToFormEdit.prototype._loadData =
function() {//Record should have been set already.
	this._cache.bulkLoadCacheForTable(this._modelItem.getId(), this._cacheLoadedCb);
} 

CalemInReturnCheckoutToFormEdit.prototype.onCacheLoaded =
function() {
	this.onDataLoaded();
}

//Using save function to do transaction
CalemInReturnCheckoutToFormEdit.prototype._onSave =
function(evt) {
	var row=this._getInputDataRow();
	var checkoutTo=row['checkout_to'];
	row['checkout_type_id']=checkoutTo.getCheckoutTypeId();
	row['checkout_to_id']=checkoutTo.getCheckoutToId();
	//Copy info from IN
	row['icg_id']=this._inRec.getField('category_id').getRawValue();
	row['rent_uom_id']=this._inRec.getField('rent_uom_id').getRawValue();
	row['rent_rate']=this._inRec.getField('rent_rate').getRawValue();
	
	delete row['checkout_to'];
	this._inputRow=row;
	var rec=this._modelItem.getCurrentRecord();
	row['in_id']=rec.getField('in_id').getRawValue();
	//Now query db and find out all about the check out transactions to the CheckoutTo
	var ebInfo=new CalemEmbedInfo(this._parent, 'CalemInReturnFormList', {tranRow: row});
	this._embedForm(ebInfo);
	this._saved=true;
}

//Need to check for changes.
CalemInReturnCheckoutToFormEdit.prototype._onCancel =
function() {
	var action= this._saved ? (new CalemReloadDataAction('in_stock')) : null;
	this._closeAndResumeParentForm(action);
}  
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInReturnFormList
 */
function CalemInReturnFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
	this._inReturnListener=new AjxListener(this, this.onInReturn);
}

CalemInReturnFormList.prototype = new CalemFormListDet;
CalemInReturnFormList.prototype.constructor = CalemInReturnFormList;

CalemInReturnFormList.prototype.toString = function() { return "CalemInReturnFormList";}

CalemInReturnFormList.prototype._createDataModel =
function(data) {
	CalemFormList.prototype._createDataModel.call(this);
	this._instantiate(data);
}

CalemInReturnFormList.prototype._instantiate =
function(data) {
	this._tranRow=data.tranRow;
	this._initQueryExpr();
}

//To construct a query and narrow list of interest.
CalemInReturnFormList.prototype._initQueryExpr =
function() {
	this._dbExpr= new CalemExprAnd();
	//in_id and type (see in_tran index order)
	this._addExpr(this._dbExpr, 'in_id', new CalemDbString(this._tranRow['in_id']));
	this._addExpr(this._dbExpr, 'type_id', new CalemDbString('itt_checkout'));
	//checkout_to_id, checkout_type_id (see index field order on in_tran)
	this._addExpr(this._dbExpr, 'checkout_to_id', new CalemDbString(this._tranRow['checkout_to_id']));
	this._addExpr(this._dbExpr, 'checkout_type_id', new CalemDbString(this._tranRow['checkout_type_id']));
	//qty_available>0
	var fd=new CalemDbField('in_tran', 'qty_available');
	this._dbExpr.add(new CalemDbExpr(fd, CalemDbExpr.GT, new CalemDbNumber(0)));
} 

CalemInReturnFormList.prototype._addExpr =
function(andExpr, fld, val) {
	var fd=new CalemDbField('in_tran', fld);
	andExpr.add(new CalemDbExpr(fd, CalemDbExpr.EQ, val ));
}

//To construct a query and narrow list of interest.
CalemInReturnFormList.prototype.initQueryByForm =
function(tblQuery) {
    tblQuery.addWhere(this._modelItem.getId(), null, this._dbExpr, this._modelItem.getTableDd());
	return tblQuery;
} 
 

/**
 * Business API
 */
CalemInReturnFormList.prototype.getOpenInTranReturn =
function() {
	return this._inReturnListener;
}

CalemInReturnFormList.prototype.onInReturn =
function(ev) {
	var item=CalemEvent.getItem(ev); //Get the transaction record	
	var fmId=(this._tranRow['icg_id']=='icg_tool') ? 'CalemInReturnToolFormEdit' : 'CalemInReturnPartFormEdit';
	var ebInfo=new CalemEmbedInfo(this._parent, fmId, {tranRow: this._tranRow, tranRec: item});
	this._embedForm(ebInfo);
}

//Do not cache this form
CalemInReturnFormList.prototype.getCacheEmbedOnClose =
function() {
	return false;
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInReturnPartFormEdit
 */
function CalemInReturnPartFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
	//callback
	this._inTranCb = new AjxCallback(this, this.onInTranCallback);
}

CalemInReturnPartFormEdit.prototype = new CalemFormEdit;
CalemInReturnPartFormEdit.prototype.constructor = CalemInReturnPartFormEdit;

CalemInReturnPartFormEdit.prototype.toString = function() { return "CalemInReturnPartFormEdit";}

/**
 * Initialize data for the transaction
 */
CalemInReturnPartFormEdit.prototype._createDataModel =
function(data) {
	CalemFormEdit.prototype._createDataModel.call(this);
	this._instantiate(data);
}

CalemInReturnPartFormEdit.prototype._instantiate =
function(data) {
	this._tranRow=data.tranRow;
	this._tranRec=data.tranRec;

	//Set up the record to collect qty to return.
	this._modelItem.createNewRecord();
	var rec=this._modelItem.getCurrentRecord();
	rec.id=1;
	rec.getField('qty_checked_out').setRawValue(this._tranRec.getField('qty_available').getRawValue());
	rec.getField('location_id').setRawValue(this._tranRec.getField('location_id').getRawValue());
	rec.getField('note').setRawValue(this._tranRec.getField('note').getRawValue());
	//init valid range
	this._initValidRange();
	//Force a repaint.
	this.onRecChanged();
}

CalemInReturnPartFormEdit.prototype._initValidRange =
function() {
	//Enforce qty to check out
	var min=CalemConf['in_tran_conf']['minCheckout'];
	var max=this._tranRec.getField('qty_available').getRawValue();
	this.setValidRange('qty_to_return', min, max);
} 

CalemInReturnPartFormEdit.prototype._render =
function() {
	CalemFormEdit.prototype._render.call(this);
	this._setFieldsReadOnly(['qty_checked_out', 'location_id', 'note']);
	this._initValidRange();
}

//Using save function to do transaction
CalemInReturnPartFormEdit.prototype._onSave =
function(evt) {
	var row=this._getInputDataRow();
	var tran=new Object();
	tran['checkout_tran_id']=this._tranRec.id;
	tran['qty']=row['qty_to_return'];
	tran['location_id']=row['location_id'];
	tran['note']=this._tranRow['note'];
	tran['tran_time']=this._tranRow['tran_time'];
	tran['tran_user_id']=this._tranRow['tran_user_id'];
	tran['store_user_id']=this._tranRow['store_user_id'];
	rows={in_0: tran};
	CalemSoapUtil._onSoapCall('InTranReturn', rows, this._inTranCb, null, rows);
}

/**
 * Process soap response from server
 */
CalemInReturnPartFormEdit.prototype.onInTranCallback =
function(resp, rows) {
	//This is single record so let's process it.
	var tranResp=resp[0];
	if (tranResp.status == CalemForm.SOAP_SUCC) { //Update local copy.
		this._closeAndResumeParentForm(new CalemReloadDataAction('in_tran')); //Need to rerender form.
	} else { //Need to display error.
		this._showSoapError(tranResp);
	}	
}


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInReturnToolFormEdit
 */
function CalemInReturnToolFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
	//callback
	this._inTranCb = new AjxCallback(this, this.onInTranCallback);
}

CalemInReturnToolFormEdit.prototype = new CalemFormEdit;
CalemInReturnToolFormEdit.prototype.constructor = CalemInReturnToolFormEdit;

CalemInReturnToolFormEdit.prototype.toString = function() { return "CalemInReturnToolFormEdit";}

/**
 * Initialize data for the transaction
 */
CalemInReturnToolFormEdit.prototype._createDataModel =
function(data) {
	CalemFormEdit.prototype._createDataModel.call(this);
	this._instantiate(data);
}

CalemInReturnToolFormEdit.prototype._instantiate =
function(data) {
	this._tranRow=data.tranRow;
	this._tranRec=data.tranRec;
		
	//Set up the record to collect qty to return.
	this._modelItem.createNewRecord();
	var rec=this._modelItem.getCurrentRecord();
	rec.id=1;
	rec.getField('qty_checked_out').setRawValue(this._tranRec.getField('qty_available').getRawValue());
	rec.getField('location_id').setRawValue(this._tranRec.getField('location_id').getRawValue());
	rec.getField('note').setRawValue(this._tranRec.getField('note').getRawValue());
	var checkoutTime=this._tranRec.getField('tran_time').getRawValue();
	var returnTime=CalemTextUtil.parseServerDateTime(this._tranRow['tran_time']);
	rec.getField('checkout_time').setRawValue(checkoutTime);
	rec.getField('return_time').setRawValue(returnTime);
	this._rentDuration= returnTime.getTime() - checkoutTime.getTime();
	rec.getField('rent_duration').setRawValue(this._rentDuration/AjxDateUtil.MSEC_PER_HOUR);
	
	rec.getField('rent_uom_id').setRawValue(this._tranRow['rent_uom_id']);
	rec.getField('rent_rate').setRawValue(this._tranRow['rent_rate']);
	//@todo - to have better duration presentation if needs arise.
	//init valid range
	this._initValidRange();
	//Force a repaint.
	this.onRecChanged();
}

CalemInReturnToolFormEdit.prototype._initValidRange =
function() {
	//Enforce qty to check out
	var min=CalemConf['in_tran_conf']['minCheckout'];
	var max=this._tranRec.getField('qty_available').getRawValue();
	this.setValidRange('qty_to_return', min, max);
} 

CalemInReturnToolFormEdit.prototype._render =
function() {
	CalemFormEdit.prototype._render.call(this);
	this._setFieldsReadOnly(['qty_checked_out', 'location_id', 'note', 'checkout_time', 'return_time', 'rent_uom_id']);
	this._initValidRange();
}

//Using save function to do transaction
CalemInReturnToolFormEdit.prototype._onSave =
function(evt) {
	var row=this._getInputDataRow();
	var tran=new Object();
	tran['checkout_tran_id']=this._tranRec.id;
	tran['qty']=row['qty_to_return'];
	tran['location_id']=row['location_id'];
	tran['rent_duration']=this._rentDuration;
	tran['rent_rate']=row['rent_rate'];
	tran['tran_total']=row['rent_total'];
	tran['note']=this._tranRow['note'];
	tran['tran_time']=this._tranRow['tran_time'];
	tran['tran_user_id']=this._tranRow['tran_user_id'];
	tran['store_user_id']=this._tranRow['store_user_id'];
	rows={in_0: tran};
	CalemSoapUtil._onSoapCall('InTranReturn', rows, this._inTranCb, null, rows);
}

/**
 * Process soap response from server
 */
CalemInReturnToolFormEdit.prototype.onInTranCallback =
function(resp, rows) {
	//This is single record so let's process it.
	var tranResp=resp[0];
	if (tranResp.status == CalemForm.SOAP_SUCC) { //Update local copy.
		this._closeAndResumeParentForm(new CalemReloadDataAction('in_tran')); //Need to rerender form.
	} else { //Need to display error.
		this._showSoapError(tranResp);
	}	
}


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInPhysicalFormEdit
 */
function CalemInPhysicalFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
	//callback
	this._cacheLoadedCb=new AjxCallback(this, this.onCacheLoaded);
	this._inTranCb = new AjxCallback(this, this.onInTranCallback);
	this._cache=CalemContext.getInstance().getRegistry().getCache();
}

CalemInPhysicalFormEdit.prototype = new CalemFormEdit;
CalemInPhysicalFormEdit.prototype.constructor = CalemInPhysicalFormEdit;

CalemInPhysicalFormEdit.prototype.toString = function() { return "CalemInPhysicalFormEdit";}

/**
 * Initialize data for the transaction
 */
CalemInPhysicalFormEdit.prototype._createDataModel =
function(data) {
	CalemFormEdit.prototype._createDataModel.call(this);
	this._instantiate(data);
}

CalemInPhysicalFormEdit.prototype._instantiate =
function(data) {
	//Creating a record for display
	var stockRec=data.rec;
	this._modelItem.createNewRecord();
	var rec=this._modelItem.getCurrentRecord();
	rec.id=1;
	rec.getField('in_id').setRawValue(stockRec.getField('in_id').getRawValue());
	rec.getField('location_id').setRawValue(stockRec.getField('location_id').getRawValue());
	rec.getField('stock_qty').setRawValue(stockRec.getField('qty').getRawValue());
	//Current time and users
	rec.getField('tran_time').setRawValue(CalemTextUtil.getCurrentGmt());
	rec.getField('store_user_id').setRawValue(CalemContext.getInstance().getUserId());
	//refill last tran data
	if (this._inputRow) {
		rec.getField('tran_user_id').setRawValue(this._inputRow['tran_user_id']);
		rec.getField('note').setRawValue(this._inputRow['note']);
	}
	//Force a repaint.
	this.onRecChanged();
}

CalemInPhysicalFormEdit.prototype._loadData =
function() {//Record should have been set already.
	this._cache.bulkLoadCacheForTable(this._modelItem.getId(), this._cacheLoadedCb);
}

CalemInPhysicalFormEdit.prototype.onCacheLoaded =
function() {
	this.onDataLoaded();
} 

CalemInPhysicalFormEdit.prototype._render =
function() {
	CalemFormEdit.prototype._render.call(this);
	this._setFieldsReadOnly(['stock_qty', 'location_id', ]);
}

//Using save function to do transaction
CalemInPhysicalFormEdit.prototype._onSave =
function(evt) {
	var row=this._getInputDataRow();
	var rec=this._modelItem.getCurrentRecord();
	row['in_id']=rec.getField('in_id').getRawValue();
	this._inputRow=row;
	rows={in_0: row};
	CalemSoapUtil._onSoapCall('InTranPhysical', rows, this._inTranCb, null, rows);
}

/**
 * Process soap response from server
 */
CalemInPhysicalFormEdit.prototype.onInTranCallback =
function(resp, rows) {
	//This is single record so let's process it.
	var tranResp=resp[0];
	if (tranResp.status == CalemForm.SOAP_SUCC) { //Update local copy.
		this._closeAndResumeParentForm(new CalemReloadDataAction('in_stock')); //Need to rerender form.
	} else { //Need to display error.
		this._showSoapError(tranResp);
	}	
}

//Need to check for changes.
CalemInPhysicalFormEdit.prototype._onCancel =
function() {
	this._closeAndResumeParentForm();
}  



/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInMoveFormEdit
 */
function CalemInMoveFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
	//callback
	this._cacheLoadedCb=new AjxCallback(this, this.onCacheLoaded);
	this._inTranCb = new AjxCallback(this, this.onInTranCallback);
	this._cache=CalemContext.getInstance().getRegistry().getCache();
}

CalemInMoveFormEdit.prototype = new CalemFormEdit;
CalemInMoveFormEdit.prototype.constructor = CalemInMoveFormEdit;

CalemInMoveFormEdit.prototype.toString = function() { return "CalemInMoveFormEdit";}

/**
 * Initialize data for the transaction
 */
CalemInMoveFormEdit.prototype._createDataModel =
function(data) {
	CalemFormEdit.prototype._createDataModel.call(this);
	this._instantiate(data);
}

CalemInMoveFormEdit.prototype._instantiate =
function(data) {
	//Creating a record for display
	var stockRec=data.rec;
	this._modelItem.createNewRecord();
	var rec=this._modelItem.getCurrentRecord();
	rec.id=1;
	rec.getField('in_id').setRawValue(stockRec.getField('in_id').getRawValue());
	rec.getField('orig_loc_id').setRawValue(stockRec.getField('location_id').getRawValue());
	this._stockQty=stockRec.getField('qty').getRawValue();
	rec.getField('qty_orig').setRawValue(stockRec.getField('qty').getRawValue());
	//Current time and users
	rec.getField('tran_time').setRawValue(CalemTextUtil.getCurrentGmt());
	rec.getField('store_user_id').setRawValue(CalemContext.getInstance().getUserId());
	//refill last tran data
	if (this._inputRow) {
		rec.getField('tran_user_id').setRawValue(this._inputRow['tran_user_id']);
		rec.getField('note').setRawValue(this._inputRow['note']);
	}
	//Resetting validRange
	this._initValidRange();
	//Force a repaint.
	this.onRecChanged();
}

CalemInMoveFormEdit.prototype._initValidRange =
function() {
	//Enforce qty to check out
	var min=CalemConf['in_tran_conf']['minCheckout'];
	this.setValidRange('qty', min, this._stockQty);
} 

CalemInMoveFormEdit.prototype._loadData =
function() {//Record should have been set already.
	this._cache.bulkLoadCacheForTable(this._modelItem.getId(), this._cacheLoadedCb);
}

CalemInMoveFormEdit.prototype.onCacheLoaded =
function() {
	this.onDataLoaded();
} 

CalemInMoveFormEdit.prototype._render =
function() {
	CalemFormEdit.prototype._render.call(this);
	this._setFieldsReadOnly(['qty_orig', 'orig_loc_id']);
	//Resetting validRange
	this._initValidRange();
}

//Using save function to do transaction
CalemInMoveFormEdit.prototype._onSave =
function(evt) {
	var row=this._getInputDataRow();
	var rec=this._modelItem.getCurrentRecord();
	row['in_id']=rec.getField('in_id').getRawValue();
	this._inputRow=row;
	rows={in_0: row};
	CalemSoapUtil._onSoapCall('InTranMove', rows, this._inTranCb, null, rows);
}

/**
 * Process soap response from server
 */
CalemInMoveFormEdit.prototype.onInTranCallback =
function(resp, rows) {
	//This is single record so let's process it.
	var tranResp=resp[0];
	if (tranResp.status == CalemForm.SOAP_SUCC) { //Update local copy.
		this._closeAndResumeParentForm(new CalemReloadDataAction('in_stock')); //Need to rerender form.
	} else { //Need to display error.
		this._showSoapError(tranResp);
	}	
}

//Need to check for changes.
CalemInMoveFormEdit.prototype._onCancel =
function() {
	this._closeAndResumeParentForm();
}  



/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInCheckinFormEdit
 */
function CalemInCheckinFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
	//callback
	this._cacheLoadedCb=new AjxCallback(this, this.onCacheLoaded);
	this._inTranCb = new AjxCallback(this, this.onInTranCallback);
	this._cache=CalemContext.getInstance().getRegistry().getCache();
}

CalemInCheckinFormEdit.prototype = new CalemFormEdit;
CalemInCheckinFormEdit.prototype.constructor = CalemInCheckinFormEdit;

CalemInCheckinFormEdit.prototype.toString = function() { return "CalemInCheckinFormEdit";}

/**
 * Initialize data for the transaction
 */
CalemInCheckinFormEdit.prototype._createDataModel =
function(data) {
	CalemFormEdit.prototype._createDataModel.call(this);
	this._instantiate(data);
}

CalemInCheckinFormEdit.prototype._instantiate =
function(data) {
	//Creating a record for display
	var stockRec=data.rec;
	this._modelItem.createNewRecord();
	var rec=this._modelItem.getCurrentRecord();
	rec.id=1;
	rec.getField('in_id').setRawValue(stockRec.getField('in_id').getRawValue());
	rec.getField('location_id').setRawValue(stockRec.getField('location_id').getRawValue());
	//Current time and users
	rec.getField('tran_time').setRawValue(CalemTextUtil.getCurrentGmt());
	rec.getField('store_user_id').setRawValue(CalemContext.getInstance().getUserId());
	//refill last tran data
	if (this._inputRow) {
		rec.getField('tran_user_id').setRawValue(this._inputRow['tran_user_id']);
		rec.getField('note').setRawValue(this._inputRow['note']);
		rec.getField('costcode_id').setRawValue(this._inputRow['costcode_id']);
	}
	//Force a repaint.
	this.onRecChanged();
}

CalemInCheckinFormEdit.prototype._loadData =
function() {//Record should have been set already.
	this._cache.bulkLoadCacheForTable(this._modelItem.getId(), this._cacheLoadedCb);
}

CalemInCheckinFormEdit.prototype.onCacheLoaded =
function() {
	this.onDataLoaded();
} 

CalemInCheckinFormEdit.prototype._render =
function() {
	CalemFormEdit.prototype._render.call(this);
	this._setFieldsReadOnly(['location_id']);
}

//Using save function to do transaction
CalemInCheckinFormEdit.prototype._onSave =
function(evt) {
	var row=this._getInputDataRow();
	var rec=this._modelItem.getCurrentRecord();
	row['in_id']=rec.getField('in_id').getRawValue();
	this._inputRow=row;
	rows={in_0: row};
	CalemSoapUtil._onSoapCall('InTranCheckin', rows, this._inTranCb, null, rows);
}

/**
 * Process soap response from server
 */
CalemInCheckinFormEdit.prototype.onInTranCallback =
function(resp, rows) {
	//This is single record so let's process it.
	var tranResp=resp[0];
	if (tranResp.status == CalemForm.SOAP_SUCC) { //Update local copy.
		this._closeAndResumeParentForm(new CalemReloadDataAction('in_stock')); //Need to rerender form.
	} else { //Need to display error.
		this._showSoapError(tranResp);
	}	
}

//Need to check for changes.
CalemInCheckinFormEdit.prototype._onCancel =
function() {
	this._closeAndResumeParentForm();
}  



/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInReceiveSelectFormEdit
 */
function CalemInReceiveSelectFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemInReceiveSelectFormEdit.prototype = new CalemFormEdit;
CalemInReceiveSelectFormEdit.prototype.constructor = CalemInReceiveSelectFormEdit;

CalemInReceiveSelectFormEdit.prototype.toString = function() { return "CalemInReceiveSelectFormEdit";}

/**
 * Initialize data for the transaction
 */
CalemInReceiveSelectFormEdit.prototype._createDataModel =
function(data) {
	CalemFormEdit.prototype._createDataModel.call(this);
	this._instantiate(data);
}

CalemInReceiveSelectFormEdit.prototype._instantiate =
function(data) {
	//Creating a record for display
	this._inRec=data.rec;
	this._modelItem.createNewRecord();
	var rec=this._modelItem.getCurrentRecord();
	rec.id=1;
	//refill last tran data
	if (this._inputRow) {
		rec.getField('receive_type_id').setRawValue(this._inputRow['receive_type_id']);
	} else {
		rec.getField('receive_type_id').setRawValue('irf_po');
	}
	this._saved=false;
}

//Using save function to do transaction
CalemInReceiveSelectFormEdit.prototype._onSave =
function(evt) {
	var row=this._getInputDataRow();
	this._inputRow=row;
	var fmId= (row['receive_type_id']=='irf_po') ? 'CalemInReceivePoFormEdit' : 'CalemInReceiveOtherFormEdit';
	this._saved=true;
	var ebInfo=new CalemEmbedInfo(this._parent, fmId, {inRec: this._inRec, type: row['receive_type_id']});
	this._embedForm(ebInfo);
}

//Need to check for changes.
CalemInReceiveSelectFormEdit.prototype._onCancel =
function() {
	var action= this._saved ? (new CalemReloadDataAction('in_stock')) : null;
	this._closeAndResumeParentForm(action);
}  

CalemInReceiveSelectFormEdit.prototype.onInReceiveDoneAction =
function() {
	this._closeAndResumeParentForm(new CalemReloadDataAction('in_stock'));
}


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInReceivePoFormEdit
 */
function CalemInReceivePoFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
	//callback
	this._cacheLoadedCb=new AjxCallback(this, this.onCacheLoaded);
	this._cache=CalemContext.getInstance().getRegistry().getCache();
}

CalemInReceivePoFormEdit.prototype = new CalemFormEdit;
CalemInReceivePoFormEdit.prototype.constructor = CalemInReceivePoFormEdit;

CalemInReceivePoFormEdit.prototype.toString = function() { return "CalemInReceivePoFormEdit";}

/**
 * Initialize data for the transaction
 */
CalemInReceivePoFormEdit.prototype._createDataModel =
function(data) {
	CalemFormEdit.prototype._createDataModel.call(this);
	this._instantiate(data);
}

CalemInReceivePoFormEdit.prototype._instantiate =
function(data) {
	//Creating a record for display
	this._inRec=data.inRec;
	this._receiveType=data.type;
	this._modelItem.createNewRecord();
	var rec=this._modelItem.getCurrentRecord();
	rec.id=1;
	rec.getField('in_id').setRawValue(this._inRec.id);
	rec.getField('receive_type_id').setRawValue(data.type);
	rec.getField('uom_id').setRawValue(this._inRec.getField('uom_id').getRawValue());
	//Current time and users
	rec.getField('tran_time').setRawValue(CalemTextUtil.getCurrentGmt());
	rec.getField('store_user_id').setRawValue(CalemContext.getInstance().getUserId());
	//refill last tran data
	if (this._inputRow) {
		rec.getField('costcode_id').setRawValue(this._inputRow['costcode_id']);
		rec.getField('tran_user_id').setRawValue(this._inputRow['tran_user_id']);
		rec.getField('note').setRawValue(this._inputRow['note']);
	} else {
		rec.getField('costcode_id').setRawValue(this._inRec.getField('costcode_id').getRawValue());
	}
	//Force a repaint.
	this.onRecChanged();
}

CalemInReceivePoFormEdit.prototype._loadData =
function() {//Record should have been set already.
	this._cache.bulkLoadCacheForTable(this._modelItem.getId(), this._cacheLoadedCb);
} 

CalemInReceivePoFormEdit.prototype.onCacheLoaded =
function() {
	this.onDataLoaded();
} 

CalemInReceivePoFormEdit.prototype._render =
function() {
	CalemFormEdit.prototype._render.call(this);
	this._setFieldsReadOnly(['in_id', 'receive_type_id', 'uom_id']);
}

//Using save function to do transaction
CalemInReceivePoFormEdit.prototype._onSave =
function(evt) {
	var row=this._getInputDataRow();
	this._inputRow=row;
	row['receive_type_id']=this._receiveType;
	row['qty_remaining']=Number(row['qty']);
	this._setRcf(row);
	var ebInfo=new CalemEmbedInfo(this._parent, 'CalemInReceiveStockFormList', {tranRow: row});
	this._embedForm(ebInfo);
}

CalemInReceivePoFormEdit.prototype._setRcf =
function(row) {
	row['receive_from_id']=row['po_id'];
}

//Need to check for changes.
CalemInReceivePoFormEdit.prototype._onCancel =
function() {
	this._closeAndResumeParentForm();
}  

CalemInReceivePoFormEdit.prototype.onInReceiveDoneAction =
function() {
	this._closeAndResumeParentForm(new CalemInReceiveDoneAction());
}



/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInReceiveOtherFormEdit
 */
function CalemInReceiveOtherFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemInReceivePoFormEdit.call(this, parent, formId, data);
}

CalemInReceiveOtherFormEdit.prototype = new CalemInReceivePoFormEdit;
CalemInReceiveOtherFormEdit.prototype.constructor = CalemInReceiveOtherFormEdit;

CalemInReceiveOtherFormEdit.prototype.toString = function() { return "CalemInReceiveOtherFormEdit";}

CalemInReceiveOtherFormEdit.prototype._setRcf =
function(row) {
	row['receive_from_id']=row['receipt_no'];
}



/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInReceiveStockFormList
 */
function CalemInReceiveStockFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
	//Transaction handling
	this._inTranReceiveListener = new AjxListener(this, this.onInTranReceive);
}

CalemInReceiveStockFormList.prototype = new CalemFormListDet;
CalemInReceiveStockFormList.prototype.constructor = CalemInReceiveStockFormList;

CalemInReceiveStockFormList.prototype.toString = function() { return "CalemInReceiveStockFormList";}

/**
 * Initialize data for the transaction
 */
CalemInReceiveStockFormList.prototype._createDataModel =
function(data) {
	CalemFormEdit.prototype._createDataModel.call(this);
	this._instantiate(data);
}

CalemInReceiveStockFormList.prototype._instantiate =
function(data) {
	this._tranRow=data.tranRow;
	var fld=new CalemDbField('in_stock', 'in_id');
	var val=new CalemDbString(this._tranRow['in_id']);
	this._dbExpr=new CalemDbExpr(fld, CalemDbExpr.EQ, val);
}

CalemInReceiveStockFormList.prototype.initQueryByForm =
function(tblQuery) {
    tblQuery.addWhere(this._modelItem.getId(), null, this._dbExpr, this._modelItem.getTableDd());
	return tblQuery;
} 

CalemInReceiveStockFormList.prototype.getOpenInTranReceive =
function() {
	return this._inTranReceiveListener;
}

CalemInReceiveStockFormList.prototype.onInTranReceive =
function(ev) {
	var item=CalemEvent.getItem(ev);
	var ebInfo=new CalemEmbedInfo(this._parent, 'CalemInReceiveQtyFormEdit', {stockRec: item, tranRow: this._tranRow});
	this._embedForm(ebInfo);
} 

//Do not cache this form
CalemInReceiveStockFormList.prototype.getCacheEmbedOnClose =
function() {
	return false;
}

CalemInReceiveStockFormList.prototype.onInReceiveDoneAction =
function() {
	this._closeAndResumeParentForm(new CalemInReceiveDoneAction());
}


 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInReceiveQtyFormEdit
 */
function CalemInReceiveQtyFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemInTranQtyFormEdit.call(this, parent, formId, data);
}

CalemInReceiveQtyFormEdit.prototype = new CalemInTranQtyFormEdit;
CalemInReceiveQtyFormEdit.prototype.constructor = CalemInReceiveQtyFormEdit;

CalemInReceiveQtyFormEdit.prototype.toString = function() { return "CalemInReceiveQtyFormEdit";}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
/**
 * forms
 */
CalemItemDef['CalemInFormList']={
	CalemFormInfo: {
		id: 'CalemInFormList',
		title: 'inventory_list',
		icon: 'CalemIn',
		controller: 'CalemInFormList',
		model: 'inventory', 
		view: {CalemViewRefInfo: {id: 'CalemInViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemInFormSearch'
	}
}

CalemItemDef['CalemInToolFormLookup']={
	CalemFormInfo: {
		id: 'CalemInToolFormLookup',
		title: 'inventory_tool',
		icon: 'CalemIn',
		controller: 'CalemInToolFormLookup',
		model: 'inventory', 
		view: {CalemViewRefInfo: {id: 'CalemInToolViewLookup'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemInFormSearch'
	}
}

CalemItemDef['CalemInFormLookup']={
	CalemFormInfo: {
		id: 'CalemInFormLookup',
		title: 'inventory',
		icon: 'CalemIn',
		controller: 'CalemInFormLookup',
		model: 'inventory', 
		view: {CalemViewRefInfo: {id: 'CalemInViewLookup'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemInFormSearch'
	}
}

CalemItemDef['CalemInPartFormLookup']={
	CalemFormInfo: {
		id: 'CalemInPartFormLookup',
		title: 'inventory_part',
		icon: 'CalemIn',
		controller: 'CalemInPartFormLookup',
		model: 'inventory', 
		view: {CalemViewRefInfo: {id: 'CalemInPartViewLookup'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemInFormSearch'
	}
}

CalemItemDef['CalemInFormNew']={
	CalemFormInfo: {
		id: 'CalemInFormNew',
		title: 'inventory',
		icon: 'CalemIn',
		controller: 'CalemInFormNew',
		model: 'inventory', 
		view: {CalemViewRefInfo: {id: 'CalemInViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemInFormEdit']={
	CalemFormInfo: {
		id: 'CalemInFormEdit',
		title: 'inventory',
		icon: 'CalemIn',
		controller: 'CalemInFormEdit',
		model: 'inventory', 
   	view: {CalemViewRefInfo: {id: 'CalemInViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemInFormRead']={
	CalemFormInfo: {
		id: 'CalemInFormRead',
		title: 'inventory',
		icon: 'CalemIn',
		controller: 'CalemInFormRead',
		model: 'inventory', 
		view: {CalemViewRefInfo: {id: 'CalemInViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemInFormSearch']={
	CalemFormInfo: {
		id: 'CalemInFormSearch',
		title: 'inventory',
		icon: 'CalemIn',
		controller: 'CalemFormSearchEdit',
		model: 'inventory', 
		view: {CalemViewRefInfo: {id: 'CalemInViewSearch'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemInFormMdTab']={
	CalemFormMdTabInfo: {
		id: 'CalemInFormMdTab',
		title: 'inventory',
		icon: 'CalemIn',
		replaceType: CalemItemDef.REPLACE_BY_ID,
		//Three portions of info: layout, model and itemMap.
		layout: {
			CalemMdTabLayoutInfo: {
				tabList: ['tab_main', 'CUSTOMIZE_TAB'],
				tabMap: {
					'tab_main': {CalemTabLayoutInfo: ['CalemInFormRead']}
				}
			} },
		model: {
				CalemFormModelInfo: {
					master: 'CalemInFormRead',
			      items: 
			             [{CalemFormLinkInfo: {id: 'CalemInStockFormList', link: {CalemFieldMdInfo: {fld: 'in_id', parentFld: 'id'}}} },
			              {CalemFormLinkInfo: {id: 'CalemInReservedFormList', link: {CalemFieldMdInfo: {fld: 'in_id', parentFld: 'id'}}} },
			              {CalemFormLinkInfo: {id: 'CalemInCommentFormList', link: {CalemFieldMdInfo: {fld: 'in_id', parentFld: 'id'}}} },
			              {CalemFormLinkInfo: {id: 'CalemInDocFormList', link: {CalemFieldMdInfo: {fld: 'in_id', parentFld: 'id'}}} },
			              {CalemFormLinkInfo: {id: 'CalemInAuditFormList', link: {CalemFieldMdInfo: {fld: 'in_id', parentFld: 'id'}}} },
			              {CalemFormLinkInfo: {id: 'CalemInVendorFormList', link: {CalemFieldMdInfo: {fld: 'in_id', parentFld: 'id'}}} },
			              {CalemFormLinkInfo: {id: 'CalemInTranFormList', link: {CalemFieldMdInfo: {fld: 'in_id', parentFld: 'id'}}} }
			             ]
				}
		}, 
		itemMap : { //Default layout conf.
		  CalemItemMap :{
			 'CalemInFormRead' : {
			 	CalemFormLayoutInfo: {
			 		id: 'CalemInFormRead',
			 		fixed: true, //Move not allowed.
			 		layout: {CalemBlockLayoutInfo: {width: '100%', height: '-2'}}
			 	}
			 },
			 
			 'CalemInStockFormList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemInStockFormList',
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 10}}
			 	 }
			 },
			 
			 'CalemInReservedFormList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemInReservedFormList',
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 10}}
			 	 }
			 },
			 
			 'CalemInCommentFormList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemInCommentFormList',
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 10}}
			 	 }
			 },
			 
			 'CalemInDocFormList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemInDocFormList',
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 10}}
			 	 }
			 },
			 
			 'CalemInVendorFormList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemInVendorFormList',
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 10}}
			 	 }
			 },
		  
		  'CalemInAuditFormList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemInAuditFormList',
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 10}}
			 	 }
			 },
			
			'CalemInTranFormList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemInTranFormList',
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 10}}
			 	 }
			 },
			 
		  'tab_main': {
		  		CalemTabInfo: {id: 'tab_in_main', fixed: 1}
		  },
		  
		  'tab_stock': {
		  		CalemTabInfo: {id: 'tab_in_stock'}
		  },
		  
		  'tab_doc': {
		  		CalemTabInfo: {id: 'tab_in_doc'}
		  },
		  
		  'tab_tran': {
		  		CalemTabInfo: {id: 'tab_in_tran'}
		  },
		  
		  'tab_misc': {
		  		CalemTabInfo: {id: 'tab_in_misc'}
		  },
		  
		  'tab_vendor': {
		  		CalemTabInfo: {id: 'tab_in_vendor'}
		  },
		  
		  'tab_reserved': {
		  		CalemTabInfo: {id: 'tab_in_reserved'}
		  },
		  
		  'tab_audit': {
		  		CalemTabInfo: {id: 'tab_in_audit'}
		  },
		  
		  'CUSTOMIZE_TAB' : {
		  		CalemTabInfo: {id: 'CUSTOMIZE_TAB'}
		  }
		  
		  }
		  
		} //itemMap
	} //MdTabInfo
}

/**
 * Stock
 */
CalemItemDef['CalemInStockFormList']={
	CalemFormInfo: {
		id: 'CalemInStockFormList',
		title: 'in_stock',
		icon: 'CalemIn',
		controller: 'CalemInStockFormList',
		model: 'in_stock', 
		view: {CalemViewRefInfo: {id: 'CalemInStockViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemInStockFormNew']={
	CalemFormInfo: {
		id: 'CalemInStockFormNew',
		title: 'in_stock',
		icon: 'CalemIn',
		controller: 'CalemInStockFormNew',
		model: 'in_stock', 
		view: {CalemViewRefInfo: {id: 'CalemInStockViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemInStockFormEdit']={
	CalemFormInfo: {
		id: 'CalemInStockFormEdit',
		title: 'in_stock',
		icon: 'CalemIn',
		controller: 'CalemInStockFormEdit',
		model: 'in_stock', 
   	view: {CalemViewRefInfo: {id: 'CalemInStockViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemInStockFormRead']={
	CalemFormInfo: {
		id: 'CalemInStockFormRead',
		title: 'in_stock',
		icon: 'CalemIn',
		controller: 'CalemInStockFormRead',
		model: 'in_stock', 
		view: {CalemViewRefInfo: {id: 'CalemInStockViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * Stock
 */
CalemItemDef['CalemInReservedFormList']={
	CalemFormInfo: {
		id: 'CalemInReservedFormList',
		title: 'in_reserved',
		icon: 'CalemIn',
		controller: 'CalemInReservedFormList',
		model: 'in_reserved', 
		view: {CalemViewRefInfo: {id: 'CalemInReservedViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * In comment
 */
CalemItemDef['CalemInCommentFormList']={
	CalemFormInfo: {
		id: 'CalemInCommentFormList',
		title: 'in_comment',
		icon: 'CalemIn',
		controller: 'CalemInCommentFormList',
		model: 'in_comment', 
		view: {CalemViewRefInfo: {id: 'CalemInCommentViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemInCommentFormNew']={
	CalemFormInfo: {
		id: 'CalemInCommentFormNew',
		title: 'in_comment',
		icon: 'CalemIn',
		controller: 'CalemInCommentFormNew',
		model: 'in_comment', 
		view: {CalemViewRefInfo: {id: 'CalemInCommentViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemInCommentFormEdit']={
	CalemFormInfo: {
		id: 'CalemInCommentFormEdit',
		title: 'in_comment',
		icon: 'CalemIn',
		controller: 'CalemInCommentFormEdit',
		model: 'in_comment', 
   	view: {CalemViewRefInfo: {id: 'CalemInCommentViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemInCommentFormRead']={
	CalemFormInfo: {
		id: 'CalemInCommentFormRead',
		title: 'in_comment',
		icon: 'CalemIn',
		controller: 'CalemInCommentFormRead',
		model: 'in_comment', 
		view: {CalemViewRefInfo: {id: 'CalemInCommentViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * In doc
 */
CalemItemDef['CalemInDocFormList']={
	CalemFormInfo: {
		id: 'CalemInDocFormList',
		title: 'in_doc',
		icon: 'CalemIn',
		controller: 'CalemInDocFormList',
		model: 'in_doc', 
		view: {CalemViewRefInfo: {id: 'CalemInDocViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemInDocFormNew']={
	CalemFormInfo: {
		id: 'CalemInDocFormNew',
		title: 'in_doc',
		icon: 'CalemIn',
		controller: 'CalemInDocFormNew',
		model: 'in_doc', 
		view: {CalemViewRefInfo: {id: 'CalemInDocViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemInDocFormEdit']={
	CalemFormInfo: {
		id: 'CalemInDocFormEdit',
		title: 'in_doc',
		icon: 'CalemIn',
		controller: 'CalemInDocFormEdit',
		model: 'in_doc', 
   	view: {CalemViewRefInfo: {id: 'CalemInDocViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemInDocFormRead']={
	CalemFormInfo: {
		id: 'CalemInDocFormRead',
		title: 'in_doc',
		icon: 'CalemIn',
		controller: 'CalemInDocFormRead',
		model: 'in_doc', 
		view: {CalemViewRefInfo: {id: 'CalemInDocViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * In audit
 */
CalemItemDef['CalemInAuditFormList']={
	CalemFormInfo: {
		id: 'CalemInAuditFormList',
		title: 'in_audit',
		icon: 'CalemIn',
		controller: 'CalemInAuditFormList',
		model: 'in_audit', 
		view: {CalemViewRefInfo: {id: 'CalemInAuditViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemInAuditFormNew']={
	CalemFormInfo: {
		id: 'CalemInAuditFormNew',
		title: 'in_audit',
		icon: 'CalemIn',
		controller: 'CalemInAuditFormNew',
		model: 'in_audit', 
		view: {CalemViewRefInfo: {id: 'CalemInAuditViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemInAuditFormEdit']={
	CalemFormInfo: {
		id: 'CalemInAuditFormEdit',
		title: 'in_audit',
		icon: 'CalemIn',
		controller: 'CalemInAuditFormEdit',
		model: 'in_audit', 
   	view: {CalemViewRefInfo: {id: 'CalemInAuditViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemInAuditFormRead']={
	CalemFormInfo: {
		id: 'CalemInAuditFormRead',
		title: 'in_audit',
		icon: 'CalemIn',
		controller: 'CalemInAuditFormRead',
		model: 'in_audit', 
		view: {CalemViewRefInfo: {id: 'CalemInAuditViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * In vendor
 */
CalemItemDef['CalemInVendorFormList']={
	CalemFormInfo: {
		id: 'CalemInVendorFormList',
		title: 'in_vendor',
		icon: 'CalemIn',
		controller: 'CalemInVendorFormList',
		model: 'in_vendor', 
		view: {CalemViewRefInfo: {id: 'CalemInVendorViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemInVendorFormNew']={
	CalemFormInfo: {
		id: 'CalemInVendorFormNew',
		title: 'in_vendor',
		icon: 'CalemIn',
		controller: 'CalemInVendorFormNew',
		model: 'in_vendor', 
		view: {CalemViewRefInfo: {id: 'CalemInVendorViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemInVendorFormEdit']={
	CalemFormInfo: {
		id: 'CalemInVendorFormEdit',
		title: 'in_vendor',
		icon: 'CalemIn',
		controller: 'CalemInVendorFormEdit',
		model: 'in_vendor', 
   	view: {CalemViewRefInfo: {id: 'CalemInVendorViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemInVendorFormRead']={
	CalemFormInfo: {
		id: 'CalemInVendorFormRead',
		title: 'in_vendor',
		icon: 'CalemIn',
		controller: 'CalemInVendorFormRead',
		model: 'in_vendor', 
		view: {CalemViewRefInfo: {id: 'CalemInVendorViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * In tran
 */
CalemItemDef['CalemInTranFormList']={
	CalemFormInfo: {
		id: 'CalemInTranFormList',
		title: 'in_tran',
		icon: 'CalemIn',
		controller: 'CalemInTranFormList',
		model: 'in_tran', 
		view: {CalemViewRefInfo: {id: 'CalemInTranViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemInTranFormRead']={
	CalemFormInfo: {
		id: 'CalemInTranFormRead',
		title: 'in_tran',
		icon: 'CalemIn',
		controller: 'CalemInTranFormRead',
		model: 'in_tran', 
		view: {CalemViewRefInfo: {id: 'CalemInTranViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * In tran worksheet
 */
CalemItemDef['CalemInTranWorksheetFormList']={
	CalemFormInfo: {
		id: 'CalemInTranWorksheetFormList',
		title: 'in_tran_worksheet',
		icon: 'CalemIn',
		controller: 'CalemInTranWorksheetFormList',
		model: 'in_tran_worksheet', 
		view: {CalemViewRefInfo: {id: 'CalemInTranWorksheetViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * InLocation
 */
CalemItemDef['CalemInLocationFormList']={
	CalemFormInfo: {
		id: 'CalemInLocationFormList',
		title: 'in_location',
		icon: 'CalemIn',
		controller: 'CalemInLocationFormList',
		model: 'in_location', 
		view: {CalemViewRefInfo: {id: 'CalemInLocationViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemInLocationFormSearch'
	}
}

CalemItemDef['CalemInLocationFormLookup']={
	CalemFormInfo: {
		id: 'CalemInLocationFormLookup',
		title: 'in_location',
		icon: 'CalemIn',
		controller: 'CalemInLocationFormLookup',
		model: 'in_location', 
		view: {CalemViewRefInfo: {id: 'CalemInLocationViewLookup'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemInLocationFormSearch'
	}
}

CalemItemDef['CalemInLocationFormNew']={
	CalemFormInfo: {
		id: 'CalemInLocationFormNew',
		title: 'in_location',
		icon: 'CalemIn',
		controller: 'CalemInLocationFormNew',
		model: 'in_location', 
		view: {CalemViewRefInfo: {id: 'CalemInLocationViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemInLocationFormEdit']={
	CalemFormInfo: {
		id: 'CalemInLocationFormEdit',
		title: 'in_location',
		icon: 'CalemIn',
		controller: 'CalemInLocationFormEdit',
		model: 'in_location', 
   	view: {CalemViewRefInfo: {id: 'CalemInLocationViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemInLocationFormRead']={
	CalemFormInfo: {
		id: 'CalemInLocationFormRead',
		title: 'in_location',
		icon: 'CalemIn',
		controller: 'CalemInLocationFormRead',
		model: 'in_location', 
		view: {CalemViewRefInfo: {id: 'CalemInLocationViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemInLocationFormSearch']={
	CalemFormInfo: {
		id: 'CalemInLocationFormSearch',
		title: 'in_location',
		icon: 'CalemIn',
		controller: 'CalemFormSearchEdit',
		model: 'in_location', 
		view: {CalemViewRefInfo: {id: 'CalemInLocationViewSearch'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * InType
 */
CalemItemDef['CalemInTypeFormList']={
	CalemFormInfo: {
		id: 'CalemInTypeFormList',
		title: 'in_type',
		icon: 'CalemIn',
		controller: 'CalemInTypeFormList',
		model: 'in_type', 
		view: {CalemViewRefInfo: {id: 'CalemInTypeViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemInTypeFormSearch'
	}
}

CalemItemDef['CalemInTypeFormLookup']={
	CalemFormInfo: {
		id: 'CalemInTypeFormLookup',
		title: 'in_type',
		icon: 'CalemIn',
		controller: 'CalemInTypeFormLookup',
		model: 'in_type', 
		view: {CalemViewRefInfo: {id: 'CalemInTypeViewLookup'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemInTypeFormSearch'
	}
}

CalemItemDef['CalemInTypeFormNew']={
	CalemFormInfo: {
		id: 'CalemInTypeFormNew',
		title: 'in_type',
		icon: 'CalemIn',
		controller: 'CalemInTypeFormNew',
		model: 'in_type', 
		view: {CalemViewRefInfo: {id: 'CalemInTypeViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemInTypeFormEdit']={
	CalemFormInfo: {
		id: 'CalemInTypeFormEdit',
		title: 'in_type',
		icon: 'CalemIn',
		controller: 'CalemInTypeFormEdit',
		model: 'in_type', 
   	view: {CalemViewRefInfo: {id: 'CalemInTypeViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemInTypeFormRead']={
	CalemFormInfo: {
		id: 'CalemInTypeFormRead',
		title: 'in_type',
		icon: 'CalemIn',
		controller: 'CalemInTypeFormRead',
		model: 'in_type', 
		view: {CalemViewRefInfo: {id: 'CalemInTypeViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemInTypeFormSearch']={
	CalemFormInfo: {
		id: 'CalemInTypeFormSearch',
		title: 'in_type',
		icon: 'CalemIn',
		controller: 'CalemFormSearchEdit',
		model: 'in_type', 
		view: {CalemViewRefInfo: {id: 'CalemInTypeViewSearch'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * Uom
 */
CalemItemDef['CalemUomFormList']={
	CalemFormInfo: {
		id: 'CalemUomFormList',
		title: 'uom',
		icon: 'CalemIn',
		controller: 'CalemUomFormList',
		model: 'uom', 
		view: {CalemViewRefInfo: {id: 'CalemUomViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemUomFormSearch'
	}
}

CalemItemDef['CalemUomFormLookup']={
	CalemFormInfo: {
		id: 'CalemUomFormLookup',
		title: 'uom',
		icon: 'CalemIn',
		controller: 'CalemUomFormLookup',
		model: 'uom', 
		view: {CalemViewRefInfo: {id: 'CalemUomViewLookup'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemUomFormSearch'
	}
}

CalemItemDef['CalemUomFormNew']={
	CalemFormInfo: {
		id: 'CalemUomFormNew',
		title: 'uom',
		icon: 'CalemIn',
		controller: 'CalemUomFormNew',
		model: 'uom', 
		view: {CalemViewRefInfo: {id: 'CalemUomViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemUomFormEdit']={
	CalemFormInfo: {
		id: 'CalemUomFormEdit',
		title: 'uom',
		icon: 'CalemIn',
		controller: 'CalemUomFormEdit',
		model: 'uom', 
   	view: {CalemViewRefInfo: {id: 'CalemUomViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemUomFormRead']={
	CalemFormInfo: {
		id: 'CalemUomFormRead',
		title: 'uom',
		icon: 'CalemIn',
		controller: 'CalemUomFormRead',
		model: 'uom', 
		view: {CalemViewRefInfo: {id: 'CalemUomViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemUomFormSearch']={
	CalemFormInfo: {
		id: 'CalemUomFormSearch',
		title: 'uom',
		icon: 'CalemIn',
		controller: 'CalemFormSearchEdit',
		model: 'uom', 
		view: {CalemViewRefInfo: {id: 'CalemUomViewSearch'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * UomMap
 */
CalemItemDef['CalemUomMapFormList']={
	CalemFormInfo: {
		id: 'CalemUomMapFormList',
		title: 'uom_map',
		icon: 'CalemIn',
		controller: 'CalemUomMapFormList',
		model: 'uom_map', 
		view: {CalemViewRefInfo: {id: 'CalemUomMapViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemUomMapFormSearch'
	}
}

CalemItemDef['CalemUomMapFormLookup']={
	CalemFormInfo: {
		id: 'CalemUomMapFormLookup',
		title: 'uom_map',
		icon: 'CalemIn',
		controller: 'CalemUomMapFormLookup',
		model: 'uom_map', 
		view: {CalemViewRefInfo: {id: 'CalemUomMapViewLookup'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemUomMapFormSearch'
	}
}

CalemItemDef['CalemUomMapFormNew']={
	CalemFormInfo: {
		id: 'CalemUomMapFormNew',
		title: 'uom_map',
		icon: 'CalemIn',
		controller: 'CalemUomMapFormNew',
		model: 'uom_map', 
		view: {CalemViewRefInfo: {id: 'CalemUomMapViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemUomMapFormEdit']={
	CalemFormInfo: {
		id: 'CalemUomMapFormEdit',
		title: 'uom_map',
		icon: 'CalemIn',
		controller: 'CalemUomMapFormEdit',
		model: 'uom_map', 
   	view: {CalemViewRefInfo: {id: 'CalemUomMapViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemUomMapFormRead']={
	CalemFormInfo: {
		id: 'CalemUomMapFormRead',
		title: 'uom_map',
		icon: 'CalemIn',
		controller: 'CalemUomMapFormRead',
		model: 'uom_map', 
		view: {CalemViewRefInfo: {id: 'CalemUomMapViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemUomMapFormSearch']={
	CalemFormInfo: {
		id: 'CalemUomMapFormSearch',
		title: 'uom_map',
		icon: 'CalemIn',
		controller: 'CalemFormSearchEdit',
		model: 'uom_map', 
		view: {CalemViewRefInfo: {id: 'CalemUomMapViewSearch'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

//Checkout transactions
CalemItemDef['CalemInCheckoutLocFormEdit']={
	CalemFormInfo: {
		id: 'CalemInCheckoutLocFormEdit',
		title: 'in_vt_checkout_loc',
		icon: 'CalemInCheckout',
		controller: 'CalemInCheckoutLocFormEdit',
		model: 'in_vt_checkout_loc', 
   	view: {CalemViewRefInfo: {id: 'CalemInCheckoutLocViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
} 

CalemItemDef['CalemInReturnCheckoutToFormEdit']={
	CalemFormInfo: {
		id: 'CalemInReturnCheckoutToFormEdit',
		title: 'in_vt_return_checkout_to',
		icon: 'CalemInReturn',
		controller: 'CalemInReturnCheckoutToFormEdit',
		model: 'in_vt_return_checkout_to', 
   	view: {CalemViewRefInfo: {id: 'CalemInReturnCheckoutToViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemInReturnFormList']={
	CalemFormInfo: {
		id: 'CalemInReturnFormList',
		title: 'in_tran_checkout',
		icon: 'CalemInReturn',
		controller: 'CalemInReturnFormList',
		model: 'in_tran', 
   	view: {CalemViewRefInfo: {id: 'CalemInReturnViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemInReturnPartFormEdit']={
	CalemFormInfo: {
		id: 'CalemInReturnPartFormEdit',
		title: 'in_vt_return_part',
		icon: 'CalemInReturn',
		controller: 'CalemInReturnPartFormEdit',
		model: 'in_vt_return_part', 
   	view: {CalemViewRefInfo: {id: 'CalemInReturnPartViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemInReturnToolFormEdit']={
	CalemFormInfo: {
		id: 'CalemInReturnToolFormEdit',
		title: 'in_vt_return_tool',
		icon: 'CalemInReturn',
		controller: 'CalemInReturnToolFormEdit',
		model: 'in_vt_return_tool', 
   	view: {CalemViewRefInfo: {id: 'CalemInReturnToolViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}


//Physical
CalemItemDef['CalemInPhysicalFormEdit']={
	CalemFormInfo: {
		id: 'CalemInPhysicalFormEdit',
		title: 'in_vt_physical',
		icon: 'CalemInPhysical',
		controller: 'CalemInPhysicalFormEdit',
		model: 'in_vt_physical', 
   	view: {CalemViewRefInfo: {id: 'CalemInPhysicalViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

//Move
CalemItemDef['CalemInMoveFormEdit']={
	CalemFormInfo: {
		id: 'CalemInMoveFormEdit',
		title: 'in_vt_move',
		icon: 'CalemInMove',
		controller: 'CalemInMoveFormEdit',
		model: 'in_vt_move', 
   	view: {CalemViewRefInfo: {id: 'CalemInMoveViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

//Check-in
CalemItemDef['CalemInCheckinFormEdit']={
	CalemFormInfo: {
		id: 'CalemInCheckinFormEdit',
		title: 'in_vt_checkin',
		icon: 'CalemInCheckin',
		controller: 'CalemInCheckinFormEdit',
		model: 'in_vt_checkin', 
   	view: {CalemViewRefInfo: {id: 'CalemInCheckinViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

//Receive (three transaction steps)
CalemItemDef['CalemInReceiveSelectFormEdit']={
	CalemFormInfo: {
		id: 'CalemInReceiveSelectFormEdit',
		title: 'in_vt_receive_select',
		icon: 'CalemInReceive',
		controller: 'CalemInReceiveSelectFormEdit',
		model: 'in_vt_receive_select', 
   	view: {CalemViewRefInfo: {id: 'CalemInReceiveSelectViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemInReceivePoFormEdit']={
	CalemFormInfo: {
		id: 'CalemInReceivePoFormEdit',
		title: 'in_vt_receive',
		icon: 'CalemInReceive',
		controller: 'CalemInReceivePoFormEdit',
		model: 'in_vt_receive', 
   	view: {CalemViewRefInfo: {id: 'CalemInReceivePoViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemInReceiveOtherFormEdit']={
	CalemFormInfo: {
		id: 'CalemInReceiveOtherFormEdit',
		title: 'in_vt_receive',
		icon: 'CalemInReceive',
		controller: 'CalemInReceiveOtherFormEdit',
		model: 'in_vt_receive', 
   	view: {CalemViewRefInfo: {id: 'CalemInReceiveOtherViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemInReceiveStockFormList']={
	CalemFormInfo: {
		id: 'CalemInReceiveStockFormList',
		title: 'in_stock',
		icon: 'CalemInReceive',
		controller: 'CalemInReceiveStockFormList',
		model: 'in_stock', 
   	view: {CalemViewRefInfo: {id: 'CalemInReceiveStockViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemInReceiveQtyFormEdit']={
	CalemFormInfo: {
		id: 'CalemInReceiveQtyFormEdit',
		title: 'in_vt_receive_qty',
		icon: 'CalemInReceive',
		controller: 'CalemInReceiveQtyFormEdit',
		model: 'in_vt_receive_qty', 
   	view: {CalemViewRefInfo: {id: 'CalemInReceiveQtyViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemInStockSelectFormList']={
	CalemFormInfo: {
		id: 'CalemInStockSelectFormList',
		title: 'in_stock',
		icon: 'CalemInReceive',
		controller: 'CalemInStockSelectFormList',
		model: 'in_stock', 
   	view: {CalemViewRefInfo: {id: 'CalemInStockSelectViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemInCheckoutQtyFormEdit']={
	CalemFormInfo: {
		id: 'CalemInCheckoutQtyFormEdit',
		title: 'in_vt_qty_checkout',
		icon: 'CalemInReceive',
		controller: 'CalemInCheckoutQtyFormEdit',
		model: 'in_vt_qty_checkout', 
   	view: {CalemViewRefInfo: {id: 'CalemInCheckoutQtyViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

// IN order forms
CalemItemDef['CalemInOrderFormList']={
	CalemFormInfo: {
		id: 'CalemInOrderFormList',
		title: 'in_order_list',
		icon: 'CalemIn',
		controller: 'CalemInOrderFormList',
		model: 'in_order_list', 
		view: {CalemViewRefInfo: {id: 'CalemInOrderReportList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemInFormSearch'
	}
}

CalemItemDef['CalemInOrderFormRead']={
	CalemFormInfo: {
		id: 'CalemInOrderFormRead',
		title: 'in_order_list',
		icon: 'CalemInOrder',
		controller: 'CalemInOrderFormRead',
		model: 'in_order_list', 
		view: {CalemViewRefInfo: {id: 'CalemInOrderViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemInGenOrderFormNew']={
	CalemFormInfo: {
		id: 'CalemInGenOrderFormNew',
		title: 'in_tb_gen_order_req',
		icon: 'CalemInGenOrder',
		controller: 'CalemInGenOrderFormNew',
		model: 'requisition', 
		view: {CalemViewRefInfo: {id: 'CalemInGenOrderViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Admin module
 */
CalemModuleDef["modCalemIn"]= {
	CalemModuleInfo: {
      id:"modCalemIn",
      icon:"CalemIn",
      defaultMenu: 'CalemInFormList',
      toolBar: {
        CalemToolBarInfo: {
        	  type: 'CalemToolBar',
        	  layout: ['modCalemIn', 'sep', 'CalemInFormList', 'CalemInOrderFormList', 'sep2', 'CalemInCodes'],
        	  list: [
	         {CalemLabelInfo: {id: 'modCalemIn', className: 'CalemModuleLabel'}},
	         
	         {CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
	         
	         {CalemMenuItemInfo: {id: 'CalemInFormList'}},
	         {CalemMenuItemInfo: {id: 'CalemInOrderFormList'}},
	         
	         {CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
	         
	         {CalemMenuInfo: {
	      		menuButton: {CalemMenuButtonInfo: {id: 'CalemInCodes'}},
		      	menuList: [ {CalemMenuItemInfo: {id: 'CalemInLocationFormList'}},
		      			      {CalemMenuItemInfo: {id: 'CalemInTypeFormList'}},
		      	            {CalemMenuItemInfo: {id: 'CalemUomFormList'}},
		      	            {CalemMenuItemInfo: {id: 'CalemUomMapFormList'}}
		      	      ]
	      		}
	      	}
	      ] }
	}
	}
};

//Build Calem.js from client
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemCraftBo - business logic
 */
function CalemCraftBo() {
}

CalemCraftBo._details = ['pm_labor', 'wo_planned_labor', 'wo_labor'];

CalemCraftBo.getInstance =
function() {
	if (!CalemCraftBo.singleton) {
		CalemCraftBo.singleton = new CalemCraftBo();
	}
	return CalemCraftBo.singleton;
}

//Asset deletion check
CalemCraftBo.prototype.canDeleteCraft =
function(rec, callback) {
	var boUtil=CalemBoUtil.getInstance();
	boUtil.canDeleteByLookup(CalemCraftBo._details, 'craft_id', rec.id, callback);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

function CalemWoBo() {
}

CalemWoBo._details = ['wo_planned_labor', 'wo_planned_part', 'wo_planned_tool', 'wo_planned_downtime', 'wo_meter', 'wo_doc',
                      'wo_sched_labor', 'wo_labor', 'wo_part', 'wo_tool', 'wo_step','wo_safety', 'wo_comment'];

CalemWoBo.getInstance =
function() {
	if (!CalemWoBo.singleton) {
		CalemWoBo.singleton = new CalemWoBo();
	}
	return CalemWoBo.singleton;
}

CalemWoBo.prototype.canDelete =
function(recWo, callback) {
	if (!this.canModify(recWo)) {
		callback.run(false);
		return;
	}
	var reg=CalemContext.getInstance().getRegistry();
	var dbQry=new CalemDbQuery();
	//Add details
	for (var i=0; i< CalemWoBo._details.length; i++ ) {
		var dd=reg.getTableDd(CalemWoBo._details[i]);
		var qry=dd.buildGetAllQueryByLookup('wo_id', recWo.id);
		dbQry.add(qry);
	}
	//If this asset is a location or parent asset.
	var dd=reg.getTableDd('workorder');
	//Now add query by the fld.
	var orExpr=new CalemExprOr();
	var val=new CalemDbString(recWo.id);
	var fld1=new CalemDbField('workorder', 'parent_wo_id');
	var expr1=new CalemDbExpr(fld1, CalemDbExpr.EQ, val);
	orExpr.add(expr1);
	var fld2=new CalemDbField('workorder', 'rework_wo_id');
	var expr2=new CalemDbExpr(fld2, CalemDbExpr.EQ, val);
	orExpr.add(expr2);
	var fld3=new CalemDbField('workorder', 'duplicate_wo_id');
	var expr3=new CalemDbExpr(fld3, CalemDbExpr.EQ, val);
	orExpr.add(expr3);
	dbQry.add(dd.buildGetAllQueryByExpr(orExpr));
	//Now do a bulk query for count
	var boUtil=CalemBoUtil.getInstance();
	var soapCb=new AjxCallback(boUtil, boUtil.onDeleteByLookupResponse, callback);
	reg.getCache().bulkLoadCountBypassCache(dbQry, soapCb);
}

CalemWoBo.prototype.canModify =
function(recWo) {
	var rtn=(recWo.getField('status_id').getRawValue()!='wos_closed');
	if (!rtn) {
		CalemInfoDialog.showIt(CalemMsg.getMsg('form_wo_edit'),CalemMsg.getMsg('wo_closed_no_edit'));
	}
	return rtn;
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 


/**
 * CalemWoPartQtyNotZeroException
 */
function CalemWoPartQtyNotZeroException(table, errorInfo) {
	if (arguments.length==0) return;
	CalemErrorInfo.call(this, table, errorInfo);
}

CalemWoPartQtyNotZeroException.prototype = new CalemErrorInfo;
CalemWoPartQtyNotZeroException.prototype.constructor=CalemWoPartQtyNotZeroException;

CalemWoPartQtyNotZeroException.prototype.toString = function() {return "CalemWoPartQtyNotZeroException";}

CalemWoPartQtyNotZeroException.prototype.getMessage = 
function() {
	return CalemMsg.getMsg('wo_material_not_zero_nodel');
}

/**
 * CalemWoToolQtyNotZeroException
 */
function CalemWoToolQtyNotZeroException(table, errorInfo) {
	if (arguments.length==0) return;
	CalemErrorInfo.call(this, table, errorInfo);
}

CalemWoToolQtyNotZeroException.prototype = new CalemErrorInfo;
CalemWoToolQtyNotZeroException.prototype.constructor=CalemWoToolQtyNotZeroException;

CalemWoToolQtyNotZeroException.prototype.toString = function() {return "CalemWoToolQtyNotZeroException";}

CalemWoToolQtyNotZeroException.prototype.getMessage = 
function() {
	return CalemMsg.getMsg('wo_material_not_zero_nodel');
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Workorder module menu
 */
CalemMenuDef['CalemWoFormList'] = {
	id: 'CalemWoFormList',
	title: 'wo_all',
	icon: 'CalemWo',
	disIcon: null,
	tooltip: null, 
	enabled: true,		   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};

CalemMenuDef['CalemNewWoAssetFormNew'] = {
	id: 'CalemNewWoAssetFormNew',
	title: 'wo_new_pm',
	icon: 'CalemWo',
	disIcon: null,
	tooltip: null, 
	enabled: true,		   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};

CalemMenuDef['CalemWoNoPmFormNew'] = {
	id: 'CalemWoNoPmFormNew',
	title: 'wo_new_no_pm',
	icon: 'CalemWo',
	disIcon: null,
	tooltip: null, 
	enabled: true,		   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};


CalemMenuDef['CalemCraftFormList'] = {
	id: 'CalemCraftFormList',
	title: 'craft',
	icon: 'CalemCraft',
	disIcon: null,
	tooltip: null, 
	enabled: true,		   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};

CalemMenuDef['CalemWoTypeFormList'] = {
	id: 'CalemWoTypeFormList',
	title: 'wo_type',
	icon: 'CalemWo',
	disIcon: null,
	tooltip: null, 
	enabled: true,		   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};

/**
 * New request, my requests
 */
CalemMenuDef['CalemWoReqFormNew'] = {
	id: 'CalemWoReqFormNew',
	title: 'wo_new_req',
	icon: 'CalemWo',
	disIcon: null,
	tooltip: null, 
	enabled: true,		   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};

CalemMenuDef['CalemWoMineFormList'] = {
	id: 'CalemWoMineFormList',
	title: 'wo_mine',
	icon: 'CalemWo',
	disIcon: null,
	tooltip: null, 
	enabled: true,		   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};
 
CalemMenuDef['CalemTbWoNewReq'] = {
	id: 'CalemTbWoNewReq',
	title: 'wo_new_req',
	icon: 'CalemWo',
	disIcon: null,
	enabled: true,
	tooltip: null, 
	className: 'TBButton',
	onSelect: {CalemMenuSelect: {listener: 'OpenWoNewReq'}}	
};

CalemMenuDef['CalemWoNewWo'] = {
	id: 'CalemWoNewWo',
	title: 'wo_new_wo',
	icon: 'CalemNew',
	disIcon: null,
	tooltip: null,
	enabled: true,				   
	onSelect: null	
}; 

CalemMenuDef['CalemWoOpenForms'] = {
	id: 'CalemWoOpenForms',
	title: 'wo_open_forms',
	icon: 'CalemOpen',
	disIcon: null,
	tooltip: null,
	enabled: true,				   
	onSelect: null	
}; 

/**
 * Parts usage
 */
CalemMenuDef['CalemTbWoPartNew'] = {
	id: 'CalemTbWoPartNew',
	title: 'wo_part_new',
	icon: 'CalemInCheckout',
	disIcon: null,
	enabled: true,
	tooltip: null, 
	className: 'TBButton',
	onSelect: {CalemMenuSelect: {listener: 'OpenWoPartNew'}}	
};

CalemMenuDef['CalemTbWoPartAdd'] = {
	id: 'CalemTbWoPartAdd',
	title: 'wo_part_add',
	icon: 'CalemInCheckout',
	disIcon: null,
	enabled: true,
	tooltip: null, 
	className: 'TBButton',
	onSelect: {CalemMenuSelect: {listener: 'OpenWoPartAdd'}}	
};

CalemMenuDef['CalemTbWoPartReturn'] = {
	id: 'CalemTbWoPartReturn',
	title: 'wo_part_return',
	icon: 'CalemInReturn',
	disIcon: null,
	enabled: true,
	tooltip: null, 
	className: 'TBButton',
	onSelect: {CalemMenuSelect: {listener: 'OpenWoPartReturn'}}	
};

/**
 * Tools usage
 */
CalemMenuDef['CalemTbWoToolNew'] = {
	id: 'CalemTbWoToolNew',
	title: 'wo_tool_new',
	icon: 'CalemInCheckout',
	disIcon: null,
	enabled: true,
	tooltip: null, 
	className: 'TBButton',
	onSelect: {CalemMenuSelect: {listener: 'OpenWoToolNew'}}	
};

CalemMenuDef['CalemTbWoToolAdd'] = {
	id: 'CalemTbWoToolAdd',
	title: 'wo_tool_add',
	icon: 'CalemInCheckout',
	disIcon: null,
	enabled: true,
	tooltip: null, 
	className: 'TBButton',
	onSelect: {CalemMenuSelect: {listener: 'OpenWoToolAdd'}}	
};

CalemMenuDef['CalemTbWoToolReturn'] = {
	id: 'CalemTbWoToolReturn',
	title: 'wo_tool_return',
	icon: 'CalemInReturn',
	disIcon: null,
	enabled: true,
	tooltip: null, 
	className: 'TBButton',
	onSelect: {CalemMenuSelect: {listener: 'OpenWoToolReturn'}}	
};

/**
 * Meter reading
 */
CalemMenuDef['CalemTbWoMeterNew'] = {
	id: 'CalemTbWoMeterNew',
	title: 'wo_meter_new',
	icon: 'CalemNew',
	disIcon: null,
	enabled: true,
	tooltip: null, 
	className: 'TBButton',
	onSelect: {CalemMenuSelect: {listener: 'OpenWoMeterNew'}}	
};

CalemMenuDef['CalemTbWoMeterAdd'] = {
	id: 'CalemTbWoMeterAdd',
	title: 'wo_meter_add',
	icon: 'CalemNew',
	disIcon: null,
	enabled: true,
	tooltip: null, 
	className: 'TBButton',
	onSelect: {CalemMenuSelect: {listener: 'OpenWoMeterAdd'}}	
};

CalemMenuDef['CalemTbWoMeterHistory'] = {
	id: 'CalemTbWoMeterHistory',
	title: 'wo_meter_history',
	icon: 'CalemOpen',
	disIcon: null,
	enabled: true,
	tooltip: null, 
	className: 'TBButton',
	onSelect: {CalemMenuSelect: {listener: 'OpenWoMeterHistory'}}	
};

CalemMenuDef['CalemTbWoReopen'] = {
	id: 'CalemTbWoReopen',
	title: 'wo_reopen_wo',
	icon: 'CalemReopen',
	disIcon: null,
	enabled: true,
	tooltip: null, 
	className: 'TBButton',
	onSelect: {CalemMenuSelect: {listener: 'ReopenWo'}}	
};

CalemMenuDef['CalemTbWoStatusLog'] = {
	id: 'CalemTbWoStatusLog',
	title: 'wo_view_status_log',
	icon: 'CalemOpen',
	disIcon: null,
	enabled: true,
	tooltip: null, 
	className: 'TBButton',
	onSelect: {CalemMenuSelect: {listener: 'WoStatusLog'}}	
};

//My stuff
CalemMenuDef['CalemWoMyAssignmentFormList'] = {
	id: 'CalemWoMyAssignmentFormList',
	title: 'wo_my_assignment',
	icon: 'CalemWo',
	disIcon: null,
	tooltip: null, 
	enabled: true,		   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};

CalemMenuDef['CalemWoMyRequestFormList'] = {
	id: 'CalemWoMyRequestFormList',
	title: 'wo_my_request',
	icon: 'CalemWo',
	disIcon: null,
	tooltip: null, 
	enabled: true,		   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};

CalemMenuDef['CalemWoMyTeamAssignmentFormList'] = {
	id: 'CalemWoMyTeamAssignmentFormList',
	title: 'wo_my_team',
	icon: 'CalemWo',
	disIcon: null,
	tooltip: null, 
	enabled: true,		   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};


//Wo gen log
CalemMenuDef['CalemWoGenLogFormList'] = {
	id: 'CalemWoGenLogFormList',
	title: 'wo_generation',
	icon: 'CalemWo',
	disIcon: null,
	tooltip: null, 
	enabled: true,		   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemCraftViewList']={
	CalemViewInfo: {
		id: 'CalemCraftViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'craft', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep2', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					{CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'craft', width: 150}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Lookup views
 */
CalemViewDef['CalemCraftViewLookup']={
	CalemViewInfo: {
		id: 'CalemCraftViewLookup',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'craft', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbSelect', 'CalemTbCancel', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					{ CalemButtonInfo: {
						id: 'CalemTbPrint', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbSelect', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'craft', width: 150}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemCraftViewNew']={
	CalemViewInfo: {
		id: 'CalemCraftViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'craft', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * WO views
 */
CalemViewDef['CalemCraftViewRead']={
	CalemViewInfo: {
		id: 'CalemCraftViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                               				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'craft', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemCraftViewEdit']={
	CalemViewInfo: {
		id: 'CalemCraftViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                         				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
								
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'craft', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Wo views
 */
CalemViewDef['CalemCraftViewSearch']={
	CalemViewInfo: {
		id: 'CalemCraftViewSearch',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},		
               {CalemTrInfo: {cols: ['lb_save_search', '_save_search']}}                                                                                                   				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbApplySave', 'sep2', 'CalemTbApply', 'CalemTbSave',  'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	
					   { CalemButtonInfo: {
							 id: 'CalemTbApplySave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
						
						{ CalemButtonInfo: {
							id: 'CalemTbApply', 
							customInfo: {
							  	   CalemMenuCustomInfo: {
							         enabled: false,
							         events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
							  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
					
					
					   
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},   			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'craft', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_save_search': {
				CalemLabelInfo: {id: 'save_search', className: 'CalemEditSection'}
			},
			'_save_search': {
				CalemSearchSaveInfo: {size: 30}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemWoViewList']={
	CalemViewInfo: {
		id: 'CalemWoViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'workorder', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'CalemTbDataRefresh', 'sep', 'CalemTbPrint', 'sep2', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					{ CalemButtonInfo: {
						id: 'CalemTbPrint', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{ CalemButtonInfo: {
						id: 'CalemTbPrintCustomize', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
				   { CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
				   
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'wo_no', width: 130}},
			  			   {CalemCol: {id: 'asset_id', width: 130}},
			  			   {CalemCol: {id: 'pm_id', width: 130}},
			  			   {CalemCol: {id: 'sched_finish_time', width: 160}},
			  			   {CalemCol: {id: 'description', width: 160}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemWoViewLookup']={
	CalemViewInfo: {
		id: 'CalemWoViewLookup',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'workorder', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbSelect', 'CalemTbCancel', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					{ CalemButtonInfo: {
						id: 'CalemTbPrint', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbSelect', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'wo_no', width: 130}},
			  			   {CalemCol: {id: 'asset_id', width: 130}},
			  			   {CalemCol: {id: 'pm_id', width: 130}},
			  			   {CalemCol: {id: 'sched_finish_time', width: 160}},
			  			   {CalemCol: {id: 'description', width: 160}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemWoViewNew']={
	CalemViewInfo: {
		id: 'CalemWoViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},
               
                {CalemTrInfo: {cols: ['lb_failure']}},
					{CalemTrInfo: {cols: ['lb_origin']}},
					{CalemTrInfo: {cols: ['lb_assignment']}},               
					{CalemTrInfo: {cols: ['lb_schedule']}},
					{CalemTrInfo: {cols: ['lb_codes']}},
					{CalemTrInfo: {cols: ['lb_cost']}},
					{CalemTrInfo: {cols: ['lb_last_changes']}},
					{CalemTrInfo: {cols: ['lb_completion']}}, 
					{CalemTrInfo: {cols: ['lb_accept']}},
					{CalemTrInfo: {cols: ['lb_downtime']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'workorder', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_failure': {
				CalemLabelInfo: {id: 'sec_wo_failure', className: 'CalemEditSection'}
			},
			'lb_origin': {
				CalemLabelInfo: {id: 'sec_wo_origin', className: 'CalemEditSection'}
			},
			'lb_assignment': {
				CalemLabelInfo: {id: 'sec_wo_assignment', className: 'CalemEditSection'}
			},
			'lb_schedule': {
				CalemLabelInfo: {id: 'sec_wo_schedule', className: 'CalemEditSection'}
			},
			//Codes
			'lb_codes': {
				CalemLabelInfo: {id: 'sec_wo_codes', className: 'CalemEditSection'}
			},
			//cost
			'lb_cost': {
				CalemLabelInfo: {id: 'sec_wo_cost', className: 'CalemEditSection'}
			},
			'lb_completion': {
				CalemLabelInfo: {id: 'sec_wo_completion', className: 'CalemEditSection'}
			},
			'lb_accept': {
				CalemLabelInfo: {id: 'sec_wo_accept', className: 'CalemEditSection'}
			},
			'lb_downtime': {
				CalemLabelInfo: {id: 'sec_wo_downtime', className: 'CalemEditSection'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * WO views
 */
CalemViewDef['CalemWoViewRead']={
	CalemViewInfo: {
		id: 'CalemWoViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},
               
               {CalemTrInfo: {cols: ['lb_failure']}},
					{CalemTrInfo: {cols: ['lb_origin']}},
					{CalemTrInfo: {cols: ['lb_assignment']}},               
					{CalemTrInfo: {cols: ['lb_schedule']}},
					{CalemTrInfo: {cols: ['lb_codes']}},
					{CalemTrInfo: {cols: ['lb_cost']}},
					{CalemTrInfo: {cols: ['lb_last_changes']}}, 
					{CalemTrInfo: {cols: ['lb_completion']}},
					{CalemTrInfo: {cols: ['lb_accept']}},
					{CalemTrInfo: {cols: ['lb_downtime']}}                                                                                				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					{ CalemButtonInfo: {id: 'CalemTbWoStatusLog'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},

               { CalemButtonInfo: { id: 'CalemTbWoReopen' }},
               { CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrint',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'workorder', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_failure': {
				CalemLabelInfo: {id: 'sec_wo_failure', className: 'CalemEditSection'}
			},
			'lb_origin': {
				CalemLabelInfo: {id: 'sec_wo_origin', className: 'CalemEditSection'}
			},
			'lb_assignment': {
				CalemLabelInfo: {id: 'sec_wo_assignment', className: 'CalemEditSection'}
			},
			'lb_schedule': {
				CalemLabelInfo: {id: 'sec_wo_schedule', className: 'CalemEditSection'}
			},
			'lb_codes': {
				CalemLabelInfo: {id: 'sec_wo_codes', className: 'CalemEditSection'}
			},
			'lb_cost': {
				CalemLabelInfo: {id: 'sec_wo_cost', className: 'CalemEditSection'}
			},
			'lb_completion': {
				CalemLabelInfo: {id: 'sec_wo_completion', className: 'CalemEditSection'}
			},
			'lb_accept': {
				CalemLabelInfo: {id: 'sec_wo_accept', className: 'CalemEditSection'}
			},
			'lb_downtime': {
				CalemLabelInfo: {id: 'sec_wo_downtime', className: 'CalemEditSection'}
			},
			'lb_last_changes': {
				CalemLabelInfo: {id: 'last_changes', className: 'CalemEditSection'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemWoViewEdit']={
	CalemViewInfo: {
		id: 'CalemWoViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},
               
                {CalemTrInfo: {cols: ['lb_failure']}},
					{CalemTrInfo: {cols: ['lb_origin']}},
					{CalemTrInfo: {cols: ['lb_assignment']}},               
					{CalemTrInfo: {cols: ['lb_schedule']}},
					{CalemTrInfo: {cols: ['lb_codes']}},
					{CalemTrInfo: {cols: ['lb_cost']}},
					{CalemTrInfo: {cols: ['lb_last_changes']}},
					{CalemTrInfo: {cols: ['lb_completion']}}, 
					{CalemTrInfo: {cols: ['lb_accept']}},
					{CalemTrInfo: {cols: ['lb_downtime']}}                                                                                                            				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},		
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'workorder', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_failure': {
				CalemLabelInfo: {id: 'sec_wo_failure', className: 'CalemEditSection'}
			},
			'lb_origin': {
				CalemLabelInfo: {id: 'sec_wo_origin', className: 'CalemEditSection'}
			},
			'lb_assignment': {
				CalemLabelInfo: {id: 'sec_wo_assignment', className: 'CalemEditSection'}
			},
			'lb_schedule': {
				CalemLabelInfo: {id: 'sec_wo_schedule', className: 'CalemEditSection'}
			},
			//Codes
			'lb_codes': {
				CalemLabelInfo: {id: 'sec_wo_codes', className: 'CalemEditSection'}
			},
			//cost
			'lb_cost': {
				CalemLabelInfo: {id: 'sec_wo_cost', className: 'CalemEditSection'}
			},
			'lb_completion': {
				CalemLabelInfo: {id: 'sec_wo_completion', className: 'CalemEditSection'}
			},
			'lb_accept': {
				CalemLabelInfo: {id: 'sec_wo_accept', className: 'CalemEditSection'}
			},
			'lb_downtime': {
				CalemLabelInfo: {id: 'sec_wo_downtime', className: 'CalemEditSection'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Wo views
 */
CalemViewDef['CalemWoViewSearch']={
	CalemViewInfo: {
		id: 'CalemWoViewSearch',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},		
               {CalemTrInfo: {cols: ['lb_save_search', '_save_search']}},
               
                {CalemTrInfo: {cols: ['lb_failure']}},
					{CalemTrInfo: {cols: ['lb_origin']}},
					{CalemTrInfo: {cols: ['lb_assignment']}},               
					{CalemTrInfo: {cols: ['lb_schedule']}},
					{CalemTrInfo: {cols: ['lb_codes']}},
					{CalemTrInfo: {cols: ['lb_cost']}},
					{CalemTrInfo: {cols: ['lb_last_changes']}}, 
					{CalemTrInfo: {cols: ['lb_completion']}},
					{CalemTrInfo: {cols: ['lb_accept']}}, 
					{CalemTrInfo: {cols: ['lb_downtime']}}                                                                                                  				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbApplySave', 'sep2', 'CalemTbApply', 'CalemTbSave',  'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	
					   { CalemButtonInfo: {
							 id: 'CalemTbApplySave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
						
						{ CalemButtonInfo: {
							id: 'CalemTbApply', 
							customInfo: {
							  	   CalemMenuCustomInfo: {
							         enabled: false,
							         events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
							  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
					
					
					   
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},   			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'workorder', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_save_search': {
				CalemLabelInfo: {id: 'save_search', className: 'CalemEditSection'}
			},
			'_save_search': {
				CalemSearchSaveInfo: {size: 30}
			},
			
			'lb_failure': {
				CalemLabelInfo: {id: 'sec_wo_failure', className: 'CalemEditSection'}
			},
			'lb_origin': {
				CalemLabelInfo: {id: 'sec_wo_origin', className: 'CalemEditSection'}
			},
			'lb_assignment': {
				CalemLabelInfo: {id: 'sec_wo_assignment', className: 'CalemEditSection'}
			},
			'lb_schedule': {
				CalemLabelInfo: {id: 'sec_wo_schedule', className: 'CalemEditSection'}
			},
			//Codes
			'lb_codes': {
				CalemLabelInfo: {id: 'sec_wo_codes', className: 'CalemEditSection'}
			},
			//cost
			'lb_cost': {
				CalemLabelInfo: {id: 'sec_wo_cost', className: 'CalemEditSection'}
			},
			'lb_completion': {
				CalemLabelInfo: {id: 'sec_wo_completion', className: 'CalemEditSection'}
			},
			'lb_accept': {
				CalemLabelInfo: {id: 'sec_wo_accept', className: 'CalemEditSection'}
			},
			'lb_downtime': {
				CalemLabelInfo: {id: 'sec_wo_downtime', className: 'CalemEditSection'}
			},
			'lb_last_changes': {
				CalemLabelInfo: {id: 'last_changes', className: 'CalemEditSection'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemWoMyAssignmentViewList']={
	CalemViewInfo: {
		id: 'CalemWoMyAssignmentViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_my_assignment', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'CalemTbDataRefresh', 'sep', 'CalemTbPrint', 'sep2', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					{ CalemButtonInfo: {
						id: 'CalemTbPrint', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
				   { CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
				   
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'wo_no', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemWoMyRequestViewList']={
	CalemViewInfo: {
		id: 'CalemWoMyRequestViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_my_request', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'CalemTbDataRefresh', 'sep', 'CalemTbPrint', 'sep2', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					{ CalemButtonInfo: {
						id: 'CalemTbPrint', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
				   { CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
				   
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'wo_no', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemWoMyTeamAssignmentViewList']={
	CalemViewInfo: {
		id: 'CalemWoMyTeamAssignmentViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_my_team', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'CalemTbDataRefresh', 'sep', 'CalemTbPrint', 'sep2', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					{ CalemButtonInfo: {
						id: 'CalemTbPrint', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
				   { CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
				   
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'wo_no', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemWoReqViewNew']={
	CalemViewInfo: {
		id: 'CalemWoReqViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                          				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_req', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 


CalemViewDef['CalemWoNoPmViewNew']={
	CalemViewInfo: {
		id: 'CalemWoNoPmViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},
               
                {CalemTrInfo: {cols: ['lb_failure']}},
					{CalemTrInfo: {cols: ['lb_origin']}},
					{CalemTrInfo: {cols: ['lb_assignment']}},               
					{CalemTrInfo: {cols: ['lb_schedule']}},
					{CalemTrInfo: {cols: ['lb_codes']}},
					{CalemTrInfo: {cols: ['lb_cost']}},
					{CalemTrInfo: {cols: ['lb_last_changes']}},
					{CalemTrInfo: {cols: ['lb_completion']}}, 
					{CalemTrInfo: {cols: ['lb_accept']}},
					{CalemTrInfo: {cols: ['lb_downtime']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'workorder', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_failure': {
				CalemLabelInfo: {id: 'sec_wo_failure', className: 'CalemEditSection'}
			},
			'lb_origin': {
				CalemLabelInfo: {id: 'sec_wo_origin', className: 'CalemEditSection'}
			},
			'lb_assignment': {
				CalemLabelInfo: {id: 'sec_wo_assignment', className: 'CalemEditSection'}
			},
			'lb_schedule': {
				CalemLabelInfo: {id: 'sec_wo_schedule', className: 'CalemEditSection'}
			},
			//Codes
			'lb_codes': {
				CalemLabelInfo: {id: 'sec_wo_codes', className: 'CalemEditSection'}
			},
			//cost
			'lb_cost': {
				CalemLabelInfo: {id: 'sec_wo_cost', className: 'CalemEditSection'}
			},
			'lb_completion': {
				CalemLabelInfo: {id: 'sec_wo_completion', className: 'CalemEditSection'}
			},
			'lb_accept': {
				CalemLabelInfo: {id: 'sec_wo_accept', className: 'CalemEditSection'}
			},
			'lb_downtime': {
				CalemLabelInfo: {id: 'sec_wo_downtime', className: 'CalemEditSection'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemNewWoAssetViewNew']={
	CalemViewInfo: {
		id: 'CalemNewWoAssetViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},		
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_vt_new_pm', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemWoPlannedLaborViewList']={
	CalemViewInfo: {
		id: 'CalemWoPlannedLaborViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_planned_labor', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'craft_id', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemWoPlannedLaborViewNew']={
	CalemViewInfo: {
		id: 'CalemWoPlannedLaborViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_planned_labor', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemWoPlannedLaborViewRead']={
	CalemViewInfo: {
		id: 'CalemWoPlannedLaborViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_planned_labor', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemWoPlannedLaborViewEdit']={
	CalemViewInfo: {
		id: 'CalemWoPlannedLaborViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_planned_labor', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemWoPlannedPartViewList']={
	CalemViewInfo: {
		id: 'CalemWoPlannedPartViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_planned_part', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'in_id', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemWoPlannedPartViewNew']={
	CalemViewInfo: {
		id: 'CalemWoPlannedPartViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_planned_part', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemWoPlannedPartViewRead']={
	CalemViewInfo: {
		id: 'CalemWoPlannedPartViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_planned_part', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemWoPlannedPartViewEdit']={
	CalemViewInfo: {
		id: 'CalemWoPlannedPartViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_planned_part', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemWoPlannedToolViewList']={
	CalemViewInfo: {
		id: 'CalemWoPlannedToolViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_planned_tool', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'in_id', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemWoPlannedToolViewNew']={
	CalemViewInfo: {
		id: 'CalemWoPlannedToolViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_planned_tool', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemWoPlannedToolViewRead']={
	CalemViewInfo: {
		id: 'CalemWoPlannedToolViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_planned_tool', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemWoPlannedToolViewEdit']={
	CalemViewInfo: {
		id: 'CalemWoPlannedToolViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_planned_tool', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemWoPlannedDowntimeViewList']={
	CalemViewInfo: {
		id: 'CalemWoPlannedDowntimeViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_planned_downtime', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'hours', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemWoPlannedDowntimeViewNew']={
	CalemViewInfo: {
		id: 'CalemWoPlannedDowntimeViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_planned_downtime', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemWoPlannedDowntimeViewRead']={
	CalemViewInfo: {
		id: 'CalemWoPlannedDowntimeViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_planned_downtime', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemWoPlannedDowntimeViewEdit']={
	CalemViewInfo: {
		id: 'CalemWoPlannedDowntimeViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_planned_downtime', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemWoDocViewList']={
	CalemViewInfo: {
		id: 'CalemWoDocViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_doc', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'seq', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemWoDocViewNew']={
	CalemViewInfo: {
		id: 'CalemWoDocViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_doc', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemWoDocViewRead']={
	CalemViewInfo: {
		id: 'CalemWoDocViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_doc', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemWoDocViewEdit']={
	CalemViewInfo: {
		id: 'CalemWoDocViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_doc', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemWoMeterViewList']={
	CalemViewInfo: {
		id: 'CalemWoMeterViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_meter', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbWoMeterNew'}},
					
					{ CalemButtonInfo: {
						id: 'CalemTbWoMeterAdd', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: {id: 'CalemTbWoMeterHistory'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'meter_id', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemWoMeterViewNew']={
	CalemViewInfo: {
		id: 'CalemWoMeterViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_meter', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemWoMeterViewRead']={
	CalemViewInfo: {
		id: 'CalemWoMeterViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_meter', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemWoMeterViewEdit']={
	CalemViewInfo: {
		id: 'CalemWoMeterViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_meter', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemWoMeterAddReadingViewNew']={
	CalemViewInfo: {
		id: 'CalemWoMeterAddReadingViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'meter_transaction', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemWoMeterReadingViewList']={
	CalemViewInfo: {
		id: 'CalemWoMeterReadingViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'asset_transaction', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbOpen', 'CalemTbDelete', 'sep','CalemTbCustomize'],
					list: [
				   
				   {CalemButtonInfo: { id: 'CalemTbCancel' }},
				   
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'meter_id', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemWoSchedLaborViewList']={
	CalemViewInfo: {
		id: 'CalemWoSchedLaborViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_sched_labor', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'user_id', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemWoSchedLaborViewNew']={
	CalemViewInfo: {
		id: 'CalemWoSchedLaborViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_sched_labor', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemWoSchedLaborViewRead']={
	CalemViewInfo: {
		id: 'CalemWoSchedLaborViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_sched_labor', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemWoSchedLaborViewEdit']={
	CalemViewInfo: {
		id: 'CalemWoSchedLaborViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_sched_labor', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemWoLaborViewList']={
	CalemViewInfo: {
		id: 'CalemWoLaborViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_labor', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},

					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'craft_id', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemWoLaborViewNew']={
	CalemViewInfo: {
		id: 'CalemWoLaborViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_labor', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemWoLaborViewRead']={
	CalemViewInfo: {
		id: 'CalemWoLaborViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_labor', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemWoLaborViewEdit']={
	CalemViewInfo: {
		id: 'CalemWoLaborViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_labor', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemWoPartCheckoutViewEdit']={
	CalemViewInfo: {
		id: 'CalemWoPartCheckoutViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_vt_part_checkout', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemWoPartAddViewEdit']={
	CalemViewInfo: {
		id: 'CalemWoPartAddViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_vt_part_checkout', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemWoPartReturnViewEdit']={
	CalemViewInfo: {
		id: 'CalemWoPartReturnViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_vt_part_return', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemWoPartViewList']={
	CalemViewInfo: {
		id: 'CalemWoPartViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_part', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbWoPartNew', 'CalemTbWoPartAdd', 'CalemTbWoPartReturn', 'sep', 'CalemTbOpen', 'CalemTbDelete', 'sep2','CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbWoPartNew'}},
					
					{ CalemButtonInfo: {
						id: 'CalemTbWoPartAdd', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: {
						id: 'CalemTbWoPartReturn', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'in_id', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemWoPartViewRead']={
	CalemViewInfo: {
		id: 'CalemWoPartViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_part', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemWoPartViewEdit']={
	CalemViewInfo: {
		id: 'CalemWoPartViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_part', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemWoToolCheckoutViewEdit']={
	CalemViewInfo: {
		id: 'CalemWoToolCheckoutViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_tool_checkout', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemWoToolAddViewEdit']={
	CalemViewInfo: {
		id: 'CalemWoToolAddViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_tool_checkout', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemWoToolReturnViewEdit']={
	CalemViewInfo: {
		id: 'CalemWoToolReturnViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_tool_return', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemWoToolViewList']={
	CalemViewInfo: {
		id: 'CalemWoToolViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_tool', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbOpen', 'CalemTbDelete', 'sep', 'sep2','CalemTbCustomize'],
					list: [
				   { CalemButtonInfo: {id: 'CalemTbWoToolNew'}},
					
					{ CalemButtonInfo: {
						id: 'CalemTbWoToolAdd', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: {
						id: 'CalemTbWoToolReturn', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'in_id', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemWoToolViewRead']={
	CalemViewInfo: {
		id: 'CalemWoToolViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_tool', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemWoToolViewEdit']={
	CalemViewInfo: {
		id: 'CalemWoToolViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_tool', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemWoStepViewList']={
	CalemViewInfo: {
		id: 'CalemWoStepViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_step', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'seq', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemWoStepViewNew']={
	CalemViewInfo: {
		id: 'CalemWoStepViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_step', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemWoStepViewRead']={
	CalemViewInfo: {
		id: 'CalemWoStepViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_step', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemWoStepViewEdit']={
	CalemViewInfo: {
		id: 'CalemWoStepViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_step', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemWoSafetyViewList']={
	CalemViewInfo: {
		id: 'CalemWoSafetyViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_safety', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'seq', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemWoSafetyViewNew']={
	CalemViewInfo: {
		id: 'CalemWoSafetyViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_safety', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemWoSafetyViewRead']={
	CalemViewInfo: {
		id: 'CalemWoSafetyViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_safety', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemWoSafetyViewEdit']={
	CalemViewInfo: {
		id: 'CalemWoSafetyViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_safety', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemWoCommentViewList']={
	CalemViewInfo: {
		id: 'CalemWoCommentViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_comment', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'comment', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemWoCommentViewNew']={
	CalemViewInfo: {
		id: 'CalemWoCommentViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_comment', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemWoCommentViewRead']={
	CalemViewInfo: {
		id: 'CalemWoCommentViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_comment', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemWoCommentViewEdit']={
	CalemViewInfo: {
		id: 'CalemWoCommentViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_comment', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemWoDowntimeViewList']={
	CalemViewInfo: {
		id: 'CalemWoDowntimeViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_downtime', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'hours', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemWoDowntimeViewNew']={
	CalemViewInfo: {
		id: 'CalemWoDowntimeViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_downtime', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemWoDowntimeViewRead']={
	CalemViewInfo: {
		id: 'CalemWoDowntimeViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_downtime', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemWoDowntimeViewEdit']={
	CalemViewInfo: {
		id: 'CalemWoDowntimeViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_downtime', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemWoStatusLogViewList']={
	CalemViewInfo: {
		id: 'CalemWoStatusLogViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_status_log', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbOpen', 'CalemTbDataRefresh', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
					
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'to_status_id', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemWoStatusLogViewRead']={
	CalemViewInfo: {
		id: 'CalemWoStatusLogViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_status_log', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemWoStatusLogNoteViewNew']={
	CalemViewInfo: {
		id: 'CalemWoStatusLogNoteViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_status_log', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemWoGenLogViewList']={
	CalemViewInfo: {
		id: 'CalemWoGenLogViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_generation', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbOpen', 'CalemTbDelete', 'CalemTbCancel', 'sep', 'CalemTbDataRefresh', 'sep2', 'CalemTbCustomize'],
					list: [
				   {CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel' }},
					
					
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'status_id', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemWoGenLogViewRead']={
	CalemViewInfo: {
		id: 'CalemWoGenLogViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                            				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
											  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_generation', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 


CalemViewDef['CalemWoReportRead']={
	CalemViewInfo: {
		id: 'CalemWoReportRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, 
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},
               
               {CalemTrInfo: {cols: ['lb_failure']}},
					{CalemTrInfo: {cols: ['lb_origin']}},
					{CalemTrInfo: {cols: ['lb_assignment']}},               
					{CalemTrInfo: {cols: ['lb_schedule']}},
					{CalemTrInfo: {cols: ['lb_codes']}},
					{CalemTrInfo: {cols: ['lb_cost']}},
					{CalemTrInfo: {cols: ['lb_last_changes']}}, 
					{CalemTrInfo: {cols: ['lb_completion']}},
					{CalemTrInfo: {cols: ['lb_accept']}},
					{CalemTrInfo: {cols: ['lb_downtime']}}                                                                                				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbPrint', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrint',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'workorder', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_failure': {
				CalemLabelInfo: {id: 'sec_wo_failure', className: 'CalemEditSection'}
			},
			'lb_origin': {
				CalemLabelInfo: {id: 'sec_wo_origin', className: 'CalemEditSection'}
			},
			'lb_assignment': {
				CalemLabelInfo: {id: 'sec_wo_assignment', className: 'CalemEditSection'}
			},
			'lb_schedule': {
				CalemLabelInfo: {id: 'sec_wo_schedule', className: 'CalemEditSection'}
			},
			'lb_codes': {
				CalemLabelInfo: {id: 'sec_wo_codes', className: 'CalemEditSection'}
			},
			'lb_cost': {
				CalemLabelInfo: {id: 'sec_wo_cost', className: 'CalemEditSection'}
			},
			'lb_completion': {
				CalemLabelInfo: {id: 'sec_wo_completion', className: 'CalemEditSection'}
			},
			'lb_accept': {
				CalemLabelInfo: {id: 'sec_wo_accept', className: 'CalemEditSection'}
			},
			'lb_downtime': {
				CalemLabelInfo: {id: 'sec_wo_downtime', className: 'CalemEditSection'}
			},
			'lb_last_changes': {
				CalemLabelInfo: {id: 'last_changes', className: 'CalemEditSection'}
			}
	}
 } 	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemWoPlannedLaborReportList']={
	CalemViewInfo: {
		id: 'CalemWoPlannedLaborReportList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, 
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_planned_labor', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbCustomize'],
					list: [
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'craft_id', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } 
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemWoPlannedToolReportList']={
	CalemViewInfo: {
		id: 'CalemWoPlannedToolReportList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, 
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_planned_tool', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbCustomize'],
					list: [
				   
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'in_id', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } 	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemWoPlannedPartReportList']={
	CalemViewInfo: {
		id: 'CalemWoPlannedPartReportList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, 
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_planned_part', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbCustomize'],
					list: [					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'in_id', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } 	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemWoPlannedDowntimeReportList']={
	CalemViewInfo: {
		id: 'CalemWoPlannedDowntimeReportList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, 
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_planned_downtime', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbCustomize'],
					list: [
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'start_time', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } 
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemWoDocReportList']={
	CalemViewInfo: {
		id: 'CalemWoDocReportList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, 
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_doc', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbCustomize'],
					list: [					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'seq', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } 	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemWoMeterReportList']={
	CalemViewInfo: {
		id: 'CalemWoMeterReportList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, 
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_meter', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbCustomize'],
					list: [
				   
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'meter_id', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } 	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemWoSchedLaborReportList']={
	CalemViewInfo: {
		id: 'CalemWoSchedLaborReportList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, 
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_sched_labor', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbCustomize'],
					list: [
				   
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'user_id', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } 	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemWoStepReportList']={
	CalemViewInfo: {
		id: 'CalemWoStepReportList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, 
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_step', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbCustomize'],
					list: [
				   
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'seq', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } 	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemWoSafetyReportList']={
	CalemViewInfo: {
		id: 'CalemWoSafetyReportList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, 
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_safety', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbCustomize'],
					list: [
				   
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'seq', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } 	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemWoLaborReportList']={
	CalemViewInfo: {
		id: 'CalemWoLaborReportList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, 
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_labor', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbCustomize'],
					list: [
				   
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'craft_id', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } 	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemWoPartReportList']={
	CalemViewInfo: {
		id: 'CalemWoPartReportList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, 
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_part', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbCustomize'],
					list: [
				   
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'in_id', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } 	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemWoToolReportList']={
	CalemViewInfo: {
		id: 'CalemWoToolReportList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, 
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_tool', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbCustomize'],
					list: [
				   
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'in_id', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 }	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemWoDowntimeReportList']={
	CalemViewInfo: {
		id: 'CalemWoDowntimeReportList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, 
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_downtime', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbCustomize'],
					list: [
				   
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'hours', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } 	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemWoCommentReportList']={
	CalemViewInfo: {
		id: 'CalemWoCommentReportList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, 
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'wo_comment', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbCustomize'],
					list: [
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'comment', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } 	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Wo report
 */
CalemItemDef['CalemWoReportMdTab']={
	CalemFormMdTabInfo: {
		id: 'CalemWoReportMdTab',
		title: 'workorder',
		icon: 'CalemWo',
		controller: 'CalemReportMdTab',
		replaceType: CalemItemDef.REPLACE_BY_ID,
		//Three portions of info: layout, model and itemMap.
		layout: {
			CalemMdTabLayoutInfo: {
				tabList: ['tab_main', 'CUSTOMIZE_TAB'],
				tabMap: {
					'tab_main': {CalemTabLayoutInfo: ['CalemWoReportRead']}
				}
			} },
		model: {
				CalemFormModelInfo: {
					master: 'CalemWoReportRead',
			      items: 
			             [
			              //Planned
			              {CalemFormLinkInfo: {id: 'CalemWoPlannedLaborReportList', link: {CalemFieldMdInfo: {fld: 'wo_id', parentFld: 'id'}}} },
			              {CalemFormLinkInfo: {id: 'CalemWoPlannedToolReportList', link: {CalemFieldMdInfo: {fld: 'wo_id', parentFld: 'id'}}} },
			              {CalemFormLinkInfo: {id: 'CalemWoPlannedPartReportList', link: {CalemFieldMdInfo: {fld: 'wo_id', parentFld: 'id'}}} },
			              {CalemFormLinkInfo: {id: 'CalemWoPlannedDowntimeReportList', link: {CalemFieldMdInfo: {fld: 'wo_id', parentFld: 'id'}}} },
			              
			              {CalemFormLinkInfo: {id: 'CalemWoDocReportList', link: {CalemFieldMdInfo: {fld: 'wo_id', parentFld: 'id'}}} },
			              {CalemFormLinkInfo: {id: 'CalemWoMeterReportList', link: {CalemFieldMdInfo: {fld: 'wo_id', parentFld: 'id'}}} },
			              //Sched
			              {CalemFormLinkInfo: {id: 'CalemWoSchedLaborReportList', link: {CalemFieldMdInfo: {fld: 'wo_id', parentFld: 'id'}}} },
			              //Used
			              {CalemFormLinkInfo: {id: 'CalemWoStepReportList', link: {CalemFieldMdInfo: {fld: 'wo_id', parentFld: 'id'}}} },
			              {CalemFormLinkInfo: {id: 'CalemWoSafetyReportList', link: {CalemFieldMdInfo: {fld: 'wo_id', parentFld: 'id'}}} },
			              
			              {CalemFormLinkInfo: {id: 'CalemWoLaborReportList', link: {CalemFieldMdInfo: {fld: 'wo_id', parentFld: 'id'}}} },
			              {CalemFormLinkInfo: {id: 'CalemWoPartReportList', link: {CalemFieldMdInfo: {fld: 'wo_id', parentFld: 'id'}}} },
			              {CalemFormLinkInfo: {id: 'CalemWoToolReportList', link: {CalemFieldMdInfo: {fld: 'wo_id', parentFld: 'id'}}} },
			              {CalemFormLinkInfo: {id: 'CalemWoDowntimeReportList', link: {CalemFieldMdInfo: {fld: 'wo_id', parentFld: 'id'}}} },

			              {CalemFormLinkInfo: {id: 'CalemWoCommentReportList', link: {CalemFieldMdInfo: {fld: 'wo_id', parentFld: 'id'}}} }
			              
			             ]
				}
		}, 
		itemMap : {
		  CalemItemMap :{
			 'CalemWoReportRead' : {
			 	CalemFormLayoutInfo: {
			 		id: 'CalemWoReportRead',
			 		fixed: true,
			 		layout: {CalemBlockLayoutInfo: {width: '100%', height: '-2'}}
			 	}
			 },
			 
			 'CalemWoPlannedLaborReportList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemWoPlannedLaborReportList',
			 	 	minRow: 0,
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 8}}
			 	 }
			 },
			 
			 'CalemWoPlannedToolReportList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemWoPlannedToolReportList',
			 	 	minRow: 0,
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 8}}
			 	 }
			 },
			 
			 'CalemWoPlannedPartReportList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemWoPlannedPartReportList',
			 	 	minRow: 0,
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 8}}
			 	 }
			 },
			 
			 'CalemWoPlannedDowntimeReportList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemWoPlannedDowntimeReportList',
			 	 	minRow: 0,
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 8}}
			 	 }
			 },
			 
			 'CalemWoDocReportList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemWoDocReportList',
			 	 	minRow: 0,
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 8}}
			 	 }
			 },
			 
			 'CalemWoMeterReportList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemWoMeterReportList',
			 	 	minRow: 0,
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 8}}
			 	 }
			 },
			 
			 'CalemWoSchedLaborReportList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemWoSchedLaborReportList',
			 	 	minRow: 0,
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 8}}
			 	 }
			 },
			 			 
			 'CalemWoStepReportList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemWoStepReportList',
			 	 	minRow: 0,
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 8}}
			 	 }
			 },
			 
			 'CalemWoSafetyReportList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemWoSafetyReportList',
			 	 	minRow: 0,
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 8}}
			 	 }
			 },
		  
		   'CalemWoLaborReportList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemWoLaborReportList',
			 	 	minRow: 3,
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 8}}
			 	 }
			 },
			 
			 'CalemWoToolReportList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemWoToolReportList',
			 	 	minRow: 0,
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 8}}
			 	 }
			 },
			 
			 'CalemWoPartReportList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemWoPartReportList',
			 	 	minRow: 2,
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 8}}
			 	 }
			 },
			 
			 'CalemWoDowntimeReportList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemWoDowntimeReportList',
			 	 	minRow: 0,
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 8}}
			 	 }
			 },
			 
			 'CalemWoCommentReportList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemWoCommentReportList',
			 	 	minRow: 0,
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 8}}
			 	 }
			 },
			 
		  'tab_main': {
		  		CalemTabInfo: {id: 'tab_wo_main', fixed: 1}
		  },
		  
		  'CUSTOMIZE_TAB' : {
		  		CalemTabInfo: {id: 'CUSTOMIZE_TAB'}
		  }
		  
		  }
		  
		}
	}
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemItemDef['CalemWoReportRead']={
	CalemFormInfo: {
		id: 'CalemWoReportRead',
		title: 'workorder',
		icon: 'CalemWo',
		controller: 'CalemReportRead',
		model: 'workorder', 
		view: {CalemViewRefInfo: {id: 'CalemWoReportRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemItemDef['CalemWoPlannedLaborReportList']={
	CalemFormInfo: {
		id: 'CalemWoPlannedLaborReportList',
		title: 'wo_planned_labor',
		icon: 'CalemWo',
		controller: 'CalemReportListDet',
		model: 'wo_planned_labor', 
		view: {CalemViewRefInfo: {id: 'CalemWoPlannedLaborReportList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemItemDef['CalemWoPlannedToolReportList']={
	CalemFormInfo: {
		id: 'CalemWoPlannedToolReportList',
		title: 'wo_planned_tool',
		icon: 'CalemWo',
		controller: 'CalemReportListDet',
		model: 'wo_planned_tool', 
		view: {CalemViewRefInfo: {id: 'CalemWoPlannedToolReportList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemItemDef['CalemWoPlannedPartReportList']={
	CalemFormInfo: {
		id: 'CalemWoPlannedPartReportList',
		title: 'wo_planned_part',
		icon: 'CalemWo',
		controller: 'CalemReportListDet',
		model: 'wo_planned_part', 
		view: {CalemViewRefInfo: {id: 'CalemWoPlannedPartReportList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemItemDef['CalemWoPlannedDowntimeReportList']={
	CalemFormInfo: {
		id: 'CalemWoPlannedDowntimeReportList',
		title: 'wo_planned_downtime',
		icon: 'CalemWo',
		controller: 'CalemReportListDet',
		model: 'wo_planned_downtime', 
		view: {CalemViewRefInfo: {id: 'CalemWoPlannedDowntimeReportList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemItemDef['CalemWoDocReportList']={
	CalemFormInfo: {
		id: 'CalemWoDocReportList',
		title: 'wo_doc',
		icon: 'CalemWo',
		controller: 'CalemReportListDet',
		model: 'wo_doc', 
		view: {CalemViewRefInfo: {id: 'CalemWoDocReportList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

 
CalemItemDef['CalemWoMeterReportList']={
	CalemFormInfo: {
		id: 'CalemWoMeterReportList',
		title: 'wo_meter',
		icon: 'CalemWo',
		controller: 'CalemReportListDet',
		model: 'wo_meter', 
		view: {CalemViewRefInfo: {id: 'CalemWoMeterReportList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemItemDef['CalemWoSchedLaborReportList']={
	CalemFormInfo: {
		id: 'CalemWoSchedLaborReportList',
		title: 'wo_sched_labor',
		icon: 'CalemWo',
		controller: 'CalemReportListDet',
		model: 'wo_sched_labor', 
		view: {CalemViewRefInfo: {id: 'CalemWoSchedLaborReportList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemItemDef['CalemWoStepReportList']={
	CalemFormInfo: {
		id: 'CalemWoStepReportList',
		title: 'wo_step',
		icon: 'CalemWo',
		controller: 'CalemReportListDet',
		model: 'wo_step', 
		view: {CalemViewRefInfo: {id: 'CalemWoStepReportList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemItemDef['CalemWoSafetyReportList']={
	CalemFormInfo: {
		id: 'CalemWoSafetyReportList',
		title: 'wo_safety',
		icon: 'CalemWo',
		controller: 'CalemReportListDet',
		model: 'wo_safety', 
		view: {CalemViewRefInfo: {id: 'CalemWoSafetyReportList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemItemDef['CalemWoLaborReportList']={
	CalemFormInfo: {
		id: 'CalemWoLaborReportList',
		title: 'wo_labor',
		icon: 'CalemWo',
		controller: 'CalemReportListDet',
		model: 'wo_labor', 
		view: {CalemViewRefInfo: {id: 'CalemWoLaborReportList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemItemDef['CalemWoPartReportList']={
	CalemFormInfo: {
		id: 'CalemWoPartReportList',
		title: 'wo_part',
		icon: 'CalemWo',
		controller: 'CalemReportListDet',
		model: 'wo_part', 
		view: {CalemViewRefInfo: {id: 'CalemWoPartReportList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemItemDef['CalemWoToolReportList']={
	CalemFormInfo: {
		id: 'CalemWoToolReportList',
		title: 'wo_tool',
		icon: 'CalemWo',
		controller: 'CalemReportListDet',
		model: 'wo_tool', 
		view: {CalemViewRefInfo: {id: 'CalemWoToolReportList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemItemDef['CalemWoDowntimeReportList']={
	CalemFormInfo: {
		id: 'CalemWoDowntimeReportList',
		title: 'asset_downtime',
		icon: 'CalemWo',
		controller: 'CalemReportListDet',
		model: 'asset_downtime', 
		view: {CalemViewRefInfo: {id: 'CalemWoDowntimeReportList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}	/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemItemDef['CalemWoCommentReportList']={
	CalemFormInfo: {
		id: 'CalemWoCommentReportList',
		title: 'wo_comment',
		icon: 'CalemWo',
		controller: 'CalemReportListDet',
		model: 'wo_comment', 
		view: {CalemViewRefInfo: {id: 'CalemWoCommentReportList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

function CalemWoStatusLogNoteCollected(table, statusRowInsert, woRowUpdate) {
	this._table=table;
	this._statusRowInsert=statusRowInsert;
	this._woRowUpdate = woRowUpdate;
}

CalemWoStatusLogNoteCollected.prototype.toString = function() {return "CalemWoStatusLogNoteCollected";}

CalemWoStatusLogNoteCollected.prototype.onAction =
function(fm) {
	if (fm.onWoStatusLogNoteCollected) 
		fm.onWoStatusLogNoteCollected(this._table, this._statusRowInsert, this._woRowUpdate);	
}

//Wo from PM processed.
function CalemWoNewFromPmSaved(table) {
	this._table=table;
}
CalemWoNewFromPmSaved.prototype.toString = function() {return "CalemWoNewFromPmSaved";}

CalemWoNewFromPmSaved.prototype.onAction =
function(fm) {
	if (fm.onWoNewFromPmSaved) 
		fm.onWoNewFromPmSaved(this._table);	
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemCraftFormList
 */
function CalemCraftFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
}

CalemCraftFormList.prototype = new CalemFormList;
CalemCraftFormList.prototype.constructor = CalemCraftFormList;

CalemCraftFormList.prototype.toString = function() { return "CalemCraftFormList";}

/**
 * Business APIs
 */
CalemCraftFormList.prototype._getFormNewId =
function() {
    return 'CalemCraftFormNew';
} 
 
CalemCraftFormList.prototype._getFormReadId =
function() {
    return 'CalemCraftFormRead';
}  

/**
 * Deletion must be handled specially
 */
CalemCraftFormList.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemCraftBo.getInstance().canDeleteCraft(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemCraftFormRead
 */
function CalemCraftFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormRead.call(this, parent, formId, data);
}

CalemCraftFormRead.prototype = new CalemFormRead;
CalemCraftFormRead.prototype.constructor = CalemCraftFormRead;

CalemCraftFormRead.prototype.toString = function() { return "CalemCraftFormRead";}

/**
 * Business APIs
 */
CalemCraftFormRead.prototype._getFormNewId =
function() {
	return 'CalemCraftFormNew';
} 

CalemCraftFormRead.prototype._getFormEditId =
function() {
	return 'CalemCraftFormEdit';
}
 
/**
 * Deletion must be handled specially
 */
CalemCraftFormRead.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemCraftBo.getInstance().canDeleteCraft(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}
  
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemCraftFormNew
 */
function CalemCraftFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemCraftFormNew.prototype = new CalemFormNew;
CalemCraftFormNew.prototype.constructor = CalemCraftFormNew;

CalemCraftFormNew.prototype.toString = function() { return "CalemCraftFormNew";}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemCraftFormEdit
 */
function CalemCraftFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemCraftFormEdit.prototype = new CalemFormEdit;
CalemCraftFormEdit.prototype.constructor = CalemCraftFormEdit;

CalemCraftFormEdit.prototype.toString = function() { return "CalemCraftFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemCraftFormLookup
 */
function CalemCraftFormLookup(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormLookup.call(this, parent, formId, data);
}

CalemCraftFormLookup.prototype = new CalemFormLookup;
CalemCraftFormLookup.prototype.constructor = CalemCraftFormLookup;

CalemCraftFormLookup.prototype.toString = function() { return "CalemCraftFormLookup";}

/**
 * Business APIs
 */
CalemCraftFormLookup.prototype._getFormNewId =
function() {
   return 'CalemCraftFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemCraftFormLookup.prototype._getFormReadId =
function(evt) {
	return 'CalemCraftFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoFormMdTab
 */
function CalemWoFormMdTab(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormMdTab.call(this, parent, formId, data);
}

CalemWoFormMdTab.prototype = new CalemFormMdTab;
CalemWoFormMdTab.prototype.constructor = CalemWoFormMdTab;

CalemWoFormMdTab.prototype.toString = function() { return "CalemWoFormMdTab";}

/**
 * Business APIs
 */
CalemWoFormMdTab.prototype.onWoStatusLogNoteCollected =
function(table, statusRowInsert, woRowUpdate) {	
	if (!this._formModel.getFormByModel(table)) return;
	this._formModel.getFormByModel(table).onWoStatusLogNoteCollected(table, statusRowInsert, woRowUpdate);
} 

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoFormList
 */
function CalemWoFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
}

CalemWoFormList.prototype = new CalemFormList;
CalemWoFormList.prototype.constructor = CalemWoFormList;

CalemWoFormList.prototype.toString = function() { return "CalemWoFormList";}

/**
 * Business APIs
 */
CalemWoFormList.prototype._onNew =
function(evt) {
	//To embed new form.
	var ebInfo=new CalemEmbedInfo(this._parent, 'CalemWoReqFormNew');
	this._embedForm(ebInfo);
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemWoFormList.prototype._onOpen =
function(evt) {
	//Get the selection event
    var item=CalemEvent.getItem(evt);
	//Prepare data for master detail view.
	var data = {modelItem: this._modelItem, item: item};
	//pass-through current data model and selection
	this._openForm('CalemWoFormMdTab', data);
} 

/**
 * Deletion must be handled specially
 */
CalemWoFormList.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemWoBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

CalemWoFormList.prototype.getReportId =
function() {
	return 'CalemWoReportMdTab';
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoFormLookup
 */
function CalemWoFormLookup(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormLookup.call(this, parent, formId, data);
}

CalemWoFormLookup.prototype = new CalemFormLookup;
CalemWoFormLookup.prototype.constructor = CalemWoFormLookup;

CalemWoFormLookup.prototype.toString = function() { return "CalemWoFormLookup";}

/**
 * Business APIs
 */
CalemWoFormLookup.prototype._onNew =
function(evt) {
    //To embed new form.
    var ebInfo=new CalemEmbedInfo(this._parent, 'CalemWoFormNew');
	this._embedForm(ebInfo);
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemWoFormLookup.prototype._onOpen =
function(evt) {
	//To embed read form.
   var ebInfo=new CalemEmbedInfo(this._parent, 'CalemWoFormRead');
	this._embedForm(ebInfo);
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoFormNew
 */
function CalemWoFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNewCacheLoad.call(this, parent, formId, data);
}

CalemWoFormNew.prototype = new CalemFormNewCacheLoad;
CalemWoFormNew.prototype.constructor = CalemWoFormNew;

CalemWoFormNew.prototype.toString = function() { return "CalemWoFormNew";}

/**
 * Initialize data for the transaction
 */
CalemWoFormNew.prototype._createDataModel =
function(data) {
	CalemFormNewCacheLoad.prototype._createDataModel.call(this);
	this._instantiate(data);
}

CalemWoFormNew.prototype._instantiate =
function(data) {
	//Creating a record for display
	this._row=data.row;
	this._modelItem.createNewRecord();
	var rec=this._modelItem.getCurrentRecord();
	var dd=this._modelItem.getTableDd();
	for (var i in this._row) {
		if (dd.isField(i)) rec.getField(i).setRawValue(this._row[i]);
	}
	//Force a repaint.
	this.onRecChanged();
}

CalemWoFormNew.prototype._render =
function() {
	CalemFormNewCacheLoad.prototype._render.call(this);
	this._setFieldsReadOnly(['asset_id', 'pm_id']);
}

//Make sure all the lookups are included in case some fields are not on form.
CalemWoFormNew.prototype._getInputDataRow =
function() {
	var row= CalemFormNewCacheLoad.prototype._getInputDataRow.call(this);
	for (var i in this._row) {
		if ( this._row[i] && !this.hasRender(i) ) {
			row[i]=this._row[i];
		}
	}
	return row;
}

//To skip the pm selection situation so it could go back to asset selection form.
CalemWoFormNew.prototype._onSoapSaveSuccess =
function(action) {
	var ca=new CalemFormActionCombo(true);
	if (action) ca.add(action);
	ca.add(new CalemWoNewFromPmSaved('workorder'));
	this._closeAndResumeParentForm(ca);
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoFormRead
 */
function CalemWoFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormRead.call(this, parent, formId, data);
	this._reopenWo = new AjxListener(this, this.onReopenWo);
	this._soapSaveCb = new AjxCallback(this, this.onSoapSaveCb);
	this._woStatusLog=new AjxListener(this, this.onWoStatusLog);
}

CalemWoFormRead.prototype = new CalemFormRead;
CalemWoFormRead.prototype.constructor = CalemWoFormRead;

CalemWoFormRead.prototype.toString = function() { return "CalemWoFormRead";}

CalemWoFormRead.prototype._getFormNewId =
function() {
	return 'CalemWoReqFormNew';
} 

CalemWoFormRead.prototype._getFormEditId =
function() {
	return 'CalemWoFormEdit';
}

CalemWoFormRead.prototype.getReopenWo =
function(evt) {
	return this._reopenWo;
}

//get a change note
CalemWoFormRead.prototype.onReopenWo =
function(evt) {
	var rec=this._dataModel.getCurrentRecord();
	if (!rec.id) return; //Not a valid record.
	if (rec.getField('status_id').getRawValue()!='wos_closed') {
		CalemInfoDialog.showIt(CalemMsg.getMsg('wo_reopen_wo'),CalemMsg.getMsg('wo_reopen_not_closed'));
		return;
	}
	
	var row=new Object();
	row['wo_id']=rec.id;
	row['to_status_id']='wos_reopen';
	row['from_status_id']=rec.getField('status_id').getRawValue();
	this._openEmbedForm('CalemWoStatusLogNoteFormNew', {row: row});
} 

CalemWoFormRead.prototype.onWoStatusLogNoteCollected =
function(table, statusRowInsert, woRowUpdate) {
	var woRows=this._getWoReopenRows();
	var rows={UpdateData: woRows, InsertData: statusRowInsert};
	CalemSoapUtil._onSoapCall('ModifyDataTran', rows, this._soapEditTranSaveCallback);
}

CalemWoFormRead.prototype._getWoReopenRows =
function() {
	var rec=this._dataModel.getCurrentRecord();
	//Now let's reopen it by a soap call.
	var tableDd=this._modelItem.getTableDd();
	//prepare current record
	var current=rec.getJsonObject();
	var cRtn=CalemViewUtil.partitionData(tableDd, current);
	//prepare status change
	var update={status_id: 'wos_reopen'};
	var uRtn=CalemViewUtil.partitionData(tableDd, update);
	//Now also create a query to get the inserted data back if successful for updating front end.
	var tq=tableDd.buildGetOneQuery();
	//Now let's make a soap call with busy signal
	var rows={row_0: {base: {table: tableDd.getTableName(), current: cRtn.base, update: uRtn.base},
	                  custom: {table: tableDd.getCustomTableName(), current: cRtn.custom, update: uRtn.custom},
	                  sql: tq.getSql()} };
	return rows;
}

CalemWoFormRead.prototype.onUpdateDbRecAction =
function(table, rec) {
	CalemFormRead.prototype.onUpdateDbRecAction.call(this, table, rec);
	var ev=new CalemParentRecModifiedEvent(this.getId(), rec);
	this.notifyListeners(ev.getType(), ev);
}

/**
 * Deletion must be handled specially
 */
CalemWoFormRead.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemWoBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

CalemWoFormRead.prototype.canEdit =
function() {
	return this._canModify();
}  

CalemWoFormRead.prototype._canModify =
function() {
	var rec=this._dataModel.getCurrentRecord();
	return CalemWoBo.getInstance().canModify(rec);
} 

/**
 * Status log
 */
CalemWoFormRead.prototype.getWoStatusLog =
function() {
	return this._woStatusLog;
} 

CalemWoFormRead.prototype.onWoStatusLog =
function() {
	var rec=this._dataModel.getCurrentRecord();
	if (!rec.id) return; //not a valid record.
	
	var link=new CalemFieldMdInfo('wo_id', 'id');
	var ebInfo=new CalemEmbedInfo(this._parent, 'CalemWoStatusLogFormList', {parentRec: rec, link: link});
	this._embedForm(ebInfo);
}

//Report
CalemWoFormRead.prototype.getReportId =
function() {
	return 'CalemWoReportMdTab';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoFormEdit
 */
function CalemWoFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemWoFormEdit.prototype = new CalemFormEdit;
CalemWoFormEdit.prototype.constructor = CalemWoFormEdit;

CalemWoFormEdit.prototype.toString = function() { return "CalemWoFormEdit";}

CalemWoFormEdit.prototype._render =
function() {
	CalemFormEdit.prototype._render.call(this);
	this._setFieldsReadOnly(['asset_id', 'pm_id']);
}

CalemWoFormEdit.prototype._onSave =
function(evt) {
	var rows=this._prepareDataEdit();
	var baseRow=rows['row_0'].base;
	//Check for status change
	if (!baseRow.update['status_id']) { //No status change
		this._onSaveCall(rows); //done.
	} else {//Collect status note change
	   var rec=this._dataModel.getCurrentRecord();
		var row=new Object();
		row['wo_id']=rec.id;
		row['to_status_id']=baseRow.update['status_id'];
		row['from_status_id']=baseRow.current['status_id'];
		this._openEmbedForm('CalemWoStatusLogNoteFormNew', {row: row, parentRows: rows});
	}
} 

CalemWoFormEdit.prototype.onWoStatusLogNoteCollected =
function(table, statusRowInsert, woRowUpdate) {
	var rows={UpdateData: woRowUpdate, InsertData: statusRowInsert};
	CalemSoapUtil._onSoapCall('ModifyDataTran', rows, this._soapEditTranSaveCallback);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoFormList
 */
function CalemWoMyAssignmentFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemWoFormList.call(this, parent, formId, data);
}

CalemWoMyAssignmentFormList.prototype = new CalemWoFormList;
CalemWoMyAssignmentFormList.prototype.constructor = CalemWoMyAssignmentFormList;

CalemWoMyAssignmentFormList.prototype.toString = function() { return "CalemWoMyAssignmentFormList";}

CalemWoMyAssignmentFormList.prototype.initQueryByForm =
function(tblQuery) {
	var uid=CalemContext.getInstance().getUserId();
	var andExpr=new CalemExprAnd();
	var fld=new CalemDbField('workorder', 'status_id');
	var val=new CalemDbString('wos_closed');
	var expr=new CalemDbExpr(fld, CalemDbExpr.NEQ, val);
	andExpr.add(expr);
	fld=new CalemDbField('workorder', 'assigned_to_id');
	val=new CalemDbString(uid);
	expr=new CalemDbExpr(fld, CalemDbExpr.EQ, val);
	andExpr.add(expr);
   tblQuery.addWhere(this._modelItem.getId(), null, andExpr, this._modelItem.getTableDd());
	return tblQuery;
}  /*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoFormList
 */
function CalemWoMyRequestFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemWoFormList.call(this, parent, formId, data);
}

CalemWoMyRequestFormList.prototype = new CalemWoFormList;
CalemWoMyRequestFormList.prototype.constructor = CalemWoMyRequestFormList;

CalemWoMyRequestFormList.prototype.toString = function() { return "CalemWoMyRequestFormList";}

CalemWoMyRequestFormList.prototype.initQueryByForm =
function(tblQuery) {
	var uid=CalemContext.getInstance().getUserId();
	var fld=new CalemDbField('workorder', 'orig_user_id');
	var val=new CalemDbString(uid);
	var expr=new CalemDbExpr(fld, CalemDbExpr.EQ, val);
   tblQuery.addWhere(this._modelItem.getId(), null, expr, this._modelItem.getTableDd());
	return tblQuery;
}  /*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoFormList
 */
function CalemWoMyTeamAssignmentFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemWoFormList.call(this, parent, formId, data);
}

CalemWoMyTeamAssignmentFormList.prototype = new CalemWoFormList;
CalemWoMyTeamAssignmentFormList.prototype.constructor = CalemWoMyTeamAssignmentFormList;

CalemWoMyTeamAssignmentFormList.prototype.toString = function() { return "CalemWoMyTeamAssignmentFormList";}

CalemWoMyTeamAssignmentFormList.prototype.initQueryByForm =
function(tblQuery) {
	var uid=CalemContext.getInstance().getUserId();
	var teamId=CalemContext.getInstance().getTeamId();
	
	var andExpr=new CalemExprAnd();
	var fld=new CalemDbField('workorder', 'status_id');
	var val=new CalemDbString('wos_closed');
	var expr=new CalemDbExpr(fld, CalemDbExpr.NEQ, val);
	andExpr.add(expr);
	
	var orExpr=new CalemExprOr();
	fld=new CalemDbField('workorder', 'assigned_to_id');
	val=new CalemDbString(uid);
	expr=new CalemDbExpr(fld, CalemDbExpr.EQ, val);
	orExpr.add(expr);
	fld=new CalemDbField('workorder', 'assigned_team_id');
	val=new CalemDbString(teamId);
	expr=new CalemDbExpr(fld, CalemDbExpr.EQ, val);
	orExpr.add(expr);
	//Add to and
	andExpr.add(orExpr);
   tblQuery.addWhere(this._modelItem.getId(), null, andExpr, this._modelItem.getTableDd());
	return tblQuery;
}  /*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoReqFormNew
 */
function CalemWoReqFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNewCacheLoad.call(this, parent, formId, data);
}

CalemWoReqFormNew.prototype = new CalemFormNewCacheLoad;
CalemWoReqFormNew.prototype.constructor = CalemWoReqFormNew;

CalemWoReqFormNew.prototype.toString = function() { return "CalemWoReqFormNew";}

CalemWoReqFormNew.prototype._onSoapSaveSuccess =
function(action) {
	//Force a repaint.
	this.onRecChanged();
}

CalemWoReqFormNew.prototype._getInputDataRow =
function() {
	var row= CalemFormNew.prototype._getInputDataRow.call(this);
	row['origin_id']='woo_request';
	return row;
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoNoPmFormNew
 */
function CalemWoNoPmFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNewCacheLoad.call(this, parent, formId, data);
}

CalemWoNoPmFormNew.prototype = new CalemFormNewCacheLoad;
CalemWoNoPmFormNew.prototype.constructor = CalemWoNoPmFormNew;

CalemWoNoPmFormNew.prototype.toString = function() { return "CalemWoNoPmFormNew";}

CalemWoNoPmFormNew.prototype._initNewRec =
function(rec) {
	rec.getField('origin_id').setRawValue('woo_other');
}

CalemWoNoPmFormNew.prototype._render =
function() {
	CalemFormNewCacheLoad.prototype._render.call(this);
	this._setFieldsReadOnly(['pm_id']);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemNewWoAssetFormNew
 */
function CalemNewWoAssetFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemNewWoAssetFormNew.prototype = new CalemFormNew;
CalemNewWoAssetFormNew.prototype.constructor = CalemNewWoAssetFormNew;

CalemNewWoAssetFormNew.prototype.toString = function() { return "CalemNewWoAssetFormNew";}

CalemNewWoAssetFormNew.prototype._onSave =
function(evt) {
	var row=this._getInputDataRow();
	var ebInfo=new CalemEmbedInfo(this._parent, 'CalemNewWoPmFormLookup', {row: row});
	this._embedForm(ebInfo);
} 
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemNewWoPmFormLookup
 */
function CalemNewWoPmFormLookup(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormLookup.call(this, parent, formId, data);
	this._lookupCb=new AjxCallback(this, this.onLookupCallback);
}

CalemNewWoPmFormLookup.prototype = new CalemFormLookup;
CalemNewWoPmFormLookup.prototype.constructor = CalemNewWoPmFormLookup;

CalemNewWoPmFormLookup.prototype.toString = function() { return "CalemNewWoPmFormLookup";}

/**
 * Initialize data for the transaction
 */
CalemNewWoPmFormLookup.prototype._createDataModel =
function(data) {
	this._row=data.row;
	CalemFormLookup.prototype._createDataModel.call(this);
}

CalemNewWoPmFormLookup.prototype.initQueryByForm =
function(tblQuery) {
	if (this._row['pm_select_id']=='wps_asset') {
		var jn=new CalemTableJoin(CalemTableJoin.INNTER, 'pm', 'id', 'pm_asset', 'pm_id');
		var fld=new CalemDbField('pm_asset_id', 'asset_id'); //m114 - use proper alias here based on join
		var val=new CalemDbString(this._row['asset_id']);
		var expr=new CalemDbExpr(fld, CalemDbExpr.EQ, val);
		tblQuery.setWhere('pm_asset', expr, jn);
	}
	return tblQuery;
}

CalemNewWoPmFormLookup.prototype._onSelect =
function(evt) {
	var rec=CalemEvent.getItem(evt);
	var row=new Object();
	row['pm_id']=rec.id;
	row['asset_id']=this._row['asset_id'];
	//Do a lookup to bring back info.
	var rows={row_0: row};
	CalemSoapUtil._onSoapCall('LookupWoNewByPm', rows, this._lookupCb);
}

CalemNewWoPmFormLookup.prototype.onLookupCallback =
function(resp) {
	//This is single record so let's process it.
	var spResp=resp[0];
	if (spResp.status == CalemForm.SOAP_SUCC) { //Update local copy.		
	   var row=spResp.lookup;
		var ebInfo=new CalemEmbedInfo(this._parent, 'CalemWoFormNew', {row: row});
	   this._embedForm(ebInfo);
	} else { //Need to display error.
		this._showSoapError(spResp);
	}	
}

CalemNewWoPmFormLookup.prototype.getCacheEmbedOnClose =
function() {
	return false;
}

//Close this form.
CalemNewWoPmFormLookup.prototype.onWoNewFromPmSaved =
function(table) {
	this._closeAndResumeParentForm();
}


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoPlannedLaborFormList
 */
function CalemWoPlannedLaborFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
}

CalemWoPlannedLaborFormList.prototype = new CalemFormListDet;
CalemWoPlannedLaborFormList.prototype.constructor = CalemWoPlannedLaborFormList;

CalemWoPlannedLaborFormList.prototype.toString = function() { return "CalemWoPlannedLaborFormList";}

/**
 * Business APIs
 */
CalemWoPlannedLaborFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemWoPlannedLaborFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemWoPlannedLaborFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemWoPlannedLaborFormRead';
}

CalemWoPlannedLaborFormList.prototype.canCreate =
function() {
	return this._canModify();
} 

CalemWoPlannedLaborFormList.prototype.canDelete =
function() {
	return this._canModify();
}  

CalemWoPlannedLaborFormList.prototype._canModify =
function() {
	var rec=this._dataModel.getParentRec();
	return CalemWoBo.getInstance().canModify(rec);
}   
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoPlannedLaborFormNew
 */
function CalemWoPlannedLaborFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemWoPlannedLaborFormNew.prototype = new CalemFormNew;
CalemWoPlannedLaborFormNew.prototype.constructor = CalemWoPlannedLaborFormNew;

CalemWoPlannedLaborFormNew.prototype.toString = function() { return "CalemWoPlannedLaborFormNew";}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoPlannedLaborFormRead
 */
function CalemWoPlannedLaborFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemWoPlannedLaborFormRead.prototype = new CalemFormReadDet;
CalemWoPlannedLaborFormRead.prototype.constructor = CalemWoPlannedLaborFormRead;

CalemWoPlannedLaborFormRead.prototype.toString = function() { return "CalemWoPlannedLaborFormRead";}

/**
 * Business APIs
 */
CalemWoPlannedLaborFormRead.prototype._getFormNewId =
function() {
	return 'CalemWoPlannedLaborFormNew';
} 

CalemWoPlannedLaborFormRead.prototype._getFormEditId =
function() {
	return 'CalemWoPlannedLaborFormEdit';
}

CalemWoPlannedLaborFormRead.prototype.canCreate =
function() {
	return this._canModify();
} 

CalemWoPlannedLaborFormRead.prototype.canEdit =
function() {
	return this._canModify();
} 

CalemWoPlannedLaborFormRead.prototype.canDelete =
function() {
	return this._canModify();
} 

CalemWoPlannedLaborFormRead.prototype._canModify =
function() {
	var rec=this._dataModel.getParentRec();
	return CalemWoBo.getInstance().canModify(rec);
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoPlannedLaborFormEdit
 */
function CalemWoPlannedLaborFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemWoPlannedLaborFormEdit.prototype = new CalemFormEdit;
CalemWoPlannedLaborFormEdit.prototype.constructor = CalemWoPlannedLaborFormEdit;

CalemWoPlannedLaborFormEdit.prototype.toString = function() { return "CalemWoPlannedLaborFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoPlannedPartFormList
 */
function CalemWoPlannedPartFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
}

CalemWoPlannedPartFormList.prototype = new CalemFormListDet;
CalemWoPlannedPartFormList.prototype.constructor = CalemWoPlannedPartFormList;

CalemWoPlannedPartFormList.prototype.toString = function() { return "CalemWoPlannedPartFormList";}

/**
 * Business APIs
 */
CalemWoPlannedPartFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemWoPlannedPartFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemWoPlannedPartFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemWoPlannedPartFormRead';
} 

CalemWoPlannedPartFormList.prototype.canCreate =
function() {
	return this._canModify();
} 

CalemWoPlannedPartFormList.prototype.canDelete =
function() {
	return this._canModify();
}  

CalemWoPlannedPartFormList.prototype._canModify =
function() {
	var rec=this._dataModel.getParentRec();
	return CalemWoBo.getInstance().canModify(rec);
}   

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoPlannedPartFormNew
 */
function CalemWoPlannedPartFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemWoPlannedPartFormNew.prototype = new CalemFormNew;
CalemWoPlannedPartFormNew.prototype.constructor = CalemWoPlannedPartFormNew;

CalemWoPlannedPartFormNew.prototype.toString = function() { return "CalemWoPlannedPartFormNew";}

CalemWoPlannedPartFormNew.prototype.getLookupFormByFld =
function(tbl, fld) {
	return (fld=='in_id') ? 'CalemInPartFormLookup' : null;
} 
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoPlannedPartFormRead
 */
function CalemWoPlannedPartFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemWoPlannedPartFormRead.prototype = new CalemFormReadDet;
CalemWoPlannedPartFormRead.prototype.constructor = CalemWoPlannedPartFormRead;

CalemWoPlannedPartFormRead.prototype.toString = function() { return "CalemWoPlannedPartFormRead";}

/**
 * Business APIs
 */
CalemWoPlannedPartFormRead.prototype._getFormNewId =
function() {
	return 'CalemWoPlannedPartFormNew';
} 

CalemWoPlannedPartFormRead.prototype._getFormEditId =
function() {
	return 'CalemWoPlannedPartFormEdit';
}

CalemWoPlannedPartFormRead.prototype.canCreate =
function() {
	return this._canModify();
} 

CalemWoPlannedPartFormRead.prototype.canEdit =
function() {
	return this._canModify();
} 

CalemWoPlannedPartFormRead.prototype.canDelete =
function() {
	return this._canModify();
} 

CalemWoPlannedPartFormRead.prototype._canModify =
function() {
	var rec=this._dataModel.getParentRec();
	return CalemWoBo.getInstance().canModify(rec);
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoPlannedPartFormEdit
 */
function CalemWoPlannedPartFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemWoPlannedPartFormEdit.prototype = new CalemFormEdit;
CalemWoPlannedPartFormEdit.prototype.constructor = CalemWoPlannedPartFormEdit;

CalemWoPlannedPartFormEdit.prototype.toString = function() { return "CalemWoPlannedPartFormEdit";}

CalemWoPlannedPartFormEdit.prototype.getLookupFormByFld =
function(tbl, fld) {
	return (fld=='in_id') ? 'CalemInPartFormLookup' : null;
} /*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoPlannedToolFormList
 */
function CalemWoPlannedToolFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
}

CalemWoPlannedToolFormList.prototype = new CalemFormListDet;
CalemWoPlannedToolFormList.prototype.constructor = CalemWoPlannedToolFormList;

CalemWoPlannedToolFormList.prototype.toString = function() { return "CalemWoPlannedToolFormList";}

/**
 * Business APIs
 */
CalemWoPlannedToolFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemWoPlannedToolFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemWoPlannedToolFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemWoPlannedToolFormRead';
} 

CalemWoPlannedToolFormList.prototype.canCreate =
function() {
	return this._canModify();
} 

CalemWoPlannedToolFormList.prototype.canDelete =
function() {
	return this._canModify();
}  

CalemWoPlannedToolFormList.prototype._canModify =
function() {
	var rec=this._dataModel.getParentRec();
	return CalemWoBo.getInstance().canModify(rec);
}   
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoPlannedToolFormNew
 */
function CalemWoPlannedToolFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemWoPlannedToolFormNew.prototype = new CalemFormNew;
CalemWoPlannedToolFormNew.prototype.constructor = CalemWoPlannedToolFormNew;

CalemWoPlannedToolFormNew.prototype.toString = function() { return "CalemWoPlannedToolFormNew";}
 
CalemWoPlannedToolFormNew.prototype.getLookupFormByFld =
function(tbl, fld) {
	return (fld=='in_id') ? 'CalemInToolFormLookup' : null;
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoPlannedToolFormRead
 */
function CalemWoPlannedToolFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemWoPlannedToolFormRead.prototype = new CalemFormReadDet;
CalemWoPlannedToolFormRead.prototype.constructor = CalemWoPlannedToolFormRead;

CalemWoPlannedToolFormRead.prototype.toString = function() { return "CalemWoPlannedToolFormRead";}

/**
 * Business APIs
 */
CalemWoPlannedToolFormRead.prototype._getFormNewId =
function() {
	return 'CalemWoPlannedToolFormNew';
} 

CalemWoPlannedToolFormRead.prototype._getFormEditId =
function() {
	return 'CalemWoPlannedToolFormEdit';
}

CalemWoPlannedToolFormRead.prototype.canCreate =
function() {
	return this._canModify();
} 

CalemWoPlannedToolFormRead.prototype.canEdit =
function() {
	return this._canModify();
} 

CalemWoPlannedToolFormRead.prototype.canDelete =
function() {
	return this._canModify();
} 

CalemWoPlannedToolFormRead.prototype._canModify =
function() {
	var rec=this._dataModel.getParentRec();
	return CalemWoBo.getInstance().canModify(rec);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoPlannedToolFormEdit
 */
function CalemWoPlannedToolFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemWoPlannedToolFormEdit.prototype = new CalemFormEdit;
CalemWoPlannedToolFormEdit.prototype.constructor = CalemWoPlannedToolFormEdit;

CalemWoPlannedToolFormEdit.prototype.toString = function() { return "CalemWoPlannedToolFormEdit";}

CalemWoPlannedToolFormEdit.prototype.getLookupFormByFld =
function(tbl, fld) {
	return (fld=='in_id') ? 'CalemInToolFormLookup' : null;
} /*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoPlannedDowntimeFormList
 */
function CalemWoPlannedDowntimeFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
}

CalemWoPlannedDowntimeFormList.prototype = new CalemFormListDet;
CalemWoPlannedDowntimeFormList.prototype.constructor = CalemWoPlannedDowntimeFormList;

CalemWoPlannedDowntimeFormList.prototype.toString = function() { return "CalemWoPlannedDowntimeFormList";}

/**
 * Business APIs
 */
CalemWoPlannedDowntimeFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemWoPlannedDowntimeFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemWoPlannedDowntimeFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemWoPlannedDowntimeFormRead';
} 

CalemWoPlannedDowntimeFormList.prototype.canCreate =
function() {
	return this._canModify();
} 

CalemWoPlannedDowntimeFormList.prototype.canDelete =
function() {
	return this._canModify();
}  

CalemWoPlannedDowntimeFormList.prototype._canModify =
function() {
	var rec=this._dataModel.getParentRec();
	return CalemWoBo.getInstance().canModify(rec);
}  
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoPlannedDowntimeFormNew
 */
function CalemWoPlannedDowntimeFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemWoPlannedDowntimeFormNew.prototype = new CalemFormNew;
CalemWoPlannedDowntimeFormNew.prototype.constructor = CalemWoPlannedDowntimeFormNew;

CalemWoPlannedDowntimeFormNew.prototype.toString = function() { return "CalemWoPlannedDowntimeFormNew";}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoPlannedDowntimeFormRead
 */
function CalemWoPlannedDowntimeFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemWoPlannedDowntimeFormRead.prototype = new CalemFormReadDet;
CalemWoPlannedDowntimeFormRead.prototype.constructor = CalemWoPlannedDowntimeFormRead;

CalemWoPlannedDowntimeFormRead.prototype.toString = function() { return "CalemWoPlannedDowntimeFormRead";}

/**
 * Business APIs
 */
CalemWoPlannedDowntimeFormRead.prototype._getFormNewId =
function() {
	return 'CalemWoPlannedDowntimeFormNew';
} 

CalemWoPlannedDowntimeFormRead.prototype._getFormEditId =
function() {
	return 'CalemWoPlannedDowntimeFormEdit';
}

CalemWoPlannedDowntimeFormRead.prototype.canCreate =
function() {
	return this._canModify();
} 

CalemWoPlannedDowntimeFormRead.prototype.canEdit =
function() {
	return this._canModify();
} 

CalemWoPlannedDowntimeFormRead.prototype.canDelete =
function() {
	return this._canModify();
} 

CalemWoPlannedDowntimeFormRead.prototype._canModify =
function() {
	var rec=this._dataModel.getParentRec();
	return CalemWoBo.getInstance().canModify(rec);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoPlannedDowntimeFormEdit
 */
function CalemWoPlannedDowntimeFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemWoPlannedDowntimeFormEdit.prototype = new CalemFormEdit;
CalemWoPlannedDowntimeFormEdit.prototype.constructor = CalemWoPlannedDowntimeFormEdit;

CalemWoPlannedDowntimeFormEdit.prototype.toString = function() { return "CalemWoPlannedDowntimeFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoDocFormList
 */
function CalemWoDocFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
}

CalemWoDocFormList.prototype = new CalemFormListDet;
CalemWoDocFormList.prototype.constructor = CalemWoDocFormList;

CalemWoDocFormList.prototype.toString = function() { return "CalemWoDocFormList";}

/**
 * Business APIs
 */
CalemWoDocFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemWoDocFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemWoDocFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemWoDocFormRead';
} 

CalemWoDocFormList.prototype.canCreate =
function() { //can add comments
	return this._canModify();
} 

CalemWoDocFormList.prototype.canDelete =
function() { //can add comments
	return this._canModify();
}

CalemWoDocFormList.prototype._canModify =
function() {
	var rec=this._dataModel.getParentRec();
	return CalemWoBo.getInstance().canModify(rec);
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoDocFormNew
 */
function CalemWoDocFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemWoDocFormNew.prototype = new CalemFormNew;
CalemWoDocFormNew.prototype.constructor = CalemWoDocFormNew;

CalemWoDocFormNew.prototype.toString = function() { return "CalemWoDocFormNew";}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoDocFormRead
 */
function CalemWoDocFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemWoDocFormRead.prototype = new CalemFormReadDet;
CalemWoDocFormRead.prototype.constructor = CalemWoDocFormRead;

CalemWoDocFormRead.prototype.toString = function() { return "CalemWoDocFormRead";}

/**
 * Business APIs
 */
CalemWoDocFormRead.prototype._getFormNewId =
function() {
	return 'CalemWoDocFormNew';
} 

CalemWoDocFormRead.prototype._getFormEditId =
function() {
	return 'CalemWoDocFormEdit';
}

CalemWoDocFormRead.prototype.canCreate =
function() {
	return this._canModify();
} 

CalemWoDocFormRead.prototype.canEdit =
function() {
	return this._canModify();
} 

CalemWoDocFormRead.prototype.canDelete =
function() {
	return this._canModify();
} 

CalemWoDocFormRead.prototype._canModify =
function() {
	var rec=this._dataModel.getParentRec();
	return CalemWoBo.getInstance().canModify(rec);
} 

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoDocFormEdit
 */
function CalemWoDocFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemWoDocFormEdit.prototype = new CalemFormEdit;
CalemWoDocFormEdit.prototype.constructor = CalemWoDocFormEdit;

CalemWoDocFormEdit.prototype.toString = function() { return "CalemWoDocFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoMeterFormList
 */
function CalemWoMeterFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
	this._woMeterNew = new AjxListener(this, this.onWoMeterNew);
	this._woMeterAdd = new AjxListener(this, this.onWoMeterAdd);
	this._woMeterHistory = new AjxListener(this, this.onWoMeterHistory);
	this._soapSaveCb = new AjxCallback(this, this.onSoapSaveCb);
}

CalemWoMeterFormList.prototype = new CalemFormListDet;
CalemWoMeterFormList.prototype.constructor = CalemWoMeterFormList;

CalemWoMeterFormList.prototype.toString = function() { return "CalemWoMeterFormList";}

/**
 * Business APIs
 */
CalemWoMeterFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemWoMeterFormRead';
} 

CalemWoMeterFormList.prototype.getOpenWoMeterNew =
function(evt) {
	return this._woMeterNew;
} 

CalemWoMeterFormList.prototype.getOpenWoMeterAdd =
function(evt) {
	return this._woMeterAdd;
} 

CalemWoMeterFormList.prototype.getOpenWoMeterHistory =
function(evt) {
	return this._woMeterHistory;
} 

CalemWoMeterFormList.prototype.onWoMeterNew =
function(evt) {
	if (!this._canModify()) return;
	
	var rec=this._dataModel.getParentRec();
	this._openWoMeterForm('CalemAssetMeterSelectFormList', {parentRec: rec, table: 'wo_meter'});
} 

CalemWoMeterFormList.prototype.onWoMeterAdd =
function(evt) {
	if (!this._canModify()) return;
	
	var item=CalemEvent.getItem(evt);
	var row=new Object();
	row['wo_id']=item.getField('wo_id').getRawValue();
	row['meter_id']=item.getField('meter_id').getRawValue();
	this._openWoMeterForm('CalemWoMeterAddReadingFormNew', {parentRow: row});
} 

CalemWoMeterFormList.prototype.onWoMeterHistory =
function(evt) {
	var rec=this._dataModel.getParentRec();
	this._openWoMeterForm('CalemWoMeterReadingFormList', {woRec: rec});
} 

//Open form
CalemWoMeterFormList.prototype._openWoMeterForm =
function(fmId, data) {
	var ebInfo=new CalemEmbedInfo(this._parent, fmId, data);
	this._embedForm(ebInfo);
} 

//Save a meter record first.
CalemWoMeterFormList.prototype.onLookupSelectAction =
function(table, rec) {
	var row=new Object();
	var parentRec=this._dataModel.getParentRec();
	row['wo_id']=parentRec.id;
	row['meter_id']=rec.id;
	//Now also create a query to get the inserted data back if successful for updating front end.
	var tableDd=this._modelItem.getTableDd();
	var tq=tableDd.buildGetOneQuery();
	//split into base and custom so custom fields can be handled properly.
	var rtn=CalemViewUtil.partitionData(tableDd, row);
	var cTable= (tableDd.getCustomFields() ? tableDd.getCustomTableName() : null);
	//Now let's make a soap call with busy signal
	var rows={row_0: { base: { table: tableDd.getTableName(), data: rtn.base},
	                   custom: {table: cTable, data: rtn.custom}, 
	                   sql: tq.getSql()}};
	CalemSoapUtil._onSoapCall('InsertData', rows, this._soapSaveCb, null, row);
} 

CalemWoMeterFormList.prototype.onSoapSaveCb =
function(resp, row) {
	//This is single record so let's process it.
	var rowResp=resp[0];
	if (rowResp.status == CalemForm.SOAP_SUCC) {
		//Continue on to add reading.
		this._openWoMeterForm('CalemWoMeterAddReadingFormNew', {parentRow: row});
	} else { //Need to display error.
		this._onSoapResponseException(rowResp);
	}
} 

CalemWoMeterFormList.prototype.canDelete =
function() {
	return this._canModify();
}  

CalemWoMeterFormList.prototype._canModify =
function() {
	var rec=this._dataModel.getParentRec();
	return CalemWoBo.getInstance().canModify(rec);
}  
		
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoMeterFormNew
 */
function CalemWoMeterFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemWoMeterFormNew.prototype = new CalemFormNew;
CalemWoMeterFormNew.prototype.constructor = CalemWoMeterFormNew;

CalemWoMeterFormNew.prototype.toString = function() { return "CalemWoMeterFormNew";}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoMeterFormRead
 */
function CalemWoMeterFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemWoMeterFormRead.prototype = new CalemFormReadDet;
CalemWoMeterFormRead.prototype.constructor = CalemWoMeterFormRead;

CalemWoMeterFormRead.prototype.toString = function() { return "CalemWoMeterFormRead";}

/**
 * Business APIs
 */
CalemWoMeterFormRead.prototype._getFormNewId =
function() {
	return 'CalemWoMeterFormNew';
} 

CalemWoMeterFormRead.prototype._getFormEditId =
function() {
	return 'CalemWoMeterFormEdit';
}

CalemWoMeterFormRead.prototype.canCreate =
function() {
	return this._canModify();
} 

CalemWoMeterFormRead.prototype.canEdit =
function() {
	return this._canModify();
} 

CalemWoMeterFormRead.prototype.canDelete =
function() {
	return this._canModify();
} 

CalemWoMeterFormRead.prototype._canModify =
function() {
	var rec=this._dataModel.getParentRec();
	return CalemWoBo.getInstance().canModify(rec);
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoMeterFormEdit
 */
function CalemWoMeterFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemWoMeterFormEdit.prototype = new CalemFormEdit;
CalemWoMeterFormEdit.prototype.constructor = CalemWoMeterFormEdit;

CalemWoMeterFormEdit.prototype.toString = function() { return "CalemWoMeterFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoMeterAddReadingFormNew
 */
function CalemWoMeterAddReadingFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemWoMeterAddReadingFormNew.prototype = new CalemFormNew;
CalemWoMeterAddReadingFormNew.prototype.constructor = CalemWoMeterAddReadingFormNew;

CalemWoMeterAddReadingFormNew.prototype.toString = function() { return "CalemWoMeterAddReadingFormNew";}

/**
 * Initialize data for the transaction
 */
CalemWoMeterAddReadingFormNew.prototype._createDataModel =
function(data) {
	CalemFormNew.prototype._createDataModel.call(this);
	this._instantiate(data);
}

CalemWoMeterAddReadingFormNew.prototype._instantiate =
function(data) {
	//Creating a record for display
	this._parentRow=data.parentRow;
	this._modelItem.createNewRecord();
	//Force a repaint.
	this.onRecChanged();
}

//Make sure all the lookups are included in case some fields are not on form.
CalemWoMeterAddReadingFormNew.prototype._getInputDataRow =
function() {
	var row= CalemFormNew.prototype._getInputDataRow.call(this);
	row['wo_id']=this._parentRow['wo_id'];
	row['meter_id']=this._parentRow['meter_id'];
	return row;
}

//reload parent data
CalemWoMeterAddReadingFormNew.prototype._getDataInsertedAction =
function(table, data) {
	return new CalemReloadDataAction('wo_meter');
}

CalemWoMeterAddReadingFormNew.prototype.onCancel =
function() {
	this._closeAndResumeParentForm(new CalemReloadDataAction('wo_meter'));
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoMeterReadingFormList
 */
function CalemWoMeterReadingFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
}

CalemWoMeterReadingFormList.prototype = new CalemFormList;
CalemWoMeterReadingFormList.prototype.constructor = CalemWoMeterReadingFormList;

CalemWoMeterReadingFormList.prototype.toString = function() { return "CalemWoMeterReadingFormList";}

/**
 * Business APIs
 */
CalemWoMeterReadingFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemAssetMeterReadingFormRead';
} 
 
/**
 * Initialize data for the transaction
 */
CalemWoMeterReadingFormList.prototype._createDataModel =
function(data) {
	CalemFormEdit.prototype._createDataModel.call(this);
	this._instantiate(data);
}

CalemWoMeterReadingFormList.prototype._instantiate =
function(data) {
	var rec=data.woRec;
	this._table=data.table;
	var fld=new CalemDbField('meter_transaction', 'wo_id');
	var val=new CalemDbString(rec.id);
	this._dbExpr=new CalemDbExpr(fld, CalemDbExpr.EQ, val);
}

CalemWoMeterReadingFormList.prototype.initQueryByForm =
function(tblQuery) {
   tblQuery.addWhere(this._modelItem.getId(), null, this._dbExpr, this._modelItem.getTableDd());
	return tblQuery;
}  

CalemWoMeterReadingFormList.prototype.getCacheEmbedOnClose =
function() {
	return false; 
}
		
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoSchedLaborFormList
 */
function CalemWoSchedLaborFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
}

CalemWoSchedLaborFormList.prototype = new CalemFormListDet;
CalemWoSchedLaborFormList.prototype.constructor = CalemWoSchedLaborFormList;

CalemWoSchedLaborFormList.prototype.toString = function() { return "CalemWoSchedLaborFormList";}

/**
 * Business APIs
 */
CalemWoSchedLaborFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemWoSchedLaborFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemWoSchedLaborFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemWoSchedLaborFormRead';
} 

CalemWoSchedLaborFormList.prototype.canCreate =
function() {
	return this._canModify();
} 

CalemWoSchedLaborFormList.prototype.canDelete =
function() {
	return this._canModify();
}  

CalemWoSchedLaborFormList.prototype._canModify =
function() {
	var rec=this._dataModel.getParentRec();
	return CalemWoBo.getInstance().canModify(rec);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoSchedLaborFormNew
 */
function CalemWoSchedLaborFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemWoSchedLaborFormNew.prototype = new CalemFormNew;
CalemWoSchedLaborFormNew.prototype.constructor = CalemWoSchedLaborFormNew;

CalemWoSchedLaborFormNew.prototype.toString = function() { return "CalemWoSchedLaborFormNew";}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoSchedLaborFormRead
 */
function CalemWoSchedLaborFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemWoSchedLaborFormRead.prototype = new CalemFormReadDet;
CalemWoSchedLaborFormRead.prototype.constructor = CalemWoSchedLaborFormRead;

CalemWoSchedLaborFormRead.prototype.toString = function() { return "CalemWoSchedLaborFormRead";}

/**
 * Business APIs
 */
CalemWoSchedLaborFormRead.prototype._getFormNewId =
function() {
	return 'CalemWoSchedLaborFormNew';
} 

CalemWoSchedLaborFormRead.prototype._getFormEditId =
function() {
	return 'CalemWoSchedLaborFormEdit';
}

CalemWoSchedLaborFormRead.prototype.canCreate =
function() {
	return this._canModify();
} 

CalemWoSchedLaborFormRead.prototype.canEdit =
function() {
	return this._canModify();
} 

CalemWoSchedLaborFormRead.prototype.canDelete =
function() {
	return this._canModify();
} 

CalemWoSchedLaborFormRead.prototype._canModify =
function() {
	var rec=this._dataModel.getParentRec();
	return CalemWoBo.getInstance().canModify(rec);
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoSchedLaborFormEdit
 */
function CalemWoSchedLaborFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemWoSchedLaborFormEdit.prototype = new CalemFormEdit;
CalemWoSchedLaborFormEdit.prototype.constructor = CalemWoSchedLaborFormEdit;

CalemWoSchedLaborFormEdit.prototype.toString = function() { return "CalemWoSchedLaborFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoLaborFormList
 */
function CalemWoLaborFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
}

CalemWoLaborFormList.prototype = new CalemFormListDet;
CalemWoLaborFormList.prototype.constructor = CalemWoLaborFormList;

CalemWoLaborFormList.prototype.toString = function() { return "CalemWoLaborFormList";}

/**
 * Business APIs
 */
CalemWoLaborFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemWoLaborFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemWoLaborFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemWoLaborFormRead';
} 

CalemWoLaborFormList.prototype.canCreate =
function() { //can add comments
	return this._canModify();
} 

CalemWoLaborFormList.prototype.canDelete =
function() { //can add comments
	return this._canModify();
}

CalemWoLaborFormList.prototype._canModify =
function() {
	var rec=this._dataModel.getParentRec();
	return CalemWoBo.getInstance().canModify(rec);
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoLaborFormNew
 */
function CalemWoLaborFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemWoLaborFormNew.prototype = new CalemFormNew;
CalemWoLaborFormNew.prototype.constructor = CalemWoLaborFormNew;

CalemWoLaborFormNew.prototype.toString = function() { return "CalemWoLaborFormNew";}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoLaborFormRead
 */
function CalemWoLaborFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemWoLaborFormRead.prototype = new CalemFormReadDet;
CalemWoLaborFormRead.prototype.constructor = CalemWoLaborFormRead;

CalemWoLaborFormRead.prototype.toString = function() { return "CalemWoLaborFormRead";}

/**
 * Business APIs
 */
CalemWoLaborFormRead.prototype._getFormNewId =
function() {
	return 'CalemWoLaborFormNew';
} 

CalemWoLaborFormRead.prototype._getFormEditId =
function() {
	return 'CalemWoLaborFormEdit';
}

CalemWoLaborFormRead.prototype.canCreate =
function() {
	return this._canModify();
} 

CalemWoLaborFormRead.prototype.canEdit =
function() {
	return this._canModify();
} 

CalemWoLaborFormRead.prototype.canDelete =
function() {
	return this._canModify();
} 

CalemWoLaborFormRead.prototype._canModify =
function() {
	var rec=this._dataModel.getParentRec();
	return CalemWoBo.getInstance().canModify(rec);
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoLaborFormEdit
 */
function CalemWoLaborFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemWoLaborFormEdit.prototype = new CalemFormEdit;
CalemWoLaborFormEdit.prototype.constructor = CalemWoLaborFormEdit;

CalemWoLaborFormEdit.prototype.toString = function() { return "CalemWoLaborFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoPartCheckoutFormEdit
 */
function CalemWoPartCheckoutFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemWoPartCheckoutFormEdit.prototype = new CalemFormEdit;
CalemWoPartCheckoutFormEdit.prototype.constructor = CalemWoPartCheckoutFormEdit;

CalemWoPartCheckoutFormEdit.prototype.toString = function() { return "CalemWoPartCheckoutFormEdit";}

/**
 * Initialize data for the transaction
 */
CalemWoPartCheckoutFormEdit.prototype._createDataModel =
function(data) {
	CalemFormEdit.prototype._createDataModel.call(this);
	this._instantiate(data);
}

CalemWoPartCheckoutFormEdit.prototype._instantiate =
function(data) {
	//Creating a record for display
	this._woRec=data.woRec;
	this._modelItem.createNewRecord();
	var rec=this._modelItem.getCurrentRecord();
	rec.id=1;
	this._initData(data, rec);
	//Force a repaint.
	this.onRecChanged();
}

CalemWoPartCheckoutFormEdit.prototype._initData =
function(data, rec) {
	//Current time and users
	rec.getField('tran_time').setRawValue(CalemTextUtil.getCurrentGmt());
	rec.getField('tran_user_id').setRawValue(CalemContext.getInstance().getUserId());
	//refill last tran data
	if (this._inputRow) {
		rec.getField('tran_user_id').setRawValue(this._inputRow['tran_user_id']);
		rec.getField('store_user_id').setRawValue(this._inputRow['store_user_id']);
		rec.getField('note').setRawValue(this._inputRow['note']);
	}
}

CalemWoPartCheckoutFormEdit.prototype._render =
function() {
	CalemFormEdit.prototype._render.call(this);
	this._initReadOnly();
}

CalemWoPartCheckoutFormEdit.prototype._initReadOnly =
function() {
}

//Using save function to do transaction
CalemWoPartCheckoutFormEdit.prototype._onSave =
function(evt) {
	var row=this._setupInputRow(row);
	//Next figure out location to check out from.
	var ebInfo=new CalemEmbedInfo(this._parent, 'CalemInStockSelectFormList', {tranRow: row, nextFm: 'CalemInCheckoutQtyFormEdit'});
	this._embedForm(ebInfo);
}

CalemWoPartCheckoutFormEdit.prototype._setupInputRow =
function(row) {
	var row=this._getInputDataRow();
	//For stock receive
	row['qty_remaining']=Number(row['qty_used']);
	//Tran info from WO
	row['checkout_type_id']='ict_wo';
	row['checkout_to_id']=this._woRec.id;
	row['costcode_id']=this._woRec.getField('costcode_id').getRawValue();
	//keep track of it.
	this._inputRow=row;
	return row;
}

//Need to check for changes.
CalemWoPartCheckoutFormEdit.prototype._onCancel =
function() {
	this._closeAndResumeParentForm();
}  

CalemWoPartCheckoutFormEdit.prototype.getLookupFormByFld =
function(tbl, fld) {
	return (fld=='in_id') ? 'CalemInPartFormLookup' : null;
} 

CalemWoPartCheckoutFormEdit.prototype.onInTranDoneAction =
function() {
	this._closeAndResumeParentForm(new CalemReloadDataAction('wo_part'));
}



/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoPartAddFormEdit
 */
function CalemWoPartAddFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemWoPartCheckoutFormEdit.call(this, parent, formId, data);
}

CalemWoPartAddFormEdit.prototype = new CalemWoPartCheckoutFormEdit;
CalemWoPartAddFormEdit.prototype.constructor = CalemWoPartAddFormEdit;

CalemWoPartAddFormEdit.prototype.toString = function() { return "CalemWoPartAddFormEdit";}

CalemWoPartAddFormEdit.prototype._initData =
function(data, rec) {
	CalemWoPartCheckoutFormEdit.prototype._initData.call(this, data, rec);
	this._wopRec=data.wopRec;
	rec.getField('in_id').setRawValue(this._wopRec.getField('in_id').getRawValue());
}

CalemWoPartAddFormEdit.prototype._initReadOnly =
function() {
	this._setFieldsReadOnly(['in_id']);
}




/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoPartReturnFormEdit
 */
function CalemWoPartReturnFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemWoPartCheckoutFormEdit.call(this, parent, formId, data);
}

CalemWoPartReturnFormEdit.prototype = new CalemWoPartCheckoutFormEdit;
CalemWoPartReturnFormEdit.prototype.constructor = CalemWoPartReturnFormEdit;

CalemWoPartReturnFormEdit.prototype.toString = function() { return "CalemWoPartReturnFormEdit";}

CalemWoPartReturnFormEdit.prototype._initData =
function(data, rec) {
	CalemWoPartCheckoutFormEdit.prototype._initData.call(this, data, rec);
	this._wopRec=data.wopRec;
	rec.getField('in_id').setRawValue(this._wopRec.getField('in_id').getRawValue());
}

CalemWoPartReturnFormEdit.prototype._initReadOnly =
function() {
	this._setFieldsReadOnly(['in_id']);
}

//Overcome where there are no changes.
CalemWoPartReturnFormEdit.prototype._getEditChanged =
function() {
	return true;
}


CalemWoPartReturnFormEdit.prototype._onSave =
function(evt) {
	var row=this._setupInputRow(row);
	row['icg_id']='icg_part';
	//Next figure out location to check out from.
	var ebInfo=new CalemEmbedInfo(this._parent, 'CalemInReturnFormList', {tranRow: row});
	this._embedForm(ebInfo);
}

//Need to check for changes.
CalemWoPartReturnFormEdit.prototype._onCancel =
function() {
	this._closeAndResumeParentForm(new CalemReloadDataAction('wo_part'));
}




/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoPartFormList
 */
function CalemWoPartFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
	this._woPartNew = new AjxListener(this, this.onWoPartNew);
	this._woPartAdd = new AjxListener(this, this.onWoPartAdd);
	this._woPartReturn = new AjxListener(this, this.onWoPartReturn);
}

CalemWoPartFormList.prototype = new CalemFormListDet;
CalemWoPartFormList.prototype.constructor = CalemWoPartFormList;

CalemWoPartFormList.prototype.toString = function() { return "CalemWoPartFormList";}

/**
 * Business APIs
 */
CalemWoPartFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemWoPartFormRead';
} 

/**
 * Parts checkout/return handling
 */
CalemWoPartFormList.prototype.getOpenWoPartNew =
function(evt) {
	return this._woPartNew;
} 

CalemWoPartFormList.prototype.getOpenWoPartAdd =
function(evt) {
	return this._woPartAdd;
}

CalemWoPartFormList.prototype.getOpenWoPartReturn =
function(evt) {
	return this._woPartReturn;
} 

//Handlers
CalemWoPartFormList.prototype.onWoPartNew =
function(evt) {
	if (!this._canModify()) return;
	
	var pRec=this._dataModel.getParentRec();
	this._openWoTranForm('CalemWoPartCheckoutFormEdit', {woRec: pRec});
} 

CalemWoPartFormList.prototype.onWoPartAdd =
function(evt) {
	if (!this._canModify()) return;
	
	var wopRec=CalemEvent.getItem(evt);
	var pRec=this._dataModel.getParentRec();
	this._openWoTranForm('CalemWoPartAddFormEdit', {woRec: pRec, wopRec: wopRec});
} 
CalemWoPartFormList.prototype.onWoPartReturn =
function(evt) {
	if (!this._canModify()) return;
	
	var wopRec=CalemEvent.getItem(evt);
	var pRec=this._dataModel.getParentRec();
	this._openWoTranForm('CalemWoPartReturnFormEdit', {woRec: pRec, wopRec: wopRec});
}

//Open form
CalemWoPartFormList.prototype._openWoTranForm =
function(fmId, data) {
	var ebInfo=new CalemEmbedInfo(this._parent, fmId, data);
	this._embedForm(ebInfo);
} 
 
CalemWoPartFormList.prototype.canDelete =
function() {
	return this._canModify();
} 

CalemWoPartFormList.prototype._canModify =
function() {
	var rec=this._dataModel.getParentRec();
	return CalemWoBo.getInstance().canModify(rec);
}  
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoPartFormRead
 */
function CalemWoPartFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemWoPartFormRead.prototype = new CalemFormReadDet;
CalemWoPartFormRead.prototype.constructor = CalemWoPartFormRead;

CalemWoPartFormRead.prototype.toString = function() { return "CalemWoPartFormRead";}

/**
 * Business APIs
 */
CalemWoPartFormRead.prototype._getFormNewId =
function() {
	return 'CalemWoPartFormNew';
} 

CalemWoPartFormRead.prototype._getFormEditId =
function() {
	return 'CalemWoPartFormEdit';
}

CalemWoPartFormRead.prototype.canCreate =
function() {
	return this._canModify();
} 

CalemWoPartFormRead.prototype.canEdit =
function() {
	return this._canModify();
} 

CalemWoPartFormRead.prototype.canDelete =
function() {
	return this._canModify();
} 

CalemWoPartFormRead.prototype._canModify =
function() {
	var rec=this._dataModel.getParentRec();
	return CalemWoBo.getInstance().canModify(rec);
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoPartFormEdit
 */
function CalemWoPartFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemWoPartFormEdit.prototype = new CalemFormEdit;
CalemWoPartFormEdit.prototype.constructor = CalemWoPartFormEdit;

CalemWoPartFormEdit.prototype.toString = function() { return "CalemWoPartFormEdit";}

CalemWoPartFormEdit.prototype._render =
function() {
	CalemFormEdit.prototype._render.call(this);
	this._setFieldsReadOnly(['in_id', 'qty_used']);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
/**
 * CalemWoToolCheckoutFormEdit
 */
function CalemWoToolCheckoutFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemWoPartCheckoutFormEdit.call(this, parent, formId, data);
}

CalemWoToolCheckoutFormEdit.prototype = new CalemWoPartCheckoutFormEdit;
CalemWoToolCheckoutFormEdit.prototype.constructor = CalemWoToolCheckoutFormEdit;

CalemWoToolCheckoutFormEdit.prototype.toString = function() { return "CalemWoToolCheckoutFormEdit";}

CalemWoToolCheckoutFormEdit.prototype.getLookupFormByFld =
function(tbl, fld) {
	return (fld=='in_id') ? 'CalemInToolFormLookup' : null;
} 

CalemWoToolCheckoutFormEdit.prototype.onInTranDoneAction =
function() {
	this._closeAndResumeParentForm(new CalemReloadDataAction('wo_tool'));
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
/**
 * CalemWoToolAddFormEdit
 */
function CalemWoToolAddFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemWoPartAddFormEdit.call(this, parent, formId, data);
}

CalemWoToolAddFormEdit.prototype = new CalemWoPartAddFormEdit;
CalemWoToolAddFormEdit.prototype.constructor = CalemWoToolAddFormEdit;

CalemWoToolAddFormEdit.prototype.toString = function() { return "CalemWoToolAddFormEdit";}

CalemWoToolAddFormEdit.prototype.onInTranDoneAction =
function() {
	this._closeAndResumeParentForm(new CalemReloadDataAction('wo_tool'));
}





/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 
/**
 * CalemWoToolReturnFormEdit
 */
function CalemWoToolReturnFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemWoPartReturnFormEdit.call(this, parent, formId, data);
}

CalemWoToolReturnFormEdit.prototype = new CalemWoPartReturnFormEdit;
CalemWoToolReturnFormEdit.prototype.constructor = CalemWoToolReturnFormEdit;

CalemWoToolReturnFormEdit.prototype.toString = function() { return "CalemWoToolReturnFormEdit";}

CalemWoToolReturnFormEdit.prototype._onSave =
function(evt) {
	var row=this._setupInputRow(row);
	row['icg_id']='icg_tool';
	//Need to add two items from IN: rent_uom_id, rent_rate
	var cache=CalemContext.getInstance().getRegistry().getCache();
	var inRec=cache.findRecordById('inventory', row['in_id']);
	if (inRec) {
		row['rent_uom_id']=inRec.getField('rent_uom_id').getRawValue();
		row['rent_rate']=inRec.getField('rent_rate').getRawValue();
	}
	//Next figure out location to check out from.
	var ebInfo=new CalemEmbedInfo(this._parent, 'CalemInReturnFormList', {tranRow: row});
	this._embedForm(ebInfo);
}

CalemWoToolReturnFormEdit.prototype._onCancel =
function() {
	this._closeAndResumeParentForm(new CalemReloadDataAction('wo_tool'));
}




/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoToolFormList
 */
function CalemWoToolFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
	this._woToolNew = new AjxListener(this, this.onWoToolNew);
	this._woToolAdd = new AjxListener(this, this.onWoToolAdd);
	this._woToolReturn = new AjxListener(this, this.onWoToolReturn);
}

CalemWoToolFormList.prototype = new CalemFormListDet;
CalemWoToolFormList.prototype.constructor = CalemWoToolFormList;

CalemWoToolFormList.prototype.toString = function() { return "CalemWoToolFormList";}

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemWoToolFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemWoToolFormRead';
}

/**
 * Tools checkout/return handling
 */
CalemWoToolFormList.prototype.getOpenWoToolNew =
function(evt) {
	return this._woToolNew;
} 

CalemWoToolFormList.prototype.getOpenWoToolAdd =
function(evt) {
	return this._woToolAdd;
}

CalemWoToolFormList.prototype.getOpenWoToolReturn =
function(evt) {
	return this._woToolReturn;
} 

//Handlers
CalemWoToolFormList.prototype.onWoToolNew =
function(evt) {
	if (!this._canModify()) return;
	
	var pRec=this._dataModel.getParentRec();
	this._openWoTranForm('CalemWoToolCheckoutFormEdit', {woRec: pRec});
} 

CalemWoToolFormList.prototype.onWoToolAdd =
function(evt) {
	if (!this._canModify()) return;
	
	var wopRec=CalemEvent.getItem(evt);
	var pRec=this._dataModel.getParentRec();
	this._openWoTranForm('CalemWoToolAddFormEdit', {woRec: pRec, wopRec: wopRec});
} 
CalemWoToolFormList.prototype.onWoToolReturn =
function(evt) {
	if (!this._canModify()) return;
	
	var wopRec=CalemEvent.getItem(evt);
	var pRec=this._dataModel.getParentRec();
	this._openWoTranForm('CalemWoToolReturnFormEdit', {woRec: pRec, wopRec: wopRec});
}

//Open form
CalemWoToolFormList.prototype._openWoTranForm =
function(fmId, data) {
	var ebInfo=new CalemEmbedInfo(this._parent, fmId, data);
	this._embedForm(ebInfo);
}

CalemWoToolFormList.prototype.canDelete =
function() {
	return this._canModify();
}  

CalemWoToolFormList.prototype._canModify =
function() {
	var rec=this._dataModel.getParentRec();
	return CalemWoBo.getInstance().canModify(rec);
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoToolFormRead
 */
function CalemWoToolFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemWoToolFormRead.prototype = new CalemFormReadDet;
CalemWoToolFormRead.prototype.constructor = CalemWoToolFormRead;

CalemWoToolFormRead.prototype.toString = function() { return "CalemWoToolFormRead";}

/**
 * Business APIs
 */
CalemWoToolFormRead.prototype._getFormNewId =
function() {
	return 'CalemWoToolFormNew';
} 

CalemWoToolFormRead.prototype._getFormEditId =
function() {
	return 'CalemWoToolFormEdit';
}

CalemWoToolFormRead.prototype.canCreate =
function() {
	return this._canModify();
} 

CalemWoToolFormRead.prototype.canEdit =
function() {
	return this._canModify();
} 

CalemWoToolFormRead.prototype.canDelete =
function() {
	return this._canModify();
} 

CalemWoToolFormRead.prototype._canModify =
function() {
	var rec=this._dataModel.getParentRec();
	return CalemWoBo.getInstance().canModify(rec);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoToolFormEdit
 */
function CalemWoToolFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemWoToolFormEdit.prototype = new CalemFormEdit;
CalemWoToolFormEdit.prototype.constructor = CalemWoToolFormEdit;

CalemWoToolFormEdit.prototype.toString = function() { return "CalemWoToolFormEdit";}

CalemWoToolFormEdit.prototype.getLookupFormByFld =
function(tbl, fld) {
	return (fld=='in_id') ? 'CalemInToolFormLookup' : null;
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoStepFormList
 */
function CalemWoStepFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
}

CalemWoStepFormList.prototype = new CalemFormListDet;
CalemWoStepFormList.prototype.constructor = CalemWoStepFormList;

CalemWoStepFormList.prototype.toString = function() { return "CalemWoStepFormList";}

/**
 * Business APIs
 */
CalemWoStepFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemWoStepFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemWoStepFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemWoStepFormRead';
} 

CalemWoStepFormList.prototype.canCreate =
function() {
	return this._canModify();
} 

CalemWoStepFormList.prototype.canDelete =
function() {
	return this._canModify();
}  

CalemWoStepFormList.prototype._canModify =
function() {
	var rec=this._dataModel.getParentRec();
	return CalemWoBo.getInstance().canModify(rec);
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoStepFormNew
 */
function CalemWoStepFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemWoStepFormNew.prototype = new CalemFormNew;
CalemWoStepFormNew.prototype.constructor = CalemWoStepFormNew;

CalemWoStepFormNew.prototype.toString = function() { return "CalemWoStepFormNew";}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoStepFormRead
 */
function CalemWoStepFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemWoStepFormRead.prototype = new CalemFormReadDet;
CalemWoStepFormRead.prototype.constructor = CalemWoStepFormRead;

CalemWoStepFormRead.prototype.toString = function() { return "CalemWoStepFormRead";}

/**
 * Business APIs
 */
CalemWoStepFormRead.prototype._getFormNewId =
function() {
	return 'CalemWoStepFormNew';
} 

CalemWoStepFormRead.prototype._getFormEditId =
function() {
	return 'CalemWoStepFormEdit';
}

CalemWoStepFormRead.prototype.canCreate =
function() {
	return this._canModify();
} 

CalemWoStepFormRead.prototype.canEdit =
function() {
	return this._canModify();
} 

CalemWoStepFormRead.prototype.canDelete =
function() {
	return this._canModify();
} 

CalemWoStepFormRead.prototype._canModify =
function() {
	var rec=this._dataModel.getParentRec();
	return CalemWoBo.getInstance().canModify(rec);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoStepFormEdit
 */
function CalemWoStepFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemWoStepFormEdit.prototype = new CalemFormEdit;
CalemWoStepFormEdit.prototype.constructor = CalemWoStepFormEdit;

CalemWoStepFormEdit.prototype.toString = function() { return "CalemWoStepFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoSafetyFormList
 */
function CalemWoSafetyFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
}

CalemWoSafetyFormList.prototype = new CalemFormListDet;
CalemWoSafetyFormList.prototype.constructor = CalemWoSafetyFormList;

CalemWoSafetyFormList.prototype.toString = function() { return "CalemWoSafetyFormList";}

/**
 * Business APIs
 */
CalemWoSafetyFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemWoSafetyFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemWoSafetyFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemWoSafetyFormRead';
} 

CalemWoSafetyFormList.prototype.canCreate =
function() {
	return this._canModify();
} 

CalemWoSafetyFormList.prototype.canDelete =
function() {
	return this._canModify();
}  

CalemWoSafetyFormList.prototype._canModify =
function() {
	var rec=this._dataModel.getParentRec();
	return CalemWoBo.getInstance().canModify(rec);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoSafetyFormNew
 */
function CalemWoSafetyFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemWoSafetyFormNew.prototype = new CalemFormNew;
CalemWoSafetyFormNew.prototype.constructor = CalemWoSafetyFormNew;

CalemWoSafetyFormNew.prototype.toString = function() { return "CalemWoSafetyFormNew";}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoSafetyFormRead
 */
function CalemWoSafetyFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemWoSafetyFormRead.prototype = new CalemFormReadDet;
CalemWoSafetyFormRead.prototype.constructor = CalemWoSafetyFormRead;

CalemWoSafetyFormRead.prototype.toString = function() { return "CalemWoSafetyFormRead";}

/**
 * Business APIs
 */
CalemWoSafetyFormRead.prototype._getFormNewId =
function() {
	return 'CalemWoSafetyFormNew';
} 

CalemWoSafetyFormRead.prototype._getFormEditId =
function() {
	return 'CalemWoSafetyFormEdit';
}

CalemWoSafetyFormRead.prototype.canCreate =
function() {
	return this._canModify();
} 

CalemWoSafetyFormRead.prototype.canEdit =
function() {
	return this._canModify();
} 

CalemWoSafetyFormRead.prototype.canDelete =
function() {
	return this._canModify();
} 

CalemWoSafetyFormRead.prototype._canModify =
function() {
	var rec=this._dataModel.getParentRec();
	return CalemWoBo.getInstance().canModify(rec);
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoSafetyFormEdit
 */
function CalemWoSafetyFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemWoSafetyFormEdit.prototype = new CalemFormEdit;
CalemWoSafetyFormEdit.prototype.constructor = CalemWoSafetyFormEdit;

CalemWoSafetyFormEdit.prototype.toString = function() { return "CalemWoSafetyFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoCommentFormList
 */
function CalemWoCommentFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
}

CalemWoCommentFormList.prototype = new CalemFormListDet;
CalemWoCommentFormList.prototype.constructor = CalemWoCommentFormList;

CalemWoCommentFormList.prototype.toString = function() { return "CalemWoCommentFormList";}

/**
 * Business APIs
 */
CalemWoCommentFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemWoCommentFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemWoCommentFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemWoCommentFormRead';
} 

CalemWoCommentFormList.prototype.canCreate =
function() { //can add comments
	return true;
} 

CalemWoCommentFormList.prototype.canDelete =
function() {
	var rec=this._dataModel.getParentRec();
	return CalemWoBo.getInstance().canModify(rec);
} 

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoCommentFormNew
 */
function CalemWoCommentFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemWoCommentFormNew.prototype = new CalemFormNew;
CalemWoCommentFormNew.prototype.constructor = CalemWoCommentFormNew;

CalemWoCommentFormNew.prototype.toString = function() { return "CalemWoCommentFormNew";}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoCommentFormRead
 */
function CalemWoCommentFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemWoCommentFormRead.prototype = new CalemFormReadDet;
CalemWoCommentFormRead.prototype.constructor = CalemWoCommentFormRead;

CalemWoCommentFormRead.prototype.toString = function() { return "CalemWoCommentFormRead";}

/**
 * Business APIs
 */
CalemWoCommentFormRead.prototype._getFormNewId =
function() {
	return 'CalemWoCommentFormNew';
} 

CalemWoCommentFormRead.prototype._getFormEditId =
function() {
	return 'CalemWoCommentFormEdit';
}

CalemWoCommentFormRead.prototype.canCreate =
function() { //can add comments.
	return true;
} 

CalemWoCommentFormRead.prototype.canEdit =
function() {
	return this._canModify();
} 

CalemWoCommentFormRead.prototype.canDelete =
function() {
	return this._canModify();
} 

CalemWoCommentFormRead.prototype._canModify =
function() {
	var rec=this._dataModel.getParentRec();
	return CalemWoBo.getInstance().canModify(rec);
} 

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoCommentFormEdit
 */
function CalemWoCommentFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemWoCommentFormEdit.prototype = new CalemFormEdit;
CalemWoCommentFormEdit.prototype.constructor = CalemWoCommentFormEdit;

CalemWoCommentFormEdit.prototype.toString = function() { return "CalemWoCommentFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoDowntimeFormList
 */
function CalemWoDowntimeFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
}

CalemWoDowntimeFormList.prototype = new CalemFormListDet;
CalemWoDowntimeFormList.prototype.constructor = CalemWoDowntimeFormList;

CalemWoDowntimeFormList.prototype.toString = function() { return "CalemWoDowntimeFormList";}

/**
 * Business APIs
 */
CalemWoDowntimeFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemWoDowntimeFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemWoDowntimeFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemWoDowntimeFormRead';
} 

CalemWoDowntimeFormList.prototype.canCreate =
function() { //can add comments
	return this._canModify();
} 

CalemWoDowntimeFormList.prototype.canDelete =
function() { //can add comments
	return this._canModify();
}

CalemWoDowntimeFormList.prototype._canModify =
function() {
	var rec=this._dataModel.getParentRec();
	return CalemWoBo.getInstance().canModify(rec);
} /*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoDowntimeFormNew
 */
function CalemWoDowntimeFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemWoDowntimeFormNew.prototype = new CalemFormNew;
CalemWoDowntimeFormNew.prototype.constructor = CalemWoDowntimeFormNew;

CalemWoDowntimeFormNew.prototype.toString = function() { return "CalemWoDowntimeFormNew";}

CalemWoDowntimeFormNew.prototype._getInputDataRow =
function() {
	//Add asset_id in
	var row=CalemFormNew.prototype._getInputDataRow.call(this);
	var pRec=this._dataModel.getParentRec();
	row['asset_id']=pRec.getField('asset_id').getRawValue();
	return row;
}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoDowntimeFormRead
 */
function CalemWoDowntimeFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemWoDowntimeFormRead.prototype = new CalemFormReadDet;
CalemWoDowntimeFormRead.prototype.constructor = CalemWoDowntimeFormRead;

CalemWoDowntimeFormRead.prototype.toString = function() { return "CalemWoDowntimeFormRead";}

/**
 * Business APIs
 */
CalemWoDowntimeFormRead.prototype._getFormNewId =
function() {
	return 'CalemWoDowntimeFormNew';
} 

CalemWoDowntimeFormRead.prototype._getFormEditId =
function() {
	return 'CalemWoDowntimeFormEdit';
}

CalemWoDowntimeFormRead.prototype.canCreate =
function() {
	return this._canModify();
} 

CalemWoDowntimeFormRead.prototype.canEdit =
function() {
	return this._canModify();
} 

CalemWoDowntimeFormRead.prototype.canDelete =
function() {
	return this._canModify();
} 

CalemWoDowntimeFormRead.prototype._canModify =
function() {
	var rec=this._dataModel.getParentRec();
	return CalemWoBo.getInstance().canModify(rec);
} 


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoDowntimeFormEdit
 */
function CalemWoDowntimeFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemWoDowntimeFormEdit.prototype = new CalemFormEdit;
CalemWoDowntimeFormEdit.prototype.constructor = CalemWoDowntimeFormEdit;

CalemWoDowntimeFormEdit.prototype.toString = function() { return "CalemWoDowntimeFormEdit";}

CalemWoDowntimeFormEdit.prototype._initReadOnlyFields =
function() {
	this._setFieldsReadOnly(['asset_id']);
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoStatusLogFormList
 */
function CalemWoStatusLogFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDetNoMd.call(this, parent, formId, data);
}

CalemWoStatusLogFormList.prototype = new CalemFormListDetNoMd;
CalemWoStatusLogFormList.prototype.constructor = CalemWoStatusLogFormList;

CalemWoStatusLogFormList.prototype.toString = function() { return "CalemWoStatusLogFormList";}

/**
 * Business APIs
 */
CalemWoStatusLogFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemWoStatusLogFormRead';
} 

//D not cache this form
CalemWoStatusLogFormList.prototype.getCacheEmbedOnClose =
function() {
	return false; //close down upon close.
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoStatusLogFormRead
 */
function CalemWoStatusLogFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemWoStatusLogFormRead.prototype = new CalemFormReadDet;
CalemWoStatusLogFormRead.prototype.constructor = CalemWoStatusLogFormRead;

CalemWoStatusLogFormRead.prototype.toString = function() { return "CalemWoStatusLogFormRead";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoStatusLogNoteFormNew
 */
function CalemWoStatusLogNoteFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemWoStatusLogNoteFormNew.prototype = new CalemFormNew;
CalemWoStatusLogNoteFormNew.prototype.constructor = CalemWoStatusLogNoteFormNew;

CalemWoStatusLogNoteFormNew.prototype.toString = function() { return "CalemWoStatusLogNoteFormNew";}
 
/**
 * Initialize data for the transaction
 */
CalemWoStatusLogNoteFormNew.prototype._createDataModel =
function(data) {
	CalemFormNew.prototype._createDataModel.call(this);
	this._instantiate(data);
}

CalemWoStatusLogNoteFormNew.prototype._instantiate =
function(data) {
	this._parentRows=data.parentRows;
	this._row=data.row;
}

CalemWoStatusLogNoteFormNew.prototype._loadData =
function() {
	this._dataModel.createNewRecord();
	var rec=this._dataModel.getCurrentRecord();
	rec.getField('changed_by_id').setRawValue(CalemContext.getInstance().getUserId());
	rec.getField('to_status_id').setRawValue(this._row['to_status_id']);
	rec.getField('from_status_id').setRawValue(this._row['from_status_id']);
	this.onDataLoaded(); //Mimic a callback so form opening can continue.
} 

CalemWoStatusLogNoteFormNew.prototype._render =
function() {
	CalemFormNew.prototype._render.call(this);
	this._setFieldsReadOnly(['to_status_id', 'from_status_id', 'changed_by_id']);
}

//save handling.
CalemWoStatusLogNoteFormNew.prototype._onSave = 
function() {
	var rows=this._prepareDataNew();
	this._closeAndResumeParentForm(new CalemWoStatusLogNoteCollected('workorder', rows, this._parentRows));
}

CalemWoStatusLogNoteFormNew.prototype._getInputDataRow =
function() {
	var row=CalemFormNew.prototype._getInputDataRow.call(this);
	//add in more info
	row['wo_id']=this._row['wo_id'];
	return row;
}

//D not cache this form
CalemWoStatusLogNoteFormNew.prototype.getCacheEmbedOnClose =
function() {
	return false; //close down upon close.
}
 /*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoGenLogFormList
 */
function CalemWoGenLogFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
}

CalemWoGenLogFormList.prototype = new CalemFormList;
CalemWoGenLogFormList.prototype.constructor = CalemWoGenLogFormList;

CalemWoGenLogFormList.prototype.toString = function() { return "CalemWoGenLogFormList";}

/**
 * Business APIs
 */
CalemWoGenLogFormList.prototype._getFormReadId =
function(evt) {	
	return 'CalemWoGenLogFormRead';
} 


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemWoGenLogFormRead
 */
function CalemWoGenLogFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormRead.call(this, parent, formId, data);
}

CalemWoGenLogFormRead.prototype = new CalemFormRead;
CalemWoGenLogFormRead.prototype.constructor = CalemWoGenLogFormRead;

CalemWoGenLogFormRead.prototype.toString = function() { return "CalemWoGenLogFormRead";}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Workorder forms
 */
CalemItemDef['CalemWoFormList']={
	CalemFormInfo: {
		id: 'CalemWoFormList',
		title: 'wo_all',
		icon: 'CalemWo',
		controller: 'CalemWoFormList',
		model: 'workorder', 
		view: {CalemViewRefInfo: {id: 'CalemWoViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemWoFormSearch'
	}
}

CalemItemDef['CalemWoFormLookup']={
	CalemFormInfo: {
		id: 'CalemWoFormLookup',
		title: 'wo_all',
		icon: 'CalemWo',
		controller: 'CalemWoFormLookup',
		model: 'workorder', 
		view: {CalemViewRefInfo: {id: 'CalemWoViewLookup'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemWoFormSearch'
	}
}

CalemItemDef['CalemWoFormNew']={
	CalemFormInfo: {
		id: 'CalemWoFormNew',
		title: 'workorder',
		icon: 'CalemWo',
		controller: 'CalemWoFormNew',
		model: 'workorder', 
		view: {CalemViewRefInfo: {id: 'CalemWoViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoFormRead']={
	CalemFormInfo: {
		id: 'CalemWoFormRead',
		title: 'workorder',
		icon: 'CalemWo',
		controller: 'CalemWoFormRead',
		model: 'workorder', 
		view: {CalemViewRefInfo: {id: 'CalemWoViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoFormEdit']={
	CalemFormInfo: {
		id: 'CalemWoFormEdit',
		title: 'workorder',
		icon: 'CalemWo',
		controller: 'CalemWoFormEdit',
		model: 'workorder', 
		view: {CalemViewRefInfo: {id: 'CalemWoViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoFormSearch']={
	CalemFormInfo: {
		id: 'CalemWoFormSearch',
		title: 'workorder',
		icon: 'CalemWo',
		controller: 'CalemFormSearchEdit',
		model: 'workorder', 
		view: {CalemViewRefInfo: {id: 'CalemWoViewSearch'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoFormMdTab']={
	CalemFormMdTabInfo: {
		id: 'CalemWoFormMdTab',
		title: 'workorder',
		icon: 'CalemWo',
		replaceType: CalemItemDef.REPLACE_BY_ID,
		//Three portions of info: layout, model and itemMap.
		layout: {
			CalemMdTabLayoutInfo: {
				tabList: ['tab_main', 'tab_step', 'CUSTOMIZE_TAB'],
				tabMap: {
					'tab_main': {CalemTabLayoutInfo: ['CalemWoFormRead']},
					
					'tab_step' : {CalemTabLayoutInfo: ['CalemWoStepFormList','CalemWoSafetyFormList','CalemWoDocFormList']}
				}
			} },
		model: {
				CalemFormModelInfo: {
					master: 'CalemWoFormRead',
			      items: 
			             [
			              //Planned
			              {CalemFormLinkInfo: {id: 'CalemWoPlannedLaborFormList', link: {CalemFieldMdInfo: {fld: 'wo_id', parentFld: 'id'}}} },
			              {CalemFormLinkInfo: {id: 'CalemWoPlannedToolFormList', link: {CalemFieldMdInfo: {fld: 'wo_id', parentFld: 'id'}}} },
			              {CalemFormLinkInfo: {id: 'CalemWoPlannedPartFormList', link: {CalemFieldMdInfo: {fld: 'wo_id', parentFld: 'id'}}} },
			              {CalemFormLinkInfo: {id: 'CalemWoPlannedDowntimeFormList', link: {CalemFieldMdInfo: {fld: 'wo_id', parentFld: 'id'}}} },
			              
			              {CalemFormLinkInfo: {id: 'CalemWoDocFormList', link: {CalemFieldMdInfo: {fld: 'wo_id', parentFld: 'id'}}} },
			              {CalemFormLinkInfo: {id: 'CalemWoMeterFormList', link: {CalemFieldMdInfo: {fld: 'wo_id', parentFld: 'id'}}} },
			              //Sched
			              {CalemFormLinkInfo: {id: 'CalemWoSchedLaborFormList', link: {CalemFieldMdInfo: {fld: 'wo_id', parentFld: 'id'}}} },
			              //Used
			              {CalemFormLinkInfo: {id: 'CalemWoStepFormList', link: {CalemFieldMdInfo: {fld: 'wo_id', parentFld: 'id'}}} },
			              {CalemFormLinkInfo: {id: 'CalemWoSafetyFormList', link: {CalemFieldMdInfo: {fld: 'wo_id', parentFld: 'id'}}} },
			              
			              {CalemFormLinkInfo: {id: 'CalemWoLaborFormList', link: {CalemFieldMdInfo: {fld: 'wo_id', parentFld: 'id'}}} },
			              {CalemFormLinkInfo: {id: 'CalemWoPartFormList', link: {CalemFieldMdInfo: {fld: 'wo_id', parentFld: 'id'}}} },
			              {CalemFormLinkInfo: {id: 'CalemWoToolFormList', link: {CalemFieldMdInfo: {fld: 'wo_id', parentFld: 'id'}}} },
			              {CalemFormLinkInfo: {id: 'CalemWoDowntimeFormList', link: {CalemFieldMdInfo: {fld: 'wo_id', parentFld: 'id'}}} },

			              {CalemFormLinkInfo: {id: 'CalemWoCommentFormList', link: {CalemFieldMdInfo: {fld: 'wo_id', parentFld: 'id'}}} }
			              
			             ]
				}
		}, 
		itemMap : { //Default layout conf.
		  CalemItemMap :{
			 'CalemWoFormRead' : {
			 	CalemFormLayoutInfo: {
			 		id: 'CalemWoFormRead',
			 		fixed: true, //Move not allowed.
			 		layout: {CalemBlockLayoutInfo: {width: '100%', height: '-2'}}
			 	}
			 },
			 
			 'CalemWoPlannedLaborFormList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemWoPlannedLaborFormList',
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 8}}
			 	 }
			 },
			 
			 'CalemWoPlannedToolFormList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemWoPlannedToolFormList',
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 8}}
			 	 }
			 },
			 
			 'CalemWoPlannedPartFormList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemWoPlannedPartFormList',
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 8}}
			 	 }
			 },
			 
			 'CalemWoPlannedDowntimeFormList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemWoPlannedDowntimeFormList',
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 8}}
			 	 }
			 },
			 
			 'CalemWoDocFormList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemWoDocFormList',
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 8}}
			 	 }
			 },
			 
			 'CalemWoMeterFormList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemWoMeterFormList',
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 8}}
			 	 }
			 },
			 
			 'CalemWoSchedLaborFormList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemWoSchedLaborFormList',
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 8}}
			 	 }
			 },
			 			 
			 'CalemWoStepFormList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemWoStepFormList',
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 8}}
			 	 }
			 },
			 
			 'CalemWoSafetyFormList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemWoSafetyFormList',
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 8}}
			 	 }
			 },
		  
		   'CalemWoLaborFormList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemWoLaborFormList',
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 8}}
			 	 }
			 },
			 
			 'CalemWoToolFormList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemWoToolFormList',
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 8}}
			 	 }
			 },
			 
			 'CalemWoPartFormList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemWoPartFormList',
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 8}}
			 	 }
			 },
			 
			 'CalemWoDowntimeFormList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemWoDowntimeFormList',
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 8}}
			 	 }
			 },
			 
			 'CalemWoCommentFormList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemWoCommentFormList',
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 8}}
			 	 }
			 },
			 
		  'tab_main': {
		  		CalemTabInfo: {id: 'tab_wo_main', fixed: 1}
		  },
		  
		  'tab_instruction': {
		  		CalemTabInfo: {id: 'tab_wo_instruction'}
		  },
		  
		  'tab_step': {
		  		CalemTabInfo: {id: 'tab_wo_step'}
		  },
		  
		  'tab_labor': {
		  		CalemTabInfo: {id: 'tab_wo_labor'}
		  },
		  
		  'tab_part': {
		  		CalemTabInfo: {id: 'tab_wo_part'}
		  },
		  
		  'tab_tool': {
		  		CalemTabInfo: {id: 'tab_wo_tool'}
		  },
		  
		  'tab_downtime': {
		  		CalemTabInfo: {id: 'tab_wo_downtime'}
		  },
		  
		  'tab_misc': {
		  		CalemTabInfo: {id: 'tab_wo_misc'}
		  },
		  
		  'tab_meter': {
		  		CalemTabInfo: {id: 'tab_wo_meter'}
		  },
		  
		  'tab_comment': {
		  		CalemTabInfo: {id: 'tab_wo_comment'}
		  },
		  
		  'tab_document': {
		  		CalemTabInfo: {id: 'tab_wo_document'}
		  },
		  
		  'tab_status': {
		  		CalemTabInfo: {id: 'tab_wo_status'}
		  },
		  
		  'CUSTOMIZE_TAB' : {
		  		CalemTabInfo: {id: 'CUSTOMIZE_TAB'}
		  }
		  
		  }
		  
		} //itemMap
	} //MdTabInfo
}
	             			              
/**
 * New request, my request
 */
CalemItemDef['CalemWoReqFormNew']={
	CalemFormInfo: {
		id: 'CalemWoReqFormNew',
		title: 'wo_new_req',
		icon: 'CalemWo',
		controller: 'CalemWoReqFormNew',
		model: 'workorder', 
		view: {CalemViewRefInfo: {id: 'CalemWoReqViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoNoPmFormNew']={
	CalemFormInfo: {
		id: 'CalemWoNoPmFormNew',
		title: 'wo_new_no_pm',
		icon: 'CalemWo',
		controller: 'CalemWoNoPmFormNew',
		model: 'workorder', 
		view: {CalemViewRefInfo: {id: 'CalemWoNoPmViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}
 
CalemItemDef['CalemWoMineFormList']={
	CalemFormInfo: {
		id: 'CalemWoMineFormList',
		title: 'wo_mine',
		icon: 'CalemWo',
		controller: 'CalemWoMineFormList',
		model: 'workorder', 
		view: {CalemViewRefInfo: {id: 'CalemWoMineViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
} 

/**
 * New from PM
 */
CalemItemDef['CalemNewWoAssetFormNew']={
	CalemFormInfo: {
		id: 'CalemNewWoAssetFormNew',
		title: 'wo_new_pm',
		icon: 'CalemWo',
		controller: 'CalemNewWoAssetFormNew',
		model: 'wo_vt_new_pm', 
		view: {CalemViewRefInfo: {id: 'CalemNewWoAssetViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
} 

CalemItemDef['CalemNewWoPmFormLookup']={
	CalemFormInfo: {
		id: 'CalemNewWoPmFormLookup',
		title: 'wo_new_pm',
		icon: 'CalemWo',
		controller: 'CalemNewWoPmFormLookup',
		model: 'wo_wt_new_pm', 
		view: {CalemViewRefInfo: {id: 'CalemPmViewLookup'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemPmFormSearch'
	}
} 

/**
 * Craft
 */
CalemItemDef['CalemCraftFormList']={
	CalemFormInfo: {
		id: 'CalemCraftFormList',
		title: 'craft_list',
		icon: 'CalemCraft',
		controller: 'CalemCraftFormList',
		model: 'craft', 
		view: {CalemViewRefInfo: {id: 'CalemCraftViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemCraftFormSearch'
	}
}

CalemItemDef['CalemCraftFormLookup']={
	CalemFormInfo: {
		id: 'CalemCraftFormLookup',
		title: 'craft',
		icon: 'CalemCraft',
		controller: 'CalemCraftFormLookup',
		model: 'craft', 
		view: {CalemViewRefInfo: {id: 'CalemCraftViewLookup'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemCraftFormSearch'
	}
}

CalemItemDef['CalemCraftFormNew']={
	CalemFormInfo: {
		id: 'CalemCraftFormNew',
		title: 'craft',
		icon: 'CalemCraft',
		controller: 'CalemCraftFormNew',
		model: 'craft', 
		view: {CalemViewRefInfo: {id: 'CalemCraftViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemCraftFormEdit']={
	CalemFormInfo: {
		id: 'CalemCraftFormEdit',
		title: 'craft',
		icon: 'CalemCraft',
		controller: 'CalemCraftFormEdit',
		model: 'craft', 
   	view: {CalemViewRefInfo: {id: 'CalemCraftViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemCraftFormRead']={
	CalemFormInfo: {
		id: 'CalemCraftFormRead',
		title: 'craft',
		icon: 'CalemCraft',
		controller: 'CalemCraftFormRead',
		model: 'craft', 
		view: {CalemViewRefInfo: {id: 'CalemCraftViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemCraftFormSearch']={
	CalemFormInfo: {
		id: 'CalemCraftFormSearch',
		title: 'craft',
		icon: 'CalemCraft',
		controller: 'CalemFormSearchEdit',
		model: 'craft', 
		view: {CalemViewRefInfo: {id: 'CalemCraftViewSearch'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

//Planned labor
CalemItemDef['CalemWoPlannedLaborFormList']={
	CalemFormInfo: {
		id: 'CalemWoPlannedLaborFormList',
		title: 'wo_planned_labor',
		icon: 'CalemWo',
		controller: 'CalemWoPlannedLaborFormList',
		model: 'wo_planned_labor', 
		view: {CalemViewRefInfo: {id: 'CalemWoPlannedLaborViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoPlannedLaborFormNew']={
	CalemFormInfo: {
		id: 'CalemWoPlannedLaborFormNew',
		title: 'wo_planned_labor',
		icon: 'CalemWo',
		controller: 'CalemWoPlannedLaborFormNew',
		model: 'wo_planned_labor', 
		view: {CalemViewRefInfo: {id: 'CalemWoPlannedLaborViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoPlannedLaborFormEdit']={
	CalemFormInfo: {
		id: 'CalemWoPlannedLaborFormEdit',
		title: 'wo_planned_labor',
		icon: 'CalemWo',
		controller: 'CalemWoPlannedLaborFormEdit',
		model: 'wo_planned_labor', 
   	view: {CalemViewRefInfo: {id: 'CalemWoPlannedLaborViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoPlannedLaborFormRead']={
	CalemFormInfo: {
		id: 'CalemWoPlannedLaborFormRead',
		title: 'wo_planned_labor',
		icon: 'CalemWo',
		controller: 'CalemWoPlannedLaborFormRead',
		model: 'wo_planned_labor', 
		view: {CalemViewRefInfo: {id: 'CalemWoPlannedLaborViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

//Planned part
CalemItemDef['CalemWoPlannedPartFormList']={
	CalemFormInfo: {
		id: 'CalemWoPlannedPartFormList',
		title: 'wo_planned_part',
		icon: 'CalemWo',
		controller: 'CalemWoPlannedPartFormList',
		model: 'wo_planned_part', 
		view: {CalemViewRefInfo: {id: 'CalemWoPlannedPartViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoPlannedPartFormNew']={
	CalemFormInfo: {
		id: 'CalemWoPlannedPartFormNew',
		title: 'wo_planned_part',
		icon: 'CalemWo',
		controller: 'CalemWoPlannedPartFormNew',
		model: 'wo_planned_part', 
		view: {CalemViewRefInfo: {id: 'CalemWoPlannedPartViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoPlannedPartFormEdit']={
	CalemFormInfo: {
		id: 'CalemWoPlannedPartFormEdit',
		title: 'wo_planned_part',
		icon: 'CalemWo',
		controller: 'CalemWoPlannedPartFormEdit',
		model: 'wo_planned_part', 
   	view: {CalemViewRefInfo: {id: 'CalemWoPlannedPartViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoPlannedPartFormRead']={
	CalemFormInfo: {
		id: 'CalemWoPlannedPartFormRead',
		title: 'wo_planned_part',
		icon: 'CalemWo',
		controller: 'CalemWoPlannedPartFormRead',
		model: 'wo_planned_part', 
		view: {CalemViewRefInfo: {id: 'CalemWoPlannedPartViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

//Planned tool
CalemItemDef['CalemWoPlannedToolFormList']={
	CalemFormInfo: {
		id: 'CalemWoPlannedToolFormList',
		title: 'wo_planned_tool',
		icon: 'CalemWo',
		controller: 'CalemWoPlannedToolFormList',
		model: 'wo_planned_tool', 
		view: {CalemViewRefInfo: {id: 'CalemWoPlannedToolViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoPlannedToolFormNew']={
	CalemFormInfo: {
		id: 'CalemWoPlannedToolFormNew',
		title: 'wo_planned_tool',
		icon: 'CalemWo',
		controller: 'CalemWoPlannedToolFormNew',
		model: 'wo_planned_tool', 
		view: {CalemViewRefInfo: {id: 'CalemWoPlannedToolViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoPlannedToolFormEdit']={
	CalemFormInfo: {
		id: 'CalemWoPlannedToolFormEdit',
		title: 'wo_planned_tool',
		icon: 'CalemWo',
		controller: 'CalemWoPlannedToolFormEdit',
		model: 'wo_planned_tool', 
   	view: {CalemViewRefInfo: {id: 'CalemWoPlannedToolViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoPlannedToolFormRead']={
	CalemFormInfo: {
		id: 'CalemWoPlannedToolFormRead',
		title: 'wo_planned_tool',
		icon: 'CalemWo',
		controller: 'CalemWoPlannedToolFormRead',
		model: 'wo_planned_tool', 
		view: {CalemViewRefInfo: {id: 'CalemWoPlannedToolViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

//Planned downtime
CalemItemDef['CalemWoPlannedDowntimeFormList']={
	CalemFormInfo: {
		id: 'CalemWoPlannedDowntimeFormList',
		title: 'wo_planned_downtime',
		icon: 'CalemWo',
		controller: 'CalemWoPlannedDowntimeFormList',
		model: 'wo_planned_downtime', 
		view: {CalemViewRefInfo: {id: 'CalemWoPlannedDowntimeViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoPlannedDowntimeFormNew']={
	CalemFormInfo: {
		id: 'CalemWoPlannedDowntimeFormNew',
		title: 'wo_planned_downtime',
		icon: 'CalemWo',
		controller: 'CalemWoPlannedDowntimeFormNew',
		model: 'wo_planned_downtime', 
		view: {CalemViewRefInfo: {id: 'CalemWoPlannedDowntimeViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoPlannedDowntimeFormEdit']={
	CalemFormInfo: {
		id: 'CalemWoPlannedDowntimeFormEdit',
		title: 'wo_planned_downtime',
		icon: 'CalemWo',
		controller: 'CalemWoPlannedDowntimeFormEdit',
		model: 'wo_planned_downtime', 
   	view: {CalemViewRefInfo: {id: 'CalemWoPlannedDowntimeViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoPlannedDowntimeFormRead']={
	CalemFormInfo: {
		id: 'CalemWoPlannedDowntimeFormRead',
		title: 'wo_planned_downtime',
		icon: 'CalemWo',
		controller: 'CalemWoPlannedDowntimeFormRead',
		model: 'wo_planned_downtime', 
		view: {CalemViewRefInfo: {id: 'CalemWoPlannedDowntimeViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

//Doc
CalemItemDef['CalemWoDocFormList']={
	CalemFormInfo: {
		id: 'CalemWoDocFormList',
		title: 'wo_doc',
		icon: 'CalemWo',
		controller: 'CalemWoDocFormList',
		model: 'wo_doc', 
		view: {CalemViewRefInfo: {id: 'CalemWoDocViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoDocFormNew']={
	CalemFormInfo: {
		id: 'CalemWoDocFormNew',
		title: 'wo_doc',
		icon: 'CalemWo',
		controller: 'CalemWoDocFormNew',
		model: 'wo_doc', 
		view: {CalemViewRefInfo: {id: 'CalemWoDocViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoDocFormEdit']={
	CalemFormInfo: {
		id: 'CalemWoDocFormEdit',
		title: 'wo_doc',
		icon: 'CalemWo',
		controller: 'CalemWoDocFormEdit',
		model: 'wo_doc', 
   	view: {CalemViewRefInfo: {id: 'CalemWoDocViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoDocFormRead']={
	CalemFormInfo: {
		id: 'CalemWoDocFormRead',
		title: 'wo_doc',
		icon: 'CalemWo',
		controller: 'CalemWoDocFormRead',
		model: 'wo_doc', 
		view: {CalemViewRefInfo: {id: 'CalemWoDocViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

//Meter
CalemItemDef['CalemWoMeterFormList']={
	CalemFormInfo: {
		id: 'CalemWoMeterFormList',
		title: 'wo_meter',
		icon: 'CalemWo',
		controller: 'CalemWoMeterFormList',
		model: 'wo_meter', 
		view: {CalemViewRefInfo: {id: 'CalemWoMeterViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoMeterFormNew']={
	CalemFormInfo: {
		id: 'CalemWoMeterFormNew',
		title: 'wo_meter',
		icon: 'CalemWo',
		controller: 'CalemWoMeterFormNew',
		model: 'wo_meter', 
		view: {CalemViewRefInfo: {id: 'CalemWoMeterViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoMeterFormEdit']={
	CalemFormInfo: {
		id: 'CalemWoMeterFormEdit',
		title: 'wo_meter',
		icon: 'CalemWo',
		controller: 'CalemWoMeterFormEdit',
		model: 'wo_meter', 
   	view: {CalemViewRefInfo: {id: 'CalemWoMeterViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoMeterFormRead']={
	CalemFormInfo: {
		id: 'CalemWoMeterFormRead',
		title: 'wo_meter',
		icon: 'CalemWo',
		controller: 'CalemWoMeterFormRead',
		model: 'wo_meter', 
		view: {CalemViewRefInfo: {id: 'CalemWoMeterViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

//Sched labor
CalemItemDef['CalemWoSchedLaborFormList']={
	CalemFormInfo: {
		id: 'CalemWoSchedLaborFormList',
		title: 'wo_sched_labor',
		icon: 'CalemWo',
		controller: 'CalemWoSchedLaborFormList',
		model: 'wo_sched_labor', 
		view: {CalemViewRefInfo: {id: 'CalemWoSchedLaborViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoSchedLaborFormNew']={
	CalemFormInfo: {
		id: 'CalemWoSchedLaborFormNew',
		title: 'wo_sched_labor',
		icon: 'CalemWo',
		controller: 'CalemWoSchedLaborFormNew',
		model: 'wo_sched_labor', 
		view: {CalemViewRefInfo: {id: 'CalemWoSchedLaborViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoSchedLaborFormEdit']={
	CalemFormInfo: {
		id: 'CalemWoSchedLaborFormEdit',
		title: 'wo_sched_labor',
		icon: 'CalemWo',
		controller: 'CalemWoSchedLaborFormEdit',
		model: 'wo_sched_labor', 
   	view: {CalemViewRefInfo: {id: 'CalemWoSchedLaborViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoSchedLaborFormRead']={
	CalemFormInfo: {
		id: 'CalemWoSchedLaborFormRead',
		title: 'wo_sched_labor',
		icon: 'CalemWo',
		controller: 'CalemWoSchedLaborFormRead',
		model: 'wo_sched_labor', 
		view: {CalemViewRefInfo: {id: 'CalemWoSchedLaborViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

//Step
CalemItemDef['CalemWoStepFormList']={
	CalemFormInfo: {
		id: 'CalemWoStepFormList',
		title: 'wo_step',
		icon: 'CalemWo',
		controller: 'CalemWoStepFormList',
		model: 'wo_step', 
		view: {CalemViewRefInfo: {id: 'CalemWoStepViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoStepFormNew']={
	CalemFormInfo: {
		id: 'CalemWoStepFormNew',
		title: 'wo_step',
		icon: 'CalemWo',
		controller: 'CalemWoStepFormNew',
		model: 'wo_step', 
		view: {CalemViewRefInfo: {id: 'CalemWoStepViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoStepFormEdit']={
	CalemFormInfo: {
		id: 'CalemWoStepFormEdit',
		title: 'wo_step',
		icon: 'CalemWo',
		controller: 'CalemWoStepFormEdit',
		model: 'wo_step', 
   	view: {CalemViewRefInfo: {id: 'CalemWoStepViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoStepFormRead']={
	CalemFormInfo: {
		id: 'CalemWoStepFormRead',
		title: 'wo_step',
		icon: 'CalemWo',
		controller: 'CalemWoStepFormRead',
		model: 'wo_step', 
		view: {CalemViewRefInfo: {id: 'CalemWoStepViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

//Safety
CalemItemDef['CalemWoSafetyFormList']={
	CalemFormInfo: {
		id: 'CalemWoSafetyFormList',
		title: 'wo_safety',
		icon: 'CalemWo',
		controller: 'CalemWoSafetyFormList',
		model: 'wo_safety', 
		view: {CalemViewRefInfo: {id: 'CalemWoSafetyViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoSafetyFormNew']={
	CalemFormInfo: {
		id: 'CalemWoSafetyFormNew',
		title: 'wo_safety',
		icon: 'CalemWo',
		controller: 'CalemWoSafetyFormNew',
		model: 'wo_safety', 
		view: {CalemViewRefInfo: {id: 'CalemWoSafetyViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoSafetyFormEdit']={
	CalemFormInfo: {
		id: 'CalemWoSafetyFormEdit',
		title: 'wo_safety',
		icon: 'CalemWo',
		controller: 'CalemWoSafetyFormEdit',
		model: 'wo_safety', 
   	view: {CalemViewRefInfo: {id: 'CalemWoSafetyViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoSafetyFormRead']={
	CalemFormInfo: {
		id: 'CalemWoSafetyFormRead',
		title: 'wo_safety',
		icon: 'CalemWo',
		controller: 'CalemWoSafetyFormRead',
		model: 'wo_safety', 
		view: {CalemViewRefInfo: {id: 'CalemWoSafetyViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

//Comment
CalemItemDef['CalemWoCommentFormList']={
	CalemFormInfo: {
		id: 'CalemWoCommentFormList',
		title: 'wo_comment',
		icon: 'CalemWo',
		controller: 'CalemWoCommentFormList',
		model: 'wo_comment', 
		view: {CalemViewRefInfo: {id: 'CalemWoCommentViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoCommentFormNew']={
	CalemFormInfo: {
		id: 'CalemWoCommentFormNew',
		title: 'wo_comment',
		icon: 'CalemWo',
		controller: 'CalemWoCommentFormNew',
		model: 'wo_comment', 
		view: {CalemViewRefInfo: {id: 'CalemWoCommentViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoCommentFormEdit']={
	CalemFormInfo: {
		id: 'CalemWoCommentFormEdit',
		title: 'wo_comment',
		icon: 'CalemWo',
		controller: 'CalemWoCommentFormEdit',
		model: 'wo_comment', 
   	view: {CalemViewRefInfo: {id: 'CalemWoCommentViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoCommentFormRead']={
	CalemFormInfo: {
		id: 'CalemWoCommentFormRead',
		title: 'wo_comment',
		icon: 'CalemWo',
		controller: 'CalemWoCommentFormRead',
		model: 'wo_comment', 
		view: {CalemViewRefInfo: {id: 'CalemWoCommentViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}


// labor
CalemItemDef['CalemWoLaborFormList']={
	CalemFormInfo: {
		id: 'CalemWoLaborFormList',
		title: 'wo_labor',
		icon: 'CalemWo',
		controller: 'CalemWoLaborFormList',
		model: 'wo_labor', 
		view: {CalemViewRefInfo: {id: 'CalemWoLaborViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoLaborFormNew']={
	CalemFormInfo: {
		id: 'CalemWoLaborFormNew',
		title: 'wo_labor',
		icon: 'CalemWo',
		controller: 'CalemWoLaborFormNew',
		model: 'wo_labor', 
		view: {CalemViewRefInfo: {id: 'CalemWoLaborViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoLaborFormEdit']={
	CalemFormInfo: {
		id: 'CalemWoLaborFormEdit',
		title: 'wo_labor',
		icon: 'CalemWo',
		controller: 'CalemWoLaborFormEdit',
		model: 'wo_labor', 
   	view: {CalemViewRefInfo: {id: 'CalemWoLaborViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoLaborFormRead']={
	CalemFormInfo: {
		id: 'CalemWoLaborFormRead',
		title: 'wo_labor',
		icon: 'CalemWo',
		controller: 'CalemWoLaborFormRead',
		model: 'wo_labor', 
		view: {CalemViewRefInfo: {id: 'CalemWoLaborViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

// part
CalemItemDef['CalemWoPartFormList']={
	CalemFormInfo: {
		id: 'CalemWoPartFormList',
		title: 'wo_part',
		icon: 'CalemWo',
		controller: 'CalemWoPartFormList',
		model: 'wo_part', 
		view: {CalemViewRefInfo: {id: 'CalemWoPartViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoPartFormEdit']={
	CalemFormInfo: {
		id: 'CalemWoPartFormEdit',
		title: 'wo_part',
		icon: 'CalemWo',
		controller: 'CalemWoPartFormEdit',
		model: 'wo_part', 
   	view: {CalemViewRefInfo: {id: 'CalemWoPartViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoPartFormRead']={
	CalemFormInfo: {
		id: 'CalemWoPartFormRead',
		title: 'wo_part',
		icon: 'CalemWo',
		controller: 'CalemWoPartFormRead',
		model: 'wo_part', 
		view: {CalemViewRefInfo: {id: 'CalemWoPartViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

// tool
CalemItemDef['CalemWoToolFormList']={
	CalemFormInfo: {
		id: 'CalemWoToolFormList',
		title: 'wo_tool',
		icon: 'CalemWo',
		controller: 'CalemWoToolFormList',
		model: 'wo_tool', 
		view: {CalemViewRefInfo: {id: 'CalemWoToolViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoToolFormEdit']={
	CalemFormInfo: {
		id: 'CalemWoToolFormEdit',
		title: 'wo_tool',
		icon: 'CalemWo',
		controller: 'CalemWoToolFormEdit',
		model: 'wo_tool', 
   	view: {CalemViewRefInfo: {id: 'CalemWoToolViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoToolFormRead']={
	CalemFormInfo: {
		id: 'CalemWoToolFormRead',
		title: 'wo_tool',
		icon: 'CalemWo',
		controller: 'CalemWoToolFormRead',
		model: 'wo_tool', 
		view: {CalemViewRefInfo: {id: 'CalemWoToolViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

//Downtime
CalemItemDef['CalemWoDowntimeFormList']={
	CalemFormInfo: {
		id: 'CalemWoDowntimeFormList',
		title: 'asset_downtime',
		icon: 'CalemWo',
		controller: 'CalemWoDowntimeFormList',
		model: 'asset_downtime', 
		view: {CalemViewRefInfo: {id: 'CalemWoDowntimeViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoDowntimeFormNew']={
	CalemFormInfo: {
		id: 'CalemWoDowntimeFormNew',
		title: 'asset_downtime',
		icon: 'CalemWo',
		controller: 'CalemWoDowntimeFormNew',
		model: 'asset_downtime', 
		view: {CalemViewRefInfo: {id: 'CalemWoDowntimeViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoDowntimeFormEdit']={
	CalemFormInfo: {
		id: 'CalemWoDowntimeFormEdit',
		title: 'asset_downtime',
		icon: 'CalemWo',
		controller: 'CalemWoDowntimeFormEdit',
		model: 'asset_downtime', 
   	view: {CalemViewRefInfo: {id: 'CalemWoDowntimeViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoDowntimeFormRead']={
	CalemFormInfo: {
		id: 'CalemWoDowntimeFormRead',
		title: 'asset_downtime',
		icon: 'CalemWo',
		controller: 'CalemWoDowntimeFormRead',
		model: 'asset_downtime', 
		view: {CalemViewRefInfo: {id: 'CalemWoDowntimeViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

//Transactions - parts
CalemItemDef['CalemWoPartCheckoutFormEdit']={
	CalemFormInfo: {
		id: 'CalemWoPartCheckoutFormEdit',
		title: 'wo_vt_part_checkout',
		icon: 'CalemWo',
		controller: 'CalemWoPartCheckoutFormEdit',
		model: 'wo_vt_part_checkout', 
		view: {CalemViewRefInfo: {id: 'CalemWoPartCheckoutViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoPartAddFormEdit']={
	CalemFormInfo: {
		id: 'CalemWoPartAddFormEdit',
		title: 'wo_vt_part_checkout',
		icon: 'CalemWo',
		controller: 'CalemWoPartAddFormEdit',
		model: 'wo_vt_part_checkout', 
		view: {CalemViewRefInfo: {id: 'CalemWoPartAddViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoPartReturnFormEdit']={
	CalemFormInfo: {
		id: 'CalemWoPartReturnFormEdit',
		title: 'wo_vt_part_return',
		icon: 'CalemWo',
		controller: 'CalemWoPartReturnFormEdit',
		model: 'wo_vt_part_return', 
		view: {CalemViewRefInfo: {id: 'CalemWoPartReturnViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

//tools
CalemItemDef['CalemWoToolCheckoutFormEdit']={
	CalemFormInfo: {
		id: 'CalemWoToolCheckoutFormEdit',
		title: 'wo_tool_checkout',
		icon: 'CalemWo',
		controller: 'CalemWoToolCheckoutFormEdit',
		model: 'wo_vt_part_checkout', 
		view: {CalemViewRefInfo: {id: 'CalemWoToolCheckoutViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoToolAddFormEdit']={
	CalemFormInfo: {
		id: 'CalemWoToolAddFormEdit',
		title: 'wo_tool_checkout',
		icon: 'CalemWo',
		controller: 'CalemWoToolAddFormEdit',
		model: 'wo_vt_part_checkout', 
		view: {CalemViewRefInfo: {id: 'CalemWoToolAddViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoToolReturnFormEdit']={
	CalemFormInfo: {
		id: 'CalemWoToolReturnFormEdit',
		title: 'wo_tool_return',
		icon: 'CalemWo',
		controller: 'CalemWoToolReturnFormEdit',
		model: 'wo_vt_part_return', 
		view: {CalemViewRefInfo: {id: 'CalemWoToolReturnViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

//meter
CalemItemDef['CalemWoMeterAddReadingFormNew']={
	CalemFormInfo: {
		id: 'CalemWoMeterAddReadingFormNew',
		title: 'wo_meter_add',
		icon: 'CalemWo',
		controller: 'CalemWoMeterAddReadingFormNew',
		model: 'meter_transaction', 
		view: {CalemViewRefInfo: {id: 'CalemWoMeterAddReadingViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoMeterReadingFormList']={
	CalemFormInfo: {
		id: 'CalemWoMeterReadingFormList',
		title: 'meter_transaction',
		icon: 'CalemWo',
		controller: 'CalemWoMeterReadingFormList',
		model: 'meter_transaction', 
		view: {CalemViewRefInfo: {id: 'CalemWoMeterReadingViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

//Wo status
CalemItemDef['CalemWoStatusLogFormList']={
	CalemFormInfo: {
		id: 'CalemWoStatusLogFormList',
		title: 'wo_status_log',
		icon: 'CalemWo',
		controller: 'CalemWoStatusLogFormList',
		model: 'wo_status_log', 
		view: {CalemViewRefInfo: {id: 'CalemWoStatusLogViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoStatusLogFormRead']={
	CalemFormInfo: {
		id: 'CalemWoStatusLogFormRead',
		title: 'wo_status_log',
		icon: 'CalemWo',
		controller: 'CalemWoStatusLogFormRead',
		model: 'wo_status_log', 
		view: {CalemViewRefInfo: {id: 'CalemWoStatusLogViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoStatusLogNoteFormNew']={
	CalemFormInfo: {
		id: 'CalemWoStatusLogNoteFormNew',
		title: 'wo_status_log',
		icon: 'CalemWo',
		controller: 'CalemWoStatusLogNoteFormNew',
		model: 'wo_status_log', 
		view: {CalemViewRefInfo: {id: 'CalemWoStatusLogNoteViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

//My assignments, requests, team requests
CalemItemDef['CalemWoMyAssignmentFormList']={
	CalemFormInfo: {
		id: 'CalemWoMyAssignmentFormList',
		title: 'wo_my_assignment',
		icon: 'CalemWo',
		controller: 'CalemWoMyAssignmentFormList',
		model: 'workorder', 
		view: {CalemViewRefInfo: {id: 'CalemWoMyAssignmentViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemWoFormSearch'
	}
}

CalemItemDef['CalemWoMyRequestFormList']={
	CalemFormInfo: {
		id: 'CalemWoMyRequestFormList',
		title: 'wo_my_request',
		icon: 'CalemWo',
		controller: 'CalemWoMyRequestFormList',
		model: 'workorder', 
		view: {CalemViewRefInfo: {id: 'CalemWoMyRequestViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemWoFormSearch'
	}
}

CalemItemDef['CalemWoMyTeamAssignmentFormList']={
	CalemFormInfo: {
		id: 'CalemWoMyTeamAssignmentFormList',
		title: 'wo_my_team',
		icon: 'CalemWo',
		controller: 'CalemWoMyTeamAssignmentFormList',
		model: 'workorder', 
		view: {CalemViewRefInfo: {id: 'CalemWoMyTeamAssignmentViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemWoFormSearch'
	}
}

//Wo gen log
CalemItemDef['CalemWoGenLogFormList']={
	CalemFormInfo: {
		id: 'CalemWoGenLogFormList',
		title: 'wo_generation',
		icon: 'CalemWo',
		controller: 'CalemWoGenLogFormList',
		model: 'wo_generation', 
		view: {CalemViewRefInfo: {id: 'CalemWoGenLogViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemWoGenLogFormRead']={
	CalemFormInfo: {
		id: 'CalemWoGenLogFormRead',
		title: 'wo_generation',
		icon: 'CalemWo',
		controller: 'CalemWoGenLogFormRead',
		model: 'wo_generation', 
		view: {CalemViewRefInfo: {id: 'CalemWoGenLogViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Admin module
 */
CalemModuleDef["modCalemWo"]= {
	CalemModuleInfo: {
      id:"modCalemWo",
      icon:"CalemWo",
      defaultMenu: 'CalemWoFormList',
      toolBar: {
        CalemToolBarInfo: {
        	  type: 'CalemToolBar',
        	  layout: ['modCalemWo', 'sep', 'CalemWoReqFormNew', 'CalemWoNewWo', 'CalemWoOpenForms'],
        	  list: [
	         {CalemLabelInfo: {id: 'modCalemWo', className: 'CalemModuleLabel'}},
	         
	         {CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
	         
	         {CalemMenuItemInfo: {id: 'CalemWoReqFormNew'}},
	         
	         {CalemMenuInfo: {
	      		menuButton: {CalemMenuButtonInfo: {id: 'CalemWoNewWo'}},
		      	menuList: [ {CalemMenuItemInfo: {id: 'CalemWoNoPmFormNew'}},
		      	            {CalemMenuItemInfo: {id: 'CalemNewWoAssetFormNew'}}
		      	      ]
	      		}
	      	},
	         
	         {CalemMenuInfo: {
	      		menuButton: {CalemMenuButtonInfo: {id: 'CalemWoOpenForms'}},
		      	menuList: [ {CalemMenuItemInfo: {id: 'CalemWoMyAssignmentFormList'}},
		      					{CalemMenuItemInfo: {id: 'CalemWoMyRequestFormList'}},
		      					{CalemMenuItemInfo: {id: 'CalemWoMyTeamAssignmentFormList'}},
		      		         {CalemMenuItemInfo: {id: 'CalemWoFormList'}},
		      	            {CalemMenuItemInfo: {id: 'CalemCraftFormList'}},
		      	            {CalemMenuItemInfo: {id: 'CalemWoGenLogFormList'}}
		      	      ]
	      		}
	      	}
	      ] }
	}
	}
};

//Build Calem.js from client
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 


/**
 * CalemReqItemOnPoNoChangeException
 */
function CalemReqItemOnPoNoChangeException(table, errorInfo) {
	if (arguments.length==0) return;
	CalemErrorInfo.call(this, table, errorInfo);
}

CalemReqItemOnPoNoChangeException.prototype = new CalemErrorInfo;
CalemReqItemOnPoNoChangeException.prototype.constructor=CalemReqItemOnPoNoChangeException;

CalemReqItemOnPoNoChangeException.prototype.toString = function() {return "CalemReqItemOnPoNoChangeException";}

CalemReqItemOnPoNoChangeException.prototype.getMessage = 
function() {
	return CalemMsg.getMsg('req_item_on_po_no_change');
}

/**
 * CalemReqStatusChangeNotAllowedException
 */
function CalemReqStatusChangeNotAllowedException(table, errorInfo) {
	if (arguments.length==0) return;
	CalemErrorInfo.call(this, table, errorInfo);
}

CalemReqStatusChangeNotAllowedException.prototype = new CalemErrorInfo;
CalemReqStatusChangeNotAllowedException.prototype.constructor=CalemReqStatusChangeNotAllowedException;

CalemReqStatusChangeNotAllowedException.prototype.toString = function() {return "CalemReqStatusChangeNotAllowedException";}

CalemReqStatusChangeNotAllowedException.prototype.getMessage = 
function() {
	return CalemMsg.getMsg('req_status_change_not_allowed');
}


/**
 * CalemReqNoApprovalLevelException
 */
function CalemReqNoApprovalLevelException(table, errorInfo) {
	if (arguments.length==0) return;
	CalemErrorInfo.call(this, table, errorInfo);
}

CalemReqNoApprovalLevelException.prototype = new CalemErrorInfo;
CalemReqNoApprovalLevelException.prototype.constructor=CalemReqNoApprovalLevelException;

CalemReqNoApprovalLevelException.prototype.toString = function() {return "CalemReqNoApprovalLevelException";}

CalemReqNoApprovalLevelException.prototype.getMessage = 
function() {
	return CalemMsg.getMsg('req_approval_level_not_sufficient');
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemReqBo - business logic
 */
function CalemReqBo() {
}

CalemReqBo._details = ['req_item'];

CalemReqBo.getInstance =
function() {
	if (!CalemReqBo.singleton) {
		CalemReqBo.singleton = new CalemReqBo();
	}
	return CalemReqBo.singleton;
}

//Asset deletion check
CalemReqBo.prototype.canDelete =
function(rec, callback) {
	if (!this.canModify(rec)) {
		callback.run(false);
		return;
	}
	
	var boUtil=CalemBoUtil.getInstance();
	boUtil.canDeleteByLookup(CalemReqBo._details, 'req_id', rec.id, callback);
}

CalemReqBo.prototype.canModify =
function(recReq) {
	var rtn=(recReq.getField('state_id').getRawValue()!='req_state_closed');
	if (!rtn) {
		CalemInfoDialog.showIt(CalemMsg.getMsg('form_req_edit'),CalemMsg.getMsg('req_closed_no_edit'));
	}
	return rtn;
}

//check state compatiability
CalemReqBo.prototype.canSave =
function(baseRow) {
	var rtn=true;
	var stat=baseRow.update['status_id'];
	if (stat=='req_status_voided') {
		var reqPo=baseRow.current['req_on_po_id'];
		if (reqPo && reqPo!='req_on_po_none') {
			rtn=false;
			CalemInfoDialog.showIt(CalemMsg.getMsg('form_req_edit'),CalemMsg.getMsg('req_on_po_no_void'));
		}
	}
	return rtn;
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemReqItemBo - business logic
 */
function CalemReqItemBo() {
}

CalemReqItemBo.getInstance =
function() {
	if (!CalemReqItemBo.singleton) {
		CalemReqItemBo.singleton = new CalemReqItemBo();
	}
	return CalemReqItemBo.singleton;
}

CalemReqItemBo.prototype.canDelete =
function(rec) {
	var rtn=(rec.getField('po_id').getRawValue() ? false : true);
	if (!rtn) {
		CalemInfoDialog.showIt(CalemMsg.getMsg('form_req_edit'),CalemMsg.getMsg('req_item_on_po_no_deletion'));
	}
	return rtn;
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Admin module menu
 */

//Modules Form

// forms
CalemMenuDef['CalemReqFormList'] = {
	id: 'CalemReqFormList',
	title: 'requisition',
	icon: 'CalemReq',
	disIcon: null,
	tooltip: null, 
	enabled: true,		   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};

CalemMenuDef['CalemTbReqStatusLog'] = {
	id: 'CalemTbReqStatusLog',
	title: 'req_view_status_log',
	icon: 'CalemOpen',
	disIcon: null,
	enabled: true,
	tooltip: null, 
	className: 'TBButton',
	onSelect: {CalemMenuSelect: {listener: 'ReqStatusLog'}}	
};

CalemMenuDef['CalemTbReqReopen'] = {
	id: 'CalemTbReqReopen',
	title: 'req_reopen_req',
	icon: 'CalemReopen',
	disIcon: null,
	enabled: true,
	tooltip: null, 
	className: 'TBButton',
	onSelect: {CalemMenuSelect: {listener: 'ReopenReq'}}	
};
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemReqViewList']={
	CalemViewInfo: {
		id: 'CalemReqViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'requisition', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep', 'CalemTbDataRefresh', 'sep2', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: {
						id: 'CalemTbPrint', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{ CalemButtonInfo: {
						id: 'CalemTbPrintCustomize', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'req_no', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Lookup views
 */
CalemViewDef['CalemReqViewLookup']={
	CalemViewInfo: {
		id: 'CalemReqViewLookup',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'requisition', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbSelect', 'CalemTbCancel', 'CalemTbDataRefresh', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbSelect', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'req_no', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemReqViewNew']={
	CalemViewInfo: {
		id: 'CalemReqViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},						             

					{CalemTrInfo: {cols: ['lb_codes']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'requisition', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_codes': {
				CalemLabelInfo: {id: 'sec_requisition_codes', className: 'CalemEditSection'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemReqViewRead']={
	CalemViewInfo: {
		id: 'CalemReqViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},						             

					//Codes
					{CalemTrInfo: {cols: ['lb_codes']}},
					//Last changes
					{CalemTrInfo: {cols: ['lb_last_changes']}}                                                                                                               				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
					{ CalemButtonInfo: { id: 'CalemTbReqReopen' }},
					
					
					{ CalemButtonInfo: {id: 'CalemTbReqStatusLog'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrint',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'requisition', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_codes': {
				CalemLabelInfo: {id: 'sec_requisition_codes', className: 'CalemEditSection'}
			},
			'lb_last_changes': {
				CalemLabelInfo: {id: 'last_changes', className: 'CalemEditSection'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemReqViewEdit']={
	CalemViewInfo: {
		id: 'CalemReqViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},						             

					//Codes
					{CalemTrInfo: {cols: ['lb_codes']}}                                                                                                          				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'requisition', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_codes': {
				CalemLabelInfo: {id: 'sec_requisition_codes', className: 'CalemEditSection'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemReqViewSearch']={
	CalemViewInfo: {
		id: 'CalemReqViewSearch',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},		
               {CalemTrInfo: {cols: ['lb_save_search', '_save_search']}},				             

					//Codes
					{CalemTrInfo: {cols: ['lb_codes']}},
					//Last changes
					{CalemTrInfo: {cols: ['lb_last_changes']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbApplySave', 'sep2', 'CalemTbApply', 'CalemTbSave',  'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	
					   { CalemButtonInfo: {
							 id: 'CalemTbApplySave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
						
						{ CalemButtonInfo: {
							id: 'CalemTbApply', 
							customInfo: {
							  	   CalemMenuCustomInfo: {
							         enabled: false,
							         events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
							  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
					
					
					   
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},   			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'requisition', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_codes': {
				CalemLabelInfo: {id: 'sec_requisition_codes', className: 'CalemEditSection'}
			},
			'lb_last_changes': {
				CalemLabelInfo: {id: 'last_changes', className: 'CalemEditSection'}
			},
			
			'lb_save_search': {
				CalemLabelInfo: {id: 'save_search', className: 'CalemEditSection'}
			},
			'_save_search': {
				CalemSearchSaveInfo: {size: 30}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemReqItemViewList']={
	CalemViewInfo: {
		id: 'CalemReqItemViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'req_item', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'in_id', width: 200}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemReqItemViewNew']={
	CalemViewInfo: {
		id: 'CalemReqItemViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},
               
					{CalemTrInfo: {cols: ['lb_cost']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'req_item', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_cost': {
				CalemLabelInfo: {id: 'sec_requisition_cost', className: 'CalemEditSection'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemReqItemViewEdit']={
	CalemViewInfo: {
		id: 'CalemReqItemViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},
					//Cost
					{CalemTrInfo: {cols: ['lb_cost']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'req_item', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_cost': {
				CalemLabelInfo: {id: 'sec_requisition_cost', className: 'CalemEditSection'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemReqItemViewRead']={
	CalemViewInfo: {
		id: 'CalemReqItemViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},						             
					//Cost
					{CalemTrInfo: {cols: ['lb_cost']}},
					//Last changes
					{CalemTrInfo: {cols: ['lb_last_changes']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'req_item', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_cost': {
				CalemLabelInfo: {id: 'sec_requisition_cost', className: 'CalemEditSection'}
			},
			'lb_last_changes': {
				CalemLabelInfo: {id: 'last_changes', className: 'CalemEditSection'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemReqStatusLogViewList']={
	CalemViewInfo: {
		id: 'CalemReqStatusLogViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'req_status_log', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbOpen', 'CalemTbDataRefresh', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
					
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'to_status_id', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemReqStatusLogViewRead']={
	CalemViewInfo: {
		id: 'CalemReqStatusLogViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'req_status_log', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemReqStatusLogNoteViewNew']={
	CalemViewInfo: {
		id: 'CalemReqStatusLogNoteViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'req_status_log', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 


CalemViewDef['CalemReqReportRead']={
	CalemViewInfo: {
		id: 'CalemReqReportRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, 
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},
               
					{CalemTrInfo: {cols: ['lb_codes']}},
					{CalemTrInfo: {cols: ['lb_cost']}},
					{CalemTrInfo: {cols: ['lb_last_changes']}}                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbPrint', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrint',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'requisition', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_codes': {
				CalemLabelInfo: {id: 'sec_requisition_codes', className: 'CalemEditSection'}
			},
			'lb_cost': {
				CalemLabelInfo: {id: 'sec_requisition_cost', className: 'CalemEditSection'}
			},
			'lb_last_changes': {
				CalemLabelInfo: {id: 'last_changes', className: 'CalemEditSection'}
			}
	}
 } 	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemReqItemReportList']={
	CalemViewInfo: {
		id: 'CalemReqItemReportList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, 
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'req_item', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbCustomize'],
					list: [
				   
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'in_id', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } 	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Req report
 */
CalemItemDef['CalemReqReportMdTab']={
	CalemFormMdTabInfo: {
		id: 'CalemReqReportMdTab',
		title: 'requisition',
		icon: 'CalemReq',
		controller: 'CalemReportMdTab',
		replaceType: CalemItemDef.REPLACE_BY_ID,
		//Three portions of info: layout, model and itemMap.
		layout: {
			CalemMdTabLayoutInfo: {
				tabList: ['tab_main', 'CUSTOMIZE_TAB'],
				tabMap: {
					'tab_main': {CalemTabLayoutInfo: ['CalemReqReportRead']}
				}
			} },
		model: {
				CalemFormModelInfo: {
					master: 'CalemReqReportRead',
			      items: 
			             [
			              //Planned
			              {CalemFormLinkInfo: {id: 'CalemReqItemReportList', link: {CalemFieldMdInfo: {fld: 'req_id', parentFld: 'id'}}} }			              
			             ]
				}
		}, 
		itemMap : {
		  CalemItemMap :{
			 'CalemReqReportRead' : {
			 	CalemFormLayoutInfo: {
			 		id: 'CalemReqReportRead',
			 		fixed: true,
			 		layout: {CalemBlockLayoutInfo: {width: '100%', height: '-2'}}
			 	}
			 },
			 
			 'CalemReqItemReportList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemReqItemReportList',
			 	 	minRow: 5,
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 8}}
			 	 }
			 },
			 
		  'tab_main': {
		  		CalemTabInfo: {id: 'tab_req_main', fixed: 1}
		  },
		  
		  'CUSTOMIZE_TAB' : {
		  		CalemTabInfo: {id: 'CUSTOMIZE_TAB'}
		  }
		  
		  }
		  
		}
	}
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemItemDef['CalemReqReportRead']={
	CalemFormInfo: {
		id: 'CalemReqReportRead',
		title: 'requisition',
		icon: 'CalemReq',
		controller: 'CalemReportRead',
		model: 'requisition', 
		view: {CalemViewRefInfo: {id: 'CalemReqReportRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemItemDef['CalemReqItemReportList']={
	CalemFormInfo: {
		id: 'CalemReqItemReportList',
		title: 'req_item',
		icon: 'CalemWo',
		controller: 'CalemReportListDet',
		model: 'req_item', 
		view: {CalemViewRefInfo: {id: 'CalemReqItemReportList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

function CalemReqStatusLogNoteCollected(table, statusRowInsert, reqRowUpdate) {
	this._table=table;
	this._statusRowInsert=statusRowInsert;
	this._reqRowUpdate = reqRowUpdate;
}

CalemReqStatusLogNoteCollected.prototype.toString = function() {return "CalemReqStatusLogNoteCollected";}

CalemReqStatusLogNoteCollected.prototype.onAction =
function(fm) {
	if (fm.onReqStatusLogNoteCollected) 
		fm.onReqStatusLogNoteCollected(this._table, this._statusRowInsert, this._reqRowUpdate);	
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemReqFormList
 */
function CalemReqFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
}

CalemReqFormList.prototype = new CalemFormList;
CalemReqFormList.prototype.constructor = CalemReqFormList;

CalemReqFormList.prototype.toString = function() { return "CalemReqFormList";}

/**
 * Business APIs
 */
CalemReqFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemReqFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemReqFormList.prototype._onOpen =
function(evt) {
	//Get the selection event
    var item=CalemEvent.getItem(evt);
	//Prepare data for master detail view.
	var data = {modelItem: this._modelItem, item: item};
	//pass-through current data model and selection
	this._openForm('CalemReqFormMdTab', data);
} 

/**
 * Deletion must be handled specially
 */
CalemReqFormList.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemReqBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

//Report
CalemReqFormList.prototype.getReportId =
function() {
	return 'CalemReqReportMdTab';
} 

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemReqFormMdTab
 */
function CalemReqFormMdTab(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormMdTab.call(this, parent, formId, data);
}

CalemReqFormMdTab.prototype = new CalemFormMdTab;
CalemReqFormMdTab.prototype.constructor = CalemReqFormMdTab;

CalemReqFormMdTab.prototype.toString = function() { return "CalemReqFormMdTab";}

/**
 * Business APIs
 */
CalemReqFormMdTab.prototype.onReqStatusLogNoteCollected =
function(table, statusRowInsert, reqRowUpdate) {	
	if (!this._formModel.getFormByModel(table)) return;
	this._formModel.getFormByModel(table).onReqStatusLogNoteCollected(table, statusRowInsert, reqRowUpdate);
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemReqFormRead
 */
function CalemReqFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormRead.call(this, parent, formId, data);
	this._reopenReq = new AjxListener(this, this.onReopenReq);
	this._reqStatusLog=new AjxListener(this, this.onReqStatusLog);
}

CalemReqFormRead.prototype = new CalemFormRead;
CalemReqFormRead.prototype.constructor = CalemReqFormRead;

CalemReqFormRead.prototype.toString = function() { return "CalemReqFormRead";}

/**
 * Business APIs
 */
CalemReqFormRead.prototype._getFormNewId =
function() {
	return 'CalemReqFormNew';
} 

CalemReqFormRead.prototype._getFormEditId =
function() {
	return 'CalemReqFormEdit';
}

/**
 * Deletion must be handled specially
 */
CalemReqFormRead.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemReqBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

//Reopen
CalemReqFormRead.prototype.getReopenReq =
function(evt) {
	return this._reopenReq;
}

//get a change note
CalemReqFormRead.prototype.onReopenReq =
function(evt) {
	var rec=this._dataModel.getCurrentRecord();
	if (!rec.id) return; //Not a valid record.
	if (rec.getField('state_id').getRawValue()!='req_state_closed') {
		CalemInfoDialog.showIt(CalemMsg.getMsg('req_reopen_req'),CalemMsg.getMsg('req_reopen_not_closed'));
		return;
	}
	
	var row=new Object();
	row['req_id']=rec.id;
	row['to_state_id']='req_state_reopen';
	row['from_state_id']=rec.getField('state_id').getRawValue();
	row['to_status_id']=rec.getField('status_id').getRawValue();
	row['from_status_id']=row['to_status_id'];
	this._openEmbedForm('CalemReqStatusLogNoteFormNew', {row: row});
} 

//reopen
CalemReqFormRead.prototype.onReqStatusLogNoteCollected =
function(table, statusRowInsert, reqRowUpdate) {
	var reqRows=this._getReqReopenRows();
	var rows={UpdateData: reqRows, InsertData: statusRowInsert};
	CalemSoapUtil._onSoapCall('ModifyDataTran', rows, this._soapEditTranSaveCallback);
}

CalemReqFormRead.prototype._getReqReopenRows =
function() {
	var rec=this._dataModel.getCurrentRecord();
	//Now let's reopen it by a soap call.
	var tableDd=this._modelItem.getTableDd();
	//prepare current record
	var current=rec.getJsonObject();
	var cRtn=CalemViewUtil.partitionData(tableDd, current);
	//prepare status change
	var update={state_id: 'req_state_reopen'};
	var uRtn=CalemViewUtil.partitionData(tableDd, update);
	//Now also create a query to get the inserted data back if successful for updating front end.
	var tq=tableDd.buildGetOneQuery();
	//Now let's make a soap call with busy signal
	var rows={row_0: {base: {table: tableDd.getTableName(), current: cRtn.base, update: uRtn.base},
	                  custom: {table: tableDd.getCustomTableName(), current: cRtn.custom, update: uRtn.custom},
	                  sql: tq.getSql()} };
	return rows;
}

/**
 * Status log
 */
CalemReqFormRead.prototype.getReqStatusLog =
function() {
	return this._reqStatusLog;
} 

CalemReqFormRead.prototype.onReqStatusLog =
function() {
	var rec=this._dataModel.getCurrentRecord();
	if (!rec.id) return; //not a valid record.
	
	var link=new CalemFieldMdInfo('req_id', 'id');
	var ebInfo=new CalemEmbedInfo(this._parent, 'CalemReqStatusLogFormList', {parentRec: rec, link: link});
	this._embedForm(ebInfo);
}

/**
 * Checking for closed state before editing.
 */
CalemReqFormRead.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemReqBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

CalemReqFormRead.prototype.canEdit =
function() {
	return this._canModify();
}  

CalemReqFormRead.prototype._canModify =
function() {
	var rec=this._dataModel.getCurrentRecord();
	return CalemReqBo.getInstance().canModify(rec);
}

//Cached change event
CalemReqFormRead.prototype.onRecChanged =
function(ev) {
	CalemFormRead.prototype.onRecChanged.call(this, ev);
	var rec=this._modelItem.getCurrentRecord();
	var ev=new CalemParentRecModifiedEvent(this.getId(), rec);
	this.notifyListeners(ev.getType(), ev);
}

//Report
CalemReqFormRead.prototype.getReportId =
function() {
	return 'CalemReqReportMdTab';
} 

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemReqFormNew
 */
function CalemReqFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemReqFormNew.prototype = new CalemFormNew;
CalemReqFormNew.prototype.constructor = CalemReqFormNew;

CalemReqFormNew.prototype.toString = function() { return "CalemReqFormNew";}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemReqFormEdit
 */
function CalemReqFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemReqFormEdit.prototype = new CalemFormEdit;
CalemReqFormEdit.prototype.constructor = CalemReqFormEdit;

CalemReqFormEdit.prototype.toString = function() { return "CalemReqFormEdit";}

CalemReqFormEdit.prototype._onSave =
function(evt) {
	var rows=this._prepareDataEdit();
	var baseRow=rows['row_0'].base;
	if (!CalemReqBo.getInstance().canSave(baseRow)) return;
   //Check for status change or state change
	if (!baseRow.update['status_id'] && !baseRow.update['state_id']) { //No status/state change
		this._onSaveCall(rows); //done.
	} else {//Collect status/state change note
	   var rec=this._dataModel.getCurrentRecord();
		var row=new Object();
		row['req_id']=rec.id;
		row['to_status_id']=baseRow.update['status_id'] || baseRow.current['status_id'];
		row['from_status_id']=baseRow.current['status_id'];
		row['to_state_id']=baseRow.update['state_id'] || baseRow.current['state_id'];
		row['from_state_id']=baseRow.current['state_id'];
		//Terminal state caused the state being closed.
		if (row['to_status_id']=='req_status_approved' || row['to_status_id']=='req_status_voided') {
			row['to_state_id']=='req_state_closed';
			rows['row_0'].base.update['state_id']='req_state_closed';
		}
		//Check for privilege first
		if (baseRow.update['status_id']) {
			var vParams={row_0: {req_id: rec.id, user_id: CalemContext.getInstance().getUserId(),
			         to_status_id: baseRow.update['status_id'],
			         from_status_id: baseRow.current['status_id']}};
			var cb=new AjxCallback(this, this.onVerifyReqStatusChangeCb, {row: row, parentRows: rows});
			CalemSoapUtil._onSoapCall('VerifyReqStatusChange', vParams, cb);
		} else {
			this.collectStatusChangeNote({row: row, parentRows: rows});
		}
	}
} 

CalemReqFormEdit.prototype.collectStatusChangeNote =
function(param) {
	this._openEmbedForm('CalemReqStatusLogNoteFormNew', param);
}

CalemReqFormEdit.prototype.onVerifyReqStatusChangeCb =
function(param, resp) {
	var rowResp=resp[0];
	if (rowResp.status == CalemForm.SOAP_SUCC) {
		this.collectStatusChangeNote(param);		
	} else { //Need to display error.
		this._onSoapResponseException(rowResp);
	}
}

CalemReqFormEdit.prototype.onReqStatusLogNoteCollected =
function(table, statusRowInsert, reqRowUpdate) {
	var rows={UpdateData: reqRowUpdate, InsertData: statusRowInsert};
	CalemSoapUtil._onSoapCall('ModifyDataTran', rows, this._soapEditTranSaveCallback);
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemReqFormLookup
 */
function CalemReqFormLookup(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormLookup.call(this, parent, formId, data);
}

CalemReqFormLookup.prototype = new CalemFormLookup;
CalemReqFormLookup.prototype.constructor = CalemReqFormLookup;

CalemReqFormLookup.prototype.toString = function() { return "CalemReqFormLookup";}

/**
 * Business APIs
 */
CalemReqFormLookup.prototype._getFormNewId =
function() {
   return 'CalemReqFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemReqFormLookup.prototype._getFormReadId =
function(evt) {
	return 'CalemReqFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemReqItemFormList
 */
function CalemReqItemFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
}

CalemReqItemFormList.prototype = new CalemFormListDet;
CalemReqItemFormList.prototype.constructor = CalemReqItemFormList;

CalemReqItemFormList.prototype.toString = function() { return "CalemReqItemFormList";}

/**
 * Business APIs
 */
CalemReqItemFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemReqItemFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemReqItemFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemReqItemFormRead';
} 

CalemReqItemFormList.prototype.canCreate =
function() {
	return this._canModify();
} 

CalemReqItemFormList.prototype.canDelete =
function(evt) {
	var rec=CalemEvent.getItem(evt); //Event might be changed...
	//Is Req closed?
	if (!this._canModify()) return false;
	//Is item on PO
	return CalemReqItemBo.getInstance().canDelete(rec);
}

CalemReqItemFormList.prototype._canModify =
function() {
	var rec=this._dataModel.getParentRec();
	return CalemReqBo.getInstance().canModify(rec);
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemReqItemFormNew
 */
function CalemReqItemFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemReqItemFormNew.prototype = new CalemFormNew;
CalemReqItemFormNew.prototype.constructor = CalemReqItemFormNew;

CalemReqItemFormNew.prototype.toString = function() { return "CalemReqItemFormNew";}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemReqItemFormEdit
 */
function CalemReqItemFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemReqItemFormEdit.prototype = new CalemFormEdit;
CalemReqItemFormEdit.prototype.constructor = CalemReqItemFormEdit;

CalemReqItemFormEdit.prototype.toString = function() { return "CalemReqItemFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemReqItemFormRead
 */
function CalemReqItemFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemReqItemFormRead.prototype = new CalemFormReadDet;
CalemReqItemFormRead.prototype.constructor = CalemReqItemFormRead;

CalemReqItemFormRead.prototype.toString = function() { return "CalemReqItemFormRead";}

/**
 * Business APIs
 */
CalemReqItemFormRead.prototype._getFormNewId =
function() {
	return 'CalemReqItemFormNew';
} 

CalemReqItemFormRead.prototype._getFormEditId =
function() {
	return 'CalemReqItemFormEdit';
}

CalemReqItemFormRead.prototype.canCreate =
function() {
	return this._canModify();
} 

CalemReqItemFormRead.prototype.canEdit =
function() {
	return this._canModify();
} 

CalemReqItemFormRead.prototype.canDelete =
function(evt) {
	var rec=CalemEvent.getItem(evt); //Event might be changed...
	//Is Req closed?
	if (!this._canModify()) return false;
	//Is item on PO
	return CalemReqItemBo.getInstance().canDelete(rec);
} 

CalemReqItemFormRead.prototype._canModify =
function() {
	var rec=this._dataModel.getParentRec();
	return CalemReqBo.getInstance().canModify(rec);
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemReqStatusLogFormList
 */
function CalemReqStatusLogFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDetNoMd.call(this, parent, formId, data);
}

CalemReqStatusLogFormList.prototype = new CalemFormListDetNoMd;
CalemReqStatusLogFormList.prototype.constructor = CalemReqStatusLogFormList;

CalemReqStatusLogFormList.prototype.toString = function() { return "CalemReqStatusLogFormList";}

/**
 * Business APIs
 */
CalemReqStatusLogFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemReqStatusLogFormRead';
} 

//D not cache this form
CalemReqStatusLogFormList.prototype.getCacheEmbedOnClose =
function() {
	return false; //close down upon close.
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemReqStatusLogFormRead
 */
function CalemReqStatusLogFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemReqStatusLogFormRead.prototype = new CalemFormReadDet;
CalemReqStatusLogFormRead.prototype.constructor = CalemReqStatusLogFormRead;

CalemReqStatusLogFormRead.prototype.toString = function() { return "CalemReqStatusLogFormRead";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemReqStatusLogNoteFormNew
 */
function CalemReqStatusLogNoteFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemReqStatusLogNoteFormNew.prototype = new CalemFormNew;
CalemReqStatusLogNoteFormNew.prototype.constructor = CalemReqStatusLogNoteFormNew;

CalemReqStatusLogNoteFormNew.prototype.toString = function() { return "CalemReqStatusLogNoteFormNew";}
 
/**
 * Initialize data for the transaction
 */
CalemReqStatusLogNoteFormNew.prototype._createDataModel =
function(data) {
	CalemFormNew.prototype._createDataModel.call(this);
	this._instantiate(data);
}

CalemReqStatusLogNoteFormNew.prototype._instantiate =
function(data) {
	this._parentRows=data.parentRows;
	this._row=data.row;
}

CalemReqStatusLogNoteFormNew.prototype._loadData =
function() {
	this._dataModel.createNewRecord();
	var rec=this._dataModel.getCurrentRecord();
	rec.getField('changed_by_id').setRawValue(CalemContext.getInstance().getUserId());
	rec.getField('to_status_id').setRawValue(this._row['to_status_id']);
	rec.getField('from_status_id').setRawValue(this._row['from_status_id']);
	rec.getField('to_state_id').setRawValue(this._row['to_state_id']);
	rec.getField('from_state_id').setRawValue(this._row['from_state_id']);
	this.onDataLoaded(); //Mimic a callback so form opening can continue.
} 

CalemReqStatusLogNoteFormNew.prototype._render =
function() {
	CalemFormNew.prototype._render.call(this);
	this._setFieldsReadOnly(['to_status_id', 'from_status_id', 'to_state_id', 'from_state_id', 'changed_by_id']);
}

//save handling.
CalemReqStatusLogNoteFormNew.prototype._onSave = 
function() {
	var rows=this._prepareDataNew();
	this._closeAndResumeParentForm(new CalemReqStatusLogNoteCollected('requisition', rows, this._parentRows));
}

CalemReqStatusLogNoteFormNew.prototype._getInputDataRow =
function() {
	var row=CalemFormNew.prototype._getInputDataRow.call(this);
	//add in more info
	row['req_id']=this._row['req_id'];
	return row;
}

//D not cache this form
CalemReqStatusLogNoteFormNew.prototype.getCacheEmbedOnClose =
function() {
	return false; //close down upon close.
}
 /*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * forms
 */
CalemItemDef['CalemReqFormList']={
	CalemFormInfo: {
		id: 'CalemReqFormList',
		title: 'requisition_list',
		icon: 'CalemReq',
		controller: 'CalemReqFormList',
		model: 'requisition', 
		view: {CalemViewRefInfo: {id: 'CalemReqViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemReqFormSearch'
	}
}

CalemItemDef['CalemReqFormLookup']={
	CalemFormInfo: {
		id: 'CalemReqFormLookup',
		title: 'requisition',
		icon: 'CalemReq',
		controller: 'CalemReqFormLookup',
		model: 'requisition', 
		view: {CalemViewRefInfo: {id: 'CalemReqViewLookup'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemReqFormSearch'
	}
}

CalemItemDef['CalemReqFormNew']={
	CalemFormInfo: {
		id: 'CalemReqFormNew',
		title: 'requisition',
		icon: 'CalemReq',
		controller: 'CalemReqFormNew',
		model: 'requisition', 
		view: {CalemViewRefInfo: {id: 'CalemReqViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemReqFormEdit']={
	CalemFormInfo: {
		id: 'CalemReqFormEdit',
		title: 'requisition',
		icon: 'CalemReq',
		controller: 'CalemReqFormEdit',
		model: 'requisition', 
   	view: {CalemViewRefInfo: {id: 'CalemReqViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemReqFormRead']={
	CalemFormInfo: {
		id: 'CalemReqFormRead',
		title: 'requisition',
		icon: 'CalemReq',
		controller: 'CalemReqFormRead',
		model: 'requisition', 
		view: {CalemViewRefInfo: {id: 'CalemReqViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemReqFormSearch']={
	CalemFormInfo: {
		id: 'CalemReqFormSearch',
		title: 'requisition',
		icon: 'CalemReq',
		controller: 'CalemFormSearchEdit',
		model: 'requisition', 
		view: {CalemViewRefInfo: {id: 'CalemReqViewSearch'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemReqFormMdTab']={
	CalemFormMdTabInfo: {
		id: 'CalemReqFormMdTab',
		title: 'requisition',
		icon: 'CalemReq',
		replaceType: CalemItemDef.REPLACE_BY_ID,
		//Three portions of info: layout, model and itemMap.
		layout: {
			CalemMdTabLayoutInfo: {
				tabList: ['tab_main', 'tab_item', 'CUSTOMIZE_TAB'],
				tabMap: {
					'tab_main': {CalemTabLayoutInfo: ['CalemReqFormRead']},
					'tab_item' : {CalemTabLayoutInfo: ['CalemReqItemFormList']}
				}
			} },
		model: {
				CalemFormModelInfo: {
					master: 'CalemReqFormRead',
			      items: 
			             [{CalemFormLinkInfo: {id: 'CalemReqItemFormList', link: {CalemFieldMdInfo: {fld: 'req_id', parentFld: 'id'}}} }
			             ]
				}
		}, 
		itemMap : { //Default layout conf.
		  CalemItemMap :{
			 'CalemReqFormRead' : {
			 	CalemFormLayoutInfo: {
			 		id: 'CalemReqFormRead',
			 		fixed: true, //Move not allowed.
			 		layout: {CalemBlockLayoutInfo: {width: '100%', height: '-2'}}
			 	}
			 },
			 
			 'CalemReqItemFormList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemReqItemFormList',
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 14}}
			 	 }
			 },
			 
		  'tab_main': {
		  		CalemTabInfo: {id: 'tab_req_main', fixed: 1}
		  },
		  
		  'tab_item': {
		  		CalemTabInfo: {id: 'tab_req_item'}
		  },
		  
		  'CUSTOMIZE_TAB' : {
		  		CalemTabInfo: {id: 'CUSTOMIZE_TAB'}
		  }
		  
		  }
		  
		} //itemMap
	} //MdTabInfo
}

/**
 * Item
 */
CalemItemDef['CalemReqItemFormList']={
	CalemFormInfo: {
		id: 'CalemReqItemFormList',
		title: 'req_item',
		icon: 'CalemReq',
		controller: 'CalemReqItemFormList',
		model: 'req_item', 
		view: {CalemViewRefInfo: {id: 'CalemReqItemViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemReqItemFormNew']={
	CalemFormInfo: {
		id: 'CalemReqItemFormNew',
		title: 'req_item',
		icon: 'CalemReq',
		controller: 'CalemReqItemFormNew',
		model: 'req_item', 
		view: {CalemViewRefInfo: {id: 'CalemReqItemViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemReqItemFormEdit']={
	CalemFormInfo: {
		id: 'CalemReqItemFormEdit',
		title: 'req_item',
		icon: 'CalemReq',
		controller: 'CalemReqItemFormEdit',
		model: 'req_item', 
   	view: {CalemViewRefInfo: {id: 'CalemReqItemViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemReqItemFormRead']={
	CalemFormInfo: {
		id: 'CalemReqItemFormRead',
		title: 'req_item',
		icon: 'CalemReq',
		controller: 'CalemReqItemFormRead',
		model: 'req_item', 
		view: {CalemViewRefInfo: {id: 'CalemReqItemViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

//Req status
CalemItemDef['CalemReqStatusLogFormList']={
	CalemFormInfo: {
		id: 'CalemReqStatusLogFormList',
		title: 'req_status_log',
		icon: 'CalemReq',
		controller: 'CalemReqStatusLogFormList',
		model: 'req_status_log', 
		view: {CalemViewRefInfo: {id: 'CalemReqStatusLogViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemReqStatusLogFormRead']={
	CalemFormInfo: {
		id: 'CalemReqStatusLogFormRead',
		title: 'req_status_log',
		icon: 'CalemReq',
		controller: 'CalemReqStatusLogFormRead',
		model: 'req_status_log', 
		view: {CalemViewRefInfo: {id: 'CalemReqStatusLogViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemReqStatusLogNoteFormNew']={
	CalemFormInfo: {
		id: 'CalemReqStatusLogNoteFormNew',
		title: 'req_status_log',
		icon: 'CalemReq',
		controller: 'CalemReqStatusLogNoteFormNew',
		model: 'req_status_log', 
		view: {CalemViewRefInfo: {id: 'CalemReqStatusLogNoteViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Admin module
 */
CalemModuleDef["modCalemReq"]= {
	CalemModuleInfo: {
      id:"modCalemReq",
      icon:"CalemReq",
      defaultMenu: 'CalemReqFormList',
      toolBar: {
        CalemToolBarInfo: {
        	  type: 'CalemToolBar',
        	  layout: ['modCalemReq', 'sep', 'CalemReqFormList'],
        	  list: [
	         {CalemLabelInfo: {id: 'modCalemReq', className: 'CalemModuleLabel'}},
	         
	         {CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
	         
	         {CalemMenuItemInfo: {id: 'CalemReqFormList'}}
	      ] }
	}
	}
};

//Build Calem.js from client
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 


/**
 * CalemPoStatusChangeNotAllowedException
 */
function CalemPoStatusChangeNotAllowedException(table, errorInfo) {
	if (arguments.length==0) return;
	CalemErrorInfo.call(this, table, errorInfo);
}

CalemPoStatusChangeNotAllowedException.prototype = new CalemErrorInfo;
CalemPoStatusChangeNotAllowedException.prototype.constructor=CalemPoStatusChangeNotAllowedException;

CalemPoStatusChangeNotAllowedException.prototype.toString = function() {return "CalemPoStatusChangeNotAllowedException";}

CalemPoStatusChangeNotAllowedException.prototype.getMessage = 
function() {
	return CalemMsg.getMsg('po_status_change_not_allowed');
}


/**
 * CalemPoNoApprovalLevelException
 */
function CalemPoNoApprovalLevelException(table, errorInfo) {
	if (arguments.length==0) return;
	CalemErrorInfo.call(this, table, errorInfo);
}

CalemPoNoApprovalLevelException.prototype = new CalemErrorInfo;
CalemPoNoApprovalLevelException.prototype.constructor=CalemPoNoApprovalLevelException;

CalemPoNoApprovalLevelException.prototype.toString = function() {return "CalemPoNoApprovalLevelException";}

CalemPoNoApprovalLevelException.prototype.getMessage = 
function() {
	return CalemMsg.getMsg('po_approval_level_not_sufficient');
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPoBo - business logic
 */
function CalemPoBo() {
}

CalemPoBo._details = ['po_item'];

CalemPoBo.getInstance =
function() {
	if (!CalemPoBo.singleton) {
		CalemPoBo.singleton = new CalemPoBo();
	}
	return CalemPoBo.singleton;
}

//Asset deletion check
CalemPoBo.prototype.canDelete =
function(rec, callback) {
	if (!this.canModify(rec) || !this.canDeleteStatus(rec) ) {
		callback.run(false);
		return;
	}
	
	var boUtil=CalemBoUtil.getInstance();
	boUtil.canDeleteByLookup(CalemPoBo._details, 'po_id', rec.id, callback);
}

CalemPoBo.prototype.canDeleteStatus =
function(rec) {
	var rtn=true;
	var status=rec.getField('status_id').getRawValue();
	if (status=='po_status_submitted' || status=='po_status_acked') {
		CalemInfoDialog.showIt(CalemMsg.getMsg('form_po_delete'),CalemMsg.getMsg('po_submitted_no_deletion'));
		rtn=false;
	}
	return rtn;
}

CalemPoBo.prototype.canModify =
function(rec) {
	//Must not be closed
	var rtn=(rec.getField('state_id').getRawValue()!='po_state_closed');
	if (!rtn) {
		CalemInfoDialog.showIt(CalemMsg.getMsg('form_po_edit'),CalemMsg.getMsg('po_closed_no_edit'));
	}
	return rtn;
}

//check state compatiability
CalemPoBo.prototype.canSave =
function(baseRow) {
	var rtn=true;
	var stat=baseRow.update['status_id'];
	if (stat=='po_status_voided') {
		var old=baseRow.current['status_id'];
		if (old=='po_status_submitted' || old=='po_status_acked') {
			rtn=false;
			CalemInfoDialog.showIt(CalemMsg.getMsg('form_po_edit'),CalemMsg.getMsg('po_submitted_no_void'));
		}
	}
	return rtn;
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTaxCodeBo - business logic
 */
function CalemTaxCodeBo() {
}

CalemTaxCodeBo._details = ['vendor', 'tax_rate'];

CalemTaxCodeBo.getInstance =
function() {
	if (!CalemTaxCodeBo.singleton) {
		CalemTaxCodeBo.singleton = new CalemTaxCodeBo();
	}
	return CalemTaxCodeBo.singleton;
}

//Asset deletion check
CalemTaxCodeBo.prototype.canDelete =
function(rec, callback) {
	var boUtil=CalemBoUtil.getInstance();
	boUtil.canDeleteByLookup(CalemTaxCodeBo._details, 'tax_code_id', rec.id, callback);
}


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPoAddressBo - business logic
 */
function CalemPoAddressBo() {
}

CalemPoAddressBo._details = [{table: 'po', fld: 'shipping_addr_id'}, {table: 'po', fld: 'billing_addr_id'}];

CalemPoAddressBo.getInstance =
function() {
	if (!CalemPoAddressBo.singleton) {
		CalemPoAddressBo.singleton = new CalemPoAddressBo();
	}
	return CalemPoAddressBo.singleton;
}

//Asset deletion check
CalemPoAddressBo.prototype.canDelete =
function(rec, callback) {
	var boUtil=CalemBoUtil.getInstance();
	boUtil.canDeleteByLookup(CalemPoAddressBo._details, 'addr_id', rec.id, callback);
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Admin module menu
 */

//Modules Form

// forms
CalemMenuDef['CalemPoFormList'] = {
	id: 'CalemPoFormList',
	title: 'po_list',
	icon: 'CalemPo',
	disIcon: null,
	tooltip: null, 
	enabled: true,		   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};

CalemMenuDef['CalemPoMineFormList'] = {
	id: 'CalemPoMineFormList',
	title: 'po_mine',
	icon: 'CalemPo',
	disIcon: null,
	tooltip: null, 
	enabled: true,		   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};

//tax code
CalemMenuDef['CalemTaxCodeFormList'] = {
	id: 'CalemTaxCodeFormList',
	title: 'tax_code',
	icon: 'CalemPo',
	disIcon: null,
	tooltip: null, 
	enabled: true,		   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};

//poAddress
CalemMenuDef['CalemPoAddressFormList'] = {
	id: 'CalemPoAddressFormList',
	title: 'po_address',
	icon: 'CalemPo',
	disIcon: null,
	tooltip: null, 
	enabled: true,		   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};

CalemMenuDef['CalemTbPoStatusLog'] = {
	id: 'CalemTbPoStatusLog',
	title: 'po_view_status_log',
	icon: 'CalemOpen',
	disIcon: null,
	enabled: true,
	tooltip: null, 
	className: 'TBButton',
	onSelect: {CalemMenuSelect: {listener: 'PoStatusLog'}}	
};

CalemMenuDef['CalemTbPoReopen'] = {
	id: 'CalemTbPoReopen',
	title: 'po_reopen_po',
	icon: 'CalemReopen',
	disIcon: null,
	enabled: true,
	tooltip: null, 
	className: 'TBButton',
	onSelect: {CalemMenuSelect: {listener: 'ReopenPo'}}	
};

CalemMenuDef['CalemTbPoAddItem'] = {
	id: 'CalemTbPoAddItem',
	title: 'po_add_item',
	icon: 'CalemPoItemAdd',
	disIcon: null,
	enabled: true,
	tooltip: null, 
	className: 'TBButton',
	onSelect: {CalemMenuSelect: {listener: 'PoAddItem'}}	
};

CalemMenuDef['CalemTbPoRemoveItem'] = {
	id: 'CalemTbPoRemoveItem',
	title: 'po_remove_item',
	icon: 'CalemPoItemRemove',
	disIcon: null,
	enabled: true,
	tooltip: null, 
	className: 'TBButton',
	onSelect: {CalemMenuSelect: {listener: 'PoRemoveItem'}}	
};

CalemMenuDef['CalemPoOpenForms'] = {
	id: 'CalemPoOpenForms',
	title: 'po_open_forms',
	icon: 'CalemOpen',
	disIcon: null,
	tooltip: null,
	enabled: true,				   
	onSelect: null	
}; 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemPoViewList']={
	CalemViewInfo: {
		id: 'CalemPoViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'po', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep', 'CalemTbDataRefresh', 'sep2', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: {
						id: 'CalemTbPrint', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{ CalemButtonInfo: {
						id: 'CalemTbPrintCustomize', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'po_no', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemPoMineViewList']={
	CalemViewInfo: {
		id: 'CalemPoMineViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'po', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep', 'CalemTbDataRefresh', 'sep2', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: {
						id: 'CalemTbPrint', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{ CalemButtonInfo: {
						id: 'CalemTbPrintCustomize', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'po_no', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Lookup views
 */
CalemViewDef['CalemPoViewLookup']={
	CalemViewInfo: {
		id: 'CalemPoViewLookup',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'po', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbSelect', 'CalemTbCancel', 'CalemTbDataRefresh', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					{ CalemButtonInfo: {
						id: 'CalemTbPrint', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbSelect', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'po_no', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPoViewNew']={
	CalemViewInfo: {
		id: 'CalemPoViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},						             

					{CalemTrInfo: {cols: ['lb_vendor']}},
					{CalemTrInfo: {cols: ['lb_buyer']}},
					{CalemTrInfo: {cols: ['lb_cost']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'po', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_vendor': {
				CalemLabelInfo: {id: 'sec_po_vendor', className: 'CalemEditSection'}
			},
			'lb_buyer': {
				CalemLabelInfo: {id: 'sec_po_buyer', className: 'CalemEditSection'}
			},
			'lb_cost': {
				CalemLabelInfo: {id: 'sec_po_cost', className: 'CalemEditSection'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPoViewRead']={
	CalemViewInfo: {
		id: 'CalemPoViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},						             

					{CalemTrInfo: {cols: ['lb_vendor']}},
					{CalemTrInfo: {cols: ['lb_buyer']}},
					{CalemTrInfo: {cols: ['lb_cost']}},
					//Last changes
					{CalemTrInfo: {cols: ['lb_last_changes']}}                                                                                                               				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
					{ CalemButtonInfo: { id: 'CalemTbPoReopen' }},
					
					
					{ CalemButtonInfo: {id: 'CalemTbPoStatusLog'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrint',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'po', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_vendor': {
				CalemLabelInfo: {id: 'sec_po_vendor', className: 'CalemEditSection'}
			},
			'lb_buyer': {
				CalemLabelInfo: {id: 'sec_po_buyer', className: 'CalemEditSection'}
			},
			'lb_cost': {
				CalemLabelInfo: {id: 'sec_po_cost', className: 'CalemEditSection'}
			},
			'lb_last_changes': {
				CalemLabelInfo: {id: 'last_changes', className: 'CalemEditSection'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPoViewEdit']={
	CalemViewInfo: {
		id: 'CalemPoViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},						             

					{CalemTrInfo: {cols: ['lb_vendor']}},
					{CalemTrInfo: {cols: ['lb_buyer']}},
					{CalemTrInfo: {cols: ['lb_cost']}}                                                                                                         				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'po', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_vendor': {
				CalemLabelInfo: {id: 'sec_po_vendor', className: 'CalemEditSection'}
			},
			'lb_buyer': {
				CalemLabelInfo: {id: 'sec_po_buyer', className: 'CalemEditSection'}
			},
			'lb_cost': {
				CalemLabelInfo: {id: 'sec_po_cost', className: 'CalemEditSection'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPoViewSearch']={
	CalemViewInfo: {
		id: 'CalemPoViewSearch',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},		
               {CalemTrInfo: {cols: ['lb_save_search', '_save_search']}},				             

					{CalemTrInfo: {cols: ['lb_vendor']}},
					{CalemTrInfo: {cols: ['lb_buyer']}},
					{CalemTrInfo: {cols: ['lb_cost']}},
					//Last changes
					{CalemTrInfo: {cols: ['lb_last_changes']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbApplySave', 'sep2', 'CalemTbApply', 'CalemTbSave',  'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	
					   { CalemButtonInfo: {
							 id: 'CalemTbApplySave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
						
						{ CalemButtonInfo: {
							id: 'CalemTbApply', 
							customInfo: {
							  	   CalemMenuCustomInfo: {
							         enabled: false,
							         events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
							  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
					
					
					   
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},   			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'po', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_vendor': {
				CalemLabelInfo: {id: 'sec_po_vendor', className: 'CalemEditSection'}
			},
			'lb_buyer': {
				CalemLabelInfo: {id: 'sec_po_buyer', className: 'CalemEditSection'}
			},
			'lb_cost': {
				CalemLabelInfo: {id: 'sec_po_cost', className: 'CalemEditSection'}
			},
			'lb_last_changes': {
				CalemLabelInfo: {id: 'last_changes', className: 'CalemEditSection'}
			},
			
			'lb_save_search': {
				CalemLabelInfo: {id: 'save_search', className: 'CalemEditSection'}
			},
			'_save_search': {
				CalemSearchSaveInfo: {size: 30}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemPoItemViewList']={
	CalemViewInfo: {
		id: 'CalemPoItemViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'po_item', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbPoAddItem', 'CalemTbOpen', 'CalemTbDelete', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{CalemButtonInfo: {id: 'CalemTbPoAddItem'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: {
						id: 'CalemTbPoRemoveItem', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'in_id', width: 200}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPoItemViewNew']={
	CalemViewInfo: {
		id: 'CalemPoItemViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'po_item', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemPoItemViewEdit']={
	CalemViewInfo: {
		id: 'CalemPoItemViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'po_item', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPoItemViewRead']={
	CalemViewInfo: {
		id: 'CalemPoItemViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},
					//Last changes
					{CalemTrInfo: {cols: ['lb_last_changes']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'po_item', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_last_changes': {
				CalemLabelInfo: {id: 'last_changes', className: 'CalemEditSection'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Lookup views
 */
CalemViewDef['CalemPoItemAddViewLookup']={
	CalemViewInfo: {
		id: 'CalemPoItemAddViewLookup',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'req_item', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbSelect', 'CalemTbCancel', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbSelect', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'req_id', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPoItemAddViewSearch']={
	CalemViewInfo: {
		id: 'CalemPoItemAddViewSearch',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},		
               {CalemTrInfo: {cols: ['lb_save_search', '_save_search']}}                                                                                                 				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbApplySave', 'sep2', 'CalemTbApply', 'CalemTbSave',  'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	
					   { CalemButtonInfo: {
							 id: 'CalemTbApplySave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
						
						{ CalemButtonInfo: {
							id: 'CalemTbApply', 
							customInfo: {
							  	   CalemMenuCustomInfo: {
							         enabled: false,
							         events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
							  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
					
					
					   
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},   			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'req_item', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			
			'lb_save_search': {
				CalemLabelInfo: {id: 'save_search', className: 'CalemEditSection'}
			},
			'_save_search': {
				CalemSearchSaveInfo: {size: 30}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Lookup views
 */
CalemViewDef['CalemPoItemRemoveViewLookup']={
	CalemViewInfo: {
		id: 'CalemPoItemRemoveViewLookup',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'req_item', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbSelect', 'CalemTbCancel', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbSelect', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'req_id', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemPoStatusLogViewList']={
	CalemViewInfo: {
		id: 'CalemPoStatusLogViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'po_status_log', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbOpen', 'CalemTbDataRefresh', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
					
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'to_status_id', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPoStatusLogViewRead']={
	CalemViewInfo: {
		id: 'CalemPoStatusLogViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'req_status_log', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPoStatusLogNoteViewNew']={
	CalemViewInfo: {
		id: 'CalemPoStatusLogNoteViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'req_status_log', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemTaxCodeViewList']={
	CalemViewInfo: {
		id: 'CalemTaxCodeViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'tax_code', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep', 'sep2', 'CalemTbCustomize'],
					list: [
				   //New
					{CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'tax_code', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Lookup views
 */
CalemViewDef['CalemTaxCodeViewLookup']={
	CalemViewInfo: {
		id: 'CalemTaxCodeViewLookup',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, 
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'tax_code', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbSelect', 'CalemTbCancel', 'CalemTbDataRefresh', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					{ CalemButtonInfo: {
						id: 'CalemTbPrint', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbSelect', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'tax_code', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemTaxCodeViewNew']={
	CalemViewInfo: {
		id: 'CalemTaxCodeViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 2}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}		                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbCancel'
					  }
					},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}	
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'tax_code', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemTaxCodeViewRead']={
	CalemViewInfo: {
		id: 'CalemTaxCodeViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}}					                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'sep', 'CalemTbPrev', 'CalemTbNext','CalemTbBudgetUpdate', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'tax_code', className: 'CalemEditCaption'}
			}	
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemTaxCodeViewEdit']={
	CalemViewInfo: {
		id: 'CalemTaxCodeViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 2}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}					                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [		  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
					
					{ CalemButtonInfo: {
						id: 'CalemTbCancel'
					  }
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'tax_code', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemTaxCodeViewSearch']={
	CalemViewInfo: {
		id: 'CalemTaxCodeViewSearch',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},		
               {CalemTrInfo: {cols: ['lb_save_search', '_save_search']}}                                                                                                 				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbApplySave', 'sep2', 'CalemTbApply', 'CalemTbSave',  'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	
					   { CalemButtonInfo: {
							 id: 'CalemTbApplySave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
						
						{ CalemButtonInfo: {
							id: 'CalemTbApply', 
							customInfo: {
							  	   CalemMenuCustomInfo: {
							         enabled: false,
							         events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
							  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
					
					
					   
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},   			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'tax_code', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			
			'lb_save_search': {
				CalemLabelInfo: {id: 'save_search', className: 'CalemEditSection'}
			},
			'_save_search': {
				CalemSearchSaveInfo: {size: 30}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemTaxRateViewList']={
	CalemViewInfo: {
		id: 'CalemTaxRateViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'tax_rate', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep', 'sep2', 'CalemTbCustomize'],
					list: [
				   //New
					{CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
											  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'tax_rate', width: 110}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemTaxRateViewNew']={
	CalemViewInfo: {
		id: 'CalemTaxRateViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbCancel'
					  }
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}	
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'tax_rate', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemTaxRateViewEdit']={
	CalemViewInfo: {
		id: 'CalemTaxRateViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'tax_rate', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemTaxRateViewRead']={
	CalemViewInfo: {
		id: 'CalemTaxRateViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},						             
					//Last changes
					{CalemTrInfo: {cols: ['lb_last_changes']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'tax_rate', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_last_changes': {
				CalemLabelInfo: {id: 'last_changes', className: 'CalemEditSection'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemPoAddressViewList']={
	CalemViewInfo: {
		id: 'CalemPoAddressViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'address', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep', 'CalemTbPrint', 'sep2', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel' }},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'address', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Lookup views
 */
CalemViewDef['CalemPoAddressViewLookup']={
	CalemViewInfo: {
		id: 'CalemPoAddressViewLookup',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'address', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbSelect', 'CalemTbCancel', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					{ CalemButtonInfo: {
						id: 'CalemTbPrint', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbSelect', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'address', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPoAddressViewNew']={
	CalemViewInfo: {
		id: 'CalemPoAddressViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'address', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPoAddressViewRead']={
	CalemViewInfo: {
		id: 'CalemPoAddressViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                            				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'address', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPoAddressViewEdit']={
	CalemViewInfo: {
		id: 'CalemPoAddressViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                         				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'address', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemPoAddressViewSearch']={
	CalemViewInfo: {
		id: 'CalemPoAddressViewSearch',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},		
               {CalemTrInfo: {cols: ['lb_save_search', '_save_search']}}                                                                                                 				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbApplySave', 'sep2', 'CalemTbApply', 'CalemTbSave',  'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	
					   { CalemButtonInfo: {
							 id: 'CalemTbApplySave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
						
						{ CalemButtonInfo: {
							id: 'CalemTbApply', 
							customInfo: {
							  	   CalemMenuCustomInfo: {
							         enabled: false,
							         events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
							  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
					
					
					   
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},   			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'address', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			
			'lb_save_search': {
				CalemLabelInfo: {id: 'save_search', className: 'CalemEditSection'}
			},
			'_save_search': {
				CalemSearchSaveInfo: {size: 30}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 


CalemViewDef['CalemPoReportRead']={
	CalemViewInfo: {
		id: 'CalemPoReportRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, 
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},
               
					{CalemTrInfo: {cols: ['lb_cost']}},
					{CalemTrInfo: {cols: ['lb_last_changes']}}                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbPrint', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrint',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'po', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_cost': {
				CalemLabelInfo: {id: 'sec_po_cost', className: 'CalemEditSection'}
			},
			'lb_last_changes': {
				CalemLabelInfo: {id: 'last_changes', className: 'CalemEditSection'}
			}
	}
 } 	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemPoItemReportList']={
	CalemViewInfo: {
		id: 'CalemPoItemReportList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, 
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'po_item', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbCustomize'],
					list: [
				   
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'in_id', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } 	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Req report
 */
CalemItemDef['CalemPoReportMdTab']={
	CalemFormMdTabInfo: {
		id: 'CalemPoReportMdTab',
		title: 'po',
		icon: 'CalemPo',
		controller: 'CalemReportMdTab',
		replaceType: CalemItemDef.REPLACE_BY_ID,
		//Three portions of info: layout, model and itemMap.
		layout: {
			CalemMdTabLayoutInfo: {
				tabList: ['tab_main', 'CUSTOMIZE_TAB'],
				tabMap: {
					'tab_main': {CalemTabLayoutInfo: ['CalemPoReportRead']}
				}
			} },
		model: {
				CalemFormModelInfo: {
					master: 'CalemPoReportRead',
			      items: 
			             [
			              //Planned
			              {CalemFormLinkInfo: {id: 'CalemPoItemReportList', link: {CalemFieldMdInfo: {fld: 'po_id', parentFld: 'id'}}} }			              
			             ]
				}
		}, 
		itemMap : {
		  CalemItemMap :{
			 'CalemPoReportRead' : {
			 	CalemFormLayoutInfo: {
			 		id: 'CalemPoReportRead',
			 		fixed: true,
			 		layout: {CalemBlockLayoutInfo: {width: '100%', height: '-2'}}
			 	}
			 },
			 
			 'CalemPoItemReportList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemPoItemReportList',
			 	 	minRow: 5,
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 8}}
			 	 }
			 },
			 
		  'tab_main': {
		  		CalemTabInfo: {id: 'tab_po_main', fixed: 1}
		  },
		  
		  'CUSTOMIZE_TAB' : {
		  		CalemTabInfo: {id: 'CUSTOMIZE_TAB'}
		  }
		  
		  }
		  
		}
	}
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemItemDef['CalemPoReportRead']={
	CalemFormInfo: {
		id: 'CalemPoReportRead',
		title: 'po',
		icon: 'CalemPo',
		controller: 'CalemReportRead',
		model: 'po', 
		view: {CalemViewRefInfo: {id: 'CalemPoReportRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemItemDef['CalemPoItemReportList']={
	CalemFormInfo: {
		id: 'CalemPoItemReportList',
		title: 'po_item',
		icon: 'CalemPo',
		controller: 'CalemReportListDet',
		model: 'po_item', 
		view: {CalemViewRefInfo: {id: 'CalemPoItemReportList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

//PO status change log
function CalemPoStatusLogNoteCollected(table, statusRowInsert, poRowUpdate) {
	this._table=table;
	this._statusRowInsert=statusRowInsert;
	this._poRowUpdate = poRowUpdate;
}

CalemPoStatusLogNoteCollected.prototype.toString = function() {return "CalemPoStatusLogNoteCollected";}

CalemPoStatusLogNoteCollected.prototype.onAction =
function(fm) {
	if (fm.onPoStatusLogNoteCollected) 
		fm.onPoStatusLogNoteCollected(this._table, this._statusRowInsert, this._poRowUpdate);	
}

//PO item add action
function CalemPoItemAddAction(table, poRec, items) {
	this._table=table;
	this._poRec=poRec;
	this._items=items;
}

CalemPoItemAddAction.prototype.toString = function() {return "CalemPoItemAddAction";}

CalemPoItemAddAction.prototype.onAction =
function(fm) {
	if (fm.onPoItemAddAction) 
		fm.onPoItemAddAction(this._table, this._poRec, this._items);	
}

//PO item remove action
function CalemPoItemRemoveAction(table, poRec, items) {
	this._table=table;
	this._poRec=poRec;
	this._items=items;
}

CalemPoItemRemoveAction.prototype.toString = function() {return "CalemPoItemRemoveAction";}

CalemPoItemRemoveAction.prototype.onAction =
function(fm) {
	if (fm.onPoItemRemoveAction) 
		fm.onPoItemRemoveAction(this._table, this._poRec, this._items);	
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPoFormList
 */
function CalemPoFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
}

CalemPoFormList.prototype = new CalemFormList;
CalemPoFormList.prototype.constructor = CalemPoFormList;

CalemPoFormList.prototype.toString = function() { return "CalemPoFormList";}

/**
 * Business APIs
 */
CalemPoFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemPoFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemPoFormList.prototype._onOpen =
function(evt) {
	//Get the selection event
    var item=CalemEvent.getItem(evt);
	//Prepare data for master detail view.
	var data = {modelItem: this._modelItem, item: item};
	//pass-through current data model and selection
	this._openForm('CalemPoFormMdTab', data);
} 

/**
 * Deletion must be handled specially
 */
CalemPoFormList.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemPoBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

//Report
CalemPoFormList.prototype.getReportId =
function() {
	return 'CalemPoReportMdTab';
} 

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPoMineFormList
 */
function CalemPoMineFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
}

CalemPoMineFormList.prototype = new CalemFormList;
CalemPoMineFormList.prototype.constructor = CalemPoMineFormList;

CalemPoMineFormList.prototype.toString = function() { return "CalemPoMineFormList";}

CalemPoMineFormList.prototype.initQueryByForm =
function(tblQuery) {
	var uid=CalemContext.getInstance().getUserId();
	var fld=new CalemDbField('po', 'buyer_id');
	var val=new CalemDbString(uid);
	var expr=new CalemDbExpr(fld, CalemDbExpr.EQ, val);
   tblQuery.addWhere(this._modelItem.getId(), null, expr, this._modelItem.getTableDd());
	return tblQuery;
}  

/**
 * Business APIs
 */
CalemPoMineFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemPoFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemPoMineFormList.prototype._onOpen =
function(evt) {
	//Get the selection event
    var item=CalemEvent.getItem(evt);
	//Prepare data for master detail view.
	var data = {modelItem: this._modelItem, item: item};
	//pass-through current data model and selection
	this._openForm('CalemPoFormMdTab', data);
} 

/**
 * Deletion must be handled specially
 */
CalemPoMineFormList.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemPoBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

//Report
CalemPoMineFormList.prototype.getReportId =
function() {
	return 'CalemPoReportMdTab';
} 

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPoFormMdTab
 */
function CalemPoFormMdTab(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormMdTab.call(this, parent, formId, data);
}

CalemPoFormMdTab.prototype = new CalemFormMdTab;
CalemPoFormMdTab.prototype.constructor = CalemPoFormMdTab;

CalemPoFormMdTab.prototype.toString = function() { return "CalemPoFormMdTab";}

/**
 * Business APIs
 */
CalemPoFormMdTab.prototype.onPoStatusLogNoteCollected =
function(table, statusRowInsert, reqRowUpdate) {	
	if (!this._formModel.getFormByModel(table)) return;
	this._formModel.getFormByModel(table).onPoStatusLogNoteCollected(table, statusRowInsert, reqRowUpdate);
} 

CalemPoFormMdTab.prototype.onPoItemAddAction =
function(table, poRec, items) {	
	if (!this._formModel.getFormByModel(table)) return;
	this._formModel.getFormByModel(table).onPoItemAddAction(table, poRec, items);
} 

CalemPoFormMdTab.prototype.onPoItemRemoveAction =
function(table, poRec, items) {	
	if (!this._formModel.getFormByModel(table)) return;
	this._formModel.getFormByModel(table).onPoItemRemoveAction(table, poRec, items);
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPoFormRead
 */
function CalemPoFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormRead.call(this, parent, formId, data);
	this._reopenPo = new AjxListener(this, this.onReopenPo);
	this._poStatusLog=new AjxListener(this, this.onPoStatusLog);
}

CalemPoFormRead.prototype = new CalemFormRead;
CalemPoFormRead.prototype.constructor = CalemPoFormRead;

CalemPoFormRead.prototype.toString = function() { return "CalemPoFormRead";}

/**
 * Business APIs
 */
CalemPoFormRead.prototype._getFormNewId =
function() {
	return 'CalemPoFormNew';
} 

CalemPoFormRead.prototype._getFormEditId =
function() {
	return 'CalemPoFormEdit';
}

/**
 * Deletion must be handled specially
 */
CalemPoFormRead.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemPoBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

//Reopen
CalemPoFormRead.prototype.getReopenPo =
function(evt) {
	return this._reopenPo;
}

//get a change note
CalemPoFormRead.prototype.onReopenPo =
function(evt) {
	var rec=this._dataModel.getCurrentRecord();
	if (!rec.id) return; //Not a valid record.
	if (rec.getField('state_id').getRawValue()!='po_state_closed') {
		CalemInfoDialog.showIt(CalemMsg.getMsg('po_reopen_po'),CalemMsg.getMsg('po_reopen_not_closed'));
		return;
	}
	
	var row=new Object();
	row['po_id']=rec.id;
	row['to_state_id']='po_state_reopen';
	row['from_state_id']=rec.getField('state_id').getRawValue();
	row['to_status_id']=rec.getField('status_id').getRawValue();
	row['from_status_id']=row['to_status_id'];
	this._openEmbedForm('CalemPoStatusLogNoteFormNew', {row: row});
} 

//reopen
CalemPoFormRead.prototype.onPoStatusLogNoteCollected =
function(table, statusRowInsert, poRowUpdate) {
	var poRows=this._getPoReopenRows();
	var rows={UpdateData: poRows, InsertData: statusRowInsert};
	CalemSoapUtil._onSoapCall('ModifyDataTran', rows, this._soapEditTranSaveCallback);
}

CalemPoFormRead.prototype._getPoReopenRows =
function() {
	var rec=this._dataModel.getCurrentRecord();
	//Now let's reopen it by a soap call.
	var tableDd=this._modelItem.getTableDd();
	//prepare current record
	var current=rec.getJsonObject();
	var cRtn=CalemViewUtil.partitionData(tableDd, current);
	//prepare status change
	var update={state_id: 'po_state_reopen'};
	var uRtn=CalemViewUtil.partitionData(tableDd, update);
	//Now also create a query to get the inserted data back if successful for updating front end.
	var tq=tableDd.buildGetOneQuery();
	//Now let's make a soap call with busy signal
	var rows={row_0: {base: {table: tableDd.getTableName(), current: cRtn.base, update: uRtn.base},
	                  custom: {table: tableDd.getCustomTableName(), current: cRtn.custom, update: uRtn.custom},
	                  sql: tq.getSql()} };
	return rows;
}

/**
 * Status log
 */
CalemPoFormRead.prototype.getPoStatusLog =
function() {
	return this._poStatusLog;
} 

CalemPoFormRead.prototype.onPoStatusLog =
function() {
	var rec=this._dataModel.getCurrentRecord();
	if (!rec.id) return; //not a valid record.
	
	var link=new CalemFieldMdInfo('po_id', 'id');
	var ebInfo=new CalemEmbedInfo(this._parent, 'CalemPoStatusLogFormList', {parentRec: rec, link: link});
	this._embedForm(ebInfo);
}

/**
 * Checking for closed state before editing.
 */
CalemPoFormRead.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemPoBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

CalemPoFormRead.prototype.canEdit =
function() {
	return this._canModify();
}  

CalemPoFormRead.prototype._canModify =
function() {
	var rec=this._dataModel.getCurrentRecord();
	return CalemPoBo.getInstance().canModify(rec);
}

//Cached change event
CalemPoFormRead.prototype.onRecChanged =
function(ev) {
	CalemFormRead.prototype.onRecChanged.call(this, ev);
	var rec=this._modelItem.getCurrentRecord();
	var ev=new CalemParentRecModifiedEvent(this.getId(), rec);
	this.notifyListeners(ev.getType(), ev);
}

//Report
CalemPoFormRead.prototype.getReportId =
function() {
	return 'CalemPoReportMdTab';
} 

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPoFormNew
 */
function CalemPoFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemPoFormNew.prototype = new CalemFormNew;
CalemPoFormNew.prototype.constructor = CalemPoFormNew;

CalemPoFormNew.prototype.toString = function() { return "CalemPoFormNew";}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPoFormEdit
 */
function CalemPoFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemPoFormEdit.prototype = new CalemFormEdit;
CalemPoFormEdit.prototype.constructor = CalemPoFormEdit;

CalemPoFormEdit.prototype.toString = function() { return "CalemPoFormEdit";}

CalemPoFormEdit.prototype._onSave =
function(evt) {
	var rows=this._prepareDataEdit();
	var baseRow=rows['row_0'].base;
	if (!CalemPoBo.getInstance().canSave(baseRow)) return;
   //Check for status change or state change
	if (!baseRow.update['status_id'] && !baseRow.update['state_id']) { //No status/state change
		this._onSaveCall(rows); //done.
	} else {//Collect status/state change note
		var rec=this._dataModel.getCurrentRecord();
		var baseRow=rows['row_0'].base;
		var row=new Object();
		row['po_id']=rec.id;
		row['to_status_id']=baseRow.update['status_id'] || baseRow.current['status_id'];
		row['from_status_id']=baseRow.current['status_id'];
		row['to_state_id']=baseRow.update['state_id'] || baseRow.current['state_id'];
		row['from_state_id']=baseRow.current['state_id'];
		//Terminal state caused the state being closed.
		if (row['to_status_id']=='po_status_approved' || row['to_status_id']=='po_status_voided') {
			row['to_state_id']=='po_state_closed';
			rows['row_0'].base.update['state_id']='po_state_closed';
		}
		//Check for privilege first
		if (baseRow.update['status_id']) {
			var vParams={row_0: {po_id: rec.id, user_id: CalemContext.getInstance().getUserId(),
			         to_status_id: baseRow.update['status_id'],
			         from_status_id: baseRow.current['status_id']}};
			var cb=new AjxCallback(this, this.onVerifyPoStatusChangeCb, {row: row, parentRows: rows});
			CalemSoapUtil._onSoapCall('VerifyPoStatusChange', vParams, cb);
		} else {
			this.collectStatusChangeNote({row: row, parentRows: rows});
		}
	}
} 

CalemPoFormEdit.prototype.collectStatusChangeNote =
function(param) {
	this._openEmbedForm('CalemPoStatusLogNoteFormNew', param);
}

CalemPoFormEdit.prototype.onVerifyPoStatusChangeCb =
function(param, resp) {
	var rowResp=resp[0];
	if (rowResp.status == CalemForm.SOAP_SUCC) {
		this.collectStatusChangeNote(param);		
	} else { //Need to display error.
		this._onSoapResponseException(rowResp);
	}
}

CalemPoFormEdit.prototype.onPoStatusLogNoteCollected =
function(table, statusRowInsert, poRowUpdate) {
	var rows={UpdateData: poRowUpdate, InsertData: statusRowInsert};
	CalemSoapUtil._onSoapCall('ModifyDataTran', rows, this._soapEditTranSaveCallback);
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPoFormLookup
 */
function CalemPoFormLookup(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormLookup.call(this, parent, formId, data);
}

CalemPoFormLookup.prototype = new CalemFormLookup;
CalemPoFormLookup.prototype.constructor = CalemPoFormLookup;

CalemPoFormLookup.prototype.toString = function() { return "CalemPoFormLookup";}

/**
 * Business APIs
 */
CalemPoFormLookup.prototype._getFormNewId =
function() {
   return 'CalemPoFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemPoFormLookup.prototype._getFormReadId =
function(evt) {
	return 'CalemPoFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPoItemFormList
 */
function CalemPoItemFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
	this._poAddItem = new AjxListener(this, this.onPoAddItem);
	this._poAddItemCb=new AjxCallback(this, this.onPoAddItemCb);
	
	this._poRemoveItem = new AjxListener(this, this.onPoRemoveItem);
}

CalemPoItemFormList.prototype = new CalemFormListDet;
CalemPoItemFormList.prototype.constructor = CalemPoItemFormList;

CalemPoItemFormList.prototype.toString = function() { return "CalemPoItemFormList";}

/**
 * Business APIs
 */
CalemPoItemFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemPoItemFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemPoItemFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemPoItemFormRead';
} 

CalemPoItemFormList.prototype.canCreate =
function() {
	return this._canModify();
} 

CalemPoItemFormList.prototype.canDelete =
function(evt) {
	return this._canModify();
}

CalemPoItemFormList.prototype._canModify =
function() {
	var rec=this._dataModel.getParentRec();
	return CalemPoBo.getInstance().canModify(rec);
}

//Add item
CalemPoItemFormList.prototype.getPoAddItem =
function() {
	return this._poAddItem;
}

CalemPoItemFormList.prototype.onPoAddItem =
function() {
	if (!this._canModify()) return;
	
	var pRec=this._dataModel.getParentRec();
	this._openPoTranForm('CalemPoItemAddFormLookup', {poRec: pRec});
}

CalemPoItemFormList.prototype._openPoTranForm =
function(fmId, data) {
	var ebInfo=new CalemEmbedInfo(this._parent, fmId, data);
	this._embedForm(ebInfo);
} 

//Req items selected
CalemPoItemFormList.prototype.onPoItemAddAction =
function(tableId, poRec, items) {
	var rows=this._preparePoItemAddRows(poRec, items);
	CalemSoapUtil._onSoapCall('AddPoItemFromReq', rows, this._poAddItemCb);
}

CalemPoItemFormList.prototype._preparePoItemAddRows =
function(poRec, items) {
	var st='[';
	for (var i=0; i< items.size(); i++) {
		var rec=items.get(i);
		if (i!=0) st= st + ', ';
		st = st + "'" + rec.id +"'";
	}
	st += "]";
	var sb=Base64.encode(st);
	//Now let's make a soap call with busy signal
	var rows={row_0: { po_id: poRec.id, req_item: sb}};
	return rows;	                   
} 

/**
 * Process soap response from server
 */
CalemPoItemFormList.prototype.onPoAddItemCb =
function(resp) {
	//This is single record so let's process it.
	var rowResp=resp[0];
	if (rowResp.status == CalemForm.SOAP_SUCC) {
		//Items added properly so let's refresh data
		this._onDataRefresh();		
	} else { //Need to display error.
		this._onSoapResponseException(rowResp);
	}
}

//Remove item
CalemPoItemFormList.prototype.getPoRemoveItem =
function() {
	return this._poRemoveItem;
}

CalemPoItemFormList.prototype.onPoRemoveItem =
function(evt) {
	var rec=CalemEvent.getItem(evt);
	if (!this._canModify()) return;
	
	var pRec=this._dataModel.getParentRec();
	this._openPoTranForm('CalemPoItemRemoveFormLookup', {poRec: pRec, poItemRec: rec});
}

//Req items selected
CalemPoItemFormList.prototype.onPoItemRemoveAction =
function(tableId, poRec, items) {
	var rows=this._preparePoItemAddRows(poRec, items);
	CalemSoapUtil._onSoapCall('RemovePoItemFromReq', rows, this._poAddItemCb);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPoItemFormNew
 */
function CalemPoItemFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemPoItemFormNew.prototype = new CalemFormNew;
CalemPoItemFormNew.prototype.constructor = CalemPoItemFormNew;

CalemPoItemFormNew.prototype.toString = function() { return "CalemPoItemFormNew";}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPoItemFormEdit
 */
function CalemPoItemFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemPoItemFormEdit.prototype = new CalemFormEdit;
CalemPoItemFormEdit.prototype.constructor = CalemPoItemFormEdit;

CalemPoItemFormEdit.prototype.toString = function() { return "CalemPoItemFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPoItemFormRead
 */
function CalemPoItemFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemPoItemFormRead.prototype = new CalemFormReadDet;
CalemPoItemFormRead.prototype.constructor = CalemPoItemFormRead;

CalemPoItemFormRead.prototype.toString = function() { return "CalemPoItemFormRead";}

/**
 * Business APIs
 */
CalemPoItemFormRead.prototype._getFormNewId =
function() {
	return 'CalemPoItemFormNew';
} 

CalemPoItemFormRead.prototype._getFormEditId =
function() {
	return 'CalemPoItemFormEdit';
}

CalemPoItemFormRead.prototype.canCreate =
function() {
	return this._canModify();
} 

CalemPoItemFormRead.prototype.canEdit =
function() {
	return this._canModify();
} 

CalemPoItemFormRead.prototype.canDelete =
function(evt) {
	var rec=CalemEvent.getItem(evt); //Event might be changed...
	//Is Req closed?
	if (!this._canModify()) return false;
	//Is item on PO
	return CalemPoItemBo.getInstance().canDelete(rec);
} 

CalemPoItemFormRead.prototype._canModify =
function() {
	var rec=this._dataModel.getParentRec();
	return CalemPoBo.getInstance().canModify(rec);
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPoItemAddFormLookup
 */
function CalemPoItemAddFormLookup(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormLookup.call(this, parent, formId, data);
}

CalemPoItemAddFormLookup.prototype = new CalemFormLookup;
CalemPoItemAddFormLookup.prototype.constructor = CalemPoItemAddFormLookup;

CalemPoItemAddFormLookup.prototype.toString = function() { return "CalemPoItemAddFormLookup";}

/**
 * Initialize data for the transaction
 */
CalemPoItemAddFormLookup.prototype._createDataModel =
function(data) {
	CalemFormLookup.prototype._createDataModel.call(this);
	this._instantiate(data);
}

CalemPoItemAddFormLookup.prototype._instantiate =
function(data) {
	this._poRec=data.poRec;
	var vendorId=this._poRec.getField('vendor_id').getRawValue();
	//REQ item where: po_id is NULL AND vendor_id=this vendorId AND req status is approved
	this._andExpr=new CalemExprAnd();
	//Add po id
	var fld=new CalemDbField('req_item', 'po_id');
	var expr=new CalemDbExpr(fld, CalemDbExpr.IS_NULL);
	this._andExpr.add(expr);
	//vendor_id
	fld=new CalemDbField('req_item', 'vendor_id');
	var val=new CalemDbString(vendorId);
	expr=new CalemDbExpr(fld, CalemDbExpr.EQ, val);
	this._andExpr.add(expr);
	//Add req status
	fld=new CalemDbField('requisition_req_id', 'status_id'); //manually fix the table Id.
	val=new CalemDbString('req_status_approved');
	expr=new CalemDbExpr(fld, CalemDbExpr.EQ, val);
	this._andExpr.add(expr);	  		
}

CalemPoItemAddFormLookup.prototype.initQueryByForm =
function(tblQuery) {
   tblQuery.addWhere(this._modelItem.getId(), null, this._andExpr, this._modelItem.getTableDd());
	return tblQuery;
} 

/**
 * multi-selection is allowed here.
 */
CalemPoItemAddFormLookup.prototype._onSelect =
function(evt) {
	var items=CalemEvent.getItems(evt);
	var action=new CalemPoItemAddAction('po_item', this._poRec, items);
	this._closeAndResumeParentForm(action);
}

//Do not cache this form
CalemPoItemAddFormLookup.prototype.getCacheEmbedOnClose =
function() {
	return false;
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPoItemRemoveFormLookup
 */
function CalemPoItemRemoveFormLookup(parent, formId, data) {
	if (arguments.length==0) return;
	CalemPoItemAddFormLookup.call(this, parent, formId, data);
}

CalemPoItemRemoveFormLookup.prototype = new CalemPoItemAddFormLookup;
CalemPoItemRemoveFormLookup.prototype.constructor = CalemPoItemRemoveFormLookup;

CalemPoItemRemoveFormLookup.prototype.toString = function() { return "CalemPoItemRemoveFormLookup";}


CalemPoItemRemoveFormLookup.prototype._instantiate =
function(data) {
	this._poRec=data.poRec;
	this._poItemRec=data.poItemRec;
	var inId=this._poItemRec.getField('in_id').getRawValue();
	
	this._andExpr=new CalemExprAnd();
	//Add po id
	var fld=new CalemDbField('req_item', 'po_id');
	var val=new CalemDbString(this._poRec.id);
	var expr=new CalemDbExpr(fld, CalemDbExpr.EQ, val);
	this._andExpr.add(expr);
	//in_id
	fld=new CalemDbField('req_item', 'in_id');
	val=new CalemDbString(inId);
	expr=new CalemDbExpr(fld, CalemDbExpr.EQ, val);
	this._andExpr.add(expr);
} 

/**
 * multi-selection is allowed here.
 */
CalemPoItemRemoveFormLookup.prototype._onSelect =
function(evt) {
	var items=CalemEvent.getItems(evt);
	var action=new CalemPoItemRemoveAction('po_item', this._poRec, items);
	this._closeAndResumeParentForm(action);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPoStatusLogFormList
 */
function CalemPoStatusLogFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDetNoMd.call(this, parent, formId, data);
}

CalemPoStatusLogFormList.prototype = new CalemFormListDetNoMd;
CalemPoStatusLogFormList.prototype.constructor = CalemPoStatusLogFormList;

CalemPoStatusLogFormList.prototype.toString = function() { return "CalemPoStatusLogFormList";}

/**
 * Business APIs
 */
CalemPoStatusLogFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemPoStatusLogFormRead';
} 

//D not cache this form
CalemPoStatusLogFormList.prototype.getCacheEmbedOnClose =
function() {
	return false; //close down upon close.
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPoStatusLogFormRead
 */
function CalemPoStatusLogFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemPoStatusLogFormRead.prototype = new CalemFormReadDet;
CalemPoStatusLogFormRead.prototype.constructor = CalemPoStatusLogFormRead;

CalemPoStatusLogFormRead.prototype.toString = function() { return "CalemPoStatusLogFormRead";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPoStatusLogNoteFormNew
 */
function CalemPoStatusLogNoteFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemPoStatusLogNoteFormNew.prototype = new CalemFormNew;
CalemPoStatusLogNoteFormNew.prototype.constructor = CalemPoStatusLogNoteFormNew;

CalemPoStatusLogNoteFormNew.prototype.toString = function() { return "CalemPoStatusLogNoteFormNew";}
 
/**
 * Initialize data for the transaction
 */
CalemPoStatusLogNoteFormNew.prototype._createDataModel =
function(data) {
	CalemFormNew.prototype._createDataModel.call(this);
	this._instantiate(data);
}

CalemPoStatusLogNoteFormNew.prototype._instantiate =
function(data) {
	this._parentRows=data.parentRows;
	this._row=data.row;
}

CalemPoStatusLogNoteFormNew.prototype._loadData =
function() {
	this._dataModel.createNewRecord();
	var rec=this._dataModel.getCurrentRecord();
	rec.getField('changed_by_id').setRawValue(CalemContext.getInstance().getUserId());
	rec.getField('to_status_id').setRawValue(this._row['to_status_id']);
	rec.getField('from_status_id').setRawValue(this._row['from_status_id']);
	rec.getField('to_state_id').setRawValue(this._row['to_state_id']);
	rec.getField('from_state_id').setRawValue(this._row['from_state_id']);
	this.onDataLoaded(); //Mimic a callback so form opening can continue.
} 

CalemPoStatusLogNoteFormNew.prototype._render =
function() {
	CalemFormNew.prototype._render.call(this);
	this._setFieldsReadOnly(['to_status_id', 'from_status_id', 'to_state_id', 'from_state_id', 'changed_by_id']);
}

//save handling.
CalemPoStatusLogNoteFormNew.prototype._onSave = 
function() {
	var rows=this._prepareDataNew();
	this._closeAndResumeParentForm(new CalemPoStatusLogNoteCollected('po', rows, this._parentRows));
}

CalemPoStatusLogNoteFormNew.prototype._getInputDataRow =
function() {
	var row=CalemFormNew.prototype._getInputDataRow.call(this);
	//add in more info
	row['po_id']=this._row['po_id'];
	return row;
}

//D not cache this form
CalemPoStatusLogNoteFormNew.prototype.getCacheEmbedOnClose =
function() {
	return false; //close down upon close.
}
 /*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTaxCodeFormList
 */
function CalemTaxCodeFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
}

CalemTaxCodeFormList.prototype = new CalemFormList;
CalemTaxCodeFormList.prototype.constructor = CalemTaxCodeFormList;

CalemTaxCodeFormList.prototype.toString = function() { return "CalemTaxCodeFormList";}

/**
 * Business APIs
 */
CalemTaxCodeFormList.prototype._getFormNewId =
function() {
	return 'CalemTaxCodeFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemTaxCodeFormList.prototype._onOpen =
function(evt) {
	//Get the selection event
    var item=CalemEvent.getItem(evt);
	//Prepare data for master detail view.
	var data = {modelItem: this._modelItem, item: item};
	//pass-through current data model and selection
	this._openForm('CalemTaxCodeFormMdTab', data);
} 

/**
 * Deletion must be handled specially
 */
CalemTaxCodeFormList.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemTaxCodeBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTaxCodeFormMdTab
 */
function CalemTaxCodeFormMdTab(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormMdTab.call(this, parent, formId, data);
}

CalemTaxCodeFormMdTab.prototype = new CalemFormMdTab;
CalemTaxCodeFormMdTab.prototype.constructor = CalemTaxCodeFormMdTab;

CalemTaxCodeFormMdTab.prototype.toString = function() { return "CalemTaxCodeFormMdTab";}

/**
 * Business APIs
 */

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTaxCodeFormRead
 */
function CalemTaxCodeFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormRead.call(this, parent, formId, data);
	//Update budget listener
	this._updateListener=new AjxListener(this, this.onBudgetUpdate);
}

CalemTaxCodeFormRead.prototype = new CalemFormRead;
CalemTaxCodeFormRead.prototype.constructor = CalemTaxCodeFormRead;

CalemTaxCodeFormRead.prototype.toString = function() { return "CalemTaxCodeFormRead";}

/**
 * Business APIs
 */
CalemTaxCodeFormRead.prototype._getFormNewId =
function() {
	return 'CalemTaxCodeFormNew';
} 

CalemTaxCodeFormRead.prototype._getFormEditId =
function() {
	return 'CalemTaxCodeFormEdit';
}

/**
 * Deletion must be handled specially
 */
CalemTaxCodeFormRead.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemTaxCodeBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTaxCodeFormNew
 */
function CalemTaxCodeFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemTaxCodeFormNew.prototype = new CalemFormNew;
CalemTaxCodeFormNew.prototype.constructor = CalemTaxCodeFormNew;

CalemTaxCodeFormNew.prototype.toString = function() { return "CalemTaxCodeFormNew";}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTaxCodeFormEdit
 */
function CalemTaxCodeFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemTaxCodeFormEdit.prototype = new CalemFormEdit;
CalemTaxCodeFormEdit.prototype.constructor = CalemTaxCodeFormEdit;

CalemTaxCodeFormEdit.prototype.toString = function() { return "CalemTaxCodeFormEdit";}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTaxCodeFormLookup
 */
function CalemTaxCodeFormLookup(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormLookup.call(this, parent, formId, data);
}

CalemTaxCodeFormLookup.prototype = new CalemFormLookup;
CalemTaxCodeFormLookup.prototype.constructor = CalemTaxCodeFormLookup;

CalemTaxCodeFormLookup.prototype.toString = function() { return "CalemTaxCodeFormLookup";}

/**
 * Business APIs
 */
CalemTaxCodeFormLookup.prototype._getFormNewId =
function() {
   return 'CalemTaxCodeFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemTaxCodeFormLookup.prototype._getFormReadId =
function(evt) {
	return 'CalemTaxCodeFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTaxRateFormList
 */
function CalemTaxRateFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
}

CalemTaxRateFormList.prototype = new CalemFormListDet;
CalemTaxRateFormList.prototype.constructor = CalemTaxRateFormList;

CalemTaxRateFormList.prototype.toString = function() { return "CalemTaxRateFormList";}

/**
 * Business APIs
 */
CalemTaxRateFormList.prototype._getFormNewId =
function(evt) {
	return 'CalemTaxRateFormNew';
}

CalemTaxRateFormList.prototype._getFormReadId =
function(evt) {	
	return 'CalemTaxRateFormRead';
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTaxRateFormNew
 */
function CalemTaxRateFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemTaxRateFormNew.prototype = new CalemFormNew;
CalemTaxRateFormNew.prototype.constructor = CalemTaxRateFormNew;

CalemTaxRateFormNew.prototype.toString = function() { return "CalemTaxRateFormNew";}

/**
 * Business APIs
 */
CalemTaxRateFormNew.prototype._verifyInputBo =
function() {
	return CalemBudgetTitleBo.getInstance()._verifyDates(this._view);
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTaxRateFormEdit
 */
function CalemTaxRateFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemTaxRateFormEdit.prototype = new CalemFormEdit;
CalemTaxRateFormEdit.prototype.constructor = CalemTaxRateFormEdit;

CalemTaxRateFormEdit.prototype.toString = function() { return "CalemTaxRateFormEdit";}

CalemTaxRateFormEdit.prototype._verifyInputBo =
function() {
	return CalemBudgetTitleBo.getInstance()._verifyDates(this._view);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTaxRateFormRead
 */
function CalemTaxRateFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemTaxRateFormRead.prototype = new CalemFormReadDet;
CalemTaxRateFormRead.prototype.constructor = CalemTaxRateFormRead;

CalemTaxRateFormRead.prototype.toString = function() { return "CalemTaxRateFormRead";}

/**
 * Business APIs
 */
CalemTaxRateFormRead.prototype._getFormNewId =
function() {
	return 'CalemTaxRateFormNew';
} 

CalemTaxRateFormRead.prototype._getFormEditId =
function() {
	return 'CalemTaxRateFormEdit';
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPoAddressFormList
 */
function CalemPoAddressFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
}

CalemPoAddressFormList.prototype = new CalemFormList;
CalemPoAddressFormList.prototype.constructor = CalemPoAddressFormList;

CalemPoAddressFormList.prototype.toString = function() { return "CalemPoAddressFormList";}

/**
 * Business APIs
 */
CalemPoAddressFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemPoAddressFormNew';
} 

CalemPoAddressFormList.prototype._getFormReadId =
function(evt) {	
	return 'CalemPoAddressFormRead';
} 

/**
 * Deletion must be handled specially
 */
CalemPoAddressFormList.prototype.onDelete =
function(evt) {
	var rec=CalemEvent.getItem(evt);
	CalemPoAddressBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPoAddressFormRead
 */
function CalemPoAddressFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormRead.call(this, parent, formId, data);
}

CalemPoAddressFormRead.prototype = new CalemFormRead;
CalemPoAddressFormRead.prototype.constructor = CalemPoAddressFormRead;

CalemPoAddressFormRead.prototype.toString = function() { return "CalemPoAddressFormRead";}

/**
 * Business APIs
 */
CalemPoAddressFormRead.prototype._getFormNewId =
function() {
	return 'CalemPoAddressFormNew';
} 

CalemPoAddressFormRead.prototype._getFormEditId =
function() {
	return 'CalemPoAddressFormEdit';
}

/**
 * Deletion must be handled specially
 */
CalemPoAddressFormRead.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemPoAddressBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPoAddressFormNew
 */
function CalemPoAddressFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemPoAddressFormNew.prototype = new CalemFormNew;
CalemPoAddressFormNew.prototype.constructor = CalemPoAddressFormNew;

CalemPoAddressFormNew.prototype.toString = function() { return "CalemPoAddressFormNew";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPoAddressFormEdit
 */
function CalemPoAddressFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemPoAddressFormEdit.prototype = new CalemFormEdit;
CalemPoAddressFormEdit.prototype.constructor = CalemPoAddressFormEdit;

CalemPoAddressFormEdit.prototype.toString = function() { return "CalemPoAddressFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemPoAddressFormLookup
 */
function CalemPoAddressFormLookup(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormLookup.call(this, parent, formId, data);
}

CalemPoAddressFormLookup.prototype = new CalemFormLookup;
CalemPoAddressFormLookup.prototype.constructor = CalemPoAddressFormLookup;

CalemPoAddressFormLookup.prototype.toString = function() { return "CalemPoAddressFormLookup";}

/**
 * Business APIs
 */
CalemPoAddressFormLookup.prototype._getFormNewId =
function() {
   return 'CalemPoAddressFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemPoAddressFormLookup.prototype._getFormReadId =
function(evt) {
	return 'CalemPoAddressFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * forms
 */
CalemItemDef['CalemPoMineFormList']={
	CalemFormInfo: {
		id: 'CalemPoMineFormList',
		title: 'po_mine_list',
		icon: 'CalemPo',
		controller: 'CalemPoMineFormList',
		model: 'po', 
		view: {CalemViewRefInfo: {id: 'CalemPoMineViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemPoFormSearch'
	}
}
 
CalemItemDef['CalemPoFormList']={
	CalemFormInfo: {
		id: 'CalemPoFormList',
		title: 'po_list',
		icon: 'CalemPo',
		controller: 'CalemPoFormList',
		model: 'po', 
		view: {CalemViewRefInfo: {id: 'CalemPoViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemPoFormSearch'
	}
}

CalemItemDef['CalemPoFormLookup']={
	CalemFormInfo: {
		id: 'CalemPoFormLookup',
		title: 'po',
		icon: 'CalemPo',
		controller: 'CalemPoFormLookup',
		model: 'po', 
		view: {CalemViewRefInfo: {id: 'CalemPoViewLookup'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemPoFormSearch'
	}
}

CalemItemDef['CalemPoFormNew']={
	CalemFormInfo: {
		id: 'CalemPoFormNew',
		title: 'po',
		icon: 'CalemPo',
		controller: 'CalemPoFormNew',
		model: 'po', 
		view: {CalemViewRefInfo: {id: 'CalemPoViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPoFormEdit']={
	CalemFormInfo: {
		id: 'CalemPoFormEdit',
		title: 'po',
		icon: 'CalemPo',
		controller: 'CalemPoFormEdit',
		model: 'po', 
   	view: {CalemViewRefInfo: {id: 'CalemPoViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPoFormRead']={
	CalemFormInfo: {
		id: 'CalemPoFormRead',
		title: 'po',
		icon: 'CalemPo',
		controller: 'CalemPoFormRead',
		model: 'po', 
		view: {CalemViewRefInfo: {id: 'CalemPoViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPoFormSearch']={
	CalemFormInfo: {
		id: 'CalemPoFormSearch',
		title: 'po',
		icon: 'CalemPo',
		controller: 'CalemFormSearchEdit',
		model: 'po', 
		view: {CalemViewRefInfo: {id: 'CalemPoViewSearch'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPoFormMdTab']={
	CalemFormMdTabInfo: {
		id: 'CalemPoFormMdTab',
		title: 'po',
		icon: 'CalemPo',
		replaceType: CalemItemDef.REPLACE_BY_ID,
		//Three portions of info: layout, model and itemMap.
		layout: {
			CalemMdTabLayoutInfo: {
				tabList: ['tab_main', 'tab_item', 'CUSTOMIZE_TAB'],
				tabMap: {
					'tab_main': {CalemTabLayoutInfo: ['CalemPoFormRead']},
					'tab_item' : {CalemTabLayoutInfo: ['CalemPoItemFormList']}
				}
			} },
		model: {
				CalemFormModelInfo: {
					master: 'CalemPoFormRead',
			      items: 
			             [{CalemFormLinkInfo: {id: 'CalemPoItemFormList', link: {CalemFieldMdInfo: {fld: 'po_id', parentFld: 'id'}}} }
			             ]
				}
		}, 
		itemMap : { //Default layout conf.
		  CalemItemMap :{
			 'CalemPoFormRead' : {
			 	CalemFormLayoutInfo: {
			 		id: 'CalemPoFormRead',
			 		fixed: true, //Move not allowed.
			 		layout: {CalemBlockLayoutInfo: {width: '100%', height: '-2'}}
			 	}
			 },
			 
			 'CalemPoItemFormList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemPoItemFormList',
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 16}}
			 	 }
			 },
			 
		  'tab_main': {
		  		CalemTabInfo: {id: 'tab_po_main', fixed: 1}
		  },
		  
		  'tab_item': {
		  		CalemTabInfo: {id: 'tab_po_item'}
		  },
		  
		  'CUSTOMIZE_TAB' : {
		  		CalemTabInfo: {id: 'CUSTOMIZE_TAB'}
		  }
		  
		  }
		  
		} //itemMap
	} //MdTabInfo
}

/**
 * Item
 */
CalemItemDef['CalemPoItemFormList']={
	CalemFormInfo: {
		id: 'CalemPoItemFormList',
		title: 'po_item',
		icon: 'CalemPo',
		controller: 'CalemPoItemFormList',
		model: 'po_item', 
		view: {CalemViewRefInfo: {id: 'CalemPoItemViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPoItemFormNew']={
	CalemFormInfo: {
		id: 'CalemPoItemFormNew',
		title: 'po_item',
		icon: 'CalemPo',
		controller: 'CalemPoItemFormNew',
		model: 'po_item', 
		view: {CalemViewRefInfo: {id: 'CalemPoItemViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPoItemFormEdit']={
	CalemFormInfo: {
		id: 'CalemPoItemFormEdit',
		title: 'po_item',
		icon: 'CalemPo',
		controller: 'CalemPoItemFormEdit',
		model: 'po_item', 
   	view: {CalemViewRefInfo: {id: 'CalemPoItemViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPoItemFormRead']={
	CalemFormInfo: {
		id: 'CalemPoItemFormRead',
		title: 'po_item',
		icon: 'CalemPo',
		controller: 'CalemPoItemFormRead',
		model: 'po_item', 
		view: {CalemViewRefInfo: {id: 'CalemPoItemViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPoItemAddFormLookup']={
	CalemFormInfo: {
		id: 'CalemPoItemAddFormLookup',
		title: 'req_item',
		icon: 'CalemReq',
		controller: 'CalemPoItemAddFormLookup',
		model: 'req_item', 
		view: {CalemViewRefInfo: {id: 'CalemPoItemAddViewLookup'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemPoItemAddFormSearch'
	}
}

CalemItemDef['CalemPoItemRemoveFormLookup']={
	CalemFormInfo: {
		id: 'CalemPoItemRemoveFormLookup',
		title: 'req_item',
		icon: 'CalemReq',
		controller: 'CalemPoItemRemoveFormLookup',
		model: 'req_item', 
		view: {CalemViewRefInfo: {id: 'CalemPoItemRemoveViewLookup'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemPoItemAddFormSearch'
	}
}

CalemItemDef['CalemPoItemAddFormSearch']={
	CalemFormInfo: {
		id: 'CalemPoItemAddFormSearch',
		title: 'req_item',
		icon: 'CalemReq',
		controller: 'CalemFormSearchEdit',
		model: 'req_item', 
		view: {CalemViewRefInfo: {id: 'CalemPoItemAddViewSearch'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

//Req status
CalemItemDef['CalemPoStatusLogFormList']={
	CalemFormInfo: {
		id: 'CalemPoStatusLogFormList',
		title: 'po_status_log',
		icon: 'CalemPo',
		controller: 'CalemPoStatusLogFormList',
		model: 'po_status_log', 
		view: {CalemViewRefInfo: {id: 'CalemPoStatusLogViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPoStatusLogFormRead']={
	CalemFormInfo: {
		id: 'CalemPoStatusLogFormRead',
		title: 'po_status_log',
		icon: 'CalemPo',
		controller: 'CalemPoStatusLogFormRead',
		model: 'po_status_log', 
		view: {CalemViewRefInfo: {id: 'CalemPoStatusLogViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPoStatusLogNoteFormNew']={
	CalemFormInfo: {
		id: 'CalemPoStatusLogNoteFormNew',
		title: 'po_status_log',
		icon: 'CalemPo',
		controller: 'CalemPoStatusLogNoteFormNew',
		model: 'po_status_log', 
		view: {CalemViewRefInfo: {id: 'CalemPoStatusLogNoteViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

//Tax code stuff
CalemItemDef['CalemTaxCodeFormList']={
	CalemFormInfo: {
		id: 'CalemTaxCodeFormList',
		title: 'tax_code_list',
		icon: 'CalemPo',
		controller: 'CalemTaxCodeFormList',
		model: 'tax_code', 
		view: {CalemViewRefInfo: {id: 'CalemTaxCodeViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemTaxCodeFormSearch'
	}
}

CalemItemDef['CalemTaxCodeFormLookup']={
	CalemFormInfo: {
		id: 'CalemTaxCodeFormLookup',
		title: 'tax_code_list',
		icon: 'CalemPo',
		controller: 'CalemTaxCodeFormLookup',
		model: 'tax_code', 
		view: {CalemViewRefInfo: {id: 'CalemTaxCodeViewLookup'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemTaxCodeFormSearch'
	}
}

CalemItemDef['CalemTaxCodeFormNew']={
	CalemFormInfo: {
		id: 'CalemTaxCodeFormNew',
		title: 'tax_code',
		icon: 'CalemPo',
		controller: 'CalemTaxCodeFormNew',
		model: 'tax_code', 
		view: {CalemViewRefInfo: {id: 'CalemTaxCodeViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemTaxCodeFormEdit']={
	CalemFormInfo: {
		id: 'CalemTaxCodeFormEdit',
		title: 'tax_code',
		icon: 'CalemPo',
		controller: 'CalemTaxCodeFormEdit',
		model: 'tax_code', 
   	view: {CalemViewRefInfo: {id: 'CalemTaxCodeViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemTaxCodeFormRead']={
	CalemFormInfo: {
		id: 'CalemTaxCodeFormRead',
		title: 'tax_code',
		icon: 'CalemPo',
		controller: 'CalemTaxCodeFormRead',
		model: 'tax_code', 
		view: {CalemViewRefInfo: {id: 'CalemTaxCodeViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemTaxCodeFormSearch']={
	CalemFormInfo: {
		id: 'CalemTaxCodeFormSearch',
		title: 'tax_code',
		icon: 'CalemPo',
		controller: 'CalemFormSearchEdit',
		model: 'tax_code', 
		view: {CalemViewRefInfo: {id: 'CalemTaxCodeViewSearch'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * This is the budget item definition
 */
CalemItemDef['CalemTaxRateFormList']={
	CalemFormInfo: {
		id: 'CalemTaxRateFormList',
		title: 'tax_rate',
		icon: 'CalemPo',
		controller: 'CalemTaxRateFormList',
		model: 'tax_rate', 
		view: {CalemViewRefInfo: {id: 'CalemTaxRateViewList'}},
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemTaxRateFormNew']={
	CalemFormInfo: {
		id: 'CalemTaxRateFormNew',
		title: 'tax_rate',
		icon: 'CalemPo',
		controller: 'CalemTaxRateFormNew',
		model: 'tax_rate', 
		view: {CalemViewRefInfo: {id: 'CalemTaxRateViewNew'}},
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemTaxRateFormEdit']={
	CalemFormInfo: {
		id: 'CalemTaxRateFormEdit',
		title: 'tax_rate',
		icon: 'CalemPo',
		controller: 'CalemTaxRateFormEdit',
		model: 'tax_rate', 
		view: {CalemViewRefInfo: {id: 'CalemTaxRateViewEdit'}},
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemTaxRateFormRead']={
	CalemFormInfo: {
		id: 'CalemTaxRateFormRead',
		title: 'tax_rate',
		icon: 'CalemPo',
		controller: 'CalemTaxRateFormRead',
		model: 'tax_rate', 
		view: {CalemViewRefInfo: {id: 'CalemTaxRateViewRead'}},
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * This is tax_rate title MD combination.
 */
CalemItemDef['CalemTaxCodeFormMdTab']={
	CalemFormMdTabInfo: {
		id: 'CalemTaxCodeFormMdTab',
		title: 'tax_code',
		icon: 'CalemPo',
		replaceType: CalemItemDef.REPLACE_BY_ID,
		//Three portions of info: layout, model and itemMap.
		layout: {
			CalemMdTabLayoutInfo: {
				tabList: ['tab_tax_code'],
				tabMap: {
					'tab_tax_code': {CalemTabLayoutInfo: ['CalemTaxCodeFormRead','CalemTaxRateFormList']}
				}
			} },
		model: {
				CalemFormModelInfo: {
					master: 'CalemTaxCodeFormRead',
			      items: 
			             [{CalemFormLinkInfo: {id: 'CalemTaxRateFormList', link: {CalemFieldMdInfo: {fld: 'tax_code_id', parentFld: 'id'}}} }
			             ]
				}
		}, 
		itemMap : { //Default layout conf.
		  CalemItemMap :{
			 'CalemTaxCodeFormRead' : {CalemFormLayoutInfo: {
								 		id: 'CalemTaxCodeFormRead',
								 		fixed: true, //Move not allowed.
								 		layout: {CalemBlockLayoutInfo: {width: '100%', height: '-2'}} }
										},
			 
			 'CalemTaxRateFormList' : {CalemFormLayoutInfo: {
								 		id: 'CalemTaxRateFormList',
								 		layout: {CalemBlockLayoutInfo: {width: '100%', rows: 8}} }
										},
			 
		  'tab_tax_code': {CalemTabInfo: {id: 'tab_tax_code'}}
		  }
		  
		} //itemMap
	} //MdTabInfo
}

/**
 * PoAddress form
 */
CalemItemDef['CalemPoAddressFormList']={
	CalemFormInfo: {
		id: 'CalemPoAddressFormList',
		title: 'po_address',
		icon: 'CalemPo',
		controller: 'CalemPoAddressFormList',
		model: 'po_address', 
		view: {CalemViewRefInfo: {id: 'CalemPoAddressViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemPoAddressFormSearch'
	}
}

CalemItemDef['CalemPoAddressFormLookup']={
	CalemFormInfo: {
		id: 'CalemPoAddressFormLookup',
		title: 'po_address',
		icon: 'CalemPo',
		controller: 'CalemPoAddressFormLookup',
		model: 'po_address', 
		view: {CalemViewRefInfo: {id: 'CalemPoAddressViewLookup'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemPoAddressFormSearch'
	}
}

CalemItemDef['CalemPoAddressFormNew']={
	CalemFormInfo: {
		id: 'CalemPoAddressFormNew',
		title: 'po_address',
		icon: 'CalemPo',
		controller: 'CalemPoAddressFormNew',
		model: 'po_address', 
		view: {CalemViewRefInfo: {id: 'CalemPoAddressViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPoAddressFormEdit']={
	CalemFormInfo: {
		id: 'CalemPoAddressFormEdit',
		title: 'po_address',
		icon: 'CalemPo',
		controller: 'CalemPoAddressFormEdit',
		model: 'po_address', 
   	view: {CalemViewRefInfo: {id: 'CalemPoAddressViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPoAddressFormRead']={
	CalemFormInfo: {
		id: 'CalemPoAddressFormRead',
		title: 'po_address',
		icon: 'CalemPo',
		controller: 'CalemPoAddressFormRead',
		model: 'po_address', 
		view: {CalemViewRefInfo: {id: 'CalemPoAddressViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemPoAddressFormSearch']={
	CalemFormInfo: {
		id: 'CalemPoAddressFormSearch',
		title: 'po_address',
		icon: 'CalemPo',
		controller: 'CalemFormSearchEdit',
		model: 'po_address', 
		view: {CalemViewRefInfo: {id: 'CalemPoAddressViewSearch'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Admin module
 */
CalemModuleDef["modCalemPo"]= {
	CalemModuleInfo: {
      id:"modCalemPo",
      icon:"CalemPo",
      defaultMenu: 'CalemPoMineFormList',
      toolBar: {
        CalemToolBarInfo: {
        	  type: 'CalemToolBar',
        	  layout: ['modCalemPo', 'sep', 'CalemPoMineFormList', 'CalemPoOpenForms'],
        	  list: [
	         {CalemLabelInfo: {id: 'modCalemPo', className: 'CalemModuleLabel'}},
	         
	         {CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
	         
	         {CalemMenuItemInfo: {id: 'CalemPoMineFormList'}},
	         
	         {CalemMenuInfo: {
	      		menuButton: {CalemMenuButtonInfo: {id: 'CalemPoOpenForms'}},
		      	menuList: [ {CalemMenuItemInfo: {id: 'CalemPoFormList'}},
		      	            {CalemMenuItemInfo: {id: 'CalemTaxCodeFormList'}},
		      					{CalemMenuItemInfo: {id: 'CalemPoAddressFormList'}}
		      	      ]
	      		}
	      	}
	      ] }
	}
	}
};

//Build Calem.js from client
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDocBo - business logic
 */
function CalemDocBo() {
}

CalemDocBo._details = ['pm_doc', 'wo_doc'];

CalemDocBo.getInstance =
function() {
	if (!CalemDocBo.singleton) {
		CalemDocBo.singleton = new CalemDocBo();
	}
	return CalemDocBo.singleton;
}

//Asset deletion check
CalemDocBo.prototype.canDelete =
function(rec, callback) {
	var boUtil=CalemBoUtil.getInstance();
	boUtil.canDeleteByLookup(CalemDocBo._details, 'doc_id', rec.id, callback);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDocTypeBo - business logic
 */
function CalemDocTypeBo() {
}

CalemDocTypeBo._details = ['document'];

CalemDocTypeBo.getInstance =
function() {
	if (!CalemDocTypeBo.singleton) {
		CalemDocTypeBo.singleton = new CalemDocTypeBo();
	}
	return CalemDocTypeBo.singleton;
}

//Asset deletion check
CalemDocTypeBo.prototype.canDelete =
function(rec, callback) {
	var boUtil=CalemBoUtil.getInstance();
	boUtil.canDeleteByLookup(CalemDocTypeBo._details, 'type_id', rec.id, callback);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemDocUploadBo - business logic
 */
function CalemDocUploadBo() {
}

CalemDocUploadBo._details = ['doc_attachment', 'asset'];

CalemDocUploadBo.getInstance =
function() {
	if (!CalemDocUploadBo.singleton) {
		CalemDocUploadBo.singleton = new CalemDocUploadBo();
	}
	return CalemDocUploadBo.singleton;
}

//Asset deletion check
CalemDocUploadBo.prototype.canDelete =
function(rec, callback) {
	var boUtil=CalemBoUtil.getInstance();
	boUtil.canDeleteByLookup(CalemDocUploadBo._details, 'upload_id', rec.id, callback);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Doc module menu
 */

CalemMenuDef['CalemDocFormList'] = {
	id: 'CalemDocFormList',
	title: 'document',
	icon: 'CalemDoc',
	disIcon: null,
	tooltip: null, 
	enabled: true,		   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};

CalemMenuDef['CalemDocTypeFormList'] = {
	id: 'CalemDocTypeFormList',
	title: 'doc_type',
	icon: 'CalemDoc',
	disIcon: null,
	tooltip: null, 
	enabled: true,		   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};

CalemMenuDef['CalemDocUploadFormList'] = {
	id: 'CalemDocUploadFormList',
	title: 'doc_upload',
	icon: 'CalemUpload',
	disIcon: null,
	tooltip: null, 
	enabled: true,		   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};

// Upload view
CalemMenuDef['CalemTbUploadView'] = {
	id: 'CalemTbUploadView',
	title: 'menu_upload_view',
	icon: 'CalemUpload',
	disIcon: null,
	enabled: false,
	tooltip: null, 
	style: (DwtLabel.IMAGE_LEFT | DwtLabel.ALIGN_LEFT), 				   
	radioGroupId: null,
	idx: null,
	className: 'TBButton',
	posStyle: null,
	onSelect: {CalemMenuSelect: {listener: 'UploadViewListener'}}
};

// Attachment view
CalemMenuDef['CalemTbAttachmentView'] = {
	id: 'CalemTbAttachmentView',
	title: 'menu_attachment_view',
	icon: 'CalemUpload',
	disIcon: null,
	enabled: false,
	tooltip: null, 
	style: (DwtLabel.IMAGE_LEFT | DwtLabel.ALIGN_LEFT), 				   
	radioGroupId: null,
	idx: null,
	className: 'TBButton',
	posStyle: null,
	onSelect: {CalemMenuSelect: {listener: 'AttachmentViewListener'}}
};
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemDocViewList']={
	CalemViewInfo: {
		id: 'CalemDocViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'document', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep2', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'document', width: 150}},
			  			   {CalemCol: {id: 'note', width: 200}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Lookup views
 */
CalemViewDef['CalemDocViewLookup']={
	CalemViewInfo: {
		id: 'CalemDocViewLookup',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'document', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbSelect', 'CalemTbCancel', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					{ CalemButtonInfo: {
						id: 'CalemTbPrint', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbSelect', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'document', width: 150}},
			  			   {CalemCol: {id: 'note', width: 200}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemDocViewNew']={
	CalemViewInfo: {
		id: 'CalemDocViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'document', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * WO views
 */
CalemViewDef['CalemDocViewRead']={
	CalemViewInfo: {
		id: 'CalemDocViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                               				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'document', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemDocViewEdit']={
	CalemViewInfo: {
		id: 'CalemDocViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                         				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
								
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'document', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Wo views
 */
CalemViewDef['CalemDocViewSearch']={
	CalemViewInfo: {
		id: 'CalemDocViewSearch',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},		
               {CalemTrInfo: {cols: ['lb_save_search', '_save_search']}}                                                                                                   				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbApplySave', 'sep2', 'CalemTbApply', 'CalemTbSave',  'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	
					   { CalemButtonInfo: {
							 id: 'CalemTbApplySave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
						
						{ CalemButtonInfo: {
							id: 'CalemTbApply', 
							customInfo: {
							  	   CalemMenuCustomInfo: {
							         enabled: false,
							         events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
							  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
					
					
					   
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},   			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'document', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_save_search': {
				CalemLabelInfo: {id: 'save_search', className: 'CalemEditSection'}
			},
			'_save_search': {
				CalemSearchSaveInfo: {size: 30}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * List views
 */
CalemViewDef['CalemDocAttachmentViewList']={
	CalemViewInfo: {
		id: 'CalemDocAttachmentViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'doc_attachment', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{ CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbAttachmentView', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'upload_id', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

CalemViewDef['CalemDocAttachmentViewNew']={
	CalemViewInfo: {
		id: 'CalemDocAttachmentViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'doc_attachment', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

CalemViewDef['CalemDocAttachmentViewRead']={
	CalemViewInfo: {
		id: 'CalemDocAttachmentViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'doc_attachment', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'upload_id' : {CalemReadFileAttachmentInfo: {field: 'upload_id'}}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

CalemViewDef['CalemDocAttachmentViewEdit']={
	CalemViewInfo: {
		id: 'CalemDocAttachmentViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'doc_attachment', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * List views
 */
CalemViewDef['CalemDocUploadViewList']={
	CalemViewInfo: {
		id: 'CalemDocUploadViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'doc_upload', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep', 'CalemTbPrint', 'sep2', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbUploadView', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'file_upload', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * Lookup views
 */
CalemViewDef['CalemDocUploadViewLookup']={
	CalemViewInfo: {
		id: 'CalemDocUploadViewLookup',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'doc_upload', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbSelect', 'CalemTbCancel', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbUploadView', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbSelect', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'file_upload', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

CalemViewDef['CalemDocUploadViewNew']={
	CalemViewInfo: {
		id: 'CalemDocUploadViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'doc_upload', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'file_upload': {CalemNewFileUploadInfo: {field: 'file_upload'}}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

CalemViewDef['CalemDocUploadViewRead']={
	CalemViewInfo: {
		id: 'CalemDocUploadViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                            				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'doc_upload', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'file_upload': {CalemReadFileUploadInfo: {field: 'file_upload'}}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

CalemViewDef['CalemDocUploadViewEdit']={
	CalemViewInfo: {
		id: 'CalemDocUploadViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                         				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'doc_upload', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'file_upload': {CalemEditFileUploadInfo: {field: 'file_upload'}}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

CalemViewDef['CalemDocUploadViewSearch']={
	CalemViewInfo: {
		id: 'CalemDocUploadViewSearch',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},		
               {CalemTrInfo: {cols: ['lb_save_search', '_save_search']}}                                                                                                 				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbApplySave', 'sep2', 'CalemTbApply', 'CalemTbSave',  'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	
					   { CalemButtonInfo: {
							 id: 'CalemTbApplySave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
						
						{ CalemButtonInfo: {
							id: 'CalemTbApply', 
							customInfo: {
							  	   CalemMenuCustomInfo: {
							         enabled: false,
							         events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
							  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
					
					
					   
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},   			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'doc_upload', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			
			'lb_save_search': {
				CalemLabelInfo: {id: 'save_search', className: 'CalemEditSection'}
			},
			'_save_search': {
				CalemSearchSaveInfo: {size: 30}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemDocTypeViewList']={
	CalemViewInfo: {
		id: 'CalemDocTypeViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'doc_type', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep2', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'type', width: 150}},
			  			   {CalemCol: {id: 'note', width: 200}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Lookup views
 */
CalemViewDef['CalemDocTypeViewLookup']={
	CalemViewInfo: {
		id: 'CalemDocTypeViewLookup',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'doc_type', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbSelect', 'CalemTbCancel', 'sep', 'CalemTbNew', 'sep2', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					{ CalemButtonInfo: {
						id: 'CalemTbPrint', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbSelect', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'type', width: 150}},
			  			   {CalemCol: {id: 'note', width: 200}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemDocTypeViewNew']={
	CalemViewInfo: {
		id: 'CalemDocTypeViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'doc_type', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * WO views
 */
CalemViewDef['CalemDocTypeViewRead']={
	CalemViewInfo: {
		id: 'CalemDocTypeViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                               				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'doc_type', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemDocTypeViewEdit']={
	CalemViewInfo: {
		id: 'CalemDocTypeViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                         				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
								
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'doc_type', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Wo views
 */
CalemViewDef['CalemDocTypeViewSearch']={
	CalemViewInfo: {
		id: 'CalemDocTypeViewSearch',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},		
               {CalemTrInfo: {cols: ['lb_save_search', '_save_search']}}                                                                                                   				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbApplySave', 'sep2', 'CalemTbApply', 'CalemTbSave',  'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	
					   { CalemButtonInfo: {
							 id: 'CalemTbApplySave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
						
						{ CalemButtonInfo: {
							id: 'CalemTbApply', 
							customInfo: {
							  	   CalemMenuCustomInfo: {
							         enabled: false,
							         events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
							  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
					
					
					   
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},   			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'doc_type', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_save_search': {
				CalemLabelInfo: {id: 'save_search', className: 'CalemEditSection'}
			},
			'_save_search': {
				CalemSearchSaveInfo: {size: 30}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemDocFormMdTab
 */
function CalemDocFormMdTab(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormMdTab.call(this, parent, formId, data);
}

CalemDocFormMdTab.prototype = new CalemFormMdTab;
CalemDocFormMdTab.prototype.constructor = CalemDocFormMdTab;

CalemDocFormMdTab.prototype.toString = function() { return "CalemDocFormMdTab";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDocFormList
 */
function CalemDocFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
}

CalemDocFormList.prototype = new CalemFormList;
CalemDocFormList.prototype.constructor = CalemDocFormList;

CalemDocFormList.prototype.toString = function() { return "CalemDocFormList";}

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemDocFormList.prototype._onOpen =
function(evt) {
	//Get the selection event
    var item=CalemEvent.getItem(evt);
	//Prepare data for master detail view.
	var data = {modelItem: this._modelItem, item: item};
	//pass-through current data model and selection
	this._openForm('CalemDocFormMdTab', data);
} 

/**
 * Business APIs
 */
CalemDocFormList.prototype._getFormNewId =
function() {
    return 'CalemDocFormNew';
} 
 
CalemDocFormList.prototype._getFormReadId =
function() {
    return 'CalemDocFormRead';
}  

/**
 * Deletion must be handled specially
 */
CalemDocFormList.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemDocBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDocFormRead
 */
function CalemDocFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormRead.call(this, parent, formId, data);
}

CalemDocFormRead.prototype = new CalemFormRead;
CalemDocFormRead.prototype.constructor = CalemDocFormRead;

CalemDocFormRead.prototype.toString = function() { return "CalemDocFormRead";}

/**
 * Business APIs
 */
CalemDocFormRead.prototype._getFormNewId =
function() {
	return 'CalemDocFormNew';
} 

CalemDocFormRead.prototype._getFormEditId =
function() {
	return 'CalemDocFormEdit';
}

/**
 * Deletion must be handled specially
 */
CalemDocFormRead.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemDocBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDocFormNew
 */
function CalemDocFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemDocFormNew.prototype = new CalemFormNew;
CalemDocFormNew.prototype.constructor = CalemDocFormNew;

CalemDocFormNew.prototype.toString = function() { return "CalemDocFormNew";}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDocFormEdit
 */
function CalemDocFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemDocFormEdit.prototype = new CalemFormEdit;
CalemDocFormEdit.prototype.constructor = CalemDocFormEdit;

CalemDocFormEdit.prototype.toString = function() { return "CalemDocFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDocFormLookup
 */
function CalemDocFormLookup(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormLookup.call(this, parent, formId, data);
}

CalemDocFormLookup.prototype = new CalemFormLookup;
CalemDocFormLookup.prototype.constructor = CalemDocFormLookup;

CalemDocFormLookup.prototype.toString = function() { return "CalemDocFormLookup";}

/**
 * Business APIs
 */
CalemDocFormLookup.prototype._getFormNewId =
function() {
   return 'CalemDocFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemDocFormLookup.prototype._getFormReadId =
function(evt) {
	return 'CalemDocFormRead';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemDocFormLookup.prototype._onOpen =
function(evt) {
	//Get the selection event
    var item=CalemEvent.getItem(evt);
	//Prepare data for master detail view.
	var data = {modelItem: this._modelItem, item: item};
	//pass-through current data model and selection
	this._openForm('CalemDocFormMdTab', data);
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemDocAttachmentFormList
 */
function CalemDocAttachmentFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
	this._viewListener = new AjxListener(this, this.onViewAttachment);
}

CalemDocAttachmentFormList.prototype = new CalemFormListDet;
CalemDocAttachmentFormList.prototype.constructor = CalemDocAttachmentFormList;

CalemDocAttachmentFormList.prototype.toString = function() { return "CalemDocAttachmentFormList";}

/**
 * Business APIs
 */
CalemDocAttachmentFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemDocAttachmentFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemDocAttachmentFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemDocAttachmentFormRead';
} 

//Event handlers
CalemDocAttachmentFormList.prototype.getAttachmentViewListener =
function() {
	return this._viewListener;
} 

CalemDocAttachmentFormList.prototype.onViewAttachment =
function(evt) {
	var rec=CalemEvent.getItem(evt);
	var id=rec.getField('upload_id').getRawValue();
	CalemFileUpload._viewFile(id);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemDocAttachmentFormRead
 */
function CalemDocAttachmentFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemDocAttachmentFormRead.prototype = new CalemFormReadDet;
CalemDocAttachmentFormRead.prototype.constructor = CalemDocAttachmentFormRead;

CalemDocAttachmentFormRead.prototype.toString = function() { return "CalemDocAttachmentFormRead";}

/**
 * Business APIs
 */
CalemDocAttachmentFormRead.prototype._getFormNewId =
function() {
	return 'CalemDocAttachmentFormNew';
} 

CalemDocAttachmentFormRead.prototype._getFormEditId =
function() {
	return 'CalemDocAttachmentFormEdit';
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemDocAttachmentFormNew
 */
function CalemDocAttachmentFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemDocAttachmentFormNew.prototype = new CalemFormNew;
CalemDocAttachmentFormNew.prototype.constructor = CalemDocAttachmentFormNew;

CalemDocAttachmentFormNew.prototype.toString = function() { return "CalemDocAttachmentFormNew";}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemDocAttachmentFormEdit
 */
function CalemDocAttachmentFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemDocAttachmentFormEdit.prototype = new CalemFormEdit;
CalemDocAttachmentFormEdit.prototype.constructor = CalemDocAttachmentFormEdit;

CalemDocAttachmentFormEdit.prototype.toString = function() { return "CalemDocAttachmentFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemDocUploadFormList
 */
function CalemDocUploadFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
	this._viewListener = new AjxListener(this, this.onViewUpload);
}

CalemDocUploadFormList.prototype = new CalemFormList;
CalemDocUploadFormList.prototype.constructor = CalemDocUploadFormList;

CalemDocUploadFormList.prototype.toString = function() { return "CalemDocUploadFormList";}

/**
 * Business APIs
 */
CalemDocUploadFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemDocUploadFormNew';
} 

CalemDocUploadFormList.prototype._getFormReadId =
function(evt) {	
	return 'CalemDocUploadFormRead';
} 

//Event handlers
CalemDocUploadFormList.prototype.getUploadViewListener =
function() {
	return this._viewListener;
} 

CalemDocUploadFormList.prototype.onViewUpload =
function(evt) {
	var rec=CalemEvent.getItem(evt);
	CalemFileUpload._viewFile(rec.id);
}

/**
 * Deletion must be handled specially
 */
CalemDocUploadFormList.prototype.onDelete =
function(evt) {
	var rec=CalemEvent.getItem(evt);
	CalemDocUploadBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemDocUploadFormRead
 */
function CalemDocUploadFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormRead.call(this, parent, formId, data);
}

CalemDocUploadFormRead.prototype = new CalemFormRead;
CalemDocUploadFormRead.prototype.constructor = CalemDocUploadFormRead;

CalemDocUploadFormRead.prototype.toString = function() { return "CalemDocUploadFormRead";}

/**
 * Business APIs
 */
CalemDocUploadFormRead.prototype._getFormNewId =
function() {
	return 'CalemDocUploadFormNew';
} 

CalemDocUploadFormRead.prototype._getFormEditId =
function() {
	return 'CalemDocUploadFormEdit';
}

/**
 * Deletion must be handled specially
 */
CalemDocUploadFormRead.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemDocUploadBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemDocUploadFormNew
 */
function CalemDocUploadFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemDocUploadFormNew.prototype = new CalemFormNew;
CalemDocUploadFormNew.prototype.constructor = CalemDocUploadFormNew;

CalemDocUploadFormNew.prototype.toString = function() { return "CalemDocUploadFormNew";}

//Creating upload handler.
CalemDocUploadFormNew.prototype.setFileUploadEls =
function(params) {
	this._fileUpload=new CalemFileUpload(params);
}

//Do not cache this form
CalemDocUploadFormNew.prototype.getCacheEmbedOnClose =
function() {
	return false;
}

//Two-phase save operation.
CalemDocUploadFormNew.prototype._onSave =
function(evt) {
	var rows=this._prepareDataNew();
	var st=rows['row_0']['base']['data']['access_id'];
	var cb=new AjxCallback(this, this._onUploadCallback, rows);
	this._fileUpload.uploadFile(CalemConf['file_upload']['uploadNew'], st, cb);
} 

CalemDocUploadFormNew.prototype._onUploadCallback =
function(rows, rf) {
	rows['row_0']['base']['data']['file_upload']=rf;
	this._onSaveCall(rows);
} 

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemDocUploadFormEdit
 */
function CalemDocUploadFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemDocUploadFormEdit.prototype = new CalemFormEdit;
CalemDocUploadFormEdit.prototype.constructor = CalemDocUploadFormEdit;

CalemDocUploadFormEdit.prototype.toString = function() { return "CalemDocUploadFormEdit";}

//Creating upload handler.
CalemDocUploadFormEdit.prototype.setFileUploadEls =
function(params) {
	this._fileUpload=new CalemFileUpload(params);
}

//Do not cache this form
CalemDocUploadFormEdit.prototype.getCacheEmbedOnClose =
function() {
	return false;
}

//Two-phase save operation.
CalemDocUploadFormEdit.prototype._onSave =
function(evt) {
	var rows=this._prepareDataEdit();
	var fileUpdate=rows['row_0']['base']['update']['file_upload'];
	if (fileUpdate) {
		var stNew=rows['row_0']['base']['update']['access_id'];
		var stOld=rows['row_0']['base']['current']['access_id'];
		var st= (stNew ? stNew : stOld);
		var cb=new AjxCallback(this, this._onUploadCallback, rows);
		this._fileUpload.uploadFile(CalemConf['file_upload']['uploadEdit'], st, cb);
	} else {
		this._onSaveCall(rows);
	}
} 

CalemDocUploadFormEdit.prototype._onUploadCallback =
function(rows, rf) {
	rows['row_0']['base']['update']['file_upload']=rf;
	this._onSaveCall(rows);
} 

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemDocUploadFormLookup
 */
function CalemDocUploadFormLookup(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormLookup.call(this, parent, formId, data);
	this._viewListener = new AjxListener(this, this.onViewUpload);
}

CalemDocUploadFormLookup.prototype = new CalemFormLookup;
CalemDocUploadFormLookup.prototype.constructor = CalemDocUploadFormLookup;

CalemDocUploadFormLookup.prototype.toString = function() { return "CalemDocUploadFormLookup";}

/**
 * Business APIs
 */
CalemDocUploadFormLookup.prototype._getFormNewId =
function() {
   return 'CalemDocUploadFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemDocUploadFormLookup.prototype._getFormReadId =
function(evt) {
	return 'CalemDocUploadFormRead';
} 

//Event handlers
CalemDocUploadFormLookup.prototype.getUploadViewListener =
function() {
	return this._viewListener;
} 

CalemDocUploadFormLookup.prototype.onViewUpload =
function(evt) {
	var rec=CalemEvent.getItem(evt);
	CalemFileUpload._viewFile(rec.id);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDocTypeFormList
 */
function CalemDocTypeFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
}

CalemDocTypeFormList.prototype = new CalemFormList;
CalemDocTypeFormList.prototype.constructor = CalemDocTypeFormList;

CalemDocTypeFormList.prototype.toString = function() { return "CalemDocTypeFormList";}

/**
 * Business APIs
 */
CalemDocTypeFormList.prototype._getFormNewId =
function() {
    return 'CalemDocTypeFormNew';
} 
 
CalemDocTypeFormList.prototype._getFormReadId =
function() {
    return 'CalemDocTypeFormRead';
}  

/**
 * Deletion must be handled specially
 */
CalemDocTypeFormList.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemDocTypeBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDocTypeFormRead
 */
function CalemDocTypeFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormRead.call(this, parent, formId, data);
}

CalemDocTypeFormRead.prototype = new CalemFormRead;
CalemDocTypeFormRead.prototype.constructor = CalemDocTypeFormRead;

CalemDocTypeFormRead.prototype.toString = function() { return "CalemDocTypeFormRead";}

/**
 * Business APIs
 */
CalemDocTypeFormRead.prototype._getFormNewId =
function() {
	return 'CalemDocTypeFormNew';
} 

CalemDocTypeFormRead.prototype._getFormEditId =
function() {
	return 'CalemDocTypeFormEdit';
}

/**
 * Deletion must be handled specially
 */
CalemDocTypeFormRead.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemDocTypeBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDocTypeFormNew
 */
function CalemDocTypeFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemDocTypeFormNew.prototype = new CalemFormNew;
CalemDocTypeFormNew.prototype.constructor = CalemDocTypeFormNew;

CalemDocTypeFormNew.prototype.toString = function() { return "CalemDocTypeFormNew";}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDocTypeFormEdit
 */
function CalemDocTypeFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemDocTypeFormEdit.prototype = new CalemFormEdit;
CalemDocTypeFormEdit.prototype.constructor = CalemDocTypeFormEdit;

CalemDocTypeFormEdit.prototype.toString = function() { return "CalemDocTypeFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemDocTypeFormLookup
 */
function CalemDocTypeFormLookup(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormLookup.call(this, parent, formId, data);
}

CalemDocTypeFormLookup.prototype = new CalemFormLookup;
CalemDocTypeFormLookup.prototype.constructor = CalemDocTypeFormLookup;

CalemDocTypeFormLookup.prototype.toString = function() { return "CalemDocTypeFormLookup";}

/**
 * Business APIs
 */
CalemDocTypeFormLookup.prototype._getFormNewId =
function() {
   return 'CalemDocTypeFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemDocTypeFormLookup.prototype._getFormReadId =
function(evt) {
	return 'CalemDocTypeFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * forms
 */

/**
 * Doc MdTab.
 */
CalemItemDef['CalemDocFormMdTab']={
	CalemFormMdTabInfo: {
		id: 'CalemDocFormMdTab',
		title: 'document',
		icon: 'CalemDocument',
		replaceType: CalemItemDef.REPLACE_BY_ID,
		//Three portions of info: layout, model and itemMap.
		layout: {
			CalemMdTabLayoutInfo: {
				tabList: ['tab_doc'],
				tabMap: {
					'tab_doc': {CalemTabLayoutInfo: ['CalemDocFormRead','CalemDocAttachmentFormList']}
				}
			} },
		model: {
				CalemFormModelInfo: {
					master: 'CalemDocFormRead',
			      items: 
			             [{CalemFormLinkInfo: {id: 'CalemDocAttachmentFormList', link: {CalemFieldMdInfo: {fld: 'doc_id', parentFld: 'id'}}} }
			             ]
				}
		}, 
		itemMap : { //Default layout conf.
		  CalemItemMap :{
			 'CalemDocFormRead' : {CalemFormLayoutInfo: {
								 		id: 'CalemDocFormRead',
								 		fixed: true, //Move not allowed.
								 		layout: {CalemBlockLayoutInfo: {width: '100%', height: '-2'}} }
										},
			 
			 'CalemDocAttachmentFormList' : {CalemFormLayoutInfo: {
								 		id: 'CalemDocAttachmentFormList',
								 		layout: {CalemBlockLayoutInfo: {width: '100%', height: '-1'}} }
										},
			 
		  'tab_doc': {CalemTabInfo: {id: 'tab_doc'}}
		  }
		  
		} //itemMap
	} //MdTabInfo
} 

/**
 * Doc
 */
CalemItemDef['CalemDocFormList']={
	CalemFormInfo: {
		id: 'CalemDocFormList',
		title: 'document_list',
		icon: 'CalemDoc',
		controller: 'CalemDocFormList',
		model: 'document', 
		view: {CalemViewRefInfo: {id: 'CalemDocViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemDocFormSearch'
	}
}

CalemItemDef['CalemDocFormLookup']={
	CalemFormInfo: {
		id: 'CalemDocFormLookup',
		title: 'document',
		icon: 'CalemDoc',
		controller: 'CalemDocFormLookup',
		model: 'document', 
		view: {CalemViewRefInfo: {id: 'CalemDocViewLookup'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemDocFormSearch'
	}
}

CalemItemDef['CalemDocFormNew']={
	CalemFormInfo: {
		id: 'CalemDocFormNew',
		title: 'document',
		icon: 'CalemDoc',
		controller: 'CalemDocFormNew',
		model: 'document', 
		view: {CalemViewRefInfo: {id: 'CalemDocViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemDocFormEdit']={
	CalemFormInfo: {
		id: 'CalemDocFormEdit',
		title: 'document',
		icon: 'CalemDoc',
		controller: 'CalemDocFormEdit',
		model: 'document', 
   	view: {CalemViewRefInfo: {id: 'CalemDocViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemDocFormRead']={
	CalemFormInfo: {
		id: 'CalemDocFormRead',
		title: 'document',
		icon: 'CalemDoc',
		controller: 'CalemDocFormRead',
		model: 'document', 
		view: {CalemViewRefInfo: {id: 'CalemDocViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemDocFormSearch']={
	CalemFormInfo: {
		id: 'CalemDocFormSearch',
		title: 'document',
		icon: 'CalemDoc',
		controller: 'CalemFormSearchEdit',
		model: 'document', 
		view: {CalemViewRefInfo: {id: 'CalemDocViewSearch'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * Doc type
 */
CalemItemDef['CalemDocTypeFormList']={
	CalemFormInfo: {
		id: 'CalemDocTypeFormList',
		title: 'doc_type',
		icon: 'CalemDoc',
		controller: 'CalemDocTypeFormList',
		model: 'doc_type', 
		view: {CalemViewRefInfo: {id: 'CalemDocTypeViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemDocTypeFormSearch'
	}
}

CalemItemDef['CalemDocTypeFormLookup']={
	CalemFormInfo: {
		id: 'CalemDocTypeFormLookup',
		title: 'doc_type',
		icon: 'CalemDoc',
		controller: 'CalemDocTypeFormLookup',
		model: 'doc_type', 
		view: {CalemViewRefInfo: {id: 'CalemDocTypeViewLookup'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemDocTypeFormSearch'
	}
}

CalemItemDef['CalemDocTypeFormNew']={
	CalemFormInfo: {
		id: 'CalemDocTypeFormNew',
		title: 'doc_type',
		icon: 'CalemDoc',
		controller: 'CalemDocTypeFormNew',
		model: 'doc_type', 
		view: {CalemViewRefInfo: {id: 'CalemDocTypeViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemDocTypeFormEdit']={
	CalemFormInfo: {
		id: 'CalemDocTypeFormEdit',
		title: 'doc_type',
		icon: 'CalemDoc',
		controller: 'CalemDocTypeFormEdit',
		model: 'doc_type', 
   	view: {CalemViewRefInfo: {id: 'CalemDocTypeViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemDocTypeFormRead']={
	CalemFormInfo: {
		id: 'CalemDocTypeFormRead',
		title: 'doc_type',
		icon: 'CalemDoc',
		controller: 'CalemDocTypeFormRead',
		model: 'doc_type', 
		view: {CalemViewRefInfo: {id: 'CalemDocTypeViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemDocTypeFormSearch']={
	CalemFormInfo: {
		id: 'CalemDocTypeFormSearch',
		title: 'doc_type',
		icon: 'CalemDoc',
		controller: 'CalemFormSearchEdit',
		model: 'doc_type', 
		view: {CalemViewRefInfo: {id: 'CalemDocTypeViewSearch'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * Doc Upload
 */
CalemItemDef['CalemDocUploadFormList']={
	CalemFormInfo: {
		id: 'CalemDocUploadFormList',
		title: 'doc_upload',
		icon: 'CalemUpload',
		controller: 'CalemDocUploadFormList',
		model: 'doc_upload', 
		view: {CalemViewRefInfo: {id: 'CalemDocUploadViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemDocUploadFormSearch'
	}
}

CalemItemDef['CalemDocUploadFormLookup']={
	CalemFormInfo: {
		id: 'CalemDocUploadFormLookup',
		title: 'doc_upload',
		icon: 'CalemUpload',
		controller: 'CalemDocUploadFormLookup',
		model: 'doc_upload', 
		view: {CalemViewRefInfo: {id: 'CalemDocUploadViewLookup'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemDocUploadFormSearch'
	}
}

CalemItemDef['CalemDocUploadFormNew']={
	CalemFormInfo: {
		id: 'CalemDocUploadFormNew',
		title: 'doc_upload',
		icon: 'CalemUpload',
		controller: 'CalemDocUploadFormNew',
		model: 'doc_upload', 
		view: {CalemViewRefInfo: {id: 'CalemDocUploadViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemDocUploadFormEdit']={
	CalemFormInfo: {
		id: 'CalemDocUploadFormEdit',
		title: 'doc_upload',
		icon: 'CalemUpload',
		controller: 'CalemDocUploadFormEdit',
		model: 'doc_upload', 
   	view: {CalemViewRefInfo: {id: 'CalemDocUploadViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemDocUploadFormRead']={
	CalemFormInfo: {
		id: 'CalemDocUploadFormRead',
		title: 'doc_upload',
		icon: 'CalemUpload',
		controller: 'CalemDocUploadFormRead',
		model: 'doc_upload', 
		view: {CalemViewRefInfo: {id: 'CalemDocUploadViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemDocUploadFormSearch']={
	CalemFormInfo: {
		id: 'CalemDocUploadFormSearch',
		title: 'doc_upload',
		icon: 'CalemUpload',
		controller: 'CalemFormSearchEdit',
		model: 'doc_upload', 
		view: {CalemViewRefInfo: {id: 'CalemDocUploadViewSearch'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * Doc attachment
 */
CalemItemDef['CalemDocAttachmentFormList']={
	CalemFormInfo: {
		id: 'CalemDocAttachmentFormList',
		title: 'doc_attachment',
		icon: 'CalemDoc',
		controller: 'CalemDocAttachmentFormList',
		model: 'doc_attachment', 
		view: {CalemViewRefInfo: {id: 'CalemDocAttachmentViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemDocAttachmentFormSearch'
	}
}

CalemItemDef['CalemDocAttachmentFormNew']={
	CalemFormInfo: {
		id: 'CalemDocAttachmentFormNew',
		title: 'doc_attachment',
		icon: 'CalemDoc',
		controller: 'CalemDocAttachmentFormNew',
		model: 'doc_attachment', 
		view: {CalemViewRefInfo: {id: 'CalemDocAttachmentViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemDocAttachmentFormEdit']={
	CalemFormInfo: {
		id: 'CalemDocAttachmentFormEdit',
		title: 'doc_attachment',
		icon: 'CalemDoc',
		controller: 'CalemDocAttachmentFormEdit',
		model: 'doc_attachment', 
   	view: {CalemViewRefInfo: {id: 'CalemDocAttachmentViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemDocAttachmentFormRead']={
	CalemFormInfo: {
		id: 'CalemDocAttachmentFormRead',
		title: 'doc_attachment',
		icon: 'CalemDoc',
		controller: 'CalemDocAttachmentFormRead',
		model: 'doc_attachment', 
		view: {CalemViewRefInfo: {id: 'CalemDocAttachmentViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemModuleDef["modCalemDoc"]= {
	CalemModuleInfo: {
      id:"modCalemDoc",
      icon:"CalemDoc",
      defaultMenu: 'CalemDocFormList',
      toolBar: {
        CalemToolBarInfo: {
        	  type: 'CalemToolBar',
        	  layout: ['modCalemDoc', 'sep', 'CalemDocFormList', 'CalemDocUploadFormList', 'CalemDocTypeFormList'],
        	  list: [
	         {CalemLabelInfo: {id: 'modCalemDoc', className: 'CalemModuleLabel'}},
	         
	         {CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
	         
	         {CalemMenuItemInfo: {id: 'CalemDocFormList'}},
	         
	         {CalemMenuItemInfo: {id: 'CalemDocUploadFormList'}},
	         
	         {CalemMenuItemInfo: {id: 'CalemDocTypeFormList'}}
	      ] }
	}
	}
};

//Build Calem.js from client
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemConf['sched_conf'] ={
	max_schedule_days: 30	
}
	
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Admin module menu
 */

//Modules Form

// forms
CalemMenuDef['CalemSchedUserFormList'] = {
	id: 'CalemSchedUserFormList',
	title: 'sched_user',
	icon: 'CalemSched',
	disIcon: null,
	tooltip: null, 
	enabled: true,		   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};

//Codes
CalemMenuDef['CalemSchedBy'] = {
	id: 'CalemSchedBy',
	title: 'sched_by',
	icon: 'CalemSched',
	disIcon: null,
	tooltip: null,
	enabled: true,				   
	onSelect: null	
}; 

CalemMenuDef['CalemSchedByUserFormEdit'] = {
	id: 'CalemSchedByUserFormEdit',
	title: 'sched_by_user',
	icon: 'CalemSched',
	disIcon: null,
	tooltip: null, 
	enabled: true,		   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};

CalemMenuDef['CalemSchedByTeamFormEdit'] = {
	id: 'CalemSchedByTeamFormEdit',
	title: 'sched_by_team',
	icon: 'CalemSched',
	disIcon: null,
	tooltip: null, 
	enabled: true,		   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemSchedUserViewList']={
	CalemViewInfo: {
		id: 'CalemSchedUserViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'sched_user', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep', 'CalemTbDataRefresh', 'sep2', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbDataRefresh'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'user_id', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Lookup views
 */
CalemViewDef['CalemSchedUserViewLookup']={
	CalemViewInfo: {
		id: 'CalemSchedUserViewLookup',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'sched_user', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbSelect', 'CalemTbCancel', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbDataRefresh'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbSelect', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'user_id', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemSchedUserViewNew']={
	CalemViewInfo: {
		id: 'CalemSchedUserViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'sched_user', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemSchedUserViewRead']={
	CalemViewInfo: {
		id: 'CalemSchedUserViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                            				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					{CalemButtonInfo: { id: 'CalemTbDataRefresh'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'sched_user', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemSchedUserViewEdit']={
	CalemViewInfo: {
		id: 'CalemSchedUserViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                         				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'sched_user', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemSchedUserViewSearch']={
	CalemViewInfo: {
		id: 'CalemSchedUserViewSearch',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},		
               {CalemTrInfo: {cols: ['lb_save_search', '_save_search']}}                                                                                                 				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbApplySave', 'sep2', 'CalemTbApply', 'CalemTbSave',  'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	
					   { CalemButtonInfo: {
							 id: 'CalemTbApplySave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
						
						{ CalemButtonInfo: {
							id: 'CalemTbApply', 
							customInfo: {
							  	   CalemMenuCustomInfo: {
							         enabled: false,
							         events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
							  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
					
					
					   
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},   			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'sched_user', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			
			'lb_save_search': {
				CalemLabelInfo: {id: 'save_search', className: 'CalemEditSection'}
			},
			'_save_search': {
				CalemSearchSaveInfo: {size: 30}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemSchedByUserViewEdit']={
	CalemViewInfo: {
		id: 'CalemSchedByUserViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                         				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'sched_vt_by_user', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemSchedByTeamViewEdit']={
	CalemViewInfo: {
		id: 'CalemSchedByTeamViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                         				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'sched_vt_by_team', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemSchedUserFormList
 */
function CalemSchedUserFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
}

CalemSchedUserFormList.prototype = new CalemFormList;
CalemSchedUserFormList.prototype.constructor = CalemSchedUserFormList;

CalemSchedUserFormList.prototype.toString = function() { return "CalemSchedUserFormList";}

/**
 * Business APIs
 */
CalemSchedUserFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemSchedUserFormNew';
} 

CalemSchedUserFormList.prototype._getFormReadId =
function(evt) {	
	return 'CalemSchedUserFormRead';
} 


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemSchedUserFormRead
 */
function CalemSchedUserFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormRead.call(this, parent, formId, data);
}

CalemSchedUserFormRead.prototype = new CalemFormRead;
CalemSchedUserFormRead.prototype.constructor = CalemSchedUserFormRead;

CalemSchedUserFormRead.prototype.toString = function() { return "CalemSchedUserFormRead";}

/**
 * Business APIs
 */
CalemSchedUserFormRead.prototype._getFormNewId =
function() {
	return 'CalemSchedUserFormNew';
} 

CalemSchedUserFormRead.prototype._getFormEditId =
function() {
	return 'CalemSchedUserFormEdit';
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemSchedUserFormNew
 */
function CalemSchedUserFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemSchedUserFormNew.prototype = new CalemFormNew;
CalemSchedUserFormNew.prototype.constructor = CalemSchedUserFormNew;

CalemSchedUserFormNew.prototype.toString = function() { return "CalemSchedUserFormNew";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemSchedUserFormEdit
 */
function CalemSchedUserFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemSchedUserFormEdit.prototype = new CalemFormEdit;
CalemSchedUserFormEdit.prototype.constructor = CalemSchedUserFormEdit;

CalemSchedUserFormEdit.prototype.toString = function() { return "CalemSchedUserFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemSchedUserFormLookup
 */
function CalemSchedUserFormLookup(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormLookup.call(this, parent, formId, data);
}

CalemSchedUserFormLookup.prototype = new CalemFormLookup;
CalemSchedUserFormLookup.prototype.constructor = CalemSchedUserFormLookup;

CalemSchedUserFormLookup.prototype.toString = function() { return "CalemSchedUserFormLookup";}

/**
 * Business APIs
 */
CalemSchedUserFormLookup.prototype._getFormNewId =
function() {
   return 'CalemSchedUserFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemSchedUserFormLookup.prototype._getFormReadId =
function(evt) {
	return 'CalemSchedUserFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemSchedByUserFormEdit
 */
function CalemSchedByUserFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
	//callback
	this._cacheLoadedCb=new AjxCallback(this, this.onCacheLoaded);
	this._schedCb = new AjxCallback(this, this.onSchedCallback);
	this._cache=CalemContext.getInstance().getRegistry().getCache();
}

CalemSchedByUserFormEdit.prototype = new CalemFormEdit;
CalemSchedByUserFormEdit.prototype.constructor = CalemSchedByUserFormEdit;

CalemSchedByUserFormEdit.prototype.toString = function() { return "CalemSchedByUserFormEdit";}

/**
 * Initialize data for the transaction
 */
CalemSchedByUserFormEdit.prototype._createDataModel =
function() {
	CalemFormEdit.prototype._createDataModel.call(this);
	this._instantiate();
}

CalemSchedByUserFormEdit.prototype._instantiate =
function(data) {
	//Restore last data entered
	this._modelItem.createNewRecord();
	var rec=this._modelItem.getCurrentRecord();
	rec.id=1;
	if (this._inputRow) {
		rec.getField('start_date').setServerDateString(this._inputRow['start_date']);
		rec.getField('end_date').setServerDateString(this._inputRow['end_date']);
		rec.getField('shift_id').setRawValue(this._inputRow['shift_id']);
	}
	//Force a repaint.
	this.onRecChanged();
}

CalemSchedByUserFormEdit.prototype._loadData =
function() {//Record should have been set already.
	this._cache.bulkLoadCacheForTable(this._modelItem.getId(), this._cacheLoadedCb);
} 

CalemSchedByUserFormEdit.prototype.onCacheLoaded =
function() {
	this.onDataLoaded();
} 

/**
 * Business APIs
 */
CalemSchedByUserFormEdit.prototype._verifyInputBo =
function() {
	var startDate=this._view.getFieldValue('start_date');
	var endDate=this._view.getFieldValue('end_date');
	var errMsg =null;
	//A few constraints here
	// a) startDate <= endDate
	// b) endDate - startDate < Max (say 30 days)
	if (startDate >= endDate) {
		errMsg= CalemMsg.getMsg('invalid_start_end_date');
	} else if ( (endDate-startDate)/AjxDateUtil.MSEC_PER_DAY > CalemConf['sched_conf']['max_schedule_days']) {
		errMsg= AjxMessageFormat.format(CalemMsg.getMsg('err_sched_max_days'), [CalemConf['sched_conf']['max_schedule_days']]);
	}
	if (errMsg) {
		this._view.setFieldError('start_date', errMsg);
		this._view.setFieldError('end_date', errMsg);
		throw errMsg;
	}
	return true;
}

//Using save function to do transaction
CalemSchedByUserFormEdit.prototype._onSave =
function(evt) {
	var row=this._getInputDataRow();
	this._inputRow=row;
	rows={in_0: row};
	CalemSoapUtil._onSoapCall('BatchSchedule', rows, this._schedCb, null, rows);
}

/**
 * Process soap response from server
 */
CalemSchedByUserFormEdit.prototype.onSchedCallback =
function(resp, rows) {
	//This is single record so let's process it.
	var tranResp=resp[0];
	if (tranResp.status == CalemForm.SOAP_SUCC) { //Update local copy.
		//Resync the form for next processing.
		this._instantiate();
	} else { //Need to display error.
		this._showSoapError(tranResp);
	}	
}


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemSchedByTeamFormEdit
 */
function CalemSchedByTeamFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemSchedByUserFormEdit.call(this, parent, formId, data);
}

CalemSchedByTeamFormEdit.prototype = new CalemSchedByUserFormEdit;
CalemSchedByTeamFormEdit.prototype.constructor = CalemSchedByTeamFormEdit;

CalemSchedByTeamFormEdit.prototype.toString = function() { return "CalemSchedByTeamFormEdit";}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * forms
 */
CalemItemDef['CalemSchedUserFormList']={
	CalemFormInfo: {
		id: 'CalemSchedUserFormList',
		title: 'sched_user',
		icon: 'CalemSched',
		controller: 'CalemSchedUserFormList',
		model: 'sched_user', 
		view: {CalemViewRefInfo: {id: 'CalemSchedUserViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemSchedUserFormSearch'
	}
}

CalemItemDef['CalemSchedUserFormLookup']={
	CalemFormInfo: {
		id: 'CalemSchedUserFormLookup',
		title: 'sched_user',
		icon: 'CalemSched',
		controller: 'CalemSchedUserFormLookup',
		model: 'sched_user', 
		view: {CalemViewRefInfo: {id: 'CalemSchedUserViewLookup'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemSchedUserFormSearch'
	}
}

CalemItemDef['CalemSchedUserFormNew']={
	CalemFormInfo: {
		id: 'CalemSchedUserFormNew',
		title: 'sched_user',
		icon: 'CalemSched',
		controller: 'CalemSchedUserFormNew',
		model: 'sched_user', 
		view: {CalemViewRefInfo: {id: 'CalemSchedUserViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemSchedUserFormEdit']={
	CalemFormInfo: {
		id: 'CalemSchedUserFormEdit',
		title: 'sched_user',
		icon: 'CalemSched',
		controller: 'CalemSchedUserFormEdit',
		model: 'sched_user', 
   	view: {CalemViewRefInfo: {id: 'CalemSchedUserViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemSchedUserFormRead']={
	CalemFormInfo: {
		id: 'CalemSchedUserFormRead',
		title: 'sched_user',
		icon: 'CalemSched',
		controller: 'CalemSchedUserFormRead',
		model: 'sched_user', 
		view: {CalemViewRefInfo: {id: 'CalemSchedUserViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemSchedUserFormSearch']={
	CalemFormInfo: {
		id: 'CalemSchedUserFormSearch',
		title: 'sched_user',
		icon: 'CalemSched',
		controller: 'CalemFormSearchEdit',
		model: 'sched_user', 
		view: {CalemViewRefInfo: {id: 'CalemSchedUserViewSearch'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

//SchedByUser 
CalemItemDef['CalemSchedByUserFormEdit']={
	CalemFormInfo: {
		id: 'CalemSchedByUserFormEdit',
		title: 'sched_vt_by_user',
		icon: 'CalemSched',
		controller: 'CalemSchedByUserFormEdit',
		model: 'sched_vt_by_user', 
   	view: {CalemViewRefInfo: {id: 'CalemSchedByUserViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
} 

CalemItemDef['CalemSchedByTeamFormEdit']={
	CalemFormInfo: {
		id: 'CalemSchedByTeamFormEdit',
		title: 'sched_vt_by_team',
		icon: 'CalemSched',
		controller: 'CalemSchedByTeamFormEdit',
		model: 'sched_vt_by_team', 
   	view: {CalemViewRefInfo: {id: 'CalemSchedByTeamViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Admin module
 */
CalemModuleDef["modCalemSched"]= {
	CalemModuleInfo: {
      id:"modCalemSched",
      icon:"CalemSched",
      defaultMenu: 'CalemSchedUserFormList',
      toolBar: {
        CalemToolBarInfo: {
        	  type: 'CalemToolBar',
        	  layout: ['modCalemSched', 'sep', 'CalemSchedUserFormList', 'CalemSchedBy'],
        	  list: [
	         {CalemLabelInfo: {id: 'modCalemSched', className: 'CalemModuleLabel'}},
	         
	         {CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
	         
	         {CalemMenuItemInfo: {id: 'CalemSchedUserFormList'}},
	         
	         {CalemMenuInfo: {
	      		menuButton: {CalemMenuButtonInfo: {id: 'CalemSchedBy'}},
		      	menuList: [ {CalemMenuItemInfo: {id: 'CalemSchedByUserFormEdit'}},
		      	            {CalemMenuItemInfo: {id: 'CalemSchedByTeamFormEdit'}}
		      	      ]
	      		}
	      	}
	      ] }
	}
	}
};

//Build Calem.js from client
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemRcmFailureBo - business logic
 */
function CalemRcmFailureBo() {
}

CalemRcmFailureBo._details = ['rcm_action', 'rcm_consequence'];

CalemRcmFailureBo.getInstance =
function() {
	if (!CalemRcmFailureBo.singleton) {
		CalemRcmFailureBo.singleton = new CalemRcmFailureBo();
	}
	return CalemRcmFailureBo.singleton;
}

//Asset deletion check
CalemRcmFailureBo.prototype.canDelete =
function(rec, callback) {
	var boUtil=CalemBoUtil.getInstance();
	boUtil.canDeleteByLookup(CalemRcmFailureBo._details, 'failure_id', rec.id, callback);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemRcmTemplateBo - business logic
 */
function CalemRcmTemplateBo() {
}

CalemRcmTemplateBo._details = ['asset', 'rcm_function', 'rcm_failure'];

CalemRcmTemplateBo.getInstance =
function() {
	if (!CalemRcmTemplateBo.singleton) {
		CalemRcmTemplateBo.singleton = new CalemRcmTemplateBo();
	}
	return CalemRcmTemplateBo.singleton;
}

//Asset deletion check
CalemRcmTemplateBo.prototype.canDelete =
function(rec, callback) {
	var boUtil=CalemBoUtil.getInstance();
	boUtil.canDeleteByLookup(CalemRcmTemplateBo._details, 'template_id', rec.id, callback);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemRcmFunctionBo - business logic
 */
function CalemRcmFunctionBo() {
}

CalemRcmFunctionBo._details = ['rcm_failure'];

CalemRcmFunctionBo.getInstance =
function() {
	if (!CalemRcmFunctionBo.singleton) {
		CalemRcmFunctionBo.singleton = new CalemRcmFunctionBo();
	}
	return CalemRcmFunctionBo.singleton;
}

//Asset deletion check
CalemRcmFunctionBo.prototype.canDelete =
function(rec, callback) {
	var boUtil=CalemBoUtil.getInstance();
	boUtil.canDeleteByLookup(CalemRcmFunctionBo._details, 'function_id', rec.id, callback);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemRcmActionBo - business logic
 */
function CalemRcmActionBo() {
}

CalemRcmActionBo._details = ['rcm_action_part'];

CalemRcmActionBo.getInstance =
function() {
	if (!CalemRcmActionBo.singleton) {
		CalemRcmActionBo.singleton = new CalemRcmActionBo();
	}
	return CalemRcmActionBo.singleton;
}

//Asset deletion check
CalemRcmActionBo.prototype.canDelete =
function(rec, callback) {
	var boUtil=CalemBoUtil.getInstance();
	boUtil.canDeleteByLookup(CalemRcmActionBo._details, 'action_id', rec.id, callback);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemMenuDef['CalemRcmFailureFormList'] = {
	id: 'CalemRcmFailureFormList',
	title: 'rcm_failure',
	icon: 'CalemOpen',
	disIcon: null,
	tooltip: null, 
	enabled: true,		   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};

CalemMenuDef['CalemRcmFunctionFormList'] = {
	id: 'CalemRcmFunctionFormList',
	title: 'rcm_function',
	icon: 'CalemOpen',
	disIcon: null,
	tooltip: null, 
	enabled: true,		   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};

CalemMenuDef['CalemRcmTemplateFormList'] = {
	id: 'CalemRcmTemplateFormList',
	title: 'rcm_template',
	icon: 'CalemOpen',
	disIcon: null,
	tooltip: null, 
	enabled: true,		   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};

CalemMenuDef['CalemTbRcmViewPart'] = {
	id: 'CalemTbRcmViewPart',
	title: 'rcm_view_part',
	icon: 'CalemOpen',
	disIcon: null,
	tooltip: null, 
	enabled: true,		   
	onSelect: {CalemMenuSelect: {listener: 'RcmViewPart'}}
};
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemRcmTemplateViewList']={
	CalemViewInfo: {
		id: 'CalemRcmTemplateViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'rcm_template', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep', 'CalemTbPrint', 'sep2', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					{ CalemButtonInfo: {
						id: 'CalemTbPrint', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'template', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Lookup views
 */
CalemViewDef['CalemRcmTemplateViewLookup']={
	CalemViewInfo: {
		id: 'CalemRcmTemplateViewLookup',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'rcm_template', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbSelect', 'CalemTbCancel', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					{ CalemButtonInfo: {
						id: 'CalemTbPrint', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}},
					{CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbSelect', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'template', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemRcmTemplateViewNew']={
	CalemViewInfo: {
		id: 'CalemRcmTemplateViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'rcm_template', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemRcmTemplateViewRead']={
	CalemViewInfo: {
		id: 'CalemRcmTemplateViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                            				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'rcm_template', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemRcmTemplateViewEdit']={
	CalemViewInfo: {
		id: 'CalemRcmTemplateViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                         				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'rcm_template', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemRcmTemplateViewSearch']={
	CalemViewInfo: {
		id: 'CalemRcmTemplateViewSearch',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},		
               {CalemTrInfo: {cols: ['lb_save_search', '_save_search']}}                                                                                                 				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbApplySave', 'sep2', 'CalemTbApply', 'CalemTbSave',  'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	
					   { CalemButtonInfo: {
							 id: 'CalemTbApplySave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
						
						{ CalemButtonInfo: {
							id: 'CalemTbApply', 
							customInfo: {
							  	   CalemMenuCustomInfo: {
							         enabled: false,
							         events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
							  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
					
					
					   
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},   			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'rcm_template', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			
			'lb_save_search': {
				CalemLabelInfo: {id: 'save_search', className: 'CalemEditSection'}
			},
			'_save_search': {
				CalemSearchSaveInfo: {size: 30}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemRcmFunctionViewList']={
	CalemViewInfo: {
		id: 'CalemRcmFunctionViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'rcm_function', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep', 'CalemTbPrint', 'sep2', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					{ CalemButtonInfo: {
						id: 'CalemTbPrint', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'fn_name', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Lookup views
 */
CalemViewDef['CalemRcmFunctionViewLookup']={
	CalemViewInfo: {
		id: 'CalemRcmFunctionViewLookup',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'rcm_function', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbSelect', 'CalemTbCancel', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					{ CalemButtonInfo: {
						id: 'CalemTbPrint', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbSelect', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'fn_name', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemRcmFunctionViewNew']={
	CalemViewInfo: {
		id: 'CalemRcmFunctionViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'rcm_function', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemRcmFunctionViewRead']={
	CalemViewInfo: {
		id: 'CalemRcmFunctionViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                            				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'rcm_function', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemRcmFunctionViewEdit']={
	CalemViewInfo: {
		id: 'CalemRcmFunctionViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                         				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'rcm_function', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemRcmFunctionViewSearch']={
	CalemViewInfo: {
		id: 'CalemRcmFunctionViewSearch',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},		
               {CalemTrInfo: {cols: ['lb_save_search', '_save_search']}}                                                                                                 				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbApplySave', 'sep2', 'CalemTbApply', 'CalemTbSave',  'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	
					   { CalemButtonInfo: {
							 id: 'CalemTbApplySave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
						
						{ CalemButtonInfo: {
							id: 'CalemTbApply', 
							customInfo: {
							  	   CalemMenuCustomInfo: {
							         enabled: false,
							         events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
							  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
					
					
					   
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},   			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'rcm_function', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			
			'lb_save_search': {
				CalemLabelInfo: {id: 'save_search', className: 'CalemEditSection'}
			},
			'_save_search': {
				CalemSearchSaveInfo: {size: 30}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemRcmFailureViewList']={
	CalemViewInfo: {
		id: 'CalemRcmFailureViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'rcm_failure', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep', 'sep2', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},

					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'failure', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Lookup views
 */
CalemViewDef['CalemRcmActionViewLookup']={
	CalemViewInfo: {
		id: 'CalemRcmActionViewLookup',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'rcm_action', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbSelect', 'CalemTbCancel', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					{ CalemButtonInfo: {
						id: 'CalemTbPrint', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbSelect', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'action', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemRcmFailureViewNew']={
	CalemViewInfo: {
		id: 'CalemRcmFailureViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'pm', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemRcmFailureViewRead']={
	CalemViewInfo: {
		id: 'CalemRcmFailureViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},
               //Last changes
					{CalemTrInfo: {cols: ['lb_last_changes']}}                                                                                                               				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{ CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'rcm_failure', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_last_changes': {
				CalemLabelInfo: {id: 'last_changes', className: 'CalemEditSection'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemRcmFailureViewEdit']={
	CalemViewInfo: {
		id: 'CalemRcmFailureViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'rcm_failure', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemRcmFailureViewSearch']={
	CalemViewInfo: {
		id: 'CalemRcmFailureViewSearch',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},		
               {CalemTrInfo: {cols: ['lb_save_search', '_save_search']}},				             

					//Last changes
					{CalemTrInfo: {cols: ['lb_last_changes']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbApplySave', 'sep2', 'CalemTbApply', 'CalemTbSave',  'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	
					   { CalemButtonInfo: {
							 id: 'CalemTbApplySave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
						
						{ CalemButtonInfo: {
							id: 'CalemTbApply', 
							customInfo: {
							  	   CalemMenuCustomInfo: {
							         enabled: false,
							         events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
							  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
					
					
					   
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},   			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'rcm_failure', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			
			'lb_save_search': {
				CalemLabelInfo: {id: 'save_search', className: 'CalemEditSection'}
			},
			'_save_search': {
				CalemSearchSaveInfo: {size: 30}
			},
			'lb_last_changes': {
				CalemLabelInfo: {id: 'last_changes', className: 'CalemEditSection'}
			},
			'release_schedule': {CalemEditScheduleInfo: {field: 'release_schedule'}}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemRcmActionViewList']={
	CalemViewInfo: {
		id: 'CalemRcmActionViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'rcm_action', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: {
						id: 'CalemTbRcmViewPart', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'action', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Lookup views
 */
CalemViewDef['CalemRcmFailureViewLookup']={
	CalemViewInfo: {
		id: 'CalemRcmFailureViewLookup',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'rcm_failure', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbSelect', 'CalemTbCancel', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					{ CalemButtonInfo: {
						id: 'CalemTbPrint', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbSelect', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'failure', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemRcmActionViewNew']={
	CalemViewInfo: {
		id: 'CalemRcmActionViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'rcm_action', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemRcmActionViewRead']={
	CalemViewInfo: {
		id: 'CalemRcmActionViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'rcm_action', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemRcmActionViewEdit']={
	CalemViewInfo: {
		id: 'CalemRcmActionViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'rcm_action', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemRcmActionViewSearch']={
	CalemViewInfo: {
		id: 'CalemRcmActionViewSearch',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},		
               {CalemTrInfo: {cols: ['lb_save_search', '_save_search']}}                                                                                                 				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbApplySave', 'sep2', 'CalemTbApply', 'CalemTbSave',  'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	
					   { CalemButtonInfo: {
							 id: 'CalemTbApplySave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
						
						{ CalemButtonInfo: {
							id: 'CalemTbApply', 
							customInfo: {
							  	   CalemMenuCustomInfo: {
							         enabled: false,
							         events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
							  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
					
					
					   
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},   			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'rcm_action', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			
			'lb_save_search': {
				CalemLabelInfo: {id: 'save_search', className: 'CalemEditSection'}
			},
			'_save_search': {
				CalemSearchSaveInfo: {size: 30}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemRcmConsequenceViewList']={
	CalemViewInfo: {
		id: 'CalemRcmConsequenceViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'rcm_consequence', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'consequence', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemRcmConsequenceViewNew']={
	CalemViewInfo: {
		id: 'CalemRcmConsequenceViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'rcm_consequence', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemRcmConsequenceViewRead']={
	CalemViewInfo: {
		id: 'CalemRcmConsequenceViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'rcm_consequence', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemRcmConsequenceViewEdit']={
	CalemViewInfo: {
		id: 'CalemRcmConsequenceViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'rcm_consequence', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemRcmActionPartViewList']={
	CalemViewInfo: {
		id: 'CalemRcmActionPartViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'rcm_action_part', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
										  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'in_id', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemRcmActionPartViewNew']={
	CalemViewInfo: {
		id: 'CalemRcmActionPartViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'rcm_action_part', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemRcmActionPartViewRead']={
	CalemViewInfo: {
		id: 'CalemRcmActionPartViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'rcm_action_part', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemRcmActionPartViewEdit']={
	CalemViewInfo: {
		id: 'CalemRcmActionPartViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'rcm_action_part', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemRcmTemplateFormList
 */
function CalemRcmTemplateFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
}

CalemRcmTemplateFormList.prototype = new CalemFormList;
CalemRcmTemplateFormList.prototype.constructor = CalemRcmTemplateFormList;

CalemRcmTemplateFormList.prototype.toString = function() { return "CalemRcmTemplateFormList";}

/**
 * Business APIs
 */
CalemRcmTemplateFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemRcmTemplateFormNew';
} 

CalemRcmTemplateFormList.prototype._getFormReadId =
function(evt) {	
	return 'CalemRcmTemplateFormRead';
} 

/**
 * Deletion must be handled specially
 */
CalemRcmTemplateFormList.prototype.onDelete =
function(evt) {
	var rec=CalemEvent.getItem(evt);
	CalemRcmTemplateBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemRcmTemplateFormRead
 */
function CalemRcmTemplateFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormRead.call(this, parent, formId, data);
}

CalemRcmTemplateFormRead.prototype = new CalemFormRead;
CalemRcmTemplateFormRead.prototype.constructor = CalemRcmTemplateFormRead;

CalemRcmTemplateFormRead.prototype.toString = function() { return "CalemRcmTemplateFormRead";}

/**
 * Business APIs
 */
CalemRcmTemplateFormRead.prototype._getFormNewId =
function() {
	return 'CalemRcmTemplateFormNew';
} 

CalemRcmTemplateFormRead.prototype._getFormEditId =
function() {
	return 'CalemRcmTemplateFormEdit';
}

/**
 * Deletion must be handled specially
 */
CalemRcmTemplateFormRead.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemRcmTemplateBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemRcmTemplateFormNew
 */
function CalemRcmTemplateFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemRcmTemplateFormNew.prototype = new CalemFormNew;
CalemRcmTemplateFormNew.prototype.constructor = CalemRcmTemplateFormNew;

CalemRcmTemplateFormNew.prototype.toString = function() { return "CalemRcmTemplateFormNew";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemRcmTemplateFormEdit
 */
function CalemRcmTemplateFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemRcmTemplateFormEdit.prototype = new CalemFormEdit;
CalemRcmTemplateFormEdit.prototype.constructor = CalemRcmTemplateFormEdit;

CalemRcmTemplateFormEdit.prototype.toString = function() { return "CalemRcmTemplateFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemRcmTemplateFormLookup
 */
function CalemRcmTemplateFormLookup(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormLookup.call(this, parent, formId, data);
}

CalemRcmTemplateFormLookup.prototype = new CalemFormLookup;
CalemRcmTemplateFormLookup.prototype.constructor = CalemRcmTemplateFormLookup;

CalemRcmTemplateFormLookup.prototype.toString = function() { return "CalemRcmTemplateFormLookup";}

/**
 * Business APIs
 */
CalemRcmTemplateFormLookup.prototype._getFormNewId =
function() {
   return 'CalemRcmTemplateFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemRcmTemplateFormLookup.prototype._getFormReadId =
function(evt) {
	return 'CalemRcmTemplateFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemRcmFunctionFormList
 */
function CalemRcmFunctionFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
}

CalemRcmFunctionFormList.prototype = new CalemFormList;
CalemRcmFunctionFormList.prototype.constructor = CalemRcmFunctionFormList;

CalemRcmFunctionFormList.prototype.toString = function() { return "CalemRcmFunctionFormList";}

/**
 * Business APIs
 */
CalemRcmFunctionFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemRcmFunctionFormNew';
} 

CalemRcmFunctionFormList.prototype._getFormReadId =
function(evt) {	
	return 'CalemRcmFunctionFormRead';
} 

/**
 * Deletion must be handled specially
 */
CalemRcmFunctionFormList.prototype.onDelete =
function(evt) {
	var rec=CalemEvent.getItem(evt);
	CalemRcmFunctionBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemRcmFunctionFormRead
 */
function CalemRcmFunctionFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormRead.call(this, parent, formId, data);
}

CalemRcmFunctionFormRead.prototype = new CalemFormRead;
CalemRcmFunctionFormRead.prototype.constructor = CalemRcmFunctionFormRead;

CalemRcmFunctionFormRead.prototype.toString = function() { return "CalemRcmFunctionFormRead";}

/**
 * Business APIs
 */
CalemRcmFunctionFormRead.prototype._getFormNewId =
function() {
	return 'CalemRcmFunctionFormNew';
} 

CalemRcmFunctionFormRead.prototype._getFormEditId =
function() {
	return 'CalemRcmFunctionFormEdit';
}

/**
 * Deletion must be handled specially
 */
CalemRcmFunctionFormRead.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemRcmFunctionBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemRcmFunctionFormNew
 */
function CalemRcmFunctionFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemRcmFunctionFormNew.prototype = new CalemFormNew;
CalemRcmFunctionFormNew.prototype.constructor = CalemRcmFunctionFormNew;

CalemRcmFunctionFormNew.prototype.toString = function() { return "CalemRcmFunctionFormNew";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemRcmFunctionFormEdit
 */
function CalemRcmFunctionFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemRcmFunctionFormEdit.prototype = new CalemFormEdit;
CalemRcmFunctionFormEdit.prototype.constructor = CalemRcmFunctionFormEdit;

CalemRcmFunctionFormEdit.prototype.toString = function() { return "CalemRcmFunctionFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemRcmFunctionFormLookup
 */
function CalemRcmFunctionFormLookup(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormLookup.call(this, parent, formId, data);
}

CalemRcmFunctionFormLookup.prototype = new CalemFormLookup;
CalemRcmFunctionFormLookup.prototype.constructor = CalemRcmFunctionFormLookup;

CalemRcmFunctionFormLookup.prototype.toString = function() { return "CalemRcmFunctionFormLookup";}

/**
 * Business APIs
 */
CalemRcmFunctionFormLookup.prototype._getFormNewId =
function() {
   return 'CalemRcmFunctionFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemRcmFunctionFormLookup.prototype._getFormReadId =
function(evt) {
	return 'CalemRcmFunctionFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemRcmFailureFormMdTab
 */
function CalemRcmFailureFormMdTab(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormMdTab.call(this, parent, formId, data);
}

CalemRcmFailureFormMdTab.prototype = new CalemFormMdTab;
CalemRcmFailureFormMdTab.prototype.constructor = CalemRcmFailureFormMdTab;

CalemRcmFailureFormMdTab.prototype.toString = function() { return "CalemRcmFailureFormMdTab";}

/**
 * Business APIs
 */

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemRcmFailureFormList
 */
function CalemRcmFailureFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
}

CalemRcmFailureFormList.prototype = new CalemFormList;
CalemRcmFailureFormList.prototype.constructor = CalemRcmFailureFormList;

CalemRcmFailureFormList.prototype.toString = function() { return "CalemRcmFailureFormList";}

/**
 * Business APIs
 */
CalemRcmFailureFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemRcmFailureFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemRcmFailureFormList.prototype._onOpen =
function(evt) {
	//Get the selection event
    var item=CalemEvent.getItem(evt);
	//Prepare data for master detail view.
	var data = {modelItem: this._modelItem, item: item};
	//pass-through current data model and selection
	this._openForm('CalemRcmFailureFormMdTab', data);
} 

/**
 * Deletion must be handled specially
 */
CalemRcmFailureFormList.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemRcmFailureBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemRcmFailureFormLookup
 */
function CalemRcmFailureFormLookup(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormLookup.call(this, parent, formId, data);
}

CalemRcmFailureFormLookup.prototype = new CalemFormLookup;
CalemRcmFailureFormLookup.prototype.constructor = CalemRcmFailureFormLookup;

CalemRcmFailureFormLookup.prototype.toString = function() { return "CalemRcmFailureFormLookup";}

/**
 * Business APIs
 */
CalemRcmFailureFormLookup.prototype._getFormNewId =
function() {
   return 'CalemRcmFailureFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemRcmFailureFormLookup.prototype._getFormReadId =
function(evt) {
	return 'CalemRcmFailureFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemRcmFailureFormNew
 */
function CalemRcmFailureFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemRcmFailureFormNew.prototype = new CalemFormNew;
CalemRcmFailureFormNew.prototype.constructor = CalemRcmFailureFormNew;

CalemRcmFailureFormNew.prototype.toString = function() { return "CalemRcmFailureFormNew";}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemRcmFailureFormRead
 */
function CalemRcmFailureFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormRead.call(this, parent, formId, data);
}

CalemRcmFailureFormRead.prototype = new CalemFormRead;
CalemRcmFailureFormRead.prototype.constructor = CalemRcmFailureFormRead;

CalemRcmFailureFormRead.prototype.toString = function() { return "CalemRcmFailureFormRead";}

/**
 * Business APIs
 */
CalemRcmFailureFormRead.prototype._getFormNewId =
function() {
	return 'CalemRcmFailureFormNew';
} 

CalemRcmFailureFormRead.prototype._getFormEditId =
function() {
	return 'CalemRcmFailureFormEdit';
}

/**
 * Deletion must be handled specially
 */
CalemRcmFailureFormRead.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemRcmFailureBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemRcmFailureFormEdit
 */
function CalemRcmFailureFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemRcmFailureFormEdit.prototype = new CalemFormEdit;
CalemRcmFailureFormEdit.prototype.constructor = CalemRcmFailureFormEdit;

CalemRcmFailureFormEdit.prototype.toString = function() { return "CalemRcmFailureFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemRcmActionFormList
 */
function CalemRcmActionFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
	this._rcmViewPart = new AjxListener(this, this.onRcmViewPart);
}

CalemRcmActionFormList.prototype = new CalemFormListDet;
CalemRcmActionFormList.prototype.constructor = CalemRcmActionFormList;

CalemRcmActionFormList.prototype.toString = function() { return "CalemRcmActionFormList";}

/**
 * Business APIs
 */
CalemRcmActionFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemRcmActionFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemRcmActionFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemRcmActionFormRead';
} 

CalemRcmActionFormList.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemRcmActionBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

CalemRcmActionFormList.prototype.getRcmViewPart =
function() {
	return this._rcmViewPart;
}

CalemRcmActionFormList.prototype.onRcmViewPart =
function(evt) {
	var rec=CalemEvent.getItem(evt);
	var link=new CalemFieldMdInfo('action_id', 'id');
	var ebInfo=new CalemEmbedInfo(this._parent, 'CalemRcmActionPartFormList', {parentRec: rec, link: link});
	this._embedForm(ebInfo);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemRcmActionFormLookup
 */
function CalemRcmActionFormLookup(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormLookup.call(this, parent, formId, data);
}

CalemRcmActionFormLookup.prototype = new CalemFormLookup;
CalemRcmActionFormLookup.prototype.constructor = CalemRcmActionFormLookup;

CalemRcmActionFormLookup.prototype.toString = function() { return "CalemRcmActionFormLookup";}

/**
 * Business APIs
 */
CalemRcmActionFormLookup.prototype._getFormNewId =
function() {
   return 'CalemRcmActionFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemRcmActionFormLookup.prototype._getFormReadId =
function(evt) {
	return 'CalemRcmActionFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemRcmActionFormNew
 */
function CalemRcmActionFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemRcmActionFormNew.prototype = new CalemFormNew;
CalemRcmActionFormNew.prototype.constructor = CalemRcmActionFormNew;

CalemRcmActionFormNew.prototype.toString = function() { return "CalemRcmActionFormNew";}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemRcmActionFormRead
 */
function CalemRcmActionFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemRcmActionFormRead.prototype = new CalemFormReadDet;
CalemRcmActionFormRead.prototype.constructor = CalemRcmActionFormRead;

CalemRcmActionFormRead.prototype.toString = function() { return "CalemRcmActionFormRead";}

/**
 * Business APIs
 */
CalemRcmActionFormRead.prototype._getFormNewId =
function() {
	return 'CalemRcmActionFormNew';
} 

CalemRcmActionFormRead.prototype._getFormEditId =
function() {
	return 'CalemRcmActionFormEdit';
}

CalemRcmActionFormRead.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemRcmActionBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemRcmActionFormEdit
 */
function CalemRcmActionFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemRcmActionFormEdit.prototype = new CalemFormEdit;
CalemRcmActionFormEdit.prototype.constructor = CalemRcmActionFormEdit;

CalemRcmActionFormEdit.prototype.toString = function() { return "CalemRcmActionFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemRcmConsequenceFormList
 */
function CalemRcmConsequenceFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
}

CalemRcmConsequenceFormList.prototype = new CalemFormListDet;
CalemRcmConsequenceFormList.prototype.constructor = CalemRcmConsequenceFormList;

CalemRcmConsequenceFormList.prototype.toString = function() { return "CalemRcmConsequenceFormList";}

/**
 * Business APIs
 */
CalemRcmConsequenceFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemRcmConsequenceFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemRcmConsequenceFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemRcmConsequenceFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemRcmConsequenceFormNew
 */
function CalemRcmConsequenceFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemRcmConsequenceFormNew.prototype = new CalemFormNew;
CalemRcmConsequenceFormNew.prototype.constructor = CalemRcmConsequenceFormNew;

CalemRcmConsequenceFormNew.prototype.toString = function() { return "CalemRcmConsequenceFormNew";}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemRcmConsequenceFormRead
 */
function CalemRcmConsequenceFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemRcmConsequenceFormRead.prototype = new CalemFormReadDet;
CalemRcmConsequenceFormRead.prototype.constructor = CalemRcmConsequenceFormRead;

CalemRcmConsequenceFormRead.prototype.toString = function() { return "CalemRcmConsequenceFormRead";}

/**
 * Business APIs
 */
CalemRcmConsequenceFormRead.prototype._getFormNewId =
function() {
	return 'CalemRcmConsequenceFormNew';
} 

CalemRcmConsequenceFormRead.prototype._getFormEditId =
function() {
	return 'CalemRcmConsequenceFormEdit';
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemRcmConsequenceFormEdit
 */
function CalemRcmConsequenceFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemRcmConsequenceFormEdit.prototype = new CalemFormEdit;
CalemRcmConsequenceFormEdit.prototype.constructor = CalemRcmConsequenceFormEdit;

CalemRcmConsequenceFormEdit.prototype.toString = function() { return "CalemRcmConsequenceFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemRcmActionPartFormList
 */
function CalemRcmActionPartFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDetNoMd.call(this, parent, formId, data);
}

CalemRcmActionPartFormList.prototype = new CalemFormListDetNoMd;
CalemRcmActionPartFormList.prototype.constructor = CalemRcmActionPartFormList;

CalemRcmActionPartFormList.prototype.toString = function() { return "CalemRcmActionPartFormList";}

/**
 * Business APIs
 */
CalemRcmActionPartFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemRcmActionPartFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemRcmActionPartFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemRcmActionPartFormRead';
} 

//D not cache this form
CalemRcmActionPartFormList.prototype.getCacheEmbedOnClose =
function() {
	return false; //close down upon close.
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemRcmActionPartFormNew
 */
function CalemRcmActionPartFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemRcmActionPartFormNew.prototype = new CalemFormNew;
CalemRcmActionPartFormNew.prototype.constructor = CalemRcmActionPartFormNew;

CalemRcmActionPartFormNew.prototype.toString = function() { return "CalemRcmActionPartFormNew";}
 
CalemRcmActionPartFormNew.prototype.getLookupFormByFld =
function(tbl, fld) {
	return (fld=='in_id') ? 'CalemInPartFormLookup' : null;
} /*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemRcmActionPartFormRead
 */
function CalemRcmActionPartFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemRcmActionPartFormRead.prototype = new CalemFormReadDet;
CalemRcmActionPartFormRead.prototype.constructor = CalemRcmActionPartFormRead;

CalemRcmActionPartFormRead.prototype.toString = function() { return "CalemRcmActionPartFormRead";}

/**
 * Business APIs
 */
CalemRcmActionPartFormRead.prototype._getFormNewId =
function() {
	return 'CalemRcmActionPartFormNew';
} 

CalemRcmActionPartFormRead.prototype._getFormEditId =
function() {
	return 'CalemRcmActionPartFormEdit';
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemRcmActionPartFormEdit
 */
function CalemRcmActionPartFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemRcmActionPartFormEdit.prototype = new CalemFormEdit;
CalemRcmActionPartFormEdit.prototype.constructor = CalemRcmActionPartFormEdit;

CalemRcmActionPartFormEdit.prototype.toString = function() { return "CalemRcmActionPartFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemItemDef['CalemRcmFailureFormList']={
	CalemFormInfo: {
		id: 'CalemRcmFailureFormList',
		title: 'rcm_failure_list',
		icon: 'CalemRcm',
		controller: 'CalemRcmFailureFormList',
		model: 'rcm_failure', 
		view: {CalemViewRefInfo: {id: 'CalemRcmFailureViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemRcmFailureFormSearch'
	}
}

CalemItemDef['CalemRcmFailureFormLookup']={
	CalemFormInfo: {
		id: 'CalemRcmFailureFormLookup',
		title: 'rcm_failure',
		icon: 'CalemRcm',
		controller: 'CalemRcmFailureFormLookup',
		model: 'rcm_failure', 
		view: {CalemViewRefInfo: {id: 'CalemRcmFailureViewLookup'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemRcmFailureFormSearch'
	}
}

CalemItemDef['CalemRcmFailureFormNew']={
	CalemFormInfo: {
		id: 'CalemRcmFailureFormNew',
		title: 'rcm_failure',
		icon: 'CalemRcm',
		controller: 'CalemRcmFailureFormNew',
		model: 'rcm_failure', 
		view: {CalemViewRefInfo: {id: 'CalemRcmFailureViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemRcmFailureFormRead']={
	CalemFormInfo: {
		id: 'CalemRcmFailureFormRead',
		title: 'rcm_failure',
		icon: 'CalemRcm',
		controller: 'CalemRcmFailureFormRead',
		model: 'rcm_failure', 
		view: {CalemViewRefInfo: {id: 'CalemRcmFailureViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemRcmFailureFormEdit']={
	CalemFormInfo: {
		id: 'CalemRcmFailureFormEdit',
		title: 'rcm_failure',
		icon: 'CalemRcm',
		controller: 'CalemRcmFailureFormEdit',
		model: 'rcm_failure', 
		view: {CalemViewRefInfo: {id: 'CalemRcmFailureViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemRcmFailureFormSearch']={
	CalemFormInfo: {
		id: 'CalemRcmFailureFormSearch',
		title: 'rcm_failure',
		icon: 'CalemRcm',
		controller: 'CalemFormSearchEdit',
		model: 'rcm_failure', 
		view: {CalemViewRefInfo: {id: 'CalemRcmFailureViewSearch'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemRcmFailureFormMdTab']={
	CalemFormMdTabInfo: {
		id: 'CalemRcmFailureFormMdTab',
		title: 'rcm_failure',
		icon: 'CalemRcm',
		replaceType: CalemItemDef.REPLACE_BY_ID,
		//Three portions of info: layout, model and itemMap.
		layout: {
			CalemMdTabLayoutInfo: {
				tabList: ['tab_main', 'tab_action', 'CUSTOMIZE_TAB'],
				tabMap: {
					'tab_main': {CalemTabLayoutInfo: ['CalemRcmFailureFormRead']},
					
					'tab_action' : {CalemTabLayoutInfo: ['CalemRcmActionFormList','CalemRcmConsequenceFormList']}
				}
			} },
		model: {
				CalemFormModelInfo: {
					master: 'CalemRcmFailureFormRead',
			      items: 
			             [
			              //Planned
			              {CalemFormLinkInfo: {id: 'CalemRcmActionFormList', link: {CalemFieldMdInfo: {fld: 'failure_id', parentFld: 'id'}}} },
			              {CalemFormLinkInfo: {id: 'CalemRcmConsequenceFormList', link: {CalemFieldMdInfo: {fld: 'failure_id', parentFld: 'id'}}} }
			             ]
				}
		}, 
		itemMap : { //Default layout conf.
		  CalemItemMap :{
			 'CalemRcmFailureFormRead' : {
			 	CalemFormLayoutInfo: {
			 		id: 'CalemRcmFailureFormRead',
			 		fixed: true, //Move not allowed.
			 		layout: {CalemBlockLayoutInfo: {width: '100%', height: '-2'}}
			 	}
			 },
			 
			 'CalemRcmActionFormList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemRcmActionFormList',
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 8}}
			 	 }
			 },
			 
			 'CalemRcmConsequenceFormList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemRcmConsequenceFormList',
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 8}}
			 	 }
			 },
			 
		  'tab_main': {
		  		CalemTabInfo: {id: 'tab_rcm_main', fixed: 1}
		  },
		  
		  'tab_action': {
		  		CalemTabInfo: {id: 'tab_rcm_action'}
		  },
		  
		  'tab_consequence': {
		  		CalemTabInfo: {id: 'tab_rcm_consequence'}
		  },
		  
		  'CUSTOMIZE_TAB' : {
		  		CalemTabInfo: {id: 'CUSTOMIZE_TAB'}
		  }
		  
		  }
		  
		} //itemMap
	} //MdTabInfo
}

/**
 * RcmTemplate
 */
CalemItemDef['CalemRcmTemplateFormList']={
	CalemFormInfo: {
		id: 'CalemRcmTemplateFormList',
		title: 'rcm_template',
		icon: 'CalemRcm',
		controller: 'CalemRcmTemplateFormList',
		model: 'rcm_template', 
		view: {CalemViewRefInfo: {id: 'CalemRcmTemplateViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemRcmTemplateFormSearch'
	}
}

CalemItemDef['CalemRcmTemplateFormLookup']={
	CalemFormInfo: {
		id: 'CalemRcmTemplateFormLookup',
		title: 'rcm_template',
		icon: 'CalemRcm',
		controller: 'CalemRcmTemplateFormLookup',
		model: 'rcm_template', 
		view: {CalemViewRefInfo: {id: 'CalemRcmTemplateViewLookup'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemRcmTemplateFormSearch'
	}
}

CalemItemDef['CalemRcmTemplateFormNew']={
	CalemFormInfo: {
		id: 'CalemRcmTemplateFormNew',
		title: 'rcm_template',
		icon: 'CalemRcm',
		controller: 'CalemRcmTemplateFormNew',
		model: 'rcm_template', 
		view: {CalemViewRefInfo: {id: 'CalemRcmTemplateViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemRcmTemplateFormEdit']={
	CalemFormInfo: {
		id: 'CalemRcmTemplateFormEdit',
		title: 'rcm_template',
		icon: 'CalemRcm',
		controller: 'CalemRcmTemplateFormEdit',
		model: 'rcm_template', 
   	view: {CalemViewRefInfo: {id: 'CalemRcmTemplateViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemRcmTemplateFormRead']={
	CalemFormInfo: {
		id: 'CalemRcmTemplateFormRead',
		title: 'rcm_template',
		icon: 'CalemRcm',
		controller: 'CalemRcmTemplateFormRead',
		model: 'rcm_template', 
		view: {CalemViewRefInfo: {id: 'CalemRcmTemplateViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemRcmTemplateFormSearch']={
	CalemFormInfo: {
		id: 'CalemRcmTemplateFormSearch',
		title: 'rcm_template',
		icon: 'CalemRcm',
		controller: 'CalemFormSearchEdit',
		model: 'rcm_template', 
		view: {CalemViewRefInfo: {id: 'CalemRcmTemplateViewSearch'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * RcmFunction
 */
CalemItemDef['CalemRcmFunctionFormList']={
	CalemFormInfo: {
		id: 'CalemRcmFunctionFormList',
		title: 'rcm_function',
		icon: 'CalemRcm',
		controller: 'CalemRcmFunctionFormList',
		model: 'rcm_function', 
		view: {CalemViewRefInfo: {id: 'CalemRcmFunctionViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemRcmFunctionFormSearch'
	}
}

CalemItemDef['CalemRcmFunctionFormLookup']={
	CalemFormInfo: {
		id: 'CalemRcmFunctionFormLookup',
		title: 'rcm_function',
		icon: 'CalemRcm',
		controller: 'CalemRcmFunctionFormLookup',
		model: 'rcm_function', 
		view: {CalemViewRefInfo: {id: 'CalemRcmFunctionViewLookup'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemRcmFunctionFormSearch'
	}
}

CalemItemDef['CalemRcmFunctionFormNew']={
	CalemFormInfo: {
		id: 'CalemRcmFunctionFormNew',
		title: 'rcm_function',
		icon: 'CalemRcm',
		controller: 'CalemRcmFunctionFormNew',
		model: 'rcm_function', 
		view: {CalemViewRefInfo: {id: 'CalemRcmFunctionViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemRcmFunctionFormEdit']={
	CalemFormInfo: {
		id: 'CalemRcmFunctionFormEdit',
		title: 'rcm_function',
		icon: 'CalemRcm',
		controller: 'CalemRcmFunctionFormEdit',
		model: 'rcm_function', 
   	view: {CalemViewRefInfo: {id: 'CalemRcmFunctionViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemRcmFunctionFormRead']={
	CalemFormInfo: {
		id: 'CalemRcmFunctionFormRead',
		title: 'rcm_function',
		icon: 'CalemRcm',
		controller: 'CalemRcmFunctionFormRead',
		model: 'rcm_function', 
		view: {CalemViewRefInfo: {id: 'CalemRcmFunctionViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemRcmFunctionFormSearch']={
	CalemFormInfo: {
		id: 'CalemRcmFunctionFormSearch',
		title: 'rcm_function',
		icon: 'CalemRcm',
		controller: 'CalemFormSearchEdit',
		model: 'rcm_function', 
		view: {CalemViewRefInfo: {id: 'CalemRcmFunctionViewSearch'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

//RcmAction
CalemItemDef['CalemRcmActionFormList']={
	CalemFormInfo: {
		id: 'CalemRcmActionFormList',
		title: 'rcm_action',
		icon: 'CalemRcm',
		controller: 'CalemRcmActionFormList',
		model: 'rcm_action', 
		view: {CalemViewRefInfo: {id: 'CalemRcmActionViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemRcmActionFormLookup']={
	CalemFormInfo: {
		id: 'CalemRcmActionFormLookup',
		title: 'rcm_action',
		icon: 'CalemRcm',
		controller: 'CalemRcmActionFormLookup',
		model: 'rcm_action', 
		view: {CalemViewRefInfo: {id: 'CalemRcmActionViewLookup'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemRcmActionFormSearch'
	}
}

CalemItemDef['CalemRcmActionFormSearch']={
	CalemFormInfo: {
		id: 'CalemRcmActionFormSearch',
		title: 'rcm_action',
		icon: 'CalemRcm',
		controller: 'CalemFormSearchEdit',
		model: 'rcm_action', 
		view: {CalemViewRefInfo: {id: 'CalemRcmActionViewSearch'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemRcmActionFormNew']={
	CalemFormInfo: {
		id: 'CalemRcmActionFormNew',
		title: 'rcm_action',
		icon: 'CalemRcm',
		controller: 'CalemRcmActionFormNew',
		model: 'rcm_action', 
		view: {CalemViewRefInfo: {id: 'CalemRcmActionViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemRcmActionFormEdit']={
	CalemFormInfo: {
		id: 'CalemRcmActionFormEdit',
		title: 'rcm_action',
		icon: 'CalemRcm',
		controller: 'CalemRcmActionFormEdit',
		model: 'rcm_action', 
   	view: {CalemViewRefInfo: {id: 'CalemRcmActionViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemRcmActionFormRead']={
	CalemFormInfo: {
		id: 'CalemRcmActionFormRead',
		title: 'rcm_action',
		icon: 'CalemRcm',
		controller: 'CalemRcmActionFormRead',
		model: 'rcm_action', 
		view: {CalemViewRefInfo: {id: 'CalemRcmActionViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

//RcmConsequence
CalemItemDef['CalemRcmConsequenceFormList']={
	CalemFormInfo: {
		id: 'CalemRcmConsequenceFormList',
		title: 'rcm_consequence',
		icon: 'CalemRcm',
		controller: 'CalemRcmConsequenceFormList',
		model: 'rcm_consequence', 
		view: {CalemViewRefInfo: {id: 'CalemRcmConsequenceViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemRcmConsequenceFormNew']={
	CalemFormInfo: {
		id: 'CalemRcmConsequenceFormNew',
		title: 'rcm_consequence',
		icon: 'CalemRcm',
		controller: 'CalemRcmConsequenceFormNew',
		model: 'rcm_consequence', 
		view: {CalemViewRefInfo: {id: 'CalemRcmConsequenceViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemRcmConsequenceFormEdit']={
	CalemFormInfo: {
		id: 'CalemRcmConsequenceFormEdit',
		title: 'rcm_consequence',
		icon: 'CalemRcm',
		controller: 'CalemRcmConsequenceFormEdit',
		model: 'rcm_consequence', 
   	view: {CalemViewRefInfo: {id: 'CalemRcmConsequenceViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemRcmConsequenceFormRead']={
	CalemFormInfo: {
		id: 'CalemRcmConsequenceFormRead',
		title: 'rcm_consequence',
		icon: 'CalemRcm',
		controller: 'CalemRcmConsequenceFormRead',
		model: 'rcm_consequence', 
		view: {CalemViewRefInfo: {id: 'CalemRcmConsequenceViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

//RcmActionPart
CalemItemDef['CalemRcmActionPartFormList']={
	CalemFormInfo: {
		id: 'CalemRcmActionPartFormList',
		title: 'rcm_action_part',
		icon: 'CalemRcm',
		controller: 'CalemRcmActionPartFormList',
		model: 'rcm_action_part', 
		view: {CalemViewRefInfo: {id: 'CalemRcmActionPartViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemRcmActionPartFormNew']={
	CalemFormInfo: {
		id: 'CalemRcmActionPartFormNew',
		title: 'rcm_action_part',
		icon: 'CalemRcm',
		controller: 'CalemRcmActionPartFormNew',
		model: 'rcm_action_part', 
		view: {CalemViewRefInfo: {id: 'CalemRcmActionPartViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemRcmActionPartFormEdit']={
	CalemFormInfo: {
		id: 'CalemRcmActionPartFormEdit',
		title: 'rcm_action_part',
		icon: 'CalemRcm',
		controller: 'CalemRcmActionPartFormEdit',
		model: 'rcm_action_part', 
   	view: {CalemViewRefInfo: {id: 'CalemRcmActionPartViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemRcmActionPartFormRead']={
	CalemFormInfo: {
		id: 'CalemRcmActionPartFormRead',
		title: 'rcm_action_part',
		icon: 'CalemRcm',
		controller: 'CalemRcmActionPartFormRead',
		model: 'rcm_action_part', 
		view: {CalemViewRefInfo: {id: 'CalemRcmActionPartViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemModuleDef["modCalemRcm"]= {
	CalemModuleInfo: {
      id:"modCalemRcm",
      icon:"CalemRcm",
      defaultMenu: 'CalemRcmFailureFormList',
      toolBar: {
        CalemToolBarInfo: {
        	  type: 'CalemToolBar',
        	  layout: ['modCalemRcm', 'sep', 'CalemRcmFailureFormList', 'CalemRcmFunctionFormList', 'CalemRcmTemplateFormList'],
        	  list: [
	         {CalemLabelInfo: {id: 'modCalemRcm', className: 'CalemModuleLabel'}},
	         
	         {CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
	         
	         {CalemMenuItemInfo: {id: 'CalemRcmTemplateFormList'}},
	         {CalemMenuItemInfo: {id: 'CalemRcmFailureFormList'}},
	         {CalemMenuItemInfo: {id: 'CalemRcmFunctionFormList'}}
	         
	      ] }
	}
	}
};

//Build Calem.js from client
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemContactBo - business logic
 */
function CalemContactBo() {
}

CalemContactBo._details = [{table: 'workorder', fld: 'orig_contact_id'}];

CalemContactBo.getInstance =
function() {
	if (!CalemContactBo.singleton) {
		CalemContactBo.singleton = new CalemContactBo();
	}
	return CalemContactBo.singleton;
}

//Asset deletion check
CalemContactBo.prototype.canDelete =
function(rec, callback) {
	var boUtil=CalemBoUtil.getInstance();
	boUtil.canDeleteByLookup(CalemContactBo._details, 'contact_id', rec.id, callback);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Admin module menu
 */

//Modules Form

// forms
CalemMenuDef['CalemContactFormList'] = {
	id: 'CalemContactFormList',
	title: 'contact',
	icon: 'CalemContact',
	disIcon: null,
	tooltip: null, 
	enabled: true,		   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemContactViewList']={
	CalemViewInfo: {
		id: 'CalemContactViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'contact', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep2', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'type_id', width: 150}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Lookup views
 */
CalemViewDef['CalemContactViewLookup']={
	CalemViewInfo: {
		id: 'CalemContactViewLookup',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'contact', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbSelect', 'CalemTbCancel', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					{ CalemButtonInfo: {
						id: 'CalemTbPrint', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbSelect', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'type_id', width: 150}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemContactViewNew']={
	CalemViewInfo: {
		id: 'CalemContactViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},
               {CalemTrInfo: {cols: ['lb_communication']}},					                               				                               
					{CalemTrInfo: {cols: ['lb_address']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'contact', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_communication': {
				CalemLabelInfo: {id: 'communication', className: 'CalemEditSection'}
			},
			'lb_address': {
				CalemLabelInfo: {id: 'address', className: 'CalemEditSection'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * WO views
 */
CalemViewDef['CalemContactViewRead']={
	CalemViewInfo: {
		id: 'CalemContactViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},
               {CalemTrInfo: {cols: ['lb_communication']}},					                               				                               
					{CalemTrInfo: {cols: ['lb_address']}},
					{CalemTrInfo: {cols: ['lb_last_changes']}}                                                                                                       				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'contact', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_communication': {
				CalemLabelInfo: {id: 'communication', className: 'CalemEditSection'}
			},
			'lb_address': {
				CalemLabelInfo: {id: 'address', className: 'CalemEditSection'}
			},
			'lb_last_changes': {
				CalemLabelInfo: {id: 'last_changes', className: 'CalemEditSection'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemContactViewEdit']={
	CalemViewInfo: {
		id: 'CalemContactViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},
               {CalemTrInfo: {cols: ['lb_communication']}},					                               				                               
					{CalemTrInfo: {cols: ['lb_address']}}                                                                                                        				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
								
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'contact', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_communication': {
				CalemLabelInfo: {id: 'communication', className: 'CalemEditSection'}
			},
			'lb_address': {
				CalemLabelInfo: {id: 'address', className: 'CalemEditSection'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Wo views
 */
CalemViewDef['CalemContactViewSearch']={
	CalemViewInfo: {
		id: 'CalemContactViewSearch',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},		
               {CalemTrInfo: {cols: ['lb_save_search', '_save_search']}},
               {CalemTrInfo: {cols: ['lb_communication']}},					                               				                               
					{CalemTrInfo: {cols: ['lb_address']}},
					{CalemTrInfo: {cols: ['lb_last_changes']}}                                                                                                   				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbApplySave', 'sep2', 'CalemTbApply', 'CalemTbSave',  'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	
					   { CalemButtonInfo: {
							 id: 'CalemTbApplySave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
						
						{ CalemButtonInfo: {
							id: 'CalemTbApply', 
							customInfo: {
							  	   CalemMenuCustomInfo: {
							         enabled: false,
							         events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
							  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
					
					
					   
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},   			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'contact', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_save_search': {
				CalemLabelInfo: {id: 'save_search', className: 'CalemEditSection'}
			},
			'_save_search': {
				CalemSearchSaveInfo: {size: 30}
			},
			'lb_communication': {
				CalemLabelInfo: {id: 'communication', className: 'CalemEditSection'}
			},
			'lb_address': {
				CalemLabelInfo: {id: 'address', className: 'CalemEditSection'}
			},
			'lb_last_changes': {
				CalemLabelInfo: {id: 'last_changes', className: 'CalemEditSection'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemContactFormList
 */
function CalemContactFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
}

CalemContactFormList.prototype = new CalemFormList;
CalemContactFormList.prototype.constructor = CalemContactFormList;

CalemContactFormList.prototype.toString = function() { return "CalemContactFormList";}

/**
 * Business APIs
 */
CalemContactFormList.prototype._getFormNewId =
function() {
    return 'CalemContactFormNew';
} 
 
CalemContactFormList.prototype._getFormReadId =
function() {
    return 'CalemContactFormRead';
}  

/**
 * Deletion must be handled specially
 */
CalemContactFormList.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemContactBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemContactFormRead
 */
function CalemContactFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormRead.call(this, parent, formId, data);
}

CalemContactFormRead.prototype = new CalemFormRead;
CalemContactFormRead.prototype.constructor = CalemContactFormRead;

CalemContactFormRead.prototype.toString = function() { return "CalemContactFormRead";}

/**
 * Business APIs
 */
CalemContactFormRead.prototype._getFormNewId =
function() {
	return 'CalemContactFormNew';
} 

CalemContactFormRead.prototype._getFormEditId =
function() {
	return 'CalemContactFormEdit';
}

/**
 * Deletion must be handled specially
 */
CalemContactFormRead.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemContactBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemContactFormNew
 */
function CalemContactFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemContactFormNew.prototype = new CalemFormNew;
CalemContactFormNew.prototype.constructor = CalemContactFormNew;

CalemContactFormNew.prototype.toString = function() { return "CalemContactFormNew";}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemContactFormEdit
 */
function CalemContactFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemContactFormEdit.prototype = new CalemFormEdit;
CalemContactFormEdit.prototype.constructor = CalemContactFormEdit;

CalemContactFormEdit.prototype.toString = function() { return "CalemContactFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemContactFormLookup
 */
function CalemContactFormLookup(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormLookup.call(this, parent, formId, data);
}

CalemContactFormLookup.prototype = new CalemFormLookup;
CalemContactFormLookup.prototype.constructor = CalemContactFormLookup;

CalemContactFormLookup.prototype.toString = function() { return "CalemContactFormLookup";}

/**
 * Business APIs
 */
CalemContactFormLookup.prototype._getFormNewId =
function() {
   return 'CalemContactFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemContactFormLookup.prototype._getFormReadId =
function(evt) {
	return 'CalemContactFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * forms
 */
CalemItemDef['CalemContactFormList']={
	CalemFormInfo: {
		id: 'CalemContactFormList',
		title: 'contact',
		icon: 'CalemContact',
		controller: 'CalemContactFormList',
		model: 'contact', 
		view: {CalemViewRefInfo: {id: 'CalemContactViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemContactFormSearch'
	}
}

CalemItemDef['CalemContactFormLookup']={
	CalemFormInfo: {
		id: 'CalemContactFormLookup',
		title: 'contact',
		icon: 'CalemContact',
		controller: 'CalemContactFormLookup',
		model: 'contact', 
		view: {CalemViewRefInfo: {id: 'CalemContactViewLookup'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemContactFormSearch'
	}
}

CalemItemDef['CalemContactFormNew']={
	CalemFormInfo: {
		id: 'CalemContactFormNew',
		title: 'contact',
		icon: 'CalemContact',
		controller: 'CalemContactFormNew',
		model: 'contact', 
		view: {CalemViewRefInfo: {id: 'CalemContactViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemContactFormEdit']={
	CalemFormInfo: {
		id: 'CalemContactFormEdit',
		title: 'contact',
		icon: 'CalemContact',
		controller: 'CalemContactFormEdit',
		model: 'contact', 
   	view: {CalemViewRefInfo: {id: 'CalemContactViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemContactFormRead']={
	CalemFormInfo: {
		id: 'CalemContactFormRead',
		title: 'contact',
		icon: 'CalemContact',
		controller: 'CalemContactFormRead',
		model: 'contact', 
		view: {CalemViewRefInfo: {id: 'CalemContactViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemContactFormSearch']={
	CalemFormInfo: {
		id: 'CalemContactFormSearch',
		title: 'contact',
		icon: 'CalemContact',
		controller: 'CalemFormSearchEdit',
		model: 'contact', 
		view: {CalemViewRefInfo: {id: 'CalemContactViewSearch'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Admin module
 */
CalemModuleDef["modCalemContact"]= {
	CalemModuleInfo: {
      id:"modCalemContact",
      icon:"CalemContact",
      defaultMenu: 'CalemContactFormList',
      toolBar: {
        CalemToolBarInfo: {
        	  type: 'CalemToolBar',
        	  layout: ['modCalemContact', 'sep', 'CalemContactFormList'],
        	  list: [
	         {CalemLabelInfo: {id: 'modCalemContact', className: 'CalemModuleLabel'}},
	         
	         {CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
	         
	         {CalemMenuItemInfo: {id: 'CalemContactFormList'}}
	      ] }
	}
	}
};

//Build Calem.js from client
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemContractBo - business logic
 */
function CalemContractBo() {
}

CalemContractBo._details = ['contract_doc', 'contract_contact', 'asset_contract'];

CalemContractBo.getInstance =
function() {
	if (!CalemContractBo.singleton) {
		CalemContractBo.singleton = new CalemContractBo();
	}
	return CalemContractBo.singleton;
}

//Asset deletion check
CalemContractBo.prototype.canDelete =
function(rec, callback) {
	var boUtil=CalemBoUtil.getInstance();
	boUtil.canDeleteByLookup(CalemContractBo._details, 'contract_id', rec.id, callback);
}/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * Admin module menu
 */

//Modules Form

// forms
CalemMenuDef['CalemContractFormList'] = {
	id: 'CalemContractFormList',
	title: 'contract',
	icon: 'CalemContract',
	disIcon: null,
	tooltip: null, 
	enabled: true,		   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * List views
 */
CalemViewDef['CalemContractViewList']={
	CalemViewInfo: {
		id: 'CalemContractViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'contract', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep', 'CalemTbDataRefresh', 'sep2', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
                    {CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'contract', width: 130}},
			  			   {CalemCol: {id: 'type_id', width: 130}},
			  			   {CalemCol: {id: 'status_id', width: 130}},
			  			   {CalemCol: {id: 'note', width: 200}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * Lookup views
 */
CalemViewDef['CalemContractViewLookup']={
	CalemViewInfo: {
		id: 'CalemContractViewLookup',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'contract', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbSelect', 'CalemTbCancel', 'CalemTbDataRefresh', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					{ CalemButtonInfo: {
						id: 'CalemTbPrint', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbSelect', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'contract', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

CalemViewDef['CalemContractViewNew']={
	CalemViewInfo: {
		id: 'CalemContractViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                            				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'contract', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

CalemViewDef['CalemContractViewRead']={
	CalemViewInfo: {
		id: 'CalemContractViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'contract', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

CalemViewDef['CalemContractViewEdit']={
	CalemViewInfo: {
		id: 'CalemContractViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                         				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'contract', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

CalemViewDef['CalemContractViewSearch']={
	CalemViewInfo: {
		id: 'CalemContractViewSearch',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},		
               {CalemTrInfo: {cols: ['lb_save_search', '_save_search']}},				             

					//Last changes
					{CalemTrInfo: {cols: ['lb_last_changes']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbApplySave', 'sep2', 'CalemTbApply', 'CalemTbSave',  'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	
					   { CalemButtonInfo: {
							 id: 'CalemTbApplySave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
						
						{ CalemButtonInfo: {
							id: 'CalemTbApply', 
							customInfo: {
							  	   CalemMenuCustomInfo: {
							         enabled: false,
							         events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
							  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
					
					
					   
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},   			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'contract', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_last_changes': {
				CalemLabelInfo: {id: 'last_changes', className: 'CalemEditSection'}
			},
			
			'lb_save_search': {
				CalemLabelInfo: {id: 'save_search', className: 'CalemEditSection'}
			},
			'_save_search': {
				CalemSearchSaveInfo: {size: 30}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * List views
 */
CalemViewDef['CalemContractContactViewList']={
	CalemViewInfo: {
		id: 'CalemContractContactViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'contract_contact', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{ CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'contact_id', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

CalemViewDef['CalemContractContactViewNew']={
	CalemViewInfo: {
		id: 'CalemContractContactViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'contract_contact', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

CalemViewDef['CalemContractContactViewRead']={
	CalemViewInfo: {
		id: 'CalemContractContactViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'contract_contact', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

CalemViewDef['CalemContractContactViewEdit']={
	CalemViewInfo: {
		id: 'CalemContractContactViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'contract_contact', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * List views
 */
CalemViewDef['CalemContractDocViewList']={
	CalemViewInfo: {
		id: 'CalemContractDocViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'contract_doc', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{ CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'doc_id', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

CalemViewDef['CalemContractDocViewNew']={
	CalemViewInfo: {
		id: 'CalemContractDocViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'contract_doc', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

CalemViewDef['CalemContractDocViewRead']={
	CalemViewInfo: {
		id: 'CalemContractDocViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'contract_doc', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

CalemViewDef['CalemContractDocViewEdit']={
	CalemViewInfo: {
		id: 'CalemContractDocViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'contract_doc', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemContractFormList
 */
function CalemContractFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
}

CalemContractFormList.prototype = new CalemFormList;
CalemContractFormList.prototype.constructor = CalemContractFormList;

CalemContractFormList.prototype.toString = function() { return "CalemContractFormList";}

/**
 * Business APIs
 */
CalemContractFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemContractFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemContractFormList.prototype._onOpen =
function(evt) {
	//Get the selection event
    var item=CalemEvent.getItem(evt);
	//Prepare data for master detail view.
	var data = {modelItem: this._modelItem, item: item};
	//pass-through current data model and selection
	this._openForm('CalemContractFormMdTab', data);
} 

/**
 * Deletion must be handled specially
 */
CalemContractFormList.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemContractBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemContractFormMdTab
 */
function CalemContractFormMdTab(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormMdTab.call(this, parent, formId, data);
}

CalemContractFormMdTab.prototype = new CalemFormMdTab;
CalemContractFormMdTab.prototype.constructor = CalemContractFormMdTab;

CalemContractFormMdTab.prototype.toString = function() { return "CalemContractFormMdTab";}

/**
 * Business APIs
 */

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemContractFormRead
 */
function CalemContractFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormRead.call(this, parent, formId, data);
}

CalemContractFormRead.prototype = new CalemFormRead;
CalemContractFormRead.prototype.constructor = CalemContractFormRead;

CalemContractFormRead.prototype.toString = function() { return "CalemContractFormRead";}

/**
 * Business APIs
 */
CalemContractFormRead.prototype._getFormNewId =
function() {
	return 'CalemContractFormNew';
} 

CalemContractFormRead.prototype._getFormEditId =
function() {
	return 'CalemContractFormEdit';
}

/**
 * Deletion must be handled specially
 */
CalemContractFormRead.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemContractBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemContractFormNew
 */
function CalemContractFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemContractFormNew.prototype = new CalemFormNew;
CalemContractFormNew.prototype.constructor = CalemContractFormNew;

CalemContractFormNew.prototype.toString = function() { return "CalemContractFormNew";}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemContractFormEdit
 */
function CalemContractFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemContractFormEdit.prototype = new CalemFormEdit;
CalemContractFormEdit.prototype.constructor = CalemContractFormEdit;

CalemContractFormEdit.prototype.toString = function() { return "CalemContractFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemContractFormLookup
 */
function CalemContractFormLookup(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormLookup.call(this, parent, formId, data);
}

CalemContractFormLookup.prototype = new CalemFormLookup;
CalemContractFormLookup.prototype.constructor = CalemContractFormLookup;

CalemContractFormLookup.prototype.toString = function() { return "CalemContractFormLookup";}

/**
 * Business APIs
 */
CalemContractFormLookup.prototype._getFormNewId =
function() {
   return 'CalemContractFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemContractFormLookup.prototype._getFormReadId =
function(evt) {
	return 'CalemContractFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemContractContactFormList
 */
function CalemContractContactFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
}

CalemContractContactFormList.prototype = new CalemFormListDet;
CalemContractContactFormList.prototype.constructor = CalemContractContactFormList;

CalemContractContactFormList.prototype.toString = function() { return "CalemContractContactFormList";}

/**
 * Business APIs
 */
CalemContractContactFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemContractContactFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemContractContactFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemContractContactFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemContractContactFormNew
 */
function CalemContractContactFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemContractContactFormNew.prototype = new CalemFormNew;
CalemContractContactFormNew.prototype.constructor = CalemContractContactFormNew;

CalemContractContactFormNew.prototype.toString = function() { return "CalemContractContactFormNew";}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemContractContactFormRead
 */
function CalemContractContactFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemContractContactFormRead.prototype = new CalemFormReadDet;
CalemContractContactFormRead.prototype.constructor = CalemContractContactFormRead;

CalemContractContactFormRead.prototype.toString = function() { return "CalemContractContactFormRead";}

/**
 * Business APIs
 */
CalemContractContactFormRead.prototype._getFormNewId =
function() {
	return 'CalemContractContactFormNew';
} 

CalemContractContactFormRead.prototype._getFormEditId =
function() {
	return 'CalemContractContactFormEdit';
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemContractContactFormEdit
 */
function CalemContractContactFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemContractContactFormEdit.prototype = new CalemFormEdit;
CalemContractContactFormEdit.prototype.constructor = CalemContractContactFormEdit;

CalemContractContactFormEdit.prototype.toString = function() { return "CalemContractContactFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemContractDocFormList
 */
function CalemContractDocFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
}

CalemContractDocFormList.prototype = new CalemFormListDet;
CalemContractDocFormList.prototype.constructor = CalemContractDocFormList;

CalemContractDocFormList.prototype.toString = function() { return "CalemContractDocFormList";}

/**
 * Business APIs
 */
CalemContractDocFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemContractDocFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemContractDocFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemContractDocFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemContractDocFormNew
 */
function CalemContractDocFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemContractDocFormNew.prototype = new CalemFormNew;
CalemContractDocFormNew.prototype.constructor = CalemContractDocFormNew;

CalemContractDocFormNew.prototype.toString = function() { return "CalemContractDocFormNew";}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemContractDocFormRead
 */
function CalemContractDocFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemContractDocFormRead.prototype = new CalemFormReadDet;
CalemContractDocFormRead.prototype.constructor = CalemContractDocFormRead;

CalemContractDocFormRead.prototype.toString = function() { return "CalemContractDocFormRead";}

/**
 * Business APIs
 */
CalemContractDocFormRead.prototype._getFormNewId =
function() {
	return 'CalemContractDocFormNew';
} 

CalemContractDocFormRead.prototype._getFormEditId =
function() {
	return 'CalemContractDocFormEdit';
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemContractDocFormEdit
 */
function CalemContractDocFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemContractDocFormEdit.prototype = new CalemFormEdit;
CalemContractDocFormEdit.prototype.constructor = CalemContractDocFormEdit;

CalemContractDocFormEdit.prototype.toString = function() { return "CalemContractDocFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * Contract
 */
CalemItemDef['CalemContractFormList']={
	CalemFormInfo: {
		id: 'CalemContractFormList',
		title: 'contract_list',
		icon: 'CalemContract',
		controller: 'CalemContractFormList',
		model: 'contract', 
		view: {CalemViewRefInfo: {id: 'CalemContractViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemContractFormSearch'
	}
}

CalemItemDef['CalemContractFormLookup']={
	CalemFormInfo: {
		id: 'CalemContractFormLookup',
		title: 'contract',
		icon: 'CalemContract',
		controller: 'CalemContractFormLookup',
		model: 'contract', 
		view: {CalemViewRefInfo: {id: 'CalemContractViewLookup'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemContractFormSearch'
	}
}

CalemItemDef['CalemContractFormNew']={
	CalemFormInfo: {
		id: 'CalemContractFormNew',
		title: 'contract',
		icon: 'CalemContract',
		controller: 'CalemContractFormNew',
		model: 'contract', 
		view: {CalemViewRefInfo: {id: 'CalemContractViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemContractFormEdit']={
	CalemFormInfo: {
		id: 'CalemContractFormEdit',
		title: 'contract',
		icon: 'CalemContract',
		controller: 'CalemContractFormEdit',
		model: 'contract', 
   	view: {CalemViewRefInfo: {id: 'CalemContractViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemContractFormRead']={
	CalemFormInfo: {
		id: 'CalemContractFormRead',
		title: 'contract',
		icon: 'CalemContract',
		controller: 'CalemContractFormRead',
		model: 'contract', 
		view: {CalemViewRefInfo: {id: 'CalemContractViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemContractFormSearch']={
	CalemFormInfo: {
		id: 'CalemContractFormSearch',
		title: 'contract',
		icon: 'CalemContract',
		controller: 'CalemFormSearchEdit',
		model: 'contract', 
		view: {CalemViewRefInfo: {id: 'CalemContractViewSearch'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemContractFormMdTab']={
	CalemFormMdTabInfo: {
		id: 'CalemContractFormMdTab',
		title: 'contract',
		icon: 'CalemContract',
		replaceType: CalemItemDef.REPLACE_BY_ID,
		//Three portions of info: layout, model and itemMap.
		layout: {
			CalemMdTabLayoutInfo: {
				tabList: ['tab_main', 'tab_misc', 'CUSTOMIZE_TAB'],
				tabMap: {
					'tab_main': {CalemTabLayoutInfo: ['CalemContractFormRead']},
					'tab_misc' : {CalemTabLayoutInfo: ['CalemContractContactFormList', 'CalemContractDocFormList']}
				}
			} },
		model: {
				CalemFormModelInfo: {
					master: 'CalemContractFormRead',
			      items: 
			             [{CalemFormLinkInfo: {id: 'CalemContractContactFormList', link: {CalemFieldMdInfo: {fld: 'contract_id', parentFld: 'id'}}} },
			              {CalemFormLinkInfo: {id: 'CalemContractDocFormList', link: {CalemFieldMdInfo: {fld: 'contract_id', parentFld: 'id'}}} }
			             ]
				}
		}, 
		itemMap : { //Default layout conf.
		  CalemItemMap :{
			 'CalemContractFormRead' : {
			 	CalemFormLayoutInfo: {
			 		id: 'CalemContractFormRead',
			 		fixed: true, //Move not allowed.
			 		layout: {CalemBlockLayoutInfo: {width: '100%', height: '-2'}}
			 	}
			 },
			 
			 'CalemContractContactFormList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemContractContactFormList',
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 8}}
			 	 }
			 },
			 
			 'CalemContractDocFormList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemContractDocFormList',
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 8}}
			 	 }
			 },
			 
		  'tab_main': {
		  		CalemTabInfo: {id: 'tab_contract_main', fixed: 1}
		  },
		  
		  'tab_misc': {
		  		CalemTabInfo: {id: 'tab_contract_misc'}
		  },
		  
		  'tab_contact': {
		  		CalemTabInfo: {id: 'tab_contract_contact'}
		  },
		  
		  'tab_doc': {
		  		CalemTabInfo: {id: 'tab_contract_doc'}
		  },
		  
		  'CUSTOMIZE_TAB' : {
		  		CalemTabInfo: {id: 'CUSTOMIZE_TAB'}
		  }
		  
		  }
		  
		} //itemMap
	} //MdTabInfo
}

//Contract contact detail
CalemItemDef['CalemContractContactFormList']={
	CalemFormInfo: {
		id: 'CalemContractContactFormList',
		title: 'contract_contact',
		icon: 'CalemContract',
		controller: 'CalemContractContactFormList',
		model: 'contract_contact', 
		view: {CalemViewRefInfo: {id: 'CalemContractContactViewList'}},
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemContractContactFormNew']={
	CalemFormInfo: {
		id: 'CalemContractContactFormNew',
		title: 'contract_contact',
		icon: 'CalemContract',
		controller: 'CalemContractContactFormNew',
		model: 'contract_contact', 
		view: {CalemViewRefInfo: {id: 'CalemContractContactViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemContractContactFormEdit']={
	CalemFormInfo: {
		id: 'CalemContractContactFormEdit',
		title: 'contract_contact',
		icon: 'CalemContract',
		controller: 'CalemContractContactFormEdit',
		model: 'contract_contact', 
   	view: {CalemViewRefInfo: {id: 'CalemContractContactViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemContractContactFormRead']={
	CalemFormInfo: {
		id: 'CalemContractContactFormRead',
		title: 'contract_contact',
		icon: 'CalemContract',
		controller: 'CalemContractContactFormRead',
		model: 'contract_contact', 
		view: {CalemViewRefInfo: {id: 'CalemContractContactViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

//Contract doc detail
CalemItemDef['CalemContractDocFormList']={
	CalemFormInfo: {
		id: 'CalemContractDocFormList',
		title: 'contract_doc',
		icon: 'CalemContract',
		controller: 'CalemContractDocFormList',
		model: 'contract_doc', 
		view: {CalemViewRefInfo: {id: 'CalemContractDocViewList'}},
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemContractDocFormNew']={
	CalemFormInfo: {
		id: 'CalemContractDocFormNew',
		title: 'contract_doc',
		icon: 'CalemContract',
		controller: 'CalemContractDocFormNew',
		model: 'contract_doc', 
		view: {CalemViewRefInfo: {id: 'CalemContractDocViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemContractDocFormEdit']={
	CalemFormInfo: {
		id: 'CalemContractDocFormEdit',
		title: 'contract_doc',
		icon: 'CalemContract',
		controller: 'CalemContractDocFormEdit',
		model: 'contract_doc', 
   	view: {CalemViewRefInfo: {id: 'CalemContractDocViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemContractDocFormRead']={
	CalemFormInfo: {
		id: 'CalemContractDocFormRead',
		title: 'contract_doc',
		icon: 'CalemContract',
		controller: 'CalemContractDocFormRead',
		model: 'contract_doc', 
		view: {CalemViewRefInfo: {id: 'CalemContractDocViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}




/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * Admin module
 */
CalemModuleDef["modCalemContract"]= {
	CalemModuleInfo: {
      id:"modCalemContract",
      icon:"CalemContract",
      defaultMenu: 'CalemContractFormList',
      toolBar: {
        CalemToolBarInfo: {
        	  type: 'CalemToolBar',
        	  layout: ['modCalemContract', 'sep', 'CalemContractFormList'],
        	  list: [
	         {CalemLabelInfo: {id: 'modCalemContract', className: 'CalemModuleLabel'}},
	         
	         {CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
	         
	         {CalemMenuItemInfo: {id: 'CalemContractFormList'}}
	      ] }
	}
	}
};

//Build Calem.js from client
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemVendorBo - business logic
 */
function CalemVendorBo() {
}

CalemVendorBo._details = ['contract', 'in_vendor', 'po', 'asset', 'users', 'req_item', 'contract_doc', 'contract_contact'];

CalemVendorBo.getInstance =
function() {
	if (!CalemVendorBo.singleton) {
		CalemVendorBo.singleton = new CalemVendorBo();
	}
	return CalemVendorBo.singleton;
}

//Asset deletion check
CalemVendorBo.prototype.canDelete =
function(rec, callback) {
	var boUtil=CalemBoUtil.getInstance();
	boUtil.canDeleteByLookup(CalemVendorBo._details, 'vendor_id', rec.id, callback);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * Admin module menu
 */

//Modules Form

// forms
CalemMenuDef['CalemVendorFormList'] = {
	id: 'CalemVendorFormList',
	title: 'vendor',
	icon: 'CalemVendor',
	disIcon: null,
	tooltip: null, 
	enabled: true,		   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemVendorViewList']={
	CalemViewInfo: {
		id: 'CalemVendorViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'vendor', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep', 'CalemTbPrint', 'sep2', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel' }},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'vendor', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Lookup views
 */
CalemViewDef['CalemVendorViewLookup']={
	CalemViewInfo: {
		id: 'CalemVendorViewLookup',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'vendor', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbSelect', 'CalemTbCancel', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					{ CalemButtonInfo: {
						id: 'CalemTbPrint', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbSelect', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'vendor', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemVendorViewNew']={
	CalemViewInfo: {
		id: 'CalemVendorViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'vendor', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemVendorViewRead']={
	CalemViewInfo: {
		id: 'CalemVendorViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                            				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'vendor', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemVendorViewEdit']={
	CalemViewInfo: {
		id: 'CalemVendorViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                         				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'vendor', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemVendorViewSearch']={
	CalemViewInfo: {
		id: 'CalemVendorViewSearch',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},		
               {CalemTrInfo: {cols: ['lb_save_search', '_save_search']}}                                                                                                 				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbApplySave', 'sep2', 'CalemTbApply', 'CalemTbSave',  'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	
					   { CalemButtonInfo: {
							 id: 'CalemTbApplySave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
						
						{ CalemButtonInfo: {
							id: 'CalemTbApply', 
							customInfo: {
							  	   CalemMenuCustomInfo: {
							         enabled: false,
							         events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
							  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
					
					
					   
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},   			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'vendor', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			
			'lb_save_search': {
				CalemLabelInfo: {id: 'save_search', className: 'CalemEditSection'}
			},
			'_save_search': {
				CalemSearchSaveInfo: {size: 30}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * List views
 */
CalemViewDef['CalemVendorContactViewList']={
	CalemViewInfo: {
		id: 'CalemVendorContactViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'vendor_contact', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{ CalemButtonInfo: { id: 'CalemTbDataRefresh' }},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'contact_id', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

CalemViewDef['CalemVendorContactViewNew']={
	CalemViewInfo: {
		id: 'CalemVendorContactViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'vendor_contact', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

CalemViewDef['CalemVendorContactViewRead']={
	CalemViewInfo: {
		id: 'CalemVendorContactViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'vendor_contact', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

CalemViewDef['CalemVendorContactViewEdit']={
	CalemViewInfo: {
		id: 'CalemVendorContactViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'vendor_contact', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemVendorFormList
 */
function CalemVendorFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
}

CalemVendorFormList.prototype = new CalemFormList;
CalemVendorFormList.prototype.constructor = CalemVendorFormList;

CalemVendorFormList.prototype.toString = function() { return "CalemVendorFormList";}

/**
 * Business APIs
 */
CalemVendorFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemVendorFormNew';
} 

CalemVendorFormList.prototype._getFormReadId =
function(evt) {	
	return 'CalemVendorFormRead';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemVendorFormList.prototype._onOpen =
function(evt) {
	//Get the selection event
    var item=CalemEvent.getItem(evt);
	//Prepare data for master detail view.
	var data = {modelItem: this._modelItem, item: item};
	//pass-through current data model and selection
	this._openForm('CalemVendorFormMdTab', data);
} 

/**
 * Deletion must be handled specially
 */
CalemVendorFormList.prototype.onDelete =
function(evt) {
	var rec=CalemEvent.getItem(evt);
	CalemVendorBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemVendorFormMdTab
 */
function CalemVendorFormMdTab(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormMdTab.call(this, parent, formId, data);
}

CalemVendorFormMdTab.prototype = new CalemFormMdTab;
CalemVendorFormMdTab.prototype.constructor = CalemVendorFormMdTab;

CalemVendorFormMdTab.prototype.toString = function() { return "CalemVendorFormMdTab";}

/**
 * Business APIs
 */

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemVendorFormRead
 */
function CalemVendorFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormRead.call(this, parent, formId, data);
}

CalemVendorFormRead.prototype = new CalemFormRead;
CalemVendorFormRead.prototype.constructor = CalemVendorFormRead;

CalemVendorFormRead.prototype.toString = function() { return "CalemVendorFormRead";}

/**
 * Business APIs
 */
CalemVendorFormRead.prototype._getFormNewId =
function() {
	return 'CalemVendorFormNew';
} 

CalemVendorFormRead.prototype._getFormEditId =
function() {
	return 'CalemVendorFormEdit';
}

/**
 * Deletion must be handled specially
 */
CalemVendorFormRead.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemVendorBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemVendorFormNew
 */
function CalemVendorFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemVendorFormNew.prototype = new CalemFormNew;
CalemVendorFormNew.prototype.constructor = CalemVendorFormNew;

CalemVendorFormNew.prototype.toString = function() { return "CalemVendorFormNew";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemVendorFormEdit
 */
function CalemVendorFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemVendorFormEdit.prototype = new CalemFormEdit;
CalemVendorFormEdit.prototype.constructor = CalemVendorFormEdit;

CalemVendorFormEdit.prototype.toString = function() { return "CalemVendorFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemVendorFormLookup
 */
function CalemVendorFormLookup(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormLookup.call(this, parent, formId, data);
}

CalemVendorFormLookup.prototype = new CalemFormLookup;
CalemVendorFormLookup.prototype.constructor = CalemVendorFormLookup;

CalemVendorFormLookup.prototype.toString = function() { return "CalemVendorFormLookup";}

/**
 * Business APIs
 */
CalemVendorFormLookup.prototype._getFormNewId =
function() {
   return 'CalemVendorFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemVendorFormLookup.prototype._getFormReadId =
function(evt) {
	return 'CalemVendorFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemVendorContactFormList
 */
function CalemVendorContactFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
}

CalemVendorContactFormList.prototype = new CalemFormListDet;
CalemVendorContactFormList.prototype.constructor = CalemVendorContactFormList;

CalemVendorContactFormList.prototype.toString = function() { return "CalemVendorContactFormList";}

/**
 * Business APIs
 */
CalemVendorContactFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemVendorContactFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemVendorContactFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemVendorContactFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemVendorContactFormNew
 */
function CalemVendorContactFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemVendorContactFormNew.prototype = new CalemFormNew;
CalemVendorContactFormNew.prototype.constructor = CalemVendorContactFormNew;

CalemVendorContactFormNew.prototype.toString = function() { return "CalemVendorContactFormNew";}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemVendorContactFormRead
 */
function CalemVendorContactFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemVendorContactFormRead.prototype = new CalemFormReadDet;
CalemVendorContactFormRead.prototype.constructor = CalemVendorContactFormRead;

CalemVendorContactFormRead.prototype.toString = function() { return "CalemVendorContactFormRead";}

/**
 * Business APIs
 */
CalemVendorContactFormRead.prototype._getFormNewId =
function() {
	return 'CalemVendorContactFormNew';
} 

CalemVendorContactFormRead.prototype._getFormEditId =
function() {
	return 'CalemVendorContactFormEdit';
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemVendorContactFormEdit
 */
function CalemVendorContactFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemVendorContactFormEdit.prototype = new CalemFormEdit;
CalemVendorContactFormEdit.prototype.constructor = CalemVendorContactFormEdit;

CalemVendorContactFormEdit.prototype.toString = function() { return "CalemVendorContactFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * Vendor
 */
CalemItemDef['CalemVendorFormList']={
	CalemFormInfo: {
		id: 'CalemVendorFormList',
		title: 'vendor_list',
		icon: 'CalemVendor',
		controller: 'CalemVendorFormList',
		model: 'vendor', 
		view: {CalemViewRefInfo: {id: 'CalemVendorViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemVendorFormSearch'
	}
}

CalemItemDef['CalemVendorFormLookup']={
	CalemFormInfo: {
		id: 'CalemVendorFormLookup',
		title: 'vendor',
		icon: 'CalemVendor',
		controller: 'CalemVendorFormLookup',
		model: 'vendor', 
		view: {CalemViewRefInfo: {id: 'CalemVendorViewLookup'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemVendorFormSearch'
	}
}

CalemItemDef['CalemVendorFormNew']={
	CalemFormInfo: {
		id: 'CalemVendorFormNew',
		title: 'vendor',
		icon: 'CalemVendor',
		controller: 'CalemVendorFormNew',
		model: 'vendor', 
		view: {CalemViewRefInfo: {id: 'CalemVendorViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemVendorFormEdit']={
	CalemFormInfo: {
		id: 'CalemVendorFormEdit',
		title: 'vendor',
		icon: 'CalemVendor',
		controller: 'CalemVendorFormEdit',
		model: 'vendor', 
   	view: {CalemViewRefInfo: {id: 'CalemVendorViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemVendorFormRead']={
	CalemFormInfo: {
		id: 'CalemVendorFormRead',
		title: 'vendor',
		icon: 'CalemVendor',
		controller: 'CalemVendorFormRead',
		model: 'vendor', 
		view: {CalemViewRefInfo: {id: 'CalemVendorViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemVendorFormSearch']={
	CalemFormInfo: {
		id: 'CalemVendorFormSearch',
		title: 'vendor',
		icon: 'CalemVendor',
		controller: 'CalemFormSearchEdit',
		model: 'vendor', 
		view: {CalemViewRefInfo: {id: 'CalemVendorViewSearch'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemVendorFormMdTab']={
	CalemFormMdTabInfo: {
		id: 'CalemVendorFormMdTab',
		title: 'vendor',
		icon: 'CalemVendor',
		replaceType: CalemItemDef.REPLACE_BY_ID,
		//Three portions of info: layout, model and itemMap.
		layout: {
			CalemMdTabLayoutInfo: {
				tabList: ['tab_main', 'tab_contact', 'CUSTOMIZE_TAB'],
				tabMap: {
					'tab_main': {CalemTabLayoutInfo: ['CalemVendorFormRead']},
					'tab_contact' : {CalemTabLayoutInfo: ['CalemVendorContactFormList']}
				}
			} },
		model: {
				CalemFormModelInfo: {
					master: 'CalemVendorFormRead',
			      items: 
			             [{CalemFormLinkInfo: {id: 'CalemVendorContactFormList', link: {CalemFieldMdInfo: {fld: 'vendor_id', parentFld: 'id'}}} }
			             ]
				}
		}, 
		itemMap : { //Default layout conf.
		  CalemItemMap :{
			 'CalemVendorFormRead' : {
			 	CalemFormLayoutInfo: {
			 		id: 'CalemVendorFormRead',
			 		fixed: true, //Move not allowed.
			 		layout: {CalemBlockLayoutInfo: {width: '100%', height: '-2'}}
			 	}
			 },
			 
		  'CalemVendorContactFormList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemVendorContactFormList',
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 8}}
			 	 }
			 },
			 
		  'tab_main': {
		  		CalemTabInfo: {id: 'tab_vendor_main', fixed: 1}
		  },
		  
		  'tab_contact': {
		  		CalemTabInfo: {id: 'tab_vendor_contact'}
		  },
		  
		  'tab_misc': {
		  		CalemTabInfo: {id: 'tab_vendor_misc'}
		  },
		  
		  'CUSTOMIZE_TAB' : {
		  		CalemTabInfo: {id: 'CUSTOMIZE_TAB'}
		  }
		  
		  }
		  
		} //itemMap
	} //MdTabInfo
}


//Vendor contact detail
CalemItemDef['CalemVendorContactFormList']={
	CalemFormInfo: {
		id: 'CalemVendorContactFormList',
		title: 'vendor_contact',
		icon: 'CalemVendor',
		controller: 'CalemVendorContactFormList',
		model: 'vendor_contact', 
		view: {CalemViewRefInfo: {id: 'CalemVendorContactViewList'}},
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemVendorContactFormNew']={
	CalemFormInfo: {
		id: 'CalemVendorContactFormNew',
		title: 'vendor_contact',
		icon: 'CalemVendor',
		controller: 'CalemVendorContactFormNew',
		model: 'vendor_contact', 
		view: {CalemViewRefInfo: {id: 'CalemVendorContactViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemVendorContactFormEdit']={
	CalemFormInfo: {
		id: 'CalemVendorContactFormEdit',
		title: 'vendor_contact',
		icon: 'CalemVendor',
		controller: 'CalemVendorContactFormEdit',
		model: 'vendor_contact', 
   	view: {CalemViewRefInfo: {id: 'CalemVendorContactViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemVendorContactFormRead']={
	CalemFormInfo: {
		id: 'CalemVendorContactFormRead',
		title: 'vendor_contact',
		icon: 'CalemVendor',
		controller: 'CalemVendorContactFormRead',
		model: 'vendor_contact', 
		view: {CalemViewRefInfo: {id: 'CalemVendorContactViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * Admin module
 */
CalemModuleDef["modCalemVendor"]= {
	CalemModuleInfo: {
      id:"modCalemVendor",
      icon:"CalemVendor",
      defaultMenu: 'CalemVendorFormList',
      toolBar: {
        CalemToolBarInfo: {
        	  type: 'CalemToolBar',
        	  layout: ['modCalemVendor', 'sep', 'CalemVendorFormList'],
        	  list: [
	         {CalemLabelInfo: {id: 'modCalemVendor', className: 'CalemModuleLabel'}},
	         
	         {CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
	         
	         {CalemMenuItemInfo: {id: 'CalemVendorFormList'}}
	      ] }
	}
	}
};

//Build Calem.js from client
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInspectionBo - business logic
 */
function CalemInspectionBo() {
}

CalemInspectionBo._details = ['ins_citation'];

CalemInspectionBo.getInstance =
function() {
	if (!CalemInspectionBo.singleton) {
		CalemInspectionBo.singleton = new CalemInspectionBo();
	}
	return CalemInspectionBo.singleton;
}

//Asset deletion check
CalemInspectionBo.prototype.canDelete =
function(rec, callback) {
	var boUtil=CalemBoUtil.getInstance();
	boUtil.canDeleteByLookup(CalemInspectionBo._details, 'inspection_id', rec.id, callback);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

//Modules Form

// forms
CalemMenuDef['CalemInspectionFormList'] = {
	id: 'CalemInspectionFormList',
	title: 'inspection',
	icon: 'CalemInspection',
	disIcon: null,
	tooltip: null, 
	enabled: true,		   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemInspectionViewList']={
	CalemViewInfo: {
		id: 'CalemInspectionViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'inspection', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'CalemTbDataRefresh', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep2', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'inspection', width: 150}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Lookup views
 */
CalemViewDef['CalemInspectionViewLookup']={
	CalemViewInfo: {
		id: 'CalemInspectionViewLookup',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'inspection', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbSelect', 'CalemTbCancel', 'CalemTbDataRefresh', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					{ CalemButtonInfo: {
						id: 'CalemTbPrint', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbSelect', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'inspection', width: 150}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemInspectionViewNew']={
	CalemViewInfo: {
		id: 'CalemInspectionViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'inspection', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * WO views
 */
CalemViewDef['CalemInspectionViewRead']={
	CalemViewInfo: {
		id: 'CalemInspectionViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                               				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'CalemTbDataRefresh', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'inspection', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemInspectionViewEdit']={
	CalemViewInfo: {
		id: 'CalemInspectionViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                         				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
								
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'inspection', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Wo views
 */
CalemViewDef['CalemInspectionViewSearch']={
	CalemViewInfo: {
		id: 'CalemInspectionViewSearch',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},		
               {CalemTrInfo: {cols: ['lb_save_search', '_save_search']}}                                                                                                   				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbApplySave', 'sep2', 'CalemTbApply', 'CalemTbSave',  'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	
					   { CalemButtonInfo: {
							 id: 'CalemTbApplySave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
						
						{ CalemButtonInfo: {
							id: 'CalemTbApply', 
							customInfo: {
							  	   CalemMenuCustomInfo: {
							         enabled: false,
							         events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
							  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
					
					
					   
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},   			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'inspection', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_save_search': {
				CalemLabelInfo: {id: 'save_search', className: 'CalemEditSection'}
			},
			'_save_search': {
				CalemSearchSaveInfo: {size: 30}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemInsCitationViewList']={
	CalemViewInfo: {
		id: 'CalemInsCitationViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'ins_citation', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'CalemTbDataRefresh', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'citation', width: 200}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemInsCitationViewNew']={
	CalemViewInfo: {
		id: 'CalemInsCitationViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'ins_citation', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemInsCitationViewEdit']={
	CalemViewInfo: {
		id: 'CalemInsCitationViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'ins_citation', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemInsCitationViewRead']={
	CalemViewInfo: {
		id: 'CalemInsCitationViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},						             
					//Last changes
					{CalemTrInfo: {cols: ['lb_last_changes']}}                                                                                                               				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'CalemTbDataRefresh', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'ins_citation', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_last_changes': {
				CalemLabelInfo: {id: 'last_changes', className: 'CalemEditSection'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInspectionFormList
 */
function CalemInspectionFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
}

CalemInspectionFormList.prototype = new CalemFormList;
CalemInspectionFormList.prototype.constructor = CalemInspectionFormList;

CalemInspectionFormList.prototype.toString = function() { return "CalemInspectionFormList";}

/**
 * Business APIs
 */
CalemInspectionFormList.prototype._getFormNewId =
function() {
    return 'CalemInspectionFormNew';
} 
 
CalemInspectionFormList.prototype._onOpen =
function(evt) {
	//Get the selection event
    var item=CalemEvent.getItem(evt);
	//Prepare data for master detail view.
	var data = {modelItem: this._modelItem, item: item};
	//pass-through current data model and selection
	this._openForm('CalemInspectionFormMdTab', data);
}  

/**
 * Deletion must be handled specially
 */
CalemInspectionFormList.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemInspectionBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInspectionFormMdTab
 */
function CalemInspectionFormMdTab(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormMdTab.call(this, parent, formId, data);
}

CalemInspectionFormMdTab.prototype = new CalemFormMdTab;
CalemInspectionFormMdTab.prototype.constructor = CalemInspectionFormMdTab;

CalemInspectionFormMdTab.prototype.toString = function() { return "CalemInspectionFormMdTab";}

/**
 * Business APIs
 */

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInspectionFormRead
 */
function CalemInspectionFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormRead.call(this, parent, formId, data);
}

CalemInspectionFormRead.prototype = new CalemFormRead;
CalemInspectionFormRead.prototype.constructor = CalemInspectionFormRead;

CalemInspectionFormRead.prototype.toString = function() { return "CalemInspectionFormRead";}

/**
 * Business APIs
 */
CalemInspectionFormRead.prototype._getFormNewId =
function() {
	return 'CalemInspectionFormNew';
} 

CalemInspectionFormRead.prototype._getFormEditId =
function() {
	return 'CalemInspectionFormEdit';
}

/**
 * Deletion must be handled specially
 */
CalemInspectionFormRead.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemInspectionBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInspectionFormNew
 */
function CalemInspectionFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemInspectionFormNew.prototype = new CalemFormNew;
CalemInspectionFormNew.prototype.constructor = CalemInspectionFormNew;

CalemInspectionFormNew.prototype.toString = function() { return "CalemInspectionFormNew";}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInspectionFormEdit
 */
function CalemInspectionFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemInspectionFormEdit.prototype = new CalemFormEdit;
CalemInspectionFormEdit.prototype.constructor = CalemInspectionFormEdit;

CalemInspectionFormEdit.prototype.toString = function() { return "CalemInspectionFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInspectionFormLookup
 */
function CalemInspectionFormLookup(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormLookup.call(this, parent, formId, data);
}

CalemInspectionFormLookup.prototype = new CalemFormLookup;
CalemInspectionFormLookup.prototype.constructor = CalemInspectionFormLookup;

CalemInspectionFormLookup.prototype.toString = function() { return "CalemInspectionFormLookup";}

/**
 * Business APIs
 */
CalemInspectionFormLookup.prototype._getFormNewId =
function() {
   return 'CalemInspectionFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemInspectionFormLookup.prototype._getFormReadId =
function(evt) {
	return 'CalemInspectionFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInsCitationFormList
 */
function CalemInsCitationFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
}

CalemInsCitationFormList.prototype = new CalemFormListDet;
CalemInsCitationFormList.prototype.constructor = CalemInsCitationFormList;

CalemInsCitationFormList.prototype.toString = function() { return "CalemInsCitationFormList";}

/**
 * Business APIs
 */
CalemInsCitationFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemInsCitationFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemInsCitationFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemInsCitationFormRead';
} 

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInsCitationFormNew
 */
function CalemInsCitationFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemInsCitationFormNew.prototype = new CalemFormNew;
CalemInsCitationFormNew.prototype.constructor = CalemInsCitationFormNew;

CalemInsCitationFormNew.prototype.toString = function() { return "CalemInsCitationFormNew";}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInsCitationFormEdit
 */
function CalemInsCitationFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemInsCitationFormEdit.prototype = new CalemFormEdit;
CalemInsCitationFormEdit.prototype.constructor = CalemInsCitationFormEdit;

CalemInsCitationFormEdit.prototype.toString = function() { return "CalemInsCitationFormEdit";}

CalemInsCitationFormEdit.prototype._initReadOnlyFields =
function() {
	this._setFieldsReadOnly(['wo_id']);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemInsCitationFormRead
 */
function CalemInsCitationFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemInsCitationFormRead.prototype = new CalemFormReadDet;
CalemInsCitationFormRead.prototype.constructor = CalemInsCitationFormRead;

CalemInsCitationFormRead.prototype.toString = function() { return "CalemInsCitationFormRead";}

/**
 * Business APIs
 */
CalemInsCitationFormRead.prototype._getFormNewId =
function() {
	return 'CalemInsCitationFormNew';
} 

CalemInsCitationFormRead.prototype._getFormEditId =
function() {
	return 'CalemInsCitationFormEdit';
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * forms
 */
CalemItemDef['CalemInspectionFormList']={
	CalemFormInfo: {
		id: 'CalemInspectionFormList',
		title: 'inspection_list',
		icon: 'CalemInspection',
		controller: 'CalemInspectionFormList',
		model: 'inspection', 
		view: {CalemViewRefInfo: {id: 'CalemInspectionViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemInspectionFormSearch'
	}
}

CalemItemDef['CalemInspectionFormLookup']={
	CalemFormInfo: {
		id: 'CalemInspectionFormLookup',
		title: 'inspection',
		icon: 'CalemInspection',
		controller: 'CalemInspectionFormLookup',
		model: 'inspection', 
		view: {CalemViewRefInfo: {id: 'CalemInspectionViewLookup'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemInspectionFormSearch'
	}
}

CalemItemDef['CalemInspectionFormNew']={
	CalemFormInfo: {
		id: 'CalemInspectionFormNew',
		title: 'inspection',
		icon: 'CalemInspection',
		controller: 'CalemInspectionFormNew',
		model: 'inspection', 
		view: {CalemViewRefInfo: {id: 'CalemInspectionViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemInspectionFormEdit']={
	CalemFormInfo: {
		id: 'CalemInspectionFormEdit',
		title: 'inspection',
		icon: 'CalemInspection',
		controller: 'CalemInspectionFormEdit',
		model: 'inspection', 
   	view: {CalemViewRefInfo: {id: 'CalemInspectionViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemInspectionFormRead']={
	CalemFormInfo: {
		id: 'CalemInspectionFormRead',
		title: 'inspection',
		icon: 'CalemInspection',
		controller: 'CalemInspectionFormRead',
		model: 'inspection', 
		view: {CalemViewRefInfo: {id: 'CalemInspectionViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemInspectionFormSearch']={
	CalemFormInfo: {
		id: 'CalemInspectionFormSearch',
		title: 'inspection',
		icon: 'CalemInspection',
		controller: 'CalemFormSearchEdit',
		model: 'inspection', 
		view: {CalemViewRefInfo: {id: 'CalemInspectionViewSearch'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemInspectionFormMdTab']={
	CalemFormMdTabInfo: {
		id: 'CalemInspectionFormMdTab',
		title: 'inspection',
		icon: 'CalemInspection',
		replaceType: CalemItemDef.REPLACE_BY_ID,
		//Three portions of info: layout, model and itemMap.
		layout: {
			CalemMdTabLayoutInfo: {
				tabList: ['tab_main', 'tab_citation', 'CUSTOMIZE_TAB'],
				tabMap: {
					'tab_main': {CalemTabLayoutInfo: ['CalemInspectionFormRead']},
					
					'tab_citation' : {CalemTabLayoutInfo: ['CalemInsCitationFormList']}
				}
			} },
		model: {
				CalemFormModelInfo: {
					master: 'CalemInspectionFormRead',
			      items: 
			             [{CalemFormLinkInfo: {id: 'CalemInsCitationFormList', link: {CalemFieldMdInfo: {fld: 'inspection_id', parentFld: 'id'}}} }
			             ]
				}
		}, 
		itemMap : { //Default layout conf.
		  CalemItemMap :{
			 'CalemInspectionFormRead' : {
			 	CalemFormLayoutInfo: {
			 		id: 'CalemInspectionFormRead',
			 		fixed: true, //Move not allowed.
			 		layout: {CalemBlockLayoutInfo: {width: '100%', height: '-2'}}
			 	}
			 },
			 
			 'CalemInsCitationFormList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemInsCitationFormList',
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 10}}
			 	 }
			 },
			 
			 
		  'tab_main': {
		  		CalemTabInfo: {id: 'tab_ins_main', fixed: 1}
		  },
		  
		  'tab_citation': {
		  		CalemTabInfo: {id: 'tab_ins_citation'}
		  },
		  
		  'CUSTOMIZE_TAB' : {
		  		CalemTabInfo: {id: 'CUSTOMIZE_TAB'}
		  }
		  
		  }
		  
		} //itemMap
	} //MdTabInfo
}

/**
 * Downtime
 */
CalemItemDef['CalemInsCitationFormList']={
	CalemFormInfo: {
		id: 'CalemInsCitationFormList',
		title: 'ins_citation',
		icon: 'CalemInspection',
		controller: 'CalemInsCitationFormList',
		model: 'ins_citation', 
		view: {CalemViewRefInfo: {id: 'CalemInsCitationViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemInsCitationFormNew']={
	CalemFormInfo: {
		id: 'CalemInsCitationFormNew',
		title: 'ins_citation',
		icon: 'CalemInspection',
		controller: 'CalemInsCitationFormNew',
		model: 'ins_citation', 
		view: {CalemViewRefInfo: {id: 'CalemInsCitationViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemInsCitationFormEdit']={
	CalemFormInfo: {
		id: 'CalemInsCitationFormEdit',
		title: 'ins_citation',
		icon: 'CalemInspection',
		controller: 'CalemInsCitationFormEdit',
		model: 'ins_citation', 
   	view: {CalemViewRefInfo: {id: 'CalemInsCitationViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemInsCitationFormRead']={
	CalemFormInfo: {
		id: 'CalemInsCitationFormRead',
		title: 'ins_citation',
		icon: 'CalemInspection',
		controller: 'CalemInsCitationFormRead',
		model: 'ins_citation', 
		view: {CalemViewRefInfo: {id: 'CalemInsCitationViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Admin module
 */
CalemModuleDef["modCalemInspection"]= {
	CalemModuleInfo: {
      id:"modCalemInspection",
      icon:"CalemInspection",
      defaultMenu: 'CalemInspectionFormList',
      toolBar: {
        CalemToolBarInfo: {
        	  type: 'CalemToolBar',
        	  layout: ['modCalemInspection', 'sep', 'CalemInspectionFormList'],
        	  list: [
	         {CalemLabelInfo: {id: 'modCalemInspection', className: 'CalemModuleLabel'}},
	         
	         {CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
	         
	         {CalemMenuItemInfo: {id: 'CalemInspectionFormList'}}
	      ] }
	}
	}
};

//Build Calem.js from client
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTrainingBo - business logic
 */
function CalemTrainingBo() {
}

CalemTrainingBo._details = ['training_user'];

CalemTrainingBo.getInstance =
function() {
	if (!CalemTrainingBo.singleton) {
		CalemTrainingBo.singleton = new CalemTrainingBo();
	}
	return CalemTrainingBo.singleton;
}

//Asset deletion check
CalemTrainingBo.prototype.canDelete =
function(rec, callback) {
	var boUtil=CalemBoUtil.getInstance();
	boUtil.canDeleteByLookup(CalemTrainingBo._details, 'training_id', rec.id, callback);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTrainingCertificateBo - business logic
 */
function CalemTrainingCertificateBo() {
}

CalemTrainingCertificateBo._details = ['training'];

CalemTrainingCertificateBo.getInstance =
function() {
	if (!CalemTrainingCertificateBo.singleton) {
		CalemTrainingCertificateBo.singleton = new CalemTrainingCertificateBo();
	}
	return CalemTrainingCertificateBo.singleton;
}

//Asset deletion check
CalemTrainingCertificateBo.prototype.canDelete =
function(rec, callback) {
	var boUtil=CalemBoUtil.getInstance();
	boUtil.canDeleteByLookup(CalemTrainingCertificateBo._details, 'certificate_id', rec.id, callback);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTrainingCourseTypeBo - business logic
 */
function CalemTrainingCourseTypeBo() {
}

CalemTrainingCourseTypeBo._details = ['training_course'];

CalemTrainingCourseTypeBo.getInstance =
function() {
	if (!CalemTrainingCourseTypeBo.singleton) {
		CalemTrainingCourseTypeBo.singleton = new CalemTrainingCourseTypeBo();
	}
	return CalemTrainingCourseTypeBo.singleton;
}

//Asset deletion check
CalemTrainingCourseTypeBo.prototype.canDelete =
function(rec, callback) {
	var boUtil=CalemBoUtil.getInstance();
	boUtil.canDeleteByLookup(CalemTrainingCourseTypeBo._details, 'type_id', rec.id, callback);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTrainingCourseBo - business logic
 */
function CalemTrainingCourseBo() {
}

CalemTrainingCourseBo._details = ['training'];

CalemTrainingCourseBo.getInstance =
function() {
	if (!CalemTrainingCourseBo.singleton) {
		CalemTrainingCourseBo.singleton = new CalemTrainingCourseBo();
	}
	return CalemTrainingCourseBo.singleton;
}

//Asset deletion check
CalemTrainingCourseBo.prototype.canDelete =
function(rec, callback) {
	var boUtil=CalemBoUtil.getInstance();
	boUtil.canDeleteByLookup(CalemTrainingCourseBo._details, 'course_id', rec.id, callback);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Admin module menu
 */

//Modules Form

// forms
CalemMenuDef['CalemTrainingFormList'] = {
	id: 'CalemTrainingFormList',
	title: 'training',
	icon: 'CalemTraining',
	disIcon: null,
	tooltip: null, 
	enabled: true,		   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};

//Codes
CalemMenuDef['CalemTrainingCodes'] = {
	id: 'CalemTrainingCodes',
	title: 'training_codes',
	icon: 'CalemCodes',
	disIcon: null,
	tooltip: null,
	enabled: true,				   
	onSelect: null	
}; 

CalemMenuDef['CalemTrainingCourseTypeFormList'] = {
	id: 'CalemTrainingCourseTypeFormList',
	title: 'training_course_type',
	icon: 'CalemTraining',
	disIcon: null,
	tooltip: null, 
	enabled: true,		   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};

CalemMenuDef['CalemTrainingCourseFormList'] = {
	id: 'CalemTrainingCourseFormList',
	title: 'training_course',
	icon: 'CalemTraining',
	disIcon: null,
	tooltip: null, 
	enabled: true,		   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};

CalemMenuDef['CalemTrainingCertificateFormList'] = {
	id: 'CalemTrainingCertificateFormList',
	title: 'training_certificate',
	icon: 'CalemTraining',
	disIcon: null,
	tooltip: null, 
	enabled: true,		   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemTrainingViewList']={
	CalemViewInfo: {
		id: 'CalemTrainingViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'training', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep', 'CalemTbPrint', 'sep2', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					{ CalemButtonInfo: {
						id: 'CalemTbPrint', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'training', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Lookup views
 */
CalemViewDef['CalemTrainingViewLookup']={
	CalemViewInfo: {
		id: 'CalemTrainingViewLookup',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'training', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbSelect', 'CalemTbCancel', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					{ CalemButtonInfo: {
						id: 'CalemTbPrint', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbSelect', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'training', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemTrainingViewNew']={
	CalemViewInfo: {
		id: 'CalemTrainingViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                               				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'training', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemTrainingViewRead']={
	CalemViewInfo: {
		id: 'CalemTrainingViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},						             

					{CalemTrInfo: {cols: ['lb_last_changes']}}                                                                                                               				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'training', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_last_changes': {
				CalemLabelInfo: {id: 'last_changes', className: 'CalemEditSection'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemTrainingViewEdit']={
	CalemViewInfo: {
		id: 'CalemTrainingViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                         				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'training', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemTrainingViewSearch']={
	CalemViewInfo: {
		id: 'CalemTrainingViewSearch',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},		
               {CalemTrInfo: {cols: ['lb_save_search', '_save_search']}},				             

					{CalemTrInfo: {cols: ['lb_last_changes']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbApplySave', 'sep2', 'CalemTbApply', 'CalemTbSave',  'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	
					   { CalemButtonInfo: {
							 id: 'CalemTbApplySave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
						
						{ CalemButtonInfo: {
							id: 'CalemTbApply', 
							customInfo: {
							  	   CalemMenuCustomInfo: {
							         enabled: false,
							         events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
							  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
					
					
					   
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},   			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'training', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			
			'lb_last_changes': {
				CalemLabelInfo: {id: 'last_changes', className: 'CalemEditSection'}
			},
			
			'lb_save_search': {
				CalemLabelInfo: {id: 'save_search', className: 'CalemEditSection'}
			},
			'_save_search': {
				CalemSearchSaveInfo: {size: 30}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemTrainingUserViewList']={
	CalemViewInfo: {
		id: 'CalemTrainingUserViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'training_user', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'user_id', width: 200}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemTrainingUserViewNew']={
	CalemViewInfo: {
		id: 'CalemTrainingUserViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'training_user', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemTrainingUserViewEdit']={
	CalemViewInfo: {
		id: 'CalemTrainingUserViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'training_user', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemTrainingUserViewRead']={
	CalemViewInfo: {
		id: 'CalemTrainingUserViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},						             
					//Last changes
					{CalemTrInfo: {cols: ['lb_last_changes']}}                                                                                                               				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'training_user', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_last_changes': {
				CalemLabelInfo: {id: 'last_changes', className: 'CalemEditSection'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemTrainingCertificateViewList']={
	CalemViewInfo: {
		id: 'CalemTrainingCertificateViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'training_certificate', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep2', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'certificate', width: 150}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Lookup views
 */
CalemViewDef['CalemTrainingCertificateViewLookup']={
	CalemViewInfo: {
		id: 'CalemTrainingCertificateViewLookup',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'training_certificate', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbSelect', 'CalemTbCancel', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					{ CalemButtonInfo: {
						id: 'CalemTbPrint', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbSelect', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'certificate', width: 150}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemTrainingCertificateViewNew']={
	CalemViewInfo: {
		id: 'CalemTrainingCertificateViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'training_certificate', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * WO views
 */
CalemViewDef['CalemTrainingCertificateViewRead']={
	CalemViewInfo: {
		id: 'CalemTrainingCertificateViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                               				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'training_certificate', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemTrainingCertificateViewEdit']={
	CalemViewInfo: {
		id: 'CalemTrainingCertificateViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                         				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
								
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'training_certificate', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Wo views
 */
CalemViewDef['CalemTrainingCertificateViewSearch']={
	CalemViewInfo: {
		id: 'CalemTrainingCertificateViewSearch',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},		
               {CalemTrInfo: {cols: ['lb_save_search', '_save_search']}}                                                                                                   				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbApplySave', 'sep2', 'CalemTbApply', 'CalemTbSave',  'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	
					   { CalemButtonInfo: {
							 id: 'CalemTbApplySave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
						
						{ CalemButtonInfo: {
							id: 'CalemTbApply', 
							customInfo: {
							  	   CalemMenuCustomInfo: {
							         enabled: false,
							         events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
							  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
					
					
					   
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},   			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'training_certificate', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_save_search': {
				CalemLabelInfo: {id: 'save_search', className: 'CalemEditSection'}
			},
			'_save_search': {
				CalemSearchSaveInfo: {size: 30}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemTrainingCourseTypeViewList']={
	CalemViewInfo: {
		id: 'CalemTrainingCourseTypeViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'training_course_type', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep2', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'type', width: 150}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Lookup views
 */
CalemViewDef['CalemTrainingCourseTypeViewLookup']={
	CalemViewInfo: {
		id: 'CalemTrainingCourseTypeViewLookup',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'training_course_type', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbSelect', 'CalemTbCancel', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					{ CalemButtonInfo: {
						id: 'CalemTbPrint', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbSelect', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'type', width: 150}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemTrainingCourseTypeViewNew']={
	CalemViewInfo: {
		id: 'CalemTrainingCourseTypeViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'training_course_type', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * WO views
 */
CalemViewDef['CalemTrainingCourseTypeViewRead']={
	CalemViewInfo: {
		id: 'CalemTrainingCourseTypeViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                               				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'training_course_type', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemTrainingCourseTypeViewEdit']={
	CalemViewInfo: {
		id: 'CalemTrainingCourseTypeViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                         				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
								
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'training_course_type', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Wo views
 */
CalemViewDef['CalemTrainingCourseTypeViewSearch']={
	CalemViewInfo: {
		id: 'CalemTrainingCourseTypeViewSearch',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},		
               {CalemTrInfo: {cols: ['lb_save_search', '_save_search']}}                                                                                                   				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbApplySave', 'sep2', 'CalemTbApply', 'CalemTbSave',  'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	
					   { CalemButtonInfo: {
							 id: 'CalemTbApplySave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
						
						{ CalemButtonInfo: {
							id: 'CalemTbApply', 
							customInfo: {
							  	   CalemMenuCustomInfo: {
							         enabled: false,
							         events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
							  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
					
					
					   
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},   			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'training_course_type', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_save_search': {
				CalemLabelInfo: {id: 'save_search', className: 'CalemEditSection'}
			},
			'_save_search': {
				CalemSearchSaveInfo: {size: 30}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemTrainingCourseViewList']={
	CalemViewInfo: {
		id: 'CalemTrainingCourseViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'training_course', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep2', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'type_id', width: 150}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Lookup views
 */
CalemViewDef['CalemTrainingCourseViewLookup']={
	CalemViewInfo: {
		id: 'CalemTrainingCourseViewLookup',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'training_course', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbSelect', 'CalemTbCancel', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					{ CalemButtonInfo: {
						id: 'CalemTbPrint', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbSelect', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'type_id', width: 150}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemTrainingCourseViewNew']={
	CalemViewInfo: {
		id: 'CalemTrainingCourseViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'training_course', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * WO views
 */
CalemViewDef['CalemTrainingCourseViewRead']={
	CalemViewInfo: {
		id: 'CalemTrainingCourseViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                               				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'training_course', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemTrainingCourseViewEdit']={
	CalemViewInfo: {
		id: 'CalemTrainingCourseViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                         				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
								
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'training_course', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Wo views
 */
CalemViewDef['CalemTrainingCourseViewSearch']={
	CalemViewInfo: {
		id: 'CalemTrainingCourseViewSearch',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},		
               {CalemTrInfo: {cols: ['lb_save_search', '_save_search']}}                                                                                                   				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbApplySave', 'sep2', 'CalemTbApply', 'CalemTbSave',  'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	
					   { CalemButtonInfo: {
							 id: 'CalemTbApplySave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
						
						{ CalemButtonInfo: {
							id: 'CalemTbApply', 
							customInfo: {
							  	   CalemMenuCustomInfo: {
							         enabled: false,
							         events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
							  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
					
					
					   
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},   			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'training_course', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_save_search': {
				CalemLabelInfo: {id: 'save_search', className: 'CalemEditSection'}
			},
			'_save_search': {
				CalemSearchSaveInfo: {size: 30}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTrainingFormList
 */
function CalemTrainingFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
}

CalemTrainingFormList.prototype = new CalemFormList;
CalemTrainingFormList.prototype.constructor = CalemTrainingFormList;

CalemTrainingFormList.prototype.toString = function() { return "CalemTrainingFormList";}

/**
 * Business APIs
 */
CalemTrainingFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemTrainingFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemTrainingFormList.prototype._onOpen =
function(evt) {
	//Get the selection event
    var item=CalemEvent.getItem(evt);
	//Prepare data for master detail view.
	var data = {modelItem: this._modelItem, item: item};
	//pass-through current data model and selection
	this._openForm('CalemTrainingFormMdTab', data);
} 

/**
 * Deletion must be handled specially
 */
CalemTrainingFormList.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemTrainingBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTrainingFormMdTab
 */
function CalemTrainingFormMdTab(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormMdTab.call(this, parent, formId, data);
}

CalemTrainingFormMdTab.prototype = new CalemFormMdTab;
CalemTrainingFormMdTab.prototype.constructor = CalemTrainingFormMdTab;

CalemTrainingFormMdTab.prototype.toString = function() { return "CalemTrainingFormMdTab";}

/**
 * Business APIs
 */

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTrainingFormRead
 */
function CalemTrainingFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormRead.call(this, parent, formId, data);
}

CalemTrainingFormRead.prototype = new CalemFormRead;
CalemTrainingFormRead.prototype.constructor = CalemTrainingFormRead;

CalemTrainingFormRead.prototype.toString = function() { return "CalemTrainingFormRead";}

/**
 * Business APIs
 */
CalemTrainingFormRead.prototype._getFormNewId =
function() {
	return 'CalemTrainingFormNew';
} 

CalemTrainingFormRead.prototype._getFormEditId =
function() {
	return 'CalemTrainingFormEdit';
}

/**
 * Deletion must be handled specially
 */
CalemTrainingFormRead.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemTrainingBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTrainingFormNew
 */
function CalemTrainingFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemTrainingFormNew.prototype = new CalemFormNew;
CalemTrainingFormNew.prototype.constructor = CalemTrainingFormNew;

CalemTrainingFormNew.prototype.toString = function() { return "CalemTrainingFormNew";}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTrainingFormEdit
 */
function CalemTrainingFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemTrainingFormEdit.prototype = new CalemFormEdit;
CalemTrainingFormEdit.prototype.constructor = CalemTrainingFormEdit;

CalemTrainingFormEdit.prototype.toString = function() { return "CalemTrainingFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTrainingFormLookup
 */
function CalemTrainingFormLookup(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormLookup.call(this, parent, formId, data);
}

CalemTrainingFormLookup.prototype = new CalemFormLookup;
CalemTrainingFormLookup.prototype.constructor = CalemTrainingFormLookup;

CalemTrainingFormLookup.prototype.toString = function() { return "CalemTrainingFormLookup";}

/**
 * Business APIs
 */
CalemTrainingFormLookup.prototype._getFormNewId =
function() {
   return 'CalemTrainingFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemTrainingFormLookup.prototype._getFormReadId =
function(evt) {
	return 'CalemTrainingFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTrainingUserFormList
 */
function CalemTrainingUserFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
}

CalemTrainingUserFormList.prototype = new CalemFormListDet;
CalemTrainingUserFormList.prototype.constructor = CalemTrainingUserFormList;

CalemTrainingUserFormList.prototype.toString = function() { return "CalemTrainingUserFormList";}

/**
 * Business APIs
 */
CalemTrainingUserFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemTrainingUserFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemTrainingUserFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemTrainingUserFormRead';
} 

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTrainingUserFormNew
 */
function CalemTrainingUserFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemTrainingUserFormNew.prototype = new CalemFormNew;
CalemTrainingUserFormNew.prototype.constructor = CalemTrainingUserFormNew;

CalemTrainingUserFormNew.prototype.toString = function() { return "CalemTrainingUserFormNew";}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTrainingUserFormEdit
 */
function CalemTrainingUserFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemTrainingUserFormEdit.prototype = new CalemFormEdit;
CalemTrainingUserFormEdit.prototype.constructor = CalemTrainingUserFormEdit;

CalemTrainingUserFormEdit.prototype.toString = function() { return "CalemTrainingUserFormEdit";}

CalemTrainingUserFormEdit.prototype._initReadOnlyFields =
function() {
	this._setFieldsReadOnly(['wo_id']);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTrainingUserFormRead
 */
function CalemTrainingUserFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemTrainingUserFormRead.prototype = new CalemFormReadDet;
CalemTrainingUserFormRead.prototype.constructor = CalemTrainingUserFormRead;

CalemTrainingUserFormRead.prototype.toString = function() { return "CalemTrainingUserFormRead";}

/**
 * Business APIs
 */
CalemTrainingUserFormRead.prototype._getFormNewId =
function() {
	return 'CalemTrainingUserFormNew';
} 

CalemTrainingUserFormRead.prototype._getFormEditId =
function() {
	return 'CalemTrainingUserFormEdit';
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTrainingCertificateFormList
 */
function CalemTrainingCertificateFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
}

CalemTrainingCertificateFormList.prototype = new CalemFormList;
CalemTrainingCertificateFormList.prototype.constructor = CalemTrainingCertificateFormList;

CalemTrainingCertificateFormList.prototype.toString = function() { return "CalemTrainingCertificateFormList";}

/**
 * Business APIs
 */
CalemTrainingCertificateFormList.prototype._getFormNewId =
function() {
    return 'CalemTrainingCertificateFormNew';
} 
 
CalemTrainingCertificateFormList.prototype._getFormReadId =
function() {
    return 'CalemTrainingCertificateFormRead';
}  

CalemTrainingCertificateFormList.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemTrainingCertificateBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTrainingCertificateFormRead
 */
function CalemTrainingCertificateFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormRead.call(this, parent, formId, data);
}

CalemTrainingCertificateFormRead.prototype = new CalemFormRead;
CalemTrainingCertificateFormRead.prototype.constructor = CalemTrainingCertificateFormRead;

CalemTrainingCertificateFormRead.prototype.toString = function() { return "CalemTrainingCertificateFormRead";}

/**
 * Business APIs
 */
CalemTrainingCertificateFormRead.prototype._getFormNewId =
function() {
	return 'CalemTrainingCertificateFormNew';
} 

CalemTrainingCertificateFormRead.prototype._getFormEditId =
function() {
	return 'CalemTrainingCertificateFormEdit';
}

CalemTrainingCertificateFormRead.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemTrainingCertificateBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTrainingCertificateFormNew
 */
function CalemTrainingCertificateFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemTrainingCertificateFormNew.prototype = new CalemFormNew;
CalemTrainingCertificateFormNew.prototype.constructor = CalemTrainingCertificateFormNew;

CalemTrainingCertificateFormNew.prototype.toString = function() { return "CalemTrainingCertificateFormNew";}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTrainingCertificateFormEdit
 */
function CalemTrainingCertificateFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemTrainingCertificateFormEdit.prototype = new CalemFormEdit;
CalemTrainingCertificateFormEdit.prototype.constructor = CalemTrainingCertificateFormEdit;

CalemTrainingCertificateFormEdit.prototype.toString = function() { return "CalemTrainingCertificateFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTrainingCertificateFormLookup
 */
function CalemTrainingCertificateFormLookup(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormLookup.call(this, parent, formId, data);
}

CalemTrainingCertificateFormLookup.prototype = new CalemFormLookup;
CalemTrainingCertificateFormLookup.prototype.constructor = CalemTrainingCertificateFormLookup;

CalemTrainingCertificateFormLookup.prototype.toString = function() { return "CalemTrainingCertificateFormLookup";}

/**
 * Business APIs
 */
CalemTrainingCertificateFormLookup.prototype._getFormNewId =
function() {
   return 'CalemTrainingCertificateFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemTrainingCertificateFormLookup.prototype._getFormReadId =
function(evt) {
	return 'CalemTrainingCertificateFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTrainingCourseTypeFormList
 */
function CalemTrainingCourseTypeFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
}

CalemTrainingCourseTypeFormList.prototype = new CalemFormList;
CalemTrainingCourseTypeFormList.prototype.constructor = CalemTrainingCourseTypeFormList;

CalemTrainingCourseTypeFormList.prototype.toString = function() { return "CalemTrainingCourseTypeFormList";}

/**
 * Business APIs
 */
CalemTrainingCourseTypeFormList.prototype._getFormNewId =
function() {
    return 'CalemTrainingCourseTypeFormNew';
} 
 
CalemTrainingCourseTypeFormList.prototype._getFormReadId =
function() {
    return 'CalemTrainingCourseTypeFormRead';
}  

/**
 * Deletion must be handled specially
 */
CalemTrainingCourseTypeFormList.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemTrainingCourseTypeBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTrainingCourseTypeFormRead
 */
function CalemTrainingCourseTypeFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormRead.call(this, parent, formId, data);
}

CalemTrainingCourseTypeFormRead.prototype = new CalemFormRead;
CalemTrainingCourseTypeFormRead.prototype.constructor = CalemTrainingCourseTypeFormRead;

CalemTrainingCourseTypeFormRead.prototype.toString = function() { return "CalemTrainingCourseTypeFormRead";}

/**
 * Business APIs
 */
CalemTrainingCourseTypeFormRead.prototype._getFormNewId =
function() {
	return 'CalemTrainingCourseTypeFormNew';
} 

CalemTrainingCourseTypeFormRead.prototype._getFormEditId =
function() {
	return 'CalemTrainingCourseTypeFormEdit';
}

/**
 * Deletion must be handled specially
 */
CalemTrainingCourseTypeFormRead.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemTrainingCourseTypeBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTrainingCourseTypeFormNew
 */
function CalemTrainingCourseTypeFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemTrainingCourseTypeFormNew.prototype = new CalemFormNew;
CalemTrainingCourseTypeFormNew.prototype.constructor = CalemTrainingCourseTypeFormNew;

CalemTrainingCourseTypeFormNew.prototype.toString = function() { return "CalemTrainingCourseTypeFormNew";}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTrainingCourseTypeFormEdit
 */
function CalemTrainingCourseTypeFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemTrainingCourseTypeFormEdit.prototype = new CalemFormEdit;
CalemTrainingCourseTypeFormEdit.prototype.constructor = CalemTrainingCourseTypeFormEdit;

CalemTrainingCourseTypeFormEdit.prototype.toString = function() { return "CalemTrainingCourseTypeFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTrainingCourseTypeFormLookup
 */
function CalemTrainingCourseTypeFormLookup(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormLookup.call(this, parent, formId, data);
}

CalemTrainingCourseTypeFormLookup.prototype = new CalemFormLookup;
CalemTrainingCourseTypeFormLookup.prototype.constructor = CalemTrainingCourseTypeFormLookup;

CalemTrainingCourseTypeFormLookup.prototype.toString = function() { return "CalemTrainingCourseTypeFormLookup";}

/**
 * Business APIs
 */
CalemTrainingCourseTypeFormLookup.prototype._getFormNewId =
function() {
   return 'CalemTrainingCourseTypeFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemTrainingCourseTypeFormLookup.prototype._getFormReadId =
function(evt) {
	return 'CalemTrainingCourseTypeFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTrainingCourseFormList
 */
function CalemTrainingCourseFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
}

CalemTrainingCourseFormList.prototype = new CalemFormList;
CalemTrainingCourseFormList.prototype.constructor = CalemTrainingCourseFormList;

CalemTrainingCourseFormList.prototype.toString = function() { return "CalemTrainingCourseFormList";}

/**
 * Business APIs
 */
CalemTrainingCourseFormList.prototype._getFormNewId =
function() {
    return 'CalemTrainingCourseFormNew';
} 
 
CalemTrainingCourseFormList.prototype._getFormReadId =
function() {
    return 'CalemTrainingCourseFormRead';
}  

/**
 * Deletion must be handled specially
 */
CalemTrainingCourseFormList.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemTrainingCourseBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTrainingCourseFormRead
 */
function CalemTrainingCourseFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormRead.call(this, parent, formId, data);
}

CalemTrainingCourseFormRead.prototype = new CalemFormRead;
CalemTrainingCourseFormRead.prototype.constructor = CalemTrainingCourseFormRead;

CalemTrainingCourseFormRead.prototype.toString = function() { return "CalemTrainingCourseFormRead";}

/**
 * Business APIs
 */
CalemTrainingCourseFormRead.prototype._getFormNewId =
function() {
	return 'CalemTrainingCourseFormNew';
} 

CalemTrainingCourseFormRead.prototype._getFormEditId =
function() {
	return 'CalemTrainingCourseFormEdit';
}

/**
 * Deletion must be handled specially
 */
CalemTrainingCourseFormRead.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemTrainingCourseBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTrainingCourseFormNew
 */
function CalemTrainingCourseFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemTrainingCourseFormNew.prototype = new CalemFormNew;
CalemTrainingCourseFormNew.prototype.constructor = CalemTrainingCourseFormNew;

CalemTrainingCourseFormNew.prototype.toString = function() { return "CalemTrainingCourseFormNew";}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTrainingCourseFormEdit
 */
function CalemTrainingCourseFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemTrainingCourseFormEdit.prototype = new CalemFormEdit;
CalemTrainingCourseFormEdit.prototype.constructor = CalemTrainingCourseFormEdit;

CalemTrainingCourseFormEdit.prototype.toString = function() { return "CalemTrainingCourseFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemTrainingCourseFormLookup
 */
function CalemTrainingCourseFormLookup(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormLookup.call(this, parent, formId, data);
}

CalemTrainingCourseFormLookup.prototype = new CalemFormLookup;
CalemTrainingCourseFormLookup.prototype.constructor = CalemTrainingCourseFormLookup;

CalemTrainingCourseFormLookup.prototype.toString = function() { return "CalemTrainingCourseFormLookup";}

/**
 * Business APIs
 */
CalemTrainingCourseFormLookup.prototype._getFormNewId =
function() {
   return 'CalemTrainingCourseFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemTrainingCourseFormLookup.prototype._getFormReadId =
function(evt) {
	return 'CalemTrainingCourseFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * forms
 */
CalemItemDef['CalemTrainingFormList']={
	CalemFormInfo: {
		id: 'CalemTrainingFormList',
		title: 'training_list',
		icon: 'CalemTraining',
		controller: 'CalemTrainingFormList',
		model: 'training', 
		view: {CalemViewRefInfo: {id: 'CalemTrainingViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemTrainingFormSearch'
	}
}

CalemItemDef['CalemTrainingFormLookup']={
	CalemFormInfo: {
		id: 'CalemTrainingFormLookup',
		title: 'training',
		icon: 'CalemTraining',
		controller: 'CalemTrainingFormLookup',
		model: 'training', 
		view: {CalemViewRefInfo: {id: 'CalemTrainingViewLookup'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemTrainingFormSearch'
	}
}

CalemItemDef['CalemTrainingFormNew']={
	CalemFormInfo: {
		id: 'CalemTrainingFormNew',
		title: 'training',
		icon: 'CalemTraining',
		controller: 'CalemTrainingFormNew',
		model: 'training', 
		view: {CalemViewRefInfo: {id: 'CalemTrainingViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemTrainingFormEdit']={
	CalemFormInfo: {
		id: 'CalemTrainingFormEdit',
		title: 'training',
		icon: 'CalemTraining',
		controller: 'CalemTrainingFormEdit',
		model: 'training', 
   	view: {CalemViewRefInfo: {id: 'CalemTrainingViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemTrainingFormRead']={
	CalemFormInfo: {
		id: 'CalemTrainingFormRead',
		title: 'training',
		icon: 'CalemTraining',
		controller: 'CalemTrainingFormRead',
		model: 'training', 
		view: {CalemViewRefInfo: {id: 'CalemTrainingViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemTrainingFormSearch']={
	CalemFormInfo: {
		id: 'CalemTrainingFormSearch',
		title: 'training',
		icon: 'CalemTraining',
		controller: 'CalemFormSearchEdit',
		model: 'training', 
		view: {CalemViewRefInfo: {id: 'CalemTrainingViewSearch'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemTrainingFormMdTab']={
	CalemFormMdTabInfo: {
		id: 'CalemTrainingFormMdTab',
		title: 'training',
		icon: 'CalemTraining',
		replaceType: CalemItemDef.REPLACE_BY_ID,
		//Three portions of info: layout, model and itemMap.
		layout: {
			CalemMdTabLayoutInfo: {
				tabList: ['tab_main', 'tab_user', 'CUSTOMIZE_TAB'],
				tabMap: {
					'tab_main': {CalemTabLayoutInfo: ['CalemTrainingFormRead']},
					
					'tab_user' : {CalemTabLayoutInfo: ['CalemTrainingUserFormList']}
				}
			} },
		model: {
				CalemFormModelInfo: {
					master: 'CalemTrainingFormRead',
			      items: 
			             [{CalemFormLinkInfo: {id: 'CalemTrainingUserFormList', link: {CalemFieldMdInfo: {fld: 'training_id', parentFld: 'id'}}} }
			             ]
				}
		}, 
		itemMap : { //Default layout conf.
		  CalemItemMap :{
			 'CalemTrainingFormRead' : {
			 	CalemFormLayoutInfo: {
			 		id: 'CalemTrainingFormRead',
			 		fixed: true, //Move not allowed.
			 		layout: {CalemBlockLayoutInfo: {width: '100%', height: '-2'}}
			 	}
			 },
			 
			 'CalemTrainingUserFormList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemTrainingUserFormList',
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 12}}
			 	 }
			 },
			 
		  'tab_main': {
		  		CalemTabInfo: {id: 'tab_training_main', fixed: 1}
		  },
		  
		  'tab_user': {
		  		CalemTabInfo: {id: 'tab_training_user'}
		  },
		  
		  'CUSTOMIZE_TAB' : {
		  		CalemTabInfo: {id: 'CUSTOMIZE_TAB'}
		  }
		  
		  }
		  
		} //itemMap
	} //MdTabInfo
}

/**
 * Downtime
 */
CalemItemDef['CalemTrainingUserFormList']={
	CalemFormInfo: {
		id: 'CalemTrainingUserFormList',
		title: 'training_user',
		icon: 'CalemTraining',
		controller: 'CalemTrainingUserFormList',
		model: 'training_user', 
		view: {CalemViewRefInfo: {id: 'CalemTrainingUserViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemTrainingUserFormNew']={
	CalemFormInfo: {
		id: 'CalemTrainingUserFormNew',
		title: 'training_user',
		icon: 'CalemTraining',
		controller: 'CalemTrainingUserFormNew',
		model: 'training_user', 
		view: {CalemViewRefInfo: {id: 'CalemTrainingUserViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemTrainingUserFormEdit']={
	CalemFormInfo: {
		id: 'CalemTrainingUserFormEdit',
		title: 'training_user',
		icon: 'CalemTraining',
		controller: 'CalemTrainingUserFormEdit',
		model: 'training_user', 
   	view: {CalemViewRefInfo: {id: 'CalemTrainingUserViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemTrainingUserFormRead']={
	CalemFormInfo: {
		id: 'CalemTrainingUserFormRead',
		title: 'training_user',
		icon: 'CalemTraining',
		controller: 'CalemTrainingUserFormRead',
		model: 'training_user', 
		view: {CalemViewRefInfo: {id: 'CalemTrainingUserViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * Certificate
 */
CalemItemDef['CalemTrainingCertificateFormList']={
	CalemFormInfo: {
		id: 'CalemTrainingCertificateFormList',
		title: 'training_certificate',
		icon: 'CalemTraining',
		controller: 'CalemTrainingCertificateFormList',
		model: 'training_certificate', 
		view: {CalemViewRefInfo: {id: 'CalemTrainingCertificateViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemTrainingCertificateFormSearch'
	}
}

CalemItemDef['CalemTrainingCertificateFormLookup']={
	CalemFormInfo: {
		id: 'CalemTrainingCertificateFormLookup',
		title: 'training_certificate',
		icon: 'CalemTraining',
		controller: 'CalemTrainingCertificateFormLookup',
		model: 'training_certificate', 
		view: {CalemViewRefInfo: {id: 'CalemTrainingCertificateViewLookup'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemTrainingCertificateFormSearch'
	}
}

CalemItemDef['CalemTrainingCertificateFormNew']={
	CalemFormInfo: {
		id: 'CalemTrainingCertificateFormNew',
		title: 'training_certificate',
		icon: 'CalemTraining',
		controller: 'CalemTrainingCertificateFormNew',
		model: 'training_certificate', 
		view: {CalemViewRefInfo: {id: 'CalemTrainingCertificateViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemTrainingCertificateFormEdit']={
	CalemFormInfo: {
		id: 'CalemTrainingCertificateFormEdit',
		title: 'training_certificate',
		icon: 'CalemTraining',
		controller: 'CalemTrainingCertificateFormEdit',
		model: 'training_certificate', 
   	view: {CalemViewRefInfo: {id: 'CalemTrainingCertificateViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemTrainingCertificateFormRead']={
	CalemFormInfo: {
		id: 'CalemTrainingCertificateFormRead',
		title: 'training_certificate',
		icon: 'CalemTraining',
		controller: 'CalemTrainingCertificateFormRead',
		model: 'training_certificate', 
		view: {CalemViewRefInfo: {id: 'CalemTrainingCertificateViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemTrainingCertificateFormSearch']={
	CalemFormInfo: {
		id: 'CalemTrainingCertificateFormSearch',
		title: 'training_certificate',
		icon: 'CalemTraining',
		controller: 'CalemFormSearchEdit',
		model: 'training_certificate', 
		view: {CalemViewRefInfo: {id: 'CalemTrainingCertificateViewSearch'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * course type
 */
CalemItemDef['CalemTrainingCourseTypeFormList']={
	CalemFormInfo: {
		id: 'CalemTrainingCourseTypeFormList',
		title: 'training_course_type',
		icon: 'CalemTraining',
		controller: 'CalemTrainingCourseTypeFormList',
		model: 'training_course_type', 
		view: {CalemViewRefInfo: {id: 'CalemTrainingCourseTypeViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemTrainingCourseTypeFormSearch'
	}
}

CalemItemDef['CalemTrainingCourseTypeFormLookup']={
	CalemFormInfo: {
		id: 'CalemTrainingCourseTypeFormLookup',
		title: 'training_course_type',
		icon: 'CalemTraining',
		controller: 'CalemTrainingCourseTypeFormLookup',
		model: 'training_course_type', 
		view: {CalemViewRefInfo: {id: 'CalemTrainingCourseTypeViewLookup'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemTrainingCourseTypeFormSearch'
	}
}

CalemItemDef['CalemTrainingCourseTypeFormNew']={
	CalemFormInfo: {
		id: 'CalemTrainingCourseTypeFormNew',
		title: 'training_course_type',
		icon: 'CalemTraining',
		controller: 'CalemTrainingCourseTypeFormNew',
		model: 'training_course_type', 
		view: {CalemViewRefInfo: {id: 'CalemTrainingCourseTypeViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemTrainingCourseTypeFormEdit']={
	CalemFormInfo: {
		id: 'CalemTrainingCourseTypeFormEdit',
		title: 'training_course_type',
		icon: 'CalemTraining',
		controller: 'CalemTrainingCourseTypeFormEdit',
		model: 'training_course_type', 
   	view: {CalemViewRefInfo: {id: 'CalemTrainingCourseTypeViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemTrainingCourseTypeFormRead']={
	CalemFormInfo: {
		id: 'CalemTrainingCourseTypeFormRead',
		title: 'training_course_type',
		icon: 'CalemTraining',
		controller: 'CalemTrainingCourseTypeFormRead',
		model: 'training_course_type', 
		view: {CalemViewRefInfo: {id: 'CalemTrainingCourseTypeViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemTrainingCourseTypeFormSearch']={
	CalemFormInfo: {
		id: 'CalemTrainingCourseTypeFormSearch',
		title: 'training_course_type',
		icon: 'CalemTraining',
		controller: 'CalemFormSearchEdit',
		model: 'training_course_type', 
		view: {CalemViewRefInfo: {id: 'CalemTrainingCourseTypeViewSearch'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * course
 */
CalemItemDef['CalemTrainingCourseFormList']={
	CalemFormInfo: {
		id: 'CalemTrainingCourseFormList',
		title: 'training_course',
		icon: 'CalemTraining',
		controller: 'CalemTrainingCourseFormList',
		model: 'training_course', 
		view: {CalemViewRefInfo: {id: 'CalemTrainingCourseViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemTrainingCourseFormSearch'
	}
}

CalemItemDef['CalemTrainingCourseFormLookup']={
	CalemFormInfo: {
		id: 'CalemTrainingCourseFormLookup',
		title: 'training_course',
		icon: 'CalemTraining',
		controller: 'CalemTrainingCourseFormLookup',
		model: 'training_course', 
		view: {CalemViewRefInfo: {id: 'CalemTrainingCourseViewLookup'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemTrainingCourseFormSearch'
	}
}

CalemItemDef['CalemTrainingCourseFormNew']={
	CalemFormInfo: {
		id: 'CalemTrainingCourseFormNew',
		title: 'training_course',
		icon: 'CalemTraining',
		controller: 'CalemTrainingCourseFormNew',
		model: 'training_course', 
		view: {CalemViewRefInfo: {id: 'CalemTrainingCourseViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemTrainingCourseFormEdit']={
	CalemFormInfo: {
		id: 'CalemTrainingCourseFormEdit',
		title: 'training_course',
		icon: 'CalemTraining',
		controller: 'CalemTrainingCourseFormEdit',
		model: 'training_course', 
   	view: {CalemViewRefInfo: {id: 'CalemTrainingCourseViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemTrainingCourseFormRead']={
	CalemFormInfo: {
		id: 'CalemTrainingCourseFormRead',
		title: 'training_course',
		icon: 'CalemTraining',
		controller: 'CalemTrainingCourseFormRead',
		model: 'training_course', 
		view: {CalemViewRefInfo: {id: 'CalemTrainingCourseViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemTrainingCourseFormSearch']={
	CalemFormInfo: {
		id: 'CalemTrainingCourseFormSearch',
		title: 'training_course',
		icon: 'CalemTraining',
		controller: 'CalemFormSearchEdit',
		model: 'training_course', 
		view: {CalemViewRefInfo: {id: 'CalemTrainingCourseViewSearch'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Admin module
 */
CalemModuleDef["modCalemTraining"]= {
	CalemModuleInfo: {
      id:"modCalemTraining",
      icon:"CalemTraining",
      defaultMenu: 'CalemTrainingFormList',
      toolBar: {
        CalemToolBarInfo: {
        	  type: 'CalemToolBar',
        	  layout: ['modCalemTraining', 'sep', 'CalemTrainingFormList', 'CalemTrainingCodes'],
        	  list: [
	         {CalemLabelInfo: {id: 'modCalemTraining', className: 'CalemModuleLabel'}},
	         
	         {CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
	         
	         {CalemMenuItemInfo: {id: 'CalemTrainingFormList'}},
	         
	         {CalemMenuInfo: {
	      		menuButton: {CalemMenuButtonInfo: {id: 'CalemTrainingCodes'}},
		      	menuList: [ {CalemMenuItemInfo: {id: 'CalemTrainingCourseTypeFormList'}},
		      	            {CalemMenuItemInfo: {id: 'CalemTrainingCourseFormList'}},
		      	            {CalemMenuItemInfo: {id: 'CalemTrainingCertificateFormList'}}
		      	      ]
	      		}
	      	}
	      ] }
	}
	}
};

//Build Calem.js from client
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemProjectBo - business logic
 */
function CalemProjectBo() {
}

CalemProjectBo._details = ['workorder', {table: 'project', fld: 'parent_id'}];

CalemProjectBo.getInstance =
function() {
	if (!CalemProjectBo.singleton) {
		CalemProjectBo.singleton = new CalemProjectBo();
	}
	return CalemProjectBo.singleton;
}

//Asset deletion check
CalemProjectBo.prototype.canDelete =
function(rec, callback) {
	var boUtil=CalemBoUtil.getInstance();
	boUtil.canDeleteByLookup(CalemProjectBo._details, 'project_id', rec.id, callback);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemProjectTypeBo - business logic
 */
function CalemProjectTypeBo() {
}

CalemProjectTypeBo._details = ['project'];

CalemProjectTypeBo.getInstance =
function() {
	if (!CalemProjectTypeBo.singleton) {
		CalemProjectTypeBo.singleton = new CalemProjectTypeBo();
	}
	return CalemProjectTypeBo.singleton;
}

//Asset deletion check
CalemProjectTypeBo.prototype.canDelete =
function(rec, callback) {
	var boUtil=CalemBoUtil.getInstance();
	boUtil.canDeleteByLookup(CalemProjectTypeBo._details, 'type_id', rec.id, callback);
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Admin module menu
 */

//Modules Form

// forms
CalemMenuDef['CalemProjectFormList'] = {
	id: 'CalemProjectFormList',
	title: 'project',
	icon: 'CalemProject',
	disIcon: null,
	tooltip: null, 
	enabled: true,		   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};

CalemMenuDef['CalemProjectTypeFormList'] = {
	id: 'CalemProjectTypeFormList',
	title: 'project_type',
	icon: 'CalemProject',
	disIcon: null,
	tooltip: null, 
	enabled: true,		   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}
};
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemProjectViewList']={
	CalemViewInfo: {
		id: 'CalemProjectViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'project', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep', 'CalemTbDataRefresh', 'sep2', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
                    {CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'project_no', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Lookup views
 */
CalemViewDef['CalemProjectViewLookup']={
	CalemViewInfo: {
		id: 'CalemProjectViewLookup',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'project', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbSelect', 'CalemTbCancel', 'CalemTbDataRefresh', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					{ CalemButtonInfo: {
						id: 'CalemTbPrint', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbSelect', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'project_no', width: 130}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemProjectViewNew']={
	CalemViewInfo: {
		id: 'CalemProjectViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},						             

					{CalemTrInfo: {cols: ['lb_codes']}},
					{CalemTrInfo: {cols: ['lb_cost']}}                                                                                                               				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'project', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_codes': {
				CalemLabelInfo: {id: 'sec_project_codes', className: 'CalemEditSection'}
			},
			'lb_cost': {
				CalemLabelInfo: {id: 'sec_project_cost', className: 'CalemEditSection'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemProjectViewRead']={
	CalemViewInfo: {
		id: 'CalemProjectViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},						             

					//Codes
					{CalemTrInfo: {cols: ['lb_codes']}},
					//Cost
					{CalemTrInfo: {cols: ['lb_cost']}},
					//Last changes
					{CalemTrInfo: {cols: ['lb_last_changes']}}                                                                                                               				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'project', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_codes': {
				CalemLabelInfo: {id: 'sec_project_codes', className: 'CalemEditSection'}
			},
			'lb_cost': {
				CalemLabelInfo: {id: 'sec_project_cost', className: 'CalemEditSection'}
			},
			'lb_last_changes': {
				CalemLabelInfo: {id: 'last_changes', className: 'CalemEditSection'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemProjectViewEdit']={
	CalemViewInfo: {
		id: 'CalemProjectViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},						             

					//Codes
					{CalemTrInfo: {cols: ['lb_codes']}},
					//Cost
					{CalemTrInfo: {cols: ['lb_cost']}}                                                                                                           				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'project', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_codes': {
				CalemLabelInfo: {id: 'sec_project_codes', className: 'CalemEditSection'}
			},
			'lb_cost': {
				CalemLabelInfo: {id: 'sec_project_cost', className: 'CalemEditSection'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemProjectViewSearch']={
	CalemViewInfo: {
		id: 'CalemProjectViewSearch',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},		
               {CalemTrInfo: {cols: ['lb_save_search', '_save_search']}},				             

					//Codes
					{CalemTrInfo: {cols: ['lb_codes']}},
               //Cost
					{CalemTrInfo: {cols: ['lb_cost']}},
					//Last changes
					{CalemTrInfo: {cols: ['lb_last_changes']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbApplySave', 'sep2', 'CalemTbApply', 'CalemTbSave',  'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	
					   { CalemButtonInfo: {
							 id: 'CalemTbApplySave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
						
						{ CalemButtonInfo: {
							id: 'CalemTbApply', 
							customInfo: {
							  	   CalemMenuCustomInfo: {
							         enabled: false,
							         events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
							  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
					
					
					   
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},   			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'project', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_codes': {
				CalemLabelInfo: {id: 'sec_project_codes', className: 'CalemEditSection'}
			},
			'lb_cost': {
				CalemLabelInfo: {id: 'sec_project_cost', className: 'CalemEditSection'}
			},
			'lb_last_changes': {
				CalemLabelInfo: {id: 'last_changes', className: 'CalemEditSection'}
			},
			
			'lb_save_search': {
				CalemLabelInfo: {id: 'save_search', className: 'CalemEditSection'}
			},
			'_save_search': {
				CalemSearchSaveInfo: {size: 30}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemSubProjectViewList']={
	CalemViewInfo: {
		id: 'CalemSubProjectViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'project', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'sep','CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'project_no', width: 200}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemSubProjectViewNew']={
	CalemViewInfo: {
		id: 'CalemSubProjectViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},
               
               {CalemTrInfo: {cols: ['lb_codes']}},
					{CalemTrInfo: {cols: ['lb_cost']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'project', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_codes': {
				CalemLabelInfo: {id: 'sec_project_codes', className: 'CalemEditSection'}
			},
			'lb_cost': {
				CalemLabelInfo: {id: 'sec_project_cost', className: 'CalemEditSection'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemSubProjectViewEdit']={
	CalemViewInfo: {
		id: 'CalemSubProjectViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},
               //Codes
					{CalemTrInfo: {cols: ['lb_codes']}},
					//Cost
					{CalemTrInfo: {cols: ['lb_cost']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},  			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'project', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_codes': {
				CalemLabelInfo: {id: 'sec_project_codes', className: 'CalemEditSection'}
			},
			'lb_cost': {
				CalemLabelInfo: {id: 'sec_project_cost', className: 'CalemEditSection'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemSubProjectViewRead']={
	CalemViewInfo: {
		id: 'CalemSubProjectViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},						             
					//Codes
					{CalemTrInfo: {cols: ['lb_codes']}},
					//Cost
					{CalemTrInfo: {cols: ['lb_cost']}},
					//Last changes
					{CalemTrInfo: {cols: ['lb_last_changes']}}                                                                                                              				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'project', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_codes': {
				CalemLabelInfo: {id: 'sec_project_codes', className: 'CalemEditSection'}
			},
			'lb_cost': {
				CalemLabelInfo: {id: 'sec_project_cost', className: 'CalemEditSection'}
			},
			'lb_last_changes': {
				CalemLabelInfo: {id: 'last_changes', className: 'CalemEditSection'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemProjectWoViewList']={
	CalemViewInfo: {
		id: 'CalemProjectWoViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'workorder', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbOpen', 'CalemTbDataRefresh', 'sep','CalemTbCustomize'],
					list: [
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'wo_no', width: 300}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * List views
 */
CalemViewDef['CalemProjectTypeViewList']={
	CalemViewInfo: {
		id: 'CalemProjectTypeViewList',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'project_type', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbNew', 'CalemTbOpen', 'CalemTbDelete', 'CalemTbDataRefresh', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep2', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {
						id: 'CalemTbDelete', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'type', width: 150}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Lookup views
 */
CalemViewDef['CalemProjectTypeViewLookup']={
	CalemViewInfo: {
		id: 'CalemProjectTypeViewLookup',
		type: 'CalemView',
		layout: {
			CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {width: '100%'}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
			      {CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {height: -2,   cols: ['toolbar']}},
					{CalemTrInfo: {height: -1,   cols: ['grid']}}
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			'lb_caption': {
				CalemLabelInfo: {id: 'project_type', className: 'CalemEditCaption'}
			},
			toolbar: {
				CalemToolBarInfo: {
					layout: ['CalemTbSelect', 'CalemTbCancel', 'CalemTbDataRefresh', 'sep', 'CalemTbSearch', 'CalemTbSearchClear', 'sep3', 'CalemTbCustomize'],
					list: [
				   //New
					{ CalemButtonInfo: {id: 'CalemTbNew'}},
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},
						  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbOpen', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
				
					{ CalemButtonInfo: { id: 'CalemTbSearch' }},
					
					{ CalemButtonInfo: {
						id: 'CalemTbSearchClear', 
						customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_APPLIED, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_REMOVED, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }  
					},
					
					{CalemSeparator: {id: 'sep3', className: 'CalemToolBarSeparator'}},
					
					{CalemButtonInfo: { id: 'CalemTbCustomize'}},
					
					{ CalemButtonInfo: {
						 id: 'CalemTbSelect', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.SINGLE_SELECTION, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.MULTI_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.NO_SELECTION, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DBL_CLICK_SELECTION, func: '_clickIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}}
				]
			} },
			grid: {
			  CalemDataGridInfo: {
				listInfo: {
			  	   CalemListInfo: {
			  			noMaximize: true,
			  			colList: [
			  			   {CalemCol: {id: 'type', width: 150}},
			  			   {CalemCol: {id: 'note', width: 200}}
			  			]	 
			  		} 		
		      }
			}
		} 
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Budget views
 */
CalemViewDef['CalemProjectTypeViewNew']={
	CalemViewInfo: {
		id: 'CalemProjectTypeViewNew',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                             				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					{ CalemButtonInfo: {
						 id: 'CalemTbSave', 
						 customInfo: {
						  	   CalemMenuCustomInfo: {
						  	   	enabled: false,
						  	   	events: [
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.DATA_INVALID, func: '_disableIt'}}
						  	   	]
						  	   }
						  }
					  }
					},
					      			
					{ CalemButtonInfo: {id: 'CalemTbCancel'}},
					
					//Add a separator
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}					
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'project_type', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * WO views
 */
CalemViewDef['CalemProjectTypeViewRead']={
	CalemViewInfo: {
		id: 'CalemProjectTypeViewRead',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                               				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbNew', 'CalemTbEdit', 'CalemTbDelete', 'CalemTbPrev', 'CalemTbNext', 'sep', 'CalemTbCancel', 'sep2', 'CalemTbCustomize'],
					list: [
					
					{ CalemButtonInfo: { id: 'CalemTbNew' } },
					
					{ CalemButtonInfo: {
						  id: 'CalemTbEdit',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},						  	   	
					{ CalemButtonInfo: {
						  id: 'CalemTbDelete',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 enabled: false,
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_VALID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbPrev',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_disableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					{ CalemButtonInfo: {
						  id: 'CalemTbNext',
						  customInfo: {
						  	  CalemMenuCustomInfo: {
						  	  	 events: [
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST, func: '_enableIt'}},
						  	  	 		{CalemEventInfo: {id: CalemEvent.RECORD_POS_MID, func: '_enableIt'}},
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_LAST, func: '_disableIt'}},	
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_FIRST_LAST, func: '_disableIt'}},		  	   		
						  	   		{CalemEventInfo: {id: CalemEvent.RECORD_POS_INVALID, func: '_disableIt'}}
						  	   	]
						  	  }
						  }  
					  }		
					},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: {
						  id: 'CalemTbCancel'
					  }		
					},
					
					{ CalemButtonInfo: {id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'project_type', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

CalemViewDef['CalemProjectTypeViewEdit']={
	CalemViewInfo: {
		id: 'CalemProjectTypeViewEdit',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}}                                                                                                         				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbSave', 'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	  					 
					  { CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_CHANGED, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.EDIT_NO_CHANGE, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
								
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}				
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'project_type', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Wo views
 */
CalemViewDef['CalemProjectTypeViewSearch']={
	CalemViewInfo: {
		id: 'CalemProjectTypeViewSearch',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 4}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {cols: ['err']}},		
               {CalemTrInfo: {cols: ['lb_save_search', '_save_search']}}                                                                                                   				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbApplySave', 'sep2', 'CalemTbApply', 'CalemTbSave',  'CalemTbCancel', 'sep', 'CalemTbCustomize'],
					list: [	
					   { CalemButtonInfo: {
							 id: 'CalemTbApplySave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
						
						{ CalemButtonInfo: {
							id: 'CalemTbApply', 
							customInfo: {
							  	   CalemMenuCustomInfo: {
							         enabled: false,
							         events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
							  					 
						{ CalemButtonInfo: {
							 id: 'CalemTbSave', 
							 customInfo: {
							  	   CalemMenuCustomInfo: {
							  	   	enabled: false,
							  	   	events: [
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_VALID_ALL, func: '_enableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NOT_VALID, func: '_disableIt'}},
							  	   		{CalemEventInfo: {id: CalemEvent.SEARCH_NAME_NOT_VALID, func: '_disableIt'}}
							  	   	]
							  	   }
							  }
						  }
						},
					
					
					   
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},   			
					
					{ CalemButtonInfo: { id: 'CalemTbCancel'}},
					
					{CalemSeparator: {id: 'sep2', className: 'CalemToolBarSeparator'}},
					
					{ CalemButtonInfo: { id: 'CalemTbCustomize'}}
				]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'project_type', className: 'CalemEditCaption'}
			},
			'err': {
				CalemFormErrorInfo: {id: 'form_error'}
			},
			'lb_save_search': {
				CalemLabelInfo: {id: 'save_search', className: 'CalemEditSection'}
			},
			'_save_search': {
				CalemSearchSaveInfo: {size: 30}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemProjectFormList
 */
function CalemProjectFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
}

CalemProjectFormList.prototype = new CalemFormList;
CalemProjectFormList.prototype.constructor = CalemProjectFormList;

CalemProjectFormList.prototype.toString = function() { return "CalemProjectFormList";}

/**
 * Business APIs
 */
CalemProjectFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemProjectFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemProjectFormList.prototype._onOpen =
function(evt) {
	//Get the selection event
    var item=CalemEvent.getItem(evt);
	//Prepare data for master detail view.
	var data = {modelItem: this._modelItem, item: item};
	//pass-through current data model and selection
	this._openForm('CalemProjectFormMdTab', data);
} 

/**
 * Deletion must be handled specially
 */
CalemProjectFormList.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemProjectBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemProjectFormMdTab
 */
function CalemProjectFormMdTab(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormMdTab.call(this, parent, formId, data);
}

CalemProjectFormMdTab.prototype = new CalemFormMdTab;
CalemProjectFormMdTab.prototype.constructor = CalemProjectFormMdTab;

CalemProjectFormMdTab.prototype.toString = function() { return "CalemProjectFormMdTab";}

/**
 * Business APIs
 */

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemProjectFormRead
 */
function CalemProjectFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormRead.call(this, parent, formId, data);
}

CalemProjectFormRead.prototype = new CalemFormRead;
CalemProjectFormRead.prototype.constructor = CalemProjectFormRead;

CalemProjectFormRead.prototype.toString = function() { return "CalemProjectFormRead";}

/**
 * Business APIs
 */
CalemProjectFormRead.prototype._getFormNewId =
function() {
	return 'CalemProjectFormNew';
} 

CalemProjectFormRead.prototype._getFormEditId =
function() {
	return 'CalemProjectFormEdit';
}

/**
 * Deletion must be handled specially
 */
CalemProjectFormRead.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemProjectBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemProjectFormNew
 */
function CalemProjectFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemProjectFormNew.prototype = new CalemFormNew;
CalemProjectFormNew.prototype.constructor = CalemProjectFormNew;

CalemProjectFormNew.prototype.toString = function() { return "CalemProjectFormNew";}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemProjectFormEdit
 */
function CalemProjectFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemProjectFormEdit.prototype = new CalemFormEdit;
CalemProjectFormEdit.prototype.constructor = CalemProjectFormEdit;

CalemProjectFormEdit.prototype.toString = function() { return "CalemProjectFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemProjectFormLookup
 */
function CalemProjectFormLookup(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormLookup.call(this, parent, formId, data);
}

CalemProjectFormLookup.prototype = new CalemFormLookup;
CalemProjectFormLookup.prototype.constructor = CalemProjectFormLookup;

CalemProjectFormLookup.prototype.toString = function() { return "CalemProjectFormLookup";}

/**
 * Business APIs
 */
CalemProjectFormLookup.prototype._getFormNewId =
function() {
   return 'CalemProjectFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemProjectFormLookup.prototype._getFormReadId =
function(evt) {
	return 'CalemProjectFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemSubProjectFormList
 */
function CalemSubProjectFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
}

CalemSubProjectFormList.prototype = new CalemFormListDet;
CalemSubProjectFormList.prototype.constructor = CalemSubProjectFormList;

CalemSubProjectFormList.prototype.toString = function() { return "CalemSubProjectFormList";}

/**
 * Business APIs
 */
CalemSubProjectFormList.prototype._getFormNewId =
function(evt) {
    return 'CalemSubProjectFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemSubProjectFormList.prototype._getFormReadId =
function(evt) {
	return 'CalemSubProjectFormRead';
} 

CalemSubProjectFormList.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemProjectBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemSubProjectFormNew
 */
function CalemSubProjectFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemSubProjectFormNew.prototype = new CalemFormNew;
CalemSubProjectFormNew.prototype.constructor = CalemSubProjectFormNew;

CalemSubProjectFormNew.prototype.toString = function() { return "CalemSubProjectFormNew";}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemSubProjectFormEdit
 */
function CalemSubProjectFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemSubProjectFormEdit.prototype = new CalemFormEdit;
CalemSubProjectFormEdit.prototype.constructor = CalemSubProjectFormEdit;

CalemSubProjectFormEdit.prototype.toString = function() { return "CalemSubProjectFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemSubProjectFormRead
 */
function CalemSubProjectFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormReadDet.call(this, parent, formId, data);
}

CalemSubProjectFormRead.prototype = new CalemFormReadDet;
CalemSubProjectFormRead.prototype.constructor = CalemSubProjectFormRead;

CalemSubProjectFormRead.prototype.toString = function() { return "CalemSubProjectFormRead";}

/**
 * Business APIs
 */
CalemSubProjectFormRead.prototype._getFormNewId =
function() {
	return 'CalemSubProjectFormNew';
} 

CalemSubProjectFormRead.prototype._getFormEditId =
function() {
	return 'CalemSubProjectFormEdit';
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemProjectWoFormList
 */
function CalemProjectWoFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormListDet.call(this, parent, formId, data);
}

CalemProjectWoFormList.prototype = new CalemFormListDet;
CalemProjectWoFormList.prototype.constructor = CalemProjectWoFormList;

CalemProjectWoFormList.prototype.toString = function() { return "CalemProjectWoFormList";}

/**
 * Business APIs
 */
CalemProjectWoFormList.prototype._onOpen =
function(evt) {
	//Get the selection event
    var item=CalemEvent.getItem(evt);
	//Prepare data for master detail view.
	var data = {modelItem: this._modelItem, item: item};
	//pass-through current data model and selection
	this._openForm('CalemWoFormMdTab', data);
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemProjectTypeFormList
 */
function CalemProjectTypeFormList(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormList.call(this, parent, formId, data);
}

CalemProjectTypeFormList.prototype = new CalemFormList;
CalemProjectTypeFormList.prototype.constructor = CalemProjectTypeFormList;

CalemProjectTypeFormList.prototype.toString = function() { return "CalemProjectTypeFormList";}

/**
 * Business APIs
 */
CalemProjectTypeFormList.prototype._getFormNewId =
function() {
    return 'CalemProjectTypeFormNew';
} 
 
CalemProjectTypeFormList.prototype._getFormReadId =
function() {
    return 'CalemProjectTypeFormRead';
}  

/**
 * Deletion must be handled specially
 */
CalemProjectTypeFormList.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemProjectTypeBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}


/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemProjectTypeFormRead
 */
function CalemProjectTypeFormRead(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormRead.call(this, parent, formId, data);
}

CalemProjectTypeFormRead.prototype = new CalemFormRead;
CalemProjectTypeFormRead.prototype.constructor = CalemProjectTypeFormRead;

CalemProjectTypeFormRead.prototype.toString = function() { return "CalemProjectTypeFormRead";}

/**
 * Business APIs
 */
CalemProjectTypeFormRead.prototype._getFormNewId =
function() {
	return 'CalemProjectTypeFormNew';
} 

CalemProjectTypeFormRead.prototype._getFormEditId =
function() {
	return 'CalemProjectTypeFormEdit';
}

/**
 * Deletion must be handled specially
 */
CalemProjectTypeFormRead.prototype.onDelete =
function(evt) {
	//If there're detailed records do not allow a deletion.
	var rec=CalemEvent.getItem(evt);
	CalemProjectTypeBo.getInstance().canDelete(rec, new AjxCallback(this, this.onDeleteBoCallback, {evt: evt}));
}

 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemProjectTypeFormNew
 */
function CalemProjectTypeFormNew(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormNew.call(this, parent, formId, data);
}

CalemProjectTypeFormNew.prototype = new CalemFormNew;
CalemProjectTypeFormNew.prototype.constructor = CalemProjectTypeFormNew;

CalemProjectTypeFormNew.prototype.toString = function() { return "CalemProjectTypeFormNew";}
 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemProjectTypeFormEdit
 */
function CalemProjectTypeFormEdit(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormEdit.call(this, parent, formId, data);
}

CalemProjectTypeFormEdit.prototype = new CalemFormEdit;
CalemProjectTypeFormEdit.prototype.constructor = CalemProjectTypeFormEdit;

CalemProjectTypeFormEdit.prototype.toString = function() { return "CalemProjectTypeFormEdit";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * CalemProjectTypeFormLookup
 */
function CalemProjectTypeFormLookup(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormLookup.call(this, parent, formId, data);
}

CalemProjectTypeFormLookup.prototype = new CalemFormLookup;
CalemProjectTypeFormLookup.prototype.constructor = CalemProjectTypeFormLookup;

CalemProjectTypeFormLookup.prototype.toString = function() { return "CalemProjectTypeFormLookup";}

/**
 * Business APIs
 */
CalemProjectTypeFormLookup.prototype._getFormNewId =
function() {
   return 'CalemProjectTypeFormNew';
} 

/**
 * Open a master detailed view with recordlist and current record position.
 */
CalemProjectTypeFormLookup.prototype._getFormReadId =
function(evt) {
	return 'CalemProjectTypeFormRead';
} 
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * forms
 */
CalemItemDef['CalemProjectFormList']={
	CalemFormInfo: {
		id: 'CalemProjectFormList',
		title: 'project_list',
		icon: 'CalemProject',
		controller: 'CalemProjectFormList',
		model: 'project', 
		view: {CalemViewRefInfo: {id: 'CalemProjectViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemProjectFormSearch'
	}
}

CalemItemDef['CalemProjectFormLookup']={
	CalemFormInfo: {
		id: 'CalemProjectFormLookup',
		title: 'project',
		icon: 'CalemProject',
		controller: 'CalemProjectFormLookup',
		model: 'project', 
		view: {CalemViewRefInfo: {id: 'CalemProjectViewLookup'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemProjectFormSearch'
	}
}

CalemItemDef['CalemProjectFormNew']={
	CalemFormInfo: {
		id: 'CalemProjectFormNew',
		title: 'project',
		icon: 'CalemProject',
		controller: 'CalemProjectFormNew',
		model: 'project', 
		view: {CalemViewRefInfo: {id: 'CalemProjectViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemProjectFormEdit']={
	CalemFormInfo: {
		id: 'CalemProjectFormEdit',
		title: 'project',
		icon: 'CalemProject',
		controller: 'CalemProjectFormEdit',
		model: 'project', 
   	view: {CalemViewRefInfo: {id: 'CalemProjectViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemProjectFormRead']={
	CalemFormInfo: {
		id: 'CalemProjectFormRead',
		title: 'project',
		icon: 'CalemProject',
		controller: 'CalemProjectFormRead',
		model: 'project', 
		view: {CalemViewRefInfo: {id: 'CalemProjectViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemProjectFormSearch']={
	CalemFormInfo: {
		id: 'CalemProjectFormSearch',
		title: 'project',
		icon: 'CalemProject',
		controller: 'CalemFormSearchEdit',
		model: 'project', 
		view: {CalemViewRefInfo: {id: 'CalemProjectViewSearch'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemProjectFormMdTab']={
	CalemFormMdTabInfo: {
		id: 'CalemProjectFormMdTab',
		title: 'project',
		icon: 'CalemProject',
		replaceType: CalemItemDef.REPLACE_BY_ID,
		//Three portions of info: layout, model and itemMap.
		layout: {
			CalemMdTabLayoutInfo: {
				tabList: ['tab_main', 'tab_detail', 'CUSTOMIZE_TAB'],
				tabMap: {
					'tab_main': {CalemTabLayoutInfo: ['CalemProjectFormRead']},
					'tab_detail' : {CalemTabLayoutInfo: ['CalemSubProjectFormList', 'CalemProjectWoFormList']}
				}
			} },
		model: {
				CalemFormModelInfo: {
					master: 'CalemProjectFormRead',
			      items: 
			             [{CalemFormLinkInfo: {id: 'CalemSubProjectFormList', link: {CalemFieldMdInfo: {fld: 'parent_id', parentFld: 'id'}}} },
			              {CalemFormLinkInfo: {id: 'CalemProjectWoFormList', link: {CalemFieldMdInfo: {fld: 'project_id', parentFld: 'id'}}} }
			             ]
				}
		}, 
		itemMap : { //Default layout conf.
		  CalemItemMap :{
			 'CalemProjectFormRead' : {
			 	CalemFormLayoutInfo: {
			 		id: 'CalemProjectFormRead',
			 		fixed: true, //Move not allowed.
			 		layout: {CalemBlockLayoutInfo: {width: '100%', height: '-2'}}
			 	}
			 },
			 
			 'CalemSubProjectFormList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemSubProjectFormList',
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 10}}
			 	 }
			 },
			 
			 'CalemProjectWoFormList' : {
			 	 CalemFormLayoutInfo: {
			 	 	id: 'CalemProjectWoFormList',
			 	 	layout: {CalemBlockLayoutInfo: {width: '100%', rows: 10}}
			 	 }
			 },
			 
		  'tab_main': {
		  		CalemTabInfo: {id: 'tab_project_main', fixed: 1}
		  },
		  
		  'tab_detail': {
		  		CalemTabInfo: {id: 'tab_project_detail'}
		  },
		  
		  'tab_wo': {
		  		CalemTabInfo: {id: 'tab_project_wo'}
		  },
		  
		  'tab_subproject': {
		  		CalemTabInfo: {id: 'tab_project_subproject'}
		  },
		  
		  'tab_depreciation': {
		  		CalemTabInfo: {id: 'tab_project_depreciation'}
		  },
		  
		  'CUSTOMIZE_TAB' : {
		  		CalemTabInfo: {id: 'CUSTOMIZE_TAB'}
		  }
		  
		  }
		  
		} //itemMap
	} //MdTabInfo
}

/**
 * Downtime
 */
CalemItemDef['CalemSubProjectFormList']={
	CalemFormInfo: {
		id: 'CalemSubProjectFormList',
		title: 'project',
		icon: 'CalemProject',
		controller: 'CalemSubProjectFormList',
		model: 'project', 
		view: {CalemViewRefInfo: {id: 'CalemSubProjectViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemSubProjectFormNew']={
	CalemFormInfo: {
		id: 'CalemSubProjectFormNew',
		title: 'project',
		icon: 'CalemProject',
		controller: 'CalemSubProjectFormNew',
		model: 'project', 
		view: {CalemViewRefInfo: {id: 'CalemSubProjectViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemSubProjectFormEdit']={
	CalemFormInfo: {
		id: 'CalemSubProjectFormEdit',
		title: 'project',
		icon: 'CalemProject',
		controller: 'CalemSubProjectFormEdit',
		model: 'project', 
   	view: {CalemViewRefInfo: {id: 'CalemSubProjectViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemSubProjectFormRead']={
	CalemFormInfo: {
		id: 'CalemSubProjectFormRead',
		title: 'project',
		icon: 'CalemProject',
		controller: 'CalemSubProjectFormRead',
		model: 'project', 
		view: {CalemViewRefInfo: {id: 'CalemSubProjectViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * wo
 */
CalemItemDef['CalemProjectWoFormList']={
	CalemFormInfo: {
		id: 'CalemProjectWoFormList',
		title: 'workorder',
		icon: 'CalemProject',
		controller: 'CalemProjectWoFormList',
		model: 'workorder', 
		view: {CalemViewRefInfo: {id: 'CalemProjectWoViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

/**
 * type
 */
CalemItemDef['CalemProjectTypeFormList']={
	CalemFormInfo: {
		id: 'CalemProjectTypeFormList',
		title: 'project_type',
		icon: 'CalemProject',
		controller: 'CalemProjectTypeFormList',
		model: 'project_type', 
		view: {CalemViewRefInfo: {id: 'CalemProjectTypeViewList'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemProjectTypeFormSearch'
	}
}

CalemItemDef['CalemProjectTypeFormLookup']={
	CalemFormInfo: {
		id: 'CalemProjectTypeFormLookup',
		title: 'project_type',
		icon: 'CalemProject',
		controller: 'CalemProjectTypeFormLookup',
		model: 'project_type', 
		view: {CalemViewRefInfo: {id: 'CalemProjectTypeViewLookup'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID,
		searchFormId: 'CalemProjectTypeFormSearch'
	}
}

CalemItemDef['CalemProjectTypeFormNew']={
	CalemFormInfo: {
		id: 'CalemProjectTypeFormNew',
		title: 'project_type',
		icon: 'CalemProject',
		controller: 'CalemProjectTypeFormNew',
		model: 'project_type', 
		view: {CalemViewRefInfo: {id: 'CalemProjectTypeViewNew'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemProjectTypeFormEdit']={
	CalemFormInfo: {
		id: 'CalemProjectTypeFormEdit',
		title: 'project_type',
		icon: 'CalemProject',
		controller: 'CalemProjectTypeFormEdit',
		model: 'project_type', 
   	view: {CalemViewRefInfo: {id: 'CalemProjectTypeViewEdit'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemProjectTypeFormRead']={
	CalemFormInfo: {
		id: 'CalemProjectTypeFormRead',
		title: 'project_type',
		icon: 'CalemProject',
		controller: 'CalemProjectTypeFormRead',
		model: 'project_type', 
		view: {CalemViewRefInfo: {id: 'CalemProjectTypeViewRead'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemProjectTypeFormSearch']={
	CalemFormInfo: {
		id: 'CalemProjectTypeFormSearch',
		title: 'project_type',
		icon: 'CalemProject',
		controller: 'CalemFormSearchEdit',
		model: 'project_type', 
		view: {CalemViewRefInfo: {id: 'CalemProjectTypeViewSearch'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/**
 * Admin module
 */
CalemModuleDef["modCalemProject"]= {
	CalemModuleInfo: {
      id:"modCalemProject",
      icon:"CalemProject",
      defaultMenu: 'CalemProjectFormList',
      toolBar: {
        CalemToolBarInfo: {
        	  type: 'CalemToolBar',
        	  layout: ['modCalemProject', 'sep', 'CalemProjectFormList', 'CalemProjectTypeFormList'],
        	  list: [
	         {CalemLabelInfo: {id: 'modCalemProject', className: 'CalemModuleLabel'}},
	         
	         {CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
	         
	         {CalemMenuItemInfo: {id: 'CalemProjectFormList'}},
	         
	         {CalemMenuItemInfo: {id: 'CalemProjectTypeFormList'}}
	      ] }
	}
	}
};

//Build Calem.js from client
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

CalemMenuDef['CalemDashFormPeerTab'] = {
	id: 'CalemDashFormPeerTab',
	title: 'dash_title',
	icon: 'CalemDashboard',
	disIcon: null,
	enabled: true,
	tooltip: null, 
	menu_style: DwtMenuItem.RADIO_STYLE,
	menu_className: null, 				   
	onSelect: {CalemMenuSelect: {listener: 'OpenFormListener'}}	
};/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

CalemViewDef['CalemDashWoOrigDayViewChart']={
	CalemViewInfo: {
		id: 'CalemDashWoOrigDayViewChart',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {height: -1, cols: ['chart_info']}}                                                                                                       				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbDataRefresh', 'sep', 'CalemTbPrint'],
					list: [
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					{CalemButtonInfo: {
						  id: 'CalemTbPrint',
						  customInfo: {
						  	  CalemMenuCustomInfo: {enabled: true}
						  }  
					  }		
					}
				  ]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'dash_wo_orig_day', className: 'CalemEditCaption'}
			},
			'chart_info': {
				CalemChartLineInfo: {id: 'dash_wo_orig_day'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

CalemViewDef['CalemDashWoOrigMdViewChart']={
	CalemViewInfo: {
		id: 'CalemDashWoOrigMdViewChart',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {height: -1, cols: ['chart_info']}}                                                                                                       				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbDataRefresh', 'sep', 'CalemTbPrint'],
					list: [
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					{CalemButtonInfo: {
						  id: 'CalemTbPrint',
						  customInfo: {
						  	  CalemMenuCustomInfo: {enabled: true}
						  }  
					  }		
					}
				  ]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'dash_wo_orig_md', className: 'CalemEditCaption'}
			},
			'chart_info': {
				CalemChartLineInfo: {id: 'dash_wo_orig_md'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

CalemViewDef['CalemDashWoStatusPieViewChart']={
	CalemViewInfo: {
		id: 'CalemDashWoStatusPieViewChart',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {height: -1, cols: ['chart_info']}}                                                                                                       				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbDataRefresh', 'sep', 'CalemTbPrint'],
					list: [
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					{CalemButtonInfo: {
						  id: 'CalemTbPrint',
						  customInfo: {
						  	  CalemMenuCustomInfo: {enabled: true}
						  }  
					  }		
					}
				  ]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'dash_wo_status_pie', className: 'CalemEditCaption'}
			},
			'chart_info': {
				CalemChartPieInfo: {id: 'dash_wo_status_pie'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

CalemViewDef['CalemDashWoAgePriViewChart']={
	CalemViewInfo: {
		id: 'CalemDashWoAgePriViewChart',
		type: 'CalemView',
		layout: {
		 CalemLayoutInfo: {
			tableLayout: {CalemTableLayoutInfo: {}},
			colLayout: {CalemColLayoutInfo: {colCount: 1}}, //Potentially col width definition.
			rows: [
					{CalemTrInfo: {cols: ['lb_caption']}},
					{CalemTrInfo: {cols: ['toolbar']}},
               {CalemTrInfo: {height: -1, cols: ['chart_info']}}                                                                                                       				                               				                               
				   ]
			}
		},
		itemMap : {
			CalemItemMap: {
			toolbar: {
				CalemToolBarInfo: {
					type: 'CalemToolBar',
					layout: ['CalemTbDataRefresh', 'sep', 'CalemTbPrint'],
					list: [
					{CalemButtonInfo: {id: 'CalemTbDataRefresh'}},					
					{CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
					{CalemButtonInfo: {
						  id: 'CalemTbPrint',
						  customInfo: {
						  	  CalemMenuCustomInfo: {enabled: true}
						  }  
					  }		
					}
				  ]
			} },
			'lb_caption': {
				CalemLabelInfo: {id: 'dash_wo_age_pri', className: 'CalemEditCaption'}
			},
			'chart_info': {
				CalemChartColumnInfo: {id: 'dash_wo_age_pri'}
			}
	}
 } //ItemMap	
}
};

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

/**
 * CalemDashWoOrigDayFormChart
 */
function CalemDashWoOrigDayFormChart(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormChart.call(this, parent, formId, data);
}

CalemDashWoOrigDayFormChart.prototype = new CalemFormChart;
CalemDashWoOrigDayFormChart.prototype.constructor = CalemDashWoOrigDayFormChart;

CalemDashWoOrigDayFormChart.prototype.toString = function() { return "CalemDashWoOrigDayFormChart";}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

/**
 * CalemDashWoOrigMdFormChart
 */
function CalemDashWoOrigMdFormChart(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormChart.call(this, parent, formId, data);
}

CalemDashWoOrigMdFormChart.prototype = new CalemFormChart;
CalemDashWoOrigMdFormChart.prototype.constructor = CalemDashWoOrigMdFormChart;

CalemDashWoOrigMdFormChart.prototype.toString = function() { return "CalemDashWoOrigMdFormChart";}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

/**
 * CalemDashWoStatusPieFormChart
 */
function CalemDashWoStatusPieFormChart(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormChart.call(this, parent, formId, data);
}

CalemDashWoStatusPieFormChart.prototype = new CalemFormChart;
CalemDashWoStatusPieFormChart.prototype.constructor = CalemDashWoStatusPieFormChart;

CalemDashWoStatusPieFormChart.prototype.toString = function() { return "CalemDashWoStatusPieFormChart";}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

/**
 * CalemDashWoAgePriFormChart
 */
function CalemDashWoAgePriFormChart(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormChart.call(this, parent, formId, data);
}

CalemDashWoAgePriFormChart.prototype = new CalemFormChart;
CalemDashWoAgePriFormChart.prototype.constructor = CalemDashWoAgePriFormChart;

CalemDashWoAgePriFormChart.prototype.toString = function() { return "CalemDashWoAgePriFormChart";}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */

/**
 * CalemDashFormPeerTab
 */
function CalemDashFormPeerTab(parent, formId, data) {
	if (arguments.length==0) return;
	CalemFormPeerTab.call(this, parent, formId, data);
}

CalemDashFormPeerTab.prototype = new CalemFormPeerTab;
CalemDashFormPeerTab.prototype.constructor = CalemDashFormPeerTab;

CalemDashFormPeerTab.prototype.toString = function() { return "CalemDashFormPeerTab";}

/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */


/**
 * Dashboard peer TAB form.
 */
CalemItemDef['CalemDashFormPeerTab']={
	CalemFormPeerTabInfo: {
		id: 'CalemDashFormPeerTab',
		title: 'dash_title',
		icon: 'CalemDashboard',
		replaceType: CalemItemDef.REPLACE_BY_ID,
		//layout and itemMap.
		layout: {
			CalemPeerTabLayoutInfo: {
				tabList: ['tab_dash', 'CUSTOMIZE_TAB'],
				tabMap: {
					'tab_dash': {CalemTabColLayoutInfo: [
						{CalemTabLayoutInfo: ['CalemDashWoOrigDayFormChart', 'CalemDashWoOrigMdFormChart']},
						{CalemTabLayoutInfo: ['CalemDashWoStatusPieFormChart', 'CalemDashWoAgePriFormChart']}
					]}
				}
			} },
		model: '', //No model at this level
		itemMap : { //Default layout conf.
		  CalemItemMap :{
			 'CalemDashWoOrigDayFormChart' : {CalemFormLayoutInfo: {
								 		id: 'CalemDashWoOrigDayFormChart',
								 		layout: {CalemBlockLayoutInfo: {width: '100%', rows: 12}} }
										},
			 'CalemDashWoOrigMdFormChart' : {CalemFormLayoutInfo: {
								 		id: 'CalemDashWoOrigMdFormChart',
								 		layout: {CalemBlockLayoutInfo: {width: '100%', rows: 12}} }
										},
			  'CalemDashWoStatusPieFormChart' : {CalemFormLayoutInfo: {
								 		id: 'CalemDashWoStatusPieFormChart',
								 		layout: {CalemBlockLayoutInfo: {width: '100%', rows: 12}} }
										},
			  'CalemDashWoAgePriFormChart' : {CalemFormLayoutInfo: {
								 		id: 'CalemDashWoAgePriFormChart',
								 		layout: {CalemBlockLayoutInfo: {width: '100%', rows: 12}} }
										},
			 
		    'tab_dash': {CalemPeerTabInfo: {id: 'tab_dash', fixed: 1, colCount: 2, colWidth: ['0.5', '0.5']}},
			 'CUSTOMIZE_TAB' : {CalemTabInfo: {id: 'CUSTOMIZE_TAB'}}
		  }	  
		} //itemMap
	} //PeerTab
}

CalemItemDef['CalemDashWoOrigDayFormChart']={
	CalemFormInfo: {
		id: 'CalemDashWoOrigDayFormChart',
		title: 'dash_wo_orig_day',
		icon: 'CalemDashboard',
		controller: 'CalemDashWoOrigDayFormChart',
		model: 'dash_wo_orig_day', 
		view: {CalemViewRefInfo: {id: 'CalemDashWoOrigDayViewChart'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemDashWoOrigMdFormChart']={
	CalemFormInfo: {
		id: 'CalemDashWoOrigMdFormChart',
		title: 'dash_wo_orig_md',
		icon: 'CalemDashboard',
		controller: 'CalemDashWoOrigMdFormChart',
		model: 'dash_wo_orig_md', 
		view: {CalemViewRefInfo: {id: 'CalemDashWoOrigMdViewChart'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemDashWoStatusPieFormChart']={
	CalemFormInfo: {
		id: 'CalemDashWoStatusPieFormChart',
		title: 'dash_wo_status_pie',
		icon: 'CalemDashboard',
		controller: 'CalemDashWoStatusPieFormChart',
		model: 'workorder', 
		view: {CalemViewRefInfo: {id: 'CalemDashWoStatusPieViewChart'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}

CalemItemDef['CalemDashWoAgePriFormChart']={
	CalemFormInfo: {
		id: 'CalemDashWoAgePriFormChart',
		title: 'dash_wo_age_pri',
		icon: 'CalemDashboard',
		controller: 'CalemDashWoAgePriFormChart',
		model: 'workorder', 
		view: {CalemViewRefInfo: {id: 'CalemDashWoAgePriViewChart'}}, 
		replaceType: CalemItemDef.REPLACE_BY_ID
	}
}
/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */ 

//Dashboard
CalemModuleDef["modCalemDash"]= {
	CalemModuleInfo: {
      id:"modCalemDash",
      icon:"CalemDashboard",
      defaultMenu:"CalemDashFormPeerTab",
      toolBar: {
        CalemToolBarInfo: {
        	  type: 'CalemToolBar',
        	  layout: ['modCalemDash', 'sep', 'CalemDashFormPeerTab'],
        	  list: [
	         {CalemLabelInfo: {id: 'modCalemDash', className: 'CalemModuleLabel'}},
	         
	         {CalemSeparator: {id: 'sep', className: 'CalemToolBarSeparator'}},
	         
	         {CalemMenuItemInfo: {id: 'CalemDashFormPeerTab'}}
	      ] }
	}
	}
};