/*
 * The contents of this file are subject to the CalemEAM Public License Version
 * 1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.calemeam.com/license
 *
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * The Original Code is: CalemEAM Open Source
 *
 * The Initial Developer of the Original Code is CalemEAM Inc.
 * Portions created by CalemEAM are Copyright (C) 2007 CalemEAM Inc.;
 * All Rights Reserved.
 
 * Contributor(s): 
 */
 

/** 
 * CalemSearch definition 
 */
function CalemSearchDef() {}
CalemSearchDef.addSearch =
function(table, axoId, id, def) {
	if (!CalemSearchDef[table]) {
		CalemSearchDef[table]=new Object();
	}
	if (!CalemSearchDef[table][axoId]) {
		CalemSearchDef[table][axoId]=new Object();
	}
	CalemSearchDef[table][axoId][id]=def;
}

CalemSearchDef.getSearchByTable =
function(table) {
	if (!CalemSearchDef[table]) {
		CalemSearchDef[table]=new Object();
	}
	return CalemSearchDef[table];
}


/**
 * CalemMetadata
 */
function CalemMetadata() {}
function CalemMetadataCustom() {}

/**
 * Dropdown
 */
function CalemDropdown() {}
function CalemDropdownCustom() {}

CalemDropdown.get =
function(id) {
	return CalemDropdownCustom[id] ? CalemDropdownCustom[id] : CalemDropdown[id];
}

CalemDropdown.getNoCustom =
function(id) {
	return CalemDropdown[id];
}

CalemDropdown._setCustomDropdown =
function(id) {
	if (!CalemDropdownCustom[id]) {
		var ar=[];
		var src=CalemDropdown[id];
		for (var i=0; i< src.length; i++) {
			ar.push(src[i]);
		}
		CalemDropdownCustom[id] = ar;
	}
}

CalemDropdown.addEntry =
function(list, id) {
	this._setCustomDropdown(id);
	CalemDropdownCustom[id].push(list);
}

CalemDropdown.modifyEntry =
function(list, id) {
	this._setCustomDropdown(id);
	var ar=CalemDropdownCustom[id];
	for (var i=0; i< ar.length; i++) {
		if (ar[i][0]==list[0]) {
			ar.splice(i, 1, list);
			break;
		}
	}
}

CalemDropdown.deleteEntry =
function(eId, id) {
	this._setCustomDropdown(id);
	var ar=CalemDropdownCustom[id];
	for (var i=0; i< ar.length; i++) {
		if (ar[i][0]==eId) {
			ar.splice(i, 1);
			break;
		}
	}
}

CalemDropdown.swapEntry =
function(srcId, dstId, id) {
	this._setCustomDropdown(id);
	var ar=CalemDropdownCustom[id];
	var srcNo;
	var dstNo;
	for (var i=0; i< ar.length; i++) {
		var cId=ar[i][0];
		if (cId==srcId) srcNo=i;
		else if (cId==dstId) dstNo=i;
	}
	var tmp=ar[srcNo];
	ar[srcNo]=ar[dstNo];
	ar[dstNo]=tmp;
}

/**
 * Data preloaded
 */
function CalemData() {} 

CalemData.get =
function(id) {
	return CalemData[id];
}


CalemMetadata['acl_group'] = {"table_name":"acl_group","module":"modCalemAdmin","dbo":{"path":"server\/modules\/admin\/","name":"CalemAclGroupDbo"},"cache_type":"memory","order_by":{"field":"acl_group","order":"ASC"},"primary_key":["id"],"unique_indexes":{"uidx_acl_group_acl_group":["acl_group"]},"lookup_mapping":{"field":"id","primary":"acl_group","extra":["acl_group"]},"fields":{"id":{"type":"guid"},"acl_group":{"type":"varchar","length":30,"required":true},"parent_group_id":{"type":"guid","lookup":"acl_group"},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['asset'] = {"table_name":"asset","module":"modCalemAsset","cache_type":"memory","dbo":{"path":"server\/modules\/asset\/","name":"CalemAssetDbo"},"primary_key":["id"],"order_by":{"field":"asset_no","order":"ASC"},"unique_indexes":{"uidx_asset_asset_no":["asset_no"]},"indexes":{"idx_asset_vendor":["vendor_id"]},"lookup_mapping":{"field":"id","primary":"asset_no"},"fields":{"id":{"type":"guid"},"asset_no":{"type":"varchar","length":30,"required":true},"note":{"type":"varchar","length":76},"priority_id":{"type":"guid","lookup":"asset_priority"},"status_id":{"type":"guid","lookup":"asset_status"},"parent_id":{"type":"guid","lookup":"asset","label":"parent_asset"},"type_id":{"type":"guid","lookup":"asset_type"},"template_id":{"type":"guid","lookup":"rcm_template"},"category_id":{"type":"guid","lookup":"asset_category"},"location_id":{"type":"guid","lookup":"asset","label":"location_asset"},"weight":{"type":"double"},"weight_uom_id":{"type":"guid","lookup":"uom"},"serial_no":{"type":"varchar","length":30},"owner_user_id":{"type":"guid","lookup":"users"},"start_date":{"type":"date"},"purchase_date":{"type":"date"},"original_cost":{"type":"sys_currency"},"manufacturer_id":{"type":"guid","lookup":"manufacturer"},"vendor_id":{"type":"guid","lookup":"vendor"},"upload_id":{"type":"guid","lookup":"doc_upload","label":"asset_photo"},"warranty_start_date":{"type":"date"},"warranty_end_date":{"type":"date"},"maint_labor_hours":{"type":"double"},"maint_labor_cost":{"type":"sys_currency"},"maint_material_cost":{"type":"sys_currency"},"maint_cost":{"type":"sys_currency"},"rollup_cost":{"type":"boolean"},"costcode_id":{"type":"guid","lookup":"costcode"},"dept_id":{"type":"guid","lookup":"dept"},"in_id":{"type":"guid","lookup":"inventory"},"depreciation_type_id":{"type":"guid","lookup":"depreciation_type"},"depreciation_start":{"type":"date"},"depreciation_time_id":{"type":"guid","lookup":"depreciation_time"},"depreciation_rate":{"type":"double"},"description":{"type":"text","label":"asset_description"},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['asset_category'] = {"table_name":"asset_category","module":"modCalemAdmin","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"asset_category","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['asset_comment'] = {"table_name":"asset_comment","module":"modCalemAsset","cache_type":"database","order_by":{"field":"modified_time","order":"DESC"},"primary_key":["id"],"indexes":{"idx_asset_comment_asset_id":["asset_id"],"idx_asset_comment_modified_time":["modified_time"]},"fields":{"id":{"type":"guid"},"asset_id":{"type":"guid","lookup":"asset","md":true},"comment":{"type":"text","required":true},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['asset_contract'] = {"table_name":"asset_contract","module":"modCalemAsset","cache_type":"database","primary_key":["id"],"order_by":{"field":"contract_id","order":"DESC"},"indexes":{"idx_asset_contract_cr":["contract_id"],"idx_asset_asset":["asset_id"]},"fields":{"id":{"type":"guid"},"asset_id":{"type":"guid","lookup":"asset","required":true},"contract_id":{"type":"guid","lookup":"contract","required":true},"note":{"type":"varchar","length":76},"status_id":{"type":"guid","lookup":"contract_status"},"start_date":{"type":"date"},"end_date":{"type":"date"},"comment":{"type":"text"},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['asset_depreciation'] = {"table_name":"asset_depreciation","module":"modCalemAsset","cache_type":"database","primary_key":["id"],"order_by":{"field":"start_date","order":"DESC"},"indexes":{"idx_asset_depreciation_start":["start_date"],"idx_asset_depreciation":["asset_id"]},"fields":{"id":{"type":"guid"},"asset_id":{"type":"guid","lookup":"asset"},"start_date":{"type":"date","required":true},"end_date":{"type":"date","required":true},"depreciation_rate":{"type":"percent","required":true},"start_value":{"type":"sys_currency","required":true},"end_value":{"type":"sys_currency","required":true},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['asset_downtime'] = {"table_name":"asset_downtime","module":"modCalemAsset","cache_type":"database","dbo":{"path":"server\/modules\/workorder\/","name":"CalemWoDowntimeDbo"},"primary_key":["id"],"order_by":{"field":"start_time","order":"DESC"},"indexes":{"idx_asset_downtime_start":["start_time"],"idx_asset_downtime":["asset_id"]},"fields":{"id":{"type":"guid"},"asset_id":{"type":"guid","lookup":"asset"},"downtime_type_id":{"type":"guid","lookup":"downtime_type"},"downtime_cause_id":{"type":"guid","lookup":"downtime_cause"},"start_time":{"type":"datetime","required":true},"shift_id":{"type":"guid","lookup":"shift"},"end_time":{"type":"datetime"},"hours":{"type":"double","required":true},"wo_id":{"type":"guid","lookup":"workorder"},"reported_by_id":{"type":"guid","lookup":"users"},"reported_time":{"type":"datetime"},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['asset_meter'] = {"table_name":"asset_meter","module":"modCalemAsset","cache_type":"database","primary_key":["id"],"order_by":{"field":"meter_no","order":"ASC"},"indexes":{"idx_asset_meter_meter_no":["meter_no"],"idx_asset_meter":["asset_id"]},"lookup_mapping":{"field":"id","primary":"meter_no"},"fields":{"id":{"type":"guid"},"asset_id":{"type":"guid","lookup":"asset"},"meter_no":{"type":"varchar","length":30,"required":true},"type_id":{"type":"guid","lookup":"meter_type"},"reading_uom_id":{"type":"guid","lookup":"uom"},"reading":{"type":"double"},"is_rollover":{"type":"boolean"},"time_taken":{"type":"datetime"},"rollup_type_id":{"type":"guid","lookup":"meter_rollup_type"},"rollover_reading":{"type":"double"},"rollover_count":{"type":"int"},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['asset_part'] = {"table_name":"asset_part","module":"modCalemAsset","cache_type":"memory","primary_key":["id"],"indexes":{"idx_asset_in":["in_id"],"idx_asset_asset":["asset_id"]},"fields":{"id":{"type":"guid"},"asset_id":{"type":"guid","lookup":"asset","required":true},"in_id":{"type":"guid","lookup":"inventory","required":true},"type_id":{"type":"guid","lookup":"asset_part_type"},"qty":{"type":"double","label":"asset_part_qty"},"uom_id":{"type":"guid","lookup":"uom"},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['asset_part_type'] = {"table_name":"asset_part_type","module":"modCalemAdmin","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"asset_part_type","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['asset_priority'] = {"table_name":"asset_priority","module":"modCalemAdmin","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"asset_priority","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['asset_seq'] = {"table_name":"asset_seq","module":"modCalemAsset","cache_type":"database","fields":{"id":{"type":"int"}}}
CalemMetadata['asset_service_log'] = {"table_name":"asset_service_log","module":"modCalemAsset","cache_type":"database","primary_key":["id"],"order_by":{"field":"created_time","order":"DESC"},"indexes":{"idx_asset_status_log":["asset_id"],"idx_asset_status_time":["created_time"]},"fields":{"id":{"type":"guid"},"asset_id":{"type":"guid","lookup":"asset","md":true},"from_status_id":{"type":"guid","lookup":"asset_status"},"to_status_id":{"type":"guid","lookup":"asset_status"},"from_location_id":{"type":"guid","lookup":"asset"},"to_location_id":{"type":"guid","lookup":"asset"},"from_parent_id":{"type":"guid","lookup":"asset"},"to_parent_id":{"type":"guid","lookup":"asset"},"from_owner_id":{"type":"guid","lookup":"users"},"to_owner_id":{"type":"guid","lookup":"users"},"changed_by_id":{"type":"guid","lookup":"users","required":true},"created_time":{"type":"datetime"},"comment":{"type":"text","required":true}}}
CalemMetadata['asset_status'] = {"table_name":"asset_status","module":"modCalemAdmin","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"asset_status","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['asset_type'] = {"table_name":"asset_type","module":"modCalemAsset","cache_type":"memory","order_by":{"field":"type","order":"ASC"},"primary_key":["id"],"unique_indexes":{"uidx_asset_type":["type"]},"lookup_mapping":{"field":"id","primary":"type"},"fields":{"id":{"type":"guid"},"type":{"type":"varchar","length":30,"required":true,"label":"type_asset"},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['budget'] = {"table_name":"budget","module":"modCalemBudget","cache_type":"database","order_by":{"field":"start_date","order":"DESC"},"dbo":{"path":"server\/modules\/budget\/","name":"CalemBudgetDbo"},"unique_indexes":{"uidx_budget":["budget"]},"indexes":{"idx_budget_start_date":["start_date"]},"primary_key":["id"],"lookup_mapping":{"field":"id","primary":"budget"},"fields":{"id":{"type":"guid"},"title_id":{"type":"guid","lookup":"budget_title"},"budget":{"type":"varchar","length":30,"required":true},"state_id":{"type":"guid","lookup":"budget_state","label":"state_budget"},"start_date":{"type":"date","required":true},"end_date":{"type":"date","required":true},"budgeted":{"type":"sys_currency"},"app":{"type":"sys_currency"},"accounting":{"type":"sys_currency"},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['budget_state'] = {"table_name":"budget_state","module":"modCalemBudget","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"budget_state","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['budget_status_log'] = {"table_name":"budget_status_log","module":"modCalemBudget","cache_type":"database","order_by":{"field":"created_time","order":"DESC"},"primary_key":["id"],"indexes":{"idx_budget_status_log":["budget_id"],"idx_budget_status_log_time":["created_time"]},"fields":{"id":{"type":"guid"},"budget_id":{"type":"guid","lookup":"budget","md":true},"to_state_id":{"type":"guid","lookup":"budget_state"},"from_state_id":{"type":"guid","lookup":"budget_state"},"changed_by_id":{"type":"guid","lookup":"users","required":true},"created_time":{"type":"datetime"},"comment":{"type":"text","required":true}}}
CalemMetadata['budget_title'] = {"table_name":"budget_title","module":"modCalemBudget","cache_type":"memory","order_by":{"field":"start_date","order":"DESC"},"primary_key":["id"],"unique_indexes":{"uidx_costcode_costcode":["title"]},"indexes":{"idx_budget_title_start_date":["start_date"]},"lookup_mapping":{"field":"id","primary":"title","extra":["title","start_date","end_date","note"]},"fields":{"id":{"type":"guid","private":true},"title":{"type":"varchar","length":30,"required":true,"label":"budget_title","sn":"ttl"},"start_date":{"type":"date","required":true},"end_date":{"type":"date","required":true},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['contact'] = {"table_name":"contact","module":"modCalemContact","cache_type":"memory","order_by":{"field":"full_name","order":"ASC"},"primary_key":["id"],"unique_indexes":{"uidx_contact_full_name":["full_name"]},"lookup_mapping":{"field":"id","primary":"full_name","extra":["full_name","phone_work","phone_mobile","email_work"]},"fields":{"id":{"type":"guid"},"full_name":{"type":"varchar","length":50,"required":true},"job_title":{"type":"varchar","length":30},"type_id":{"type":"guid","lookup":"contact_type"},"note":{"type":"varchar","length":76},"phone_work":{"type":"varchar","length":24},"phone_home":{"type":"varchar","length":16},"phone_mobile":{"type":"varchar","length":16},"email_work":{"type":"varchar","length":50},"email_other":{"type":"varchar","length":50},"im1_type_id":{"type":"guid","lookup":"im_type"},"im1_id":{"type":"varchar","length":30},"im2_type_id":{"type":"guid","lookup":"im_type"},"im2_id":{"type":"varchar","length":30},"fax":{"type":"varchar","length":16},"company":{"type":"varchar","length":50},"street1":{"type":"varchar","length":50},"street2":{"type":"varchar","length":50},"city":{"type":"varchar","length":50},"state":{"type":"varchar","length":50},"zip":{"type":"varchar","length":16},"country":{"type":"varchar","length":50},"asset_id":{"type":"guid","lookup":"asset"},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['contact_type'] = {"table_name":"contact_type","module":"modCalemContact","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"contact_type","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['contract'] = {"table_name":"contract","module":"modCalemContract","cache_type":"memory","order_by":{"field":"contract","order":"ASC"},"primary_key":["id"],"unique_indexes":{"uidx_contract":["contract"]},"indexes":{"idx_contract_vendor":["vendor_id"]},"lookup_mapping":{"field":"id","primary":"contract"},"fields":{"id":{"type":"guid"},"contract":{"type":"varchar","length":30,"required":true},"vendor_id":{"type":"guid","lookup":"vendor","required":true},"note":{"type":"varchar","length":76},"type_id":{"type":"guid","lookup":"contract_type"},"status_id":{"type":"guid","lookup":"contract_status"},"contact_id":{"type":"guid","lookup":"contact"},"owner_user_id":{"type":"guid","lookup":"users"},"start_date":{"type":"date"},"end_date":{"type":"date"},"comment":{"type":"text","label":"contract_comment"},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['contract_contact'] = {"table_name":"contract_contact","module":"modCalemContract","cache_type":"database","order_by":{"field":"contact_id","order":"ASC"},"primary_key":["id"],"indexes":{"idx_contract_contact_cr":["contract_id"],"idx_contract_contact_c":["contact_id"]},"fields":{"id":{"type":"guid"},"contract_id":{"type":"guid","lookup":"contract","required":true},"contact_id":{"type":"guid","lookup":"contact","required":true},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['contract_doc'] = {"table_name":"contract_doc","module":"modCalemContract","cache_type":"database","order_by":{"field":"seq","order":"ASC"},"primary_key":["id"],"indexes":{"idx_contract_doc_cr":["contract_id"],"idx_contract_doc":["doc_id"]},"fields":{"id":{"type":"guid"},"contract_id":{"type":"guid","lookup":"contract","required":true},"seq":{"type":"int","required":true},"doc_id":{"type":"guid","lookup":"document","required":true},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['contract_status'] = {"table_name":"contract_status","module":"modCalemContract","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['contract_type'] = {"table_name":"contract_type","module":"modCalemContract","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['costcode'] = {"table_name":"costcode","module":"modCalemBudget","cache_type":"memory","order_by":{"field":"costcode","order":"ASC"},"primary_key":["id"],"unique_indexes":{"uidx_costcode_costcode":["costcode"]},"lookup_mapping":{"field":"id","primary":"costcode","extra":["costcode"]},"fields":{"id":{"type":"guid"},"costcode":{"type":"varchar","length":30,"required":true},"note":{"type":"varchar","length":76},"dept_id":{"type":"guid","lookup":"dept"},"parent_id":{"type":"guid","label":"costcode_parent","lookup":"costcode"},"rollup_cost":{"type":"boolean"},"cost_type_id":{"type":"guid","lookup":"cost_type"},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['cost_type'] = {"table_name":"cost_type","module":"modCalemBudget","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"cost_type","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['craft'] = {"table_name":"craft","module":"modCalemWo","cache_type":"memory","order_by":{"field":"craft","order":"ASC"},"primary_key":["id"],"unique_indexes":{"uidx_craft_craft":["craft"]},"lookup_mapping":{"field":"id","primary":"craft","extra":["craft"]},"fields":{"id":{"type":"guid"},"craft":{"type":"varchar","length":30,"required":true},"note":{"type":"varchar","length":76},"rate":{"type":"sys_currency"},"ot_factor":{"type":"double"},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['dash_wo_orig_day'] = {"table_name":"dash_wo_orig_day","module":"modCalemDash","cache_type":"database","primary_key":["id"],"indexes":{"idx_dash_wo_orig_day":["modified_time"]},"fields":{"id":{"type":"guid"},"counts":{"type":"varchar","length":1000},"modified_time":{"type":"datetime"}}}
CalemMetadata['dash_wo_orig_md'] = {"table_name":"dash_wo_orig_md","module":"modCalemDash","cache_type":"database","primary_key":["id"],"indexes":{"idx_dash_wo_orig_md":["modified_time"]},"fields":{"id":{"type":"guid"},"counts":{"type":"varchar","length":1000},"modified_time":{"type":"datetime"}}}
CalemMetadata['depreciation_time'] = {"table_name":"depreciation_time","module":"modCalemAdmin","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"depreciation_time","required":true},"duration_days":{"type":"int"},"fixed":{"type":"boolean"}}}
CalemMetadata['depreciation_type'] = {"table_name":"depreciation_type","module":"modCalemAdmin","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"depreciation_type","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['dept'] = {"table_name":"dept","module":"modCalemBudget","cache_type":"memory","order_by":{"field":"dept","order":"ASC"},"primary_key":["id"],"unique_indexes":{"uidx_dept_dept":["dept"]},"lookup_mapping":{"field":"id","primary":"dept","extra":["dept","note"]},"fields":{"id":{"type":"guid"},"dept":{"type":"varchar","length":30,"required":true},"note":{"type":"varchar","length":76},"manager_id":{"type":"guid","lookup":"users"},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['document'] = {"table_name":"document","module":"modCalemDoc","cache_type":"memory","order_by":{"field":"document","order":"ASC"},"primary_key":["id"],"unique_indexes":{"uidx_document":["document"]},"lookup_mapping":{"field":"id","primary":"document","extra":["document","note"]},"fields":{"id":{"type":"guid"},"document":{"type":"varchar","length":30,"required":true},"content":{"type":"text"},"type_id":{"type":"guid","lookup":"doc_type"},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['doc_access_type'] = {"table_name":"doc_access_type","module":"modCalemDoc","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"doc_access_type","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['doc_attachment'] = {"table_name":"doc_attachment","module":"modCalemDoc","cache_type":"database","primary_key":["id"],"indexes":{"idx_doc_attachment_doc":["doc_id"],"idx_doc_attachment_attach":["upload_id"]},"fields":{"id":{"type":"guid"},"doc_id":{"type":"guid","lookup":"document","required":true},"upload_id":{"type":"guid","lookup":"doc_upload","required":true},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['doc_type'] = {"table_name":"doc_type","module":"modCalemDoc","cache_type":"memory","order_by":{"field":"type","order":"ASC"},"primary_key":["id"],"unique_indexes":{"uidx_in_type":["type"]},"lookup_mapping":{"field":"id","primary":"type"},"fields":{"id":{"type":"guid"},"type":{"type":"varchar","length":30,"label":"type_doc","required":true},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['doc_upload'] = {"table_name":"doc_upload","module":"modCalemDoc","cache_type":"memory","order_by":{"field":"file_upload","order":"ASC"},"dbo":{"path":"server\/upload\/","name":"CalemDocUploadDbo"},"primary_key":["id"],"unique_indexes":{"uidx_doc_upload":["file_upload"]},"lookup_mapping":{"field":"id","primary":"file_upload"},"fields":{"id":{"type":"guid"},"file_upload":{"type":"varchar","length":"250","required":true},"access_id":{"type":"guid","lookup":"doc_access_type"},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['downtime_cause'] = {"table_name":"downtime_cause","module":"modCalemAsset","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"downtime_cause","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['downtime_type'] = {"table_name":"downtime_type","module":"modCalemAsset","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"downtime_type","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['downtime_unit_cost'] = {"table_name":"downtime_unit_cost","module":"modCalemAsset","cache_type":"memory","primary_key":["id"],"indexes":{"idx_downtime_unit_cost":["asset_id"]},"fields":{"id":{"type":"guid"},"asset_id":{"type":"guid","lookup":"asset","required":true},"downtime_type_id":{"type":"guid","lookup":"downtime_type"},"hourly_rate":{"type":"double"},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['im_type'] = {"table_name":"im_type","module":"modCalemAdmin","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"im_type","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['inspection'] = {"table_name":"inspection","module":"modCalemInspection","cache_type":"database","primary_key":["id"],"order_by":{"field":"start_time","order":"DESC"},"unique_indexes":{"uidx_inspection":["inspection"]},"indexes":{"idx_inspection_start":["start_time"]},"lookup_mapping":{"field":"id","primary":"inspection"},"fields":{"id":{"type":"guid"},"inspection":{"type":"varchar","length":50,"required":true},"type_id":{"type":"guid","lookup":"ins_type","label":"inspection_type"},"inspect_contact_id":{"type":"guid","lookup":"contact"},"inspect_user_id":{"type":"guid","lookup":"users"},"owner_user_id":{"type":"guid","lookup":"users","required":true},"start_time":{"type":"datetime","required":true},"end_time":{"type":"datetime","required":true},"comment":{"type":"text"},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['ins_citation'] = {"table_name":"ins_citation","module":"modCalemInspection","cache_type":"database","primary_key":["id"],"unique_indexes":{"uidx_citation_citation":["citation"]},"indexes":{"idx_citation_inspection":["inspection_id"]},"fields":{"id":{"type":"guid"},"citation":{"type":"varchar","length":50,"required":true},"inspection_id":{"type":"guid","lookup":"inspection","md":true},"severity_id":{"type":"guid","lookup":"ins_citation_severity"},"comment":{"type":"text"},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['ins_citation_severity'] = {"table_name":"ins_citation_severity","module":"modCalemInspection","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"ins_citation_severity","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['ins_type'] = {"table_name":"ins_type","module":"modCalemInspection","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"ins_type","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['inventory'] = {"table_name":"inventory","module":"modCalemIn","cache_type":"memory","order_by":{"field":"in_no","order":"ASC"},"dbo":{"path":"server\/modules\/inventory\/","name":"CalemInDbo"},"primary_key":["id"],"unique_indexes":{"uidx_inventory":["in_no"]},"indexes":{"idx_inventory_costcode":["costcode_id"]},"lookup_mapping":{"field":"id","primary":"in_no"},"fields":{"id":{"type":"guid"},"in_no":{"type":"varchar","length":30,"required":true},"note":{"type":"varchar","length":76},"type_id":{"type":"guid","lookup":"in_type"},"category_id":{"type":"guid","lookup":"in_category"},"stock_type_id":{"type":"guid","lookup":"in_stock_type"},"valuation_type_id":{"type":"guid","lookup":"in_valuation_type"},"abc_id":{"type":"guid","lookup":"in_abc"},"abc_time":{"type":"datetime"},"uom_id":{"type":"guid","label":"uom_fld","lookup":"uom"},"avg_unit_cost":{"type":"double"},"rent_uom_id":{"type":"guid","lookup":"uom"},"rent_rate":{"type":"double"},"qty_in_stock":{"type":"double"},"qty_on_order":{"type":"double"},"qty_reserved":{"type":"double"},"qty_to_order":{"type":"double"},"order_gen_id":{"type":"guid","lookup":"in_order_gen"},"order_type_id":{"type":"guid","lookup":"in_order_type"},"min_level":{"type":"double"},"max_level":{"type":"double"},"reorder_point":{"type":"double"},"reorder_qty":{"type":"double"},"owner_user_id":{"type":"guid","lookup":"users"},"notification_id":{"type":"guid","lookup":"in_notification","label":"in_order_notification"},"costcode_id":{"type":"guid","lookup":"costcode"},"description":{"type":"text","label":"in_description"},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['in_abc'] = {"table_name":"in_abc","module":"modCalemIn","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"in_abc","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['in_audit'] = {"table_name":"in_audit","module":"modCalemIn","cache_type":"database","primary_key":["id"],"indexes":{"idx_in_audit":["in_id"]},"fields":{"id":{"type":"guid"},"in_id":{"type":"guid","lookup":"inventory"},"audit_user_id":{"type":"guid","lookup":"users","required":true},"start_date":{"type":"date","required":true},"end_date":{"type":"date","required":true},"hours":{"type":"double","required":true},"comment":{"type":"text","required":true},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['in_category'] = {"table_name":"in_category","module":"modCalemIn","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"in_category","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['in_checkout_to'] = {"table_name":"in_checkout_to","module":"modCalemIn","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"in_checkout_to","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['in_comment'] = {"table_name":"in_comment","module":"modCalemIn","cache_type":"database","order_by":{"field":"modified_time","order":"DESC"},"primary_key":["id"],"indexes":{"idx_in_comment_in_id":["in_id"],"idx_in_comment_modified_time":["modified_time"]},"fields":{"id":{"type":"guid"},"in_id":{"type":"guid","lookup":"inventory","md":true},"comment":{"type":"text","required":true},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['in_doc'] = {"table_name":"in_doc","module":"modCalemIn","cache_type":"database","primary_key":["id"],"indexes":{"idx_in_doc":["in_id"]},"fields":{"id":{"type":"guid"},"in_id":{"type":"guid","lookup":"inventory"},"doc_id":{"type":"guid","lookup":"document","required":true},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['in_location'] = {"table_name":"in_location","module":"modCalemIn","cache_type":"memory","primary_key":["id"],"unique_indexes":{"uidx_in_location":["location"]},"indexes":{"idx_in_location_parent":["parent_id"]},"lookup_mapping":{"field":"id","primary":"location"},"fields":{"id":{"type":"guid"},"location":{"type":"varchar","length":30,"required":true},"parent_id":{"type":"guid","lookup":"in_location"},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['in_notification'] = {"table_name":"in_notification","module":"modCalemIn","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"in_notification","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['in_order_gen'] = {"table_name":"in_order_gen","module":"modCalemIn","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"in_order_gen","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['in_order_type'] = {"table_name":"in_order_type","module":"modCalemIn","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"in_order_type","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['in_receive_from'] = {"table_name":"in_receive_from","module":"modCalemIn","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"in_receive_from","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['in_reserved'] = {"table_name":"in_reserved","module":"modCalemIn","cache_type":"database","primary_key":["id"],"indexes":{"idx_in_reserved":["in_id"],"idx_in_reserved_wo_id":["wo_id"]},"fields":{"id":{"type":"guid"},"in_id":{"type":"guid","lookup":"inventory"},"wo_id":{"type":"guid","lookup":"workorder"},"qty":{"type":"double"},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['in_seq'] = {"table_name":"in_seq","module":"modCalemIn","cache_type":"database","fields":{"id":{"type":"int"}}}
CalemMetadata['in_stock'] = {"table_name":"in_stock","module":"modCalemIn","cache_type":"database","dbo":{"path":"server\/modules\/inventory\/","name":"CalemInStockDbo"},"order_by":{"field":"location_id","order":"ASC"},"primary_key":["id"],"indexes":{"idx_in_stock":["in_id"],"idx_in_in_location":["location_id"]},"fields":{"id":{"type":"guid"},"in_id":{"type":"guid","lookup":"inventory"},"location_id":{"type":"guid","lookup":"in_location","required":true},"qty":{"type":"double"},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['in_stock_type'] = {"table_name":"in_stock_type","module":"modCalemIn","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"in_stock_type","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['in_tran'] = {"table_name":"in_tran","module":"modCalemIn","cache_type":"database","order_by":{"field":"tran_time","order":"DESC"},"primary_key":["id"],"indexes":{"idx_in_tran_in":["in_id","type_id","voided"],"idx_in_tran_checkout_to_id":["checkout_to_id","checkout_type_id","voided"],"idx_in_tran_receive_from":["receive_from_id","receive_type_id","voided"],"idx_in_tran_tran_time":["tran_time"]},"lookup_mapping":{"field":"id","primary":"note"},"fields":{"id":{"type":"guid"},"in_id":{"type":"guid","lookup":"inventory"},"type_id":{"type":"guid","lookup":"in_tran_type"},"location_id":{"type":"guid","lookup":"in_location"},"qty":{"type":"double"},"unit_cost":{"type":"sys_currency"},"costcode_id":{"type":"guid","lookup":"costcode"},"checkout_type_id":{"type":"guid","lookup":"in_checkout_to"},"checkout_to_id":{"type":"guid"},"receive_type_id":{"type":"guid","lookup":"in_receive_from"},"receive_from_id":{"type":"guid"},"qty_available":{"type":"double"},"qty_orig":{"type":"double"},"orig_loc_id":{"type":"guid","lookup":"in_location"},"checkout_tran_id":{"type":"guid"},"rent_duration":{"type":"double"},"rent_rate":{"type":"double"},"tran_total":{"type":"sys_currency"},"note":{"type":"varchar","length":76},"tran_time":{"type":"datetime"},"tran_user_id":{"type":"guid","lookup":"users"},"store_user_id":{"type":"guid","lookup":"users"},"voided":{"type":"boolean"},"authorized_by_id":{"type":"guid","lookup":"users"},"void_by_id":{"type":"guid","lookup":"users"},"void_time":{"type":"datetime"},"void_note":{"type":"varchar","length":76},"new_tran_id":{"type":"guid"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['in_tran_type'] = {"table_name":"in_tran_type","module":"modCalemIn","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"in_tran_type","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['in_tran_worksheet'] = {"table_name":"in_tran_worksheet","module":"modCalemIn","cache_type":"database","primary_key":["id"],"indexes":{"idx_in_tran_worksheet":["in_tran_id"]},"fields":{"id":{"type":"guid"},"in_tran_id":{"type":"guid"},"src_tran_id":{"type":"guid"},"qty":{"type":"double"},"unit_cost":{"type":"sys_currency"},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['in_type'] = {"table_name":"in_type","module":"modCalemIn","cache_type":"memory","order_by":{"field":"type","order":"ASC"},"primary_key":["id"],"unique_indexes":{"uidx_in_type":["type"]},"lookup_mapping":{"field":"id","primary":"type"},"fields":{"id":{"type":"guid"},"type":{"type":"varchar","length":30,"label":"type_in","required":true},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['in_valuation_type'] = {"table_name":"in_valuation_type","module":"modCalemIn","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"in_valuation_type","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['in_vendor'] = {"table_name":"in_vendor","module":"modCalemIn","cache_type":"database","order_by":{"field":"vendor_id","order":"ASC"},"dbo":{"path":"server\/modules\/inventory\/","name":"CalemInVendorDbo"},"primary_key":["id"],"unique_indexes":{"uidx_in_vendor":["in_id","vendor_id"]},"indexes":{"idx_in_vendor_vendor":["vendor_id"]},"fields":{"id":{"type":"guid"},"in_id":{"type":"guid","lookup":"inventory"},"vendor_id":{"type":"guid","lookup":"vendor","required":true},"vendor_part_no":{"type":"varchar","length":30,"required":true},"is_primary":{"type":"boolean"},"uom_id":{"type":"guid","label":"uom_fld","lookup":"uom"},"unit_cost":{"type":"sys_currency"},"lead_time_days":{"type":"double"},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['job_role'] = {"table_name":"job_role","module":"modCalemAdmin","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"job_role","required":true},"eam_staff":{"type":"boolean"},"fixed":{"type":"boolean"}}}
CalemMetadata['locale'] = {"table_name":"locale","module":"modCalemAdmin","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"locale","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['manufacturer'] = {"table_name":"manufacturer","module":"modCalemAsset","cache_type":"memory","primary_key":["id"],"unique_indexes":{"uidx_manufacturer":["manufacturer"]},"lookup_mapping":{"field":"id","primary":"manufacturer"},"fields":{"id":{"type":"guid"},"manufacturer":{"type":"varchar","length":30},"note":{"type":"varchar","length":76},"contact_id":{"type":"guid","lookup":"contact","label":"contact_name"},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['meter_rollup_type'] = {"table_name":"meter_rollup_type","module":"modCalemAdmin","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"meter_rollup_type","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['meter_transaction'] = {"table_name":"meter_transaction","dbo":{"path":"server\/modules\/asset\/","name":"CalemMeterTransactionDbo"},"module":"modCalemAsset","cache_type":"database","primary_key":["id"],"order_by":{"field":"time_taken","order":"DESC"},"indexes":{"idx_meter_transaction_time":["time_taken"],"idx_meter_transaction":["meter_id"],"idx_meter_transaction_wo":["wo_id"]},"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid"},"meter_id":{"type":"guid","lookup":"asset_meter"},"read_by_id":{"type":"guid","lookup":"users","required":true},"time_taken":{"type":"datetime","required":true},"reading":{"type":"double","required":true},"is_rollover":{"type":"boolean"},"wo_id":{"type":"guid","lookup":"workorder"},"note":{"type":"varchar","length":76},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['meter_type'] = {"table_name":"meter_type","module":"modCalemAsset","cache_type":"memory","order_by":{"field":"type","order":"ASC"},"primary_key":["id"],"unique_indexes":{"uidx_meter_type":["type"]},"lookup_mapping":{"field":"id","primary":"type"},"fields":{"id":{"type":"guid"},"type":{"type":"varchar","length":"30","required":true,"label":"type_meter"},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['payment_term'] = {"table_name":"payment_term","module":"modCalemPo","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"payment_term","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['pm'] = {"table_name":"pm","module":"modCalemPm","cache_type":"memory","order_by":{"field":"pm_no","order":"ASC"},"primary_key":["id"],"unique_indexes":{"uidx_pm_pm_no":["pm_no"]},"lookup_mapping":{"field":"id","primary":"pm_no"},"fields":{"id":{"type":"guid"},"pm_no":{"type":"varchar","length":30,"required":true},"description":{"type":"text","required":true,"label":"pm_description"},"status_id":{"type":"guid","lookup":"pm_status"},"asset_type_id":{"type":"guid","lookup":"asset_type"},"rcm_action_id":{"type":"guid","lookup":"rcm_action"},"category_id":{"type":"guid","lookup":"wo_category"},"priority_id":{"type":"guid","lookup":"wo_priority"},"origin_id":{"type":"guid","lookup":"wo_origin"},"origin_user_id":{"type":"guid","lookup":"users"},"assigned_to_id":{"type":"guid","lookup":"users"},"assigned_team_id":{"type":"guid","lookup":"team"},"duration_hours":{"type":"double"},"release_type_id":{"type":"guid","lookup":"pm_release_type"},"schedule_type_id":{"type":"guid","lookup":"pm_schedule_type"},"release_schedule":{"type":"varchar","length":1024},"labor_hours":{"type":"double"},"downtime_hours":{"type":"double"},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['pm_asset'] = {"table_name":"pm_asset","module":"modCalemPm","cache_type":"database","primary_key":["id"],"indexes":{"idx_pm_asset_pm":["pm_id"],"idx_pm_asset_asset":["asset_id"]},"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid"},"pm_id":{"type":"guid","lookup":"pm"},"asset_id":{"type":"guid","lookup":"asset","required":true},"last_released":{"type":"date"},"last_closed":{"type":"date"},"next_due_date":{"type":"date"},"release_count":{"type":"int"},"costcode_id":{"type":"guid","lookup":"costcode"},"dept_id":{"type":"guid","lookup":"dept"},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['pm_audit'] = {"table_name":"pm_audit","module":"modCalemPm","cache_type":"database","primary_key":["id"],"indexes":{"idx_pm_audit":["pm_id"]},"fields":{"id":{"type":"guid"},"pm_id":{"type":"guid","lookup":"pm"},"audit_user_id":{"type":"guid","lookup":"users","required":true},"start_date":{"type":"date","required":true},"end_date":{"type":"date","required":true},"hours":{"type":"double","required":true},"comment":{"type":"text","required":true},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['pm_comment'] = {"table_name":"pm_comment","module":"modCalemPm","cache_type":"database","order_by":{"field":"modified_time","order":"DESC"},"primary_key":["id"],"indexes":{"idx_pm_comment_pm_id":["pm_id"],"idx_pm_comment_modified_time":["modified_time"]},"fields":{"id":{"type":"guid"},"pm_id":{"type":"guid","lookup":"pm","md":true},"comment":{"type":"text","required":true},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['pm_dependency'] = {"table_name":"pm_dependency","module":"modCalemPm","cache_type":"database","primary_key":["id"],"indexes":{"idx_pm_dependency_pm":["pm_id"],"idx_pm_dependency_child":["child_pm_id"]},"fields":{"id":{"type":"guid"},"pm_id":{"type":"guid","lookup":"pm"},"child_pm_id":{"type":"guid","lookup":"pm","required":true},"type_id":{"type":"guid","lookup":"pm_dependency_type"},"scope_id":{"type":"guid","lookup":"pm_dependency_scope"},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['pm_dependency_scope'] = {"table_name":"pm_dependency_scope","module":"modCalemPm","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"pm_dependency_scope","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['pm_dependency_type'] = {"table_name":"pm_dependency_type","module":"modCalemPm","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"pm_dependency_type","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['pm_doc'] = {"table_name":"pm_doc","module":"modCalemPm","cache_type":"database","primary_key":["id"],"indexes":{"idx_pm_doc":["pm_id"]},"fields":{"id":{"type":"guid"},"pm_id":{"type":"guid","lookup":"pm"},"seq":{"type":"int","required":true},"doc_id":{"type":"guid","lookup":"document","required":true},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['pm_downtime'] = {"table_name":"pm_downtime","module":"modCalemPm","cache_type":"database","dbo":{"path":"server\/modules\/pm\/","name":"CalemPmDowntimeDbo"},"primary_key":["id"],"indexes":{"idx_pm_downtime_pm":["pm_id"]},"fields":{"id":{"type":"guid"},"pm_id":{"type":"guid","lookup":"pm"},"hours":{"type":"double","required":true},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['pm_labor'] = {"table_name":"pm_labor","module":"modCalemPm","cache_type":"database","dbo":{"path":"server\/modules\/pm\/","name":"CalemPmLaborDbo"},"primary_key":["id"],"indexes":{"idx_pm_labor_pm":["pm_id"],"idx_pm_labor_craft":["craft_id"]},"fields":{"id":{"type":"guid"},"pm_id":{"type":"guid","lookup":"pm"},"craft_id":{"type":"guid","lookup":"craft","required":true},"hours":{"type":"double","required":true},"crew_size":{"type":"int"},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['pm_meter'] = {"table_name":"pm_meter","module":"modCalemPm","cache_type":"database","primary_key":["id"],"indexes":{"idx_pm_meter_asset":["pm_asset_id"],"idx_pm_meter_meter":["meter_id"]},"fields":{"id":{"type":"guid"},"pm_asset_id":{"type":"guid","lookup":"pm_asset"},"meter_id":{"type":"guid","lookup":"asset_meter","required":true},"release_by_meter":{"type":"boolean"},"reading_released":{"type":"double"},"rollover_count":{"type":"int"},"reading_interval":{"type":"double"},"copy_to_wo":{"type":"boolean"},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['pm_part'] = {"table_name":"pm_part","module":"modCalemPm","cache_type":"database","primary_key":["id"],"indexes":{"idx_pm_part_pm":["pm_id"],"idx_pm_part_in":["in_id"]},"fields":{"id":{"type":"guid"},"pm_id":{"type":"guid","lookup":"pm"},"in_id":{"type":"guid","lookup":"inventory","required":true},"qty":{"type":"double","required":true},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['pm_release_type'] = {"table_name":"pm_release_type","module":"modCalemPm","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"pm_release_type","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['pm_safety'] = {"table_name":"pm_safety","module":"modCalemPm","cache_type":"database","primary_key":["id"],"indexes":{"idx_pm_safety":["pm_id"]},"fields":{"id":{"type":"guid"},"pm_id":{"type":"guid","lookup":"pm"},"seq":{"type":"int","required":true},"description":{"type":"text","required":true,"label":"safety_description"},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['pm_schedule_type'] = {"table_name":"pm_schedule_type","module":"modCalemPm","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"pm_schedule_type","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['pm_season'] = {"table_name":"pm_season","module":"modCalemPm","cache_type":"database","primary_key":["id"],"indexes":{"idx_pm_season":["pm_asset_id"]},"fields":{"id":{"type":"guid"},"pm_asset_id":{"type":"guid","lookup":"pm_asset"},"start_date":{"type":"date","required":true},"end_date":{"type":"date","required":"true"},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['pm_status'] = {"table_name":"pm_status","module":"modCalemPm","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"pm_status","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['pm_step'] = {"table_name":"pm_step","module":"modCalemPm","cache_type":"database","primary_key":["id"],"indexes":{"idx_pm_step":["pm_id"]},"fields":{"id":{"type":"guid"},"pm_id":{"type":"guid","lookup":"pm"},"seq":{"type":"int","required":true},"description":{"type":"text","required":true,"label":"step_description"},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['pm_tool'] = {"table_name":"pm_tool","module":"modCalemPm","cache_type":"database","primary_key":["id"],"indexes":{"idx_pm_tool_pm":["pm_id"],"idx_pm_tool_in":["in_id"]},"fields":{"id":{"type":"guid"},"pm_id":{"type":"guid","lookup":"pm"},"in_id":{"type":"guid","lookup":"inventory","required":true},"qty":{"type":"double","required":true},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['po'] = {"table_name":"po","module":"modCalemPo","cache_type":"database","order_by":{"field":"po_no","order":"DESC"},"dbo":{"path":"server\/modules\/purchase\/","name":"CalemPoDbo"},"primary_key":["id"],"unique_indexes":{"uidx_po":["po_no"]},"lookup_mapping":{"field":"id","primary":"po_no"},"fields":{"id":{"type":"guid"},"po_no":{"type":"varchar","length":30,"required":true},"status_id":{"type":"guid","lookup":"po_status"},"state_id":{"type":"guid","lookup":"po_state"},"buyer_id":{"type":"guid","lookup":"users","required":true},"buyer_name":{"type":"varchar","length":50},"buyer_phone":{"type":"varchar","length":24},"po_date":{"type":"date"},"next_user_id":{"type":"guid","lookup":"users","label":"po_next_user"},"next_note":{"type":"varchar","length":76,"label":"po_next_note"},"vendor_id":{"type":"guid","lookup":"vendor","required":true},"vendor_addr":{"type":"varchar","length":512},"vendor_contact_id":{"type":"guid","lookup":"contact"},"vendor_contact_phone":{"type":"varchar","length":24},"payment_term_id":{"type":"guid","lookup":"payment_term"},"shipping_type_id":{"type":"guid","lookup":"shipping_type"},"shipping_term_id":{"type":"guid","lookup":"shipping_term"},"shipping_addr_id":{"type":"guid","lookup":"po_address","required":true},"billing_addr_id":{"type":"guid","lookup":"po_address","required":true},"po_item_total":{"type":"sys_currency"},"tax_rate_total":{"type":"percent"},"tax_charge":{"type":"sys_currency"},"total_charge":{"type":"sys_currency"},"comment":{"type":"text","label":"po_comment"},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['po_address'] = {"table_name":"po_address","module":"modCalemPo","cache_type":"memory","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"address"},"fields":{"id":{"type":"guid"},"address":{"type":"varchar","length":512,"required":true},"type_id":{"type":"guid","lookup":"po_address_type","label":"type_po_address"},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['po_address_type'] = {"table_name":"po_address_type","module":"modCalemPo","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"po_address_type","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['po_approval_level'] = {"table_name":"po_approval_level","module":"modCalemPo","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"po_approval_level","required":true},"amount":{"type":"sys_currency","label":"po_level_amount"},"fixed":{"type":"boolean"}}}
CalemMetadata['po_item'] = {"table_name":"po_item","module":"modCalemPo","cache_type":"database","dbo":{"path":"server\/modules\/purchase\/","name":"CalemPoItemDbo"},"order_by":{"field":"line_no","order":"ASC"},"primary_key":["id"],"indexes":{"idx_po_items_po":["po_id"],"idx_po_items_in":["in_id"],"idx_po_items_line_no":["line_no"]},"fields":{"id":{"type":"guid"},"line_no":{"type":"int","required":true},"po_id":{"type":"guid","lookup":"po"},"in_id":{"type":"guid","lookup":"inventory","required":true},"vendor_part_no":{"type":"varchar","length":50},"note":{"type":"varchar","length":76},"unit_cost":{"type":"sys_currency"},"qty":{"type":"double"},"qty_received":{"type":"double"},"uom_id":{"type":"guid","lookup":"uom"},"due_date":{"type":"date"},"line_cost":{"type":"sys_currency"},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['po_seq'] = {"table_name":"po_seq","module":"modCalemPo","cache_type":"database","fields":{"id":{"type":"int"}}}
CalemMetadata['po_state'] = {"table_name":"po_state","module":"modCalemPo","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"po_state","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['po_status'] = {"table_name":"po_status","module":"modCalemPo","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"po_status","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['po_status_log'] = {"table_name":"po_status_log","module":"modCalemPo","cache_type":"database","primary_key":["id"],"indexes":{"idx_po_status_log":["po_id"]},"fields":{"id":{"type":"guid"},"po_id":{"type":"guid","lookup":"po","md":true},"from_status_id":{"type":"guid","lookup":"po_status"},"to_status_id":{"type":"guid","lookup":"po_status"},"from_state_id":{"type":"guid","lookup":"po_state"},"to_state_id":{"type":"guid","lookup":"po_state"},"changed_by_id":{"type":"guid","lookup":"users","required":true},"created_time":{"type":"datetime"},"comment":{"type":"text","required":true}}}
CalemMetadata['project'] = {"table_name":"project","module":"modCalemProject","cache_type":"memory","order_by":{"field":"sched_start_time","order":"ASC"},"primary_key":["id"],"unique_indexes":{"uidx_project_project_no":["project_no"]},"indexes":{"idx_project_start_time":["sched_start_time"],"idx_project_parent_id":["parent_id"]},"lookup_mapping":{"field":"id","primary":"project_no"},"fields":{"id":{"type":"guid"},"project_no":{"type":"varchar","length":30,"required":true},"parent_id":{"type":"guid","lookup":"project","label":"parent_project"},"note":{"type":"varchar","length":76},"status_id":{"type":"guid","lookup":"project_status"},"priority_id":{"type":"guid","lookup":"project_priority"},"type_id":{"type":"guid","lookup":"project_type","label":"type_project"},"owner_user_id":{"type":"guid","lookup":"users","required":true},"sched_start_time":{"type":"datetime"},"sched_end_time":{"type":"datetime"},"actual_start_time":{"type":"datetime"},"actual_end_time":{"type":"datetime"},"sched_hours":{"type":"double"},"actual_hours":{"type":"double"},"percent_done":{"type":"percent"},"dept_id":{"type":"guid","lookup":"dept"},"costcode_id":{"type":"guid","lookup":"costcode"},"comment":{"type":"text","label":"project_comment"},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['project_priority'] = {"table_name":"project_priority","module":"modCalemProject","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"project_priority","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['project_status'] = {"table_name":"project_status","module":"modCalemProject","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"project_status","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['project_type'] = {"table_name":"project_type","module":"modCalemProject","cache_type":"memory","order_by":{"field":"type","order":"ASC"},"primary_key":["id"],"unique_indexes":{"uidx_project_type":["type"]},"lookup_mapping":{"field":"id","primary":"type"},"fields":{"id":{"type":"guid"},"type":{"type":"varchar","length":30,"required":true,"label":"type_project"},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['rcm_action'] = {"table_name":"rcm_action","module":"modCalemRcm","cache_type":"database","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"action"},"indexes":{"idx_rcm_action":["failure_id"]},"fields":{"id":{"type":"guid"},"failure_id":{"type":"guid","lookup":"rcm_failure"},"cause":{"type":"varchar","length":50,"required":true},"action":{"type":"varchar","length":50,"required":true},"cause_type_id":{"type":"guid","lookup":"rcm_cause_type"},"description":{"type":"text","label":"action_description"},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['rcm_action_part'] = {"table_name":"rcm_action_part","module":"modCalemRcm","cache_type":"database","primary_key":["id"],"indexes":{"idx_rcm_action_part":["action_id"]},"fields":{"id":{"type":"guid"},"action_id":{"type":"guid","lookup":"rcm_action","md":true},"in_id":{"type":"guid","lookup":"inventory"},"qty":{"type":"double"},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['rcm_cause_type'] = {"table_name":"rcm_cause_type","module":"modCalemRcm","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"rcm_cause_type","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['rcm_consequence'] = {"table_name":"rcm_consequence","module":"modCalemRcm","cache_type":"database","primary_key":["id"],"indexes":{"idx_rcm_consequence":["failure_id"]},"fields":{"id":{"type":"guid"},"failure_id":{"type":"guid","lookup":"rcm_failure"},"consequence":{"type":"varchar","length":50,"required":true},"type_id":{"type":"guid","lookup":"rcm_consequence_type"},"pm_policy_id":{"type":"guid","lookup":"rcm_pm_policy"},"description":{"type":"text","label":"consequence_description"},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['rcm_consequence_type'] = {"table_name":"rcm_consequence_type","module":"modCalemRcm","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"rcm_consequence_type","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['rcm_failure'] = {"table_name":"rcm_failure","module":"modCalemRcm","cache_type":"database","dbo":{"path":"server\/modules\/rcm\/","name":"CalemRcmFailureDbo"},"primary_key":["id"],"order_by":{"field":"failure","order":"ASC"},"unique_indexes":{"uidx_rcm_failure":["failure"]},"lookup_mapping":{"field":"id","primary":"failure","extra":["is_evident","note"]},"fields":{"id":{"type":"guid"},"failure":{"type":"varchar","length":"50","required":true},"is_evident":{"type":"boolean"},"function_id":{"type":"guid","lookup":"rcm_function","required":true},"template_id":{"type":"guid","lookup":"rcm_template"},"description":{"type":"text","label":"failure_description"},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['rcm_function'] = {"table_name":"rcm_function","module":"modCalemRcm","cache_type":"Database","primary_key":["id"],"order_by":{"field":"fn_name","order":"ASC"},"unique_indexes":{"uidx_rcm_function":["fn_name"]},"lookup_mapping":{"field":"id","primary":"fn_name"},"fields":{"id":{"type":"guid"},"fn_name":{"type":"varchar","length":"50","required":true},"template_id":{"type":"guid","lookup":"rcm_template","required":true},"description":{"type":"text","label":"function_description"},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['rcm_pm_policy'] = {"table_name":"rcm_pm_policy","module":"modCalemRcm","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"rcm_pm_policy","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['rcm_template'] = {"table_name":"rcm_template","module":"modCalemRcm","cache_type":"memory","order_by":{"field":"template","order":"ASC"},"primary_key":["id"],"unique_indexes":{"uidx_rcm_template":["template"]},"lookup_mapping":{"field":"id","primary":"template"},"fields":{"id":{"type":"guid"},"template":{"type":"varchar","length":30,"required":true,"label":"rcm_template"},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['recycle_bin'] = {"table_name":"recycle_bin","module":"modCalemRecycleBin","cache_type":"database","dbo":{"path":"server\/modules\/recycle_bin\/","name":"CalemRecycleBinDbo"},"primary_key":["id"],"indexes":{"idx_recycle_bin_table_name":["table_name"],"idx_recycle_bin_rec_id":["rec_id"]},"fields":{"id":{"type":"guid"},"parent_id":{"type":"guid"},"description":{"type":"varchar","length":256,"label":"rb_desc"},"table_name":{"type":"varchar","length":30},"rec_id":{"type":"guid"},"value_deleted":{"type":"TEXT"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['requisition'] = {"table_name":"requisition","module":"modCalemReq","cache_type":"database","dbo":{"path":"server\/modules\/requisition\/","name":"CalemReqDbo"},"order_by":{"field":"due_date","order":"DESC"},"primary_key":["id"],"unique_indexes":{"uidx_requisition":["req_no"]},"indexes":{"uidx_req_due_date":["due_date"]},"lookup_mapping":{"field":"id","primary":"req_no"},"fields":{"id":{"type":"guid"},"req_no":{"type":"varchar","length":30,"required":true},"description":{"type":"text","label":"req_description"},"priority_id":{"type":"guid","lookup":"req_priority"},"status_id":{"type":"guid","lookup":"req_status"},"req_on_po_id":{"type":"guid","lookup":"req_on_po"},"source_id":{"type":"guid","lookup":"req_source"},"state_id":{"type":"guid","lookup":"req_state"},"due_date":{"type":"date","required":true},"shipping_type_id":{"type":"guid","lookup":"shipping_type"},"wo_id":{"type":"guid","lookup":"workorder"},"request_user_id":{"type":"guid","lookup":"users","required":true},"request_time":{"type":"datetime","required":true},"req_total":{"type":"sys_currency"},"costcode_id":{"type":"guid","lookup":"costcode"},"dept_id":{"type":"guid","lookup":"dept"},"next_user_id":{"type":"guid","lookup":"users","label":"req_next_user"},"next_note":{"type":"varchar","length":76,"label":"req_next_note"},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['req_approval_level'] = {"table_name":"req_approval_level","module":"modCalemReq","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"req_approval_level","required":true},"amount":{"type":"sys_currency","label":"req_level_amount"},"fixed":{"type":"boolean"}}}
CalemMetadata['req_item'] = {"table_name":"req_item","module":"modCalemReq","cache_type":"database","dbo":{"path":"server\/modules\/requisition\/","name":"CalemReqItemDbo"},"primary_key":["id"],"unique_indexes":{"uidx_requisition":["req_id","in_id"]},"indexes":{"idx_req_item_in":["in_id"],"idx_req_item_vendor":["vendor_id"],"idx_req_item_po":["po_id"]},"fields":{"id":{"type":"guid"},"req_id":{"type":"guid","lookup":"requisition"},"in_id":{"type":"guid","lookup":"inventory","required":true},"vendor_id":{"type":"guid","lookup":"vendor"},"vendor_part_no":{"type":"varchar","length":50},"unit_cost":{"type":"sys_currency","minVal":0},"qty":{"type":"double","minVal":0.001,"required":true},"uom_id":{"type":"guid","lookup":"uom"},"line_cost":{"type":"sys_currency"},"po_id":{"type":"guid","lookup":"po"},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['req_on_po'] = {"table_name":"req_on_po","module":"modCalemReq","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"req_on_po","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['req_priority'] = {"table_name":"req_priority","module":"modCalemReq","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"req_priority","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['req_seq'] = {"table_name":"req_seq","module":"modCalemReq","cache_type":"database","fields":{"id":{"type":"int"}}}
CalemMetadata['req_source'] = {"table_name":"req_source","module":"modCalemReq","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"req_source","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['req_state'] = {"table_name":"req_state","module":"modCalemReq","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"req_state","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['req_status'] = {"table_name":"req_status","module":"modCalemReq","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"req_status","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['req_status_log'] = {"table_name":"req_status_log","module":"modCalemReq","cache_type":"database","primary_key":["id"],"order_by":{"field":"created_time","order":"DESC"},"indexes":{"idx_req_status_log":["req_id"],"idx_req_status_time":["created_time"]},"fields":{"id":{"type":"guid"},"req_id":{"type":"guid","lookup":"requisition","md":true},"from_status_id":{"type":"guid","lookup":"req_status"},"to_status_id":{"type":"guid","lookup":"req_status"},"from_state_id":{"type":"guid","lookup":"req_state"},"to_state_id":{"type":"guid","lookup":"req_state"},"changed_by_id":{"type":"guid","lookup":"users","required":true},"created_time":{"type":"datetime"},"comment":{"type":"text","required":true}}}
CalemMetadata['scheduler_job'] = {"table_name":"scheduler_job","module":"modCalemAdmin","cache_type":"memory","order_by":{"field":"start_seq","order":"ASC"},"dbo":{"path":"server\/modules\/admin\/","name":"CalemSchedulerJobDbo"},"primary_key":["id"],"lookup_mapping":{"field":"id","primary":"note"},"fields":{"id":{"type":"guid"},"task_id":{"type":"guid","lookup":"scheduler_task","required":true},"note":{"type":"varchar","length":76,"label":"scheduler_job_note"},"is_active":{"type":"boolean"},"start_seq":{"type":"int","default":0},"release_time":{"type":"varchar","length":512},"release_day":{"type":"varchar","length":1024},"time_due":{"type":"datetime"},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['scheduler_job_log'] = {"table_name":"scheduler_job_log","module":"modCalemAdmin","cache_type":"database","order_by":{"field":"start_time","order":"DESC"},"primary_key":["id"],"indexes":{"idx_scheduler_job_log":["start_time"]},"fields":{"id":{"type":"guid"},"job_id":{"type":"guid","lookup":"scheduler_job","md":true},"start_time":{"type":"datetime"},"end_time":{"type":"datetime"},"time_taken":{"type":"double","label":"scheduler_time_taken"},"results":{"type":"text"},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['scheduler_task'] = {"table_name":"scheduler_task","module":"modCalemAdmin","cache_type":"memory","order_by":{"field":"task","order":"ASC"},"primary_key":["id"],"unique_indexes":{"uidx_scheduler_task":["task"]},"lookup_mapping":{"field":"id","primary":"task"},"fields":{"id":{"type":"guid"},"task":{"type":"varchar","length":30,"required":true},"note":{"type":"varchar","length":76,"label":"scheduler_task_note"},"class_name":{"type":"varchar","length":76,"required":true},"class_path":{"type":"varchar","length":76,"required":true},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['sched_shutdown'] = {"table_name":"sched_shutdown","module":"modCalemSched","cache_type":"memory","order_by":{"field":"start_time","order":"DESC"},"primary_key":["id"],"unique_indexes":{"uidx_sched_shutdown":["shutdown"]},"indexes":{"idx_sched_shutdown_start":["start_time"]},"fields":{"id":{"type":"guid"},"shutdown":{"type":"varchar","length":30,"required":true},"start_time":{"type":"datetime","required":true},"end_time":{"type":"datetime","required":true},"hours":{"type":"double"},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['sched_user'] = {"table_name":"sched_user","module":"modCalemSched","cache_type":"database","order_by":{"field":"sched_date","order":"DESC"},"primary_key":["id"],"unique_indexes":{"uidx_sched_user":["user_id","sched_date","shift_id"]},"indexes":{"idx_sched_user_date":["sched_date"]},"fields":{"id":{"type":"guid"},"user_id":{"type":"guid","lookup":"users","required":true},"sched_date":{"type":"date","required":true},"shift_id":{"type":"guid","lookup":"shift","required":true},"total_hours":{"type":"double"},"sched_hours":{"type":"double","required":true},"hours_sched":{"type":"double"},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['search_admin'] = {"table_name":"search_admin","module":"modCalemAdmin","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['semaphore'] = {"table_name":"semaphore","module":"modAdmin","cache_type":"database","primary_key":["id"],"fields":{"id":{"type":"guid"},"expire_time":{"type":"datetime"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['shift'] = {"table_name":"shift","module":"modCalemSched","cache_type":"dropdown","lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","required":true},"start_time":{"type":"time","required":true},"end_time":{"type":"time","required":true},"total_hours":{"type":"double","required":true},"sched_hours":{"type":"double","required":true},"other_hours":{"type":"double"},"fixed":{"type":"boolean"}}}
CalemMetadata['shipping_term'] = {"table_name":"shipping_term","module":"modCalemPo","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"shipping_term","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['shipping_type'] = {"table_name":"shipping_type","module":"modCalemPo","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"shipping_type","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['tax_code'] = {"table_name":"tax_code","module":"modCalemPo","cache_type":"memory","order_by":{"field":"tax_code","order":"ASC"},"primary_key":["id"],"unique_indexes":{"uidx_tax_code":["tax_code"]},"lookup_mapping":{"field":"id","primary":"tax_code"},"fields":{"id":{"type":"guid"},"tax_code":{"type":"varchar","length":30,"required":true},"tax_rate_total":{"type":"percent"},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['tax_rate'] = {"table_name":"tax_rate","module":"modCalemPo","cache_type":"database","dbo":{"path":"server\/modules\/purchase\/","name":"CalemTaxRateDbo"},"primary_key":["id"],"indexes":{"idx_tax_code":["tax_code_id"]},"fields":{"id":{"type":"guid"},"tax_code_id":{"type":"guid","lookup":"tax_code","md":true},"tax_rate":{"type":"percent","required":true,"minVal":0},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['team'] = {"table_name":"team","module":"modCalemAdmin","cache_type":"memory","order_by":{"field":"team","order":"ASC"},"primary_key":["id"],"unique_indexes":{"uidx_team_team":["team"]},"lookup_mapping":{"field":"id","primary":"team","extra":["team","note"]},"fields":{"id":{"type":"guid"},"team":{"type":"varchar","length":30,"required":true},"note":{"type":"varchar","length":76},"lead_id":{"type":"guid","lookup":"users"},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['training'] = {"table_name":"training","module":"modCalemTraining","cache_type":"database","order_by":{"field":"start_time","order":"DESC"},"primary_key":["id"],"unique_indexes":{"uidx_training":["training"]},"lookup_mapping":{"field":"id","primary":"training"},"indexes":{"idx_training_course":["course_id"],"idx_training_start":["start_time"]},"fields":{"id":{"type":"guid"},"training":{"type":"varchar","length":50,"required":true},"course_id":{"type":"guid","lookup":"training_course"},"instructor_user_id":{"type":"guid","lookup":"users"},"instructor_contact_id":{"type":"guid","lookup":"contact"},"start_time":{"type":"datetime","required":true},"end_time":{"type":"datetime","required":true},"certificate_id":{"type":"guid","lookup":"training_certificate"},"description":{"type":"text","label":"training_description"},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['training_certificate'] = {"table_name":"training_certificate","module":"modCalemTraining","cache_type":"memory","order_by":{"field":"certificate","order":"ASC"},"primary_key":["id"],"unique_indexes":{"uidx_certificate":["certificate"]},"lookup_mapping":{"field":"id","primary":"certificate"},"fields":{"id":{"type":"guid"},"certificate":{"type":"varchar","length":30,"required":true},"description":{"type":"text","label":"certificate_description"},"days_valid":{"type":"int"},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['training_course'] = {"table_name":"training_course","module":"modCalemTraining","cache_type":"memory","order_by":{"field":"course","order":"ASC"},"primary_key":["id"],"unique_indexes":{"uidx_course":["course"]},"lookup_mapping":{"field":"id","primary":"course"},"fields":{"id":{"type":"guid"},"course":{"type":"varchar","length":30,"required":true},"description":{"type":"text","label":"course_description"},"type_id":{"type":"guid","lookup":"training_course_type"},"hours":{"type":"double"},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['training_course_type'] = {"table_name":"training_course_type","module":"modCalemTraining","cache_type":"memory","order_by":{"field":"type","order":"ASC"},"primary_key":["id"],"unique_indexes":{"uidx_course_type":["type"]},"lookup_mapping":{"field":"id","primary":"type"},"fields":{"id":{"type":"guid"},"type":{"type":"varchar","length":30,"label":"course_type","required":true},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['training_status'] = {"table_name":"training_status","module":"modCalemTraining","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"training_status","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['training_user'] = {"table_name":"training_user","module":"modCalemTraining","cache_type":"database","primary_key":["id"],"indexes":{"idx_training_user_user":["user_id"],"idx_training_user_training":["training_id"]},"fields":{"id":{"type":"guid"},"training_id":{"type":"guid","lookup":"training","md":true},"user_id":{"type":"guid","lookup":"users","required":true},"status_id":{"type":"guid","lookup":"training_status"},"comment":{"type":"text"},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['uom'] = {"table_name":"uom","module":"modCalemIn","cache_type":"memory","order_by":{"field":"uom","order":"ASC"},"primary_key":["id"],"unique_indexes":{"uidx_uom":["uom"]},"lookup_mapping":{"field":"id","primary":"uom"},"fields":{"id":{"type":"guid"},"uom":{"type":"varchar","length":30,"label":"uom_fld","required":true},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['uom_map'] = {"table_name":"uom_map","module":"modCalemIn","cache_type":"memory","order_by":{"field":"uom_src_id","order":"ASC"},"primary_key":["id"],"indexes":{"idx_uom_src":["uom_src_id"],"idx_uom_dst":["uom_dst_id"]},"lookup_mapping":{"field":"id","primary":"uom_src_id"},"fields":{"id":{"type":"guid"},"uom_src_id":{"type":"guid","lookup":"uom","required":true},"uom_dst_id":{"type":"guid","lookup":"uom","required":true},"qty":{"type":"double","required":true},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['users'] = {"table_name":"users","dbo":{"path":"server\/modules\/admin\/","name":"CalemUserDbo"},"module":"modCalemAdmin","cache_type":"memory","order_by":{"field":"username","order":"ASC"},"primary_key":["id"],"unique_indexes":{"uidx_users_username":["username"]},"lookup_mapping":{"field":"id","primary":"username","extra":["username","full_name","phone_work","phone_mobile","email_work"]},"fields":{"id":{"type":"guid"},"username":{"type":"varchar","length":50,"required":true},"status_id":{"type":"guid","lookup":"user_status"},"password":{"type":"varchar","length":32,"input_length":20,"required":true,"is_password":true},"user_type_id":{"type":"guid","lookup":"user_type"},"emp_no":{"type":"varchar","length":30},"contractor_id":{"type":"guid","lookup":"vendor"},"job_role_id":{"type":"guid","lookup":"job_role"},"login_allowed":{"type":"boolean","default":1},"full_name":{"type":"varchar","length":50,"required":true},"job_title":{"type":"varchar","length":30},"note":{"type":"varchar","length":76},"acl_group_id":{"type":"guid","lookup":"acl_group","required":true},"admin_type_id":{"type":"guid","lookup":"search_admin","default":"search_admin_none"},"team_id":{"type":"guid","lookup":"team"},"supervisor_id":{"type":"guid","lookup":"users"},"dept_id":{"type":"guid","lookup":"dept"},"costcode_id":{"type":"guid","lookup":"costcode"},"req_approval_id":{"type":"guid","lookup":"req_approval_level"},"po_approval_id":{"type":"guid","lookup":"po_approval_level"},"craft_id":{"type":"guid","lookup":"craft"},"phone_work":{"type":"varchar","length":24},"phone_home":{"type":"varchar","length":16},"phone_mobile":{"type":"varchar","length":16},"email_work":{"type":"varchar","length":50},"email_other":{"type":"varchar","length":50},"im1_type_id":{"type":"guid","lookup":"im_type"},"im1_id":{"type":"varchar","length":30},"im2_type_id":{"type":"guid","lookup":"im_type"},"im2_id":{"type":"varchar","length":30},"fax":{"type":"varchar","length":16},"company":{"type":"varchar","length":50},"street1":{"type":"varchar","length":50},"street2":{"type":"varchar","length":50},"city":{"type":"varchar","length":50},"state":{"type":"varchar","length":50},"zip":{"type":"varchar","length":16},"country":{"type":"varchar","length":50},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['user_status'] = {"table_name":"user_status","module":"modCalemAdmin","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"user_status","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['user_type'] = {"table_name":"user_type","module":"modCalemAdmin","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['vendor'] = {"table_name":"vendor","module":"modCalemVendor","cache_type":"memory","order_by":{"field":"vendor","order":"ASC"},"primary_key":["id"],"unique_indexes":{"uidx_vendor":["vendor"]},"lookup_mapping":{"field":"id","primary":"vendor"},"fields":{"id":{"type":"guid"},"vendor":{"type":"varchar","length":30,"required":true},"tax_code_id":{"type":"guid","lookup":"tax_code"},"status_id":{"type":"guid","lookup":"vendor_status"},"owner_user_id":{"type":"guid","lookup":"users"},"note":{"type":"varchar","length":76},"contact_id":{"type":"guid","lookup":"contact"},"address":{"type":"varchar","length":512,"label":"vendor_address"},"comment":{"type":"text","label":"vendor_comment"},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['vendor_contact'] = {"table_name":"vendor_contact","module":"modCalemVendor","cache_type":"database","order_by":{"field":"contact_id","order":"ASC"},"primary_key":["id"],"indexes":{"idx_vendor_contact_v":["vendor_id"],"idx_vendor_contact_c":["contact_id"]},"fields":{"id":{"type":"guid"},"vendor_id":{"type":"guid","lookup":"vendor","required":true},"contact_id":{"type":"guid","lookup":"contact","required":true},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['vendor_status'] = {"table_name":"vendor_status","module":"modCalemVendor","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['version'] = {"table_name":"version","module":"modCalemAdmin","cache_type":"memory","primary_key":["id"],"fields":{"id":{"type":"guid"},"vid":{"type":"varchar","length":30},"note":{"type":"varchar","length":76},"props":{"type":"varchar","length":2000},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['version_status'] = {"table_name":"version_status","module":"modCalemAdmin","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"version_status","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['version_upgrade_log'] = {"table_name":"version_upgrade_log","module":"modCalemAdmin","cache_type":"database","primary_key":["id"],"fields":{"id":{"type":"guid"},"vid":{"type":"varchar","length":30},"ver_note":{"type":"varchar","length":76},"prev_vid":{"type":"varchar","length":30},"prev_ver_note":{"type":"varchar","length":76},"prev_props":{"type":"varchar","length":2000},"status_id":{"type":"guid","lookup":"version_status"},"start_time":{"type":"datetime"},"end_time":{"type":"datetime"},"upgrade_note":{"type":"varchar","length":76},"results":{"type":"text","label":"upgrade_log"},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['workorder'] = {"table_name":"workorder","module":"modCalemWo","cache_type":"database","dbo":{"path":"server\/modules\/workorder\/","name":"CalemWoDbo"},"order_by":{"field":"sched_finish_time","order":"DESC"},"primary_key":["id"],"unique_indexes":{"uidx_workorder_wo_no":["wo_no"]},"indexes":{"idx_wo_sched_completion_time":["sched_finish_time"],"idx_wo_asset":["asset_id"],"idx_wo_pm":["pm_id"],"idx_wo_costcode":["costcode_id"],"idx_wo_orig_user":["orig_contact_id"],"idx_wo_assigned_to":["assigned_to_id"],"idx_wo_assigned_team":["assigned_team_id"]},"lookup_mapping":{"field":"id","primary":"wo_no"},"fields":{"id":{"type":"guid"},"wo_no":{"type":"varchar","length":30,"required":true},"note":{"type":"varchar","length":76},"description":{"type":"text","required":true,"label":"wo_description"},"asset_id":{"type":"guid","lookup":"asset","required":true},"pm_id":{"type":"guid","lookup":"pm"},"asset_note":{"type":"varchar","length":76},"category_id":{"type":"guid","lookup":"wo_category"},"status_id":{"type":"guid","lookup":"wo_status"},"priority_id":{"type":"guid","lookup":"wo_priority"},"resolution_id":{"type":"guid","lookup":"wo_resolution"},"duplicate_wo_id":{"type":"guid","lookup":"workorder"},"rcm_action_id":{"type":"guid","lookup":"rcm_action"},"parent_wo_id":{"type":"guid","lookup":"workorder"},"origin_id":{"type":"guid","lookup":"wo_origin"},"rework_wo_id":{"type":"guid","lookup":"workorder"},"orig_contact_id":{"type":"guid","lookup":"contact"},"orig_user_id":{"type":"guid","lookup":"users","required":true},"orig_time":{"type":"datetime","required":true},"assigned_team_id":{"type":"guid","lookup":"team"},"assigned_to_id":{"type":"guid","lookup":"users"},"assigned_by_id":{"type":"guid","lookup":"users"},"assigned_time":{"type":"datetime"},"time_needed":{"type":"datetime"},"planned_start_time":{"type":"datetime"},"sched_start_time":{"type":"datetime"},"sched_start_shift_id":{"type":"guid","lookup":"shift"},"actual_start_time":{"type":"datetime"},"actual_start_shift_id":{"type":"guid","lookup":"shift"},"planned_finish_time":{"type":"datetime"},"sched_finish_time":{"type":"datetime"},"sched_finish_shift_id":{"type":"guid","lookup":"shift"},"actual_finish_time":{"type":"datetime"},"actual_finish_shift_id":{"type":"guid","lookup":"shift"},"costcode_id":{"type":"guid","lookup":"costcode"},"project_id":{"type":"guid","lookup":"project"},"dept_id":{"type":"guid","lookup":"dept"},"planned_labor_hours":{"type":"double"},"sched_labor_hours":{"type":"double"},"actual_labor_hours":{"type":"double"},"labor_cost":{"type":"sys_currency"},"material_cost":{"type":"sys_currency"},"total_cost":{"type":"sys_currency"},"planned_downtime_hours":{"type":"double"},"actual_downtime_hours":{"type":"double"},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['wo_attachment'] = {"table_name":"wo_attachment","module":"modCalemWo","cache_type":"database","primary_key":["id"],"indexes":{"idx_wo_attachment_wo_id":["wo_id"]},"fields":{"id":{"type":"guid"},"wo_id":{"type":"guid","lookup":"workorder","md":true},"file_url":{"type":"varchar","length":1000,"required":true},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['wo_category'] = {"table_name":"wo_category","module":"modCalemWo","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"wo_category","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['wo_comment'] = {"table_name":"wo_comment","module":"modCalemWo","cache_type":"database","order_by":{"field":"modified_time","order":"DESC"},"primary_key":["id"],"indexes":{"idx_wo_comment_wo_id":["wo_id"],"idx_wo_comment_modified_time":["modified_time"]},"fields":{"id":{"type":"guid"},"wo_id":{"type":"guid","lookup":"workorder"},"comment":{"type":"text"},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['wo_doc'] = {"table_name":"wo_doc","module":"modCalemWo","cache_type":"database","order_by":{"field":"seq","order":"ASC"},"primary_key":["id"],"indexes":{"idx_wo_doc_wo_id":["wo_id"]},"fields":{"id":{"type":"guid"},"wo_id":{"type":"guid","lookup":"workorder","md":true},"seq":{"type":"int","required":true},"doc_id":{"type":"guid","lookup":"document","required":true},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['wo_generation'] = {"table_name":"wo_generation","module":"modCalemWo","cache_type":"database","order_by":{"field":"modified_time","order":"DESC"},"primary_key":["id"],"fields":{"id":{"type":"guid"},"status_id":{"type":"guid","lookup":"wo_gen_status"},"to_date":{"type":"date"},"wo_count":{"type":"int"},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime","label":"wogen_end_time"},"created_time":{"type":"datetime","label":"wogen_start_time"},"created_id":{"type":"guid","lookup":"users","label":"wogen_user_id"}}}
CalemMetadata['wo_gen_status'] = {"table_name":"wo_gen_status","module":"modCalemWo","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"wogen_status","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['wo_labor'] = {"table_name":"wo_labor","module":"modCalemWo","cache_type":"database","order_by":{"field":"start_time","order":"DESC"},"dbo":{"path":"server\/modules\/workorder\/","name":"CalemWoLaborDbo"},"primary_key":["id"],"indexes":{"idx_wo_labor_wo_id":["wo_id"],"idx_wo_labor_user_id":["user_id"],"idx_wo_labor_start_time":["start_time"]},"fields":{"id":{"type":"guid"},"wo_id":{"type":"guid","lookup":"workorder","md":true},"user_id":{"type":"guid","lookup":"users","required":true},"time_type_id":{"type":"guid","lookup":"wo_time_type"},"start_time":{"type":"datetime","required":true},"shift_id":{"type":"guid","lookup":"shift"},"craft_id":{"type":"guid","lookup":"craft"},"hours":{"type":"double","minVal":0,"required":true},"ot_hours":{"type":"double","minVal":0},"rate":{"type":"sys_currency","minVal":0},"ot_factor":{"type":"double","minVal":0},"line_cost":{"type":"double","minVal":0},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['wo_meter'] = {"table_name":"wo_meter","module":"modCalemWo","cache_type":"database","order_by":{"field":"meter_id","order":"ASC"},"primary_key":["id"],"indexes":{"idx_wo_meter_wo_id":["wo_id"],"idx_wo_meter_meter_id":["meter_id"]},"fields":{"id":{"type":"guid"},"wo_id":{"type":"guid","lookup":"workorder","md":true},"meter_id":{"type":"guid","lookup":"asset_meter","required":true},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['wo_origin'] = {"table_name":"wo_origin","module":"modCalemWo","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id","label":"wo_origin"},"fields":{"id":{"type":"guid","label":"wo_origin","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['wo_part'] = {"table_name":"wo_part","module":"modCalemWo","cache_type":"database","order_by":{"field":"in_id","order":"ASC"},"dbo":{"path":"server\/modules\/workorder\/","name":"CalemWoPartDbo"},"primary_key":["id"],"unique_indexes":{"uidx_wo_part":["wo_id","in_id"]},"indexes":{"idx_wo_part_in_id":["in_id"]},"fields":{"id":{"type":"guid"},"wo_id":{"type":"guid","lookup":"workorder","md":true},"in_id":{"type":"guid","lookup":"inventory","required":true,"label":"part_in_id"},"qty_used":{"type":"double","required":true,"minVal":0},"line_cost":{"type":"sys_currency"},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['wo_planned_downtime'] = {"table_name":"wo_planned_downtime","module":"modCalemWo","cache_type":"database","dbo":{"path":"server\/modules\/workorder\/","name":"CalemWoPlannedDowntimeDbo"},"primary_key":["id"],"indexes":{"idx_wo_downtime_wo":["wo_id"]},"fields":{"id":{"type":"guid"},"wo_id":{"type":"guid","lookup":"workorder"},"hours":{"type":"double","required":true,"minVal":0},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['wo_planned_labor'] = {"table_name":"wo_planned_labor","module":"modCalemWo","cache_type":"database","order_by":{"field":"craft_id","order":"ASC"},"dbo":{"path":"server\/modules\/workorder\/","name":"CalemWoPlannedLaborDbo"},"primary_key":["id"],"indexes":{"idx_wo_planned_labor_wo":["wo_id"],"idx_wo_planned_labor_craft":["craft_id"]},"fields":{"id":{"type":"guid"},"wo_id":{"type":"guid","lookup":"workorder","md":true},"craft_id":{"type":"guid","lookup":"craft","required":true},"hours":{"type":"double","required":true,"minVal":0},"crew_size":{"type":"int"},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['wo_planned_part'] = {"table_name":"wo_planned_part","module":"modCalemWo","cache_type":"database","order_by":{"field":"in_id","order":"ASC"},"dbo":{"path":"server\/modules\/workorder\/","name":"CalemWoPlannedPartDbo"},"primary_key":["id"],"indexes":{"idx_wo_planned_part_wo_id":["wo_id"],"idx_wo_planned_part_in":["in_id"]},"fields":{"id":{"type":"guid"},"wo_id":{"type":"guid","lookup":"workorder","md":true},"in_id":{"type":"guid","lookup":"inventory","required":true,"label":"part_in_id"},"qty":{"type":"double","minVal":0},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['wo_planned_tool'] = {"table_name":"wo_planned_tool","module":"modCalemWo","cache_type":"database","order_by":{"field":"in_id","order":"ASC"},"primary_key":["id"],"indexes":{"idx_wo_planned_tool_wo_id":["wo_id"],"idx_wo_planned_tool_in":["in_id"]},"fields":{"id":{"type":"guid"},"wo_id":{"type":"guid","lookup":"workorder","md":true},"in_id":{"type":"guid","lookup":"inventory","required":true,"label":"tool_in_id"},"qty":{"type":"double","minVal":0},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['wo_pm_select'] = {"table_name":"wo_pm_select","module":"modCalemWo","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"wo_pm_select","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['wo_priority'] = {"table_name":"wo_priority","module":"modCalemWo","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"wo_priority","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['wo_resolution'] = {"table_name":"wo_resolution","module":"modCalemWo","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"wo_resolution","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['wo_safety'] = {"table_name":"wo_safety","module":"modCalemWo","cache_type":"database","order_by":{"field":"seq","order":"ASC"},"primary_key":["id"],"indexes":{"idx_wo_safety_wo_id":["wo_id"]},"fields":{"id":{"type":"guid"},"wo_id":{"type":"guid","lookup":"workorder","md":true},"seq":{"type":"int","required":true},"description":{"type":"text","required":true,"label":"safety_description"},"followed":{"type":"boolean"},"followed_by_id":{"type":"guid","lookup":"users"},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['wo_sched_labor'] = {"table_name":"wo_sched_labor","module":"modCalemWo","cache_type":"database","order_by":{"field":"start_time","order":"DESC"},"dbo":{"path":"server\/modules\/workorder\/","name":"CalemWoSchedLaborDbo"},"primary_key":["id"],"indexes":{"idx_sched_labor_wo_id":["wo_id"],"idx_sched_labor_user_id":["user_id"],"idx_sched_labor_start":["start_time"]},"fields":{"id":{"type":"guid"},"wo_id":{"type":"guid","lookup":"workorder"},"user_id":{"type":"guid","lookup":"users","required":true},"start_time":{"type":"datetime","required":true},"shift_id":{"type":"guid","lookup":"shift"},"hours":{"type":"double","minVal":0},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['wo_semaphore'] = {"table_name":"wo_semaphore","module":"modCalemWo","cache_type":"database","primary_key":["id"],"fields":{"id":{"type":"guid"},"expiration":{"type":"datetime"},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['wo_seq'] = {"table_name":"wo_seq","module":"modCalemWo","cache_type":"database","fields":{"id":{"type":"int"}}}
CalemMetadata['wo_status'] = {"table_name":"wo_status","module":"modCalemWo","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"wo_status","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['wo_status_log'] = {"table_name":"wo_status_log","module":"modCalemWo","cache_type":"database","order_by":{"field":"created_time","order":"DESC"},"primary_key":["id"],"indexes":{"idx_wo_status_log_wo":["wo_id"],"idx_wo_status_log_time":["created_time"]},"fields":{"id":{"type":"guid"},"wo_id":{"type":"guid","lookup":"workorder","md":true},"to_status_id":{"type":"guid","lookup":"wo_status"},"from_status_id":{"type":"guid","lookup":"wo_status"},"changed_by_id":{"type":"guid","lookup":"users","required":true},"created_time":{"type":"datetime"},"comment":{"type":"text","required":true}}}
CalemMetadata['wo_step'] = {"table_name":"wo_step","module":"modCalemWo","cache_type":"database","order_by":{"field":"seq","order":"ASC"},"primary_key":["id"],"indexes":{"idx_wo_step_wo_id":["wo_id"]},"fields":{"id":{"type":"guid"},"wo_id":{"type":"guid","lookup":"workorder","md":true},"seq":{"type":"int","required":true},"description":{"type":"text","required":true,"label":"step_description"},"completed":{"type":"boolean"},"completed_by_id":{"type":"guid","lookup":"users"},"completed_time":{"type":"datetime"},"shift_id":{"type":"guid","lookup":"shift"},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['wo_time_type'] = {"table_name":"wo_time_type","module":"modCalemWo","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid","label":"wo_time_type","required":true},"fixed":{"type":"boolean"}}}
CalemMetadata['wo_tool'] = {"table_name":"wo_tool","module":"modCalemWo","cache_type":"database","order_by":{"field":"in_id","order":"ASC"},"dbo":{"path":"server\/modules\/workorder\/","name":"CalemWoToolDbo"},"primary_key":["id"],"unique_indexes":{"uidx_wo_tool":["wo_id","in_id"]},"indexes":{"idx_wo_tool_in_id":["in_id"]},"fields":{"id":{"type":"guid"},"wo_id":{"type":"guid","lookup":"workorder","md":true},"in_id":{"type":"guid","lookup":"inventory","required":true,"label":"tool_in_id"},"qty_checkout":{"type":"double"},"qty_return":{"type":"double"},"line_cost":{"type":"sys_currency"},"note":{"type":"varchar","length":76},"modified_time":{"type":"datetime"},"modified_id":{"type":"guid","lookup":"users"},"created_time":{"type":"datetime"},"created_id":{"type":"guid","lookup":"users"}}}
CalemMetadata['in_vt_checkin'] = {"table_name":"in_vt_checkin","module":"modCalemIn","cache_type":"memory","fields":{"id":{"type":"guid"},"in_id":{"type":"guid","lookup":"inventory"},"qty":{"type":"double","required":true,"minVal":0.001},"location_id":{"type":"guid","lookup":"in_location","required":true},"unit_cost":{"type":"sys_currency","required":true},"costcode_id":{"type":"guid","lookup":"costcode","required":true},"note":{"type":"varchar","length":76},"tran_time":{"type":"datetime","required":true},"tran_user_id":{"type":"guid","lookup":"users","required":true},"store_user_id":{"type":"guid","lookup":"users","required":true}}}
CalemMetadata['in_vt_checkout_loc'] = {"table_name":"in_vt_checkout_loc","module":"modCalemIn","cache_type":"memory","fields":{"id":{"type":"guid"},"in_id":{"type":"guid","lookup":"inventory"},"location_id":{"type":"guid","lookup":"in_location"},"stock_qty":{"type":"double"},"qty":{"type":"double","required":true},"checkout_to":{"type":"varchar","required":true,"length":256},"wo_id":{"type":"guid","lookup":"workorder","required":true},"asset_id":{"type":"guid","lookup":"asset","required":true},"user_id":{"type":"guid","lookup":"users","required":true},"project_id":{"type":"guid","lookup":"project","required":true},"costcode_id":{"type":"guid","lookup":"costcode","required":true},"note":{"type":"varchar","length":76},"tran_time":{"type":"datetime","required":true},"tran_user_id":{"type":"guid","lookup":"users","label":"checkout_user","required":true},"store_user_id":{"type":"guid","lookup":"users","required":true}}}
CalemMetadata['in_vt_move'] = {"table_name":"in_vt_move","module":"modCalemIn","cache_type":"memory","fields":{"id":{"type":"guid"},"in_id":{"type":"guid","lookup":"inventory"},"qty":{"label":"qty_to_move","type":"double","required":true},"location_id":{"type":"guid","label":"loc_to_move","lookup":"in_location","required":true},"orig_loc_id":{"type":"guid","lookup":"in_location"},"qty_orig":{"type":"double"},"note":{"type":"varchar","length":76},"tran_time":{"type":"datetime","required":true},"tran_user_id":{"type":"guid","lookup":"users","label":"user_moved","required":true},"store_user_id":{"type":"guid","lookup":"users","required":true}}}
CalemMetadata['in_vt_physical'] = {"table_name":"in_vt_physical","module":"modCalemIn","cache_type":"memory","fields":{"id":{"type":"guid"},"in_id":{"type":"guid","lookup":"inventory"},"location_id":{"type":"guid","lookup":"in_location"},"stock_qty":{"type":"double"},"qty":{"type":"double","required":true,"label":"qty_new","minVal":0},"note":{"type":"varchar","length":76},"tran_time":{"type":"datetime","required":true},"tran_user_id":{"type":"guid","lookup":"users","label":"user_counted","required":true},"store_user_id":{"type":"guid","lookup":"users","required":true}}}
CalemMetadata['in_vt_qty_checkout'] = {"table_name":"in_vt_qty_checkout","module":"modCalemWo","cache_type":"memory","fields":{"id":{"type":"guid"},"qty":{"type":"double","required":true,"label":"qty_to_checkout"},"qty_remaining":{"type":"double"},"qty_in_stock":{"type":"double"},"location_id":{"type":"guid","lookup":"in_location"}}}
CalemMetadata['in_vt_receive'] = {"table_name":"in_vt_receive","module":"modCalemIn","cache_type":"memory","fields":{"id":{"type":"guid"},"in_id":{"type":"guid","lookup":"inventory"},"po_id":{"type":"guid","lookup":"po","required":true},"receipt_no":{"type":"guid","required":true},"receive_type_id":{"type":"guid","lookup":"in_receive_from"},"qty":{"type":"double","required":true,"label":"qty_to_receive","minVal":0.001},"unit_cost":{"type":"sys_currency","required":true},"uom_id":{"type":"guid","lookup":"uom"},"costcode_id":{"type":"guid","lookup":"costcode","required":true},"note":{"type":"varchar","length":76},"tran_time":{"type":"datetime","required":true},"tran_user_id":{"type":"guid","lookup":"users","required":true},"store_user_id":{"type":"guid","lookup":"users","required":true}}}
CalemMetadata['in_vt_receive_qty'] = {"table_name":"in_vt_receive_qty","module":"modCalemIn","cache_type":"memory","fields":{"id":{"type":"guid"},"qty":{"type":"double","required":true},"qty_remaining":{"type":"double"},"location_id":{"type":"guid","lookup":"in_location"}}}
CalemMetadata['in_vt_receive_select'] = {"table_name":"in_vt_receive_select","module":"modCalemIn","cache_type":"memory","fields":{"id":{"type":"guid"},"receive_type_id":{"type":"guid","lookup":"in_receive_from"}}}
CalemMetadata['in_vt_return_checkout_to'] = {"table_name":"in_vt_return_checkout_to","module":"modCalemIn","cache_type":"memory","fields":{"id":{"type":"guid"},"in_id":{"type":"guid","lookup":"inventory"},"checkout_to":{"type":"varchar","required":true,"label":"return_from","length":256},"wo_id":{"type":"guid","lookup":"workorder","required":true},"asset_id":{"type":"guid","lookup":"asset","required":true},"user_id":{"type":"guid","lookup":"users","required":true},"project_id":{"type":"guid","lookup":"project","required":true},"note":{"type":"varchar","length":76},"tran_time":{"type":"datetime","required":true},"tran_user_id":{"type":"guid","lookup":"users","label":"return_user","required":true},"store_user_id":{"type":"guid","lookup":"users","required":true}}}
CalemMetadata['in_vt_return_part'] = {"table_name":"in_vt_return_part","module":"modCalemIn","cache_type":"memory","fields":{"id":{"type":"guid"},"qty_to_return":{"type":"double","required":true},"qty_checked_out":{"type":"double"},"location_id":{"type":"guid","lookup":"in_location"},"note":{"type":"varchar","label":"checkout_note","length":76}}}
CalemMetadata['in_vt_return_tool'] = {"table_name":"in_vt_return_tool","module":"modCalemIn","cache_type":"memory","fields":{"id":{"type":"guid"},"qty_to_return":{"type":"double","required":true},"qty_checked_out":{"type":"double"},"checkout_time":{"type":"datetime"},"return_time":{"type":"datetime"},"rent_duration":{"type":"double","label":"rent_hours","minVal":0},"rent_rate":{"type":"sys_currency","minVal":0},"rent_total":{"type":"sys_currency","minVal":0},"rent_uom_id":{"type":"guid","lookup":"uom"},"location_id":{"type":"guid","lookup":"in_location"},"note":{"type":"varchar","label":"checkout_note","length":76}}}
CalemMetadata['sched_vt_by_team'] = {"table_name":"sched_vt_by_team","module":"modCalemSched","cache_type":"memory","fields":{"id":{"type":"guid"},"start_date":{"type":"date","required":true},"end_date":{"type":"date","required":true},"shift_id":{"type":"guid","lookup":"shift","required":true},"team_id":{"type":"guid","lookup":"team","required":true}}}
CalemMetadata['sched_vt_by_user'] = {"table_name":"sched_vt_by_user","module":"modCalemSched","cache_type":"memory","fields":{"id":{"type":"guid"},"start_date":{"type":"date","required":true},"end_date":{"type":"date","required":true},"shift_id":{"type":"guid","lookup":"shift","required":true},"user_id":{"type":"guid","lookup":"users","required":true}}}
CalemMetadata['vt_dropdown'] = {"table_name":"vt_dropdown","module":"modCalemAdmin","cache_type":"memory","primary_key":["id"],"fields":{"id":{"type":"guid","label":"dropdown_name","required":true},"label":{"type":"varchar","length":30,"required":true},"fixed":{"type":"boolean","label":"dropdown_fixed"}}}
CalemMetadata['vt_dropdown_list'] = {"table_name":"vt_dropdown_list","module":"modCalemAdmin","cache_type":"memory","order_by":{"field":"id","order":"ASC"},"fields":{"id":{"type":"varchar","length":30},"table_name":{"type":"varchar","length":76},"module":{"type":"varchar","length":76}}}
CalemMetadata['vt_dropdown_use'] = {"table_name":"vt_dropdown_use","module":"modCalemAdmin","cache_type":"memory","primary_key":["id"],"fields":{"id":{"type":"guid","label":"dropdown_name","required":true},"label":{"type":"varchar","length":30},"fixed":{"type":"boolean","label":"dropdown_fixed"}}}
CalemMetadata['vt_field'] = {"table_name":"vt_field","module":"modCalemAdmin","cache_type":"memory","primary_key":["id"],"fields":{"id":{"type":"guid","label":"field_name","required":true},"field_type":{"type":"guid","lookup":"vt_field_type"},"required":{"type":"boolean"},"field_length":{"type":"int","max":256},"field_label":{"type":"varchar","length":30,"required":true},"lookup":{"type":"varchar","length":30}}}
CalemMetadata['vt_field_type'] = {"table_name":"vt_field_type","module":"modCalemAdmin","cache_type":"dropdown","primary_key":["id"],"lookup_mapping":{"field":"id","primary":"id"},"fields":{"id":{"type":"guid"},"fixed":{"type":"boolean"}}}
CalemMetadata['vt_form_list'] = {"table_name":"vt_form_list","module":"modCalemAdmin","cache_type":"memory","fields":{"id":{"type":"varchar","length":30},"table_id":{"type":"varchar","length":30},"table_name":{"type":"varchar","length":30}}}
CalemMetadata['vt_label'] = {"table_name":"vt_label","module":"modCalemAdmin","cache_type":"memory","primary_key":["id"],"fields":{"id":{"type":"guid","label":"label_id","required":true},"label":{"type":"varchar","length":30},"locale":{"type":"guid","lookup":"locale"}}}
CalemMetadata['vt_module_list'] = {"table_name":"vt_module_list","module":"modCalemAdmin","cache_type":"memory","fields":{"id":{"type":"varchar","length":30},"module":{"type":"varchar","length":30}}}
CalemMetadata['vt_table_list'] = {"table_name":"vt_table_list","module":"modCalemAdmin","cache_type":"memory","order_by":{"field":"id","order":"ASC"},"fields":{"id":{"type":"varchar","length":30},"table_name":{"type":"varchar","length":30},"module":{"type":"varchar","length":30}}}
CalemMetadata['wo_vt_new_pm'] = {"table_name":"wo_vt_new_pm","module":"modCalemWo","cache_type":"memory","fields":{"id":{"type":"guid"},"asset_id":{"type":"guid","lookup":"asset","required":true},"pm_select_id":{"type":"guid","lookup":"wo_pm_select"},"pm_id":{"type":"guid","lookup":"pm","required":true}}}
CalemMetadata['wo_vt_part_checkout'] = {"table_name":"wo_vt_part_checkout","module":"modCalemWo","cache_type":"memory","fields":{"id":{"type":"guid"},"in_id":{"type":"guid","lookup":"inventory","required":true},"qty_used":{"type":"double","required":true,"minVal":0.001},"note":{"type":"varchar","length":76},"tran_time":{"type":"datetime","required":true},"tran_user_id":{"type":"guid","lookup":"users","label":"checkout_user","required":true},"store_user_id":{"type":"guid","lookup":"users","required":true}}}
CalemMetadata['wo_vt_part_return'] = {"table_name":"wo_vt_part_return","module":"modCalemWo","cache_type":"memory","fields":{"id":{"type":"guid"},"in_id":{"type":"guid","lookup":"inventory","required":true},"note":{"type":"varchar","length":76},"tran_time":{"type":"datetime","required":true},"tran_user_id":{"type":"guid","lookup":"users","label":"return_user","required":true},"store_user_id":{"type":"guid","lookup":"users","required":true}}}
CalemMetadata['in_order_list'] = {"table_name":"in_order_list","module":"modCalemIn","cache_type":"database","impl":"CalemTableDdView","table_ref":"inventory"}
CalemMetadata['wo_wt_new_pm'] = {"table_name":"wo_wt_new_pm","module":"modCalemWo","cache_type":"database","impl":"CalemTableDdView","table_ref":"pm"}
CalemDropdown['asset_category'] = [["as_cat_equipment",1],["as_cat_building",1],["as_cat_system",1],["as_cat_location",1]]
CalemDropdown['asset_part_type'] = [["as_part_major",0],["as_part_routine",0]]
CalemDropdown['asset_priority'] = [["as_pri_critical",0],["as_pri_production",0],["as_pri_nonproduction",0]]
CalemDropdown['asset_status'] = [["as_status_inservice",1],["as_status_inrepair",0],["as_status_scrapped",0]]
CalemDropdown['budget_state'] = [["budget_state_open",1],["budget_state_reopen",1],["budget_state_closed",1]]
CalemDropdown['contact_type'] = [["cnt_vendor",0],["cnt_manufacturer",0],["cnt_partner",0],["cnt_tenant",0],["cnt_other",0]]
CalemDropdown['contract_status'] = [["cs_valid",1],["cs_expired",0],["cs_cancelled",0]]
CalemDropdown['contract_type'] = [["ct_sla",1],["ct_oem",0],["ct_other",0]]
CalemDropdown['cost_type'] = [["cost_employee_labor",1],["cost_contractor_labor",1],["cost_labor",1],["cost_internal_material",1],["cost_contractor_material",1],["cost_material",1],["cost_training",1],["cost_operations",1],["cost_other",1]]
CalemDropdown['depreciation_time'] = [["as_dep_annual",365,0],["as_dep_quarter",120,0]]
CalemDropdown['depreciation_type'] = [["as_dep_straightline",1],["as_dep_other",0]]
CalemDropdown['doc_access_type'] = [["doc_access_public",1],["doc_access_app",1]]
CalemDropdown['downtime_cause'] = [["as_dc_operationerr",0],["as_dc_maintenanceerr",0],["as_dc_other",0]]
CalemDropdown['downtime_type'] = [["as_dt_emergency",0],["as_dt_pm",0],["as_dt_project",0],["as_dt_other",0]]
CalemDropdown['im_type'] = [["im_yahoo",0],["im_skype",0],["im_msn",0],["im_aol",0]]
CalemDropdown['ins_citation_severity'] = [["ins_cs_major",0],["ins_cs_minor",0]]
CalemDropdown['ins_type'] = [["ins_type_osha",0],["ins_type_epa",0],["ins_type_other",0]]
CalemDropdown['in_abc'] = [["in_abc_a",1],["in_abc_b",1],["in_abc_c",1]]
CalemDropdown['in_category'] = [["icg_part",1],["icg_tool",1]]
CalemDropdown['in_checkout_to'] = [["ict_wo",1],["ict_user",1],["ict_asset",1],["ict_project",1]]
CalemDropdown['in_notification'] = [["in_notify_none",1],["in_notify_email",1],["in_notify_sms",1]]
CalemDropdown['in_order_gen'] = [["inog_manual",1],["inog_auto",1]]
CalemDropdown['in_order_type'] = [["in_order_none",1],["in_order_minmax",1],["in_order_rp",1],["in_order_demand",1]]
CalemDropdown['in_receive_from'] = [["irf_po",1],["irf_credit",1],["irf_other",1]]
CalemDropdown['in_stock_type'] = [["ist_stock",0],["ist_non_stock",0],["ist_other",0]]
CalemDropdown['in_tran_type'] = [["itt_checkout",1],["itt_return",1],["itt_receive",1],["itt_checkin",1],["itt_physical",1],["itt_move",1]]
CalemDropdown['in_valuation_type'] = [["inv_avg",1]]
CalemDropdown['job_role'] = [["job_eam_tech",1,1],["job_eam_supervisor",1,1],["job_eam_plannner",1,1],["job_eam_support",1,1],["job_operations",0,1],["job_other",0,0]]
CalemDropdown['locale'] = [["locale_en",1]]
CalemDropdown['meter_rollup_type'] = [["as_mrt_none",1],["as_mrt_rollupchange",1]]
CalemDropdown['month_tag'] = [["month_1",1],["month_2",1],["month_3",1],["month_4",1],["month_5",1],["month_6",1],["month_7",1],["month_8",1],["month_9",1],["month_10",1],["month_11",1],["month_12",1]]
CalemDropdown['payment_term'] = [["payment_net30",0],["payment_CBS",0]]
CalemDropdown['pm_dependency_scope'] = [["pm_dependency_scope_same",1],["pm_dependency_scope_all",1]]
CalemDropdown['pm_dependency_type'] = [["pm_dependency_before",1],["pm_dependency_after",1],["pm_dependency_donotrelease",1]]
CalemDropdown['pm_frequency_type'] = [["pm_frequency_weekday",1],["pm_frequency_day",1],["pm_frequency_week",1],["pm_frequency_month",1],["pm_frequency_year",1]]
CalemDropdown['pm_release_type'] = [["pm_release_fixed",1],["pm_release_floating",1],["pm_release_other",1]]
CalemDropdown['pm_schedule_type'] = [["pm_schedule_time",1],["pm_schedule_meter",1],["pm_schedule_timeandmeter",1],["pm_schedule_other",1]]
CalemDropdown['pm_status'] = [["pm_status_active",1],["pm_status_inactive",1]]
CalemDropdown['po_address_type'] = [["pat_billing",0],["pat_shipping",0],["pat_both",0]]
CalemDropdown['po_approval_level'] = [["po_level_none",0,1],["po_level_1",5000,0],["po_level_2",50000,0],["po_level_3",500000,0],["po_level_4",-1,1]]
CalemDropdown['po_state'] = [["po_state_open",1],["po_state_reopen",1],["po_state_closed",1]]
CalemDropdown['po_status'] = [["po_status_new",1],["po_status_pre",1],["po_status_approved",1],["po_status_voided",1],["po_status_submitted",1],["po_status_acked",1]]
CalemDropdown['project_priority'] = [["pjp_p1",0],["pjp_p2",0],["pjp_p3",0],["pjp_p4",0],["pjp_p5",0]]
CalemDropdown['project_status'] = [["pjs_active",0],["pjs_delayed",0],["pjs_cancelled",0],["pjs_complete",0]]
CalemDropdown['rcm_cause_type'] = [["rcs_mechanical",0],["rcs_electrical",0],["rcs_other",0]]
CalemDropdown['rcm_consequence_type'] = [["rct_safety",0],["rct_environment",0],["rct_operation",0],["rct_economic",0]]
CalemDropdown['rcm_pm_policy'] = [["rpp_rtf",1],["rpp_pm",1]]
CalemDropdown['req_approval_level'] = [["req_level_none",0,1],["req_level_1",5000,0],["req_level_2",50000,0],["req_level_3",500000,0],["req_level_4",-1,1]]
CalemDropdown['req_on_po'] = [["req_on_po_none",1],["req_on_po_partly",1],["req_on_po_all",1]]
CalemDropdown['req_priority'] = [["reqp_operation",0],["reqp_emergency",0],["reqp_safety",0],["reqp_other",0]]
CalemDropdown['req_source'] = [["req_source_other",0],["req_source_auto",1],["req_source_wo",1]]
CalemDropdown['req_state'] = [["req_state_open",1],["req_state_reopen",1],["req_state_closed",1]]
CalemDropdown['req_status'] = [["req_status_new",1],["req_status_open",0],["req_status_pre",1],["req_status_approved",1],["req_status_voided",1]]
CalemDropdown['search_admin'] = [["search_admin_none",1],["search_admin_group",1],["search_admin_system",1]]
CalemDropdown['shift'] = [["shift_1","08:00:00","17:00:00",8,6,1,1],["shift_2","18:00:00","03:00:00",8,6,1,1]]
CalemDropdown['shipping_term'] = [["shipping_fobo",0],["shipping_fobd",0]]
CalemDropdown['shipping_type'] = [["shipping_ground",0],["shipping_express",1]]
CalemDropdown['training_status'] = [["trns_complete",0],["trns_incomplete",0],["trns_failed",0]]
CalemDropdown['user_status'] = [["us_active",0],["us_departed",0],["us_transferred",0]]
CalemDropdown['user_type'] = [["ut_maint_staff",1],["ut_other_staff",1],["ut_contractor",1],["ut_customer",0],["ut_partner",0],["ut_other",0]]
CalemDropdown['vendor_status'] = [["vds_active",1],["vds_inactive",1]]
CalemDropdown['version_status'] = [["vs_started",1],["vs_upgraded",1],["vs_failed",1]]
CalemDropdown['vt_field_type'] = [["vt_field_varchar",1],["vt_field_text",1],["vt_field_guid",1],["vt_field_boolean",1],["vt_field_tinyint",1],["vt_field_integer",1],["vt_field_double",1],["vt_field_date",1],["vt_field_datetime",1],["vt_field_sys_currency",1],["vt_field_currency",1]]
CalemDropdown['wo_category'] = [["woc_emergency",1],["woc_corrective",1],["woc_predictive",1],["woc_preventive",1],["woc_detective",1]]
CalemDropdown['wo_gen_status'] = [["wgn_started",1],["wgn_failed",1],["wgn_complete",1]]
CalemDropdown['wo_origin'] = [["woo_request",0],["woo_pm",0],["woo_rework",0],["woo_other",0]]
CalemDropdown['wo_pm_select'] = [["wps_asset",1],["wps_any",1]]
CalemDropdown['wo_priority'] = [["wop_p1",0],["wop_p2",0],["wop_p3",0],["wop_p4",0],["wop_p5",0]]
CalemDropdown['wo_resolution'] = [["wor_open",1],["wor_resolved",1],["wor_donotfix",0],["wor_delayed",0],["wor_duplicate",1]]
CalemDropdown['wo_status'] = [["wos_new",1],["wos_open",1],["wos_scheduled",0],["wos_wfm",0],["wos_inprogress",0],["wos_complete",1],["wos_reopen",1],["wos_accepted",0],["wos_closed",1]]
CalemDropdown['wo_time_type'] = [["wott_work",0],["wott_travel",0],["wott_wfp",0],["wott_other",0]]
CalemData['vt_table_list'] = ["acl_group","asset","asset_comment","asset_contract","asset_depreciation","asset_downtime","asset_meter","asset_part","asset_seq","asset_service_log","asset_type","budget","budget_status_log","budget_title","contact","contract","contract_contact","contract_doc","costcode","craft","dash_wo_orig_day","dash_wo_orig_md","dept","doc_attachment","doc_type","doc_upload","document","downtime_unit_cost","in_audit","in_comment","in_doc","in_location","in_reserved","in_seq","in_stock","in_tran","in_tran_worksheet","in_type","in_vendor","ins_citation","inspection","inventory","manufacturer","meter_transaction","meter_type","pm","pm_asset","pm_audit","pm_comment","pm_dependency","pm_doc","pm_downtime","pm_labor","pm_meter","pm_part","pm_safety","pm_season","pm_step","pm_tool","po","po_address","po_item","po_seq","po_status_log","project","project_type","rcm_action","rcm_action_part","rcm_consequence","rcm_failure","rcm_function","rcm_template","recycle_bin","req_item","req_seq","req_status_log","requisition","sched_shutdown","sched_user","scheduler_job","scheduler_job_log","scheduler_task","semaphore","tax_code","tax_rate","team","training","training_certificate","training_course","training_course_type","training_user","uom","uom_map","users","vendor","vendor_contact","version","version_upgrade_log","wo_attachment","wo_comment","wo_doc","wo_generation","wo_labor","wo_meter","wo_part","wo_planned_downtime","wo_planned_labor","wo_planned_part","wo_planned_tool","wo_safety","wo_sched_labor","wo_semaphore","wo_seq","wo_status_log","wo_step","wo_tool","workorder"]
CalemData['vt_dropdown_list'] = ["asset_category","asset_part_type","asset_priority","asset_status","budget_state","contact_type","contract_status","contract_type","cost_type","depreciation_time","depreciation_type","doc_access_type","downtime_cause","downtime_type","im_type","in_abc","in_category","in_checkout_to","in_notification","in_order_gen","in_order_type","in_receive_from","in_stock_type","in_tran_type","in_valuation_type","ins_citation_severity","ins_type","job_role","locale","meter_rollup_type","payment_term","pm_dependency_scope","pm_dependency_type","pm_release_type","pm_schedule_type","pm_status","po_address_type","po_approval_level","po_state","po_status","project_priority","project_status","rcm_cause_type","rcm_consequence_type","rcm_pm_policy","req_approval_level","req_on_po","req_priority","req_source","req_state","req_status","search_admin","shift","shipping_term","shipping_type","training_status","user_status","user_type","vendor_status","version_status","wo_category","wo_gen_status","wo_origin","wo_pm_select","wo_priority","wo_resolution","wo_status","wo_time_type"]
